var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2184B9B7-716F-4CFB-A7A6-E121DB24B08A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Controller Ease and Multiplier Curve Functions</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addEaseCurve &lt;controller&gt; [ &lt;float_controller&gt; ]      </code></pre><p>Adds an ease curve to the specified controller.</p>\n\
<p>You can provide an optional float controller for the curve or have the function generate a default float controller for you.</p>\n\
<p>When you add an ease curve in Track View, keys are automatically created at the beginning and end of the current animation range. The <strong><code>addEaseCurve()</code></strong> method does not generate these keys, so you need to add them to the ease curve controller.</p>\n\
<p>An instance of the procedural <a href=\"./../Controller-Types/Retimer-Controllers/Retimer-Controller.html\">Retimer Controller</a> introduced in <strong>3ds Max 2013</strong> can be passed as second argument to enable the new Retimer workflow using markers instead of keys.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteEaseCurve &lt;controller&gt; &lt;index&gt;   </code></pre><p>Deletes the indexed ease curve from the controller. The index is <strong>1- based</strong> and corresponds to the order in which the curves were originally added to the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numEaseCurves &lt;controller&gt; </code></pre><p>Returns the number of ease curves currently operating on the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">applyEaseCurve &lt;controller&gt; &lt;time&gt; </code></pre><p>Applies the combined ease curves in the specified controller to the given time value, returning the transformed time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getEaseCurve &lt;controller&gt; &lt;index&gt; </code></pre><p>Returns the indexed ease curve (a <code>bezier_float</code> controller) on the specified controller. The index is <strong>1- based</strong> and corresponds to the order in which the curves were originally added to the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addMultiplierCurve &lt;controller&gt; [ &lt;float_controller&gt; ] </code></pre><p>Adds a multiplier curve to the specified controller.</p>\n\
<p>You can provide an optional float controller for the curve or have the function generate a default float controller for you.</p>\n\
<p>When you add a multiplier curve in Track View, keys are automatically created at the beginning and end of the current animation range. The <code>addMultiplierCurve()</code> method does not generate these keys, so you need to add them to the multiplier curve controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteMultiplierCurve &lt;controller&gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed multiplier curve from the controller. The index is <strong>1- based</strong> and corresponds to the order in which the curves were originally added to the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numMultiplierCurves &lt;controller&gt; </code></pre><p>Returns the number of multiplier curves currently operating on the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMultiplierValue &lt;controller&gt; &lt;time&gt; </code></pre><p>Returns the combined (float) value of the multiplier curves in the specified controller at the given time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMultiplierCurve &lt;controller&gt; &lt;index&gt; </code></pre><p>Returns the multiplier curve (a <code>bezier_float</code> controller) at the specified index. The index is <strong>1-based</strong> and corresponds to the order in which the curves were originally added to the controller.</p>\n\
<p><strong>Associated Properties</strong></p>\n\
<p>If an Ease Curve is assigned to a controller, the following controller-related sub-property is available:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;.Ease_Curve -- the controller&apos;s ease curve value </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;.Ease_Curve.controller -- the ease curve controller itself</code></pre><p>If a Multiplier Curve is assigned to a controller, the following controller-related sub-property is available:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;.Multiplier_Curve -- the controller&apos;s multiplier curve value </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;.Multiplier_Curve.controller -- the multiplier curve controller itself</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The values stored in an Ease Curve controller are stored as integer time ticks.</p>\n\
<p>The following script shows examples of some of the above methods.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --controller test bed 3\n\
   b=box height:10\n\
   at time 5 animate on b.height=50\n\
   at time 10 animate on b.height=100\n\
   bhc=b.height.controller\n\
   ec=bezier_float()\n\
   at time 0 animate on ec.value = 0\n\
   at time 100 animate on ec.value=100*ticksPerFrame\n\
   setBeforeORT ec #linear\n\
   setAfterORT ec #linear\n\
   addEaseCurve bhc ec\n\
   applyEaseCurve bhc 50\n\
   addEaseCurve bhc ec\n\
   numEaseCurves bhc\n\
   deleteEaseCurve bhc 2\n\
   numEaseCurves bhc\n\
   at time 50 bhc.ease_curve\n\
   mc=bezier_float()\n\
   at time 0 animate on mc.value = 1\n\
   at time 100 animate on mc.value = 2\n\
   addMultiplierCurve bhc mc\n\
   at time 50 bhc.multiplier_curve\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controller-Common-Properties.html\">Controller Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Animation-Controllers-1.html\">Animation Controllers</a></li>\n\
          <li><a class=\"link\" href=\"../Controller-Types/Retimer-Controllers/Retimer-Controller.html\">Retimer : Controller</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";