var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B1700B1D-B1EA-4A6C-B4A3-A29DB26C8C02\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Controller Key Functions</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addNewKey &lt;controller&gt; &lt;time&gt; [#select]      </code></pre><p>Adds a new key to the controller track at the specified time. The value for the new key is the interpolated controller value at the specified time. The new key is also selected if the <code>#select</code> optional argument is specified. The value for the new key is the interpolated controller value at that time. <code>addNewKey()</code> will not add a key if it already exists at the specified time. The return value in this case is the key located at the specified time.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the controller is a compound controller (like a <code>Position_XYZ</code> controller), a value of <code>OK</code> is returned. A single key value cannot be returned because <code>addNewKey</code> creates a key in each of the sub-controllers.</div>\n\
<p>This function returns a MAXKey value representing the key, so you can set its various properties. See <a href=\"./../../../MAXScript-Language-Reference/Values/MAXKey-Values/MAXKey-Values-1.html\">MAXKey Values</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteKeys &lt;controller&gt; [#allKeys | #selection]   </code></pre><p>Deletes keys from the controller according to the optional symbolic argument supplied.</p>\n\
<p><code>#allKeys</code> (default): deletes <strong>all</strong> keys in the controller.</p>\n\
<p><code>#selection</code> : deletes the currently selected keys</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteKey &lt;controller&gt; &lt;index&gt; </code></pre><p>Deletes the indexed key. Key indexes are <strong>1- based</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selectKeys &lt;controller&gt; [ &lt;interval&gt; | &lt;time&gt; ] </code></pre><p>Selects the specified keys in the track view. If an interval is given, all the keys within the interval are selected. If a single time is given, the key at that time is selected. If no time or interval is given, <strong>all</strong> keys are selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deselectKeys &lt;controller&gt; [ &lt;interval&gt; | &lt;time&gt; ] </code></pre><p>Deselects specified keys. Arguments are as described in <code>selectKeys()</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selectKey &lt;controller&gt; &lt;index_integer&gt; </code></pre><p>Selects the indexed key. Key indexes are <strong>1- based</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isKeySelected &lt;controller&gt; &lt;index_integer&gt; </code></pre><p>Returns <code>true</code> if indexed key is selected, <code>false</code> otherwise. Key indexes are <strong>1- based</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deselectKey &lt;controller&gt; &lt;index_integer&gt; </code></pre><p>Deselects the indexed key. Key indexes are <strong>1 -based</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">moveKeys &lt;controller&gt; &lt;time&gt; [#selection] </code></pre><p>Moves the specified keys by the time given. If <code>#selection</code> is specified, move the current selection otherwise move all keys. The <code>moveKeys</code> function only works on track properties: <code>.controller</code> and <code>.track</code> . It is not defined on the keys&#x2019; virtual array.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   moveKeys $box01.pos.controller 5\n\
   moveKeys $box01.pos.track 5\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">moveKey &lt;controller&gt; &lt;index_integer&gt; &lt;time&gt; </code></pre><p>Move the indexed key by the specified time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numKeys &lt;controller&gt; </code></pre><p>Returns the number of keys in the controller. Returns <strong>-1</strong> if you call it on a controller that does not support keyframing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getKey &lt;controller&gt; &lt;index_integer&gt; </code></pre><p>Returns the indexed key as a MAXKey instance. See <a href=\"Controller-Key-Functions.html\">Controller Key Functions</a> for MAXKey class information.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getKeyTime &lt;controller&gt; &lt;index_integer&gt; </code></pre><p>Returns the time of indexed key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getKeyIndex &lt;controller&gt; &lt;time&gt; </code></pre><p>Returns the index of the key at the specified time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numSelKeys &lt;controller&gt; </code></pre><p>Returns the number of keys currently selected in the track view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sortKeys &lt;controller&gt; </code></pre><p>Re-sorts keys according to their times. Some MAXKey operations can result in out of order keys and this function must be called to correctly order keys. See the Controller Keys and Key Properties topic for MAXKey properties information.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">createLockKey &lt;controller&gt; &lt;time&gt; &lt;rot_or_pos_integer&gt; </code></pre><p>This method is called to create a locking key at the specified time. This is a key that looks back to the previous key and creates a new key at the specified time that matches the previous key in value. It also adjusts the parameters for the key such that the value stays constant from the previous key to this key. For instance, for a TCB controller the continuity of the previous key and new key will set to 0. For a Bezier controller the out tangent type of the previous key is set to linear and the in tangent type of the new key is set to linear.</p>\n\
<p>If the controller passed to this method is a transform level controller, <code>&lt;rot_or_pos_integer&gt;</code> specifies whether to create the key in the transform controller&#x2019;s position or rotation (or roll angle) sub-controller. If <code>rot_or_pos_integer</code> = 0, the key is created in the position controller. For all other values, the key is created in the rotation (or roll angle) controller.</p>\n\
<p>If the controller passed to this method is not a transform level controller, the <code>&lt;rot_or_pos_integer&gt;</code> value is not used.</p>\n\
<p>Returns <code>true</code> if the key creation was successful, <code>false</code> otherwise.</p>\n\
<p>The following script shows example usages of some of the above methods.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- controller test bed 2\n\
   b=box height:10\n\
   at time 5 animate on b.height=50\n\
   at time 10 animate on b.height=100\n\
   bhc=b.height.controller\n\
   bhk=bhc.keys\n\
   addnewkey bhc 7\n\
   addnewkey bhc 9\n\
   for k in bhk do format &quot;%:%\\n&quot; k.time k.value\n\
   selectKeys bhc (interval 7 9)\n\
   deleteKeys bhc #selection\n\
   bhk\n\
   addnewkey bhc 7\n\
   addnewkey bhc 9\n\
   selectKeys bhc (interval 7 9)\n\
   deleteKeys bhc #selection #slide\n\
   bhk\n\
   addnewkey bhc 7\n\
   addnewkey bhc 9\n\
   selectKeys bhc (interval 7 9)\n\
   deleteKeys bhc #selection #slide #rightToLeft\n\
   bhk\n\
   addnewkey bhc 8\n\
   i=getKeyIndex bhc 8\n\
   selectKey bhc i\n\
   moveKey bhc i 10\n\
   bhk\n\
   getKeyTime bhc 4\n\
   b.width.controller=noise_float()\n\
   numkeys b.width.controller\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendKey &lt;key_array&gt; &lt;max_key&gt; </code></pre><p>Appends the given key to the specified key array at the key&#x2019;s original time.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a Box and a Sphere\n\
   source_obj = box()\n\
   target_obj = sphere()\n\
   -- Animate the position of the Box on frames 50 and 100.\n\
   with animate on\n\
   (\n\
   at time 50 source_obj.pos.controller.x_position = 100\n\
   at time 100 source_obj.pos.controller.x_position = 200\n\
   )\n\
   --Animate the position of the Sphere on frames 40 and 80\n\
   with animate on\n\
   (\n\
   at time 40 target_obj.pos.controller.x_position = 50\n\
   at time 80 target_obj.pos.controller.x_position = 60\n\
   )\n\
   --Print keys of both controllers\n\
   format &quot;Source Keys X Pos: %\\n&quot;source_obj.pos.x_position.controller.keys\n\
   format &quot;Target Keys X Pos: %\\n&quot;target_obj.pos.x_position.controller.keys\n\
   --Get the 2nd key from the X axis controller of the position transformation\n\
   source_key = source_obj.pos.x_position.controller.keys[2]\n\
   --Get the X axis position controller keys array of the target object\n\
   target_keys = target_obj.pos.x_position.controller.keys\n\
   --Assign the key from the source to the target controller\n\
   appendKey target_keys source_key\n\
   --The Sphere now has a 3rd key on frame 50 with the value 100\n\
   format &quot;Target Keys After appendKey: %\\n&quot; target_obj.pos.x_position.controller.keys\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Box:Box008 @ [0.000000,0.000000,0.000000]\n\
   $Sphere:Sphere001 @ [0.000000,0.000000,0.000000]\n\
   200\n\
   60\n\
   Source Keys X Pos: #keys(0f, 50f, 100f)\n\
   OK\n\
   Target Keys X Pos: #keys(0f, 40f, 80f)\n\
   OK\n\
   #Bezier Float key(2 @ 50f)\n\
   #keys(0f, 40f, 80f)\n\
   #Bezier Float key(3 @ 50f)\n\
   Target Keys After appendKey: #keys(0f, 40f, 50f, 80f)\n\
   OK\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">assignKey &lt;key_array&gt; &lt;max_key&gt; &lt;index&gt; </code></pre><p>Deletes the key specified by <code>&lt;index&gt;</code> from the target key array and inserts the source key into the target key array at the source key&#x2019;s time.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The source key first overwrites the target key specified by <index>, then the resulting array is sorted by time. The result is the same as described above.</index></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a Box and a Sphere\n\
   source_obj = box()\n\
   target_obj = sphere()\n\
   -- Animate the position of the Box on frames 50 and 100.\n\
   with animate on\n\
   (\n\
   at time 50 source_obj.pos.controller.x_position = 100\n\
   at time 100 source_obj.pos.controller.x_position = 200\n\
   )\n\
   --Animate the position of the Sphere on frames 10 and 20\n\
   with animate on\n\
   (\n\
   at time 10 target_obj.pos.controller.x_position = 50\n\
   at time 20 target_obj.pos.controller.x_position = 60\n\
   )\n\
   --Print keys of both controllers\n\
   format&quot;Source Keys X Pos: %\\n&quot; source_obj.pos.x_position.controller.keys\n\
   format&quot;Target Keys X Pos: %\\n&quot; target_obj.pos.x_position.controller.keys\n\
   --Get the 2nd key from the X axis controller of the position transformation\n\
   source_key = source_obj.pos.x_position.controller.keys[2]\n\
   --Get the X axis position controller keys array of the target object\n\
   target_keys = target_obj.pos.x_position.controller.keys\n\
   --Assign the key from the source to the target controller,\n\
   --delete original sourcekey 3\n\
   assignKey target_keys source_key 3\n\
   --The Sphere now has a 3rd key on frame 50 with the value 100,\n\
   --original 3rd key on frame 20 has been deleted:\n\
   format &quot;Target Keys After assignKey: %\\n&quot; target_obj.pos.x_position.controller.keys\n\
</code></pre><p>   <strong>LISTENER OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Box:Box009 @ [0.000000,0.000000,0.000000]\n\
   $Sphere:Sphere002 @ [0.000000,0.000000,0.000000]\n\
   200\n\
   60\n\
   Source Keys X Pos: #keys(0f, 50f, 100f)\n\
   OK\n\
   Target Keys X Pos: #keys(0f, 10f, 20f)\n\
   OK\n\
   #Bezier Float key(2 @ 50f)\n\
   #keys(0f, 10f, 20f)\n\
   #Bezier Float key(3 @ 50f)\n\
   Target Keys After assignKey: #keys(0f, 10f, 50f)\n\
   OK\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><code>appendKey</code> and <code>assignKey</code> only work on controllers that directly support key frames. The source and target need to be of the same type. The controller level property <code>&lt;control&gt;.supportsKeys</code> (boolean, read-only) returns <code>true</code> if the controller implements the I_KEYCONTROL interface and thus can be used as argument of the <code>appendKey</code> and <code>assignKey</code> functions. See <a href=\"Controller-Common-Properties-1.html\">supportsKeys</a>.</p>\n\
<p>To copy a key between controllers:</p>\n\
<ul>\n\
<li><p>Make sure that the source and target controllers are of the same type</p>\n\
</li>\n\
<li><p>Check to see if they support keys using the <code>.supportsKeys</code> property</p>\n\
<ul>\n\
<li><p>If not, see if they have subanims</p>\n\
</li>\n\
<li><p>If they have, recurse down into the subanims</p>\n\
</li>\n\
</ul>\n\
</li>\n\
<li><p>Repeat the check for the subanims and so on.</p>\n\
</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copyPasteKeys &lt;controller&gt; (&lt;map_struct&gt; | &lt;fn&gt; &lt;arg&gt;) [#replacekeys] [#insertkeys] </code></pre><p>This function is pretty similar to the existing <a href=\"ControllermapKeys-Method.html\">mapKeys() method</a>, but implies that some keys have been selected. Upon calling <code>copyPasteKeys(),</code> selected keys will first get copied, then copied keys get selected and pasted, using either the map_struct or a mapping function as described in the <a href=\"ControllermapKeys-Method.html\">mapKeys() method</a> topic. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Using the <code>#replacekeys</code> argument deletes any unselected key within the copied keys&apos; range. Additionally, using the <code>#insertkeys</code> argument shifts any unselected key that is located on or after the copied keys&apos; insertion point to the right (the location of the first copied key) with a time value equal to the length of the copied keys&apos; range.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controller-Common-Properties.html\">Controller Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Controller-Time-Functions.html\">Controller Time Functions</a></li>\n\
          <li><a class=\"link\" href=\"Time-and-Key-Functions-on-Object.html\">Time and Key Functions on Object Hierarchies</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";