var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B9AB78DC-D837-47F6-9B70-F4DEE00B716F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ControllermapKeys() Method</h1></div><p>The <strong>mapKeys</strong>() method gives access to the SDK function Control::MapKeys().</p>\n\
<p>The form is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mapKeys &lt;max_object&gt; (&lt;map_struct&gt; | &lt;fn&gt; &lt;arg&gt;) [#allKeys] [#selection] [#slide] [#rightToLeft]\n\
</code></pre><p>This is like other recursive <a href=\"Controller-Key-Functions.html\">controller key functions</a> in MAXScript such as, <code>moveKeys</code> , <code>deleteKeys</code> , and others, which operate on all the keys in nested controllers in the object you supply. The thing to be mapped is either a scripted function and argument pair or a struct instance. If a function is supplied, it must take two arguments, the time value to be mapped and the <code>&lt;arg&gt;</code> from the mapKeys() call, and pass back the mapped time.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn bumpTime t delta = t + delta\n\
   mapKeys $Box01 bumpTime 23 #selection\n\
</code></pre><p>   will add 23 to all the selected keys in controllers within $Box01.</p>\n\
</blockquote>\n\
<p>If a struct is supplied, it should have at least a &apos;map&apos; member function that takes time to be mapped and returns the mapped time.</p>\n\
<p>The advantage of a struct is that it is a way to set up complex parameterized mapping by having as many data members as needed to hold the parameters.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b=box()\n\
   struct mapper\n\
   (\n\
   scale,\n\
   offset,\n\
   fn map t = return t * scale * offset\n\
   )\n\
   mapKeys b (mapper scale:0.5 offset:10)\n\
</code></pre></blockquote>\n\
<p>will execute a combination time scale and offset in one pass.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controller-Common-Properties.html\">Controller Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Time-and-Key-Functions-on-Object.html\">Time and Key Functions on Object Hierarchies</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/Nested-Object-Controller.html\">Nested Object Controller Functions</a></li>\n\
          <li><a class=\"link\" href=\"Controller-Time-Functions.html\">Controller Time Functions</a></li>\n\
          <li><a class=\"link\" href=\"Controller-Key-Functions.html\">Controller Key Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Collections/Collection-Types/MAXKeyArray-Values.html\">MAXKeyArray Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";