var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-46A7941F-9A1E-49AF-B607-5516DC6ACCEF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Time and Key Functions on Object Hierarchies</h1></div><p>Certain of the controller time and key functions can be called on any <strong>3ds Max</strong> object or collection of <strong>3ds Max</strong> objects, not just individual controllers. If called in this way, they apply recursively to all the nested controllers within those objects and on any on sub-objects and sub-controllers within those objects. In this way, they work in a manner similar to the object-level tracks in the <strong>3ds Max</strong> Track View that allow you to manipulate keys and time for all the sub-objects and sub-controllers within them.</p>\n\
<p>The time and controller functions that work this way are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> deleteTime reverseTime scaleTime insertTime setTimeRange </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> addNewKey deleteKeys selectKeys deselectKeys moveKeys sortKeys reduceKeys </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> addEaseCurve deleteEaseCurve setBeforeORT setAfterORT enableORTs </code></pre><p>The above functions can be called on any <strong>3ds Max</strong> object collection (such as a wild-card pathname or object set or array of objects ) and will recursively apply to all animation within those objects. If they are called on components <strong>within</strong> an object that themselves have nested controllers, they are applied to all those nested controllers - see the examples below.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> An exception to the above behavior is the <code>setTimeRange</code> function which will be applied recursively only when a <code>#linkToKeys</code> argument is provided. See<a href=\"Controller-Time-Functions.html\"\">setTimeRange</a> for details.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   insertTime $box01.xform 0f 10f\n\
</code></pre><p>   all keys after <code>0f</code> in all controllers in the <code>xform</code> modifier are moved by <code>10f</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   insertTime $box01 0f 10f\n\
</code></pre><p>   all keys after <code>0f</code> in <code>box01</code> are moved (transform, creation, modifiers)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   selectKeys $box02.xform.gizmo.rotation.controller 0f 100f\n\
</code></pre><p>   selects keys in <code>0-100f</code> , if controller is Euler, e.g., will select x, y and z keys</p>\n\
<p>   <code>deleteTime $box* 10f 20f</code></p>\n\
<p>   delete time from frame 10 and frame 20 in all objects named <code>$box*</code> (works with any pathname or array of objects)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   insertTime $box03.children 0f 10f\n\
</code></pre><p>   inserts time in all controllers of all children of <code>$box03</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   reduceKeys $box01.modifiers 0.5 1f\n\
</code></pre><p>   applies key reductions to all controllers in all modifiers in <code>$box01</code> (leaves transform and creation parameters alone)</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controller-Common-Properties.html\">Controller Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Controller-Key-Functions.html\">Controller Key Functions</a></li>\n\
          <li><a class=\"link\" href=\"Controller-Time-Functions.html\">Controller Time Functions</a></li>\n\
          <li><a class=\"link\" href=\"Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../Animation-Controllers-1.html\">Animation Controllers</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";