var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3DD33E61-FD77-4492-9A8A-4ABBCDB3CC0C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Attachment Controller Keys</h1></div><p>Attachment controllers use different keys than most other controllers. The MAXAKey class implements the keys of Attachment controllers with all their specific properties like face index and barycentric coordinates inside the face.</p>\n\
<p>The <code>AttachCtrl.getKey()</code> method returns keys of class MAXAKey. The method expects two arguments - the attachment controller and the index of the key to get. (See <a href=\"Position-Controllers/Attachment-PositionController.html\">Attachment : PositionController</a> for a list of all available AttachCtrl methods).</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXAKey&gt;. face: Integer (0-based)      </code></pre><p>Get/Set the 0-based index of the face to attach to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXAKey&gt;. coord: Point2 (barycentric coordinates)   </code></pre><p>Get/Set the barycentric coordinates inside the face to attach to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXAKey&gt;. time: Time </code></pre><p>Get/Set the time of the key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXAKey&gt;. selected: Boolean </code></pre><p>Get/Set the selected state of the key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXAKey&gt;. tension: Float </code></pre><p>Get/Set the tension.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXAKey&gt;. continuity: Float </code></pre><p>Get/Set the continuity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXAKey&gt;. bias: Float </code></pre><p>Get/Set the bias.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXAKey&gt;. easeTo: Float </code></pre><p>Get/Set the EaseTo value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXAKey&gt;. easeFrom: Float </code></pre><p>Get/Set the EaseFrom value.</p>\n\
<p>The followingscript will create an animated cylinder with a geosphere attached to its topandfollowing alldeformations:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   c = cylinder height:100 heightsegs:10--create a tall segmented cylinder\n\
   addModifier c (Bend())--add a Bend Modifier to the cylinder\n\
   s = geosphere()--create a default geosphere\n\
   actrl = Attachment()--create an Attachment controller\n\
   s.position.controller = actrl--assign to the position of the geosphere\n\
   actrl.node = c--set the cylinder as the node to attach to\n\
   addNewKey actrl 0f--add a key at frame 0\n\
   theAKey = AttachCtrl.getKey actrl 1--get the first key\n\
   --Set the face index (0-based) by reading the number of faces in the mesh\n\
   --The last face of a cylinder is always on top near the central vertex!\n\
   theAKey.face = c.mesh.numfaces - 1\n\
   --Set the coordinates for the center.\n\
   --The barycentric coordinates of the central vertex are [1,0]\n\
   theAKey.coord = [1,0]\n\
   with animate on at time 100--animate on frame 100\n\
   (\n\
   c.height = 200--animate the height of the cylinder\n\
   c.bend.angle = 90--and the bend angle\n\
   )\n\
</code></pre><p>   <img src=\"./images/GUID-1C9FD9A5-B090-4D88-A87F-AA778B233BE2-low.gif\" alt> <img src=\"./images/GUID-3D29575C-C9CF-4557-9B02-91EA593106DD-low.gif\" alt></p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controller-Types.html\">Controller Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Position-Controllers/Attachment-PositionController.html\">Attachment : PositionController</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/MAXKey-Values/MAXKey-Common-Properties.html\">MAXKey Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";