var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-ED23BCBD-2344-4DFB-BA5A-ABAF04951164\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>List Controllers</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">float_list : floatController\n\
point3_list : point3Controller\n\
position_list : positionController\n\
rotation_list : rotationController\n\
scale_list : scaleController</code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">float_list ... point3_list ... position_list ... rotation_list ... scale_list ... </code></pre><p>The List controller combines multiple controllers into a single effect. It is a compound controller with tools for managing the order in which its internal controllers are calculated. Controllers are evaluated in a top to bottom order; the controller at the top of the list is evaluated first. The contribution of the single sub-controllers can be weighted allowing for animation mixing.</p>\n\
<p>When you assign a List controller to a parameter, the current controller is moved one level below the List controller; it becomes the first controller in the list. A second parameter is added below the List controller and is named Available. This is an empty placeholder for the next controller you add to the list.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.weight ArrayParameter default: #() -- float array   </code></pre><p>An array of the weight values of the sub-controllers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.average Boolean default: false -- boolean; Average_Weights </code></pre><p>Controls the averaging of the Weights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.available </code></pre><p>The <code>.available</code> property has a <code>controller</code> property, which contains a &quot;phantom&quot; controller. To add a controller to a list controller, assign the controller to the <code>available.controller</code> property. The following script shows an example of creating and adding controllers to a list controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.&lt;subcontroller&gt;... </code></pre><p>The property list for a list controller also contains the sub-controllers in the list controller (if any). The type of these controllers depends on the type of the list controller. For example, a float_list can contain any number of bezier_float controllers.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   p=float_list ()-- create a list controller\n\
   showproperties p-- show its properties\n\
   p.available.controller-- the &quot;phantom&quot; controller\n\
   p1=bezier_float ()-- create a new bezier float controller\n\
   p.available.controller=p1-- add it to the list controller\n\
   p2=bezier_float ()-- create a new bezier float controller\n\
   p.available.controller=p2-- add it to the list controller\n\
   getpropnames p-- show the list controller properties\n\
   showproperties p-- show the list controller properties\n\
   p.numSubs-- the number of list controller subAnims\n\
   getsubanimnames p-- show the list controller subAnim names\n\
   p[2].object-- retrieve the second bezier float controller\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Controller:Float_List-- result line 1\n\
   .weight : float array\n\
   .average (Average_Weights) : boolean\n\
   .available : float-- output line 2\n\
   false-- output line 2\n\
   Controller:-- result line 3 (the &quot;phantom&quot; controller)\n\
   Controller:Bezier_Float-- result line 4\n\
   Controller:Bezier_Float-- result line 5\n\
   Controller:Bezier_Float-- result line 6\n\
   Controller:Bezier_Float-- result line 7\n\
   #(#weight, #average, #bezier_float, #available)-- result line 8\n\
   .weight : float array-- output line 9\n\
   .average (Average_Weights) : boolean-- output line 9\n\
   .bezier_float : float-- output line 9\n\
   .bezier_float : float-- output line 9\n\
   .available : float-- output line 9\n\
   false-- output line 9\n\
   4-- result line 10\n\
   #(#bezier_float, #bezier_float, #available, #Weights)-- result line 11\n\
   Controller:Bezier_Float-- result line 12\n\
   OK\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   lst = $.pos.controller-- if this is a list controller\n\
   showInterfaces lst-- interface name is &quot;list&quot;\n\
</code></pre></blockquote>\n\
<p><strong>List Controllers Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:list </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.count: integer : Read </code></pre><p>This property contains the number of items that appear in the List controllers list box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.active: index : Read|Write </code></pre><p>Gets/Sets the index of the currently active item.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getCount () </code></pre><p>This method returns the number of items that appear in the List controllers list box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setActive &lt;index&gt;listIndex </code></pre><p>This method allows you to set the indexed item in the list active, so its parameters appear in the motion panel and any input is directed to the indexed sub controller.</p>\n\
<p><code>&lt;index&gt;listIndex</code>: The index of the item to set as the active item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getActive ()</code></pre><p>This method returns the index of the currently active item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;delete &lt;index&gt;listIndex </code></pre><p>This method allows you to delete the indexed sub controller from the list.</p>\n\
<p><code>&lt;index&gt;listIndex</code>: The index of the item to delete from the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;cut &lt;index&gt;listIndex </code></pre><p>This method allows you to cut the index sub controller from the list and stores it in the buffer to paste later.</p>\n\
<p><code>&lt;index&gt;listIndex:</code> The index of the item you wish to cut.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;paste &lt;index&gt;listIndex </code></pre><p>This method allows you to paste the sub-controller from the buffer into the indexed slot in the list.</p>\n\
<p><code>&lt;index&gt;listIndex:</code> The index of the slot to paste into.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getName &lt;index&gt;listIndex </code></pre><p>This method returns the class name of the indexed sub-controller if a user defined name does not exist.</p>\n\
<p><code>&lt;index&gt;listIndex:</code> The index of the item for which to get the name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setName &lt;index&gt;listIndex&lt;string&gt;name </code></pre><p>This method allows you to set the name of an indexed item.</p>\n\
<p><code>&lt;index&gt;listIndex:</code> The index of the item.</p>\n\
<p><code>&lt;string&gt;name:</code> The name to set it to.</p>\n\
<p>See also Class IlistControl in the SDK Help file accompanying this product.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = Box lengthsegs:1 widthsegs:1 heightsegs:1 length:65.7611 width:32.0211 height:39.8261 pos:[-15.6972,-84.9615,0] isSelected:on\n\
   b.pos.controller = position_list ()\n\
   b.pos.controller.Available.controller = Position_XYZ ()\n\
   b.pos.controller.Available.controller = tcb_position ()\n\
   b.pos.controller.Available.controller = bezier_position ()\n\
   lst = b.pos.controller-- the list controller\n\
   showInterfaces lst-- interface name is &quot;list&quot;\n\
   lst.getCount()-- count function\n\
   lst.count-- count property (read only)\n\
   lst.SetActive 3-- set active function\n\
   lst.GetActive()-- get active function\n\
   lst.active-- active property\n\
   lst.cut 2-- cut the second sub-controller\n\
   lst.paste 1-- paste it to the top of the list\n\
   lst.delete lst.count-- delete the second to last sub-controller\n\
   lst.setName 2 &quot;My Bezier&quot;-- sets the name of the second sub-controller\n\
   lst.getName 2-- gets the name of the sub-controller\n\
</code></pre></blockquote>\n\
<p><strong>ListCtrl Methods</strong></p>\n\
<p>The following methods were available in <strong>3ds Max prior to version 4</strong>. They are still supported for backwards compatibility, but their functionality is covered by the new methods described above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">listCtrl.getName &lt;list_controller&gt; &lt;index_integer&gt; </code></pre><p>Returns the name of the indexed subcontroller in the list controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">listCtrl.setName &lt;list_controller&gt; &lt;index_integer&gt; &lt;string&gt; </code></pre><p>Sets the name of the indexed subcontroller in the list controller. If the string is a null string (&quot;&quot;), the default controller name is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">listCtrl.getActive &lt;list_controller&gt; </code></pre><p>Returns the index of the active subcontroller in the list controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">listCtrl.setActive &lt;list_controller&gt; &lt;index_integer&gt; </code></pre><p>Sets the indexed subcontroller in the list controller as the active controller.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controller-Types.html\">Controller Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Float-Controllers/float_list-FloatController.html\">float_list : FloatController</a></li>\n\
          <li><a class=\"link\" href=\"Point3-Controllers/point3_list-Point3Controller.html\">point3_list : Point3Controller</a></li>\n\
          <li><a class=\"link\" href=\"Position-Controllers/position_list-PositionController.html\">position_list : PositionController</a></li>\n\
          <li><a class=\"link\" href=\"Rotation-Controllers/rotation_list-RotationController.html\">rotation_list : RotationController</a></li>\n\
          <li><a class=\"link\" href=\"Scale-Controllers/scale_list-ScaleController.html\">scale_list : ScaleController</a></li>\n\
          <li><a class=\"link\" href=\"../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";