var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-905BC0E1-0902-409F-B89E-A3D338566DFD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>AlembicXform : Matrix3Controller</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicXform - superclass: Matrix3Controller; super-superclass:MAXWrapper - 7:0 - classID: #(1560678688, 632583420)</code></pre><p>Used to load the transformations of a single Object entity from a specified Alembic .ABC cache file into a 3ds Max scene. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicXform ...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicXform&gt;.source     String    default: &quot;&quot;   --  filename</code></pre><p>Gets/sets the Alembic .ABC source file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicXform&gt;.object     UndefinedClass    default: undefined   --  string;</code></pre><p>Gets/sets the object path definition string within the Alembic ABC file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicXform&gt;.maxcoords     BooleanClass    default: false   --  boolean</code></pre><p>When set to true, the 3ds Max Z-up coordinate system will be used.</p>\n\
<p>When set to false, the file&apos;s coordinate system will be used and will depend on the coordinate system of the source application.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicXform&gt;.playbackType     Integer    default: 0   --  integer; Playback_Type</code></pre><p>Gets/sets the playback type drop-down list selection index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Original Range</strong> (default) - use the start and end values stored in the ABC file.</p>\n\
<p>1 - <strong>Custom Start</strong> - use the <code>.playbackStart</code> property to define the scene time on which to start the playback. This can be used to offset the beginning of the playback while keeping the same playback speed.</p>\n\
<p>2 - <strong>Custom Range</strong> - use the <code>.playbackStart</code> and <code>.playbackEnd</code> properties to define a custom range within which to play back the original animation.</p>\n\
<p>3 - <strong>Playback Graph</strong> - keyframe the <code>.playbackFrame</code> property to define the file&apos;s frame to be loaded on each scene frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicXform&gt;.playbackStart     Float    default: 0.0   --  float</code></pre><p>Gets/sets the start frame of the playback range.</p>\n\
<p>Applicable when . <strong><code>playbackType</code></strong> is set to 1 or 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicXform&gt;.playbackEnd     Float    default: 0.0   --  float</code></pre><p>Gets/sets the end frame of the playback range.</p>\n\
<p>Applicable when . <strong><code>playbackType</code></strong> is set to 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicXform&gt;.playbackFrame     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the current playback frame.</p>\n\
<p>Keyframe this property to produce custom playback within the defined range, or set to a static value to load a single frame.</p>\n\
<p>Applicable when . <strong><code>playbackType</code></strong> is set to 3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicXform&gt;.playbackStartGen     Integer    default: 0   --  integer\n\
&lt;AlembicXform&gt;.playbackEndGen     Integer    default: 0   --  integer\n\
&lt;AlembicXform&gt;.playbackTypeGen     Integer    default: 0   --  integer\n\
&lt;AlembicXform&gt;.playbackFrameGen     Integer    default: 0   --  integer\n\
</code></pre><p>Used by the versioning system for Alembic properties. For internal use only.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Matrix3-Controllers.html\">Matrix3 Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Import-and-Export-Filters/Alembic_Export-ExporterPlugin.html\">Alembic_Export : ExporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"../../../Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">Alembic_Import : ImporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-MAXWrapper/Node-Subclasses/Camera-Node/AlembicCamera-Camera.html\">AlembicCamera : Camera</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Alembic/AlembicContainer-GeometryClass.html\">AlembicContainer : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Alembic/AlembicObject-GeometryClass.html\">AlembicObject : GeometryClass</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";