var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C30E05F6-0369-4250-9DC3-CB0507E28A06\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>IK_ControllerMatrix3Controller : Matrix3Controller</h1></div><p>The functions described in this topic provide access to some of the Inverse Kinematics (IK) parameters of the IK controller. The IK controller is typically used by the Bones system in <strong>3ds Max</strong>. You cannot create a Bones system using MAXScript in <strong>3ds Max 3</strong>, but these methods provide access to the IK controller for existing Bones systems. An IK system actually consists of two types of controllers - the driver IK controller and driven IK controllers. The driven IK controllers are used as the transform controller for all nodes in the IK system, and the driver IK controller controls the individual driven IK controllers.</p>\n\
<p>All the IK-related methods are in the <code>ik</code> structure and are associated with a parameter in the Motion panel, IK Controller Parameters rollout. These functions return <code>undefined</code> if executed on an object whose controller is not an IK controller. The controller actually being accessed in these methods is the driver IK controller. Accessing the IK controller for any object in the IK system accesses the same driver IK controller.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The following ik structure methods are still present, but <code>not applicable</code> in <strong>3ds Max 4 and higher</strong>.</p>\n\
<p>Getting/setting via these methods return a value of &apos;undefined&apos;:</p>\n\
<p><code>GetRotThreshold</code></p>\n\
<p><code>SetRotThreshold</code></p>\n\
<p><code>GetPosThreshold</code></p>\n\
<p><code>SetPosThreshold</code></p>\n\
<p><code>GetIterations</code></p>\n\
<p><code>SetIterations</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.GetPosThreshold &lt;node&gt;         \n\
ik.SetPosThreshold &lt;node&gt; &lt;float&gt;      </code></pre><p>Get and set the Position threshold value for the specified object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.GetRotThreshold &lt;node&gt;      \n\
ik.SetPosThreshold &lt;node&gt; &lt;float&gt;   </code></pre><p>Get and set the Rotation threshold value for the specified object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.GetIterations &lt;node&gt;   \n\
ik.SetIterations &lt;node&gt; &lt;integer&gt; </code></pre><p>Get and set the Iterations value for the specified object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.GetStartTime &lt;node&gt; \n\
ik.SetStartTime &lt;node&gt; &lt;time&gt; </code></pre><p>Get and set the Start time for the specified object</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.GetEndTime &lt;node&gt; \n\
ik.SetEndTime &lt;node&gt; &lt;time&gt; </code></pre><p>Get and set the End time for the specified object</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getPinNode &lt;node&gt; </code></pre><p>Gets the node the specified node is bound to in the IK panel as a <code>&lt;node&gt;</code> value, undefined if none.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.setPinNode &lt;node&gt; (&lt;node&gt; | undefined) </code></pre><p>Sets the node the specified node is bound to in the IK panel. If undefined is specified, the node is unbound. Returns true if the bind was successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getPrecedence &lt;node&gt; </code></pre><p>Gets the precedence of the node as specified in the IK panel as an <code>&lt;integer&gt;</code> value</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.setPrecedence &lt;node&gt; &lt;number&gt; </code></pre><p>Sets the precedence of the node as specified in the IK panel. Returns true if the assignment was successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getIsTerminator &lt;node&gt; \n\
ik.setIsTerminator &lt;node&gt; &lt;boolean&gt; </code></pre><p>Get/set whether the node is a terminator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getBindPos &lt;node&gt; \n\
ik.setBindPos &lt;node&gt; &lt;boolean&gt; </code></pre><p>Get/set whether Bind Position is turned on for the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getBindOrient &lt;node&gt; \n\
ik.setBindOrient &lt;node&gt; &lt;boolean&gt; </code></pre><p>Get/set whether Bind Orientation is turned on for the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getAxisActive {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} \n\
ik.setAxisActive {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} &lt;bitarray&gt; </code></pre><p>Get/Set whether each axis is active as a 3 bit bitarray.Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the free <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getAxisLimit {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} \n\
ik.setAxisLimit {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} &lt;bitarray&gt; </code></pre><p>Get/Set whether each axis is limitted as a 3 bit bitarray.Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the free <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getAxisEase {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} \n\
ik.setAxisEase {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} &lt;bitarray&gt; </code></pre><p>Get/Set whether each axis is eased as a 3 bit bitarray.Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the free <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getAxisMin {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} \n\
ik.setAxisMin {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} &lt;point3&gt; </code></pre><p>Get/Set min value for each axis as a Point3.Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the free <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getAxisMax {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} \n\
ik.setAxisMax {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} &lt;point3&gt; </code></pre><p>Get/Set max value for each axis as a Point3.Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the free <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getAxisDamping {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} \n\
ik.setAxisDamping {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} &lt;point3&gt; </code></pre><p>Get/Set damping value for each axis as a Point3.Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the free <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getAxisPreferredAngle {&lt;node&gt; | &lt;controller&gt;} \n\
ik.setAxisPreferredAngle {&lt;node&gt; | &lt;controller&gt;} &lt;point3&gt; </code></pre><p>Get/Set preferred angle for each axis as a Point3.Available in 3ds Max 2008 and higher. Previously available in the free <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getAxisSpringOn {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} \n\
ik.setAxisSpringOn{&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} &lt;bitarray&gt; </code></pre><p>Get/Set whether spring is on for each axis as a 3 bit bitarray.Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the free <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getAxisSpring {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} \n\
ik.setAxisSpring {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} &lt;point3&gt; </code></pre><p>Get/Set spring value for each axis as a Point3.Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the free <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ik.getAxisSpringTension {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} \n\
ik.setAxisSpringTension {&lt;node&gt; | &lt;controller&gt;} {#rotational | #sliding} &lt;point3&gt; </code></pre><p>Get/Set spring tension for each axis as a Point3.Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the free <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>For those controllers that don&apos;t support IK parameters via the access method used for these methods, a value of undefined is returned.</p>\n\
<p>IK controllers do not support the access method used, but access is provided as properties of the IK controller.</p>\n\
<p>If a node is specified, the node&apos;s transform controller is used.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Matrix3-Controllers.html\">Matrix3 Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";