var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EC94D744-7610-4814-83C7-AEF3719FD04C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Barycentric_Morph_Controller Keys</h1></div><p>The morph key functions operate on MAXScript key values that are accessed on Barycentric morph controllers in the same way as keys on other keyable controllers. For Barycentric_Morph_Controller keys, the following properties and methods are accessible:</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;key&gt;.time Time</code></pre><p>Time value or number (interpreted as frames). Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;key&gt;.selected Boolean</code></pre><p>Specifies whether the key is selected. Read/write access.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMKTime &lt;morph_key&gt;</code></pre><p>Returns the given morph key&#x2019;s time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setMKTime &lt;morph_key&gt; &lt;time&gt;</code></pre><p>Sets the time of the given morph key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMKWeight &lt;morph_key&gt; &lt;target_index_integer&gt;</code></pre><p>Gets the weight as a percentage for the numbered target on the given morph key. Targets are numbered in order as seen in the target list in the morph key Track View dialog. This is the order in which the targets were added.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setMKWeight &lt;morph_key&gt; &lt;target_index_integer&gt; &lt;pcnt_float&gt; &lt;keep100%_boolean&gt;</code></pre><p>Sets the percentage weight of the numbered target on the given morph key. The last argument is a boolean, if <code>true</code> adjusts other target weights so the maximum is 100%.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> When using the <code>addnewkey()</code> method to create a key for the Barycentric_Morph_Controller controller, the time component of the key value returned is usually not correct. Use the <code>getMKKey()</code> method to access the created key.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sel1 = sphere radius:30-- target 1\n\
   sel2 = sphere radius:50-- target 2\n\
   createMorphObject sel1-- create the morph object from sel1\n\
   mobj1= sel1.morph-- grab morph controller\n\
   addmorphtarget mobj1 sel2 3-- add sel2 as target - creates key with\n\
   --target weights of 0 and 100%\n\
   k=mobj1.keys[1]-- grab the key\n\
   setMKWeight k 1 100 true-- set target 1 to 100%, keep total 100%\n\
   addnewkey mobj1 50-- create morph key at frame 50\n\
   k=getMKKey mobj1 50-- grab the key\n\
   setMKWeight k 2 100 true-- set target 2 to 100%, keep total 100%\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Sphere:Sphere001 @ [0.000000,0.000000,0.000000] -- result line 1\n\
   $Sphere:Sphere002 @ [0.000000,0.000000,0.000000] -- result line 2\n\
   $Editable_Mesh:Sphere001 @ [0.000000,0.000000,0.000000] -- result line 3\n\
   Controller:Barycentric_Morph_Controller -- result line 4\n\
   2 -- result line 5\n\
   #Barycentric Morph Controller key(1 @ 0f)-- result line 7\n\
   1 -- result line 8\n\
   #Barycentric Morph Controller &lt;invalid key&gt; -- result line 9\n\
   #Barycentric Morph Controller key(3 @ 50f)-- result line 10\n\
   2 -- result line 11\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Morph-Controllers.html\">Morph Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/MAXKey-Values/MAXKey-Common-Properties.html\">MAXKey Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";