var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FFBD92B1-66DE-4F44-8CB2-C9C6CAE54187\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Barycentric_Morph_Controller : MorphController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Barycentric_Morph_Controller - superclass: MorphController; super-superclass:MAXWrapper - classID: #(160575522, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">createMorphObject &lt;source_node&gt;   </code></pre><p>Turns the given scene node into a Morph compound object - does nothing if it already is a Morph object. The returned morph object has a morph controller created accessible via the <code>morph</code> property.</p>\n\
<p>You can access the morph controller on a morph compound object via the <node> <code>morph</code> property, for example:</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">c = $foo.morph-- get the morph controllermk1 = c.keys[1]-- get the first morph key</code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addMorphTarget &lt;morph_controller&gt; &lt;target_node&gt; &lt;add_method&gt; </code></pre><p>Adds a new morph target object to the given morph controller.</p>\n\
<p>The <code>&lt;add_method&gt;</code> argument defines the method of attaching the target and should be a number between 1 and 4 with the following interpretation:</p>\n\
<p>1 - <strong>by reference</strong></p>\n\
<p>2 - <strong>by copy</strong></p>\n\
<p>3 - <strong>by move</strong></p>\n\
<p>4 - <strong>by instance</strong></p>\n\
<p>The return value is an Integer giving the target index of the added target object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setMorphTarget &lt;morph_controller&gt; &lt;target_index_integer&gt; &lt;target_node&gt; &lt;add_method&gt; </code></pre><p>Replaces an existing target with a different scene node. The arguments are the same as for <code>addMorphTarget()</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMKTargetNames &lt;morph_controller&gt; </code></pre><p>Returns an array of names of the targets in the given morph controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteMorphTarget &lt;morph_controller&gt; &lt;target_index_integer&gt; </code></pre><p>Deletes the numbered morph target in the given controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setMorphTargetName &lt;morph_controller&gt; &lt;target_index_integer&gt; &lt;name_string&gt; </code></pre><p>Changes the target name of the numbered target in the given morph controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMKTargetWeights &lt;morph_controller&gt; &lt;time&gt; &lt;dest_array&gt; </code></pre><p>A quick way of retrieving all the target weights for a given key at the time specified. The targets are placed into <code>&lt;dest_array&gt;</code> which must be an array of the right size. You can find out how many targets there by getting the size of the array returned by the <code>getMKTargetNames()</code> function which returns an array of target names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMKKey &lt;morph_controller&gt; &lt;time&gt; </code></pre><p>Returns the morph key on the given controller at the specified time, yields undefined if there is no key at that time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMKKeyIndex &lt;morph_controller&gt; &lt;time&gt; </code></pre><p>Returns the index of the key at the specified time, yields undefined if there is no key at that time.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> When using the <code>addnewkey()</code> method to create a key for the Barycentric_Morph_Controller controller, the time component of the key value returned is usually not correct. Use the <code>getMKKey()</code> method to access the created key.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Morph-Controllers.html\">Morph Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Barycentric_Morph_Controller-1.html\">Barycentric_Morph_Controller Keys</a></li>\n\
          <li><a class=\"link\" href=\"../../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";