var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-88995FDE-6337-415E-A1E9-F6375E214B27\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Path : PositionController</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Path controller has been replaced by the <a href=\"./../../Constraints/Path_Constraint-superclass.html\">Path_Constraint PositionController</a> in <strong>3ds Max 4 and higher</strong>. The description below applies to versions prior to <strong>3ds Max 4</strong> and is thus obsolete and provided for historical and backwards compatibility reference only.</div>\n\
<p><a href=\"./../../Constraints/Path_Constraint-superclass.html\">Path_Constraint : PositionController</a></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">path...      </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;.allowUpsideDown Boolean default: false -- alias: Allow_Upside_Down   </code></pre><p>Turn on to avoid the situation in which an object flips when going around a vertically oriented path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;.axis Integer default: 0 </code></pre><p>axis = 0 - X; 1 - Y; 2 - Z</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;.axisFlip Boolean default: false -- alias: Axis_Flip </code></pre><p>Flips the direction of the object on the path 180 degrees.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;.bank Boolean default: false </code></pre><p>Allows the object to bank (roll) as it negotiates the curves of the spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;. bankAmount Float default: 0.5 -- animatable, alias: Bank_Amount </code></pre><p>The amount of the banking to one side or the other, depending on whether the value is positive or negative.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;.constantVel Boolean default: false -- alias: Constant_Velocity </code></pre><p>Provides a constant velocity along the path. When off, the velocity of the object along the path varies depending on the distance between the vertices on the path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;.follow Booleandefault: false </code></pre><p>Aligns the object to the trajectory as it follows the contour.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;.loop Boolean default: false -- boolean </code></pre><p>When turned on, the path controlled object will loop back to the start point of the path, after the end point is reached.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;.path Node default: undefined&amp;emdash;node; Path_Constraint </code></pre><p>The spline in the scene that you want the selected object to follow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;.pathlist Array default: #() -- node array; SubAnim </code></pre><p>The object will follow the resultant path which is the weighted average of the paths in this array. The weight for each path is found in the corresponding entry in <code>&lt;path&gt;.weightlist</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;.percent Floatdefault: 0.0 -- animatable, percentage </code></pre><p>The percent that the object is positioned along the path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;.relative Boolean default: false -- booleanExample </code></pre><p>When turned on, the path controlled object will maintain the position offset between its initial position and the start point of the path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;.smoothness Float default: 0.5 -- animatable </code></pre><p>Controls how rapidly the roll angle changes as the object moves through bends in the trajectory. Smaller values will make the object more responsive to subtle changes in the curve, while larger values smooth out jerking. The default value is a good value for general damping along the curve. Values below 2 tend to make the action jerky, but values around 3 can be very useful for simulating a certain degree of realistic instability.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path&gt;.weightlist Array default: #() -- float array; Weight; SubAnim </code></pre><p>Array containing weights corresponding to entries in the <code>&lt;path&gt;.pathlist</code> array. The object will follow the resultant path which is the weighted average of the selected paths.</p>\n\
<p>The following script shows an example of assigning and animating a path controller.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   thePath=circle radius:50-- create shape node for path\n\
   theObj=cone radius1:6 radius2:0 height: 15-- create object to travel on path\n\
   theObj.pos.controller=path follow:true -- assign path controller to object\n\
   PosCont=theObj.pos.controller -- grab the path controller\n\
   PosCont.path=thePath -- set path to shape node\n\
   PosCont.axis=2 -- point local Z axis along path\n\
   animate on -- create keys at&amp;ldots;\n\
   (\n\
   at time 30 PosCont.percent=25 -- frame 30 - 25% along path\n\
   at time 100 PosCont.percent=95 -- frame 100 - 95% along path\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Position-Controllers.html\">Position Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";