var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CF4BD614-5A08-4DB6-9039-49EE32AA5178\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>dependsOn For Scripted Controllers</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This is <strong>obsolete</strong> in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>You should assign Nodes to User Variables instead. See <a href=\"Script-Controllers-1.html\">Script Controllers</a></p>\n\
<p><code>dependsOn</code> was used with scripted controllers <strong>in versions prior to 3ds Max 8</strong> to enable interactive update of scripted controllers when the code in them depends on other objects in the scene.</p>\n\
<p>Place a call to <code>dependsOn</code> in the controller script somewhere (usually at the top), with a list of objects on which the controller depends. Interactive changes to any of these objects will cause the object containing the script controller to also update.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   A $foo.pos controller script:\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   dependsOn $foo2 $foo3\n\
   ($foo2.pos + $foo3.pos) / 2\n\
</code></pre></blockquote>\n\
<p>will always keep <code>$foo</code> centered between <code>$foo1</code> and <code>$foo2</code> . The objects given to the <code>dependsOn()</code> function can be any MAX object, controllers, base object, nodes, materials, etc. They must be individual, explicit objects, not wild-card path names or arrays of objects. The object can be the exact controller you want to depend on or any containing object. The strict dependency for the above script would be,</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   dependsOn$foo2.pos.controller $foo3.pos.controller\n\
</code></pre></blockquote>\n\
<p>The simpler <code>$foo2</code> <code>$foo3</code> will catch *any* kind of changes to those nodes or components in them like base objects, modifiers, or materials and update the script-controlled object. The dependency is established the first time the controller is evaluated after any script change or recompile. This can be when editing in a controller property box, or after a scene load.</p>\n\
<p>You can programmatically force a recompile and reset of the dependents by setting the control script to itself:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.pos.controller.script = $foo.pos.controller.script\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Controllers.html\">Script Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Script-Controllers-1.html\">Script Controllers</a></li>\n\
          <li><a class=\"link\" href=\"-This-Local-Variable-in-Scripted.html\">&#x27;This&#x27; Local Variable in Scripted Controllers</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";