var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-25DA5CC7-E8AB-4E6E-92DF-200E121D2CCB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>IKLimb Solver</h1></div><p>The IK Limb Solver is specifically meant for animating the limbs of human characters; for example, the hip to the ankle, or the shoulder to the wrist. It affects only two bones in a chain. It is an analytical solver that is very fast and accurate in viewports.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> To use with the IK Limb solver, a bones system must have <code>three</code> bones in the chain. The goal is placed at the pivot point of the third bone, and the IK solution is calculated for the first and second bones.</div>\n\
<p>The IK Limb solver works not only with bone hierarchies, but with any linked hierarchy that has three elements, and is set up to model a human limb. The additional requirements are:</p>\n\
<ul>\n\
<li><p>The first joint is &quot;spherical.&quot; That is, it has 3 degrees of freedom.</p>\n\
</li>\n\
<li><p>The second joint is &quot;revolute.&quot; That is, it has 1 degree of freedom.</p>\n\
</li>\n\
</ul>\n\
<p>If you attempt to put an IK Limb solver on an inappropriate chain, a warning message informs you that your IK Limb solver assignment has no effect.</p>\n\
<p>The IK Limb solver uses the same controls as the HI IK solver, so it follows the model of setting preference angles for joints, and allows for mixing periods of forward and inverse kinematics in the same animation period. It does not use the HD IK Solver methods of damping, precedence, and setting joint limits.</p>\n\
<p>The source code of the IK Limb solver is provided as is, so it can be exported directly to a game engine.</p>\n\
<p>The joint angles are obtained by computing the transformation (rotation) between the initial chain plane and the target chain plane. The initial chain plane is defined by three unit vectors:</p>\n\
<ol>\n\
<li><p>shoulder-to-elbow unit vector (at the initial pose)</p>\n\
</li>\n\
<li><p>projection of end-effector-axis on a plane perpendicular to the shoulder-to-elbow unit vector (at the initial pose)</p>\n\
</li>\n\
<li><p>cross product of the above two.</p>\n\
</li>\n\
</ol>\n\
<p>Similarly, the target plane is defined by three analogous vectors at the target pose.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Inverse-Kinematics.html\">Inverse Kinematics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IKSys.html\">Interface: IKSys</a></li>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-HDIKSys.html\">Interface: HDIKSys</a></li>\n\
          <li><a class=\"link\" href=\"HD-IK-controller-chains-can-be.html\">HD IK controller chains can be assigned to existing hierarchies</a></li>\n\
          <li><a class=\"link\" href=\"../Controller-Types/Matrix3-Controllers/IKChainControl-Matrix3Controller.html\">IKChainControl : Matrix3Controller</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";