var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FDECDBDE-C741-4CD8-9DE4-F3355490C796\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>OpenEXR : BitmapIO</h1></div><p>The <strong>OpenEXR</strong> class exposes an interface to access the settings of the OpenEXR Output plug-in introduced in <strong>3ds Max 2011</strong>.</p>\n\
<p>This BitmapIO is a complete replacement of the previously availbale MaxOpenEXR BitmapIO plug-in. The older plugin introduced in <strong>3ds Max 8</strong> has been completely removed.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OpenEXR fopenexr</code></pre><p><img src=\"./images/GUID-9B5D6509-1E5A-4232-8F87-966FC7740795-low.gif\" alt></p>\n\
<p><strong>Interface: fopenexr</strong></p>\n\
<p>The <strong>fopenexr interface</strong> exposes no properties and the following methods:</p>\n\
<p><strong>Methods:</strong></p>\n\
<h3 id=\"defaults\">Defaults</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.setDefaults ()</code></pre><p>Ininitalizes OpenEXR handling and its default values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.loadEXRParams &lt;&amp;String&gt;exrName\n\
\n\
exrName is In and Out parameter </code></pre><p>Loads the EXR parameters from the specified EXR file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.saveEXRParams &lt;&amp;String&gt;exrName\n\
\n\
exrName is In and Out parameter</code></pre><p>Saves the EXR parameters from the specified EXR file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.delAllAppDatas ()</code></pre><p>Deletes all appData.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
<h3 id=\"main-render-output\">Main Render Output</h3><p>The following methods give access to the Format and Type settings in the Main Render Output group of controls of the OpenEXR Output Settings dialog.</p>\n\
<h4 id=\"format\">Format</h4><p><img src=\"./images/GUID-BB2FFB45-DE95-4C72-8492-2728A5C4660A-low.gif\" alt></p>\n\
<h4 id=\"type\">Type</h4><p><img src=\"./images/GUID-B8C730C0-14CA-4DD2-AB1C-DB187F3E1527-low.gif\" alt></p>\n\
<h3 id=\"global-options\">Global Options</h3><p>The following methods give access to the Compression, Storage Type and Image Region settings of the OpenEXR Output Settings dialog.</p>\n\
<h4 id=\"compression\">Compression</h4><p><img src=\"./images/GUID-8D2DED3F-A3B6-44F1-A8AD-179B3F704EDA-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;fopenexr.getCompression ()</code></pre><p>Returns an integer corresponding to the selection index of the Compression drop-down list.</p>\n\
<p>Please see the table below for possible values.</p>\n\
<p>Note that the selection index is 0-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.SetCompression &lt;integer&gt;compression</code></pre><p>Sets the Compression drop-down list to the item specified by the integer argument.</p>\n\
<p>The possible values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Code</th>\n\
<th>Compression Type</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>0</strong></td>\n\
<td>No compression</td>\n\
</tr>\n\
<tr>\n\
<td><strong>1</strong></td>\n\
<td>Run-length encoding (RLE)</td>\n\
</tr>\n\
<tr>\n\
<td><strong>2</strong></td>\n\
<td>ZLIB compression, one scanline at a time</td>\n\
</tr>\n\
<tr>\n\
<td><strong>3</strong></td>\n\
<td>ZLIB compression, in blocks of 16 scanlines</td>\n\
</tr>\n\
<tr>\n\
<td><strong>4</strong></td>\n\
<td>PIZ-based wavelet compression</td>\n\
</tr>\n\
<tr>\n\
<td><strong>5</strong></td>\n\
<td>Lossy 24-bit float compression</td>\n\
</tr>\n\
<tr>\n\
<td><strong>6</strong></td>\n\
<td>Lossy 4-by-4 pixel block compression</td>\n\
</tr>\n\
<tr>\n\
<td><strong>7</strong></td>\n\
<td>Lossy 4-by-4 pixel block compression (fixed rate)</td>\n\
</tr>\n\
</tbody></table>\n\
<h4 id=\"storage-type\">Storage Type</h4><p><img src=\"./images/GUID-8C046C7F-D092-4D27-BB1F-EFB7E0BE4CA0-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.getSaveScanline ()</code></pre><p>Returns true if the Storage Type is set to <strong>&quot;Store Image as Scanlines&quot;</strong>, false if it is set to <strong>&quot;Store Image as Tiles&quot;</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.setSaveScanline &lt;boolean&gt;saveScanline</code></pre><p>Sets the Storage Type to <strong>&quot;Store Image as Scanlines&quot;</strong> if the argument is true.</p>\n\
<p>Sets the Storage Type to <strong>&quot;Store Image as Tiles&quot;</strong> if the argument is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;fopenexr.getTileSize ()</code></pre><p>Returns the tile size used when Storage Type is set to Scanline.</p>\n\
<p>The tile size is not exposed to the User Interface.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <strong>Tile Size</strong> option is <strong>not exposed</strong> to the user interface.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.setTileSize &lt;integer&gt;tileSize</code></pre><p>Sets the tile size used when Storage Type is set to Scanline.</p>\n\
<p>The tile size is not exposed to the User Interface.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <strong>Tile Size</strong> option is <strong>not exposed</strong> to the user interface.</div>\n\
<h4 id=\"image-region\">Image Region</h4><p><img src=\"./images/GUID-DD6F7CD7-5389-44C1-A153-FD08844BF97C-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.getSaveRegion ()</code></pre><p>Returns true if the Image Region drop-down list is set to Save Region.</p>\n\
<p>Returns false if the Image Region drop-down list is set to Save Full Image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.setSaveRegion &lt;boolean&gt;saveRegion</code></pre><p>Sets the Image Region option to Save Region if the Boolean argument is true.</p>\n\
<p>Sets the Image Region option to Save Full Image if the Boolean argument is false.</p>\n\
<h3 id=\"openexr-layers\">OpenEXR Layers</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;fopenexr.numLayers ()</code></pre><p>Returns the current number of layers in the EXR file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;fopenexr.getLayerType &lt;integer&gt;layer</code></pre><p>Returns the type of the 0-indexed layer as an integer.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Main Render</strong> Layer - always returned for argument 0</p>\n\
<p>1 - <strong>Render Element</strong> Layer</p>\n\
<p>2 - <strong>G-Buffer Channel</strong> Layer</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stringby value&gt;fopenexr.getLayerName &lt;integer&gt;layer </code></pre><p>Returns the name used in <strong>3ds Max</strong> of the layer specified by the 0-based argument.</p>\n\
<p>For the <strong>Main Render Layer</strong> (integer 0), the value is always an empty string (&quot;&quot;).</p>\n\
<p>For <strong>Render Elements</strong> , this is the name that appears in the Render Elements panel of the Render Setup dialog.</p>\n\
<p>For <strong>G-buffer Channels</strong>, it is the standard name that appears in the user interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.setLayerName &lt;integer&gt;layer &lt;&amp;String&gt;name\n\
\n\
name is In and Out parameter </code></pre><p>Sets the <strong>3ds Max</strong> name for the specified layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stringby value&gt;fopenexr.getLayerOutputName &lt;integer&gt;layer</code></pre><p>Returns the name used in the EXR file of the layer specified by the argument.</p>\n\
<p>This is the name that appears in the Layer column of the Render Elements and G-Buffer Channels lists.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.setLayerOutputName &lt;integer&gt;layer &lt;&amp;String&gt;name</code></pre><p><code>name</code> is In and Out parameter</p>\n\
<p>Sets the name used in the EXR file for the layer specified by the 0-based first argument, where 0 is the Main Render Layer.</p>\n\
<p>This is the name that appears in the Layer column of the Render Elements and G-Buffer Channels lists.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;fopenexr.getLayerOutputType &lt;integer&gt;layer</code></pre><p>Returns the output type of the specified layer.</p>\n\
<p>Possible layer output types are:</p>\n\
<p>0 - <strong>RGBA</strong></p>\n\
<p>1 - <strong>RGB</strong></p>\n\
<p>2 - <strong>Mono</strong></p>\n\
<p>3 - <strong>XYZ</strong> (G-Buffer Channels only)</p>\n\
<p>4 - <strong>XY</strong> (G-Buffer Channels only)</p>\n\
<p>5 - <strong>UV</strong> (G-Buffer Channels only)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.setLayerOutputType &lt;integer&gt;layer &lt;integer&gt;type</code></pre><p>Sets the output type of the layer specified by the first argument to the value of the second argument.</p>\n\
<p>When the first argument is specified as 0, the Main Render Layer&apos;s type will be set.</p>\n\
<p>Possible values of the second argument are:</p>\n\
<p>0 - <strong>RGBA</strong></p>\n\
<p>1 - <strong>RGB</strong></p>\n\
<p>2 - <strong>Mono</strong></p>\n\
<p>3 - <strong>XYZ</strong> (G-Buffer Channels only)</p>\n\
<p>4 - <strong>XY</strong> (G-Buffer Channels only)</p>\n\
<p>5 - <strong>UV</strong> (G-Buffer Channels only)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;fopenexr.getLayerOutputFormat &lt;integer&gt;layer</code></pre><p>Returns the output format for the specified layer.</p>\n\
<p>Possible values are</p>\n\
<p>0 - <strong>FLOAT32</strong></p>\n\
<p>1 - <strong>FLOAT16</strong></p>\n\
<p>2 - <strong>INT32</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.setLayerOutputFormat &lt;integer&gt;layer &lt;integer&gt;format</code></pre><p>Sets the output format of the layer specified by the first argument to the type specified by the second argument.</p>\n\
<p>When the first argument is specified as 0, the Main Render Layer&apos;s format will be set.</p>\n\
<p>Possible values for the second argument are</p>\n\
<p>0 - <strong>FLOAT32</strong></p>\n\
<p>1 - <strong>FLOAT16</strong></p>\n\
<p>2 - <strong>INT32</strong></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   Here is an example of setting the Main Layer&apos;s Output Format and Type:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fopenexr.setLayerOutputFormat 0 0 -- set Main Render to FLOAT32\n\
   fopenexr.setLayerOutputType 0 1 -- set Main Render to RGB\n\
</code></pre></blockquote>\n\
<h4 id=\"render-element-layers\">Render Element Layers</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;fopenxr.getRenderElementByLayer &lt;integer&gt;layer</code></pre><p>Returns the render element as a MAXObject at the specified layer. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenxr.getLayerEnabled &lt;integer&gt;layer</code></pre><p>Returns true if the layer specified is enabled. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.isAutoAddRenderElements ()</code></pre><p>Returns the current state of the &quot;Automatically Add/Remove Render Elements&quot; option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.setAutoAddRenderElements &lt;boolean&gt;add</code></pre><p>Sets the state of the &quot;Automatically Add/Remove Render Elements&quot; option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.addRenderElementLayer &lt;&amp;String&gt;name &lt;&amp;String&gt;outname &lt;integer&gt;type &lt;integer&gt;format \n\
\n\
name is In and Out parameter\n\
outname is In and Out parameter</code></pre><p>Adds a render element layer. You must specify the (3ds Max) name, output (EXR) name, type, and format.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.delRenderElementLayer &lt;&amp;String&gt;name \n\
\n\
name is In and Out parameter</code></pre><p>Deletes a render element layer, specified by its (3ds Max) name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.addRenderElementLayerRef &lt;maxObject&gt;element &lt;&amp;String&gt;outname &lt;integer&gt;type &lt;integer&gt;format \n\
\n\
outname is In and Out parameter</code></pre><p>Adds a render element specified as a MAXObject obtained from the standard Render Element manager.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.delRenderElementLayerRef &lt;maxObject&gt;element</code></pre><p>Deletes the specified render element layer, passed as a MAXObject.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   Here is an example of using a MAXObject variable to add a render element layer:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   reMgr = maxOps.GetCurRenderElementMgr ()\n\
   el = reMgr.getRenderElement 1\n\
   fopenexr.addrenderelementlayerref el &quot;diffuse&quot; 0 0\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>With the two Ref functionsabove, you can manage render element layers that have identical names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;fopenexr.delAllRenderElementLayers ()</code></pre><p>Deletes all render element layers.</p>\n\
<p>Returns the number of layers that were deleted.</p>\n\
<h4 id=\"g-buffer-channel-layers\">G-Buffer Channel Layers</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.addGBufferChannelLayer &lt;integer&gt;channel &lt;&amp;String&gt;name &lt;integer&gt;type &lt;integer&gt;format \n\
\n\
name is In and Out parameter</code></pre><p>Adds a G-buffer channel layer. You must specify the channel, (3ds Max) name, type, and format.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.delGBufferChannelLayer &lt;&amp;String&gt;name \n\
\n\
name is In and Out parameter</code></pre><p>Deletes a G-buffer channel layer, specified by (3ds Max) name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;fopenexr.delAllGBufferLayers ()</code></pre><p>Deletes all G-buffer layers.</p>\n\
<p>Returns the number of layers that were deleted.</p>\n\
<h3 id=\"custom-attributes\">Custom Attributes</h3><p>Using MAXScript, you can save custom attributes, also known as &quot;metadata&quot; to an OpenEXR file. These attributes cancontain arbitrarydataandare ignored by <strong>3ds Max</strong>.</p>\n\
<p>The attributes <code>might be</code> data (such as thecamera attributesdescribedhere) that can be read and used by other OpenEXR applications.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>While the purpose is similar to the custom attributes you can define in the 3ds Max user interface and MAXScript as parameter blocks to store additional object properties, custom attributes for EXR files are completely independent of object attributes.</p>\n\
<p>Each custom attribute has a name and an index.</p>\n\
<p>The name is auser-definedstring.</p>\n\
<p>The index is the0-based indexof the attribute in the order it was added to the file.</p>\n\
<h4 id=\"getting-custom-openexr-attributes\">Getting Custom OpenEXR Attributes</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;fopenexr.numAttributes ()</code></pre><p>Returns the number of custom attributes in the EXR file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stringby value&gt;fopenexr.getAttributeName &lt;integer&gt;attribute</code></pre><p>Returnsthe name ofthe 0-based indexedattribute.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;fopenexr.getAttributeType &lt;integer&gt;attribute</code></pre><p>Returnsthe attribute typeof the 0-based indexed attribute as an integer value.</p>\n\
<p>The attribute type codes are as follows:</p>\n\
<p>FOPENEXR_ATTRIB_STRING=0</p>\n\
<p>FOPENEXR_ATTRIB_FLOAT=1</p>\n\
<p>FOPENEXR_ATTRIB_INT=2</p>\n\
<p>FOPENEXR_ATTRIB_MATRIX=3</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stringby value&gt;fopenexr.getAttributeStringValue &lt;integer&gt;attribute</code></pre><p>Returns the value of the specified 0-based indexedstring attribute.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;fopenexr.getAttributeFloatValue &lt;integer&gt;attribute</code></pre><p>Returnsthe value of the specified0-based indexedfloating-point attribute.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;fopenexr.getAttributeIntValue &lt;integer&gt;attribute</code></pre><p>Returnsthe value of the specified0-based indexedinteger attribute.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3 by value&gt;fopenexr.getAttributeMatrixValue &lt;integer&gt;attribute</code></pre><p>Returnsthe value of the specified0-based indexedtransform matrix attribute.</p>\n\
<h4 id=\"adding-custom-openexr-attributes\">Adding Custom OpenEXR Attributes</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.addStringAttribute &lt;&amp;String&gt;attribute &lt;&amp;String&gt;value \n\
\n\
attribute is In and Out parameter\n\
value is In and Out parameter</code></pre><p>Adds an attribute with a string value, and specifies the name and value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.addFloatAttribute &lt;&amp;String&gt;attribute &lt;float&gt;value \n\
\n\
attribute is In and Out parameter</code></pre><p>Adds an attribute with a floating-point value, and specifies the name and value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.addIntAttribute &lt;&amp;String&gt;attribute &lt;integer&gt;value \n\
\n\
attribute is In and Out parameter</code></pre><p>Adds an attribute with an integer value, and specifies the name and value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.addMatrixAttribute &lt;&amp;String&gt;attribute &lt;matrix3 by value&gt;value \n\
\n\
attribute is In and Out parameter</code></pre><p>Adds an attribute with a transform matrix value, and specifies the name and value.</p>\n\
<h4 id=\"removing-custom-openexr-attributes\">Removing Custom OpenEXR Attributes</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.delAttribute &lt;&amp;String&gt;attribute \n\
\n\
attribute is In and Out parameter</code></pre><p>Deletes the specified attribute.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;fopenexr.delAllAttributes ()</code></pre><p>Deletes all custom attributes from the EXR file.</p>\n\
<p>Returns the number of attributes that were deleted.</p>\n\
<h4 id=\"savingcamera-attributes\">SavingCamera Attributes</h4><p>Camera attributescan be savedwith an EXR file.</p>\n\
<p>The rendering must be made from a Camera viewport.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <strong>Camera Attributes Saving</strong> is <strong>not exposed</strong> to the user interfaceand is only accessible through MAXScript.</div>\n\
<p>These are the camera attribute values saved in the EXR file:</p>\n\
<ul>\n\
<li><p>cameraTransform</p>\n\
</li>\n\
<li><p>cameraProjection</p>\n\
</li>\n\
<li><p>cameraFov</p>\n\
</li>\n\
<li><p>cameraAperture</p>\n\
</li>\n\
<li><p>cameraNearClip</p>\n\
</li>\n\
<li><p>cameraFarClip</p>\n\
</li>\n\
<li><p>cameraNearRange</p>\n\
</li>\n\
<li><p>cameraFarRange</p>\n\
</li>\n\
<li><p>cameraTargetDistance</p>\n\
</li>\n\
</ul>\n\
<p>Camera attributes are a special case of custom attributes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.getSaveCameraAttributes ()</code></pre><p>Returns the current state of the Save Camera Attributes option.</p>\n\
<p>True means the Camera Attributes will be saved with the OpenEXR file.</p>\n\
<p>False means the Camera Attributes will not be saved with the OpenEXR file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenexr.setSaveCameraAttributes &lt;boolean&gt;saveCamera</code></pre><p>Sets the state of Save Camera Attributes option to the Boolean argument.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../BitmapIO-MAXWrapper.html\">BitmapIO : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";