var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-695C13A5-B461-4520-8540-47D18CA23AB0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Access to Custom Attributes Virtual Array</h1></div><p>Custom attributes in MAXScript can now be applied to any type of MAX object, including nodes and the scene rootnode. However, the rollouts associated with the custom attributes will only be displayed for materials, modifiers, and base objects.</p>\n\
<p>A <code>.custAttributes</code> property has been added to MAXWrapper in <strong>3ds Max 5.1</strong>. It contains a virtual array of the custom attributes assigned to the object. Standard array methods and operations can be performed on this virtual array, with the exception of <code>join</code> and <code>sort</code>.</p>\n\
<p>The class of the virtual array is <code>MAXCustAttribArray</code> .</p>\n\
<h2 id=\"supported-methods\">Supported Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">findItem &lt;MAXCustAttribArray&gt; &lt; cust_attrib &gt;      </code></pre><p>Find the given custom attribute in the supplied virtual array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXCustAttribArray&gt; [&lt; integer &gt; | &lt; cust_attrib_name &gt;]</code></pre><p>Get a custom attribute by index or name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXCustAttribArray&gt; [&lt; integer &gt; | &lt; cust_attrib_name &gt;] = &lt; cust_attrib &gt;</code></pre><p>Set a custom attribute by index or name.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> NULL/undefined values cannot be stored in a MAXCustAttribArray, so if you perform an indexed write where the index is greater than the number of existing custom attributes, the custom attribute will be appended to the MAXCustAttribArray.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">append &lt;MAXCustAttribArray&gt; &lt; cust_attrib &gt;   </code></pre><p>Add a custom attribute to the end of the virtual array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteItem &lt;MAXCustAttribArray&gt; (&lt; cust_attrib &gt; | &lt; cust_attrib_name &gt;) </code></pre><p>Delete a custom attribute from the virtual array by providing the custom attribute or its name.</p>\n\
<p>You can also map across the MAXCustAttribArray.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXCustAttribArray&gt;.owner</code></pre><p>Returns the owner of this custom attribute array. Available in <strong>3ds Max 2019.3 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isDeleted &lt;MAXCustAttribArray&gt;</code></pre><p>Returns true if the virtual array is deleted.  A MAXCustAttribArray is considered deleted if the owner is deleted.</p>\n\
<h2 id=\"supported-operators\">Supported Operators</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXCustAttribArray&gt; == &lt;MAXCustAttribArray&gt;\n\
&lt;MAXCustAttribArray&gt; != &lt;MAXCustAttribArray&gt;</code></pre><p>Standard comparison operators.  Note that these compare the attribute container, not whether they contain the same elements.  </p>\n\
<h2 id=\"for-example-\">For Example:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">t = teapot()\n\
--&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
cac = t.custAttributes\n\
--&gt; #CustAttribs()\n\
cac.owner\n\
--&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
delete t\n\
isDeleted t\n\
--&gt; true\n\
isDeleted cac\n\
--&gt; true</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Custom-Attributes.html\">Custom Attributes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Scripted-Custom-Attributes.html\">Scripted Custom Attributes</a></li>\n\
          <li><a class=\"link\" href=\"Adding-Custom-Attributes.html\">Adding Custom Attributes</a></li>\n\
          <li><a class=\"link\" href=\"Global-and-Private-Custom.html\">Global and Private Custom Attributes Definitions</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attribute-Management.html\">Custom Attribute Management Functions</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attributes-Definition.html\">Custom Attributes Definition Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";