var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DAB53D18-EE71-4624-8796-87C74C9261E7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Adding Custom Attributes</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.add &lt;object_or_collection&gt; &lt;attributes_definition&gt; [        #unique] [        BaseObject:&lt;boolean&gt;]      </code></pre><p>Adds a set of attributes to an object or a collection. You can only add one custom attribute set of a particular attributes definition to an object, but you can have as many different attribute sets from different definitions as needed. </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#unique </code></pre><p>When adding custom attributes to an object using the <code>custAttributes.add()</code> function, you can now supply an optional <code>#unique</code> keyword as the third argument. If you do this, each object being added to will have custom attributes added that have their own private copy of the definition and do <code>\\*not\\*</code> share the original definition. Any later redefinitions of the original attributes definition will not update these custom attributes. To update the individual object&apos;s attributes, you would get the unique definition from the object using <code>custAttributes.getDef</code> , and redefine it in one of the two ways described.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If you extract the uniquely-added definition, and use it directly in another non-unique <code>custAttributes.add()</code> on some other object, a definition sharing will be set up. Using <code>#unique</code> when adding a global definition will make the added custom attributes non-global, they will have their own private definition which starts out being identical to the original global definition.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BaseObject:&lt;boolean&gt; </code></pre><p>If the optional keyword argument <code>baseObject</code> is set to <code>true</code> (the default), in case the object specified is a node, the base object will be operated on. If <code>false</code> , the node itself will be operated on.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> In versions priorto <strong>3ds Max 5.1</strong>, the base object was always used.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   custAttributes.add $weapon01 weaponData\n\
</code></pre><p>   Opening $weapon01 in the Modify panel will now display the &quot;Weapon Parameters&quot; rollout and allow them to be edited as can normal object parameters. You can use attribute definitions to add their defined sets of attributes to any object at any time. Any appropriate type of parameter can be animated, also, exactly as with scripted plug-ins.</p>\n\
</blockquote>\n\
<p>The <code>custAttributes.add()</code> function can be applied to an object collection to add sets of attributes to a group of objects in one go.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   custAttributes.add $weapon* the_weaponData\n\
</code></pre><p>   Adds a separate set of these custom attributes to all objects whose names begin &quot;weapon&quot; in the scene.</p>\n\
</blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Further, an object can have any number of separate sets of custom attributes added from different attribute definitions.</p>\n\
<p>As with <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">Scripted plug-ins</a>, an attributes definition can have any number of sets of parameter and rollout clauses, to allow you to organize added attributes into multiple rollouts as needed.</p>\n\
<p>Scripted custom attributes added to an object or modifier can be accessedviaMAXScript. They turn up directlyas properties on the objectsthey are added to. If the names of any of the custom attributes are the same as existing properties on the host object, the custom attributes <strong>are effectively hidden</strong> when accessed directly. As an alternative, you can access each added block of custom attributesby their attributes definition nameand then access individual attributes as properties within that block.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   if the following attributes were added to $box01</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   the_weaponData = attributes weaponData\n\
   (\n\
   parameters main rollout:params\n\
   (\n\
   hitPoints type: #float ui:hits default:10\n\
   cost type: #float ui:cost default:100\n\
   sound type: #string\n\
   )\n\
   rollout params &quot;Weapon Parameters&quot;\n\
   ( \n\
        spinner hits &quot;Hit Points&quot; type: #float\n\
     spinner cost &quot;Cost&quot; type: #float\n\
     dropdownlist sound_dd &quot;Sound&quot; items:# (&quot;boom&quot;,&quot;sparkle&quot;,&quot;zap&quot;,&quot;fizzle&quot;)\n\
    )\n\
   )\n\
</code></pre><p>   the custom attributes could be accessed as</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $box01.hitPoints \n\
   $box01.cost \n\
   $box01.sound </code></pre><p>   or indirectly through the attributes block:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $box01.weaponData.hitPoints \n\
   $box01.weaponData.cost \n\
   $box01.weaponData.sound </code></pre></blockquote>\n\
<p><strong>Adding Custom Attributes Presets</strong></p>\n\
<p>Custom Attributes Presets can be added to an object using the pre-defined attributes definition <code>CustomAttributesPresets</code>, which is defined in the [3dsmax]\\scripts\\Startup\\CustomAttributes.ms file. This corresponds to the &quot;Add Presets Options&quot; checkbox in the <strong>Parameter Editor</strong> in the 3ds Max UI.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   custAttributes.add $weapon* CustomAttributesPresets\n\
</code></pre><p>   Adds Custom Attributes Presets to all objects whose name begins with &quot;weapon&quot; in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   custAttributes.add $weapon.modifiers[#Attribute_Holder] CustomAttributesPresets</code></pre><p>   Adds Custom Attributes Presets to the Attribute Holder Modifier on the $weapon object.</p>\n\
</blockquote>\n\
<p><strong>Next Topic:</strong></p>\n\
<p><a href=\"Global-and-Private-Custom.html\">Global and Private Custom Attributes Definitions</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Custom-Attributes.html\">Custom Attributes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Scripted-Custom-Attributes.html\">Scripted Custom Attributes</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attribute-Management.html\">Custom Attribute Management Functions</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attributes-Definition.html\">Custom Attributes Definition Values</a></li>\n\
          <li><a class=\"link\" href=\"Access-to-Custom-Attributes.html\">Access to Custom Attributes Virtual Array</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attributes-in-Materials.html\">Custom Attributes in Materials and Texture Maps</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";