var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A2579383-CAA2-446B-8034-0502DDBBAAD4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Custom Attributes Definition Values</h1></div><p>Attribute definition values have several directly accessible properties:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;def&gt;.name </code></pre><p>Get and set a descriptive name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;def&gt;.version </code></pre><p>Read-only, the version of the definition.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;def&gt;.source </code></pre><p>Read-only, the source code for the definition.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;def&gt;.defData </code></pre><p>Get and set the user-supplied def data value</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;def&gt;.attribID </code></pre><p>Read-only, a two-element array containing the attribID for the def</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.getDefSource &lt;attrib_def&gt; </code></pre><p>Returns the source code for the attributes definition as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.getOwner &lt;attrib_def&gt; </code></pre><p>Returns the object the custom attribute is applied to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.getDefClass &lt;attrib_def&gt; </code></pre><p>Returns the MAXClass associated with an attrib_def.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Previously available in the <a href=\"./../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.getDefInstances &lt;attrib_def&gt; </code></pre><p>Returns an array of the MSCustAttrib instances of the attrib_def.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Previously available in the <a href=\"./../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.setDefData &lt;def&gt; &lt;data&gt; </code></pre><p>Adds user-supplied data to an attributes definition.</p>\n\
<p>The &lt; <code>data</code> &gt; value supplied here will be stored persistently with the definition and loaded on scene loads containing attribute sets of this definition.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.getDefData &lt;attrib_def&gt; </code></pre><p>Returns the saved user-supplied data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.getPBlockDefs &lt;attrib_def&gt; </code></pre><p>These methods return an array containing a runtime readable encoding of all of the parameter block definitions in the custAttributes definition.</p>\n\
<p>The array is presented in the following form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#(&lt;paramblock&gt;, &lt;paramblock2&gt;, ...) </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;paramblock&gt; </code></pre><p>An array of details for one parameter block in this form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#(&lt;name&gt;, &lt;id&gt;, &lt;refno&gt;, &lt;keyword_params&gt;, &lt;parameter1&gt;, &lt;parameter2&gt;, &lt;parameter3&gt;, ....)   &lt;id&gt; </code></pre><p>The parameter block&#x2019;s internal ID number</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;refno&gt; </code></pre><p>The reference number of the parameter block in the owning plug-in instance</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;keyword_params&gt; </code></pre><p>An array of the keyword parameters given on the parameter block definition in the form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#(&lt;keyword&gt;, &lt;value&gt;, &lt;keyword2_name&gt;, &lt;value2&gt;, ...) &lt;Parameter1 to ParameterN </code></pre><p>Definition details for each parameter in the block in the following form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#(&lt;param_name&gt; &lt;keyword_params&gt;) </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;keyword_params&gt; </code></pre><p>An array containing all of the keyword parameters specified on that parameter&apos;s definition in the cust attrib definition, in the same form as the <code>&lt;keyword_params&gt;</code> above.</p>\n\
<p>Here is a function that will extract ParameterBlock data from a custom attribute.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mapped fn custAttribute_showPBlockDefs obj = \n\
   ( \n\
     format &quot;%\\n&quot; obj.name \n\
     for objDef in (custAttributes.getDefs obj) do \n\
     ( \n\
       format &quot;\\t%\\n&quot; objDef \n\
       format &quot;\\tname: %\\n&quot; objDef.name \n\
       format &quot;\\tattribute id: %\\n&quot; objDef.attribID   \n\
       format &quot;\\tParameter Blocks:&quot; \n\
       pbArray = custAttributes.getPBlockDefs objdef \n\
       for a = 1 to pbArray.count do \n\
       ( \n\
         itms = pbArray [a]   \n\
         format &quot;\\n\\t\\tname = %\\n&quot; itms[1] \n\
         format &quot;\\t\\tid = %\\n&quot; itms[2] \n\
         format &quot;\\t\\towners reference number = %\\n&quot; itms[3] \n\
         keywordParams = itms[4] \n\
         format &quot;\\t\\tparameter block keywords:\\n&quot; \n\
         for x = 1 to keywordParams.Count/2 do \n\
         ( \n\
           format &quot;\\t\\t\\t% = %\\n&quot; keywordParams[x] keywordParams[x+1] \n\
           x = x+1 \n\
         ) \n\
         format &quot;\\t\\tparameters:&quot; \n\
         for y = 5 to itms.Count do \n\
         ( \n\
           format &quot;\\n\\t\\t\\t#name = %\\n&quot; itms[y][1] \n\
           for z = 1 to itms[y][2].Count by 2 do \n\
           ( \n\
             format &quot;\\t\\t\\t% = %\\n&quot; itms[y][2][z] itms[y][2][z+1] \n\
           ) \n\
         ) \n\
       ) \n\
     ) \n\
   ) \n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.getSceneDefs () </code></pre><p>Returns an array of all the attribute definitions in the current scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">custAttributes.deleteDef &lt;attrib_def&gt; </code></pre><p>Deletes the given attribute definition from the current scene and the current running <strong>3ds Max</strong> session. There must be no objects in the scene containing custom attributes added using this definition.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The name can be obtained via the <code>.name</code> property.</div>\n\
<p><strong>Next Topic:</strong></p>\n\
<p><a href=\"Access-to-Custom-Attributes.html\">Access to Custom Attributes Virtual Array</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Custom-Attributes.html\">Custom Attributes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Scripted-Custom-Attributes.html\">Scripted Custom Attributes</a></li>\n\
          <li><a class=\"link\" href=\"Adding-Custom-Attributes.html\">Adding Custom Attributes</a></li>\n\
          <li><a class=\"link\" href=\"Global-and-Private-Custom.html\">Global and Private Custom Attributes Definitions</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attribute-Management.html\">Custom Attribute Management Functions</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attributes-in-Materials.html\">Custom Attributes in Materials and Texture Maps</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";