var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-ADFD29E4-9751-4F55-98CC-F7C721C9AEE2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Custom Attributes</h1></div><p><code>Custom Attributes</code> let you create and assign additional parameters to any object, modifier, or material in your scene. This is useful for game and other project-specific data.</p>\n\
<p>MAXScript provides a way to define and add these custom attributes to objects in a scene, and also a way to define UI rollups for accessing these attributes.</p>\n\
<p><strong>Custom Attributes Topics:</strong></p>\n\
<p><a href=\"Adding-Custom-Attributes.html\">Adding Custom Attributes</a></p>\n\
<p><a href=\"Global-and-Private-Custom.html\">Global and Private Custom Attributes Definitions</a></p>\n\
<p><a href=\"Custom-Attribute-Management.html\">Custom Attribute Management Functions</a></p>\n\
<p><a href=\"Custom-Attributes-Definition.html\">Custom Attributes Definition Values</a></p>\n\
<p><a href=\"Access-to-Custom-Attributes.html\">Access to Custom Attributes Virtual Array</a></p>\n\
<p><a href=\"Custom-Attributes-in-Materials.html\">Custom Attributes in Materials and Texture Maps</a></p>\n\
<h3 id=\"attribute-definitions\">Attribute Definitions</h3><p>Attributes can be added to an object using an &quot; <code>attribute definition</code> &quot;. This is a syntactic construct in MAXScript that is similar to a <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">scripted plug-in definition</a>, but rather than adding a new plug-in class, a definition is built to add custom attributes and rollout UI to any number of objects at any time through a special function.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> You <code>cannot</code> use Custom Attributes per face-data. The face-data channels store objects of a user defined type and MAXScript cannot create objects of types other than those known by MAXScript.</div>\n\
<p><strong>The syntax has the following form:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">attributes &lt;name&gt; [version:n] [silentErrors:t/f] [initialRollupState:0xnnnnn] [remap:#(&lt;old_param_names_array&gt;, &lt;new_param_names_array&gt;)]\n\
(\n\
&lt;locals&gt;\n\
&lt;globals&gt;\n\
&lt;parameters&gt;\n\
&lt;rollouts&gt;\n\
&lt;handlers&gt;\n\
)\n\
</code></pre><p><strong>Remarks</strong></p>\n\
<p>The name is a descriptive name for the definition and can be either a <code>&lt;name&gt;</code> or a <code>&lt;string&gt;</code>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   gameDataCA = attributes &quot;Game Data&quot;\n\
   (\n\
   ...\n\
   )\n\
   or\n\
   attributes gameData\n\
   (\n\
   ...\n\
   )\n\
</code></pre></blockquote>\n\
<p>The attribute header keyword parameters and main clauses are basically identical to the same keyword parameters and clauses in <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">Scripted Plug-ins</a>. The &apos;custom attributes&apos; are effectively the parameters defined in any parameter clauses in the body of the attributes definition. The UI for them is defined by the rollout clauses, which will be automatically displayed in the Command Panel and Material Editor when an object containing custom attributes is selected.</p>\n\
<p>The <code>initialRollupState</code> argument is an integer whose 32 bits are used to initialize the rollouts&apos; rollup state in both the create and modify panel. However, the semantics are different for these two cases. Whenever the rollouts are created in the create tab, their state will be specified by this value. In the modify tab, the first time an object of this type is modified, the state will be that of this value, but after that it will remain what it was last set to. The bits of this value indicate the corresponding rollout is rolled up (closed). The zero bit corresponds to the first rollout, the first bit is the second rollout, and so on. The default value of 0x7fffffff is used, so the command panel can detect that this value is not being overridden, and leave the rollouts as is. For example, a value of 0x07 results in the first three rollouts being rolled up, and the remaining rollouts open (2^2+2^1+2^0 = 4+2+1 = 7).</p>\n\
<p>The following example defines three new attributes for weapon objects in a game level editor set up. The attributes, hitPoints, cost, and sound are defined as parameters and the UI for them in a rollout:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   weaponDataCA= attributes weaponData\n\
   (\n\
   parameters main rollout:params\n\
   (\n\
   hitPoints type:#float ui:hits default:10\n\
   cost type:#float ui:cost default:100\n\
   sound type:#string\n\
   )\n\
\n\
   rollout params &quot;Weapon Parameters&quot;\n\
   (\n\
   spinner hits &quot;Hit Points&quot; type: #float\n\
   spinner cost &quot;Cost&quot; type: #float\n\
   dropdownlist sound_dd &quot;Sound&quot; items:# (&quot;boom&quot;,&quot;sparkle&quot;,&quot;zap&quot;,&quot;fizzle&quot;)\n\
\n\
   on sound_dd selected i do sound = sound_dd.items [i]\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The auto-UI connection between the parameters and rollout items using the UI and keyword is the same as the support in <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">Scripted Plug-ins</a>. You can treat attribute scripting as basically identical to scripting plug-ins in terms of parameter, rollout setup, and handler programming.</p>\n\
<p>Since <strong>3ds Max 5.1</strong>, scripted custom attributes can be applied to any MAXWrapper object such as, base objects, modifiers, materials, nodes, controllers, <a href=\"./../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">rootnodes</a>, render effects, and others.</p>\n\
<p>Custom attributes is currently supported only in the Material Editor and the Command Panel, so you can only see any rollouts associated with the custom attributes on base objects, modifiers, and materials.</p>\n\
<h3 id=\"remapping-parameters-when-redefining-custom-attributes\">Remapping Parameters when Redefining Custom Attributes</h3><p>The optional <code>remap:</code> keyword allows parameter names in the definitions to be changed when updating existing definitions. It is also available in <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">Scripted Plug-ins</a>.</p>\n\
<p>The keyword takes as an argument a two element array, where each element contains an array of string literal or name values. The size of the two arrays must be the same.</p>\n\
<p>The names in the first array are the existing parameter names and the names in the second array are the new parameter names. As parameter names are read in while migrating existing plugin instances, the parameter names are searched for in the first array. If the name is found, the data associated with that parameter is moved to the parameter name in the corresponding location in the second array. If a parameter name is not found in the first array, the parameter name is not remapped. If the parameter name in the second array does not match a parameter name in the new definition, the parameter data is not moved to the new definition.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   CAT_DEF = attributes Custom_Attributes\n\
   Redefine:CAT_CurrentDef\n\
   remap: # (# (&quot;Param1&quot;),# (&quot;Param9&quot;))\n\
   (\n\
   Parameters main rollout:params\n\
   (\n\
   &apos;Param9&apos; Type:# float UI:&apos;Param9&apos; Default:0.0\n\
   &apos;Param2&apos; Type:# float UI:&apos;Param2&apos; Default:0.0\n\
   )\n\
   Rollout Params &quot;Custom Attributes&quot;\n\
   (\n\
   spinner &apos;Param9&apos; &quot;Param9&quot; Width:160 Height:16 Align: # Center Type: # float Range:[0,100,0]\n\
   spinner &apos;Param2&apos; &quot;Param2&quot; Width:160 Height:16 Align: # Center Type: # float Range:[0,100,0]\n\
   )\n\
   )\n\
   CustAttributes.add CAT_TargetObject CAT_DEF #Unique BaseObject : false\n\
</code></pre></blockquote>\n\
<p>This will move the data associated with Param1 to Param9 in existing instances.</p>\n\
<p><strong>Next Topic:</strong></p>\n\
<p><a href=\"MSCustAttribDef-Class.html\">MSCustAttribDef Class</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Custom-Attributes.html\">Custom Attributes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Global-and-Private-Custom.html\">Global and Private Custom Attributes Definitions</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attribute-Management.html\">Custom Attribute Management Functions</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attributes-Definition.html\">Custom Attributes Definition Values</a></li>\n\
          <li><a class=\"link\" href=\"Access-to-Custom-Attributes.html\">Access to Custom Attributes Virtual Array</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attributes-in-Materials.html\">Custom Attributes in Materials and Texture Maps</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">Scripted Plug-in Clauses</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";