var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2616CE55-CE46-404B-8BB9-2C7E4D379D8C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mesh Edge Methods</h1></div><p>The following methods provide basic access to the mesh edges.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#edge-visibility\">Edge Visibility</a></li>\n\
<li><a href=\"#edge-selection\">Edge Selection</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><strong>Methods:</strong></p>\n\
<h2 id=\"edge-visibility\">Edge Visibility</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getEdgeVis &lt;mesh&gt; &lt;face_index_integer&gt; &lt;edge_index_integer&gt;</code></pre><p>Returns the edge visibility for given edge (1,2,3) on indexed face as a boolean.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setEdgeVis &lt;mesh&gt; &lt;face_index_integer&gt; &lt;edge_index_integer&gt; &lt;boolean&gt;</code></pre><p>Sets the edge visibility for given edge (1,2,3) on indexed face.</p>\n\
<h2 id=\"edge-selection\">Edge Selection</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getEdgeSelection &lt;node&gt; [&lt;modifier_or_index&gt;] [name:&lt;name&gt; ]</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getEdgeSelection &lt;mesh&gt;</code></pre><p>Retrieves the edge selection set, or the specified named selection set if the optional <code>name:</code> parameter is specified, as a BitArray. See the <code>getVertSelection()</code> method for more information.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setEdgeSelection &lt;node&gt; [&lt;modifier_or_index&gt;] ( &lt;sel_bitarray&gt; | &lt;sel_array&gt; ) [name:&lt;name&gt; ] [keep:&lt;boolean&gt; ]</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setEdgeSelection &lt;mesh&gt; ( &lt;sel_bitarray&gt; | &lt;sel_array&gt; ) [keep:&lt;boolean&gt; ]</code></pre><p>Sets the edge selections in an Editable Mesh base object, Mesh Select modifier, Edit Mesh Modifier, Poly Select Modifier, or TriMesh. This mirrors the selection getting method above. See the <code>setVertSelection()</code> method for more information.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deselectHiddenEdges &lt;mesh&gt;</code></pre><p>Deselects the hidden edges in the mesh. This method is not applicable to TriMeshes.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <strong>3ds Max</strong> defines an edge as the edge of a face. In any mesh object, the number of edges is 3 times the number of faces. A face has 3 vertices, and the face edges connect these vertices. Edges 1, 2, and 3 are the edges between vertices 1 and 2, 2 and 3, and 3 and 1, respectively. The first edge in a mesh is edge 1 on face 1, and the last edge is edge 3 on the last face. The following script selects all of the visible edges in the specified mesh:</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = convertToMesh (Sphere()) -- Create a Sphere, turn to EMesh\n\
   obj.allEdges = true -- Show all edges\n\
   select obj -- Select the mesh\n\
   max modify mode -- Switch to Modify panel\n\
   subObjectLevel = 2 -- Set Sub-Object level to Edge\n\
   edgeSelSet=#() -- Init. an Array\n\
   for face = 1 to obj.numfaces do -- Go through all faces\n\
   for edge = 1 to 3 do -- And for every of the 3 edges\n\
   if (getedgevis obj face edge) do -- If the visibility is true,\n\
   append edgeSelSet (((face-1)*3)+edge) --collect the edge\n\
   setedgeselection obj edgeSelSet -- Select all visible edges\n\
</code></pre><p>   <img src=\"./images/GUID-60A1BF8D-6DF4-410C-9D1E-A0190255D55F-low.gif\" alt> <img src=\"./images/GUID-01EC9C1F-80B5-474D-9EBD-E6D1053C3110-low.gif\" alt></p>\n\
</blockquote>\n\
<p>The following function returns the indices of the 2 vertices that define an edge as a Point2 value. The two arguments to the function are an editable mesh node or TriMesh value and the edge index. A value of <code>undefined</code> is returned if the first argument isn&apos;t an editable mesh node or TriMesh value, or if the edge index is out of range.</p>\n\
<blockquote>\n\
<p>   <strong>FUNCTION</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn edgeVerts theObj theEdge =\n\
   (\n\
   if not (classof theObj == Editable_mesh or classof theObj == triMesh) do\n\
   return undefined\n\
   if theEdge &lt; 1 or theEdge &gt;(theObj.numfaces*3) do\n\
   return undefined\n\
   local theFace = ((theEdge-1)/3)+1\n\
   local theVerts = getFace theObj theFace\n\
   case ((mod (theEdge-1)3) as integer) of\n\
   (\n\
     0: point2 theVerts.x theVerts.y\n\
     1: point2 theVerts.y theVerts.z\n\
     2: point2 theVerts.z theVerts.x\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\"Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Meshop-Edge-Methods.html\">Meshop Edge Methods</a></li>\n\
          <li><a class=\"link\" href=\"Meshop-Edge-Methods.html\">Meshop Edge Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";