var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-58D1F8B6-0012-4727-AA29-B2C79EA46E16\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mesh Face Methods</h1></div><p>The following methods provide basic access to the mesh faces.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#face-number\">Face Number</a></li>\n\
<li><a href=\"#get-and-set-face\">Get and Set Face</a></li>\n\
<li><a href=\"#delete-and-collapse-face\">Delete And Collapse Face</a></li>\n\
<li><a href=\"#face-normal\">Face Normal</a></li>\n\
<li><a href=\"#face-material-id\">Face Material ID</a></li>\n\
<li><a href=\"#face-smoothing-groups\">Face Smoothing Groups</a></li>\n\
<li><a href=\"#face-selection\">Face Selection</a></li>\n\
<li><a href=\"#extrude-face\">Extrude Face</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><strong>Methods:</strong></p>\n\
<h2 id=\"face-number\">Face Number</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNumFaces &lt;mesh&gt;</code></pre><p>Returns number of faces as an integer, equivalent to using <code>&lt;mesh&gt;.numfaces</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setNumFaces &lt;mesh&gt; &lt;face_index_integer&gt; [ &lt;boolean&gt; ]</code></pre><p>Set the number of faces as specified. If the optional boolean argument is true, the existing topology remains intact. If it is false or left off, the topology is lost.</p>\n\
<p>For all new faces, the following occurs:</p>\n\
<ul>\n\
<li><p>Smoothing group set to 1</p>\n\
</li>\n\
<li><p>Vertices are set to [1,1,1] (1-based, if # verts is 0 at update, you will crash. It is expected at this point)</p>\n\
</li>\n\
<li><p>Material ID is set to 1 (1-based)</p>\n\
</li>\n\
<li><p>For each map channel in use:</p>\n\
<ul>\n\
<li><p>the map face verts are set to [1,1,1]</p>\n\
</li>\n\
<li><p>if keep is false, the number of map verts is set to 1 its verts are set to [1,1,1] (1-based)</p>\n\
</li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<h2 id=\"get-and-set-face\">Get and Set Face</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFace &lt;mesh&gt; &lt;face_index_integer&gt;</code></pre><p>Returns the face vertex indexes for the indexed face as a point3. Each component of the point3 value contains a vertex index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setFace &lt;mesh&gt; &lt;face_index_integer&gt; &lt;vert_indices_point3&gt;</code></pre><p>Sets the face vertex indexes for the indexed face from a point3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setFace &lt;mesh&gt; &lt;face_index_integer&gt; &lt;vert_index_integer&gt; &lt;vert_index_integer&gt; &lt;vert_index_integer&gt;</code></pre><p>Sets the face vertex indexes for the indexed face from 3 vertex indexes.</p>\n\
<h2 id=\"delete-and-collapse-face\">Delete And Collapse Face</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteFace &lt;mesh&gt; &lt;face_index_integer&gt;</code></pre><p>Deletes indexed face from the mesh. Renumbers faces accordingly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">collapseFace &lt;mesh&gt; &lt;face_index_integer&gt;</code></pre><p>Deletes indexed face from the mesh, welding its 3 vertices together at the center of the original face. Renumbers faces accordingly.</p>\n\
<h2 id=\"face-normal\">Face Normal</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFaceNormal &lt;mesh&gt; &lt;face_index_integer&gt;</code></pre><p>Returns the normal of the indexed face as a point3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setFaceNormal &lt;mesh&gt; &lt;face_index_integer&gt; &lt;point3&gt;</code></pre><p>Sets the indexed face&apos;s normal vector. As soon as you run <code>update()</code> on the mesh, this value is overwritten.</p>\n\
<h2 id=\"face-material-id\">Face Material ID</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFaceMatID &lt;mesh&gt; &lt;face_index_integer&gt;</code></pre><p>Returns the indexed face&apos;s material ID as an integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setFaceMatID &lt;mesh&gt; &lt;face_index_integer&gt; &lt;integer&gt;</code></pre><p>Sets the indexed face&apos;s material ID.</p>\n\
<h2 id=\"face-smoothing-groups\">Face Smoothing Groups</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFaceSmoothGroup &lt;mesh&gt; &lt;face_index_integer&gt;</code></pre><p>Returns the indexed face&apos;s smoothing groups as a 32-bit integer. There are 32 possible smoothing groups. Each bit in the returned value corresponds to a smoothing group. If a bit is turned on, the face is part of that smoothing group. You can retrieve the list of smoothing groups for a face as a BitArray using the following function:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn getFaceSmoothGroupB obj face =\n\
   (\n\
   local sgroup_val=getFaceSmoothGroup obj face\n\
   local sg_bitarray=#{}\n\
   if sgroup_val &lt; 0 do\n\
   (\n\
   sg_bitarray[32]=true\n\
   sgroup_val -= 2^31\n\
   )\n\
   for i = 1 to 31 do\n\
   (\n\
   sg_bitarray[i]= (mod sgroup_val 2 &gt; .5)\n\
   sgroup_val /= 2\n\
   )\n\
   sg_bitarray\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setFaceSmoothGroup &lt;mesh&gt; &lt;face_index_integer&gt; &lt;smoothing_group_integer&gt;</code></pre><p>Sets the indexed face&apos;s smoothing groups. If you have a face&apos;s desired smoothing groups as a BitArray, you could set the face&apos;s smoothing group data using the following function:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn setFaceSmoothGroupB obj face sg_bitarray =\n\
   (\n\
   local sgroup_val=0\n\
   for i in sg_bitarray do sgroup_val += 2^(i-1)\n\
   setFaceSmoothGroup obj face sgroup_val\n\
   update obj\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"face-selection\">Face Selection</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFaceSelection &lt;node&gt; [ &lt;modifier_or_index&gt; ] [name:&lt;name&gt; ]\n\
\n\
getFaceSelection &lt;mesh&gt;</code></pre><p>Retrieves the face selection set, or the specified named selection set if the optional <code>name:</code> parameter is specified, as a BitArray. See the <code>getVertSelection()</code> method for more information.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setFaceSelection &lt;node&gt; [ &lt;modifier_or_index&gt; ] ( &lt;sel_bitarray&gt; | &lt;sel_array&gt; ) [name:&lt;name&gt; ] [keep:&lt;boolean&gt; ]\n\
\n\
setFaceSelection &lt;mesh&gt; ( &lt;sel_bitarray&gt; | &lt;sel_array&gt; ) [keep:&lt;boolean&gt; ]\n\
</code></pre><p>Sets the face selections in an Editable Mesh base object, Mesh Select modifier, Edit Mesh modifier, Poly Select Modifier, or TriMesh. This mirrors the selection getting method above. See the <code>setVertSelection()</code> method for more information.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deselectHiddenFaces &lt;mesh&gt;</code></pre><p>Deselects the hidden faces in the mesh. This method is not applicable to TriMeshes.</p>\n\
<h2 id=\"extrude-face\">Extrude Face</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">extrudeFace &lt;mesh&gt; ( &lt;index&gt; | &lt;bitarray&gt; | &lt;integer_array&gt; | #selection) &lt;amount&gt; &lt;scale&gt; [dir:(&lt;point3&gt; | #common | #independent) ]</code></pre><p>Provides capabilities equivalent to the Extrude Face modifier. This function works only on Editable Mesh nodes. The second argument defines which faces to extrude, either a single face index, a BitArray of face indexes, an integer array of face indexes, or the name literal <code>#selection</code> meaning the current face selection in the Editable Mesh. The <code>&lt;amount&gt;</code> argument specifies the extrude distance and the <code>&lt;scale&gt;</code> specifies a % amount to scale each face cluster.</p>\n\
<p>If the optional <code>dir:</code> keyword argument is not specified, face clusters are extruded by moving their vertices independently along the average normal at each vertex, as does the Extrude Face modifier. If it is specified, it can be a point3 giving a direction vector in which <strong>all</strong> vertices are moved, or it can be the value <code>#independent</code> which is the same as the default direction, or it can be the value <code>#common</code> which extrudes face clusters along the average normal of all the face normals in each cluster. <code>#common</code> is equivalent to the Group Normal option in EditableMesh, and <code>#independent</code> is equivalent to the Local Normal option.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s=sphere()\n\
   convertToMesh s\n\
   extrudeface s #{1..16} 10 100 dir:#independent\n\
   update s\n\
</code></pre><p>   <img src=\"./images/GUID-75ACDCB4-DB76-46E7-BF9B-861C3656DCD4-low.gif\" alt></p>\n\
</blockquote>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\"Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Meshop-Face-Methods.html\">Meshop Face Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Methods.html\">Mesh Methods</a></li>\n\
          <li><a class=\"link\" href=\"Meshop-Face-Methods.html\">Meshop Face Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Methods.html\">Mesh Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";