var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BD473113-389F-4C96-BE07-217FF75796EF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mesh Vertex Methods</h1></div><p>The following methods provide basic access the to Mesh vertices and vertex normals.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#mesh-vertexaccess-\">Mesh VertexAccess:</a></li>\n\
<li><a href=\"#meshvertex-normal\">MeshVertex Normal</a></li>\n\
<li><a href=\"#meshvertex-selection-\">MeshVertex Selection:</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><strong>Methods:</strong></p>\n\
<h2 id=\"mesh-vertexaccess-\">Mesh VertexAccess:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNumVerts &lt;mesh&gt;</code></pre><p>Returns number of vertices as an integer, equivalent to using <code>&lt;mesh&gt;.numverts.</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setNumVerts &lt;mesh&gt; &lt;vert_index_integer&gt; [ &lt;boolean&gt; ]</code></pre><p>Set the number of vertices as specified. If the optional boolean argument is <code>true</code> , the existing topology remains intact. If it is <code>false</code> or left off, the topology is lost.</p>\n\
<p>When setting the number of vertices using the <code>numVerts</code> property or the <code>setNumVerts</code> method, the new vertices are initialized to [0.,0.,0.]</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getVert &lt;mesh&gt; &lt;vert_index_integer&gt;</code></pre><p>Returns the position (in the current working coordinate system) of the indexed vertex as a point3</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setVert &lt;mesh&gt; &lt;vert_index_integer&gt; ( &lt;point3&gt; | &lt;float&gt; &lt;float&gt; &lt;float&gt; )</code></pre><p>Sets the position coordinates of the indexed vertex as a point3 value, or 3 floats - X,Y,Z</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> This low-level mesh method does NOT handle creation of vertex animation, even if the vertices have been prepared using <code>animateVertex theMesh #all</code> and the method is called within an <code>animate on</code> context!\n\
To operate on animated meshes, use the <code>meshop.setVert()</code> method instead.</p>\n\
\n\
</div></div>\n\
\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = sphere() --create a Sphere\n\
   convertToMesh obj --collapse to EditableMesh\n\
   for v = 1 to getNumVerts obj do --loop through all vertices\n\
   (\n\
   vert = getVert obj v --get the v-th vertex\n\
   vert.z = 0.0 --change the Z coordinate to 0.0\n\
   setVert obj v vert --assign back to the v-thvertex\n\
   )\n\
   update obj --update the mesh - the sphere should be flattened\n\
</code></pre><p>   <img src=\"./images/GUID-56447D3E-6486-4BD6-BA00-E4FDE47F2A78-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteVert &lt;mesh&gt; &lt;vert_index_integer&gt;</code></pre><p>Deletes the indexed vertex from the mesh and all faces that share the vertex. Renumbers vertices and faces to account for the deletions. Also adjusts face vertex indexes as necessary.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   p = plane() --create a Plane\n\
   convertToMesh p --collapse toEditable_Mesh\n\
   deleteVert p 13 --delete vertex 13 (the middle vertex)\n\
   update p --update the mesh\n\
</code></pre></blockquote>\n\
<h2 id=\"meshvertex-normal\">MeshVertex Normal</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNormal &lt;mesh&gt; &lt;vert_index_integer&gt;</code></pre><p>Returns the normal at the indexed vertex&apos;s position as a point3. The normal is based on the faces that use the vertex and the smoothing groups assigned to those faces.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = geosphere() --create a GeoSphere\n\
   convertToMesh obj --collapse to Editable_Mesh\n\
   --Count backwards from the last vertex to the first.\n\
   --This is necessary because we intend to deletevertices\n\
   --and this will renumber the remaining ones. Counting backwards\n\
   --ensures the renumbering does not affect the loop:\n\
   for v = obj.numVerts to 1 by -1 do\n\
   (\n\
   --get the vertex normal and get the dot product with the +Z vector\n\
   --If the result is less than the specifiedthreshold,\n\
   --then delete the vertex the normal belongs to\n\
   if dot (getNormal obj v) [0,0,1] &lt;= -0.25 do deleteVert obj v\n\
   )\n\
   update obj --update the mesh\n\
</code></pre><p>   <img src=\"./images/GUID-9F608830-AD1F-47DC-8659-BDDF9D3589A3-low.gif\" alt> <img src=\"./images/GUID-FFF48B7D-6F91-49AE-BE53-1FCD3F4457A1-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setNormal &lt;mesh&gt; &lt;vert_index_integer&gt; &lt;point3&gt;</code></pre><p>Sets the indexed vertex&apos;s normal vector.</p>\n\
<p>Since <strong>3ds Max 2015</strong>, setting a vertex normal sets the normal as Explicit, so it will retain its value when the mesh gets updated. In versions prior to <strong>3ds Max 2015</strong>, setting the vertex normal using MAXScript had only a very short lasting effect because the data would be easily overwritten by the Smoothing Group-based implicit normal recalculation on viewport redraw or scene rendering.</p>\n\
<h2 id=\"meshvertex-selection-\">MeshVertex Selection:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getVertSelection &lt;node&gt; [ &lt;modifier_or_index&gt; ] [ name:&lt;name&gt; ]\n\
getVertSelection &lt;mesh&gt;\n\
</code></pre><p>Returns the current vertex selection set, or the specified named selection set if the optional <code>name:</code> parameter is specified, as a BitArray. The optional <code>&lt;modifier_or_index&gt;</code> identifies the Edit Mesh, Mesh Select, or Poly Select modifier on the given scene object from which the selection BitArray is obtained.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   getVertSelection $foo $foo.modifiers[3]\n\
</code></pre></blockquote>\n\
<p>If the optional <code>&lt;modifier_or_index&gt;</code> argument is not supplied, the <code>&lt;node&gt;</code> must be an Editable Mesh object and the selection is taken from <em>the top of the modifier stack</em>. If <code>&lt;modifier_or_index&gt;</code> is supplied, it must be either a modifier on the node or a number. If it is a modifier, it must be either an Edit Mesh or a Mesh Select modifier. If it is a number, it is used as an index into the Edit Mesh/Select Modifiers on the <code>&lt;node&gt;</code> starting from the top of the stack.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The index <strong>does not count</strong> any other types of modifier present! So, an index of 1 will always get the selection currently active at the top of the stack.</p>\n\
<p>The function returns a BitArray with bits set for the 1-based indices of the currently selected vertices, or the vertices specified by the named selection set, in the object by the given modifier.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   getVertSelection $foo $foo.modifiers[3]\n\
</code></pre><p>   <strong>RETURNS</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #{2..5,9,25..27}\n\
</code></pre><p>   This is a <strong>snapshot</strong> of the selection&#x2014;the BitArray doesn&apos;t change automatically as you make different selections. Further, it reflects the current vertex selection whether or not the modifier is in vertex sub-object selection mode (this selection is remembered and re-established whenever you go back into vertex subobject mode). So, for example, if you select some vertices then click out of vertex subobject mode, the whole object rather than the selection is passed up the stack to the next modifier, but <code>getVertSelection()</code> returns the selected vertices at the time the subobject mode was exited.</p>\n\
<p>   You might use the <code>modifiers</code> modifier array accessing scheme here if you&apos;ve got many edit mesh modifiers with non-unique names. You can also use a constructed string as an index into the <code>modifiers</code> array,</p>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.modifiers[&quot;edit mesh&quot;+ i as string]\n\
</code></pre><p>   assuming the variable <code>&apos;i&apos;</code> had some indexing value and the names were set up thusly. <code>&apos;+&apos;</code> on strings concatenates.</p>\n\
<p>   To access the selection from the EditableMesh base object when there are modifiers present on the stack, you should access the TriMesh value of the base object,</p>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   getVertSelection $foo.baseobject.mesh\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setVertSelection &lt;node&gt; [&lt;modifier_or_index&gt;]( &lt;sel_bitarray&gt; | &lt;sel_array&gt; ) [name:&lt;name&gt;] [keep:&lt;boolean&gt;]\n\
setVertSelection &lt;mesh&gt; ( &lt;sel_bitarray&gt; | &lt;sel_array&gt; )[keep:&lt;boolean&gt;]</code></pre><p>Sets the vertex selections in an Editable Mesh base object, Mesh Select modifier, Edit Mesh Modifier, Poly Select Modifier, or TriMesh. This mirrors the selection getting method above.</p>\n\
<p>The <code>&lt;modifier_or_index&gt;</code> argument is interpreted as for the get- form above, except that <strong>only</strong> the Mesh Select and Poly Select modifiers are supported for set operations.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   setVertSelection $foo #{1..4,100..102}\n\
   setFaceSelection $foo (getFaceSelection $baz) keep:true\n\
</code></pre></blockquote>\n\
<p>If the optional <code>name:</code> argument is specified, the vertices in the specified named selection set in the Editable Mesh or Mesh Select modifier are selected. If the <code>name:</code> argument is not specified, the selection index argument gives the indexes of the sub-object items to be selected as either a BitArray or an array of integers. If the optional <code>keep:</code> keyword argument is <code>false</code> or not supplied, any current selection will be replaced by the new one. If the <code>keep:</code> keyword argument is <code>true</code> , the new selection is <strong>added</strong> to the current selection. The <code>name:</code> argument is not applicable to TriMeshes.</p>\n\
<p>Use the mesh <code>update()</code> function after making a group of selection changes in order to make them visible to any modifiers on the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">averageSelVertCenter &lt;node&gt;</code></pre><p>Returns the average position (center) of the selected vertices in the given mesh as a Point3. If the object is not a mesh this method returns undefined. If no vertices are selected in the mesh, a value of [0,0,0] is returned. This method is not applicable to TriMeshes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">averageSelVertNormal &lt;node&gt;</code></pre><p>Returns the normalized average of the normals of the selected vertices in the given mesh as a Point3. If the given node is not a mesh, it returns undefined. If no vertices are selected in the mesh, or the averaged normal is [0,0,0], a value of [1,0,0] is returned. This method is not applicable to TriMeshes.</p>\n\
<p>The vertex normals used in this method do not consider smoothing group data of the faces that use the vertex.</p>\n\
<p><strong>For more mesh-related methods, see:</strong></p>\n\
<p><a href=\"Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Meshop-Vertex-Methods.html\">Meshop Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Meshop-Vertex-Data-Methods.html\">Meshop Vertex Data Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Texture-Vertex-Methods.html\">Mesh Texture Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Color-Per-Vertex-Methods.html\">Mesh Color-Per-Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Meshop-Vertex-Methods.html\">Meshop Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Meshop-Vertex-Data-Methods.html\">Meshop Vertex Data Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Texture-Vertex-Methods.html\">Mesh Texture Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Color-Per-Vertex-Methods.html\">Mesh Color-Per-Vertex Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";