var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-78CC4CF5-1CE9-4DC8-B093-23EBA5EBA43B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Meshop Edge Methods</h1></div><p>The following methods exposed by the meshOp Struct provide advanced access to the mesh edges.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#chamfer-extrude-collapse-edges\">Chamfer, Extrude, Collapse Edges</a></li>\n\
<li><a href=\"#clone-and-delete-edges\">Clone and Delete Edges</a></li>\n\
<li><a href=\"#divide-edges\">Divide Edges</a></li>\n\
<li><a href=\"#get-a-using-b-\">Get A Using B...</a></li>\n\
<li><a href=\"#autoedge-visibility\">AutoEdge Visibility</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><strong>Methods:</strong></p>\n\
<h2 id=\"chamfer-extrude-collapse-edges\">Chamfer, Extrude, Collapse Edges</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> meshop.chamferEdges &lt;Mesh mesh&gt; &lt;edgelist&gt; &lt;float amount&gt; \n\
</code></pre><p>Chamfers the specified edges by the specified amount.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = Box()\n\
   convertToMesh obj\n\
   meshop.chamferEdges obj #{7,8,11,14,17} 5\n\
   update obj\n\
</code></pre><p>   <img src=\"./images/GUID-53A7A749-CC5F-47FB-9822-E6FCDE9CD000-low.gif\" alt> <img src=\"./images/GUID-6640AE60-C9A8-4F88-AEB3-2B72B71ED6BA-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.extrudeEdges&lt;Mesh mesh&gt; &lt;edgelist&gt; &lt;float height&gt; dir:&lt;{&lt;point3 dir&gt; | #independent | #common}=#independent&gt; node:&lt;node=unsupplied&gt;      </code></pre><p>Creates new edges corresponding to the specified edges, and then moves the new edges by <code>&lt;height&gt;</code>.</p>\n\
<p>The direction the edges are moved is determined by <code>&lt;dir&gt;</code>. If <code>&lt;dir&gt;</code> is a point3 value, the edges will be moved in that direction. (If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is specified, the direction is in the current coordinate system context. If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the direction is in the mesh&apos;s local coordinate system.)</p>\n\
<p>If <code>dir:#independent</code> is specified, the edges are moved based on the normals of the faces using the edge. If <code>dir:#common</code> is specified, the edges are moved based on the normals of the face clusters using the edge.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = Box() --create a Box\n\
   convertToMesh obj --collapse to EMesh\n\
   meshop.extrudeEdges obj #{5,7,14,17} 10.0 --extrude edges\n\
   update obj --update the mesh\n\
   addmodifier obj (normalmodifier unify:true) --unify normals\n\
   addmodifier obj (smooth auto:true) --auto-smooth\n\
   convertToMesh obj --collapse to EMesh\n\
</code></pre><p>   <img src=\"./images/GUID-53A7A749-CC5F-47FB-9822-E6FCDE9CD000-low.gif\" alt> <img src=\"./images/GUID-20843FED-C5BD-4F9A-A343-E4B47F29E93B-low.gif\" alt> <img src=\"./images/GUID-EDC7831E-2246-48CF-94B9-10522C4D8911-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.collapseEdges &lt;Mesh mesh&gt; &lt;edgelist&gt; </code></pre><p>Collapses the specified edges.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = Box()\n\
   convertToMesh obj\n\
   meshop.collapseEdges obj #{14,17}\n\
   update obj\n\
</code></pre><p>   <img src=\"./images/GUID-53A7A749-CC5F-47FB-9822-E6FCDE9CD000-low.gif\" alt> <img src=\"./images/GUID-A91EACED-BB71-46AE-832B-D57E8C6AB32E-low.gif\" alt></p>\n\
</blockquote>\n\
<h2 id=\"clone-and-delete-edges\">Clone and Delete Edges</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.cloneEdges &lt;Mesh mesh&gt; &lt;edgelist&gt; </code></pre><p>Clones the specified edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.deleteEdges &lt;Mesh mesh&gt; &lt;edgelist&gt; delIsoVerts:&lt;boolean=true&gt; </code></pre><p>Deletes the specified edges.</p>\n\
<p>If <code>delIsoVerts:</code> is <code>true</code> , any isolated vertices are deleted.</p>\n\
<h2 id=\"divide-edges\">Divide Edges</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.divideEdge &lt;Mesh mesh&gt; &lt;int edgeIndex&gt; &lt;float edgef&gt; visDiag1:&lt;boolean=false&gt; visDiag2:&lt;boolean=false&gt; fixNeighbors:&lt;boolean=true&gt; split:&lt;boolean=false&gt; </code></pre><p>Divides the specified edge at a fractional distance of <code>&lt;edgef&gt;</code> along its length.</p>\n\
<p><code>visDiag1:</code> and <code>visDiag2:</code> specify whether each of the two new edges will be visible.</p>\n\
<p>If <code>fixNeighbors:</code> is <code>true</code> , the face on the other side of this edge, that is, the &quot;reverse face&quot;, should be divided as well to prevent the introduction of a seam.</p>\n\
<p>If <code>split:</code> is <code>true</code> , separate vertices for the two halves of the edge will be created, splitting the mesh open along the diagonal(s).</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = Box() --create a Box\n\
   convertToMesh obj --collapse to EMesh\n\
   meshop.divideEdge obj 5 0.33 --divide bottom edge at 1/3\n\
   meshop.divideEdge obj 5 0.5 --divide remaining 2/3 at half -&gt; 2 * 1/3\n\
   update obj --update the mesh\n\
   obj.vertexTicks = True --show the vertices\n\
   obj.allEdges=True --show all edges\n\
</code></pre><p>   <img src=\"./images/GUID-53A7A749-CC5F-47FB-9822-E6FCDE9CD000-low.gif\" alt> <img src=\"./images/GUID-456BF80D-A037-432D-A95F-B9FF7B13FABE-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.divideEdges &lt;Mesh mesh&gt; &lt;edgelist&gt; </code></pre><p>Divides all the specified edges in half, creating new points and subdividing faces.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = Box() --create a Box\n\
   convertToMesh obj --collapse to EMesh\n\
   meshop.divideEdges obj #{5,7,14,17} --divide edges\n\
   update obj --update the mesh\n\
   obj.vertexTicks = True --show the vertices\n\
   obj.allEdges=True --show all edges\n\
</code></pre><p>   <img src=\"./images/GUID-53A7A749-CC5F-47FB-9822-E6FCDE9CD000-low.gif\" alt> <img src=\"./images/GUID-71320A8B-0541-4912-9C95-639E83092AD8-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.edgeTessellate &lt;Mesh mesh&gt; &lt;facelist&gt; &lt;float tension&gt; </code></pre><p>Tessellates the specified edges. This algorithm is exactly the one used in the Tessellate modifier, when operating on Faces and Edge SO elements.</p>\n\
<p><code>&lt;tension&gt;</code> specifies the tension for the edge tessellation. This value should be fairly small, between 0 and .5, and corresponds to the value in the Tessellate, Edit Mesh, or Editable Mesh UI&apos;s divided by 400.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = Box() --create a Box\n\
   convertToMesh obj --collapse to EMesh\n\
   meshop.EdgeTessellate obj #{5,6} 0.0 --tessellate faces based on edges\n\
   update obj --update the mesh\n\
</code></pre><p>   <img src=\"./images/GUID-53A7A749-CC5F-47FB-9822-E6FCDE9CD000-low.gif\" alt> <img src=\"./images/GUID-BD81DA94-3222-492F-848C-5B4A4E449614-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.turnEdge &lt;Mesh mesh&gt; &lt;int edgeIndex&gt; </code></pre><p>Turns the specified edge. Only works on edges that have a face on both sides. These two faces are considered as a quad, where this edge is the diagonal, and remapped so that the diagonal flows the other way, between the vertices that were opposite this edge on each face.</p>\n\
<h2 id=\"get-a-using-b-\">Get A Using B...</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getVertsUsingEdge &lt;Mesh mesh&gt; &lt;edgelist&gt; </code></pre><p>Returns a bitarray of size=(#vertices in <code>mesh</code>) with bits set for all vertices that are used by the specified edges.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript Edge2VertSel category:&quot;MXS Help&quot;\n\
   (\n\
   --make sure a single EMesh object is selected\n\
   on isEnabled return\n\
   selection.count == 1 and classof selection[1] == Editable_Mesh\n\
   on execute do\n\
   (\n\
   obj = selection[1]--get selected object\n\
   edgeSel = getEdgeSelection obj --get selected Edges\n\
   --get Verts of selected Edges:\n\
   vertsSel = meshop.getVertsUsingEdge obj edgeSel\n\
   setVertSelection obj vertsSel --select the Verts\n\
   max modify mode --switch to Modify panel\n\
   subObjectLevel =1--set Vertex SO level\n\
   ) --end on\n\
   ) --end macro\n\
</code></pre><p>   <img src=\"./images/GUID-A54F821D-D434-4B89-9373-1BC1C51A559F-low.gif\" alt> <img src=\"./images/GUID-E46E01DA-C31E-4722-A911-2540960C2A0B-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getFacesUsingEdge &lt;Mesh mesh&gt; &lt;edgelist&gt; </code></pre><p>Returns a bitarray of size=(#faces in <code>mesh</code>) with bits set for all faces that use the specified edges.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript Edge2FaceSel category:&quot;MXS Help&quot;\n\
   (\n\
   --make sure a single EMesh object is selected\n\
   on isEnabled return\n\
   selection.count == 1 and classof selection[1] == Editable_Mesh\n\
   on execute do\n\
   (\n\
   obj = selection[1] --get selected object\n\
   edgeSel = getEdgeSelection obj --get selected Edges\n\
   --get Faces of selected Edges:\n\
   faceSel = meshop.getFacesUsingEdge obj edgeSel\n\
   setFaceSelection obj faceSel --select the Faces\n\
   maxmodify mode --switch to Modify panel\n\
   subObjectLevel =3 --set Face SO level\n\
   ) --end on\n\
   ) --end macro\n\
</code></pre><p>   <img src=\"./images/GUID-A54F821D-D434-4B89-9373-1BC1C51A559F-low.gif\" alt> <img src=\"./images/GUID-E603E662-11BC-4DDA-A23C-17F76BBB315F-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getPolysUsingEdge &lt;Mesh mesh&gt; &lt;edgelist&gt; ignoreVisEdges:&lt;boolean=false&gt; threshhold:&lt;float=45.&gt; </code></pre><p>Returns a bitarray of size equal to the number of faces in <code>mesh</code> with bits set for all faces that are in &apos;polygons&apos; containing the specified edges.</p>\n\
<p>The definition of a polygon is all faces sharing invisible edges with edge angles below the threshhold angle. The default threshhold angle is 45 degrees.</p>\n\
<p>If <code>ignoreVisEdges:</code> is set to <code>true</code> , the edge visibility is ignored but the threshhold is still relevant.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript Edge2PolySel category:&quot;MXS Help&quot;\n\
   (\n\
   --make sure a single EMesh object is selected\n\
   on isEnabled return\n\
   selection.count == 1 and classof selection[1] == Editable_Mesh\n\
   on execute do\n\
   (\n\
   obj = selection[1] --get selected object\n\
   edgeSel = getEdgeSelection obj --get selected Edges\n\
   --get Polygons of selected Edges:\n\
   faceSel = meshop.getPolysUsingEdge obj edgeSel\n\
   setFaceSelection obj faceSel --select the Faces\n\
   max modify mode --switch to Modify panel\n\
   subObjectLevel =4 --set Polygon SO level\n\
   ) --end on\n\
   ) --end macro\n\
</code></pre><p>   <img src=\"./images/GUID-A54F821D-D434-4B89-9373-1BC1C51A559F-low.gif\" alt> <img src=\"./images/GUID-F1B5D05F-CFA8-4270-B8FA-67707273BE9D-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getEdgesUsingVert &lt;Mesh mesh&gt; &lt;vertlist&gt; </code></pre><p>Returns a bitarray of size=(#edges in mesh) with bits set for all edges that use the specified vertices.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript Vert2EdgeSel category:&quot;MXS Help&quot;\n\
   (\n\
   --make sure a single EMesh object is selected\n\
   on isEnabled return\n\
   selection.count == 1 and classof selection[1] == Editable_Mesh\n\
   on execute do\n\
   (\n\
   obj = selection[1] --get selected object\n\
   vertsSel = getVertSelection obj --get selected Verts\n\
   --get Edges of selected Verts:\n\
   edgeSel = meshop.getEdgesUsingVert obj vertsSel\n\
   setEdgeSelection obj edgeSel --select the edges\n\
   max modify mode --switch to Modify panel\n\
   subObjectLevel =2 --set Edge SO level\n\
   )\n\
   ) --end macro\n\
</code></pre><p>   <img src=\"./images/GUID-38DCDBEA-090F-4107-A496-617F5FA81693-low.gif\" alt> <img src=\"./images/GUID-E990C34A-910A-4DCD-A28C-A11E51D30848-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getEdgesReverseEdge &lt;Mesh mesh&gt; &lt;edgelist&gt; </code></pre><p>Returns a bitarray of size=(#edges in mesh) with bits set for all additional edges that use the same vertices as the specified edges. These are edges on the adjacent faces.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Plane length:100 width:100 isSelected:on\n\
   convertTo $ TriMeshGeometry\n\
   max modify mode\n\
   subobjectLevel = 1\n\
   select $.verts[13]\n\
   --get edges that use vertex 13\n\
   edges = meshop.getEdgesUsingVert $ (getVertSelection $)\n\
   --select the vertices used by those edges\n\
   $.selectedVerts = meshop.getVertsUsingEdge $ edges\n\
   update $\n\
   --not what we wanted, really want all vertices\n\
   -- &quot;surrounding&quot; vertex 13\n\
   faces = meshop.getPolysUsingVert $ 13\n\
   $.selectedVerts = meshop.getVertsUsingFace $ faces\n\
   update $\n\
   --or ...\n\
   faces = meshop.getFacesUsingVert $ #(13)\n\
   edges = meshop.getEdgesUsingFace $ faces\n\
   --turn off all visible edges\n\
   for e in edges do edges[e]=not (getEdgeVis $ (1+(e-1)/3)(1+mod (e-1) 3))\n\
   --get the edges on the adjacent faces that are the &quot;reverse&quot; of these edges\n\
   --&quot;OR&quot; that bitarray with the initial edges bitarray\n\
   edges = (meshop.getEdgesReverseEdge $ edges) + edges\n\
   --get the faces that use the edges, and &quot;OR&quot; that bitarray with the initial\n\
   --face bitarray\n\
   faces = (meshop.getFacesUsingEdge $ edges) + faces\n\
   $.selectedVerts = meshop.getVertsUsingFace $ faces\n\
   update $\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getOpenEdges &lt;Mesh mesh&gt; </code></pre><p>Returns a bitarray of size=(#edges in <code>mesh</code> ) with bits set for all edges that are used by a single face.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SelOpenEdges category:&quot;MXS Help&quot;\n\
   (\n\
   --make sure a single EMesh object is selected\n\
   on isEnabled return\n\
   selection.count == 1 and classof selection[1] == Editable_Mesh\n\
   on execute do\n\
   (\n\
   obj = selection[1] --get selected object\n\
   max modify mode --switch to Modify panel\n\
   subObjectLevel =2 --set Edge SO level\n\
   openEdges = meshop.getOpenEdges obj --get open edges\n\
   setEdgeSelection obj openEdges --select the open edges\n\
   )\n\
   ) --end macro\n\
</code></pre><p>   <img src=\"./images/GUID-74D037DB-B84E-4442-BCCE-70B97939EE13-low.gif\" alt></p>\n\
</blockquote>\n\
<h2 id=\"autoedge-visibility\">AutoEdge Visibility</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.autoEdge &lt;Mesh mesh&gt; &lt;edgelist&gt; &lt;float threshold&gt; type:&lt;{#SetClear| #Set| #Clear}=#SetClear&gt; </code></pre><p>Sets/clears the edge visibility for the specified edges based on the threshold angle.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>For an edge to be autoEdged, both it and the &quot;reverse&quot; edge on the face sharing the same vertices must be specified in the edge specification.</p>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\"Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Mesh-Edge-Methods.html\">Mesh Edge Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Edge-Methods.html\">Mesh Edge Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";