var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0EF108C4-0865-458B-97B8-E03E9B990B14\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Get By Flag Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getVertsByFlag &lt;Poly poly&gt; &lt;int flag&gt; mask:&lt;int maskflag&gt;</code></pre><p>Each vertex in a poly contains a 32 bit flag variable.</p>\n\
<p>This method returns a bitarray of the vertices that have specific bits in this flag variable set, where the bits being tested are based on a combination of <code>&lt;flag&gt;</code> and <code>&lt;maskflag&gt;</code>.</p>\n\
<p>The default value for <code>&lt;maskflag&gt;</code> is 0.</p>\n\
<p>Internally, if <code>&lt;maskflag&gt;</code> is 0 then <code>&lt;maskflag&gt;</code> is set to the <code>&lt;flag&gt;</code> value, otherwise <code>&lt;flag&gt;</code> is set to the bitwise-AND of <code>&lt;flag&gt;</code> and <code>&lt;maskflag&gt;</code>. Bit 2 of <code>&lt;maskflag&gt;</code> is then set, which prevents dead vertices from being included in the resulting bitarray unless this bit was set in <code>&lt;mask&gt;</code>. Each bit in the resulting bitarray is set if the bitwise-AND of the flag variable and <code>&lt;maskflag&gt;</code> is equal to the bitwise-AND of <code>&lt;flag&gt;</code> and <code>&lt;maskflag&gt;</code>.</p>\n\
<p>The vertex level flags are:</p>\n\
<p><code>bit 1</code> : vertex is selected</p>\n\
<p><code>bit 2</code> : vertex is dead</p>\n\
<p><code>bit 3</code> : reserved</p>\n\
<p><code>bit 4</code> : indicates the vertex faces &quot;backwards&quot; in the current viewport</p>\n\
<p><code>bit 5-24</code> : reserved</p>\n\
<p><code>bit 25-32</code> : available for general use</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theObj = plane isSelected:true\n\
   convertto theObj editable_poly\n\
   nVerts = theObj.numverts\n\
   bit30 = bit.set 0 30 true\n\
   bit31 = bit.set 0 31 true\n\
   bit32 = bit.set 0 32 true\n\
   -- set a bit on first 3/4 or so verts\n\
   (\n\
   flagsToSet = bit30\n\
   flagsToMask = 0\n\
   vertexSet = #{1..(3*nVerts/4)}\n\
   theObj.setVertexFlags vertexSet flagsToSet flagMask:flagsToMask generateUndoRecord:true\n\
   ok\n\
   )\n\
   -- and another on middle block\n\
   (\n\
   flagsToSet = bit31\n\
   flagsToMask = 0\n\
   vertexSet = #{(nVerts/3)..(nVerts-4)}\n\
   theObj.setVertexFlags vertexSet flagsToSet flagMask:flagsToMask generateUndoRecord:true\n\
   ok\n\
   )\n\
   -- set a bit on last 2 verts\n\
   (\n\
   flagsToSet = bit32\n\
   flagsToMask = 0\n\
   vertexSet = #{(nVerts-2)..nVerts}\n\
   theObj.setVertexFlags vertexSet flagsToSet flagMask:flagsToMask generateUndoRecord:true\n\
   ok\n\
   )\n\
   (\n\
   -- get verts with bit30, 31, 32 set\n\
   format &quot;30: %\\n&quot; (polyOp.getVertsByFlag theObj bit30)\n\
   format &quot;31: %\\n&quot; (polyOp.getVertsByFlag theObj bit31)\n\
   format &quot;32: %\\n&quot; (polyOp.getVertsByFlag theObj bit32)\n\
   -- get verts with bit30 set, but not bit31\n\
   format &quot;30 and !31: %\\n&quot; (polyOp.getVertsByFlag theObj bit30 mask:(bit30+bit31))\n\
   -- get verts with bit31 not set, doesn&apos;t matter what the &lt;flag&gt;\n\
   -- value is as long as it&apos;s not bit31\n\
   format &quot;!31: %\\n&quot; (polyOp.getVertsByFlag theObj bit30 mask:(bit31))\n\
   -- get verts with bit30 and bit31 set\n\
   format &quot;30 and 31: %\\n&quot; (polyOp.getVertsByFlag theObj (bit30+bit31))\n\
   -- get verts with neither bit31 or bit32 set, doesn&apos;t matter what\n\
   -- the &lt;flag&gt; value is as long as it&apos;s not bit31 or bit32\n\
   format &quot;!(31 or 32): %\\n&quot; (polyOp.getVertsByFlag theObj bit30 mask:(bit31+bit32))\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getVertFlags &lt;Poly poly&gt; &lt;int vert&gt;</code></pre><p>Returns the flags bits for the vertex as an integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setVertFlags &lt;Poly poly&gt; &lt;vertlist&gt; &lt;int flag&gt; \\\n\
mask:&lt;int=0&gt; undoable:&lt;boolean=false&gt;</code></pre><p>Sets the flag bits on the specified vertices to the bits in <code>&lt;flag&gt;</code>.</p>\n\
<p>If the mask is specified, the bits set in the <code>mask:</code> value are cleared for all vertices in the poly prior to setting the flag bits on the specified vertices.</p>\n\
<p>If <code>undoable:true</code> is specified, this operation is undoable. If bits 1 or 2 of <code>&lt;flag&gt;</code> are set (selected and dead flag bits), this operation is always undoable.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   p=convertToPoly (plane())\n\
   p.selectedVerts = #{10..20}\n\
   i=1 -- selected bit\n\
   j=bit.set 0 30 true -- bit 30 set\n\
   oldflags = for k = 1 to p.numverts collect polyop.getVertFlags p k\n\
   theSet=#{5..15}\n\
   polyop.setvertflags p theSet j mask:i\n\
   for k = 1 to p.numverts do\n\
   (\n\
   nf=polyop.getVertFlags p k\n\
   format &quot;% : % : %\\n&quot; k nf oldflags[k]\n\
   oldflags[k]=nf\n\
   )\n\
   j=bit.set 0 1 true -- bit 1 set\n\
   polyop.setvertflags p theSet j\n\
   for k = 1 to p.numverts do\n\
   (\n\
   nf=polyop.getVertFlags p k\n\
   format &quot;% : % : %\\n&quot; k nf oldflags[k]\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getEdgesByFlag &lt;Poly poly&gt; &lt;int flag&gt; \\\n\
mask:&lt;int maskflag&gt;</code></pre><p>Each edge in a poly contains a 32 bit flag variable. This method returns a bitarray of the edges that have specific bits in this flag variable set, where the bits being tested are based on a combination of <code>&lt;flag&gt;</code> and <code>&lt;maskflag&gt;</code>.</p>\n\
<p>The default value for <code>&lt;maskflag&gt;</code> is 0.</p>\n\
<p>Internally, if <code>&lt;maskflag&gt;</code> is 0 then <code>&lt;maskflag&gt;</code> is set to the <code>&lt;flag&gt;</code> value, otherwise <code>&lt;flag&gt;</code> is set to the bitwise-AND of <code>&lt;flag&gt;</code> and <code>&lt;maskflag&gt;</code>. Bit 2 of <code>&lt;maskflag&gt;</code> is then set, which prevents dead edges from being included in the resulting bitarray unless this bit was set in <code>&lt;mask&gt;</code>. Each bit in the resulting bitarray is set if the bitwise-AND of the flag variable and <code>&lt;maskflag&gt;</code> is equal to the bitwise-AND of <code>&lt;flag&gt;</code> and <code>&lt;maskflag&gt;</code>.</p>\n\
<p>The edge level flags are:</p>\n\
<p><code>bit 1</code> : edge is selected</p>\n\
<p><code>bit 2</code> : edge is dead</p>\n\
<p><code>bit 3</code> : reserved</p>\n\
<p><code>bit 4</code>: indicates that the vertex faces &quot;backwards&quot; in the current viewport</p>\n\
<p><code>bit 5-24</code>: reserved</p>\n\
<p><code>bit 25-32:</code> available for general use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getEdgeFlags &lt;Poly poly&gt; &lt;int edge&gt;</code></pre><p>Returns the flag bits for the edge as an integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setEdgeFlags &lt;Poly poly&gt; &lt;edgelist&gt; &lt;int flag&gt; \\\n\
mask:&lt;int=0&gt; undoable:&lt;boolean=false&gt;</code></pre><p>Sets the flag bits on the specified edges to the bits in <code>&lt;flag&gt;</code>. If mask is specified, the bits set in the <code>mask:</code> value are cleared for all edges in the poly prior to setting flag bits on the specified edges. If <code>undoable:true</code> is specified, this operation is undoable. If bits 1 or 2 of <code>&lt;flag&gt;</code> are set (selected and dead flag bits), this operation is always undoable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getFacesByFlag &lt;Poly poly&gt; &lt;int flag&gt; mask:&lt;int maskflag&gt;</code></pre><p>Each face in a poly contains a 32 bit flag variable. This method returns a bitarray of the faces that have specific bits in this flag variable set, where the bits being tested are based on a combination of <code>&lt;flag&gt;</code> and <code>&lt;maskflag&gt;</code>.</p>\n\
<p>The default value for <code>&lt;maskflag&gt;</code> is 0.</p>\n\
<p>Internally, if <code>&lt;maskflag&gt;</code> is 0 then <code>&lt;maskflag&gt;</code> is set to the <code>&lt;flag&gt;</code> value, otherwise <code>&lt;flag&gt;</code> is set to the bitwise-AND of <code>&lt;flag&gt;</code> and <code>&lt;maskflag&gt;</code>. Bit 2 of <code>&lt;maskflag&gt;</code> is then set, which prevents dead faces from being included in the resulting bitarray unless this bit was set in <code>&lt;mask&gt;</code>. Each bit in the resulting bitarray is set if the bitwise-AND of the flag variable and <code>&lt;maskflag&gt;</code> is equal to the bitwise-AND of <code>&lt;flag&gt;</code> and <code>&lt;maskflag&gt;</code>.</p>\n\
<p>The face level flags are:</p>\n\
<p><code>bit 1</code> : face is selected</p>\n\
<p><code>bit 2</code> : face is dead</p>\n\
<p><code>bit 3</code> : reserved</p>\n\
<p><code>bit 4</code> : indicates the vertex faces &quot;backwards&quot; in the current viewport</p>\n\
<p><code>bit 5-24</code> : reserved</p>\n\
<p><code>bit 25-32</code> : available for general use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getFaceFlags &lt;Poly poly&gt; &lt;int face&gt;</code></pre><p>Returns the flags bits for the face as an integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setFaceFlags &lt;Poly poly&gt; &lt;facelist&gt; &lt;int flag&gt; \\\n\
mask:&lt;int=0&gt; undoable:&lt;boolean=false&gt;</code></pre><p>Sets the flag bits on the specified faces to the bits in <code>&lt;flag&gt;</code>.</p>\n\
<p>If <code>mask:</code> is specified, the bits set in the <code>mask:</code> value are cleared for all faces in the poly prior to setting flag bits on the specified faces.</p>\n\
<p>If <code>undoable:true</code> is specified, this operation is undoable.</p>\n\
<p>If bits 1 or 2 of <code>&lt;flag&gt;</code> are set (selected and dead flag bits), this operation is always undoable.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly-Methods.html\">Editable_Poly Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";