var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1F9103E4-EC16-45E5-9B05-44986ADA049D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PolyToolsTopology : GlobalUtilityPlugin</h1></div><p>The <strong>PolyToolsTopology</strong> GlobalUtilityPlugin introduced in <strong>3ds Max 2011</strong> exposes an interface that provides MAXScript access to the Graphite Topology tools.</p>\n\
<p>The functionality was first implemented in <strong>3ds Max 2010</strong> using different functions that were not officially supported as MAXScript tools. This interface consolidates all relevant properties and methods and lets MAXScript users apply them in their own tools.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
\n\
\n\
<!-- tocstop -->\n\
\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript </code></pre><p><strong>PolyToolsTopology interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: PolyToolsTopology </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Wall () </code></pre><p>Generates a wall type topology with bricks of different sizes.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Wall()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-314BC351-E162-4DA0-B8AF-A84BD781D364-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Tiles1 () </code></pre><p>Generates a tile type topology.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step2:\n\
   PolyToolsTopology.Tiles1()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-8AAC04CE-640E-4672-9785-D09AEB94346D-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Tiles2 () </code></pre><p>Generates a different tile type topology.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step2:\n\
   PolyToolsTopology.Tiles2()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-ABD18DCD-ED04-4734-92C9-9F8C14E753A7-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Brick () </code></pre><p>Generates a brick-like topology.</p>\n\
<p>Requires exactly one edge to be selected. The direction of the selected edge determines which way is &quot;up&quot;.</p>\n\
<p>The method will only succeed if the selected edge is within the quad topology.</p>\n\
<p>Returns true on success, false if the above conditions are not met.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Mosiac()\n\
</code></pre><p>   <img src=\"./images/GUID-53AF6A57-5EA2-4F14-8E5B-73D400EED62F-low.gif\" alt> <img src=\"./images/GUID-4DA8D260-0384-4F16-BB45-5CA3E8FE5FE5-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Hive () </code></pre><p>Generates a beehive-like topology.</p>\n\
<p>Requires exactly one edge to be selected. The direction of the selected edge determines which way is &quot;up&quot;.</p>\n\
<p>The method will only succeed if the selected edge is within the quad topology.</p>\n\
<p>Returns true on success, false if the above conditions are not met.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 2 --switch to Edge level\n\
   PolyOp.SetEdgeSelection p #{61} --select one edge to define up direction\n\
   --Step 2:\n\
   PolyToolsTopology.Hive()\n\
</code></pre><p>   <img src=\"./images/GUID-53AF6A57-5EA2-4F14-8E5B-73D400EED62F-low.gif\" alt> <img src=\"./images/GUID-F1935D8F-9E2A-42DC-8BCA-BC1A5BDF79D4-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Mosiac () </code></pre><p>Generates a mosaic topology with random bricks of different sizes.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step2:\n\
   PolyToolsTopology.Mosiac()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-E9785833-A97F-4F4F-A52E-8501EC0D87B3-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Floor1 () </code></pre><p>Works like a combination of <code>.EdgeDirection()</code> and <code>.Tiles1()</code> . First turns the edge direction to crossing direction, then removes random edges to create tiles of different sizes.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Floor1()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-C7BF2744-FF07-43EC-A964-E1B9586A11BE-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Floor2 () </code></pre><p>Works like a combination of <code>.EdgeDirection()</code> and <code>.Wall()</code> . First turns the edge direction to crossing direction, then removes edges to create bricks of different sizes.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Floor2()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-6A3B1A72-52DB-45FC-B60D-C1F4BDFF601E-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Skin () </code></pre><p>Generates a skin type topology with rounded patches.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Skin()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-80331F42-6A27-40F9-9C87-15876A46212E-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Holer () </code></pre><p>Generates &quot;holes&quot; in the topology. See also <code>.Tatter()</code> further on this page.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Holer()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-E9C7324B-B537-4EA4-9D46-88189F6BF155-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.EdgeDirection () </code></pre><p>Changes the direction of the topology to a crossing direction.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.EdgeDirection ()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-68B1E70F-C3C1-486B-A2FB-86DB5CDA0A5F-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Simplify () </code></pre><p>Simplifies the topology by removing random parts here and there, but keeping areas of edges intact.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Simplify ()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-5B30DFCF-1C9B-467D-B7CB-0693875BF9B0-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Chaos () </code></pre><p>When applied to a grid of quads, generates a chaotic topology with randomly shaped patches.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Chaos()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-9641E4B4-38A2-4494-BECD-637FBCCB0ADE-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Fours () </code></pre><p>When applied to a grid of quads, generates a tile type topology that consists of mostly larger quads.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Fours()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-5B6762C2-D9EB-49B1-98B0-1DE96827F98C-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.SmoothStar () </code></pre><p>When applied to a grid of quads, generates a random smoothed stars topology.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.SmoothStar ()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-5A4D56CF-6A92-4942-8BD7-A02F6E1BB956-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Cross () </code></pre><p>When applied to a grid of quads, generates a topology with cross-like patters.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Cross()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-55ABB6B3-1F6B-41ED-A443-65FCE8B26E2B-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Planks1 () </code></pre><p>When applied to a grid of quads, generates a plank type topology with &quot;planks&quot; of different sizes.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Planks1()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-282085E5-C8D1-4C6C-ACB2-70C9B2CE0A6D-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Planks2 () </code></pre><p>When applied to a grid of quads, generates a topology with broader &quot;planks&quot; than the <code>.Planks1()</code> method.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Planks2()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-7206A98E-4B79-4EC5-9FDC-9C4D00604918-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Planks3 () </code></pre><p>When applied to a grid of quads, generates topology similar to the <code>.Planks1()</code> and <code>.Planks2()</code> methods, but with crossing planks.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Planks3()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-6F8AE202-FD41-4EB4-8C9D-76438591E9C1-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Planks4 () </code></pre><p>When applied to a grid of quads, generates a topology similar to the previous three methods, but with longer planks.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Planks4()\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-69E76E29-C56F-42C1-AAFB-514BF5F8F978-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.Tatter &lt;integer&gt;size &lt;integer&gt;iterations &lt;integer&gt;smooth </code></pre><p>Generates &quot;holes&quot; in the topology, separated by rows of polygons.</p>\n\
<p>The first argument determines the overall size of the generated holes.</p>\n\
<p>The second argument determines the number of different sizes for the generated holes.</p>\n\
<p>The third argument determines how rounded the generated holes will be.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Tatter 1 1 1\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-030391A8-6F7C-4FAF-B49B-D22BDD1F1933-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Tatter 2 1 1\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-622C0739-75BF-40C1-A1C9-D0848C7D1A55-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Tatter 3 1 1\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-62084069-7079-4E96-AF69-C0D7B6B28F92-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Tatter 1 2 1\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-557C23B7-7BE2-4821-A816-26470224664F-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 4 --switch to Edge level\n\
   --Step 2:\n\
   PolyToolsTopology.Tatter 1 10 1\n\
</code></pre><p>   <img src=\"./images/GUID-FCF7F373-4754-4198-B14D-C0130029FE0E-low.gif\" alt> <img src=\"./images/GUID-B34225CE-9655-4304-9902-8D4A88F79F82-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsTopology.ScrapVerts () </code></pre><p>Removes vertices shared by only two edges.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 1:\n\
   p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane\n\
   convertTo p Editable_Poly --convert to EPoly\n\
   select p --select the plane\n\
   max modify mode --switch to modify panel\n\
   subObjectLevel = 1 --switch to Edge level\n\
   PolyOp.SetEdgeSelection p #{105} --select one central edge\n\
   for i = 1 to 3 do p.GrowSelection selLevel:#edge --and grow the selection\n\
   p.Remove selLevel:#Edge --then remove the selected edges\n\
   PolyOp.SetEdgeSelection p #{5,8,11} --select a portion of a loop\n\
   p.Remove selLevel:#Edge --and remove it, while leaving some stray vertices\n\
   --Step 2:\n\
   PolyToolsTopology.ScrapVerts ()\n\
</code></pre><p>   <img src=\"./images/GUID-83EF1095-9663-46CB-B8AB-307D8FCA3698-low.gif\" alt> <img src=\"./images/GUID-74A5F461-A40B-4BDE-BC05-53F79AB78573-low.gif\" alt></p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../PolyTools-Interfaces.html\">PolyTools Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"PolyTools-Interfaces-Graphite.html\">PolyTools Interfaces - Graphite Modeling Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";