var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7F382121-B42F-4486-A65B-16CA59434843\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Patch Objects</h1></div><p>Patches are the general editable versions of all the patch objects, in the same way that Editable Meshes relate to geometry objects. They are the objects that a patch is converted to when you apply an Edit Patch modifier and the result of collapsing a modifier stack on a patch base object. While MAXScript lets you construct patches, there are no properties or methods for accessing or modifying the sub-objects (vertices, edges, and patches) within the patch object.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Quadpatch...\n\
Tripatch...\n\
</code></pre><p>To create a Patch scene object from scratch, you can call the Patch constructor function,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Quadpatch pos:[10,10,10] name:&quot;foo&quot;\n\
</code></pre><p>   This creates an empty patch.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">convertTo &lt;node&gt; Editable_Patch -- mapped</code></pre><p>Converts the given scene node to a Patch object. If the object cannot be converted (typically, if it is not a geometry object), the function returns <code>undefined</code> . Any modifiers present will be collapsed. The <code>collapseStack()</code> function can also be used as well as the collapse button in the modifier stack dialog in <strong>3ds Max</strong>; both generate a Patch, but will only do so if there is at least one modifier present.</p>\n\
<p><strong>Properties</strong></p>\n\
<p>A control vertex and its tangents are available as properties once a controller has been assigned to the control vertex. The number of tangents for a control vertex is the number of edges associated with the control vertex. Controllers can not be assigned to the control vertices using MAXScript. If a TriPatch object is collapsed to Editable_Patch and some of its control vertices are animated, the properties for the control vertices and tangents will be similar to:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$TriPatch01.Vertex_1 Point3value:[-21.5,-6.4,0] -- animatable\n\
$TriPatch01.Vertex_1_Vector_1 Point3value:[-21.5,-2.1,0] -- animatable\n\
$TriPatch01.Vertex_1_Vector_2 Point3value:[-7.1,-6.4,0 ]-- animatable\n\
$TriPatch01.Vertex_2 Point3value:[21.5,-6.4,0] -- animatable\n\
$TriPatch01.Vertex_2_Vector_1 Point3value:[7.1,-6.4,0] -- animatable\n\
$TriPatch01.Vertex_2_Vector_2 Point3value:[7.1,-2.1,0] -- animatable\n\
</code></pre><p>See also <a href=\"./../../Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a> for details on accessing the patch vertices and tangents. The controller values assigned to the vertices and tangent handles is in the object space. See <a href=\"./../../Node-MAXWrapper/Node-Common-Properties-Operators/Using-Node-Transform-Properties.html\">Using Node Transform Properties</a> for information on converting between world space to object space.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPatchSteps &lt;editable_patch_node&gt;</code></pre><p>Returns the number of steps the patch uses in the viewports, and reflects the View Steps spinner in the Modify panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setPatchSteps &lt;editable_patch_node&gt; &lt;integer&gt;</code></pre><p>Sets the number of View Steps used by the editable patch object to the specified value.</p>\n\
<h2 id=\"editable-patch-modify-panel-command-modes-and-operations\">Editable Patch Modify Panel Command Modes and Operations</h2><p>A suite of methods provide the ability for a script to invoke Editable Patch and Edit Mesh Modify panel modes and operations, corresponding to buttons available at various mesh sub-object levels. These methods reside in the <code>patchOps</code> global structure. These methods effectively &quot;push the button&quot; in the Modify panel. To use these methods, the node must be selected and the Modify panel must be open. In the description of these methods, the first argument <code>&lt;editable_patch_node_or_modifier&gt;</code> can be interpreted as either an Editable Patch node where the modifier stack level is at the base object, or an Edit Patch modifier where the modifier stack level is at the Edit Patch. In all cases, the following methods work at the current sub-object level, but only if that level is appropriate for the invoked operation.</p>\n\
<p>The follow methods invoke one of the &apos;user-interaction&apos; button operations in the Editable Patch Modify panel, acting on the currently selected sub-objects. These methods highlight the corresponding button in the Geometry rollout and start the operation, at which point the user interactively completes the operation. These methods return after starting the operation and before the user completes the operation, so ensure that your script does not interfere with the operation. Invoking any of these methods is the same as clicking on the associated button in the Modify panel. Calling a method when the operation is already in effect (either due to a user action or a MAXScript command) causes the operation to be terminated and the highlight is removed from the button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.startAttach &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Enters the &quot;Attach&quot; command mode - valid in all Sub-Object levels, and when not in the Sub-Object mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.startBevel &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Enters the &quot;Bevel&quot; command mode - valid in the Patch Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.startBind &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Enters the &quot;Bind&quot; command mode - valid in the Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.startCreate &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Enters the &quot;Create&quot; command mode - valid in the Vertex, Patch, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.startExtrude &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Enters the &quot;Extrude&quot; command mode - valid in the Patch Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.startFlipNormalMode &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Enters the &quot;Flip Normal&quot; command mode - valid in the Patch and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.startWeldTarget &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Enters the &quot;Weld Target&quot; command mode - valid in the Vertex Sub-Object level.</p>\n\
<p><strong>The following methods invoke one of the &apos;instantaneous&apos; button operations in the Editable Patch Modify panel, acting on the currently selected sub-objects:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.addTri &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Adds a TriPatch to the selected edge - valid in the Edge Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.addQuad &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Adds a QuadPatch to the selected edge - valid in the Edge Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.break &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Creates a new vertex for each patch attached to the selected sub-objects - valid in the Vertex and Edge Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.clearAllSG &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Clears the smoothing groups on the currently selected patches - valid in the Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.createShapeFromEdges &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Displays the Create Shape dialog allowing the user to specify an object name for the shape to create from the selected edges. Valid in the Edge Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.delete &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Deletes the selected sub-objects - valid in all the Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.detach &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Displays the Detach dialog allowing the user to specify an object name. Valid in the Patch Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.flipNormal &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Flips the normal of the selected patches - valid in the Patch and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.hide &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Hides the selected sub-objects - valid in all the Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.selectByID &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Displays a Select By Material ID dialog and choose patches with the specified material ID. - valid in the Patch and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.selectBySG &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Displays a Select By Smooth Groups dialog and choose patches with the specified smoothing groupd IDs - valid in the Patch and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.selectOpenEdges &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Selects all edges with only one patch. Valid in the Edge Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.subdivide &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Divides the selected sub-objects - valid in the Edge and Patch Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.unbind &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Unbinds the selected vertices - valid in the Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.unifyNormal &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Unifies the normals of the selected patches - valid in the Patch and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.unhideAll &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Unhides all hidden sub-objects -valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.weld &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Welds the selected vertices - valid in the Vertex Sub-Object level.</p>\n\
<p><strong>The following methods are available in 3ds Max 6 and higher:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.growSelection &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Grows the selection - valid in all the Sub-Object levels except for Handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.shrinkSelection &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Shrinks the selection - valid in all the Sub-Object levels except for Handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.selectEdgeRing &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Selects a ring of edges - valid in the Edge Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.selectEdgeLoop &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Selects a loop of edges - valid in the Edge Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.patchSmooth &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Smooths the patch by avergaing the Handles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patchOps.toggleShadedFaces &lt;editable_patch_node_or_modifier&gt;</code></pre><p>Toggles the shaded faces.</p>\n\
<p>There is also a <code>patch</code> structure containing a large number of functions for creating, modifying, and accessing patch objects.</p>\n\
<p>The following function is used to get the type of the patch.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.getPatchType &lt; patch_object &gt;</code></pre><p>Returns <code>#triPatch</code>, <code>#quadPatch</code>, <code>#undefPatch</code>, or <code>&apos;undefined&apos;</code>. A value of <code>#undefPatch</code> might be returned by third-party-defined patch object. A value of &apos;undefined&apos; will be returned if the internal patch type is not in the list of defined values.</p>\n\
<h3 id=\"get-and-set-the-overall-geometry-of-the-patch\">Get and set the overall geometry of the patch</h3><p>Set <code>keep:true</code> to the <code>setNumXXX</code> functions for them to retain existing vertex/vector/patch/edge data. This value defaults to false, which cleans out the geometry.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.getNumVerts &lt;obj&gt;</code></pre><p>Returns the number of vertices as integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.setNumVerts &lt;obj&gt; &lt;num&gt; [keep:&lt;boolean&gt;]</code></pre><p>Sets the number of vertices to the integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.getNumVecs &lt;obj&gt;</code></pre><p>Returns the number of vectors as integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.setNumVecs &lt;obj&gt; &lt;num&gt; [keep:&lt;boolean&gt;]</code></pre><p>Sets the number of vectors to the integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.getNumPatches &lt;obj&gt;</code></pre><p>Returns the number of patches as integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.setNumPatches &lt;obj&gt; &lt;num&gt; [keep:&lt;boolean&gt;]</code></pre><p>Sets the number of patches to the integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.getNumEdges &lt;obj&gt;</code></pre><p>Returns the number of edges as integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.setNumEdges &lt;obj&gt; &lt;num&gt; [keep:&lt;boolean&gt;]</code></pre><p>Sets the number of edges to the integer value.</p>\n\
<h3 id=\"get-and-set-individual-vertex-and-vector-handle-locations\">Get and set individual vertex and vector handle locations</h3><p>The vertex and vector coordinates are interpreted in MAXScript&apos;s current working coordinate context. Consistent with the rest of MAXScript, all vertex/patch/vector/edge indexes start numbering at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.getVert &lt;obj&gt; &lt;index&gt;</code></pre><p>Returns the indexed vertex as the Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.setVert &lt;obj&gt; &lt;index&gt; &lt;point3&gt;</code></pre><p>Sets the indexed vertex to the Point3 value</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.getVec &lt;obj&gt; &lt;index&gt;</code></pre><p>Returns the indexed vector as the Point3 value</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.setVec &lt;obj&gt; &lt;index&gt; &lt;point3&gt;</code></pre><p>Sets the indexed vector to the Point3 value</p>\n\
<h3 id=\"creating-individual-patches-in-the-patch-mesh\">Creating individual patches in the patch mesh</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.makeQuadPatch &lt;obj&gt; &lt;index&gt; &lt;va&gt; &lt;vab&gt; &lt;vba&gt; &lt;vb&gt; &lt;vbc&gt; &lt;vcb&gt; &lt;vc&gt; &lt;vcd&gt; &lt;vdc&gt; &lt;vd&gt; &lt;vda&gt; &lt;vad&gt; &lt;i1&gt; &lt;i2&gt; &lt;i3&gt; &lt;i4&gt; &lt;sm&gt;</code></pre><p>Where:</p>\n\
<ul>\n\
<li><strong>index</strong> = The index of the patch to create (0&gt; = index &lt; numPatches).</li>\n\
<li><strong>va</strong> = The first vertex.</li>\n\
<li><strong>vab</strong> = Vector ab.</li>\n\
<li><strong>vba</strong> = Vector ba.</li>\n\
<li><strong>vb</strong> = The second vertex.</li>\n\
<li><strong>vbc</strong> = Vector bc.</li>\n\
<li><strong>vcb</strong> = Vector cb.</li>\n\
<li><strong>vc</strong> = The third vertex.</li>\n\
<li><strong>vcd</strong> = Vector cd.</li>\n\
<li><strong>vdc</strong> = Vector dc.</li>\n\
<li><strong>vd</strong> = The fourth vertex.</li>\n\
<li><strong>vda</strong> = Vector da.</li>\n\
<li><strong>vad</strong> = Vector ad.</li>\n\
<li><strong>i1</strong> = Interior 1.</li>\n\
<li><strong>i2</strong> = Interior 2.</li>\n\
<li><strong>i3</strong> = Interior 3.</li>\n\
<li><strong>i4</strong> = Interior 4.</li>\n\
<li><strong>sm</strong> = The smoothing group mask</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.makeTriPatch &lt;obj&gt; &lt;index&gt; &lt;va&gt; &lt;vab&gt; &lt;vba&gt; &lt;vb&gt; &lt;vbc&gt; &lt;vcb&gt; &lt;vc&gt; &lt;vca&gt; &lt;vac&gt; &lt;i1&gt; &lt;i2&gt; &lt;i3&gt; &lt;sm&gt;</code></pre><p>Where:</p>\n\
<ul>\n\
<li><strong>index</strong> = The index of the patch to create (0&gt; = index &lt; numPatches).</li>\n\
<li><strong>va</strong> = The first vertex.</li>\n\
<li><strong>vab</strong> = Vector ab.</li>\n\
<li><strong>vba</strong> = Vector ba.</li>\n\
<li><strong>vb</strong> = The second vertex.</li>\n\
<li><strong>vbc</strong> = Vector bc.</li>\n\
<li><strong>vcb</strong> = Vector cb.</li>\n\
<li><strong>vc</strong> = The third vertex.</li>\n\
<li><strong>vca</strong> = Vector ca.</li>\n\
<li><strong>vac</strong> = Vector ac.</li>\n\
<li><strong>i1</strong> = Interior 1.</li>\n\
<li><strong>i2</strong> = Interior 2.</li>\n\
<li><strong>i3</strong> = Interior 3.</li>\n\
<li><strong>sm</strong> = The smoothing group mask</li>\n\
</ul>\n\
<h3 id=\"update-a-patch-object-\">Update a Patch object:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.update &lt;obj&gt;</code></pre><p>Forces all geometry and topology caches to be rebuilt, change notifications to be sent, and a screen redraw request to be flagged.</p>\n\
<p>You must call this function after making any changes to a path object, before exiting the script. If you make the changes otherwise, an invalid patch might be passed to MAX, possibly causing a crash. The <code>patch.update()</code> function is similar in function and purpose to the <code>update()</code> function in mesh object scripting.</p>\n\
<h3 id=\"accessing-the-topology-of-an-existing-patch-object-\">Accessing the topology of an existing patch object:</h3><p>They return either indexes or arrays of indexes of the sub-objects requested. For example, <code>getVertVecs()</code> returns an array of the vectors coming out of the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.getVertVecs &lt;obj&gt; &lt;index&gt; -&gt; integer_array\n\
patch.getVertPatches &lt;obj&gt; &lt;index&gt; -&gt; integer_array\n\
patch.getVertEdges &lt;obj&gt; &lt;index&gt; -&gt; integer_array\n\
patch.getVecVert &lt;obj&gt; &lt;index&gt; -&gt; integer\n\
patch.getVecPatches &lt;obj&gt; &lt;index&gt; -&gt; integer_array\n\
patch.getEdgeVert1 &lt;obj&gt; &lt;index&gt; -&gt; integer\n\
patch.getEdgeVert2 &lt;obj&gt; &lt;index&gt; -&gt; integer\n\
patch.getEdgeVec12 &lt;obj&gt; &lt;index&gt; -&gt; integer\n\
patch.getEdgeVec21 &lt;obj&gt; &lt;index&gt; -&gt; integer</code></pre><h3 id=\"accessing-and-manipulating-the-texture-mapping-information\">Accessing and manipulating the texture mapping information</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.setNumMaps &lt;obj&gt; &lt;num&gt; [keep:&lt;boolean&gt;]\n\
patch.getNumMaps &lt;obj&gt; -&gt; integer\n\
patch.setMapSupport &lt;obj&gt; &lt;map_chan&gt; [init:&lt;boolean&gt;]\n\
patch.getMapSupport &lt;obj&gt; &lt;map_chan&gt; -&gt; boolean\n\
patch.maxMapChannels &lt;obj&gt;\n\
patch.setNumMapVerts &lt;obj&gt; &lt;map_chan&gt; &lt;num&gt; [keep:&lt;boolean&gt;]\n\
patch.getNumMapVerts &lt;obj&gt; &lt;map_index&gt;\n\
patch.setNumMapPatches &lt;obj&gt; &lt;map_chan&gt; &lt;num&gt; [keep:&lt;boolean&gt;]\n\
patch.getMapVert &lt;obj&gt; &lt;map_chan&gt; &lt;index&gt;\n\
patch.setMapVert &lt;obj&gt; &lt;map_chan&gt; &lt;index&gt; &lt;point3&gt;\n\
patch.getMapPatch &lt;obj&gt; &lt;map_chan&gt; &lt;index&gt;\n\
patch.setMapPatch &lt;obj&gt; &lt;map_chan&gt; &lt;index&gt; &lt;index_array&gt;</code></pre><h3 id=\"getting-and-setting-the-material-id-of-the-whole-object-or-individual-patches\">Getting and setting the material ID of the whole object or individual patches</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.getPatchMtlID &lt;obj&gt; &lt;index&gt; -&gt; integer\n\
patch.setPatchMtlID &lt;obj&gt; &lt;patch_index&gt; &lt;mtl_id&gt;</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> The material ID value returned by <code>patch.getPatchMtlID</code> and set by <code>patch.setPatchMtlID</code> are now 1-based. The material ID value was 0-based in <strong>3ds Max 4</strong>.</div>\n\
<h3 id=\"accessing-and-controlling-viewport-and-renderer-tesselation-and-visibility\">Accessing and controlling viewport and renderer tesselation and visibility</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.setMeshSteps &lt;obj&gt; &lt;steps&gt;\n\
patch.getMeshSteps &lt;obj&gt;\n\
patch.setMeshStepsRender &lt;obj&gt; &lt;steps&gt;\n\
patch.getMeshStepsRender &lt;obj&gt;\n\
patch.setShowInterior &lt;obj&gt; &lt;boolean&gt;\n\
patch.getShowInterior &lt;obj&gt;\n\
patch.setAdaptive &lt;obj&gt; &lt;boolean&gt;\n\
patch.getAdaptive &lt;obj&gt;</code></pre><h3 id=\"accessing-topology-info-for-the-specified-sub-object\">Accessing topology info for the specified sub-object</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.getEdges &lt;obj&gt; &lt;v1&gt; [&lt;v2&gt;] -&gt; integer_array\n\
patch.getPatches &lt;obj&gt; &lt;v1&gt; [&lt;v2&gt;] -&gt; integer_array\n\
patch.getVectors &lt;obj&gt; &lt;vert&gt; -&gt; integer_array</code></pre><h3 id=\"transforming-all-vertices-and-vectors-in-the-patch-object-by-the-given-matrix\">Transforming all vertices and vectors in the patch object by the given matrix</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.transform &lt;obj&gt; &lt;matrix3&gt;</code></pre><p>This transform happens in object local space.</p>\n\
<h3 id=\"performing-various-high-level-operations-on-a-patch-object\">Performing various high-level operations on a patch object</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.weldVerts &lt;obj&gt; &lt;threshold&gt; &lt;weldIdentical_bool&gt; &lt;startVert&gt;\n\
patch.weld2Verts &lt;obj&gt; &lt;v1&gt; &lt;v2&gt;\n\
patch.weldEdges &lt;obj&gt;\n\
patch.deletePatchParts &lt;obj&gt; &lt;del_vert_bitarray&gt; &lt;del_patches_bitarray&gt;\n\
patch.clonePatchParts &lt;obj&gt; &lt;patch_bit_array&gt;\n\
patch.subdivideEdges &lt;obj&gt; &lt;propogate&gt;\n\
patch.subdividePatches &lt;obj&gt; &lt;propogate&gt;\n\
patch.addTriPatch &lt;obj&gt;\n\
patch.addQuadPatch &lt;obj&gt;</code></pre><h3 id=\"getting-and-manipulating-surface-normal-information\">Getting and manipulating surface normal information</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.patchNormal &lt;obj&gt; &lt;patch&gt;\n\
patch.edgeNormal &lt;obj&gt; &lt;edge&gt;\n\
patch.updatePatchNormals &lt;obj&gt;\n\
patch.flipPatchNormal &lt;obj&gt; &lt;patch&gt;\n\
patch.unifyNormals &lt;obj&gt;\n\
patch.autoSmooth &lt;obj&gt; &lt;angle&gt; &lt;useSel_bool&gt; &lt;preventIndirectSmoothing_bool&gt;</code></pre><p>Normal vectors are given in MAXScript&apos;s current working coordinate context.</p>\n\
<h3 id=\"accessing-and-changing-the-vertex-and-interior-vertex-types\">Accessing and changing the vertex and interior vertex types</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.changeVertType &lt;obj&gt; &lt;vert&gt; #corner|#coplanar patch.getVertType &lt;obj&gt; &lt;vert&gt; -&gt; #corner or #coplanar\n\
patch.changePatchInteriorType &lt;obj&gt; &lt;patch&gt; #automatic|#manual patch.getPatchInteriorType &lt;obj&gt; &lt;patch&gt; -&gt; #automatic or #manual</code></pre><h3 id=\"accessingthe-current-mesh-tesselation-for-thepatch-object\">Accessingthe current mesh tesselation for thepatch object</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.getMesh &lt;obj&gt; -&gt; mesh value</code></pre><h3 id=\"interpolating-individual-patch-surfaces\">Interpolating individual patch surfaces</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.interpTriPatch &lt;obj&gt; &lt;patch&gt; &lt;u&gt; &lt;v&gt; &lt;w&gt; -&gt; point3\n\
patch.interpQuadPatch &lt;obj&gt; &lt;patch&gt; &lt;u&gt; &lt;v&gt; -&gt; point3</code></pre><p>A tri-patch interpolation takes u,v,w <a href=\"./../../Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\">barycentric coordinates</a>. A quad-patch takes u and c parameters. In both cases, the point returns is given in the current MAXScript working coordinate context.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Patch.html\">Patch</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">Node Common Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../Scripting-Vertex-and-Control/Scripting-Vertex-and-Control-1.html\">Scripting Vertex and Control Point Animation</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";