var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C0641D37-1F76-453C-B1F1-C11D6861B74C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>patches</h1></div><p>A patch function package containing a large number of functions for creating, modifying, and accessing patch objects has been introduced in <strong>3ds Max 4</strong>. The sub-object selection system in MAXScript has also been extended to cover patch objects.</p>\n\
<ul>\n\
<li><p>The Editable Patch object in MAX was called &apos;Patch&apos; in MAXScript. It has been renamed to &apos;Editable_Patch&apos; to be consistent with Editable_Mesh and Editable_Poly, and to allow the new patch function package to be named &apos;patch&apos;.</p>\n\
</li>\n\
<li><p>The MAXScript sub-object selection system has been extended to work with Editable Patch objects. This means that all the MAXScript VertexSelection, FaceSelection, and EdgeSelection properties and operations now work with patch objects. The &apos;face&apos; sub-object selections in this system correspond to the &apos;patch&apos; sub-object level when applied to patches.</p>\n\
</li>\n\
<li><p>The Patch functions. All the functions in this package take either a scene node containing an Editable Patch object or an Editable Patch base object as the first argument. QuadPatch and TriPatch objects need to be converted to Editable Patches for the Patch functions to be applicable. For example, when using the <code>convertTo</code> $foo Editable_Patch.</p>\n\
</li>\n\
</ul>\n\
<p>To create a patch object from scratch, create an Editable_Patch scene object to create an empty patch object and use the geometry &amp; topology creation functions below to fill the patch out, then use the <code>patch.update</code> () function to complete the construction.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Any set of changes to a patch object using the following functions do not take effect fully until the <code>patch.update</code> () function is called on it. This makes construction substantially more efficient, but can leave a patch in an unstable state if the script that contains the changing code finishes before calling patch <code>.update</code> on it, which might result in a MAX crash.</div>\n\
<p><strong>Functions:</strong></p>\n\
<p>The following functions are used to get and set the overall geometry of the patch. Supply <code>keep:true</code> to the setNumXXX functions for them to retain existing vertex/vector/patch/edge data, defaults to false, which cleans out the geometry.</p>\n\
<p><strong>The functions are largely direct calls to the methods of the same name on the MAX SDK class PatchMesh. See the SDK Help file Advanced Topic &quot;Working with Patches&quot;, and the documentation for the main Patch system classes for more detailed information</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt; patch.getNumVerts &lt;obj&gt;\n\
patch.setNumVerts &lt;obj&gt; &lt;num&gt; [keep:&lt;boolean&gt;] \n\
\n\
&lt;integer&gt; patch.getNumVecs &lt;obj&gt;\n\
patch.setNumVecs &lt;obj&gt; &lt;num&gt; [keep:&lt;boolean&gt;] \n\
\n\
&lt;integer&gt; patch.getNumPatches &lt;obj&gt;\n\
patch.setNumPatches &lt;obj&gt; &lt;num&gt; [keep:&lt;boolean&gt;] \n\
\n\
&lt;integer&gt; patch.getNumEdges &lt;obj&gt;\n\
patch.setNumEdges &lt;obj&gt; &lt;num&gt; [keep:&lt;boolean&gt;] </code></pre><p>The following functions get and set individual vertex and vector handle locations. The vertex and vector coordinates are interpreted in MAXScript&apos;s current working coordinate context.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Consistent with the rest of MAXScript, all vertex/patch/vector/edge indexes start numbering at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt; patch.getVert &lt;obj&gt; &lt;index&gt;\n\
patch.setVert &lt;obj&gt; &lt;index&gt; &lt;point3&gt;\n\
\n\
&lt;point3&gt; patch.getVec &lt;obj&gt; &lt;index&gt;\n\
patch.setVec &lt;obj&gt; &lt;index&gt; &lt;point3&gt;</code></pre><p>The following two functions are the main mechanism for creating individual patches in the patch mesh:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.makeQuadPatch &lt;obj&gt; &lt;index&gt; &lt;va&gt; &lt;vab&gt; &lt;vba&gt; &lt;vb&gt; &lt;vbc&gt; &lt;vcb&gt; &lt;vc&gt; &lt;vcd&gt; &lt;vdc&gt; &lt;vd&gt; &lt;vda&gt; &lt;vad&gt; &lt;i1&gt; &lt;i2&gt; &lt;i3&gt; &lt;i4&gt; &lt;sm&gt;</code></pre><p>Where:</p>\n\
<ul>\n\
<li><code>index</code> = The index of the patch to create (0&gt; = index &lt; numPatches).</li>\n\
<li><code>va</code> = The first vertex.</li>\n\
<li><code>vab</code> = Vector ab.</li>\n\
<li><code>vba</code> = Vector ba.</li>\n\
<li><code>vb</code> = The second vertex.</li>\n\
<li><code>vbc</code> = Vector bc.</li>\n\
<li><code>vcb</code> = Vector cb.</li>\n\
<li><code>vc</code> = The third vertex.</li>\n\
<li><code>vcd</code> = Vector cd.</li>\n\
<li><code>vdc</code> = Vector dc.</li>\n\
<li><code>vd</code> = The fourth vertex.</li>\n\
<li><code>vda</code> = Vector da.</li>\n\
<li><code>vad</code> = Vector ad.</li>\n\
<li><code>i1</code> = Interior 1.</li>\n\
<li><code>i2</code> = Interior 2.</li>\n\
<li><code>i3</code> = Interior 3.</li>\n\
<li><code>i4</code> = Interior 4.</li>\n\
<li><code>sm</code> = The smoothing group mask</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.makeTriPatch &lt;obj&gt; &lt;index&gt; &lt;va&gt; &lt;vab&gt; &lt;vba&gt; &lt;vb&gt; &lt;vbc&gt; &lt;vcb&gt; &lt;vc&gt; &lt;vca&gt; &lt;vac&gt; &lt;i1&gt; &lt;i2&gt; &lt;i3&gt; &lt;sm&gt;</code></pre><p>Where:</p>\n\
<ul>\n\
<li><code>va</code> = The first vertex.</li>\n\
<li><code>vab</code> = Vector ab.</li>\n\
<li><code>vba</code> = Vector ba.</li>\n\
<li><code>vb</code> = The second vertex.</li>\n\
<li><code>vbc</code> = Vector bc.</li>\n\
<li><code>vcb</code> = Vector cb.</li>\n\
<li><code>vc</code> = The third vertex.</li>\n\
<li><code>vca</code> = Vector ca.</li>\n\
<li><code>vac</code> = Vector ac.</li>\n\
<li><code>i1</code> = Interior 1.</li>\n\
<li><code>i2</code> = Interior 2.</li>\n\
<li><code>i3</code> = Interior 3.</li>\n\
<li><code>sm</code> = The smoothing group mask</li>\n\
</ul>\n\
<p>The following function forces all the geometry and topology caches to be rebuilt, change notifications to be sent, and a screen redraw request to be flagged.</p>\n\
<p>You must call this function after making any changes to a path object before exiting the script. Otherwise, an invalid patch might be passed to MAX, which can cause a crash. The <code>patch.update</code> () function is similar to the update() function in mesh object scripting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.update &lt;obj&gt;</code></pre><p>The following functions give access to the topology of an existing patch object. They return either indexes or arrays of indexes of the sub-objects requested.</p>\n\
<p><code>getVertVecs()</code> returns an array of the vectors coming out of the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer_array&gt; patch.getVertVecs &lt;obj&gt; &lt;index&gt;\n\
&lt;integer_array&gt; patch.getVertPatches &lt;obj&gt; &lt;index&gt;\n\
&lt;integer_array&gt; patch.getVertEdges &lt;obj&gt; &lt;index&gt;\n\
&lt;integer&gt; patch.getVecVert &lt;obj&gt; &lt;index&gt;\n\
&lt;integer_array&gt; patch.getVecPatches &lt;obj&gt; &lt;index&gt;\n\
&lt;integer&gt; patch.getEdgeVert1 &lt;obj&gt; &lt;index&gt;\n\
&lt;integer&gt;  patch.getEdgeVert2 &lt;obj&gt; &lt;index&gt;\n\
&lt;integer&gt; patch.getEdgeVec12 &lt;obj&gt; &lt;index&gt;\n\
&lt;integer&gt; patch.getEdgeVec21 &lt;obj&gt; &lt;index&gt;</code></pre><p>The following functions access and manipulate the texture mapping information in the patch object:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt; patch.getNumMaps &lt;obj&gt;\n\
patch.setNumMaps &lt;obj&gt; &lt;num&gt; [keep:&lt;boolean&gt;]\n\
\n\
&lt;boolean&gt; patch.getMapSupport &lt;obj&gt; &lt;map_chan&gt;\n\
patch.setMapSupport &lt;obj&gt; &lt;map_chan&gt; [init:&lt;boolean&gt;]\n\
\n\
&lt;integer&gt; patch.getNumMapVerts &lt;obj&gt; &lt;map_index&gt;\n\
patch.setNumMapVerts &lt;obj&gt; &lt;map_chan&gt; &lt;num&gt; [keep:&lt;boolean&gt;]\n\
\n\
&lt;point3&gt; patch.getMapVert &lt;obj&gt; &lt;map_chan&gt; &lt;index&gt;\n\
patch.setMapVert &lt;obj&gt; &lt;map_chan&gt; &lt;index&gt; &lt;point3&gt;\n\
\n\
&lt;index_array&gt; patch.getMapPatch &lt;obj&gt; &lt;map_chan&gt; &lt;index&gt;\n\
patch.setMapPatch &lt;obj&gt; &lt;map_chan&gt; &lt;index&gt; &lt;index_array&gt;\n\
\n\
patch.maxMapChannels &lt;obj&gt;\n\
patch.setNumMapPatches &lt;obj&gt; &lt;map_chan&gt; &lt;num&gt; [keep:&lt;boolean&gt;]</code></pre><p>The following functions get and set the material ID for the patch object as a whole or for individual patches:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt; patch.getMtlID &lt;obj&gt;\n\
patch.setMtlID &lt;obj&gt; &lt;mtl_id&gt;\n\
\n\
&lt;integer&gt;patch.getPatchMtlID &lt;obj&gt; &lt;index&gt;\n\
patch.setPatchMtlID &lt;obj&gt; &lt;patch_index&gt; &lt;mtl_id&gt;</code></pre><p>The following functions access and control the viewport and renderer tessellation and visibility:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.setMeshSteps &lt;obj&gt; &lt;steps&gt;\n\
patch.getMeshSteps &lt;obj&gt;\n\
\n\
patch.setMeshStepsRender &lt;obj&gt; &lt;steps&gt;\n\
patch.getMeshStepsRender &lt;obj&gt;\n\
\n\
patch.setShowInterior &lt;obj&gt; &lt;boolean&gt;\n\
patch.getShowInterior &lt;obj&gt;\n\
\n\
patch.setAdaptive &lt;obj&gt; &lt;boolean&gt;\n\
patch.getAdaptive &lt;obj&gt;</code></pre><p>The following functions access the topology information for the specified sub-object:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer_array&gt;  patch.getEdges &lt;obj&gt; &lt;v1&gt; [&lt;v2&gt;]\n\
&lt;integer_array&gt; patch.getPatches &lt;obj&gt; &lt;v1&gt; [&lt;v2&gt;]\n\
&lt;integer_array&gt; patch.getVectors &lt;obj&gt; &lt;vert&gt;</code></pre><p>The following function transforms all the vertices and vectors in the patch object by the given matrix. This transform happens in the object local space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.transform &lt;obj&gt; &lt;matrix3&gt;</code></pre><p>The following functions perform various high-level operations on a patch object:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.weldVerts &lt;obj&gt; &lt;threshold&gt; &lt;weldIdentical_bool&gt; &lt;startVert&gt;\n\
patch.weld2Verts &lt;obj&gt; &lt;v1&gt; &lt;v2&gt;\n\
patch.weldEdges &lt;obj&gt;\n\
patch.deletePatchParts &lt;obj&gt; &lt;del_vert_bitarray&gt; &lt;del_patches_bitarray&gt;\n\
patch.clonePatchParts &lt;obj&gt; &lt;patch_bit_array&gt;\n\
patch.subdivideEdges &lt;obj&gt; &lt;propagate&gt;\n\
patch.subdividePatches &lt;obj&gt; &lt;propagate&gt;\n\
patch.addTriPatch &lt;obj&gt;\n\
patch.addQuadPatch &lt;obj&gt;</code></pre><p>The following functions get and manipulate surface normal information. Again, normal vectors are given in MAXScript&apos;s current working coordinate context.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.patchNormal &lt;obj&gt; &lt;patch&gt;\n\
patch.edgeNormal &lt;obj&gt; &lt;edge&gt;\n\
patch.updatePatchNormals &lt;obj&gt;\n\
patch.flipPatchNormal &lt;obj&gt; &lt;patch&gt;\n\
patch.unifyNormals &lt;obj&gt;\n\
patch.autoSmooth &lt;obj&gt; &lt;angle&gt; &lt;useSel_bool&gt; &lt;preventIndirectSmoothing_bool&gt;</code></pre><p>The following functions access and change the vertex and interior vertex types:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">patch.changeVertType &lt;obj&gt; &lt;vert&gt; #corner|#coplanar patch.getVertType &lt;obj&gt; &lt;vert&gt; -&gt;#corneror#coplanar\n\
\n\
patch.changePatchInteriorType &lt;obj&gt; &lt;patch&gt; #automatic|#manual patch.getPatchInteriorType &lt;obj&gt; &lt;patch&gt; -&gt;#automaticor#manual</code></pre><p>The following function returns the current mesh tessellation for the patch object:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh value&gt;patch.getMesh &lt;obj&gt;</code></pre><p>The following functions are used to interpolate individual patch surfaces. A tri-patch interpolation takes u,v,w barycentric coordinates. A quad-patch takes u and c parameters. In both cases, the point returns is given in the current MAXScript working coordinate context.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;patch.interpTriPatch &lt;obj&gt; &lt;patch&gt; &lt;u&gt; &lt;v&gt; &lt;w&gt;\n\
&lt;point3&gt;patch.interpQuadPatch &lt;obj&gt; &lt;patch&gt; &lt;u&gt; &lt;v&gt;</code></pre><h3 id=\"subobject-selection\">SubObject Selection</h3><p>The following methods require a selection to operate on. Using them with out selection will not give results.</p>\n\
<p><strong>subDivideEdges:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Quadpatch lengthsegs:1 widthsegs:1 length:100 width:100 isSelected:on\n\
convertTo $ Editable_Patch\n\
$.selectededges = #{1}\n\
patch.subdivideEdges $ false\n\
patch.update $\n\
</code></pre><p><strong>subdividePatches:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Quadpatch lengthsegs:1 widthsegs:1 length:100 width:100 isSelected:on\n\
convertTo $ Editable_Patch\n\
$.selectedfaces = #{1}\n\
patch.subdividePatches $ false\n\
patch.update $\n\
</code></pre><p><strong>addTriPatch/addQuadPatch:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Quadpatch lengthsegs:1 widthsegs:1 length:100 width:100 isSelected:on\n\
convertTo $ Editable_Patch\n\
$.selectededges = #{1}\n\
patch.addTriPatch $\n\
patch.update $\n\
$.selectededges = #{3}\n\
patch.addQuadPatch $\n\
patch.update $\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Patch.html\">Patch</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Selection-Modifiers/Patch_Select-superclass-modifier.html\">Patch_Select - superclass: modifier</a></li>\n\
          <li><a class=\"link\" href=\"Patch-Objects.html\">Patch Objects</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";