var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C6560DDD-3117-4F8B-9280-F990D240F298\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Revit_importer : ImporterPlugin</h1></div><p>Exposes the Revit Importer plugin to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript.</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Revit_importer\n\
Revit_Import </code></pre><p><strong>Properties:</strong></p>\n\
<p>No properties, methods or interfaces exposed.</p>\n\
<p><strong>Related Functions:</strong></p>\n\
<p>The following functions can be used to programmatically get and set the Revit Importer options:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RevitImporterGetOption &lt;String&gt;optionName</code></pre><p>Returns the value of the named Revit importer option.</p>\n\
<p>Possible options are:</p>\n\
<p><strong>&quot;combineoption&quot;</strong> - range from 0 to 4, default is 0</p>\n\
<p><strong>&quot;geometrydetail&quot;</strong> - range from 0 to 15, default is 8</p>\n\
<p><strong>&quot;material&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;camera&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;light&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;rpc&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;daylight&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;biminfo&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;fullscene&quot;</strong> - boolean, default is False</p>\n\
<p><strong>&quot;viewdetail&quot;</strong> - range from 0 to 3, default is 0</p>\n\
<p><strong>&quot;view&quot;</strong> - string, default is the <code>unsupplied</code> value</p>\n\
<p><strong>&quot;extrudedetect&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;simplifymesh&quot;</strong> - range from 0.0 to 0.5, -1 to disable, default is the <code>unsupplied</code> value. You can set this to -1 to completely disable the simplify mesh option. Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RevitImporterSetOption &lt;String&gt;optionName &lt;Value&gt;newValue</code></pre><p>Sets the value of the named Revit importer option.</p>\n\
<p>See above for valid option names and value ranges.</p>\n\
<p>Returns OK.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   RevitImporterGetOption &quot;combineoption&quot;\n\
   --&gt; 0\n\
   RevitImporterGetOption &quot;geometrydetail&quot;\n\
   --&gt; 8\n\
   RevitImporterSetOption &quot;geometrydetail&quot; 12\n\
   --&gt;OK\n\
   RevitImporterGetOption &quot;material&quot;\n\
   --&gt; true\n\
   RevitImporterGetOption &quot;camera&quot;\n\
   --&gt; true\n\
   RevitImporterGetOption &quot;light&quot;\n\
   --&gt; true\n\
   RevitImporterGetOption &quot;rpc&quot;\n\
   --&gt; true\n\
   RevitImporterGetOption &quot;daylight&quot;\n\
   --&gt; true\n\
   RevitImporterGetOption &quot;biminfo&quot;\n\
   --&gt; true\n\
   RevitImporterGetOption &quot;fullscene&quot;\n\
   --&gt; false\n\
   RevitImporterGetOption &quot;viewdetail&quot;\n\
   --&gt; 0 \n\
   RevitImporterGetOption &quot;view&quot;\n\
   --&gt; unsupplied\n\
   RevitImporterGetOption &quot;extrudedetect&quot;\n\
   --&gt; true\n\
   RevitImporterGetOption &quot;simplifymesh&quot;\n\
   --&gt; unsupplied\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Import-and-Export-Filters.html\">Import and Export Filters</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";