var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2D04C2F5-0C6F-4FAC-987D-34D0A319654C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ActiveShadeFragmentManager</h1></div><p>The <strong>ActiveShadeFragmentManager Interface</strong> provides MAXScript access to the viewport ActiveShade mode, where a viewport can display using the ActiveShade renderer but maintain interactive capabilities. Available in <strong>3ds Max 2019.3 Update and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>None</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ToggleInActiveViewport()</code></pre><p>Toggles the ActiveShade viewport mode. Returns true if the mode was toggled on or off, and false if something went wrong and the mode was not toggled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetRenderRegionInActiveViewport &lt;float&gt;left &lt;float&gt;top &lt;float&gt;right &lt;float&gt;bottom</code></pre><p>Sets the region to render in the active viewport. The <strong>left</strong>, <strong>top</strong>, <strong>right</strong>, and <strong>bottom</strong> parameters are floats in the range of 0.0 to 1.0, and specify 2D coordinates to set as the ActiveShade render region where (0.0, 0.0) is the top left corner, and (1.0, 1,0) is the bottom right. The rest of the viewport will be rendered with the default viewport renderer (typically Nitrous). For example, passing <code>0.0 0.0 0.5 0.5</code> will cause the top left quarter of the viewport to render with ActiveShade.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RemoveActiveShadeFragmentFromAllViewports()</code></pre><p>Turns ActiveShade mode off for all viewports.</p>\n\
<p>Currently, only one viewport at a time can run in ActiveShade render mode, but this might change in the future.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int by value array&gt;GetRunningActiveShadeViewportsIndices()\n\
       GetRunningActiveShadeViewportsIndices - no automatic redraw after invoked</code></pre><p>Returns an array of two integers indicating which viewport is running in ActiveShade render mode. The first integer is the index of the view panel, and the second is the index of the viewport in the panel running in ActiveShade render mode. Note that these indices are 0-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IsRunningInActiveViewport()\n\
       IsRunningInActiveViewport - no automatic redraw after invoked</code></pre><p>Returns true if the currently active viewport is running in ActiveShade mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IsRunningInViewport &lt;integer&gt;ZeroBasedViewPanelIndex &lt;integer&gt;ZeroBasedViewportIndex\n\
       IsRunningInViewport - no automatic redraw after invoked</code></pre><p>Returns true if the viewport specified by view panel index and viewport index is running in ActiveShade render mode. Note that these indices are 0-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IsRunningInAtLeastOneViewport()\n\
       IsRunningInAtLeastOneViewport - no automatic redraw after invoked</code></pre><p>Returns true if at least one viewport is running in ActiveShade mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CurrentActiveShadeRendererSupportsConcurrentRendering()\n\
       CurrentActiveShadeRendererSupportsConcurrentRendering - no automatic redraw after invoked</code></pre><p>Returns true if the currently selected ActiveShade renderer supports concurrent rendering (rendering multiple scenes at once).</p>\n\
<h3 id=\"for-example\">For Example</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">global asfm = ActiveShadeFragmentManager\n\
\n\
vp_indices = asfm.GetRunningActiveShadeViewportsIndices()\n\
format &quot;This should be 0: %&quot; vp_indices.count\n\
-- check that there is no ActiveShade\n\
isASFMRunning()\n\
-- now toggle\n\
asfm.ToggleInActiveViewport()\n\
-- should be running in the active viewport\n\
isASFMRunning()\n\
-- set the active render region to the top left quarter of the viewport\n\
asfm.SetRenderRegionInActiveViewport 0.0 0.0 0.5 0.5\n\
-- now turn off again\n\
asfm.RemoveActiveShadeFragmentFromAllViewports()\n\
\n\
\n\
 function isASFMRunning =  (\n\
    format &quot;Is running in active viewport? %\\n&quot; (asfm.IsRunningInActiveViewport())\n\
    format &quot;Is running in any viewport? %\\n&quot; (asfm.IsRunningInAtLeastOneViewport())\n\
    format &quot;Lets check each viewport&quot;\n\
    panel_index = ViewPanelManager.GetActiveViewPanelIndex()\n\
    -- note that the panel index and viewport index are 0-based, so we must subtract 1 for MXS interop\n\
    for i = 0 to viewport.numViews-1 do (\n\
     format &quot;Running in viewport index %? %\\n&quot; i (asfm.IsRunningInViewport (panel_index-1) i)\n\
    )\n\
\n\
 )</code></pre><p><strong>Actions:</strong></p>\n\
<p>None</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../A.html\">A</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";