var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-496B672B-3035-451E-8BC3-991905DACFF5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: BatchProOptimizer</h1></div><p>This Interface provides access to the <strong>Batch Processing</strong> feature of the <a href=\"./../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/ProOptimizer-Modifier.html\">ProOptimizer modifier</a>.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The properties and methods listed below do NOT change the settings of the Batch Optimization dialog used in interactive mode. They affect the MAXScript Batch Optimizer which is executed using the <strong>BatchProOptimizer.batch()</strong> method call. This means that you can get and set these properties and process your files using your own MAXScript tool, but the interactive version of the Batch ProOpimizer will keep its own settings and can be used independently.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: BatchProOptimizer </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"source-files-tab\">Source Files Tab</h2><p><img src=\"./images/GUID-A90745C3-8627-492D-83E0-FC313C1FD5DE-low.gif\" alt></p>\n\
<h3 id=\"source-directory-section\">Source Directory Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.SourceFileMode : integer : Read|Write      </code></pre><p>Get/set the internal value equivalent to the index of the &quot;Source Directory&quot; radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>File Selection</strong> -  uses the files array specified via the <code>BatchProOptimizer.SourceFileFiles</code> property.</p>\n\
<p>1 - <strong>Current Directory</strong></p>\n\
<p>2 - <strong>Selected Directory</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.SourceFileFiles : filename by value array : Read|Write   </code></pre><p>Get/set the array of source files to process when the <code>.SourceFileMode</code> property is set to 0. Default is #().</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.SourceFileDir : string : Read|Write </code></pre><p>Get/set the source directory to process when the <code>.SourceFileMode</code> property is set to 2. Default is &quot;&quot;</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.SourceFileSubDir : boolean : Read|Write </code></pre><p>Get/set the state of the internal option equivalent to the &quot;Include Subdirectories&quot; checkbox.</p>\n\
<h2 id=\"optimization-tab\">Optimization Tab</h2><p><img src=\"./images/GUID-5B225401-7776-4070-8AEA-000BFBDF4904-low.gif\" alt></p>\n\
<h3 id=\"optimization-level-section\">Optimization Level Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.OptimizationLevelMode : integer : Read|Write </code></pre><p>Get/set the internal value equivalent to the Optimization Level Mode radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Predefined Vertex %</strong></p>\n\
<p>1 - <strong>Automatic Vertex %</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.OptimizationLevel1 : integer : Read|Write </code></pre><p>Get/set the value equivalent to the first optimization level value. Default value is 25.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.OptimizationLevel2 : integer : Read|Write </code></pre><p>Get/set the value equivalent to the second optimization level value. Default value is 50.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.OptimizationLevel3 : integer : Read|Write </code></pre><p>Get/set the value equivalent to the third optimization level value. Default value is 65.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.OptimizationLevel4 : integer : Read|Write </code></pre><p>Get/set the value equivalent to the fourth optimization level value. Default value is 75.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.OptimizationLevel5 : integer : Read|Write </code></pre><p>Get/set the value equivalent to the fifth optimization level value. Default value is 90.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.OptimizationLevelSteps : integer : Read|Write </code></pre><p>Get/set the value equivalent to the &quot;Optimization Levels&quot; value. Default value is 9.</p>\n\
<h3 id=\"optimization-options-section\">Optimization Options Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.OptimizeBordersMode : integer : Read|Write </code></pre><p>Get/set the internal value equivalent to the Optimize Borders mode radio buttons.</p>\n\
<p>Possible values:</p>\n\
<p>0 - <strong>Crunch Borders</strong></p>\n\
<p>1 - <strong>Protect Borders</strong> (default)</p>\n\
<p>2 - <strong>Exclude Border</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.OptimizeHidden : boolean : Read|Write </code></pre><p>Get/set the internal value corresponding to the &quot;Optimize Hidden Objects&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.MergePoints : boolean : Read|Write </code></pre><p>Get/set the internal value corresponding to the &quot;Merge Vertices&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.MergePointsThreshold : float : Read|Write </code></pre><p>Get/set the internal value corresponding to the &quot;Merge Vertices Threshold&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.MergeFaces : boolean : Read|Write </code></pre><p>Get/set the internal value corresponding to the &quot;Merge Faces&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.MergeFacesThreshold : float : Read|Write </code></pre><p>Get/set the internal value corresponding to the &quot;Merge Faces Threshold&quot; value.</p>\n\
<h3 id=\"materials-and-uvs-section\">Materials and UVs Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.KeepMaterialBoundaries : boolean : Read|Write </code></pre><p>Get/set the internal Boolean value equivalent to the &quot;Keep Material Boundaries&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.KeepTexture : boolean : Read|Write </code></pre><p>Get/set the internal Boolean value equivalent to the &quot;Keep Textures&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.KeepUVBoundaries : boolean : Read|Write </code></pre><p>Get/set the internal Boolean value equivalent to the &quot;Keep UV Boundaries&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.UVTolerance : float : Read|Write </code></pre><p>Get/set the internal Floating Point value equivalent to the &quot;UV Tolerance (0.0 to 1.0)&quot; field. Default is 0.0.</p>\n\
<h3 id=\"vertex-colors-section\">Vertex Colors Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.KeepVertexColors : boolean : Read|Write </code></pre><p>Get/set the internal Boolean value equivalent to the &quot;Keep Vertex Colors&quot; checkbox. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.KeepVertexColorsBoundaries : boolean : Read|Write </code></pre><p>Get/set the internal Boolean value equivalent to the &quot;Keep VC Boundaries&quot; checkbox. Default is true, but is only used if <code>.KeepVertexColor</code> is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.VertexColorsTolerance : integer : Read|Write </code></pre><p>Get/set the internal integer value equivalent to the &quot;RGB Tolerance (0 to 255)&quot; field. Default is 128.</p>\n\
<h3 id=\"symmetry-options-section\">Symmetry Options Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.SymmetryMode : integer : Read|Write </code></pre><p>Get/set the internal integer value equivalent to the Symmetry Options mode radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>No Symmetry</strong> (default)</p>\n\
<p>1 - <strong>XY Symmetry</strong></p>\n\
<p>2 - <strong>YZ Symmetry</strong></p>\n\
<p>3 - <strong>XZ Symmetry</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.SymmetryTolerance : integer : Read|Write </code></pre><p>Get/set the internal integer value equivalent to the &quot;Tolerance (0 to 100%)&quot; field&apos;s value.</p>\n\
<h3 id=\"normals-section\">Normals Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.KeepNormals : boolean : Read|Write </code></pre><p>Get/set the internal Boolean value equivalent to the &quot;Keep Normals&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.NormalMode : integer : Read|Write </code></pre><p>Get/set the internal integer value equivalent to the Normals mode radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Crunch Normals</strong></p>\n\
<p>1 - <strong>Protect Normals</strong> (default)</p>\n\
<p>2 - <strong>Exclude Normals</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.NormalThreshold : float : Read|Write </code></pre><p>Get/set the internal float value equivalent to the &quot;Normal Threshold&quot; field&apos;s value.</p>\n\
<h3 id=\"advanced-options\">Advanced Options</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.CompactFaces : boolean : Read|Write </code></pre><p>Get/set the internal value corresponding to the &quot;Favor Compact Faces&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.PreventFlippedNormals : boolean : Read|Write </code></pre><p>Get/set the internal value corresponding to the Prevent Flipped Normals checkbox.</p>\n\
<h2 id=\"optimized-files-tab\">Optimized Files Tab</h2><p><img src=\"./images/GUID-ED987703-7DE2-41CA-BF40-C69D609A87E5-low.gif\" alt></p>\n\
<h3 id=\"file-names-section\">File Names Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.DestFileNameMode : integer : Read|Write </code></pre><p>Get/set the internal integer value equivalent to the File Name Mode radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Number by order of creation (scene1, scene2, scene3...)</strong></p>\n\
<p>1 - <strong>Number by optimization level (scene25, scene50, scene75...)</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.AutoRename : boolean : Read|Write </code></pre><p>Get/set the internal Boolean value equivalent to the &quot;Auto rename duplicate files&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.DestFileNamePrefix : string : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.DestFileNameSuffix : string : Read|Write </code></pre><h3 id=\"optimized-files-directory-section\">Optimized Files Directory Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.DestFolderMode : integer : Read|Write </code></pre><p>Get/set the internal integer value equivalent to the Optimized Files Directory mode radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>In the same directory as the source files</strong></p>\n\
<p>1 - <strong>In a subdirectory of the source files</strong></p>\n\
<p>2 - <strong>In the selected directory</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.DestFolderName : string : Read|Write </code></pre><p>Get/set the name of the destination folder to use when <code>.DestFolderMode</code> is set to 1 or 2. Default is &quot;.\\Results&quot; which is a relative directory to the currently optimized file&apos;s path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.RecreateFolderTree : boolean : Read|Write </code></pre><p>Get/set the internal Boolean value equivalent to the &quot;Re-create directory Tree&quot; checkbox.</p>\n\
<h3 id=\"optimized-files-format-section\">Optimized Files Format Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.DestFormatMode : integer : Read|Write </code></pre><p>Get/set the internal integer value equivalent to the Optimized Files Format mode radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Keep source file format if possible, otherwise convert to selected format</strong> (default)</p>\n\
<p>1 - <strong>Convert to the selected format</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.DestFormatExt : string : Read|Write </code></pre><p>Get/set the internal string vale defining the file format extension to use. Default is &quot;.obj&quot;. Note that the Batch Optimizer uses a drop-down list in the User Interface in interactive mode.</p>\n\
<h3 id=\"other-settings-section\">Other Settings Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.LogFilePath : string : Read|Write </code></pre><p>Get/set the file name of the log file. Default is &quot;&quot; (no log).</p>\n\
<h2 id=\"modifier-application\">Modifier Application</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BatchProOptimizer.ApplyModifier : boolean : Read|Write </code></pre><p>Get/set the internal Boolean value equivalent to the &quot;Apply Modifier&quot; checkbox in the Utility&apos;s User Interface. When set to true, ProOptimizer modifiers will be added to the objects in the batch-processed scenes. When set to false, only existing modifiers will be used without adding new ones.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BatchProOptimizer.batch() </code></pre><p>Performs the batch optimization according to the settings specified using the above properties.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../B.html\">B</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/ProOptimizer-Modifier.html\">ProOptimizer : Modifier</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";