var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B0E699D2-AC68-47A7-822C-C2D0AAE07901\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: BitmapProxyMgr</h1></div><p>This Core Interface exposes the <strong>Bitmap Proxy System</strong> to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BitmapProxyMgr.globalProxyEnable : boolean : Read|Write      </code></pre><p>Enables Bitmap Proxies globally.Corresponds to the &quot;Enable Proxy System&quot; checkbox in the Bitmap Proxies dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BitmapProxyMgr.globalProxyRenderMode : enum : Read|Write   \n\
\n\
globalProxyRenderMode enums: {#renderMode_UseProxies | #renderMode_UseFullRes_KeepInMemory | #renderMode_UseFullRes_FlushFromMemory} </code></pre><p>Gets/Sets the global Proxy Render Mode. Corresponds to the Render Mode drop-down list in the Bitmap Proxies dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BitmapProxyMgr.globalProxySizeFactor : enum : Read|Write \n\
\n\
globalProxySizeFactor enums: {#full|#half|#third|#quarter|#eighth} </code></pre><p>Gets/Sets the global Proxy Size Factor. Corresponds to the &quot;Downscale map to...&quot; drop-down list in the Bitmap Proxies dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BitmapProxyMgr.globalProxySizeMin : integer : Read|Write </code></pre><p>Gets/Sets the global Proxy minimum size in pixels. Corresponds to the &quot;pixels&quot; spinner in the Bitmap Proxies dialog.</p>\n\
<p><img src=\"./images/GUID-180A8E14-BB13-4C26-82BC-BAE5EB90D99E-low.gif\" alt></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;BitmapProxyMgr.GetProxySizeFactor &lt;string&gt;bitmap \n\
\n\
GetProxySizeFactor enums: {#full|#half|#third|#quarter|#eighth} </code></pre><p>Returns the local Proxy size factor for the specified bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BitmapProxyMgr.SetProxySizeFactor &lt;string&gt;bitmap &lt;enum&gt;factor \n\
\n\
factor enums:{#full|#half|#third|#quarter|#eighth} </code></pre><p>Sets the local Proxy size factor for the specified bitmap to the given enum. This setting will be used only if the <code>.SetProxyUseGlobal</code> property has been set to false for the bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BitmapProxyMgr.GetProxyUseGlobal &lt;string&gt;bitmap </code></pre><p>Returns <code>true</code> if the specified bitmap is using the global proxy settings, <code>false</code> if it is using the local settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BitmapProxyMgr.SetProxyUseGlobal &lt;string&gt;bitmap &lt;boolean&gt;useGlobal </code></pre><p>When the second argument is passed as <code>true</code> , the global settings will be used for the bitmap specified by the first argument. When the second argument is <code>false</code> , the local settings will be used instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BitmapProxyMgr.GetProxyReady &lt;string&gt;bitmap </code></pre><p>Returns <code>true</code> if the proxy of the specified bitmap filename is ready, <code>false</code> if it has not been cached yet.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BitmapProxyMgr.RefreshAll requestRefresh :&lt;enum&gt; \n\
\n\
requestRefresh enums: {#updateStale|#refreshAll|#generateAll} \n\
requestRefresh default value: #updateStale </code></pre><p>Regenerates proxies of some or all the bitmaps.</p>\n\
<p>When <code>requestRefresh</code> is not supplied or is set to <code>#updateStale</code> , only stale proxies will be updated.</p>\n\
<p>When <code>requestRefresh</code> is set to <code>#refreshAll</code> , only bitmaps that are newer than their proxies will be updated..</p>\n\
<p>When <code>requestRefresh</code> is set to <code>#generateAll</code> , all proxies will be regenerated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BitmapProxyMgr.GenerateAll requestRefresh :&lt;enum&gt; \n\
\n\
requestRefresh enums: {#updateStale|#refreshAll|#generateAll} \n\
requestRefresh default value: #updateStale </code></pre><p>Same as <strong>RefreshAll</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BitmapProxyMgr.ShowConfigDialog bitmapFielnames :&lt;string array&gt; \n\
\n\
bitmapFielnames default value: #() </code></pre><p>Opens the Bitmap Proxies configuration dialog.</p>\n\
<p>If the optional bitmap Filenames argument is #() or not supplied, the dialog will be titled &quot;Global Settings and Defaults for Bitmap Proxies&quot; and will affect all bitmaps globally.</p>\n\
<p>If it contains a list of bitmap filenames, the dialog will be titled &quot;Per-Bitmap Resolution for Bitmap Proxies&quot; and the settings will apply to the specified bitmaps only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BitmapProxyMgr.ShowPrecacheDialog bitmapFilenames :&lt;string array&gt; \n\
\n\
bitmapFilenames default value: #() </code></pre><p>Opens the Precache dialog.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../B.html\">B</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";