var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-18A71C8E-6638-4727-A68D-E58E467AFE1A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: DaylightSimulationUtilities</h1></div><p>The <strong>DaylightSimulationUtilities Interface</strong> exposes methods used by the Light Analysis Utility to collect objects and ensure the validity of render effects, lights, materials and the renderer for performing Daylight Simulation.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;DaylightSimulationUtilities.FindValidLights()      </code></pre><p>Returns an array of valid lights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;DaylightSimulationUtilities.FindInvalidLights()   </code></pre><p>Returns an array of invalid lights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;DaylightSimulationUtilities.FindActiveLights() </code></pre><p>Returns an array of active lights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;DaylightSimulationUtilities.FindInactiveLights() </code></pre><p>Returns an array of inactive lights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;DaylightSimulationUtilities.FindLightsWithValidType() </code></pre><p>Returns an array of lights with valid type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;DaylightSimulationUtilities.FindLightsWithInvalidType() </code></pre><p>Returns an array of lights with invalid type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;DaylightSimulationUtilities.FindLightsWithShadowsOn() </code></pre><p>Returns an array of lights that have shadow casting enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;DaylightSimulationUtilities.FindLightsWithShadowsOff() </code></pre><p>Returns an array of lights that have shadow casting disabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;DaylightSimulationUtilities.FindLightsUsingRaytracedShadows() </code></pre><p>Returns an array of lights that have shadow set to raytraced.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;DaylightSimulationUtilities.FindLightsNotUsingRaytracedShadows() </code></pre><p>Returns an array of lights that have shadow set to any type but raytraced.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;DaylightSimulationUtilities.FindRenderableObjects() </code></pre><p>Returns an array of all renderable objects in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;DaylightSimulationUtilities.FindInvalidMaterials() </code></pre><p>Returns an array of objects that have materials that are invalid for daylight simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DaylightSimulationUtilities.FixInvalidMaterials() </code></pre><p>Fixed the materials that are invalid for daylight simulation. Returns true on success, false if nothing was fixed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;DaylightSimulationUtilities.FindDaylightSystems() </code></pre><p>Returns an array of daylight system lights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DaylightSimulationUtilities.LightAnalysisRenderEffectExists() </code></pre><p>Returns true if a Light Analysis Render Effect has already been added to the Effects list, false if it does not exist on the Effects list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DaylightSimulationUtilities.IsLightAnalysisRenderEffectActive() </code></pre><p>Returns true if a Light Analysis Render Effect has already been added to the Effects list and is active, false if it is not active.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;DaylightSimulationUtilities.GetLightAnalysisRenderEffectCount() </code></pre><p>Returns the number of LightAnalysis Render Effects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DaylightSimulationUtilities.IsValidRenderer() </code></pre><p>Returns true if the current renderer is valid (mental ray), false if it is not valid (Default Scanline Renderer, 3 rd party renderers)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DaylightSimulationUtilities.IsMentalRaySunDaylightSystem &lt;Interface&gt;daylightSystem </code></pre><p>Returns true if the supplied daylight system uses the mental ray Sun, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DaylightSimulationUtilities.IsMentalRaySkyDaylightSystem &lt;Interface&gt;daylightSystem </code></pre><p>Returns true if the supplied daylight system uses the mental ray Sky, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DaylightSimulationUtilities.IsShadowCastingDaylightSystem &lt;Interface&gt;daylightSystem </code></pre><p>Returns true if the supplied daylight system is set to cast shadows, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DaylightSimulationUtilities.IsValidSunMultiplier &lt;Interface&gt;daylightSystem </code></pre><p>Returns true if the Sun Multiplier in the Daylight System represented by the given Interface is valid, false if it is invalid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DaylightSimulationUtilities.IsValidSkyMultiplier &lt;Interface&gt;daylightSystem </code></pre><p>Returns true if the Sky Multiplier in the Daylight System represented by the given Interface is valid, false if it is invalid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DaylightSimulationUtilities.IsSunOn &lt;Interface&gt;daylightSystem </code></pre><p>Returns true of the Sun in the Daylight System represented by the given interface is on, false if it is off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DaylightSimulationUtilities.IsSkyOn &lt;Interface&gt;daylightSystem </code></pre><p>Returns true of the Sky in the Daylight System represented by the given interface is on, false if it is off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;DaylightSimulationUtilities.SetMentalRayAsProductionRenderer() </code></pre><p>Sets mental ray as the production renderer. Equivalent to assigning an instance of the mental_ray_renderer class to the production renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;DaylightSimulationUtilities.OpenIndirectIlluminationRenderDialogPage() </code></pre><p>Opens the Render Dialog at the Indirect Illumination tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DaylightSimulationUtilities.Is32bitFrameBuffer() </code></pre><p>Returns true if the frame buffer is using 32 bit per channel, false if using 16 bpc.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DaylightSimulationUtilities.IsRenderIterative() </code></pre><p>Returns true if the renderer is set to Iterative mode, false if set to Production mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;DaylightSimulationUtilities.SetRenderIterative &lt;boolean&gt;renderIterative </code></pre><p>Sets the renderer to Iterative mode when the argument is true or to Production mode when the argument is supplied as false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;DaylightSimulationUtilities.ApplyDefaultRenderPreset() </code></pre><p>Applies the default render preset to the renderer.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../L/Interface-8.html\">Interface: LightingAnalysisOverlayFactory</a></li>\n\
          <li><a class=\"link\" href=\"../L/Interface-LightMeterManager.html\">Interface: LightMeterManager</a></li>\n\
          <li><a class=\"link\" href=\"../../../../RenderEffect-MAXWrapper/Render-Effect-Types/Lighting_Analysis_Overlay.html\">Lighting_Analysis_Overlay : RenderEffect</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Render-Elements/Lighting_Analysis_Data.html\">Lighting_Analysis_Data : RenderElement</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Lighting-Analysis/Lighting-Analysis-and-Daylight.html\">Lighting Analysis and Daylight Simulation Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";