var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9A44F6D5-DD1B-42A0-A0A2-33C24FADC881\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: CreaseExplorerManager</h1></div><p>The CreaseExplorerManager Core Interface provides methods to manage the Crease Explorer window including programmatically opening and closing it, as well as loading and saving its configuration to disk. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseExplorerManager.OpenCreaseExplorer()</code></pre><p>Opens the Crease Explorer window.</p>\n\
<p>Returns True on success, even if the Crease Explorer window is already open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseExplorerManager.CloseCreaseExplorer()</code></pre><p>Closes the Crease Explorer window.</p>\n\
<p>Returns True on success, even if the Crease Explorer window is already closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseExplorerManager.IsCreaseExplorerOpen()</code></pre><p>Returns True if the Crease Explorer window is open, False if it is closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseExplorerManager.LoadCreaseExplorerConfiguration &lt;string&gt;configurationFile\n\
       LoadCreaseExplorerConfiguration - no automatic redraw after invoked\n\
</code></pre><p>Loads the specified Crease Explorer configuration file.</p>\n\
<p>Returns True on success.</p>\n\
<p>Returns False on failure. For example, if the specified configuration file is invalid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreaseExplorerManager.SaveCreaseExplorerConfiguration &lt;string&gt;outputConfigurationFile\n\
       SaveCreaseExplorerConfiguration - no automatic redraw after invoked\n\
</code></pre><p>Saves the current Crease Explorer settings to the specified configuration file.</p>\n\
<p>Returns True on success.</p>\n\
<p>Returns False on failure. For example, if the specified configuration file path is invalid.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   CreaseExplorerManager.OpenCreaseExplorer()\n\
   --&gt;true\n\
   CreaseExplorerManager.IsCreaseExplorerOpen()\n\
   --&gt;true\n\
   CreaseExplorerManager.CloseCreaseExplorer()\n\
   --&gt;true\n\
   CreaseExplorerManager.IsCreaseExplorerOpen()\n\
   --&gt;false\n\
   CreaseExplorerManager.SaveCreaseExplorerConfiguration @&quot;c:\\temp\\testcreasesettings.ini&quot;\n\
   --&gt;true\n\
   CreaseExplorerManager.LoadCreaseExplorerConfiguration @&quot;c:\\temp\\testcreasesettings.ini&quot;\n\
   --&gt;true\n\
   CreaseExplorerManager.LoadCreaseExplorerConfiguration @&quot;c:\\temp\\nosuchfile.ini&quot;\n\
   --&gt;false\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Crease-Modifier.html\">Crease : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/CreaseSet-Modifier.html\">CreaseSet : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"Interface-CreaseSetManager.html\">Interface: CreaseSetManager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";