var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-ED92EB20-5E7E-4FC3-81CA-9454D38F97B1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: CustomSceneStreamManager</h1></div><p>The <code>CustomSceneStreamManager</code> interface is used to query, add, modify and remove <a href=\"./../../../../../MAXScript-Tools-and-Interaction/File-Access/Custom-File-Streams.html\">CustomFileStreams</a> in the current 3ds Max scene file. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<h2 id=\"flag-values\">Flag Values</h2><p>Custom file streams have three flags that determine how they are handled by the <code>CustomFileStreamManager</code>:</p>\n\
<h4 id=\"persistence-flag\">Persistence Flag</h4><p>When this flag is set, the CustomSceneStreamManager writes this stream to the scene file when the scene file is saved, and reads the stream into its cache when the scene file is loaded. This flag&apos;s value is persisted across a save/load operation. This allows a CustomFileStream to be automatically persisted across multiple load/save operations. See is/setStreamPersistent().</p>\n\
<h4 id=\"save-flag\">Save Flag</h4><p>This flag indicates whether the CustomFileStream is saved when the scene file is saved. Setting this flag allows you to add a non-persistent stream and have it saved on scene file save. This flag does not persist, and is cleared when the stream is read from the scene file.</p>\n\
<h4 id=\"no-load-flag\">No Load Flag</h4><p>This flag indicates whether the CustomFileStream is loaded by the CustomSceneStreamManager when the scene file is loaded. This flag allows you to create streams that are not loaded on file load, for example for data to be consumed by an external tool or workflow. See getNoLoadOnSceneLoad() and setNoLoadOnSceneLoad().</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> These flags are stored in a &quot;private&quot; 32 bit integer (private in the sense that all bits are reserved for future use by 3ds Max). The <code>CustomSceneStreamManager</code> interface exposes methods to get this integer value, or to get and set the individual flags in the value. There is also a &quot;public&quot; 32 bit integer value that you can use for defining additional custom flags.</div>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the Save Flag is set, the Persistence Flag is not set, and the No Load Flag is not set, then the stream is persisted across a single save/load operation, since the Save Flag is cleared on load.</div>\n\
<h2 id=\"notifications\">Notifications</h2><p>Because the <code>CustomSceneStreamManager</code> code may be loaded and invoked at different times, depending on system configuration, the order in which it and other 3ds Max components will receive file operation notifications can be unpredictable. For this reason, you should use the interface&apos;s methods for registering callbacks if you need to operate on the <code>CustomSceneStreamManager</code> itself, or on the scene file (such as copying and storing it).</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.numEntries : integer : Read</code></pre><p>The number of entries in the <code>CustomSceneStreamManager</code>&apos;s cache.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.locked : boolean : Read|Write</code></pre><p>Whether the <code>CustomSceneStreamManager</code> is locked. When locked, the <code>CustomSceneStreamManager</code> does not react to any notifications from 3ds Max. This means that the manager does not automatically load or save data streams.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getStreamName &lt;index&gt;index</code></pre><p>Returns the name of the stream for the specified cache entry index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;getStreamByName &lt;string&gt;name</code></pre><p>Returns the index of the named stream. Throws an exception if the named stream does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;doesStreamExist &lt;value&gt;which</code></pre><p>Returns true if the specified stream exists. The <code>which</code> parameter can be either a stream name or a stream index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getStreamFlag &lt;value&gt;which\n\
    privateFlag:&lt;boolean&gt;\n\
    privateFlag default value: false\n\
\n\
&lt;void&gt;setStreamFlag &lt;value&gt;which\n\
    &lt;integer&gt;value privateFlag:&lt;boolean&gt;\n\
    privateFlag default value: false</code></pre><p>Gets or sets the specified stream&apos;s public or private flags value. The &quot;private&quot; integer contains the persistence, save, and cache flags in the first 3 bits. The remaining bits are reserved for future use. The &quot;public&quot; integer can contain any flags or other data you wish. The <code>which</code> parameter can be either a stream name or a stream index. Throws an exception if the specified stream does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isStreamDataAnArray &lt;value&gt;which</code></pre><p>Returns true if the specified stream&apos;s content is an array of strings. The <code>which</code> parameter can be either a stream name or a stream index. Throws an exception if the specified stream does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getStreamData &lt;value&gt;which</code></pre><p>Returns the specified stream&apos;s content as a string. If the content is an array of strings, the first string is returned. The <code>which</code> parameter can be either a stream name or a stream index. Throws an exception if the specified stream does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string array&gt;getStreamDataAsArray\n\
    &lt;value&gt;which</code></pre><p>Returns the specified stream&apos;s content as an array of strings. If the content is a single string, it is returned in a 1 element array. The <code>which</code> parameter can be either a stream name or a stream index. Throws an exception if the specified stream does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setStreamData &lt;value&gt;which\n\
    &lt;string&gt;string</code></pre><p>Sets the specified stream&apos;s content as a string. The <code>which</code> parameter can be either a stream name or a stream index. Throws an exception if the specified stream does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setStreamDataAsArray &lt;value&gt;which &lt;string array&gt;string_array\n\
       setStreamDataAsArray - no automatic redraw after invoked</code></pre><p>Sets the specified stream&apos;s content as an array of strings. The <code>which</code> parameter can be either a stream name or a stream index. Throws an exception if the specified stream does not exist. <strong>Note</strong>: if you store an empty array, <code>isStreamDataAnArray()</code> returns false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isStreamPersistent &lt;value&gt;which\n\
\n\
&lt;void&gt;setStreamPersistent &lt;value&gt;which\n\
    &lt;boolean&gt;persistent</code></pre><p>Gets or sets the specified stream is flagged as persistent when written to the scene file. The <code>which</code> parameter can be either a stream name or a stream index. Throws an exception if the specified stream does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getSaveNonPersistentStream &lt;value&gt;which\n\
\n\
&lt;void&gt;setSaveNonPersistentStream &lt;value&gt;which &lt;boolean&gt;val</code></pre><p>Gets or sets whether the specified stream is flagged as to be written to the scene file even if not flagged as persistent file. The <code>which</code> parameter can be either a stream name or a stream index. Throws an exception if the specified stream does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getNoLoadOnSceneLoad &lt;value&gt;which\n\
\n\
&lt;void&gt;setNoLoadOnSceneLoad &lt;value&gt;which &lt;boolean&gt;val</code></pre><p>Gets or sets whether the specified stream is flagged as not to be loaded on scene file load when written to the scene file. The <code>which</code> parameter can be either a stream name or a stream index. Throws an exception if the specified stream does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;deleteStream &lt;value&gt;which</code></pre><p>Deletes the specified stream. The <code>which</code> parameter can be either a stream name or a stream index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt; createStream &lt;string&gt;name\n\
persistent:&lt;boolean&gt; saveNonPersistentStream:&lt;boolean&gt;\n\
noLoadOnSceneLoad:&lt;boolean&gt;\n\
persistent default value: true\n\
saveNonPersistentStream default value: true\n\
noLoadOnSceneLoad default value: false</code></pre><p>Creates a cache entry with the specified name and flag values. The content of the entry will be an empty string. Throws an exception if a cache entry with the same name already exists.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;registerCallback &lt;value&gt;callback_fn\n\
&lt;value&gt;callback_id &lt;enum&gt;event\n\
event enums: {#postLoad|#preSave|#postSave}</code></pre><p>Registers a callback function that is called when the corresponding <code>CustomSceneStreamManager</code> event occurs. The <code>callback_id</code> must be a name value. The callback function must take 2 arguments: the first argument is the file name and the second argument is the event type as a name value (<code>#postLoad</code>, <code>#preSave</code>, or <code>#postSave</code>). If an exception occurs while executing a callback function, that function is automatically unregistered.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;unregisterCallbacks callback_fn:&lt;value&gt;\n\
callback_id:&lt;value&gt; event:&lt;enum&gt;\n\
callback_fn default value: undefined\n\
callback_id default value: undefined\n\
event enums: {#postLoad|#preSave|#postSave}\n\
event default value: -1</code></pre><p>Unregisters any callback functions that match all the values specified via the keyword arguments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;getCallbacks callback_fn:&lt;value&gt;\n\
callback_id:&lt;value&gt; event:&lt;enum&gt;\n\
callback_fn default value: undefined\n\
callback_id default value: undefined\n\
event enums: {#postLoad|#preSave|#postSave}\n\
event default value: -1</code></pre><p>Returns an array of all callback functions that match all the values specified via the keyword arguments.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";