var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-606985DE-108C-4DF6-9C2A-8568D93366AA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: DaylightSystemFactory2</h1></div><p>The <strong>DaylightSystemFactory2 Interface</strong> exposes a method for creating a daylight system using the given sun and sky classes.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;DaylightSystemFactory2.Create sunClass:&lt;class&gt;    skyClass:&lt;class&gt;      \n\
\n\
sunClass default value: undefined\n\
skyClass default value: undefined</code></pre><p>Creates a Daylight system.</p>\n\
<p>If the optional keywords are supplied, they should define the sun and/or sky classes to be used.If any of the optional keywords is omitted, the system default settings will be used.</p>\n\
<p>Possible classes for <code>sunClass:</code> are:</p>\n\
<p><strong>DirectionalLight</strong> - corresponds to Standard entry in the Daylight System UI</p>\n\
<p><strong>IES_Sun</strong></p>\n\
<p><strong>mr_Sun</strong></p>\n\
<p>Possible classes for <code>skyClass:</code> are:</p>\n\
<p> <strong>IES_Sky</strong></p>\n\
<p><strong>mr_Sky</strong></p>\n\
<p><strong>Skylight</strong></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theInt = DaylightSystemFactory2.Create sunClass:mr_Sun skyClass:mr_Sky\n\
   --&gt; &lt;MixinInterface:IDaylightSystem&gt;\n\
   theInt.getSun()\n\
   --&gt; mr Sun\n\
   theInt.getSky()\n\
   --&gt; mr Sky\n\
   theInt = DaylightSystemFactory2.Create sunClass:DirectionalLight\n\
   --&gt; &lt;MixinInterface:IDaylightSystem&gt;\n\
   theInt.getSun()\n\
   --&gt; Free Directional Light\n\
   theInt.getSky()\n\
   --&gt; Skylight\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/System-Node/Daylight-System.html\">Daylight : System</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Light-Node/Light-Node-1.html\">Light : Node</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Lighting-Analysis/Lighting-Analysis-and-Daylight.html\">Lighting Analysis and Daylight Simulation Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";