var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B7059416-D90A-49D4-8DAB-7F541C850FDB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface : DefaultParamInterface</h1></div><p>The <code>DefaultParamInterface</code> is used to define and persist user-defined defaults for parameters in 3ds Max. If set as persistent, default values are stored in a file located in users\\[username]\\Autodesk\\3ds Max [year]\\User Settings\\DefaultParameters.ini. This file can be copied to other installations and newer versions of 3ds Max to preserve the settings.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong>\n\
Note: For those items that have a preset system (such as the Chamfer modifier), setting default values with this interface has no effect, since the default presets always take precedence.</p>\n\
<p><strong>Methods</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;DefaultParamInterface.IsClassCompatible &lt;class&gt;class &lt;&amp;enum&gt;result\n\
       result enums: {#success|#incompatibleClass|#parameterNotFound|#invalidParameterValue|#classNotFound|#iniFileWriteFailure|\n\
                            #paramNotOverridden|#paramOverridden}\n\
       result is Out parameter</code></pre><p>Returns whether the specified class can have default values set for parameters. This function checks whether the class implements parameters using the C++ ClassDescriptor2 interface. The function will return either true or false, as well as either <code>#success</code> or <code>#incompatibleClass</code> in the <code>result</code> parameter.</p>\n\
<p>Most geometry and modifiers are compatible, though there are some (such as Splines and older modifiers) that are not.</p>\n\
<p>For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">res = DefaultParamInterface.IsClassCompatible Teapot &amp;result\n\
format &quot;Teapot result: % %\\n&quot; res result\n\
res = DefaultParamInterface.IsClassCompatible Line &amp;result\n\
format &quot;Line result: % %\\n&quot; res result</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;value&gt;DefaultParamInterface.GetDefaultParamValue &lt;class&gt;class &lt;string&gt;parameterName &lt;&amp;enum&gt;result\n\
       result enums: {#success|#incompatibleClass|#parameterNotFound|#invalidParameterValue|#classNotFound|#iniFileWriteFailure|\n\
                                                                   #paramNotOverridden|#paramOverridden}\n\
       result is Out parameter</code></pre><p>Gets the default value for the specified parameter <code>parameterName</code> for the specified class.</p>\n\
<p>This method returns either the value (if found) or undefined if not, with the reason supplied in the <code>result</code> out parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;enum&gt;DefaultParamInterface.SetDefaultParamValue &lt;class&gt;class &lt;string&gt;parameterName &lt;value&gt;defaultValue persistent:&lt;boolean&gt;\n\
       SetDefaultParamValue enums: {#success|#incompatibleClass|#parameterNotFound|#invalidParameterValue|#classNotFound|\n\
                                                                                                                           #iniFileWriteFailure|#paramNotOverridden|#paramOverridden\n\
       persistent default value: false</code></pre><p>Sets the default value <code>defaultValue</code> for the specified parameter <code>parameterName</code> on the specified <code>class</code>.</p>\n\
<p>If <code>persistent</code> is true, default values are stored in a file located in users\\[username]\\Autodesk\\3ds Max [year]\\User Settings\\DefaultParameters.ini, and persisted between 3ds Max sessions.</p>\n\
<p>For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">result = defaultParamInterface.setDefaultParamValue teapot &quot;segs&quot; 4 persistent:true\n\
--&gt; #success</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;enum&gt;DefaultParamInterface.ClearDefaultParamValue &lt;class&gt;class &lt;string&gt;parameterName\n\
       ClearDefaultParamValue enums: {#success|#incompatibleClass|#parameterNotFound|#invalidParameterValue|#classNotFound\n\
                                     |#iniFileWriteFailure|#paramNotOverridden|#paramOverridden</code></pre><p>Clears the default value setting for the specified parameter on the specified class from the ini file. Note that the user-defined default value will remain in place for the current 3ds Max session. To revert to the factory default value for the current session, use <code>RestoreFactoryDefaultValue()</code> (below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;enum&gt;DefaultParamInterface.ClearAllDefaultParamValues &lt;class&gt;class\n\
       ClearAllDefaultParamValues enums: {#success|#incompatibleClass|#parameterNotFound|#invalidParameterValue|#classNotFound|\n\
                                          #iniFileWriteFailure|#paramNotOverridden|#paramOverridden</code></pre><p>Clears all default value settings for the specified class from the ini file. Note that the user-defined default values will remain in place for the current 3ds Max session. To revert to the factory default values for the current session, use <code>RestoreFactoryDefaultValue()</code> (below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;enum&gt;DefaultParamInterface.IsDefaultParamValueOverridden &lt;class&gt;class &lt;string&gt;parameterName\n\
       IsDefaultParamValueOverridden enums: {#success|#incompatibleClass|#parameterNotFound|#invalidParameterValue|\n\
                                             #classNotFound|#iniFileWriteFailure|#paramNotOverridden|#paramOverridden</code></pre><p>Returns whether the specified parameter on the specified class is currently overridden.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;enum&gt;DefaultParamInterface.RestoreFactoryDefaultValue &lt;class&gt;class &lt;string&gt;parameterName\n\
       RestoreFactoryDefaultValue enums: {#success|#incompatibleClass|#parameterNotFound|#invalidParameterValue|#classNotFound|\n\
                                          #iniFileWriteFailure|#paramNotOverridden|#paramOverridden</code></pre><p>Clears the default value setting for the specified parameter on the specified class from the ini file, and reverts to the factory default value for the current 3ds Max session.</p>\n\
<h3 id=\"complete-example\">Complete Example</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Set Box Segments to 10\n\
result = DefaultParamInterface.SetDefaultParamValue box &quot;LengthSegs&quot; 10 persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue box &quot;WidthSegs&quot; 10 persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue box &quot;HeightSegs&quot; 10 persistent:true\n\
--Clear Box Segment Defaults\n\
result = DefaultParamInterface.ClearAllDefaultParamValues box\n\
result = DefaultParamInterface.ClearDefaultParamValue box &quot;Lengthsegs&quot;\n\
--Editable Poly defaults examples\n\
result = DefaultParamInterface.SetDefaultParamValue Editable_Poly &quot;edgeChamferSmooth&quot; off persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue Editable_Poly &quot;edgeChamferSegments&quot; 0 persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue Editable_Poly &quot;edgeChamferMiteringType&quot; 2 persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue Editable_Poly &quot;extrusionType&quot; 1 persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue Editable_Poly &quot;insetType&quot; 1 persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue Editable_Poly &quot;selectMode&quot; 1 persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue Editable_Poly &quot;weldThreshold&quot; .001 persistent:true\n\
--Edit Poly defaults examples\n\
result = DefaultParamInterface.SetDefaultParamValue Edit_Poly &quot;edgeChamferSmooth&quot; off persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue Edit_Poly &quot;edgeChamferSegments&quot; 0 persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue Edit_Poly &quot;extrudeFaceType&quot; 1 persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue Edit_Poly &quot;insetType&quot; 1 persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue Edit_Poly &quot;selectMode&quot; 1 persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue Noisemodifier &quot;strength&quot; [20.0, 20.0, 20.0] persistent:true\n\
result = DefaultParamInterface.SetDefaultParamValue Noisemodifier &quot;fractal&quot; on persistent:true</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";