var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F8383746-0E92-4470-8375-BF25C8EF1770\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: defaultActions</h1></div><p>The <strong>defaultActions CoreInterface</strong> exposes the default actions for several system events.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: defaultActions </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;defaultActions.getAction &lt;enum&gt;eventID &lt;&amp;enum array&gt;action   \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} \n\
action enums: {#logToFile | #logmsg | #abort} \n\
action is Out parameter </code></pre><p>Get the default actions with the event ID given as first argument into the by-reference second argument.</p>\n\
<p>Returns true on success, false if no actions were found for the given ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;defaultActions.setAction &lt;enum&gt;eventID &lt;enum array&gt;action title:&lt;string&gt; oldAction:&lt;&amp;enum array&gt;\n\
       eventID enums: {#missingExtFiles|#missingDLLs|#missingXRefs|#missingUVW|#unsupportedRendereffect|#invalidXRefFiles}\n\
       action enums: {#logToFile|#logmsg|#abort}\n\
       title default value: undefined\n\
       oldAction enums: {#logToFile|#logmsg|#abort}\n\
       oldAction default value: #()\n\
       oldAction is Out parameter</code></pre><p>Set the default actions with the event ID given as first argument to the actions specified by the second argument.</p>\n\
<p>The optional <code>title:</code> string can be used to give a name to the action setup.</p>\n\
<p>The old actions will be returned into the optional <code>oldAction:</code> argument.</p>\n\
<p>Returns true if an old action was found, false if no old action was previously defined for this ID.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --get the default action for missing UVW:\n\
   defaultActions.getAction #missingUVW &amp;actions\n\
   false\n\
   actions --see the result - there are no actions defined\n\
   #()\n\
   --now set the default action to Log to File:\n\
   defaultActions.setAction #missingUVW #(#logToFile) oldAction:oldActionsArray\n\
   true\n\
   oldActionsArray --see what the previous actions were\n\
   #()\n\
   --check to see if the new actions are defined:\n\
   defaultActions.getAction #missingUVW &amp;actions\n\
   true\n\
   actions --yes, the default action was set correctly\n\
   #(#logToFile)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;defaultActions.deleteAction &lt;enum&gt;eventID \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} </code></pre><p>Deletes the default actions for the event ID given as first argument.</p>\n\
<p>Returns true on success, false if no actions were found to delete.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE (CONTINUED FROM PREVIOUS EXAMPLE):</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --get the default action for missing UVW:\n\
   defaultActions.deleteAction #missingUVW\n\
   true\n\
   defaultActions.getAction #missingUVW &amp;actions\n\
   false\n\
   actions --see the content of the actions array - there are none\n\
   #()\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;defaultActions.getActionCount() </code></pre><p>Returns the number of default actions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stringby value&gt;defaultActions.getActionTitle &lt;enum&gt;eventID \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} </code></pre><p>Returns the title of the action defined for the given event ID, or empty string &quot;&quot; if no title has been defined.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stringby value&gt;defaultActions.getActionTitleByIndex &lt;index&gt;index </code></pre><p>Returns the title of the action by index, or empty string &quot;&quot; if no title has been defined.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;defaultActions.getActionIDByIndex &lt;index&gt;index \n\
\n\
getActionIDByIndex enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} </code></pre><p>Returns the Action ID by index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;defaultActions.logEntry &lt;enum&gt;eventID &lt;string&gt;message \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} </code></pre><p>Logs the message given by the second argument for the event ID given by the first argument. Returns true on success, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;defaultActions.MsgLogClear &lt;enum&gt;eventID \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} </code></pre><p>Clears the messages for the event ID given by the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;defaultActions.getMsgLogCount &lt;enum&gt;eventID \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} </code></pre><p>Returns the message count for the event ID given by the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;defaultActions.getMsgLogMsg &lt;enum&gt;eventID &lt;index&gt;index \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} </code></pre><p>Returns the indexed message logged for the event ID given by the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string array&gt;defaultActions.getMsgLogMsgs &lt;enum&gt;eventID \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} </code></pre><p>Returns an array of all message for the event ID given by the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;defaultActions.getMsgLogID &lt;index&gt;index \n\
\n\
getMsgLogID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} </code></pre><p>Returns the Log ID for the indexed message given by the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;defaultActions.setMsgLogMaxCount &lt;integer&gt;count </code></pre><p>Sets the maximum number of messages in the message log.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";