var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-94BCB6DE-4A9A-4BAB-AB66-642F93B43488\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: EditRenderRegion</h1></div><p>The <strong>EditRenderRegion Interface</strong> exposes the Render Region rubber band gizmo feature in <strong>3ds Max 2009 and higher</strong> and provides the following properties and methods:</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">EditRenderRegion.IsEditing : boolean : Read</code></pre><p>Get/set whether the region is being edited. While you can set the value without an error, the setting will have no effect. Use the method <code>EditRenderRegion.EditRegion()</code> described below to toggle the value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">EditRenderRegion.IsEditable : boolean : Read</code></pre><p>Get/set whether the region is editable. It is <code>true</code> when the renderer is set to Region, Crop or Blowup mode.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;EditRenderRegion.EditRegion() </code></pre><p>Toggles the Region Editing mode on and off. You can check the value in <code>EditRenderRegion.IsEditing</code> to see whether the region editing is on or off.</p>\n\
<p>Calling this method will set the renderer to Region mode automatically if it is not in Region mode yet.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;EditRenderRegion.UpdateRegion() </code></pre><p>Updates the region after changes using the <code>viewport.setRegionRect()</code> method documented under <a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\"#viewport-regions\">Viewport Regions</a>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   EditRenderRegion.IsEditing --see if the region is being edited\n\
   false\n\
   EditRenderRegion.IsEditable --see if it is editable (Region render mode)\n\
   false\n\
   viewport.activeViewport = 1 --set the viewport 1 as the current one\n\
   1\n\
   viewport.getRegionRect 1 --get the current region rectangle of view 1\n\
   (Box2 64 48 512 384)\n\
   EditRenderRegion.EditRegion() --enable editing the region\n\
   OK\n\
   EditRenderRegion.IsEditing --see if it is in editing mode\n\
   true\n\
   EditRenderRegion.IsEditable --see if it is in Region mode\n\
   true\n\
   viewport.setRegionRect 1 (Box2 200 50 300 300) --set to a new region\n\
   OK\n\
   EditRenderRegion.UpdateRegion() --and update the rubbed-band gizmo\n\
   OK\n\
   EditRenderRegion.EditRegion() --toggle the editing off again\n\
   OK\n\
   EditRenderRegion.IsEditing --see if still in editing mode\n\
   false\n\
   EditRenderRegion.IsEditable --see if still in Region render mode\n\
   true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../E-F-G-H.html\">E,F,G,H</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";