var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-382E69D1-35DB-4474-936C-E53E40F12825\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: FrameTagManager</h1></div><p>The <strong>FrameTagManager Core Interface</strong> exposes the Time Tags to MAXScript.</p>\n\
<p>See also <a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Tags/Time-Tags-Access-using-the.html\">Time Tags Access using the FrameTagManager Interface</a> for examples.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: FrameTagManager  </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;FrameTagManager.GetTagCount()      </code></pre><p>Returns the number of Time Tags.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;FrameTagManager.GetTagID &lt;index&gt;index   </code></pre><p>Returns the ID of the indexed Time Tag.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;FrameTagManager.GetTimeByID &lt;integer&gt;id relative:&lt;boolean&gt; \n\
\n\
relative default value: false</code></pre><p>Returns the time of the tag specified by ID.</p>\n\
<p>If <code>relative:</code> is true, time is relative to the tag this tag is locked to, if any.</p>\n\
<p>If <code>relative:</code> is false or not supplied, or this tag is not locked to another tag, the time is returned as absolute time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FrameTagManager.SetTimeByID &lt;integer&gt;id &lt;time&gt;time relative:&lt;boolean&gt; \n\
\n\
relative default value: false</code></pre><p>Sets the time of the tag specified by ID to the supplied time value.</p>\n\
<p>If <code>relative:</code> is true, time is relative to the tag this tag is locked to, if any.</p>\n\
<p>If <code>relative:</code> is false or not supplied, or this tag is not locked to another tag, the time is used as absolute time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;FrameTagManager.GetLockIDByID &lt;integer&gt;id </code></pre><p>Returns the ID of the tag the supplied tag is locked to.</p>\n\
<p>An ID value of 0 means not locked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FrameTagManager.SetLockIDByID &lt;integer&gt;id &lt;integer&gt;lockID </code></pre><p>Sets the ID of the tag the specified Tag is locked to.</p>\n\
<p>An ID value of 0 means not locked.</p>\n\
<p>Returns true on success.</p>\n\
<p>Attempting to set a lock that would cause a circular dependency will not change the current lock and the method will return false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;FrameTagManager.GetNameByID &lt;integer&gt;id </code></pre><p>Returns the name of the Time Tag specified by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FrameTagManager.SetNameByID &lt;integer&gt;id &lt;string&gt;name</code></pre><p>Sets the name of the tag specified by ID to the supplied string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FrameTagManager.GetScaleByID &lt;integer&gt;id </code></pre><p>Returns true if the time of the tag specified by ID will be scaled when the scene time is scaled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FrameTagManager.SetScaleByID &lt;integer&gt;id &lt;boolean&gt;scale </code></pre><p>Set whether the time of the tag specified by ID will be scaled when the scene time is scaled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;FrameTagManager.FindItemByTime &lt;time&gt;time </code></pre><p>Returns the index of the first tag in the sorted list, if any, for the given absolute time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;FrameTagManager.FindItem &lt;integer&gt;id </code></pre><p>Returns the index of the tag with the supplied ID in the sorted tag list.</p>\n\
<p>A return value of -1 means a tag with the given ID was not found.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;FrameTagManager.CreateNewTag &lt;string&gt;name &lt;time&gt;time lockID:&lt;integer&gt; scale:&lt;boolean&gt; \n\
\n\
lockID default value: 0\n\
scale default value: true</code></pre><p>Creates a new tag with the given name at the given time.</p>\n\
<p>If lockID is 0 or not supplied, the tag is not locked to another tag.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FrameTagManager.DeleteTag &lt;integer&gt;id </code></pre><p>Deletes the tag specified by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FrameTagManager.ResetFrameTags() </code></pre><p>Deletes all tags.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FrameTagManager.CheckForLoop &lt;integer&gt;testID &lt;integer&gt;id </code></pre><p>Returns true if tag testID is dependent on tag id</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../E-F-G-H.html\">E,F,G,H</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Tags/Time-Tags-Access-using-the.html\">Time Tags Access using the FrameTagManager Interface</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";