var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-99E9991F-E246-41C8-A76F-AF5F341A1A52\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: IInteractionMode</h1></div><p>This Core Interface exposes the <strong>Interaction Mode</strong> tab of the <strong>Preference Settings dialog</strong> to MAXScript.</p>\n\
<p>See also the related <a href=\"./../M/Interface-MouseConfigManager.html\">Interface: MouseConfigManager</a>.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IInteractionMode.CurrentMode : enum : Read|Write \n\
\n\
CurrentMode enums: {#3dsMaxMode|#MayaMode|#CustomizedMode}</code></pre><p>Get/set the current Interaction Mode for both mouse and keyboard.</p>\n\
<p>Corresponds to the Interaction Mode tab of the Preference Settings dialog.</p>\n\
<p><img src=\"./images/GUID-87C37FFA-C94A-4960-96E6-BAAF9EEC483B-low.png\" alt></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   theProps = #(&quot;ArcRotateLocked&quot;, &quot;MayaSelectionMode&quot;, &quot;AutoFocusViewportOnKeyPress&quot;, &quot;ZoomWheelIncrement&quot;,\n\
       &quot;MiddleMouseStrokeMode&quot;, &quot;ZoomAboutMousePointOrthographic&quot;, &quot;ZoomAboutMousePointPerspective&quot;, \n\
       &quot;RightClickMenuOverSelectedOnly&quot;, &quot;ZoomInDirection&quot;)\n\
   theMethods = #(&quot;GetZoomShortcut&quot;,&quot;GetPanShortcut&quot;,&quot;GetRotateShortcut&quot;)\n\
\n\
   fn printInteractionSettings =\n\
   (\n\
       for p in theProps do format &quot;%: %\\n&quot; p (execute (&quot;MouseConfigManager.&quot;+p))\n\
       for m in theMethods do (\n\
           (execute (&quot;MouseConfigManager.&quot;+m+&quot; &amp;theKey &amp;theButton&quot; ))\n\
           format &quot;%: %+%\\n&quot; m (theKey as string) (theButton as string)\n\
       )--end m loop\n\
   )--end fn\n\
\n\
   for i in #(&quot;3dsMaxMode&quot;, &quot;MayaMode&quot;, &quot;CustomizedMode&quot;) do\n\
   (\n\
       format &quot;INTERACTION MODE: %\\n&quot; i\n\
       IInteractionMode.CurrentMode = (i as name)\n\
       printInteractionSettings()\n\
       format &quot;\\n&quot;\n\
   )\n\
   )\n\
</code></pre><p>   <strong>SAMPLE OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   INTERACTION MODE: 3dsMaxMode\n\
   ArcRotateLocked: false\n\
   MayaSelectionMode: false\n\
   AutoFocusViewportOnKeyPress: false\n\
   ZoomWheelIncrement: 1.0\n\
   MiddleMouseStrokeMode: false\n\
   ZoomAboutMousePointOrthographic: false\n\
   ZoomAboutMousePointPerspective: false\n\
   RightClickMenuOverSelectedOnly: false\n\
   ZoomInDirection: #North\n\
   GetZoomShortcut: CtrlAlt+MiddleButton\n\
   GetPanShortcut: null+MiddleButton\n\
   GetRotateShortcut: alt+MiddleButton\n\
\n\
   INTERACTION MODE: MayaMode\n\
   ArcRotateLocked: true\n\
   MayaSelectionMode: true\n\
   AutoFocusViewportOnKeyPress: true\n\
   ZoomWheelIncrement: 1.0\n\
   MiddleMouseStrokeMode: false\n\
   ZoomAboutMousePointOrthographic: false\n\
   ZoomAboutMousePointPerspective: false\n\
   RightClickMenuOverSelectedOnly: false\n\
   ZoomInDirection: #SouthEast\n\
   GetZoomShortcut: alt+RightButton\n\
   GetPanShortcut: alt+MiddleButton\n\
   GetRotateShortcut: alt+LeftButton\n\
\n\
   INTERACTION MODE: CustomizedMode\n\
   ArcRotateLocked: true\n\
   MayaSelectionMode: true\n\
   AutoFocusViewportOnKeyPress: true\n\
   ZoomWheelIncrement: 1.0\n\
   MiddleMouseStrokeMode: false\n\
   ZoomAboutMousePointOrthographic: false\n\
   ZoomAboutMousePointPerspective: false\n\
   RightClickMenuOverSelectedOnly: false\n\
   ZoomInDirection: #SouthEast\n\
   GetZoomShortcut: alt+RightButton\n\
   GetPanShortcut: alt+MiddleButton\n\
   GetRotateShortcut: alt+LeftButton\n\
\n\
   OK</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../I-J-K.html\">I,J,K</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../M/Interface-MouseConfigManager.html\">Interface: MouseConfigManager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";