var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B016FEF4-BE4C-40EB-887C-0752F97239F2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: MXSDebugger</h1></div><p>The <strong>MXSDebugger</strong> Core Interface provides access to the settings of the MAXScript Debugger in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: MXSDebugger </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.isDialogOpen : boolean : Read   </code></pre><p>Contains true when the Debugger&apos;s dialog is open, false otherwise. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.hWnd : HWND : Read </code></pre><p>Contains the Windows Handle of the Debugger&apos;s dialog. Read-only.</p>\n\
<h2 id=\"configuration-parameters\">Configuration - Parameters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.allowBreakOnThrow : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Allow Break On Throw</strong> checkbox. Default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.breakOnError : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Break On Error</strong> checkbox. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.breakOnException : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Break On Exception</strong> checkbox. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.defaultBreakOnThrow : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Default Throw debugBreak:on</strong> checkbox. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.ignoreCaughtThrows : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Ignore Caught Throws</strong> checkbox. Default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.ignoreCaughtErrors : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Ignore Caught Errors</strong> checkbox. Default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.ignoreCaughtExceptions : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Ignore Caught Throws</strong> checkbox. Default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.enabledInQuietMode : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Enable in Quiet Mode</strong> checkbox. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.enabledInNetRender : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Enable in Net Render</strong> checkbox. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.allowUnsafeMethods : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Allow Unsafe Method Calls</strong> checkbox. Default is false.</p>\n\
<p>If true, methods and property sets that could potentially hang <strong>3ds Max</strong> are allowed to be performed from the debugger.</p>\n\
<p>In many cases, if a hang occurs, the hang will last only as long as the command timeout period.</p>\n\
<p>In some cases though, the hang is complete and the <strong>3ds Max</strong> session will need to be <strong>manually terminated</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>AN EXAMPLE OF THIS IS PERFORMING</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   eval loadmaxfile &quot;ateapot.max&quot;.\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.showGlobalConstants : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Show Global Constants</strong> checkbox. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.showFirstFrameOnly : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Show First Frame Only</strong> checkbox. Default is false. If true, only the information associated with the top frame is displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.stayOnTop : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Stay On Top</strong> checkbox. Default is false. If true, the Debugger dialog will always stay on top.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.clearOutputOnOpen : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>Clear Output On Open</strong> checkbox. When set to true, any previous output of the Debugger will be cleared before a new stack dump when a break occurs. When set to false, existing output will be preserved and added to. Default is true.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<h2 id=\"configuration-set-periods\">Configuration - Set Periods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.commandTimeOutPeriod : integer : Read|Write </code></pre><p>Get/Set the Command Timeout period in seconds. Default is 15.0 sec.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.breakTimeoutPeriod : integer : Read|Write </code></pre><p>Get/Set the Break Timeout period in milliseconds. Default is 5 ms.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.gcTimeoutPeriod : integer : Read|Write </code></pre><p>Get/Set the GC Timeout period in seconds. Default is 5.0 sec.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MXSDebugger.breakCyclePeriod : integer : Read|Write </code></pre><p>Get/Set the Break Cycle Timeout period in milliseconds. Default is 1 ms.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MXSDebugger.openDialog break:&lt;boolean&gt; message:&lt;string&gt; setFocus:&lt;boolean&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">break default value: false message default value: undefined setFocus default value: false </code></pre><p>Opens the Debugger dialog.</p>\n\
<p>If the optional keyword <code>break:</code> is supplied and is true, the debugger breaks 3ds Max execution and dumps the stack.</p>\n\
<p>If the optional keyword <code>message:</code> is supplied and is not undefined, the string will be output to the message window before dumping the stack.</p>\n\
<p>If the optional keyword <code>setFocus:</code> is supplied and is true, OR <code>break:</code> is true, the focus will be set on the Debugger dialog.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mxsdebugger.openDialog message:&quot;Welcome to MAXScript Debugger&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MXSDebugger.closeDialog() </code></pre><p>Closes the Debugger dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MXSDebugger.writeString &lt;string&gt;message </code></pre><p>Writes the given string to the Debugger&apos;s message queue without adding a new line at the end and without displaying the string.</p>\n\
<p>Consecutive messages would be added to the same line.</p>\n\
<p>If an explicit new line sequence \\n is provided, the resulting message will be displayed.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mxsdebugger.openDialog()\n\
   mxsdebugger.writeString &quot;This text is &quot;\n\
   mxsdebugger.writeString &quot;on the same line.\\n&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MXSDebugger.writeLine &lt;string&gt;message </code></pre><p>Writes the given string to the Debugger&apos;s message window and adds a new line to the end automatically.</p>\n\
<p>The message is displayed immediately.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mxsdebugger.openDialog()\n\
   mxsdebugger.writeLine &quot;This message is a complete line.&quot;\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../M.html\">M</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Introduction/The-MAXScript-Debugger.html\">The MAXScript Debugger</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Introduction/The-MAXScript-Debugger/Using-the-MAXScript-Debugger.html\">Using the MAXScript Debugger</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";