var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-25D8A8D7-6293-4FD4-8EAB-84437BCF21D1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: MemStream</h1></div><p>The <strong>MemStream Core</strong> Interface was first introduced in <strong>gMax</strong> 1.0 and is available in MAXScript since <strong>3ds Max 5</strong>.</p>\n\
<p>It provides fast stream parsing by loading the entire file into memory.</p>\n\
<p>The <code>memStreamMgr</code> and <code>memStream</code> interfaces provide a large set of methods for parsing the stream.</p>\n\
<h3 id=\"memstreammgr-interface\">memStreamMgr - Interface</h3><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;MemStreamMgr.openFile &lt;filename&gt;fname favor_type:&lt;enum&gt; code_page:&lt;integer&gt;\n\
\n\
favor_type enums: {#FAVOR_ACP|#FAVOR_UTF8}\n\
favor_type default value: #FAVOR_ACP\n\
code_page default value: 0\n\
\n\
</code></pre><p>Returns a memStream interface where the content of the specified file is the input stream to be processed.</p>\n\
<p>If the file cannot be opened, a value of undefined is returned.</p>\n\
<p>The optional keyword arguments <code>favor_type:</code> and <code>code_page:</code> available in <strong>3ds Max 2013 and higher</strong> provide control over the stream Encoding.</p>\n\
<p>ACP stands for ANSI Code Page</p>\n\
<p>UTF8 stands for UCS Transformation Format - 8 bit, where UCS stands for Universal Character Set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;MemStreamMgr.openString &lt;filename&gt;string      </code></pre><p>Returns a memStream interface where the content of the string is the input stream to be processed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MemStreamMgr.close &lt;Interface&gt;memStream   </code></pre><p>Closes the input stream for the memStream, freeing the memory associated with this stream.</p>\n\
<h3 id=\"memstream-interface\">memStream - Interface</h3><p>The memStream Interface provides methods for parsing the input stream. This interface is returned from the <code>memStreamMgr.openString()</code> and <code>memStreamMgr.openFile()</code> methods.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;&lt;Interface:MemStream&gt;.getFileName() </code></pre><p>Returns the file name that the memStream was created from. Returns &quot;&quot; if the interface was created using memStreamMgr.openString().</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Interface:MemStream&gt;.skipSpace() </code></pre><p>Skips leading whitespace characters (space, tab, and newlines) starting at the current stream cursor position. Following this call the stream cursor position will be at a non-whitespace character, or at the end of the stream.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;Interface:MemStream&gt;.readChar() </code></pre><p>Reads a single character from the stream, returning it as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;Interface:MemStream&gt;.peekChar() </code></pre><p>Reads a single character from the stream, returning it as a string. Does not increment the stream cursor position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;Interface:MemStream&gt;.readLine() </code></pre><p>Reads all characters from the current stream cursor position until a newline and returns it as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;Interface:MemStream&gt;.readToken() </code></pre><p>Reads a token from the given stream and returns it as a string. A token is defined by a sequence of characters surrounded by whitespace or the stream start or end. Leading whitespace and one line &quot;//&quot; style comments are automatically skipped.</p>\n\
<p>The maximum allowed length of the returned string is 5120 characters. If a token larger than this length is read, the string returned contains the first 5120 characters of the token. The stream cursor position will be at the next character.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;Interface:MemStream&gt;.peekToken() </code></pre><p>Same as <code>&lt;memStream&gt;.readToken()</code> except it does not increment the stream cursor position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Interface:MemStream&gt;.unReadToken() </code></pre><p>Resets the stream cursor position to right before the last readToken operation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;Interface:MemStream&gt;.readBlock &lt;string&gt;open &lt;string&gt;close </code></pre><p>Reads a block of tokens from the &apos;open&apos; token until the &apos;close&apos; token, automatically skipping nested open/close token pairs, and returns the contents as a string. This string will contain the initial &apos;open&apos; token and the final &apos;close&apos; token. The initial &apos;open&apos; token must be the next token in the input stream. If it is not, a value of &#x2019;r;undefined&#x2019; will be returned.</p>\n\
<p>Following this call, the stream cursor position will be at the beginning of the next token, or at the end of the stream if there are no more tokens following the &apos;close&apos; token. The comparison of tokens against the &apos;open&apos; and &apos;close&apos; tokens is case-insensitive.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The open and close strings represent tokens, and not character strings.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b2=memStreamMgr.openstring &quot;{aaaaa}&quot;\n\
   b2.readblock &quot;{&quot; &quot;}&quot;\n\
</code></pre><p>   will return undefined, because the &apos;{&apos; and &apos;}&apos; are not surrounded by whitespace, and so are not found as tokens (the entire content of the memStream is a single token).</p>\n\
</blockquote>\n\
<p>If the &apos;open&apos; token is not the next token in the input stream, a value of &apos;undefined&apos; will be returned and the stream cursor position will be unchanged.</p>\n\
<p>If the &apos;open&apos; token is the next token in the input stream, but the &apos;close&apos; token is not found, returns a string starting at the open token and ending at the end of stream -1 character.</p>\n\
<p>The maximum allowed length of the block is 5120 characters. If a block is found, but is larger than this length, a value of &apos;undefined&apos; is returned. However, the stream cursor position will be at the end of the block.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Interface:MemStream&gt;.skipBlock &lt;string&gt;open &lt;string&gt;close </code></pre><p>Same as readBlock except does not return the block of tokens (this is a little faster).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Interface:MemStream&gt;.pos() </code></pre><p>Returns the current stream cursor position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Interface:MemStream&gt;.seek &lt;integer&gt;offset &lt;enum&gt;origin \n\
\n\
origin enums: {#seek_set|#seek_cur|#seek_end} </code></pre><p>Moves the stream cursor position &apos;offset&apos; number of characters from the base specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#seek_set-- start of file\n\
#seek_cur-- current file position\n\
#seek_end-- end of file (works with negative offset values)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;size() </code></pre><p>Returns the size of the input stream.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;eos() </code></pre><p>Returns true if the current stream cursor position is at or past the end of the input stream, false otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ms = memStreamMgr.openString &quot;token! //comment!\\n { { nested bracket pair } } &quot;\n\
   ms.readToken()\n\
   ms.readBlock &quot;{&quot; &quot;}&quot;\n\
   ms.eos()\n\
   memStreamMgr.close ms\n\
</code></pre><p>   <strong>RESULT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &lt;MixinInterface:memStream&gt;\n\
   &quot;token!&quot;\n\
   &quot;{ { nested bracket pair } }&quot;\n\
   true\n\
   OK\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <code>read</code> or <code>peek</code> methods currently do not protect against reading past the end of the input stream.</p>\n\
<p>The <code>seek</code> method currently does not protect against setting position past end of the input stream.</p>\n\
<p>The <code>readBlock</code> and <code>skipBlock</code> methods performs case-insensitive comparisons on the open and close token strings.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../M.html\">M</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";