var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-48C5E2F2-DE34-4EA3-A84C-4DBD463DBF90\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: maxOps</h1></div><p>This <strong>Core Interface</strong> exposes various <strong>3ds Max</strong> system properties and methods to MAXScript.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#version-and-license-info\">Version and License Info</a></li>\n\
<li><a href=\"#trackbar-controllers\">Trackbar, Controllers</a></li>\n\
<li><a href=\"#progressive-mode\">Progressive Mode</a></li>\n\
<li><a href=\"#delete-animation\">Delete Animation</a></li>\n\
<li><a href=\"#ribbon\">Ribbon</a></li>\n\
<li><a href=\"#create-tab\">Create Tab</a></li>\n\
<li><a href=\"#hierarchy-tab\">Hierarchy Tab</a></li>\n\
<li><a href=\"#motion-tab-motion-paths\">Motion Tab &gt; Motion Paths</a></li>\n\
<li><a href=\"#display-tab\">Display Tab</a></li>\n\
<li><a href=\"#set-key-mode\">Set Key Mode</a></li>\n\
<li><a href=\"#autokey-default-key\">AutoKey Default Key</a></li>\n\
<li><a href=\"#paint-selection-brush\">Paint Selection Brush</a></li>\n\
<li><a href=\"#bitmap-importer\">Bitmap Importer</a></li>\n\
<li><a href=\"#viewport-display\">Viewport Display</a></li>\n\
<li><a href=\"#custom-user-interface\">Custom User Interface</a></li>\n\
<li><a href=\"#iterative-rendering\">Iterative Rendering</a></li>\n\
<li><a href=\"#render-element-manager\">Render Element Manager</a></li>\n\
<li><a href=\"#node-name-suffix-length\">Node Name Suffix Length</a></li>\n\
<li><a href=\"#collapse-and-clone-nodes\">Collapse and Clone Nodes</a></li>\n\
<li><a href=\"#window-crossing-selection-type\">Window/Crossing Selection Type</a></li>\n\
<li><a href=\"#node-handle\">Node Handle</a></li>\n\
<li><a href=\"#color-by-id\">Color By ID</a></li>\n\
<li><a href=\"#find-nodes\">Find Nodes</a></li>\n\
<li><a href=\"#material-editor-mode\">Material Editor Mode</a></li>\n\
<li><a href=\"#scene-compression-and-archiving-settings\">Scene Compression and Archiving Settings</a></li>\n\
<li><a href=\"#file-preferences\">File Preferences</a></li>\n\
<li><a href=\"#viewport-preferences\">Viewport Preferences</a></li>\n\
<li><a href=\"#3ds-max-batch-information\">3ds Max Batch Information</a><ul>\n\
<li><a href=\"#example-\">Example:</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#other-miscellaneous\">Other Miscellaneous</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h2 id=\"version-and-license-info\">Version and License Info</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.IsRenderActive : boolean : Read </code></pre><p>Returns True if the renderer is active.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.productAppID: enum : Read         \n\
\n\
productAppID enums: {#max}      </code></pre><p>Returns the application ID.</p>\n\
<p>The enum value returned is:</p>\n\
<p><code>#max</code> - 3ds Max</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The following values were available in versions prior to <strong>3ds Max 2016</strong>:</div>\n\
<p><code>#none</code> - no ID</p>\n\
<p><code>#viz</code> - Autodesk VIZ</p>\n\
<p><code>#gmax</code> - gmax</p>\n\
<p><code>#vizR</code> -VIZrender</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.productID : enum : Read   \n\
\n\
productID enums: {#3dsMax} </code></pre><p>Available prior to <strong>3ds Max 2017</strong>. Returns the 3ds Max &quot;flavor&quot;.</p>\n\
<p>The enum value returned is:</p>\n\
<p><code>#3dsMax</code> - 3ds Max Entertainment Version</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>#3dsMaxDesign</code> value was available in versions prior to <strong>3ds Max 2016</strong>.</div>\n\
<p><code>#3dsMaxDesign</code> - 3ds Max Design Version</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.productVersion : enum : Read \n\
\n\
productVersion enums: {#productVersionDevel|#productVersionTrial|#productVersionOrdinary|#productVersionEdu|#productVersionNFR} </code></pre><p>Available prior to <strong>3ds Max 2017</strong>. Returns the Product Version type.</p>\n\
<p>The enum values returned are as follows:</p>\n\
<p><code>#productVersionDevel</code> - debug build, or licensed in-house</p>\n\
<p><code>#productVersionTrial</code> - trial license</p>\n\
<p><code>#productVersionOrdinary</code> - commercial license</p>\n\
<p><code>#productVersionNFR</code> - not for resale</p>\n\
<p><code>#productVersionEdu</code> - educational or student license</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> All copies of <code>3ds Max</code> return a <a href=\"./../../../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">hardwarelockid</a> of &quot;-1&quot; while under the grace period and until they have been authorized. You can also check for that number and initiate your own demo mode.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.licenseBehavior : enum : Read \n\
\n\
licenseBehavior enums: {#licenseBehaviorPermanent|#licenseBehaviorExtendable|#licenseBehaviorNonextendable} </code></pre><p>Available prior to <strong>3ds Max 2017</strong>. Returns the License Behavior.</p>\n\
<p>The enum values returned are as follows:</p>\n\
<p><code>#licenseBehaviorPermanent</code> - permanent license, or hardware lock</p>\n\
<p><code>#licenseBehaviorExtendable</code> - term license, can be extended</p>\n\
<p><code>#licenseBehaviorNonextendable</code> - term license, cannot be extended</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.licenseDaysLeft : integer : Read </code></pre><p>Available prior to <strong>3ds Max 2017</strong>. Its return value is an integer indicating the number of full days left in the term of the license. A value of 0 means that today is the last day of validity. For permanent licenses, a fixed value is returned indicating greater than 10 years are left.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.isNetworkLicense </code></pre><p>The property is read-only with a boolean value: <code>true</code> means a network license, and <code>false</code> means a local license.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --This example displays the values of your Cdilla license:\n\
   rollout CdillaOPS &quot;License Properties&quot; width:220 height:270\n\
   (\n\
   groupBox grp1 &quot;License Values&quot; pos:[18,18] width:180 height:265\n\
   button btn5 &quot;Days until Expiration&quot; pos:[50,45] width:119 height:18\n\
   editText edt5 &quot;&quot; pos:[50,75] width:119 height:18\n\
   button btn6 &quot;License Version&quot; pos:[50,105] width:119 height:18\n\
   editText edt6 &quot;&quot; pos:[50,135] width:119 height:18\n\
   button btn7 &quot;License Behavior&quot; pos:[50,165] width:119 height:18\n\
   editText edt7 &quot;&quot; pos:[50,195] width:119 height:18\n\
   button btn8 &quot;Hardware Lock ID&quot; pos:[50,225] width:119 height:18\n\
   editText edt8 &quot;&quot; pos:[50,255] width:119 height:18\n\
   on btn5 pressed do\n\
   (\n\
   edt5.text = (maxOps.licenseDaysLeft as string)\n\
   )\n\
   on btn6 pressed do\n\
   (\n\
   version = maxOps.productVersion as string\n\
   edt6.text = substring version 15 version.count\n\
   )\n\
   on btn7 pressed do\n\
   (\n\
   version = maxOps.licenseBehavior as string\n\
   edt7.text = substring version 16 version.count\n\
   )\n\
   on btn8 pressed do\n\
   edt8.text = (hardwarelockid as string)\n\
   )\n\
   rof = newRolloutFloater &quot;License Status&quot; 230 380\n\
   addRollout CdillaOPS rof\n\
</code></pre></blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.isFeatureLicensed &lt;integer&gt;featureNumber </code></pre><p>Returns <code>true</code> if the given feature is licensed, <code>false</code> otherwise.</p>\n\
<h2 id=\"trackbar-controllers\">Trackbar, Controllers</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.trackbar : Interface : Read </code></pre><p>Contains the <a href=\"Interface-maxOps.html\">Trackbar Interface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.overrideControllerRangeDefault : boolean : Read|Write </code></pre><p>When set to true, new procedural controllers that normally require a range will be set to infinite range. When set to false (default behavior prior to <strong>3ds Max 8</strong>), the range of such controllers will be set explicitly to the current animation range, causing the controllers to stop updating after the last frame of the range if the scene animation range is increased later. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.springQuickEditMode : boolean : Read|Write </code></pre><p>Get/set Spring Quick Edit mode on and off. Corresponds to the checkbox in the Animation tab of the Preferences dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.springRollingStart : integer : Read|Write </code></pre><p>Get/set the Spring Controller&apos;s Rolling Start value. Corresponds to the Rollback value in the Animation tab of the Preferences dialog.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.getTrackBar() </code></pre><p>Returns the interface to the trackbar. See <a href=\"Interface-maxOps.html\">Trackbar Interface</a> for details.</p>\n\
<h2 id=\"progressive-mode\">Progressive Mode</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.inProgressiveMode : boolean : Read </code></pre><p>Returns <code>true</code> if <strong>3ds Max</strong> is in Progressive mode, <code>false</code> otherwise.</p>\n\
<p>When a time sequence of matrices is computed and has to be assigned to the transformation matrix of a node that employs the standard PRS controller and the standard Euler XYZ controller for the rotation, we can achieve a better animation result if the euler angles for the current frame are calculated based on the angles from the previous frame. The Progressive Mode tells the Euler controller to derive angles based on the previous frame. It is assumed that in this mode, the node transformation is set in strictly forward time order.</p>\n\
<p>Also, see <code>beginProgressiveMode()</code> and <code>endProgressiveMode()</code> methods below.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxOps.beginProgressiveMode() </code></pre><p>Enables Progressive mode. See also <code>maxOps.inProgressiveMode</code> property above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxOps.endProgressiveMode() </code></pre><p>Disables Progressive mode. See also <code>maxOps.inProgressiveMode</code> property above.</p>\n\
<h2 id=\"delete-animation\">Delete Animation</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;deleteSelectedAnimation() </code></pre><p>Deletes the selected animation.</p>\n\
<h2 id=\"ribbon\">Ribbon</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;maxOps.isRibbonSupportEnabled()</code></pre><p>Returns true if the ribbon is supported, false otherwise. The ribbon may be disabled in the 3dsmax.ini file, under the section &quot;Performance&quot;, by setting the &quot;DisableRibbon&quot; key to 1. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<h2 id=\"create-tab\">Create Tab</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.autoGrid : boolean : Read|Write </code></pre><p>Enable/Disable the AutoGrid option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.startNewShapeLock : boolean : Read|Write </code></pre><p>Enable/Disable the Start New Shape option checkbox.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;startNewShape() </code></pre><p>Start the creation of a new Shape.</p>\n\
<h2 id=\"hierarchy-tab\">Hierarchy Tab</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.pivotMode : enum : Read|Write \n\
\n\
pivotMode enums: {#none | #pivotOnly | #objectOnly | #hierarchyOnly} </code></pre><p>This property corresponds to the pivot buttons in the Adjust Pivot subpanel of the Hierarchy tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.affectChildren : boolean : Read|Write</code></pre><p>This property corresponds to the <strong>Don&apos;t Affect Children</strong> button in the Adjust Transform subpanel of the Hierarchy tab.</p>\n\
<h2 id=\"motion-tab-gt-motion-paths\">Motion Tab &gt; Motion Paths</h2><p><strong>Properties:</strong></p>\n\
<p><img src=\"./images/GUID-92D399EA-0C66-4F74-8985-C2FEB179408A-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.trajectoryMode : boolean : Read|Write                      </code></pre><p>When set to <code>true</code> , the Hierarchy tab of the Command Panel will be switched to <strong>Motion Paths mode</strong>.</p>\n\
<p>When set to <code>false</code> , the Hierarchy tab of the Command Panel will be switched to <strong>Parameters mode</strong>.</p>\n\
<p>If the Command Panel is not in the Hierarchy tab, it will be switched to it automatically.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.trajectoryKeySubMode : boolean : Read|Write                   </code></pre><p>When set to <code>true</code> , the <strong>Motion Paths mode</strong> will be switched to Key Sub-Object mode.</p>\n\
<p>If the Command Panel is not in the Hierarchy tab, it will be switched to it automatically.</p>\n\
<p>If the Hierarchy has not been set to Trajectories mode by setting <code>maxops.trajectoryMode=true</code> or by manually switching with the mouse , it will be set to Trajectories mode automatically.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.trajectoryAddKeyMode : boolean : Read|Write                 </code></pre><p>When set to true, the Add Key mode in the Trajectories rollout of the Hierarchy tab of the Command Panel will be turned on. When false, it will be turned off.</p>\n\
<p>If the Command Panel is not in the Hierarchy tab, it will be switched to it automatically.</p>\n\
<p>If the Hierarchy has not been set to Trajectories mode by setting <code>maxops.trajectoryMode=true</code> or by manually switching with the mouse , it will be set to Trajectories mode automatically.</p>\n\
<p>If the Trajectories mode is not in Key Sub-Object mode by setting <code>maxops.trajectoryKeySubMode=true</code> or by manually switching with the mouse, the Sub-Object mode will be set automatically.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.trajectoryPathGradation: enum : Read|Write\n\
\n\
trajectoryPathGradation enums: {#speed|#wirecolor|#uicolor|#none}</code></pre><p>Sets the gradation mode of the displayed motion paths. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.selTrajectoryDrawFrameTicks: boolean : Read|Write</code></pre><p>When set to true, the frame ticks will be displayed along the selected motion paths. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.unselTrajectoryDrawFrameTicks: boolean : Read|Write</code></pre><p>When set to true, the frame ticks will be displayed along the unselected motion paths. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.unselTrajectoryDrawKeys: boolean : Read|Write</code></pre><p>When set to true, the keys will be displayed along the unselected motion paths. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.trimTrajectories: boolean : Read|Write</code></pre><p>When set to true, trims the displayed motion paths. The motion paths are trimmed based on the value of fixedTrimRange. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.fixedTrimRange: boolean : Read|Write</code></pre><p>When set to true, the motion paths are trimmed based on the frame range, and use the values stored in trimTrajectoriesStart, and trimTrajectoriesEnd. When set to false, the motion paths are trimmed based on the value stored in trimTrajectoriesOffset. Motion path trimming is enabled or disabled based on the value of trimTrajectories. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.trimTrajectoriesOffset: integer : Read|Write</code></pre><p>Defines the frame offset applied when trimTrajectories is on, and when fixedTrimRange is set to false. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.trimTrajectoriesStart: integer : Read|Write</code></pre><p>Defines the start of the frame range applied when trimTrajectories is on, and when fixedTrimRange is set to false. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.trimTrajectoriesEnd: integer : Read|Write</code></pre><p>Defines the end of the frame range applied when trimTrajectories is on, and when fixedTrimRange is set to false. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.drawAllHandles: boolean : Read|Write</code></pre><p>When set to true, handles are drawn for knot control points along the motion path. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.drawGradientTicks: boolean : Read|Write</code></pre><p>When set to true, gradient ticks are drawn along the motion path. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.drawKeyTimes: boolean : Read|Write</code></pre><p>When set to true, key times are drawn at key points along the motion path. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.selTrajectoryDrawKeys: boolean : Read|Write</code></pre><p>When set to true, control points for keys are drawn along the motion path. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.TrimTrajectories : boolean : Read|Write</code></pre><p>When set to true, the trajectory path is trimmed according to the settings below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.FixedTrimRange : boolean : Read|Write</code></pre><p>When set to true, the trajectory path is trimmed according to <code>.TrimTrajectoriesStart</code> and <code>.TrimTrajectoriesEnd</code>.  When false, the offset value specified by <code>.TrimTrajectoriesOffset</code> is used to trim the trajectory.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.TrimTrajectoriesOffset : integer : Read|Write</code></pre><p>When <code>.FixedTrimRange</code> is false and <code>.TrimTrajectories</code> is true, this specifies the offset to trim the trajectory with. </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.TrimTrajectoriesStart : integer : Read|Write\n\
maxOps.TrimTrajectoriesEnd : integer : Read|Write</code></pre><p>When <code>.FixedTrimRange</code> is true and <code>.TrimTrajectories</code> is true, this specifies the start and end offsets to trim the trajectory with. </p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxOps.deleteSelectedTrajectoryKey() </code></pre><p>Deletes the selected trajectory key. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxOps.breakSelectedKeyTangent() </code></pre><p>Breaks the selected trajectory key&apos;s tangent handles. This allows the individual control of the two tangent handles. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxOps.unifySelectedKeyTangent() </code></pre><p>Unifies the selected trajectory key&apos;s tangent handles. This allows the movement of one handle to affect the relative position of the other handle. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxOps.setSelectedKeyTangentToAuto() </code></pre><p>Unifies the selected trajectory key&apos;s tangent handles, and ensures both tangent handle reside on the same line. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<h2 id=\"display-tab\">Display Tab</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.hideFrozenObjects : boolean : Read|Write </code></pre><p>Gets/Sets the state of the Hide Frozen Objects checkbox in the Display tab.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> You have to call <a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Refreshing-the-Viewports.html\">completeRedraw()</a> after setting this property.</div>\n\
<h2 id=\"set-key-mode\">Set Key Mode</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.setKeyMode : boolean : Read|Write </code></pre><p>Get/set the SetKey mode state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.setKeySuspend : boolean : Read|Write </code></pre><p>Get/set the SetKey Suspend mode state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.setKeyFilters : enum by value array : Read \n\
\n\
setKeyFilters enums: {#all | #position | #rotation | #scale | #ikParams | #objParams | #custAttribs | #modifiers | #materials|#other} </code></pre><p>Always returns the fixed list of the filter names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.setKeyNodeSets : String array : Read </code></pre><p>Returns an array of node sets.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The array does not include &quot;Selected&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.setKeyNodeSetCurrent : String : Read|Write </code></pre><p>Returns &quot;&quot; if the current setKey node set is &quot;Selected&quot;. Setting it to &quot;&quot; sets the current setKey node set to &quot;Selected&quot;.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>A &quot;SetKey NodeSet&quot; is what is shown in the dropdown list above the Key Filters button in the status panel. The first entry in this dropdown is &quot;Selected&quot;, which corresponds to a set name of &quot;&quot;. The remaining items are all character nodes in the scene and all named selection sets in the scene.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;maxOps.getSetKeyMode() </code></pre><p>This method returns <code>true</code> if Set Key mode is active, <code>false</code> if not active.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxOps.activateSetKeyMode &lt;boolean&gt;onOff</code></pre><p>Sets the Set Key mode to the specified value where, true = on and false = off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.getSetKeyFilterState &lt;enum&gt;filter \n\
\n\
filter enums: {#position | #rotation | #scale | #ikParams | #objParams | #custAttribs | #modifiers | #materials} </code></pre><p>Returns the state of the specified SetKey filter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.setSetKeyFilterState &lt;enum&gt;filter &lt;boolean&gt;onOff \n\
\n\
filter enums: {#position | #rotation | #scale | #ikParams | #objParams | #custAttribs | #modifiers | #materials} </code></pre><p>Sets the state of the specified SetKey filter.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- print SetKey Filters state\n\
   for filter in maxops.setKeyFilters do\n\
   format &quot;% : %\\n&quot; (filter as string) (maxops.getSetKeyFilterState filter)\n\
   -- turn all on\n\
   for filter in maxops.setKeyFilters do\n\
   maxops.setSetKeyFilterState filter true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxOps.getDefaultTangentType&lt;&amp;enum&gt;dfltInTangentType &lt;&amp;enum&gt;dfltOutTangentType \n\
\n\
dfltInTangentType enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
dfltInTangentType is Out parameter \n\
dfltOutTangentType enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
dfltOutTangentType is Out parameter </code></pre><p>Returns the default In and Out tangent types into the two Out parameters passed by-reference.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxOps.setDefaultTangentType &lt;enum&gt;dfltInTangentType &lt;enum&gt;dfltOutTangentType writeInCfgFile:&lt;boolean&gt; \n\
\n\
dfltInTangentType enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
dfltOutTangentType enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
writeInCfgFile default value: true </code></pre><p>Sets the default In and Out tangent types. When <code>writeInCfgFile:</code> is set to <code>true</code> (default), the changes will also be recorded in the configuration file, making them sticky between <strong>3ds Max</strong> sessions.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   maxops.setDefaultTangentType #slow #fast\n\
   --&gt; OK\n\
   maxops.getDefaultTangentType &amp;inTangent &amp;outTangent\n\
   --&gt; OK\n\
   inTangent\n\
   --&gt; #slow\n\
   outTangent\n\
   --&gt; #fast\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The flyout in the <strong>3ds Max</strong> GUI provides icons only for the cases where the In and Out tangents are equal. The above method can be used to set the default tangents to any combination of In and Out types that cannot be represented by the flyout icons. In these cases, a special icon with a question mark &quot;?&quot; will be displayed in the GUI.</div>\n\
<h2 id=\"autokey-default-key\">AutoKey Default Key</h2><p><strong>Properties:</strong></p>\n\
<p><img src=\"./images/GUID-A89008EF-7E2F-43C2-8225-49281250A47E-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.autoKeyDefaultKeyOn: boolean : Read|Write </code></pre><p>When this option is set to <code>true</code> (default), creating a key in AutoKey mode on a frame other than the one specified by <code>maxops.autoKeyDefaultKeyTime</code> will create a key on the frame specified by <code>maxops.autoKeyDefaultKeyTime</code> with the initial value of the animated property. This is the default behavior of <strong>3ds Max</strong> since its first release.</p>\n\
<p>When this option is set to <code>false</code> , no key other than the one on the current frame will be created by the AutoKey feature.</p>\n\
<p>See also <a href=\"./../../../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"#p\">preferences.autoKeyDefaultKeyOn</a> for a System Global that exposes the same property.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.autoKeyDefaultKeyTime : time : Read|Write </code></pre><p>When <code>maxops.autoKeyDefaultOn</code> is set to <code>true</code> , a key will be created automatically on the frame defined by this time value.</p>\n\
<p>Available <strong>in 3ds Max 2017 and higher</strong>: The value can be set to any valid time value. In versions prior to <strong>3ds Max 2017</strong>, the only possible values were 0f and 1f. See also <a href=\"./../../../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"#p\">preferences.autoKeyDefaultKeyTime</a> for a System Global that exposes the same property as an integer value.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<h2 id=\"paint-selection-brush\">Paint Selection Brush</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.paintSelBrushSize : integer : Read|Write \n\
maxOps.paintSelBrushSizeUnscaled : integer : Read|Write</code></pre><p>Get/Set the size of the Paint Selection brush. The Paint Selection is a selection mode accessible through the Selection Region flyout. The value corresponds to the &quot;Paint Selection Brush Size&quot; value under Customize &gt; Preferences &gt; General &gt; Scene Selection. Note that right-clicking the Paint Selection icon in the main toolbar will open the Preferences dialog.</p>\n\
<p>The <code>paintSelBrushSizeUnscaled</code> property is this setting without any DPI scaling (if any) applied.</p>\n\
<h2 id=\"bitmap-importer\">Bitmap Importer</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;maxOps.canImportBitmap &lt;filename&gt;fileName </code></pre><p>Returns <code>true</code> if a bitmap importer is present for the extension in the file name, <code>false</code> otherwise. Does not check to see if the file exists or if it is a valid bitmap file.</p>\n\
<h2 id=\"viewport-display\">Viewport Display</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bool&gt;maxOps.displayActiveCameraViewWithMultiPassEffect() </code></pre><p>If the active view is a Camera view and a multi-pass effect is turned on in the camera&apos;s properties, then this function returns <code>true</code> . Otherwise, it does nothing and returns <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.setActiveViewportTransparencyDisplay &lt;integer&gt;transparencyLevel </code></pre><p>Takes a single integer argument:</p>\n\
<p>0 - turns off transparency in the active viewport.</p>\n\
<p>1 - sets it to screen door.</p>\n\
<p>2 - sets it to blended transparency.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;maxops.getViewportShadingSettings() </code></pre><p>Returns an <code>&lt;IObject:ViewportShadingSettings&gt;</code> object exposing several interfaces related to advanced viewport shading controls.</p>\n\
<p>See <a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Shading-Settings.html\">Viewport Shading Settings</a> for details.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   vss = maxops.getViewportShadingSettings()\n\
   &lt;IObject:ViewportShadingSettings&gt;\n\
   showInterfaces vss\n\
</code></pre></blockquote>\n\
<h2 id=\"custom-user-interface\">Custom User Interface</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;maxOps.loadCUIFile &lt;filename&gt;fileName </code></pre><p>Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<h2 id=\"iterative-rendering\">Iterative Rendering</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;maxOps.rendUseIterative </code></pre><p>Get/set the Iterative Rendering mode in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p>When set to <code>true</code> , only the current frame will be rendered and no file will be saved to disk.</p>\n\
<p>When set to <code>false</code> , the Render Dialog settings for Time Output and File Saving will be respected (this is the default and the only behavior in releases prior to <strong>3ds Max 2009</strong>).</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Iterative rendering <strong>cannot</strong> be activated using the <code>render()</code> method.</p>\n\
<p>You can use <code>max quick render</code> after setting <code>maxOps.rendUseIterative</code> to true to perform an iterative rendering.</p>\n\
<h2 id=\"render-element-manager\">Render Element Manager</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.GetCurRenderElementMgr() </code></pre><p>Returns the current <a href=\"./../../../../Render-Elements/Render-Element-Manager.html\">render element manager</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.GetRenderElementMgr &lt;enum&gt; </code></pre><p><code>{#Production|#Draft}</code></p>\n\
<p>Gets a specific <a href=\"./../../../../Render-Elements/Render-Element-Manager.html\">render element manager</a>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <code>#Draft</code> renderer was retired in <strong>3ds Max 6</strong>.</p>\n\
<p>Calling this method with <code>#Draft</code> argument will return <code>undefined</code> in <strong>3ds Max 6 and higher</strong>.</p>\n\
<h2 id=\"node-name-suffix-length\">Node Name Suffix Length</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;maxOps.nameSuffixLength </code></pre><p>Controls the number of digits appended as suffix to the name of newly created scene nodes, layers, and others.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>In <strong>3ds Max 2011</strong>, the default value was changed from 2 to 3 and is now controlled by the &quot;NameSuffixLength&quot; key in the [Preferences] category of the 3dsmax.ini file.</p>\n\
<p>This is to ensure better sorting of up to 999 objects using the MAXScript <code>sort()</code> method. If you intend to work with more than 1000 objects, you can increase the maxOps.nameSuffixLength value to 4 or more to ensure enough leading zeros.</p>\n\
<p>In addition, note that newly created nodes will receive a number one higher than the highest number in the scene without filling gaps. For example. if you create objects Box001, Box002, and Box003, and delete Box002, the next automatically named object will have the name Box004 and not Box002.</p>\n\
<h2 id=\"collapse-and-clone-nodes\">Collapse and Clone Nodes</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;maxOps.CollapseNode &lt;node&gt;node &lt;boolean&gt;noWarning </code></pre><p>Collapses the complete modifier stack of the node.</p>\n\
<p>When <code>noWarning</code> is set to true, no prompt will be issued. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;maxOps.CollapseNodeTo &lt;node&gt;node &lt;index&gt;modIndex &lt;boolean&gt;noWarning </code></pre><p>Collapses the modifier stack up to the indexed modifier.</p>\n\
<p>The modifiers are counted from top of the stack. All modifiers below and including the specified one will be collapsed.</p>\n\
<p>When <code>noWarning</code> is set to true, no prompt will be issued.</p>\n\
<p>Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;maxOps.CloneNodes &lt;node array&gt;nodes offset:&lt;point3&gt; expandHierarchy:&lt;boolean&gt; cloneType:&lt;enum&gt; actualNodeList:&lt;&amp;node array&gt; newNodes:&lt;&amp;node array&gt;\n\
       offset default value: [0,0,0]\n\
       expandHierarchy default value: false\n\
       cloneType enums: {#copy|#instance|#reference}\n\
       cloneType default value: #copy\n\
       actualNodeList default value: #()\n\
       actualNodeList is Out parameter\n\
       newNodes default value: #()\n\
       newNodes is Out parameter</code></pre><p>This method will return <code>true</code> if successful, otherwise it will return <code>false</code> .</p>\n\
<ul>\n\
<li><code>nodes</code> - This is the list of nodes that you want to clone. </li>\n\
<li><code>offset</code> - The positional offset that will be applied to the cloned nodes. </li>\n\
<li><code>expandHierarchy</code> - Indicates if children will be cloned in hierarchies.</li>\n\
<li><code>cloneType</code> - Specifies the clone type - Copy, Instance, or Reference.</li>\n\
<li><code>actualNodeList</code> - This node array will be filled in with the original nodes to be cloned. The reason for this is that there can be dependencies between nodes that causes other nodes to be added to the list. For example light/camera targets, nodes part of systems, part of groups or expanded hierarchies, and others.</li>\n\
<li><code>newNodes</code> - This node array will be filled in with the new cloned nodes. There is a one to one relationship between the nodes returned in the actualNodeList array and the newNodes array.</li>\n\
</ul>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> <code>actualNodeList</code> and <code>newNodes</code> take an argument of <code>&lt;&amp;node array&gt;,</code> and are <code>Out</code> parameters. This is important because:</p>\n\
<p>1) the variables must be passed by reference, and\n\
2) we do not need to initialize the variables to arrays because they are only <code>Out</code> parameters (MAXScript does not convert the value passed in to an array).</p>\n\
\n\
</div></div>\n\
\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s=sphere()\n\
\n\
   -- variables not passed by reference, does not work right\n\
   maxops.clonenodes s actualNodeList:a newNodes:b\n\
   a --&gt; undefined\n\
   b --&gt; undefined\n\
\n\
   -- variables passed by reference without initializing, works right\n\
   maxops.clonenodes s actualNodeList:&amp;c newNodes:&amp;d\n\
   c --&gt; #($sphere01)\n\
   d --&gt; #($sphere03)\n\
</code></pre></blockquote>\n\
<p>Also note that the first argument type is specified as <code>&lt;&amp;node array&gt;nodes</code> , <code>In</code> parameter. Because it is an <code>In</code> parameter, we know that the method does not change the contents of the array passed, so there is no point in passing this array by reference.</p>\n\
<p>In addition, MAXScript automatically wraps the single argument passed into a temporary array, so we can use <code>s</code> instead of <code>#(s)</code> to supply the node array.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> You may <strong>not</strong> use <code>maxOps.cloneNodes</code> inside an <code>undo off</code> context. Doing so will crash <strong>3ds Max</strong> when using the Undo function!</p>\n\
\n\
</div></div>\n\
\n\
<h2 id=\"window-crossing-selection-type\">Window/Crossing Selection Type</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.setSelectionType &lt;boolean&gt;auto &lt;enum&gt;method \n\
\n\
method enums: {#window|#crossing|#leftToRight|#rightToLeft} </code></pre><p>Controls the window/crossing modes of the selection tool.</p>\n\
<p>When the first argument is set to true, it enables the Customize&gt;Preferences&gt;General tab&gt;Auto Window/Crossing By Direction option. The second argument can be either 0 or 1 or the equivalent enums #leftToRight and #rightToLeft.</p>\n\
<p>When the first argument is set to false, it sets the state of the Window/Crossing icon in the Main Toolbar, while disabling the Customize &gt; Preferences &gt; General tab &gt; Auto Window/Crossing By Direction. The second argument can be either 0 or 1 or the equivalent enums #window and #crossing.</p>\n\
<p>In other words,</p>\n\
<p><code>true 1</code> : Enables auto Window/Crossing: moving left-to-right is crossing selection</p>\n\
<p><code>true 0</code> : Enables auto Window/Crossing: moving right-to-left is crossing selection</p>\n\
<p><code>false 1</code> : Disables auto Window/Crossing, turns ON crossing selection</p>\n\
<p><code>false 0</code> : Disables auto Window/Crossing, turns OFF crossing selection</p>\n\
<p>The method returns <code>true</code> if successful, <code>false</code> otherwise.</p>\n\
<h2 id=\"node-handle\">Node Handle</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.getNodeByHandle &lt;integer&gt;handle </code></pre><p>Returns a node associated with a given handle.</p>\n\
<h2 id=\"color-by-id\">Color By ID</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxOps.colorById &lt;integer&gt;id &lt;&amp;color&gt;color \n\
\n\
color is Out parameter   </code></pre><p>Returns a specific color for each unique ID passed. The result is written to the Out parameter by reference.</p>\n\
<p>This method is used internally to generate colors representing Material and Object IDs in the respective RenderElements.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i = 0 to 9 do\n\
   (\n\
    maxops.colorById i &amp;theColor\n\
    format &quot;ID:% Color:%\\n&quot; i theColor\n\
   )\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ID:0 Color:(color 100 100 100)\n\
   ID:1 Color:(color 213 16 100)\n\
   ID:2 Color:(color 70 188 100)\n\
   ID:3 Color:(color 183 104 100)\n\
   ID:4 Color:(color 40 20 100)\n\
   ID:5 Color:(color 153 192 100)\n\
   ID:6 Color:(color 10 108 100)\n\
   ID:7 Color:(color 123 24 100)\n\
   ID:8 Color:(color 236 196 100)\n\
   ID:9 Color:(color 93 112 100)\n\
</code></pre></blockquote>\n\
<h2 id=\"find-nodes\">Find Nodes</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxOps.findNodes &lt;node array&gt;templateNodes &lt;&amp;node array&gt;foundNodes nodePropsToMatch:&lt;enum array&gt;\n\
       foundNodes is Out parameter\n\
       nodePropsToMatch enums: {#nodePropMaterial|#nodePropLayer}\n\
       nodePropsToMatch default value: #()</code></pre><p>Finds nodes similar to the ones specified in the template. Optionally, matches material and layer properties.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   resetMaxFile #noPrompt --reset max file\n\
   --create 10 boxes and 10 spheres:\n\
   for i = 1 to 10 do box pos:[i*50,0,0]\n\
   for i = 1 to 10 do sphere pos:[i*50,100,0]\n\
   $Box*.material = standard() --assign standard material to all boxes\n\
   $Box001.material = multiMaterial() --change material of first box\n\
   --find all objects similar to the Box01 and Sphere01\n\
   --that have the same material as the template object\n\
   maxOps.findNodes #($Box001,$Sphere001) &amp;foundNodes nodePropsToMatch:#(#nodePropMaterial)\n\
   print foundNodes --print the resulting array\n\
   )\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Box:Box001 @ [50.000000,0.000000,0.000000]\n\
   $Sphere:Sphere001 @ [50.000000,100.000000,0.000000]\n\
   $Sphere:Sphere002 @ [100.000000,100.000000,0.000000]\n\
   $Sphere:Sphere003 @ [150.000000,100.000000,0.000000]\n\
   $Sphere:Sphere004 @ [200.000000,100.000000,0.000000]\n\
   $Sphere:Sphere005 @ [250.000000,100.000000,0.000000]\n\
   $Sphere:Sphere006 @ [300.000000,100.000000,0.000000]\n\
   $Sphere:Sphere007 @ [350.000000,100.000000,0.000000]\n\
   $Sphere:Sphere008 @ [400.000000,100.000000,0.000000]\n\
   $Sphere:Sphere009 @ [450.000000,100.000000,0.000000]\n\
   $Sphere:Sphere010 @ [500.000000,100.000000,0.000000]\n\
   OK\n\
</code></pre><p>   As you can see, only the first box was collected because all other boxes have a different material.</p>\n\
<p>   All spheres have the same material (no material at all), so they were all collected as similar to the $Sphere01.</p>\n\
</blockquote>\n\
<h2 id=\"material-editor-mode\">Material Editor Mode</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.mtlDlgMode </code></pre><p>Get/set the Material Editor Mode in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>If a Material Editor is already open, setting this property immediately switches the Editor to the given mode.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#basic</strong>(0) - Compact Material Editor mode</p>\n\
<p><strong>#advanced</strong>(1) - Slate Material Editor mode</p>\n\
<p>See also the <a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/MatEditor-Open-and-Close-the.html\">MatEditor - Open and Close the Material Editor</a> topic for more related methods.</p>\n\
<p>The <code>maxOps.mtlDlgMode</code> property described above is also available through the MatEditor struct for convenience.</p>\n\
<h2 id=\"scene-compression-and-archiving-settings\">Scene Compression and Archiving Settings</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;maxops.getCompressSceneFileOnSave()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxops.setCompressSceneFileOnSave &lt;boolean&gt;compress writeInCfgFile:&lt;boolean&gt;\n\
writeInCfgFile default value: false</code></pre><p>These methods get or set the file compression setting. Available in <strong>3ds Max 2019 update 1 and higher</strong>.</p>\n\
<p><strong>Methods and higher</strong>. If <code>writeInCfgFile</code> is true, this setting is persisted across sessions. These correspond to the <strong>Customize &gt; Preferences &gt; Files &gt; Compress on Save</strong> setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.archiveProgramName : string : Read|Write\n\
maxOps.archiveOptions : string : Read|Write</code></pre><p>These properties expose the Archive System settings found on the <strong>Files</strong> tab of the <strong>Preferences Settings</strong> dialog, and are used by the <strong>File &gt; Archive</strong> command to create an archive of the current scene file. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p>The <strong>.archiveProgramName</strong> property gets or sets the name (including the full path) of the program used to create the scene archive. By default this is [max_install]\\maxzip.exe. Note that this property can only be set to an <strong>.exe</strong> or <strong>.bat</strong> file that exists. Attempting to set this property to a non-existent file or path, or an item that is not an executable or bat file, will fail with an error.</p>\n\
<p>The <strong>.archiveOptions</strong> property gets or sets any additional command-line arguments passed to the archive program held in <strong>.archiveProgramName</strong>.</p>\n\
<h2 id=\"file-preferences\">File Preferences</h2><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.overrideLanguageSpecifiedInSceneFile : boolean : Read|Write</code></pre><p>Specifies whether to use the current default language specified for 3ds Max to convert strings in the scene file, if the file was created in an instance of 3ds Max using a different language.  If <strong>false</strong>, the <code>useCodePageSpecifiedInSceneFile</code> (below) is used to determine the language conversion.  This setting appears on the Files tab of the Preferences dialog under <strong>File String Data Handling</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.useCodePageSpecifiedInSceneFile : boolean : Read|Write</code></pre><p>Specifies how to identify the scene file language.  When <strong>true</strong>, the code page data embedded in the scene file is used to determine the language.  If <strong>false</strong>, the Language ID embedded in the scene file is used.  The Language ID generally produces better results. This setting appears on the Files tab of the Preferences dialog under <strong>File String Data Handling</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.languageToUseForFileIO : enum : Read|Write\n\
       languageToUseForFileIO enums: {#current|#English|#German|#French|#Japanese|#Korean|#Chinese}</code></pre><p>Gets/sets the default language setting for 3ds Max Scene files.  This setting appears on the Files tab of the Preferences dialog under <strong>File String Data Handling</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.legacyFilesCanBeStoredUsingUTF8 : boolean : Read|Write</code></pre><p>Specifies whether to encode strings in non-scene files such as material libraries as UTF-8. This setting appears on the Files tab of the Preferences dialog under <strong>File String Data Handling</strong>.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxOps.persistFileLanguageSettings()</code></pre><p>Saves the settings for <strong>File String Data Handling</strong> on the Files tab of the Preferences dialog to the 3ds Max settings file (<em>3dsMax.ini</em>) so that they persist between sessions of 3ds Max.</p>\n\
<h2 id=\"viewport-preferences\">Viewport Preferences</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.showWorldAxis : boolean : Read|Write</code></pre><p>Specifies whether to display a world axis in the lower-left corner of all viewports.  The default is <strong>true</strong>. This setting appears on the Viewports tab of the Preferences dialog as <strong>Display World Axis</strong>.</p>\n\
<h2 id=\"3ds-max-batch-information\">3ds Max Batch Information</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.mxsCmdLineArgs </code></pre><p>Gets the dictionary of values passed from 3dsmaxbatch.exe in the <code>-mxsString</code> and <code>-mxsValue</code> command-line arguments.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This dictionary is only valid when values are passed from 3dsmaxbatch.exe. If no values are passed, or if 3ds Max is run from 3dsmax.exe, this dictionary is undefined.</div>\n\
<h3 id=\"example-\">Example:</h3><p><strong>Command-line:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">D:&lt;3dsmaxpath&gt;3dsmaxbatch demo_mxscmdline.ms -mxsString string1:&quot;Hello&quot;  -mxsValue value1:&quot;[3,12,22]&quot; -mxsValue value2:&quot;Point3 3 8 2.3&quot;</code></pre><p><strong>MAXScript:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">opts = maxOps.mxsCmdLineArgs\n\
\n\
for k in opts.keys do (\n\
format &quot;% == % class: %\\n&quot; k opts[k] (classOf opts[k])\n\
)\n\
-- output:\n\
-- #string1 == Hello class: String\n\
-- #value2 == [3,8,2.3] class: Point3\n\
-- #value1 == [3,12,22] class: Point3</code></pre><p>For more information on the 3ds Max Batch command-line arguments, see the 3ds Max Batch help topic.</p>\n\
<p>Available in <strong>3ds Max 2018.4 Update and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;maxops.isInNonInteractiveMode &lt;boolean&gt;checkTestMode</code></pre><p>Returns true if 3ds Max is in non-interactive mode, such as when it is running via 3ds Max Batch (<em>3dsmaxbatch.exe</em>). Returns false if running with a user interface (<em>3dsmax.exe</em>).</p>\n\
<p>The <code>checkTestMode</code> keyword argument specifies whether to check whether 3ds Max is running in &quot;Non Interactive Test Mode&quot; (see <code>maxops.setInNonInteractiveTestMode()</code> below). If so, this method returns true, even if running with a UI. This is intended for testing purposes. The default is <strong>false</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> In Non Interactive Mode, Max runs with the following limitations:</div>\n\
<ul>\n\
<li>No splash screen, no welcome screen</li>\n\
<li>Max starts up in minimized mode, and remains in minimized mode</li>\n\
<li>Autobackup is disabled</li>\n\
<li>Max window state and size is not loaded at startup, nor saved at shutdown</li>\n\
<li>QuietMode is always on</li>\n\
<li>NoNetworkRendering is always true</li>\n\
<li>Loaded files are not added to recent document list</li>\n\
<li>StartupTemplates are disabled</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;maxops.setInNonInteractiveTestMode()</code></pre><p>Sets 3ds Max to &quot;Non Interactive Test Mode&quot;, where <code>maxops.isInNonInteractiveMode()</code> will return true, even if a UI is present, unless the <code>checkTestMode</code> keyword argument is false. Intended for testing purposes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;maxops.isInSecureMode()</code></pre><p>Returns true if 3ds Max is running in secure mode. Secure mode is set by the 3dsmax.exe command line option <code>secure \\[on|off\\]</code>. In secure mode:</p>\n\
<ul>\n\
<li>digital signatures are verified for plugins/assemblies</li>\n\
<li>certain functionality (such as mxsdotnet, ActiveX, OLE) is disabled or limited</li>\n\
<li>blacklisted commands are prevented from being used (dos commands, registry access)</li>\n\
<li>some .NET types and assemblies are whitelisted</li>\n\
<li>python is disabled</li>\n\
<li>Autodesk Store plugins are prevented from loading</li>\n\
<li>user defined MCG assemblies are prevented from loading</li>\n\
</ul>\n\
<h2 id=\"other-miscellaneous\">Other Miscellaneous</h2><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.IsWelcomeScreenEnabledAtStartup : boolean : Read</code></pre><p>Returns whether the Welcome Screen is enabled for display at startup.  This setting is controlled by a checkbox on the Welcome Screen.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.IsDesktopAnalyticsProgramOn : boolean : Read</code></pre><p>Returns whether analytics is running.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;maxOps.getTransformGizmoTM()</code></pre><p>Returns the world transform of the current transform gizmo in the active viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;maxOps.IncrementFileName &lt;string&gt;fileName versionSeparatorString:&lt;string&gt;\n\
       versionSeparatorString default value: &quot;&quot;\n\
&lt;string&gt;maxOps.IncrementSceneFileName &lt;string&gt;fileName\n\
&lt;string&gt;maxOps.IncrementImageFileName &lt;string&gt;fileName</code></pre><p>These functions return an incremented version of the specified <code>fileName</code> string.  </p>\n\
<ul>\n\
<li>The <code>IncrementFileName()</code> function takes an optional <code>versionSeparatorString</code> as a separator between the file string and the version number.  If no separator is specified, the last punctuation character in the string (other than a period representing the file extension) is considered to be the separator.</li>\n\
<li><code>IncrementSceneFileName()</code> is identical to the <code>IncrementFileName()</code>, but does not have an optional separator argument.</li>\n\
<li>The <code>IncrementImageFileName()</code> function is identical to <code>incrementFileName()</code>, but always has a separator of <code>_</code> (underscore).</li>\n\
</ul>\n\
<p>If there is no version number at the end of the filename (or if it does not match the <code>versionseparatorString</code> pattern), a version is added starting at 01, and incremented when passed to the function on subsequent calls.  </p>\n\
<p>For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fname = maxOps.incrementFileName &quot;myfile&quot;\n\
--&gt; &quot;myfile01&quot;\n\
maxOps.incrementFileName fname\n\
--&gt; &quot;myfile02&quot;\n\
fname = maxOps.incrementFileName &quot;myfile-100&quot; versionSeparatorString:&quot;-&quot;\n\
--&gt; &quot;myfile-101&quot;\n\
-- But if the filename does not match the separator string:\n\
fname = maxOps.incrementFileName &quot;myfile100&quot; versionSeparatorString:&quot;-&quot;\n\
--&gt; &quot;myfile100-01&quot;\n\
-- IncrementImageFileName always uses underscore\n\
fname = maxops.IncrementImageFileName &quot;a1.jpg&quot;\n\
--&gt; &quot;a1_01.jpg&quot;</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../M.html\">M</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";