var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1374EDCA-CC8B-4B43-81A5-6ED98DBE01D3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: menuMan</h1></div><p>The <strong>MenuMan Core Interface</strong> provides access to the Menu Manager and allows the user to create new and access existing menus and QuadMenus and their sub-menus and menu items as well as load, save, register and unregister them.</p>\n\
<p>For details and examples of using this interface, see also the topic <a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Menu-Manager/Menu-Manager-1.html\">Menu Manager</a></p>\n\
<h2 id=\"menu-loading-and-saving\">Menu Loading And Saving</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;menuMan.loadMenuFile &lt;filename&gt;file         </code></pre><p>This method allows you to load a menu file from disk and automatically update the UI accordingly. Returns <code>true</code> if the menu file was loaded, otherwise <code>false</code> .</p>\n\
<p><code>&lt;string&gt;file:</code> The path and filename of the menu file to load.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;menuMan.saveMenuFile &lt;filename&gt;file      </code></pre><p>This method allows you to save a menu file to disk. Returns <code>true</code> if the menu file was saved, otherwise <code>false</code> .</p>\n\
<p><code>&lt;string&gt;file:</code> The path and filename of the menu file to save.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;menuMan.getMenuFile()   </code></pre><p>This method returns the file name of the currently loaded and active menu file.</p>\n\
<h2 id=\"finding-menus\">Finding Menus</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;menuMan.findMenu &lt;string&gt;menuName </code></pre><p>This method will return a pointer to a menu based on its name. Returns a <a href=\"./../U-V-W-X-Y-Z/Interface-UIAccessor.html\">menu MixinInterface</a> to the menu or <code>undefined</code> if the menu was not found.</p>\n\
<p><code>&lt;string&gt;menuName:</code> The name of the menu to return.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;menuMan.findQuadMenu &lt;string&gt;menuName </code></pre><p>This method will return a pointer to a quad menu based on its name. Returns a <a href=\"#mixin-interface--menuman-getquadmenu-----\">quadMenu MixinInterface</a> to the quad menu or <code>undefined</code> if the menu was not found.</p>\n\
<p><code>&lt;string&gt;menuName:</code> The name of the menu to return.</p>\n\
<h2 id=\"querying-menu-count\">Querying Menu Count</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;menuMan.numMenus() </code></pre><p>Returns the total number of menus in registered with the menu manager.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;menuMan.numQuadMenus() </code></pre><p>Returns the total number of quad menus registered with the menu manager.</p>\n\
<h2 id=\"getting-menus\">Getting Menus</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;menuMan.getMenu &lt;index&gt;index </code></pre><p>Retrieves the indexed menu in the menu manager. This is a 1-based index. Returns a <a href=\"Interface-menuMan.html\">menu MixinInterface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;menuMan.getQuadMenu &lt;index&gt;index </code></pre><p>Retrieves the indexed quad menu in the menu manager. This is a 1-based index. Returns a <a href=\"#mixin-interface--menuman-getquadmenu-----\">quadMenu MixinInterface</a>.</p>\n\
<h2 id=\"creating-menus\">Creating Menus</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;menuMan.createMenu &lt;string&gt;name </code></pre><p>This method creates a new, empty menu with the given name and returns a <a href=\"./../U-V-W-X-Y-Z/Interface-UIAccessor.html\">menu MixinInterface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;menuMan.createQuadMenu &lt;string&gt;name &lt;string&gt;quad1Name &lt;string&gt;quad2Name &lt;string&gt;quad3Name &lt;string&gt;quad4Name </code></pre><p>This method creates a new, empty quad menu. It contains 4 empty menus, one for each quad. Returns a <a href=\"#mixin-interface--menuman-getquadmenu-----\">quadMenu MixinInterface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;menuMan.createSubMenuItem &lt;string&gt;name &lt;Interface&gt;subMenu </code></pre><p>This method creates a new sub-menu item that can be added to a menu. It uses the given &quot;name&quot; and it displays the given sub-menu. Returns a <a href=\"Interface-menuMan.html\">MenuItem MixinInterface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;menuMan.createSeparatorItem() </code></pre><p>This creates a new menu separator that can be added to a menu. Returns a <a href=\"Interface-menuMan.html\">MenuItem MixinInterface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;menuMan.createActionItem &lt;string&gt;macroScriptName &lt;string&gt;macroScriptCategory </code></pre><p>This method creates a new menu item that can be added to a menu. The item is an action that executes the macro script with the given name and category. The <code>macroScriptCategory</code> argument is the macroScript&apos;s <code>internalCategory</code> if it is defined, or the <code>category</code> if not. Returns a <a href=\"Interface-menuMan.html\">MenuItem MixinInterface</a> when successful, or &quot;undefined&quot; if there is no macroScript with the given name and <code>internalCategory</code> or <code>category</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;menuMan.createMenuItemFromAction &lt;string&gt;group &lt;string&gt;action category:&lt;string&gt; </code></pre><p>category default value: undefined</p>\n\
<p>This method creates a new menu item from an action and returns a <a href=\"./../U-V-W-X-Y-Z/Interface-UIAccessor.html\">menu MixinInterface</a>.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<h2 id=\"viewport-right-click-menus\">Viewport Right Click Menus</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;menuMan.setViewportRightClickMenu &lt;enum&gt;which &lt;Interface&gt;menu \n\
\n\
which enums: {#nonePressed | #shiftPressed | #altPressed | #controlPressed | #shiftAndAltPressed | #shiftAndControlPressed | #controlAndAltPressed | #shiftAndAltAndControlPressed}           </code></pre><p>This method method allows you to set the viewport right-click menu to the specified quad menu. Returns <code>true</code> if it was set successfully.</p>\n\
<p><code>&lt;enum&gt;which :</code> See the List of Right-Click Contexts above.</p>\n\
<p><code>&lt;Interface&gt;menu:</code> A pointer to the quad menu you wish to set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;menuMan.getViewportRightClickMenu &lt;enum&gt;which \n\
\n\
which enums: {#nonePressed | #shiftPressed | #altPressed | #controlPressed | #shiftAndAltPressed | #shiftAndControlPressed | #controlAndAltPressed | #shiftAndAltAndControlPressed}</code></pre><p>This method returns a <a href=\"#mixin-interface--menuman-getquadmenu-----\">quadMenu MixinInterface</a> to the current viewport right-click quad menu.</p>\n\
<p><code>&lt;enum&gt;which:</code> See the List of Right-Click Contexts.</p>\n\
<h2 id=\"main-menu-bar\">Main Menu Bar</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;menuMan.getMainMenuBar() </code></pre><p>This method returns a <a href=\"./../U-V-W-X-Y-Z/Interface-UIAccessor.html\">menu MixinInterface</a> to the main menu bar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;menuMan.setMainMenuBar &lt;Interface&gt;menu </code></pre><p>This method allows you to set the main menu bar. Returns <code>true</code> if it was set successfully.</p>\n\
<p><code>&lt;Interface&gt;menu:</code> A <a href=\"./../U-V-W-X-Y-Z/Interface-UIAccessor.html\">menu MixinInterface</a> to the menu you wish to set as the main menu bar.</p>\n\
<h2 id=\"quadmenu-settings\">QuadMenu Settings</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;menuMan.getShowAllQuads &lt;Interface&gt;quadMenu </code></pre><p>This method checks if the &quot;Show All Quads&quot; flag is set for a specific QuadMenu. This method will return <code>true</code> if the flag is set or <code>false</code> if the flag is not set.</p>\n\
<p><code>&lt;Interface&gt;quadMenu:</code> A <a href=\"#mixin-interface--menuman-getquadmenu-----\">quadMenu MixinInterface</a> to the QuadMenu you wish to check the flag for.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;menuMan.setShowAllQuads &lt;Interface&gt;quadMenu &lt;boolean&gt;value </code></pre><p>This method sets the &quot;Show All Quads&quot; flag for a specific QuadMenu.</p>\n\
<p><code>&lt;Interface&gt;quadMenu :</code> A <a href=\"#mixin-interface--menuman-getquadmenu-----\">quadMenu MixinInterface</a> to the QuadMenu you wish to set the flag for.</p>\n\
<p><code>&lt;boolean&gt;</code>value: True`` to set the flag to on, <code>false</code> to set the flag off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;menuMan.getQuadMenuName &lt;Interface&gt;quadMenu </code></pre><p>This method returns the name given to a specific QuadMenu as a string.</p>\n\
<p><code>&lt;Interface&gt;quadMenu:</code> A <a href=\"#mixin-interface--menuman-getquadmenu-----\">quadMenu MixinInterface</a> to the QuadMenu for which you wish to retrieve the name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;menuMan.setQuadMenuName &lt;Interface&gt;quadMenu &lt;string&gt;name </code></pre><p>This method allows you to set the name of a specific QuadMenu.</p>\n\
<p><code>&lt;Interface&gt;quadMenu :</code> A <a href=\"#mixin-interface--menuman-getquadmenu-----\">quadMenu MixinInterface</a> to the QuadMenu for which you wish to set the name.</p>\n\
<p><code>&lt;string&gt;name:</code> The string containing the name for the QuadMenu.</p>\n\
<h2 id=\"update-menu\">Update Menu</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;menuMan.updateMenuBar() </code></pre><p>This method can be called to update <strong>3ds Max</strong>&#x2019; main menu bar after adding sub-menu&#x2019;s or menu items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;menuMan.registerMenuContext &lt;integer&gt;contextId </code></pre><p>To add items to <strong>3ds Max</strong>&#x2019;s main menu, the plug-in should check the return value of <code>RegisterMenuContext()</code> , and if it is <code>true</code> , that means that this is the first time it has been registered, and the plug-in can then create new menus, add items to <strong>3ds Max</strong>&#x2019;s main menu and Quad menus.</p>\n\
<h2 id=\"unregistering-menus\">Unregistering Menus</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;menuMan.unRegisterMenu &lt;Interface&gt;menu </code></pre><p>This method allows you to remove a menu form the mananger. Returns <code>false</code> if the menu was not registered, <code>true</code> if successfully unregistered.</p>\n\
<p><code>&lt;Interface&gt;menu:</code> Points to the menu to unregister.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;menuMan.unRegisterQuadMenu &lt;Interface&gt;quadMenu </code></pre><p>This is like &quot;unregisterMenu&quot; but for quad menus.</p>\n\
<h2 id=\"mixin-interface-menuman-getmenu-\">Mixin Interface: menuMan.getMenu(...)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: menu </code></pre><p>The <code>menu</code> [<a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a>] is returned by several methods described earlier on this page.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:menu&gt;.setTitle &lt;string&gt;title </code></pre><p>Sets the menu title to the supplied string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;&amp;string&gt;&lt;MixinInterface:menu&gt;.getTitle() </code></pre><p>Returns the menu title.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:menu&gt;.numItems() </code></pre><p>Returns the number of menu items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;&lt;MixinInterface:menu&gt;.getItem &lt;index&gt;position </code></pre><p>Returns a <a href=\"Interface-menuMan.html\">menuItem MixinInterface</a> to the indexed menu item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:menu&gt;.addItem &lt;Interface&gt;item &lt;index&gt;position </code></pre><p>Adds a new menu item to the menu at the specified position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:menu&gt;.removeItemByPosition &lt;index&gt;position </code></pre><p>Removes the indexed menu item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:menu&gt;.removeItem &lt;Interface&gt;item </code></pre><p>Removes the specified menu item.</p>\n\
<h2 id=\"mixin-interface-menuman-getquadmenu-\">Mixin Interface: menuMan.getQuadMenu(...)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: quadMenu </code></pre><p>The <code>quadMenu</code> [<a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a>] is returned by several methods described earlier on this page.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;&lt;MixinInterface:quadMenu&gt;.getMenu &lt;index&gt;position </code></pre><p>Returns a <a href=\"./../U-V-W-X-Y-Z/Interface-UIAccessor.html\">menu MixinInterface</a> to the indexed menu (1 to 4).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:quadMenu&gt;.trackMenu &lt;boolean&gt;showAllQuads </code></pre><p>When set to <code>true</code> , forces the quadMenu to show all quads.</p>\n\
<h2 id=\"mixin-interface-menuman-createsubmenuitem-\">Mixin Interface: menuMan.createSubMenuItem(...)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: menuItem </code></pre><p>The <code>menuItem</code> [<a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a>] is returned by several methods described earlier on this page.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:menuItem&gt;.setTitle &lt;string&gt;title </code></pre><p>Sets the menu item title to the supplied string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;&amp;string&gt;&lt;MixinInterface:menuItem&gt;.getTitle() </code></pre><p>Returns the menu item title.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:menuItem&gt;.setUseCustomTitle &lt;boolean&gt;value </code></pre><p>When true is supplied, forces the menu item to show the custom title.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:menuItem&gt;.getUseCustomTitle() </code></pre><p>Returns true if custom title is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:menuItem&gt;.setDisplayFlat &lt;boolean&gt;value </code></pre><p>When true is supplied, forces the menu item to be displayed as flat.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:menuItem&gt;.getDisplayFlat() </code></pre><p>Returns true if the menu item is set to display as flat.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:menuItem&gt;.getIsSeparator() </code></pre><p>Returns true if the menu item is a separator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;&lt;MixinInterface:menuItem&gt;.getSubMenu() </code></pre><p>Returns a <a href=\"./../U-V-W-X-Y-Z/Interface-UIAccessor.html\">menu MixinInterface</a> to the sub-menu.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../M.html\">M</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Menu-Manager/Menu-Manager-1.html\">Menu Manager</a></li>\n\
          <li><a class=\"link\" href=\"../P-Q/Interface-quadMenuSettings.html\">Interface: quadMenuSettings</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Menu-Manager/Menu-Manager-1.html\">Menu Manager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";