var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DEF2CDBF-C729-46B9-BC0D-F030E255E3A7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: NetRender</h1></div><p>This Core Interface exposes the Network Rendering to MAXScript.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;NetRender.GetManager()      </code></pre><p>In order to access network rendering through MAXScript, you need to create a manager instance.</p>\n\
<p>The syntax is the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NetRender.GetManager() </code></pre><h2 id=\"mixin-interface-netrender-getmanager-\">Mixin Interface: netRender.getManager()</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: NetManager </code></pre><p>The <code>NetManager</code> <a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a> returned by the <code>NetRender.GetManager</code> method lets you access network rendering through MAXScript.</p>\n\
<p><strong>Properties</strong></p>\n\
<p>The following properties can be used to get information or set certain properties of the manager.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.connected </code></pre><p>Returns <code>true</code> if connected to the manager. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.netStatus </code></pre><p>Returns the status of the manager. Various information about the manager can be gathered through <code>netstatus</code> , see netstatus topic. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.wantControl </code></pre><p>If you have QueueControl and other computers call QueryControl, this indicates whether you want to maintain control, or relinquish it; their call to QueryControl will return whatever you have set for WantControl.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.haveControl </code></pre><p><code>True</code> , if you currently have QueueControl. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.numJobs </code></pre><p>Returns the number of jobs in the queue. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.numServers </code></pre><p>Returns the number of servers. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.numGroups </code></pre><p>Returns the number of groups. Read-only.</p>\n\
<h2 id=\"working-with-the-manager\">Working with the Manager</h2><p><strong>Methods</strong></p>\n\
<p>The following methods can be used to query and or control the manager.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.setCallback &lt;#progress | #message | #update | #managerdown | #queuecontrol | #querycontrol&gt; &lt;somefunction&gt; </code></pre><p>Used to listen to the manager for certain event types that occur during a network render. For each event type, you can call a single function that you define. Each of the six callback types is one type of an event, and you can install a callback for any of these events or none.</p>\n\
<p>You must define the function to take a different number of arguments depending on the event type.</p>\n\
<p>Requires two arguments. They can be:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#progress myprogess </code></pre><p>Called anytime a download/upload is underway including anytime you fetch information about jobs or servers.</p>\n\
<p>Requires a function defined with two integer parameters: &#x2019;r;Total&#x2019; and &#x2019;r;Current&#x2019;. Total is the total amount to transfer and Current is the amount transferred so far.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn myprogress total current = -- Note:  two integer parameters\n\
   format &quot;Progress: completed % out of %\\n&quot; current total\n\
   m.setcallback #progress myprogress -- sets the #progress callback to use myprogress()\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#message mymessage </code></pre><p>Called when the manager has a text message for the user. Requires a function defined with one string parameter which is the message text.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn myNetMessage msg =  -- Note:  one string parameter\n\
   format &quot;Message: %\\n&quot; msg\n\
   m.setcallback #message mymessage -- sets the #message callback to use mymessage()\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#update myupdate </code></pre><p>Called when something has changed like a job started or finished. Lets you know when you need to make GetUpdate calls or other refreshing. Requires a function defined with no parameters.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn myUpdate =\n\
   job.GetUpdate() --example of what you might do\n\
   m.setcallback #update myupdate -- sets the #update callback to use myupdate()\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#managerdown mymanagerdown </code></pre><p>Called when the manager shuts down. Requires a function defined with no parameters.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn myManagerDown =\n\
   format &quot;Manager is dead\\n&quot;\n\
   m.setcallback mymanagerdown  --sets the #managerdown callback to use mymanagerdown()\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#queuecontrol myqueuecontrol </code></pre><p>Called whenever queue control changes. Requires a function defined with no parameters.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn myQueueControl =\n\
   format &quot;Queue control has changed\\n&quot;\n\
   m.setcallback #QueueControl myQueueControl --install the &quot;QueueControl&quot; callback\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#querycontrol myquerycontrol</code></pre><p>Called when you have Queue Control and another computer wants it either through the QueueManager or with the script function <code>&lt;netManager&gt;.QueryControl()</code>. If you want to keep control, set the value <code>&lt;netManager&gt;.WantControl</code> to true, otherwise set it to false. The function must take one argument, which is the name of the machine requesting control. See the function <code>&lt;netManager&gt;.QueueControl()</code> for more information.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn myQueryControl clientName = ( --Note:  one string parameter\n\
    format &quot;The computer % wants queue control&quot; clientName\n\
    m.wantControl = true -- use this to keep queue control\n\
    m.wantControl = false -- use this to release queue control\n\
   )\n\
   m.setcallback #QueryControl myQueryControl -- install the &quot;QueryControl&quot; callback\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.GetCallback &lt;#progress | #message | #update | #managerdown | #queuecontrol | #querycontrol&gt; </code></pre><p>Returns the name of the function used for that particular callback. Returns an empty array if no callback is assigned. Requires one argument, can be:</p>\n\
<p><code>#progress :</code> Called anytime a download/upload is underway, including anytime you fetch information about jobs or servers</p>\n\
<p><code>#message :</code> Called when the manager has a text message for the user</p>\n\
<p><code>#update :</code> Called when something has changed like a job started or finished. Lets you know when you need to make GetUpdate calls or other refreshing.</p>\n\
<p><code>#managerdown :</code> Called when the manager dies</p>\n\
<p><code>#queuecontrol :</code> Called whenever queue control changes</p>\n\
<p><code>#querycontrol :</code> Called when you have Queue Control and another computer wants it</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.connect #manual &lt;manager name&gt;|&lt;manager IP address&gt; [port:&lt;integer&gt;] platform:&lt;enum&gt; </code></pre><p>or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.connect #automatic &lt;subnet mask&gt; [port:&lt;integer&gt;] platform:&lt;enum&gt; </code></pre><p><code>platform</code> enums: { <code>#32|#64|#default</code> }</p>\n\
<p><code>platform</code> default value: <code>#default</code></p>\n\
<p>Establishes a connection to the manager allowing access to job states, server states, editing job settings, and so on.</p>\n\
<p>The optional <code>platform:</code> argument can be used to specify 32 bit or 64 bit platform. The default is based on the platform of the <strong>3ds Max</strong> copy the command is being executed from.</p>\n\
<p>You can either connect to a manager manually by specifying the manager name or ip address of the manager as a string, or automatically by specifying the subnet mask and optional port number.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   m.connect #manual &quot;manager&quot; -- connects to manager of name &quot;manager&quot;\n\
</code></pre><p>   or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   m.connect #manual &quot;192.168.0.1&quot; -- connects to manager of IP 192.168.0.1\n\
</code></pre><p>   or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   m.connect #automatic &quot;255.255.255.0&quot; port:1234\n\
   -- automatically connects to manager on subnet 255.255.255.0 at port 1234\n\
</code></pre><p>   in either case, you can specify the optional port number should the manager be using a non-default port number. Will return true if connection was successful.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.Disconnect() </code></pre><p>Disconnects the connection established with <code>&lt;netManager&gt;.connect.</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.Kill() </code></pre><p>Shuts down the manager. You must have queue control to do this.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.QueryControl &lt;#wait | #dontwait&gt; </code></pre><p>This requires either <code>#wait</code> or <code>#dontWait</code> . The function works as follows:</p>\n\
<p>Nobody has queue control: <code>#dontWait</code> returns <code>true</code> , <code>#wait</code> returns <code>true</code> .</p>\n\
<p>Someone has queue control: <code>#dontwait</code> returns <code>false</code> , <code>#wait</code> prompts the current queue controller.</p>\n\
<p>In the last case, the queue controller gets the QueryControl callback and must indicate if they want control. If that user indicates they want to keep control, then the function returns <code>false</code> . If they will give up control (or the 10 second timeout expires), it returns <code>true</code> . Note that the QueueManager gives a prompt for the user to indicate what they want; in MAXScript, you just get the callback and have to use the <code>wantControl</code> value.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Refer to the callback, &quot; <code>#queuecontrol myqueuecontrol</code> &quot;, found above in <code>&lt;netManager&gt;.setCallback</code> .</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.GetControl() </code></pre><p>Takes control of the queue. Returns <code>true</code> if control was taken. From that moment on, jobs can be submitted, edited, reprioritized, and servers can be removed, until queue control is relinquished.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The current queue controller does not get its <code>QueryControl</code> callback triggered. Instead, they just lose the queue control (unless they also have the queue locked lock). You must always precede a call to <code>GetControl()</code> with a call to <code>QueryControl(true)</code> to ensure that it is OK to do this.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.Lock &lt;true | false&gt; </code></pre><p>Locks out others from getting queue control and if they call <code>QueryControl</code> , it will automatically return <code>false</code> . For example, suppose you got control of the queue through MAXScript using <code>getcontrol()</code> , someone else who has the queuemanager up in readonly mode can request queuecontrol. Setting lock to <code>true</code> will disallow anyone else to take control until you disconnect from the manager, or until you reset the lock to false. Note that the QueueManager always calls QueryControl to check if it can grab the queue.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.SetUpdates &lt;true | false&gt; </code></pre><p>This function&#x2019;s usage resembles the <code>Lock()</code> function in that a boolean value is passed, and you must already have queue control. Setting updates to <code>false</code> will freeze the manager so that it refuses any changes to the queue. It does not affect the callbacks. Fewer Update callbacks will be received as the job queue is not updating. Use this function when submitting large numbers of changes and when you want all the changes to take effect at the same time. This will occur when <code>setUpdates()</code> is called with a <code>true</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.checkoutputvisibility &lt;path&gt; </code></pre><p>Takes one argument, a pathname defined as a string (&quot;c:\\\\temp&quot;). It verifies that the path exists and returns &quot;The system cannot find the path specified. (0x3)&quot; if the path does not exist.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The manager checks this output path relative to itself, not to your local machine. Thus, if you pass &quot;C:\\&quot; and you have not shared your C drive, it will return OK (because the manager checks its own C drive). You must use a network name when calling this function like &quot;\\\\\\mymachine\\\\share\\&quot;. Also, if the parameter does not end in \\, the functions assumes you&apos;re naming a file (not a directory) and checks whether this file could be created. Always include the \\\\ at the end if you are checking whether a directory is accessible.</div>\n\
<h2 id=\"working-with-jobs\">Working with Jobs</h2><p>Various functions and properties can be used to access jobs. You can use the <code>GetJobs()</code> function to retrieve an array of all jobs in the queue. The jobs can be filtered in various ways to return an array based on the filter.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Do not call <code>GetJobs()</code> or <code>GetServers()</code> very often, because these are VERY heavyweight methods.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.getjobs [filter:#suspended | #complete | #waiting | #started | #error | #name | #handle | #index] [key:&lt;name&gt; | &lt;handle&gt; | &lt;index&gt;] </code></pre><p>The latter three filter types require a corresponding key argument. If used without a filter, returns an array of all jobs in queue. If no jobs are in the queue, an empty array will be returned.</p>\n\
<p>filter <code>:#suspended:</code> Returns an array of all suspended jobs. Returns an empty array <code>#()</code> if no jobs are suspended.</p>\n\
<p>filter <code>:#complete:</code> Returns an array of all completed jobs. Returns an empty array <code>#()</code> if no jobs are complete.</p>\n\
<p>filter <code>:#waiting:</code> Returns an array of jobs that are waiting to be rendered or are being rendered. Will return an empty array <code>#()</code> if no jobs are waiting.</p>\n\
<p>filter <code>:#started:</code> Returns an array of jobs that are actually started and being rendered.</p>\n\
<p>filter <code>:#complete:</code> Returns an array of all completed jobs. Returns an empty array <code>#()</code> if no jobs are complete.</p>\n\
<p>filter <code>:#error:</code> Returns an array of all jobs experiencing an error. Returns an empty array <code>#()</code> if no jobs have errors.</p>\n\
<p>filter <code>:#name:</code> Pass a name as the Key argument; Returns an array of all jobs with the given name. Returns an empty array <code>#()</code> if no jobs have that name.</p>\n\
<p>filter <code>:#handle:</code> Pass a handle as the Key argument; the job with that handle will be returned (as an array with one element). Returns an empty array <code>#()</code> if the no job has that handle.</p>\n\
<p>filter <code>:#index:</code> Pass an integer as the Key argument; the job at that index in the queue will be returned (as an array with one element). Returns an empty array <code>#()</code> if the no job exists at that index.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   manager.GetControl() --get queue control\n\
   manager.SetUpdates false --the queue is now frozen\n\
   jobs = manager.GetJobs()\n\
   manager.SetUpdates true --the queue is unfrozen\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>GetJobs()</code> function can return incorrect results if the Queue is changed while the job information is downloading. <code>SetUpdates()</code> is used to guarantee that <code>GetJobs()</code> operates without error.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.SetJobOrder &lt;array&gt; </code></pre><p>Changes the order of the jobs in the queue. The array must contain the same jobs that are contained in the array from <code>.getjobs(),</code> although they can be in different order. You must also have queuecontrol, use <code>.getcontrol()</code> function to take control before setting the job order.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.NewJobfile:&lt;filename&gt; </code></pre><p>Creates a new job instance. It requires a valid max file name (a max file that exists somewhere on the hard drive or the network). Returns a job definition if the file exists, undefined if the file cannot be found.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   job.newJob file:&quot;file.max&quot; --submitting a file\n\
   job.newJob() --submitting the current scene\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Jobs cannot have maps included and render element data will not be available for submitted job, but render elements will process correctly. These problems are resent when submitting a job from a file, but not when submitting the current scene.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.GetUpdate() </code></pre><p>Updates the information about the selected job. Remember this involves a network interaction, so it is a heavyweight operation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.SendUpdate() </code></pre><p>Updates the job in the queue with new job settings. Must have queuecontrol. Use <code>&lt;netManager&gt;.getcontrol()</code> to get queue control. Remember this involves a network interaction, so it is a heavyweight operation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.Submit() Servers:&lt;array&gt; </code></pre><p>Submits a new job to be rendered to the queue. Must have queuecontrol. Use <code>&lt;netManager&gt;.getcontrol()</code> to get queue control. If no servers are provided, then all servers will be assigned to the job.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.Suspend() </code></pre><p>Suspends the selected job. Must have queuecontrol. Use <code>&lt;netManager&gt;.getcontrol()</code> to get queue control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.Resume() </code></pre><p>Will cause the job to resume where it left off when it was suspended. Must have queuecontrol. Use <code>&lt;netManager&gt;.getcontrol()</code> to get queue control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.Restart() </code></pre><p>Will restart the job from the beginning. Must have queuecontrol. Use <code>&lt;netManager&gt;.getcontrol()</code> to get queue control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.Delete() </code></pre><p>Will delete the job from the queue. Must have queuecontrol. Use <code>&lt;netManager&gt;.getcontrol()</code> to get queue control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.AssignServer &lt;server&gt; </code></pre><p>Assigns a selected server to the job. Must have queuecontrol. Use <code>&lt;netManager&gt;.getcontrol()</code> to get queue control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.SuspendServer &lt;server&gt; </code></pre><p>Removes a server from the selected job. Must have queuecontrol. Use <code>&lt;netManager&gt;.getcontrol()</code> to get queue control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.GetServerInfo &lt;integer&gt; </code></pre><p>Gets information about a particular server assigned to the job. Requires a server number, 1 based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.nonconcurrentDriver </code></pre><p>Returns <code>true</code> if the output cannot be rendered one frame at a time (like an .MOV file). Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.uninterruptibleDriver </code></pre><p>Returns <code>true</code> if the render cannot be resumed after it is interrupted or suspended.</p>\n\
<p>For example, you cannot render half of an .AVI file, then finish it later. You need to render the whole thing without interruption. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.GetCameras() </code></pre><p>Returns an array of cameras in the scene. An empty array <code>#()</code> is returned if no cameras are in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.GetLog() start:x numLines:y </code></pre><p>Returns the log for the job as text. The &apos;start&apos; and &apos;numLines&apos; parameters are optional. If you pass no parameters, you get the entire log. If you only pass start, you get every line starting from the given line. If you pass only numLines, then start is assumed to be 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.GetServerStatusText &lt;server&gt; </code></pre><p>Returns any messages from the chosen server assigned to the job. Will return an empty string if no messages from the server. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.numServers </code></pre><p>Returns the number of servers assigned to the job. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.state </code></pre><p>Returns the state of the job. This can be <code>#complete, #suspended, #busy</code> or <code>#waiting</code> . Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.serverPID </code></pre><p>This function gives low-level information that is intended for internal-use-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.handle </code></pre><p>Returns the job&#x2019;s handle. Read-only.</p>\n\
<p>Many of the following values are read-write, but changes you make to these values will not register with the manager until you call <code>&lt;job&gt;.SendUpdate().</code></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <strong>SendUpdate</strong> requires queue control (obtained using <code>&lt;NetManager&gt;getControl</code>).</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.name </code></pre><p>Returns the name of the job. The name can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.filesize </code></pre><p>Returns the job&#x2019;s file size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.filesizeExtracted </code></pre><p>Returns the job&#x2019;s extracted file size. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.timeSubmitted </code></pre><p>Returns the time at which the job was submitted as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.timeStarted </code></pre><p>Returns the time at which the job was started as a string. Returns undefined if the job has not started. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.timeFinished </code></pre><p>Returns the time at which the job was finished as a sting. Returns undefined if the job has not finished. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.notifications </code></pre><p>Returns true if notifications are on. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.notifyFailure </code></pre><p>Returns true if notified of failures. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.notifyProgress </code></pre><p>Returns true if notified of progress. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.notifyCompletion </code></pre><p>Returns true if notified of progress is on. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.notifyFrameInterval </code></pre><p>Returns an interval at which notifications occur. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.fromFrame </code></pre><p>Returns the rendering start frame. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.toFrame </code></pre><p>Returns the rendering end frame. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.nthFrame </code></pre><p>Returns the rendering frame interval. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.outputWidth </code></pre><p>Returns the width of the rendered frame. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.outputHeight </code></pre><p>Returns the height of the rendered frame. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.numFramesComplete </code></pre><p>The number of completed frames for the job. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.priority </code></pre><p>Returns the job priority.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.videoPost </code></pre><p>Returns <code>true</code> if there is a video post sequence. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.includeMaps </code></pre><p>Returns <code>true</code> if the job was submitted with include maps on. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.skipRenderedFrames </code></pre><p>Returns <code>true</code> if skip rendered frames was set to on when job was submitted. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.useAllServers </code></pre><p>Returns <code>true</code> if use all servers was set to on when job was submitted. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.suspended </code></pre><p>Returns <code>true</code> if the job is suspended. Read-only. To suspend the job use <code>&lt;job&gt;.suspend().</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.finished </code></pre><p>Returns <code>true</code> if the job is finished. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.ignoreShare </code></pre><p>Returns <code>true</code> if the job was submitted with ignore share on. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.skipOutputTest </code></pre><p>Returns <code>true</code> if the job was submitted with skip output test on. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.nonSeqFrames </code></pre><p>Returns <code>true</code> if the job was submitted to render non sequential frames. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.combustionJob </code></pre><p>Returns <code>false</code> if the job is a max job. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.uncompressedFile </code></pre><p>Returns <code>false</code> if the job file is compressed. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.gammaCorrection </code></pre><p>Returns <code>true</code> if the job was submitted with gamma correction on. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.gammaValueIn </code></pre><p>Returns a float value of the incoming gamma value. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.gammaValueOut </code></pre><p>Returns a float value of the outgoing gamma value. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.renderPixelAspect </code></pre><p>Returns a float value of the render pixel aspect ratio. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.renderCamera </code></pre><p>Returns a string with the name of the camera view being rendered. Will return an empty string if the view being rendered is a non camera view (perspective, front, user, and others). Can be changed. Use <code>&lt;job&gt;.getcameras()</code> function to get a list of valid cameras in the scene to change to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.renderElements </code></pre><p>Returns <code>true</code> if a job was submitted with the render elements active. Note that this will return true even if there are no elements to be rendered. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.numSceneObjects </code></pre><p>Returns the number of objects in the scene as an integer. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.numSceneFaces </code></pre><p>Returns the number of faces in the scene as an integer. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.numSceneLights </code></pre><p>Returns the number of lights in the scene as an integer. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.sceneStartTime </code></pre><p>Returns the scene start time in frames, so if your scene is set to use MM:SS:Ticks, this will still return a value in frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.sceneEndTime </code></pre><p>Returns the scene end time in frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.videoColorCheck </code></pre><p>Returns <code>true</code> if the job was submitted with videocolorcheck on. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.force2Sided </code></pre><p>Returns <code>true</code> if the job was submitted with force 2 sided on. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.renderHiddenObjects </code></pre><p>Returns <code>true</code> if the job was submitted with render hidden objects on. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.renderAtmosphericEffects </code></pre><p>Returns <code>true</code> if the job was submitted with render atmospheric effects on. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.superBlack </code></pre><p>Returns <code>true</code> if the job was submitted with superblack on. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.serialNumbering </code></pre><p>Returns <code>true</code> if the nth serial numbering on this property is accessible through the preferences \\ rendering dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.ditherPaletted </code></pre><p>Returns <code>true</code> if Dither Paletted was enabled when the job was submitted. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.ditherTrueColor </code></pre><p>Returns <code>true</code> if Dither True Color was enabled when the job was submitted. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.renderFields </code></pre><p>Returns <code>true</code> if Render Fields was enabled when the job was submitted. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.renderDisplacements </code></pre><p>Returns <code>true</code> if displacements was enabled when the job was submitted. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.renderEffects </code></pre><p>Returns <code>true</code> if render effects was enabled when the job was submitted. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.fieldOrder </code></pre><p>Returns either <code>#odd</code> or <code>#even</code> depending on what the field order was set to when job was submitted. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.numRenderElements </code></pre><p>Returns the number of render elements in the scene. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.userName </code></pre><p>Returns the name of the user that submitted the job as a string. Note that if a job is submitted through MAXScript using <code>&lt;job&gt;.submit()</code> , and the max file was last saved by another user on a different computer, the username will be that of the other user. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.computerName </code></pre><p>Returns the name of the computer from which the job was submitted as a string. Note that if a job is submitted through MAXScript using <code>&lt;job&gt;.submit()</code> , and the max file was last saved by another user on a different computer, the computer name will be that of the computer on which the max file was last saved. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.managerShare </code></pre><p>Returns the shared folder as a string where all jobs are stored on the manager.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.frames </code></pre><p>Returns a string of frames to render ( <code>&quot;1,3,5-12&quot;</code> ). Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.frameOutputName </code></pre><p>Returns the name and path of the output file. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.frameOutputGamma </code></pre><p>Returns the output gamma of the rendered frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.frameOutputDevice </code></pre><p>Returns the device name if a device is specified at render time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.numFrames </code></pre><h2 id=\"accessing-render-element-information\">Accessing Render Element Information</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.GetRenderElement &lt;index&gt; </code></pre><p>Returns information as a data structure about the nth element. The <code>&lt;element&gt;</code> structure is defined below. Returns <code>undefined</code> if no element is at the index number, for example, <code>el = jobs\\[1\\].getrenderelement</code> 1 -- retrieves the 1st element in the 1st job in the queue. With this you can find out if the element is enabled, if filtering is enabled, if atmosphere is applied, if shadows are applied, the element name, and the element output filename. The following are the properties that are valid for an element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;element&gt;.enabled </code></pre><p>Returns <code>true</code> if the element is enabled. Can also set its state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;element&gt;.filterEnabled </code></pre><p>Returns <code>true</code> if filtering is enabled. Can also set its state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;element&gt;.atmosphereApplied </code></pre><p>Returns <code>true</code> if atmosphere is applied. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;element&gt;.shadowsApplied </code></pre><p>Returns <code>true</code> if shadows are applied. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;element&gt;.name </code></pre><p>Returns the elements name. Name can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;element&gt;.output </code></pre><p>Returns the element&#x2019;s output file name. Output name and path can be changed. However, changing the filetype will change the extension of the image, but not the actual file type. For example, the current output returned is <code>&quot;\\\\\\ej4sf\\\\frames\\\\foo_diffuse.tga&quot;</code> and changing the extension to .bmp will just result in the tga file having a .bmp extension instead of the .tga extension.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.SetRenderElement &lt;index&gt; &lt;element&gt; </code></pre><p>Sets the selected render element to the new values assigned to the element. In order for the change to take effect in the job, you need to do a <code>&lt;job&gt;.sendupdate()</code> to update the job itself in the queue.</p>\n\
<h2 id=\"accessing-frame-information\">Accessing Frame Information</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;job&gt;.GetFrameInfo &lt;integer&gt; </code></pre><p>Returns information, as a data structure, about the nth frame. The index is 1 based. The <code>&lt;frame&gt;</code> structure is defined below.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fr = getframeinfo 4 -- Returns info about the 4th frame. Read-only.\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;frame&gt;.state </code></pre><p>Returns the state of the frame. The state can be <code>#waiting</code> , <code>#assigned</code> , or <code>#complete</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;frame&gt;.index </code></pre><p>Returns the actual frame number. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;frame&gt;.serverhandle </code></pre><p>Returns the serverhandle. Must return undefined when frame has not been rendered yet. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;frame&gt;.servername </code></pre><p>Returns the name of the server that is assigned to that frame. Must return undefined if the frame is not assigned yet. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;frame&gt;.elapsedtime </code></pre><p>Returns the time it took for the frame to render. Must return undefined if the frame is not assigned yet. Read-only.</p>\n\
<h2 id=\"working-with-servers\">Working with Servers</h2><p>Various functions and properties can be used to access rendering servers. You can use the <code>getservers()</code> function to retrieve an array of all servers managed by the manager. The servers can be filtered in various ways to return an array based on the filter.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Do not call <code>GetJobs()</code> or <code>GetServers()</code> very often, because these are VERY heavyweight methods!</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.GetServers [filter:#idle | #busy | #absent | #suspended | #error | #group | #job | #handle | #index] [key:&lt;string&gt; | &lt;integer&gt; | &lt;job&gt; ] </code></pre><p>If used without a filter, <code>GetServers</code> () will return an array of all servers managed by the manager. If there are no servers, the function will return an empty array.</p>\n\
<p><code>filter:#idle:</code> Returns an array of all idle servers</p>\n\
<p><code>filter:#busy:</code> Returns an array of all servers that are busy rendering a job</p>\n\
<p><code>filter:#absent:</code> Returns an array of all servers that are absent (that were connected to the manager at one point, but that are either down or the server service or serverapp is not running on it).</p>\n\
<p><code>filter:#suspended:</code> Returns an array of all suspended servers</p>\n\
<p><code>filter:#error:</code> Returns an array of all servers experiencing an error</p>\n\
<p><code>filter:#group:</code> Returns an array of servers in a group. Requires that the key option is used, the key can be a group name as a string, or a group number as an integer (1 based). An empty array is returned if no groups are defined.</p>\n\
<p><code>filter:#job:</code> Returns an array of servers that are assigned to the specified job. Requires that the key option be used. The key must be a job definition.</p>\n\
<p><code>filter:#handle:</code> Returns the server with a given handle (as an array with one item). Requires that the key option be used. The key must be a server handle.</p>\n\
<p><code>filter:#index:</code> Returns the server at a given index in the server list (as an array with one item). Requires that the key option be used. The key must be an integer (the index).</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   server = m.getservers()\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.GetUpdate() </code></pre><p>Gets an update on the state of the server. Returns Ok if successful.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.SendUpdate() </code></pre><p>Updates the server with new settings. Must have queuecontrol.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.Delete() </code></pre><p>Deletes the server from the manager. Must have queuecontrol.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.ResetPerformance() </code></pre><p>Resets the performance metric to 0.0. Must have queuecontrol and must do <code>&lt;server&gt;.sendupdate()</code> to update the server.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.netStatus </code></pre><p>Netstatus</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.handle </code></pre><p>Returns the server&#x2019;s handle. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.state </code></pre><p>Returns the state of the server. This can be #idle, #absent, or #busy.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.name </code></pre><p>Returns the name of the server. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.totalFrames </code></pre><p>Returns the total number of frames rendered by the server. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.totalTime </code></pre><p>Returns the total time that the server has been up. The value returned is in hours.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.performance </code></pre><p>Returns the performance index of the server. Read-only</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.AttendedPriority </code></pre><p>Returns the priority, as an integer, of the server when the user is logged in.</p>\n\
<p>0: high priority</p>\n\
<p>1: low priority</p>\n\
<p>2: idle.</p>\n\
<p>Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.UnattendedPriority </code></pre><p>Returns the priority level, as an integer, of the server when the system is logged out.</p>\n\
<p>0: high priority</p>\n\
<p>1: low priority</p>\n\
<p>2: idle.</p>\n\
<p>Note that this is only valid if running <code>serversvc</code> and the user is not logged in on the system. If running <code>serversvc</code> and a user is logged in on the system, then the <code>attendedpriority</code> values are in effect. Can be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.schedule </code></pre><p>Returns an array of seven bitarrays. Each bitarray is a day, each bit is an hour, each bit within that bit array means that the server is available at that hour. A bit array of <code>#{1, 3..5, 15..24}</code> means that the server is available from 12 midnight to 1am, from 3am to 5am, and from 3pm to midnight.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.jobHandle </code></pre><p>Returns the handle of the job it is working on. Will return a value of 0 if no job is being worked on by that server.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.jobFrameIndex </code></pre><p>Returns the frame index of the job that the server is working on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;server&gt;.jobFrameTimeStarted </code></pre><p>Returns the time at which the frame being rendered was started.</p>\n\
<h2 id=\"working-with-groups\">Working with Groups</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.SizeofGroup &lt;index&gt; </code></pre><p>Returns the number of servers in the nth group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.GetGroupName&lt;index&gt; </code></pre><p>Returns the name of the nth group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.CreateGroup &lt;array&gt; &lt;string&gt; </code></pre><p>Creates a named group of servers. It takes two arguments: an array of servers and a string to define the group name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;netManager&gt;.DeleteGroup &lt;string&gt; </code></pre><p>Deletes a named group. Takes a string as an argument.</p>\n\
<h2 id=\"netstatus\">Netstatus</h2><p>Both manager and servers have a netstatus property. All properties are read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">system = m.netstatus</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.SpaceOnDisk &lt;index&gt; </code></pre><p>Returns the amount of space in megs on a specified disk. The index is 1 based. Disks 1 and 2 are the a: and b: drives.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Currently, this only returns correct results for one disk, your workdisk (given by <code>.workdisk</code> ). You actually need to pass (workdisk+1).</p>\n\
<p>To maintain compatibility with UNIX/Linux, a NetStatus object will always report exactly 1 disk, which is the work disk. Thus, the <code>NetStatus.SpaceOnDisk()</code> value will not actually be correct, though it is still possible to determine the amount of free space on the working disk (which is the information most users will usually want):</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.numDroppedPackets </code></pre><p>Returns the number of dropped packets.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.numBad </code></pre><p>Returns the number of bad packets.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.numTCPRequests </code></pre><p>Returns the number of TCP requests.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.numUDPRequests </code></pre><p>Returns the number of UDP packets.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.bootTime </code></pre><p>Returns the time at which the system was started.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.memorySize </code></pre><p>Returns the amount of memory of the system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.numProcessors </code></pre><p>Returns the number of processors in the system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.username </code></pre><p>Returns the login name of the user logged in on the computer or the login name used by the service.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.computerName </code></pre><p>Returns the name of the computer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.workdisk </code></pre><p>Returns the disk where max is setup.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Currently broken, always returns the same value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.Disks </code></pre><p>Returns a bitarray of which disks exist (1=A, 2=B, 3=C, and so on) .</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Currently broken.</p>\n\
<p>To maintain compatibility with UNIX/Linux, a NetStatus object will always report exactly 1 disk, which is the work disk. Thus, the <code>NetStatus.Disks()</code> value will not actually be correct, though it is still possible to determine the amount of free space on the working disk (which is the information most users will usually want).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.mac </code></pre><p>Returns the MAC address of the system&#x2019;s network card. If the computer is a network server, this is its handle.</p>\n\
<p><strong>The following properties are no longer supported in 3ds Max 5 and higher because of the introduction of the Backburner technolgy:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.platformID </code></pre><p>In <strong>3ds Max 4</strong>, it returns an integer. A value of 1 indicates win95 and a value of 2 indicates WinNT.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.majorVersion </code></pre><p>In <strong>3ds Max 4</strong>, it returns an integer. When the platformID indicates a WinNT system, a value of 5 or higher here indicates Win2k.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.minorVersion </code></pre><p>In <strong>3ds Max 4</strong>, it returns an integer. Win98 is indicated by a minor build greater than 0 for win95</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.buildNumber </code></pre><p>In <strong>3ds Max 4</strong>, it returns the build number, this only applies to winnt and win2k. Not supported under win95, win98, or win ME.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.CSDVersion </code></pre><p>In <strong>3ds Max 4</strong>, it returns the service pack number of the OS as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;system&gt;.tempDir </code></pre><p>In <strong>3ds Max 4</strong>, it returns the tempdir for the system.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- ESTABLISHING A CONNECTION --\n\
   m = netrender.getmanager() --get a NetManager instance\n\
\n\
   --start this session\n\
   m.connect #manual &quot;nimbus&quot; \n\
   -- OR m.connect #manual &quot;nimbus&quot; port:1234 --specifying a port number\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- QUEUE CONTROL --\n\
   --Get QueueControl using GetControl();\n\
   --there is no way to release control, but if wantControl==false\n\
   --then control will be relinquished to the next client\n\
   --that requests it\n\
   if ( m.QueryControl #wait ) do --only take control if you have permission\n\
   m.getcontrol() --takes queue control\n\
   m.wantControl=true --if another client does QueryControl(), they will get a return value of false\n\
   m.Lock true  --this completely prevents others from getting queue control\n\
   m.Lock false  --others can now get control\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- SUBMITTING JOBS --\n\
   job = m.newjob file:&quot;c:\\\\share\\\\test.max&quot;\n\
   job.suspended = true --jobs can be submitted as suspended\n\
   job.state    --should be unsubmitted\n\
   job.includeMaps = true --turn on &quot;Include Maps&quot;\n\
   srv_list = m.getservers() --get the server list to assign to the job\n\
\n\
   job.submit servers:srv_list --specify which servers to use for the job\n\
   -- job.submit() --this uses all servers for the job\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- GETTING JOBS &amp; SERVER OBJECTS --\n\
   m.SetUpdates false --lock the queue, to make sure nothing changes while you download info\n\
   j = m.getjobs filter:#suspended --an array of NetJob objects; filters are optinal\n\
   s = m.getservers filter:#idle --an array of NetServer objects; filters are optinal\n\
   --see below for other filters... there are many\n\
   m.SetUpdates true --be sure to unlock the queue!\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- WORKING WITH GROUPS --\n\
   m.creategroup s &quot;myGroup&quot;  --takes an array of NetServers and a name\n\
\n\
   num_groups = m.numGroups  --total number of groups\n\
   size_group1 = m.SizeofGroup 1 --number of servers in the first group\n\
   g = m.getservers filter:#group key:1 --an array of the servers for group 1\n\
   g = m.getservers filter:#group key:&quot;myGroup&quot; --an array of the servers for group &quot;myGroup&quot;\n\
   g_name = m.GetGroupName 1  --the name of the first group\n\
   m.deletegroup g_name   --delete a group\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- WORKING WITH JOBS --\n\
   job = j[1]    --pull a job out of the list\n\
\n\
   jHandle = job.handle   --the job&apos;s ID\n\
   p = job.priority   --job&apos;s priority\n\
   if job.nonSeqFrames == True then  frames = job.frames  --one of those &quot;1,3,5-12&quot; frame lists \n\
   else  frames = (job.fromFrame as string) + &quot;-&quot; + (job.toFrame as string) --now frames is &quot;0-100&quot; if 0 and 100 are the start/end frames \n\
   cameraArray = job.GetCameras() --an array of the camera names \n\
   l = job.GetLog    --the entire log, as text \n\
   l = job.GetLog start:4 numLines:2 --gets the 4th and 5th entries of the log   \n\
   statText = job.GetServerStatusText s[1] --text about a server, regarding this job \n\
   num_workers = job.numServers --number of servers on this job \n\
   job.frameOutputName = &quot;d:\\\\blah.bmp&quot; --change the output name \n\
   isDevice = job.frameOutputDevice  --true if the output is to a device, false otherwise \n\
   share = job.managerShare  --the manager share for this job \n\
   job.filesize    --size of the MAZ file for the job \n\
   job.filesizeextracted  --extracted size of the MAZ file for the job  </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- WORKING WITH SERVERS --\n\
   srv = s[1]    --pull a server out of the list\n\
   sHandle = srv.Handle   --the server&apos;s ID\n\
   sName = srv.name   --the server&apos;s machine name\n\
   speed = srv.performance  --server&apos;s performance index\n\
   srv.ResetPerformance()  --reset the index\n\
   timeUsed = srv.totalTime  --total time spent rendering\n\
   sjHandle = srv.jobHandle  --the handle of the server&apos;s current job, 0 if none\n\
   sjFrameIndex = srv.jobFrameIndex --the index of the frame the server is rendering\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --PRACTICAL EXAMPLE; get info about the frame being rendered\n\
   sjHandle = srv.jobHandle\n\
   sjIndex = srv.jobFrameIndex\n\
   sJobs = m.getJobs filter:job key:sjHandle --should be an array with one entry\n\
   frameInfo = (sJobs[1].getFrameInfo sjIndex) --get info about the current frame\n\
   frameTime = frameInfo.elapsedTime\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- UPDATES FROM MANAGER --\n\
   --Jobs and Servers support GetUpdate and SendUpdate functions,\n\
   -- for synchronizing with the manager\n\
   job.status  --should be busy\n\
\n\
   job.Suspend()\n\
   job.status  --still says busy (status value is stale)\n\
   job.GetUpdate() --download the latest news\n\
   job.status  --now says suspended\n\
   s[1].GetUpdate() --servers also have Get/SendUpdate\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- CALLBACKS --\n\
   -- These are used to listen for messages from the manager,\n\
   -- They are functions you can define, that will get called when\n\
   -- the manager has something to say\n\
\n\
   -- There are 6 possible callbacks\n\
   -- Note:  you can name these functions anything you want, but they must have correct paramters\n\
\n\
   --NETPROGRESS CALLBACK; Called anytime a download/upload is underway,\n\
   -- including anytime you fetch information about jobs or servers\n\
   fn myNetProgress total current = --Note:  two integer parameters\n\
   format &quot;Progress: completed % out of %\\n&quot; current total\n\
\n\
   --NETMESSAGE CALLBACK; Called when the manager has a text message for the user\n\
   fn myNetMessage msg = --Note:  one string parameter\n\
    format &quot;Message: %\\n&quot; msg\n\
\n\
   --UPDATE CALLBACK; Called when something has changed, like a job started or finished\n\
\n\
   -- Let&apos;s you know when you need to make GetUpdate calls, or other refreshing\n\
   fn myUpdate =\n\
   job.GetUpdate() --example of what you might do\n\
\n\
   --MANAGERDOWN CALLBACK; Called when the manager dies\n\
   fn myManagerDown =\n\
   format &quot;Manager is dead\\n&quot;\n\
\n\
   --QUEUECONTROL CALLBACK; Called whenever queue control changes\n\
   fn myQueueControl =\n\
   format &quot;Queue control has changed\\n&quot;\n\
\n\
   --QUERYCONTROL CALLBACK; Called when you have Queue Control, and another computer wants it\n\
\n\
   fn myQueryControl clientName = (  --Note:  one string parameter\n\
       format &quot;The computer % wants queue control&quot; clientName\n\
       m.wantControl = true -- use this to keep queue control\n\
       m.wantControl = false -- use this to release queue control\n\
   )\n\
\n\
   --INSTALLING THE CALLBACKS; after you define the functions, you must give them to the\n\
   -- manager as follows\n\
   --Note:  only one callback of each type is allowed (e.g., you can&apos;t have two &quot;Update&quot; callbacks)\n\
   m.setcallback #Progress myNetProgress --install the &quot;Progress&quot; callback\n\
\n\
   m.setcallback #Message myNetMessage --install the &quot;Message&quot; callback\n\
   m.setcallback #Update myUpdate --install the &quot;Update&quot; callback\n\
   m.setcallback #ManagerDown myManagerDown --install the &quot;ManagerDown&quot; callback\n\
   m.setcallback #QueueControl myQueueControl --install the &quot;QueueControl&quot; callback\n\
   m.setcallback #QueryControl myQueryControl --install the &quot;QueryControl&quot; callback\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- NETSTATUS OBJECTS --\n\
   --Read-only information about a computer on the network\n\
\n\
   stat = s[1].netStatus --get network info about server 1\n\
   stat.boottime   --make a query\n\
   stat.Disks   --\n\
   d = stat.workDisk  --which is the disk for net-rendering work?\n\
   stat.SpaceOnDisk d  --megabytes of free space on the workdisk\n\
   stat.memorySize  --computer&apos;s memory in bytes (note: 1 meg = 1048576 bytes)\n\
   s[1].GetUpdate()  --this refreshes the netStatus object\n\
\n\
   stat = m.netStatus  --manager also has a NetStatus\n\
   --Note:  Manager has no GetUpdate(), you must fetch the NetStatus again to see any changes\n\
\n\
   --To print out the operating system on the machine...\n\
   --Win95 has a platformID of 1; WinNT has a platformID of 2\n\
   --Win2K is indicated by a majorBuild of 5 or more for WinNT\n\
   --Win98 is indicated by a minorBuild greater than 0 for Win95.\n\
   -- Also, build number and the CSDVersion string are not supported by Win95/98\n\
   format &quot;Windows %.%, Build %, %\\n&quot; \\\n\
   stat.majorVersion stat.minorVersion stat.buildNumber stat.CSDVersion\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- JOBFRAME OBJECTS --\n\
   num_frames = job.numFrames()\n\
\n\
   frame = job.getFrameInfo 1 --get info about the 1st frame\n\
   elapsed_time = frame.ElapsedTime --amount of time frame has been rendering\n\
\n\
   num_rendElems = job.numRenderElements() --number of render elements for render\n\
   if num_rendElems&gt;0 do (\n\
       rendElem = job.GetRenderElement 1 --pass the index of the element\n\
       rendElem.enabled = false   --turn off the rend element\n\
       job.SetRenderElement 1 rendElem  --update the job with the new changes\n\
       job.SendUpdate()     --upload the changes\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- JOBSERVER OBJECTS --\n\
   --Read-only information about a server, in relation to a particular job\n\
   j_num_servers = j[1].numServers  --how many servers does the job have?\n\
   js = j[1].GetServerInfo 1   --info about the job&apos;s first server\n\
   sh = js.serverHandle    --what&apos;s the server&apos;s handle?\n\
   sn = js.serverName    --what&apos;s the server&apos;s name?\n\
   isWorker = js.active    --whether this server participates in this job\n\
   js_state = js.state    --is the server busy with the job? has an error? etc\n\
\n\
   --Print out some stats\n\
   format &quot;rendering frame %, completed %, total time % hours\\n&quot; \\\n\
   js.currentFrame js.numFramesComplete js.elapsedTime\n\
\n\
   --ways to get more info about this server...\n\
   jSrv = m.GetServers filter:#handle key:sh --get the actual server object\n\
   statText = j[1].GetServerStatusText jSrv[1] --text info from the server about this job\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- RENDERELEMENT OBJECTS --\n\
   --Information about particular render elements for a job\n\
   n = j[1].numRenderElements    --how many render elements for this job?\n\
\n\
   re = j[1].GetRenderElement 1   --get the first one\n\
   re.enabled = false      --disable it\n\
   re.filterEnabled = false    --disable filtering\n\
   re.name = &quot;newName&quot;      --change its name\n\
   useShadows = re.shadowsApplied   --are shadows applied? (read-only)\n\
   useShadows = re.atmosphereApplied  --are atmospherics applied (read-only)\n\
   re.output = &quot;C:\\\\share\\\\rendElem1.bmp&quot; --change its output path &amp; name\n\
   j[1].SetRenderElement 1 re    --update the job with the new changes\n\
\n\
   j[1].SendUpdate       --upload the changes\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- WEEKLY SCHEDULES --\n\
   -- a servers&apos; weekly schedule is an array of seven BitArrays;\n\
   -- Each bitArray is a day, each bit is an hour\n\
   sched = s[1].schedule\n\
   sched[1][11] = false --sunday 11am, the server will not work\n\
   sched[1][12] = false  -- same for sunday noon\n\
   s[1].attendedPriority = 60  --set the priorities for the server&apos;s schedule\n\
   s[1].unattendedPriority = 10\n\
   s[1].schedule = sched --set the new schedule\n\
   s[1].schedule    --printout to prove the change worked\n\
   s[1].SendUpdate()  --upload the changes to this server\n\
   --Note:  a Schedule is just a BitArray and has no GetUpdate,\n\
   --you must fetch it again from the server to see any changes\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- MISCELANEOUS FUNCTIONS --\n\
   jobList = #( j[3], j[1], j[2] ) --make an array of some jobs\n\
   m.SetJobOrder jobList  --rearrange the jobs; e.g. j[3] is now the first in the queue\n\
   mName = (m.netStatus).computerName --the machine name of the manager\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- JOB &amp; SERVER FILTERS --\n\
   jobServers = m.getservers filter:#Job key:j[1]\n\
   groupServers = m.getservers filter:#group key:&quot;Clouds&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- ENDING THE SEESION --\n\
   m.wantControl=true --other clients can now get QueueControl\n\
\n\
   m.disconnect()  --end this session\n\
   -- m.kill()  --brings down the manager, (would need queue control)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../N-O.html\">N,O</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";