var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0AEAB821-E2BD-48FE-B9C1-1BC23DDC7039\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: nodeSelectionSet</h1></div><p>The <strong>nodeSelectionSet Core Interface</strong> provides methods for querying the current node selection to determine the state of the display and render UI controls. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nodeSelectionSet.getDisplayPropState &lt;enum&gt;propID &lt;enum&gt;condition \n\
\n\
    propID enums: {#DisplayProp_Transparent | #DisplayProp_Bone | #DisplayProp_FrozenWithMaterial | \n\
        #DisplayProp_Hidden | #DisplayProp_Frozen | #DisplayProp_Box | #DisplayProp_BackfaceCull | \n\
        #DisplayProp_AllEdges | #DisplayProp_BoneOnly | #DisplayProp_BoneAsLine | #DisplayProp_ShowTrajectory | \n\
        #DisplayProp_VertexTicks | #DisplayProp_IgnoreExtents | #DisplayProp_XRay} \n\
\n\
    condition enums: {#Cond_AnyChecked | #Cond_AnyUnchecked | #Cond_Indeterminate | #Cond_Enabled}\n\
\n\
\n\
</code></pre><p>Returns True if the Display Property specified by the propID enum argument has the state specified by the condition emum argument, otherwise returns False.</p>\n\
<p>A valid scene selection is required for this method to return a meaningful result, if the selection is empty, a value of False will be returned.</p>\n\
<p><code>#Cond_AnyChecked</code> will return True if the specified Display property is checked in at least one of the selected objects, and False if all objects have the property unchecked.</p>\n\
<p><code>#Cond_AnyUnchecked</code> will return True if the specified Display property is unchecked in at least one of the selected objects, and False if all objects have the property checked.</p>\n\
<p><code>#Cond_Indeterminate</code> will return True if at least one object has the specified Display property in a different state than the other objects, and False if all objects have the same state, regardless of whether it is checked or unchecked.</p>\n\
<p><code>#Cond_Enabled</code> will return True if the checkbox is enabled and can be set using the mouse, or False if the property cannot be set interactively because the current selection does not support setting this property for all objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nodeSelectionSet.setDisplayPropState &lt;enum&gt;propID &lt;boolean&gt;val \n\
\n\
    propID enums: {#DisplayProp_Transparent | #DisplayProp_Bone | #DisplayProp_FrozenWithMaterial | \n\
        #DisplayProp_Hidden | #DisplayProp_Frozen | #DisplayProp_Box | #DisplayProp_BackfaceCull | \n\
        #DisplayProp_AllEdges | #DisplayProp_BoneOnly | #DisplayProp_BoneAsLine | #DisplayProp_ShowTrajectory | \n\
        #DisplayProp_VertexTicks | #DisplayProp_IgnoreExtents | #DisplayProp_XRay}\n\
\n\
\n\
</code></pre><p>Sets the state of the Display Property specified by the first argument to the Boolean state given by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nodeSelectionSet.getRenderPropState &lt;enum&gt;propID &lt;enum&gt;condition \n\
\n\
    propID enums: {#RenderProp_Renderable | #RenderProp_CastShadows | #RenderProp_ReceiveShadows | \n\
        #RenderProp_MotionBlur | #RenderProp_DisplayTexture | #RenderProp_InheritVisibility | #RenderProp_ColorVerts | \n\
        #RenderProp_ShadeColorVerts | #RenderProp_VelocityMotionBlur | #RenderProp_RenderOccluded | #RenderProp_CastCaustic | \n\
        #RenderProp_ReceiveCaustics | #RenderProp_ApplyAtmospherics | #RenderProp_CastGlobalIllumination | \n\
        #RenderProp_ReceiveGlobalIllumination | #RenderProp_InvisibleToCamera | #RenderProp_InvisibleToReflections} \n\
\n\
    condition enums: {#Cond_AnyChecked | #Cond_AnyUnchecked | #Cond_Indeterminate | #Cond_Enabled}\n\
\n\
\n\
</code></pre><p>Returns True if the Render Property specified by the propID enum argument has the state specified by the condition emum argument, otherwise returns False.</p>\n\
<p>A valid scene selection is required for this method to return a meaningful result, if the selection is empty, a value of False will be returned.</p>\n\
<p><code>#Cond_AnyChecked</code> will return True if the specified Render Property is checked in at least one of the selected objects, and False if all objects have the property unchecked.</p>\n\
<p><code>#Cond_AnyUnchecked</code> will return True if the specified Render Property is unchecked in at least one of the selected objects, and False if all objects have the property checked.</p>\n\
<p><code>#Cond_Indeterminate</code> will return True if at least one object has the specified Render Property in a different state than the other objects, and False if all objects have the same state, regardless of whether it is checked or unchecked.</p>\n\
<p><code>#Cond_Enabled</code> will return True if the checkbox is enabled and can be set using the mouse, or False if the property cannot be set interactively because the current selection does not support setting this property for all objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nodeSelectionSet.setRenderPropState &lt;enum&gt;propID &lt;boolean&gt;val \n\
\n\
    propID enums: {#RenderProp_Renderable | #RenderProp_CastShadows | #RenderProp_ReceiveShadows | \n\
        #RenderProp_MotionBlur | #RenderProp_DisplayTexture | #RenderProp_InheritVisibility | #RenderProp_ColorVerts | \n\
        #RenderProp_ShadeColorVerts | #RenderProp_VelocityMotionBlur | #RenderProp_RenderOccluded | #RenderProp_CastCaustic | \n\
        #RenderProp_ReceiveCaustics | #RenderProp_ApplyAtmospherics | #RenderProp_CastGlobalIllumination | \n\
        #RenderProp_ReceiveGlobalIllumination | #RenderProp_InvisibleToCamera | #RenderProp_InvisibleToReflections}\n\
\n\
\n\
</code></pre><p>Sets the state of the Render Property specified by the first argument to the Boolean state given by the second argument.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = box()\n\
   --&gt; $Box:Box001 @ [0.000000,0.000000,0.000000]\n\
   c = cylinder pos:[0,100,0]\n\
   --&gt; $Cylinder:Cylinder001 @ [0.000000,100.000000,0.000000]\n\
   s = sphere pos:[100,0,0]\n\
   --&gt; $Sphere:Sphere001 @ [100.000000,0.000000,0.000000]\n\
   b.vertexTicks = c.vertexTicks  = s.vertexTicks  = true\n\
   --&gt;true\n\
   c.boxMode = true\n\
   --&gt;true\n\
\n\
   --Check to see if the Display As Box property is checked in any of the objects:\n\
   nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_AnyChecked\n\
   --&gt;false --because nothing is selected in the scene!\n\
   select #(b,c,s) --select all three objects\n\
   --&gt;OK\n\
   nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_AnyChecked\n\
   --&gt;true --because at least one of them has the Display As Box checked!\n\
   nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_Indeterminate\n\
   --&gt;true --because some are checked and some are not\n\
   nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_AnyUnchecked\n\
   --&gt;true --because two are unchecked\n\
   nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_Enabled\n\
   --&gt;true --because the checkbox is enabled and can be set to another state with the mouse\n\
   c.boxMode = false --let&apos;s turn off the Box mode of the Cylinder \n\
   --&gt;false\n\
   nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_AnyChecked\n\
   --&gt;false --now none of the three objects has the state checked. so we get false\n\
   nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_AnyUnchecked\n\
   --&gt;false --same reason, all are checked!\n\
\n\
   --Now let&apos;s explore the Vertex Ticks display property:\n\
   nodeSelectionSet.getDisplayPropState #DisplayProp_VertexTicks  #Cond_AnyChecked\n\
   --&gt;true --because the Vertex Ticks option of all three objects is checked\n\
   nodeSelectionSet.getDisplayPropState #DisplayProp_VertexTicks  #Cond_Indeterminate\n\
   --&gt;false --the Vertex Ticks of all three objects are checked, so the checkbox is not indeterminate\n\
   nodeSelectionSet.getDisplayPropState #DisplayProp_VertexTicks #Cond_AnyUnchecked\n\
   --&gt;false --the Vertex Ticks of all three objects are checked, ergo none is unchecked!\n\
\n\
   --Now let&apos;s explore the Renderable property:\n\
   nodeSelectionSet.getRenderPropState #RenderProp_Renderable #Cond_AnyChecked \n\
   --true --right now all three objects are renderable\n\
   nodeSelectionSet.getRenderPropState #RenderProp_Renderable #Cond_AnyUnchecked \n\
   --false --so of course none of them has the Renderable property unchecked...\n\
   nodeSelectionSet.getRenderPropState #RenderProp_Renderable  #Cond_Indeterminate\n\
   --false --that&apos;s why the checkbox is not intederminate, it is checked for all three\n\
   s.renderable = false --so let&apos;s uncheck the renderable property of the Sphere\n\
   --&gt;false\n\
   nodeSelectionSet.getRenderPropState #RenderProp_Renderable #Cond_AnyUnchecked \n\
   --true --now there is one property that is unchecked, so we get true as result!\n\
   nodeSelectionSet.getRenderPropState #RenderProp_Renderable  #Cond_Indeterminate\n\
   --true --and of course the checkbox would now be indeterminate\n\
\n\
   --finally, let&apos;s turn off the renderable property of all three objects\n\
   nodeSelectionSet.setRenderPropState #RenderProp_Renderable false \n\
   --&gt;OK\n\
   nodeSelectionSet.getRenderPropState #RenderProp_Renderable #Cond_AnyChecked \n\
   --&gt;false --we successfully unchecked the Renderable property of the current selection!\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../N-O.html\">N,O</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";