var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2BC9CFBF-798F-458C-9BBE-5479E9DE1130\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: nvpx</h1></div><p>The <strong>nvpx Core Interface</strong> exposes the MassFX Physical Simulation system based on nVidia PhysX technology to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#scene-export\">Scene Export</a></li>\n\
<li><a href=\"#world-settings\">World Settings</a></li>\n\
<li><a href=\"#simulation\">Simulation</a></li>\n\
<li><a href=\"#bodies-and-constraints\">Bodies and Constraints</a><ul>\n\
<li><a href=\"#rigid-body-copy-and-paste\">Rigid Body Copy And Paste</a></li>\n\
<li><a href=\"#rigid-body-mesh-access\">Rigid Body Mesh Access</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#node-physical-properties\">Node Physical Properties</a></li>\n\
<li><a href=\"#physical-material-loading-and-saving\">Physical Material Loading and Saving</a></li>\n\
<li><a href=\"#physical-material-access\">Physical Material Access</a></li>\n\
<li><a href=\"#bounding-geometry-creation\">Bounding Geometry Creation</a></li>\n\
<li><a href=\"#sleeping-actors\">Sleeping Actors</a></li>\n\
<li><a href=\"#get-set-parameters\">Get/Set Parameters</a></li>\n\
<li><a href=\"#contacts-report\">Contacts Report</a></li>\n\
<li><a href=\"#skin-access\">Skin Access</a></li>\n\
<li><a href=\"#bone-methods\">Bone Methods</a></li>\n\
<li><a href=\"#ragdoll-access\">Ragdoll Access</a></li>\n\
<li><a href=\"#biped-integration\">Biped Integration</a></li>\n\
<li><a href=\"#physique-integration\">Physique Integration</a></li>\n\
<li><a href=\"#utility-functions\">Utility Functions</a></li>\n\
<li><a href=\"#indirect-drag-methods\">Indirect Drag Methods</a></li>\n\
<li><a href=\"#visualizer-methods\">Visualizer Methods</a></li>\n\
<li><a href=\"#physx-system\">PhysX System</a></li>\n\
<li><a href=\"#viewer\">Viewer</a></li>\n\
<li><a href=\"#profiler-methods\">Profiler Methods</a></li>\n\
<li><a href=\"#multi-threading-and-hardware-acceleration\">Multi-threading and Hardware Acceleration</a></li>\n\
<li><a href=\"#unittest-methods\">UnitTest Methods</a></li>\n\
<li><a href=\"#destruction-and-damage\">Destruction And Damage</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Interface: nvpx</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpx.UseAdaptiveForce : boolean : Read|Write</code></pre><p>Get/set the state of the Use Adaptive Force option.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpx.gravityMode : enum : Read|Write\n\
\n\
gravityMode enums: {#none|#directional|#object}</code></pre><p>Get/set the gravity mode.</p>\n\
<p>Possible values are:</p>\n\
<p><code>#none</code> - no gravity</p>\n\
<p><code>#directional</code> - directional gravity</p>\n\
<p><code>#object</code> - object-based gravity using the <code>nvpx.gravityObject</code> property (see below)</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpx.gravityObject : node : Read|Write</code></pre><p>Get/set the gravity object defining the direction of gravity.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"scene-export\">Scene Export</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.ExportPhysXScene &lt;string&gt;filename &lt;string&gt;extension</code></pre><p>Exports the scene simulation data to an external file using the file format specified by the second argument. Returns 0 on success, -1 on failure.</p>\n\
<p>Possible extension values are:</p>\n\
<p>&quot;xml&quot; - creates a default XML file</p>\n\
<p>&quot;nxb&quot; - creates an NxuStream BINARY file</p>\n\
<p>&quot;dae&quot; - creates a COLLADA XML file.</p>\n\
<p>Any other extension value will cause a warning to be printed to the MAXScript Listener, and the export will use the XML file format.</p>\n\
<p>The actual file extension used in the filename argument does not have to match the file type. For example, it is possible to save a file called &quot;collada.xml&quot; using the &quot;dae&quot; extension argument.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   nvpx.ExportPhysXScene &quot;c:\\\\temp\\\\physxtest.xml&quot; &quot;xml&quot;\n\
   --&gt; 0\n\
   nvpx.ExportPhysXScene &quot;c:\\\\temp\\\\physxtest.nxb&quot; &quot;nxb&quot;\n\
   --&gt; 0\n\
   nvpx.ExportPhysXScene &quot;c:\\\\temp\\\\physxtest.dae&quot; &quot;dae&quot;\n\
   --&gt; 0\n\
   nvpx.ExportPhysXScene &quot;c:\\\\temp\\\\physxtest.abc&quot; &quot;abc&quot;\n\
   --&gt; SDK does not support exporting format, abc. It will be exported with default format.\n\
   --&gt; 0\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.ExportPhysXProjectFile &lt;string&gt;physxProjectPath &lt;string&gt;physxProjectName</code></pre><p>Exports a PhysX Project file in XML format named according to the second argument to the path specified by the first argument. The extension .PxProj will be added automatically.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   nvpx.ExportPhysXProjectFile @&quot;c:\\temp\\&quot; &quot;physxproject&quot;</code></pre><p>   <strong>FILE CONTENT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &lt;PhysicsPlugin&gt;\n\
       &lt;GraphicsExport File=&quot;physxproject.fbx&quot; /&gt;\n\
       &lt;PhysicsExport SDK=&quot;2.8.5&quot; PhysXScene=&quot;&quot; /&gt;\n\
       &lt;ClothingTool CTP=&quot;&quot; /&gt;\n\
       &lt;SceneParameters&gt;\n\
           &lt;AnimationRange Start=&quot;0&quot; End=&quot;100&quot; FrameRate=&quot;30&quot; FrameSubStepCount=&quot;0&quot; /&gt;\n\
           &lt;LengthUnit type=&quot;0&quot; scale=&quot;1&quot; length=&quot;39.3701&quot; /&gt;\n\
           &lt;GroundPlane enabled=&quot;true&quot; direction=&quot;0.0 0.0 1.0&quot; height=&quot;0&quot; /&gt;\n\
           &lt;Gravity enabled=&quot;true&quot; value=&quot;0 0 -386.221&quot; /&gt;\n\
           &lt;Simulation SolverIteration=&quot;4&quot; LastFrameMode=&quot;Continue Simulation&quot; LoopAnimationMode=&quot;Reset Simulation&quot; /&gt;\n\
       &lt;/SceneParameters&gt;\n\
       &lt;SceneObjects /&gt;\n\
   &lt;/PhysicsPlugin&gt;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.ExportPhysXProject &lt;string&gt;physxProjectPath &lt;string&gt;physxProjectName &lt;string&gt;fbxFileName</code></pre><p>Exports the PhysX project with the name specified by the second argument to the path specified by the first argument. Includes the geometry exported as FBX file name according to the third argument.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.PrepExportPhysXScene &lt;boolean&gt;isexportphysx &lt;string&gt;extension</code></pre><p>Prepare for export.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.PrepExportAPEXClothing &lt;boolean&gt;exportAPEXClothing &lt;string&gt;apExtension &lt;boolean&gt;useModelSpace \\\n\
&lt;float&gt;scale &lt;boolean&gt;addHulls &lt;boolean&gt;exportCTW &lt;boolean&gt;exportFBX &lt;boolean&gt;exportSelected &lt;boolean&gt;launchViewer \\\n\
&lt;boolean&gt;reverseWinding &lt;boolean&gt;omitMeshSubpartName \n\
</code></pre><p>For future use.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.PrepExportAPEXDestruction &lt;boolean&gt;exportAPEXDestruction &lt;string&gt;apExtension &lt;boolean&gt;exportSelected</code></pre><p>For future use.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.GetExporterMode &lt;integer&gt;Parameter</code></pre><p>Returns the exporter mode of the specified parameter.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetExporterMode &lt;integer&gt;Parameter &lt;boolean&gt;onOff</code></pre><p>Sets the exporter mode of the specified parameter to the boolean value of the second argument.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"world-settings\">World Settings</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpx.gravityMode : enum : Read|Write\n\
\n\
gravityMode enums: {#none|#directional|#object}\n\
</code></pre><p>Get/set the Gravity mode.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#none</strong> - no Gravity</p>\n\
<p><strong>#directional</strong> - Use the direction specified by the <code>nvpx.SetGravity()</code> and returned by the <code>nvpx.GetGravity()</code> methods</p>\n\
<p><strong>#object</strong> - Use the -Z axis of the object specified by the <code>nvpx.gravityObject</code> property</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpx.gravityObject : node : Read|Write</code></pre><p>Get/set the reference object whose -Z axis defines the Gravity direction when <code>nvpx.GravityMode</code> property is set to #object.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3 by value&gt;nvpx.GetGravity()</code></pre><p>Returns the Gravity vector as a Point3 value expressed in Generic Units / second squared. When the System Units are set to 1GU = 1 Inch, the Gravity defaults to [0,0,-386.221] that is equivalent to [0,0,-9.81] meters per second squared - Earth&apos;s acceleration.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetGravity &lt;point3 byvalue&gt;gravity</code></pre><p>Sets the Gravity vector to the given Point3 value.</p>\n\
<p>In <strong>3ds Max 2013 and higher</strong>, it is used when <code>nvpx.gravityMode</code> option is set to <code>#directional</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetGeometryScale()</code></pre><p>Returns the Geometry Scale factor. Default is 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.SetGeometryScale &lt;float&gt;scaleRate</code></pre><p>Sets the Geometry Scale factor to the Float argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.CreateGround &lt;float&gt;position &lt;&amp;point3&gt;normal\n\
\n\
normal is In and Out parameter</code></pre><p>Creates a Ground plane at Z height given by the <code>position</code> argument and aligned to the <code>normal</code> vector specified by the second argument.</p>\n\
<p>There can be only one Ground plane in the simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.RemoveGround()</code></pre><p>Removes the Ground plane from the simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.ReadSystemUnit &lt;integer&gt;type &lt;float&gt;scale</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetMeterToSystemUnit()</code></pre><p>Returns the scale factor between meters and the current system units. When the System Units are set to 1GU = 1 inch, the value will be 39.3701, the number of inches in one meter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.SetMeterToSystemUnit &lt;float&gt;newValue</code></pre><p>Sets the Meter to System Units scale factor to a user value, thus defining a new world scale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.SetCCDMotionThreshold &lt;float&gt;ccdMotionThreshold</code></pre><p>Sets the Continuous Collision Detection motion threshold value to the specified floating point parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetSolverIterations()</code></pre><p>Returns the number of solver iterations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetSolverIterations &lt;integer&gt;count</code></pre><p>Sets the number of Solver Iterations to the integer argument. Returns the new value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.SetShapePerElement &lt;boolean&gt;shapePerElement</code></pre><p>Sets the Shape Per Element mode to the specified boolean value.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"simulation\">Simulation</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.Simulate &lt;float&gt;deltat</code></pre><p>Starts the simulation using the specified time step.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.IsSimulating()</code></pre><p>Returns <code>true</code> if the simulation is currently running, <code>false</code> if it is not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetSimulationSubSteps &lt;integer&gt;numSteps</code></pre><p>Sets the simulation sub-steps to the given value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SimulationReset()</code></pre><p>Resets the simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.SetSimulationState &lt;integer&gt;state</code></pre><p>Sets the simulation state to the specified mode without performing an actual simulation.</p>\n\
<p>In <strong>3ds Max 2012</strong>, the argument was a boolean, False meaning the simulation was reset, True the simulation was performed.</p>\n\
<p>In <strong>3ds Max 2013</strong>, the argument was changed to an integer:</p>\n\
<p>0 - simulation was reset, no simulation data available</p>\n\
<p>1 -</p>\n\
<p>2 - simulation has been performed, simulation data available</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetSimulationState()</code></pre><p>Returns the current simulation state as integer.</p>\n\
<p>See above for valid values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.PauseSimulation()</code></pre><p>Causes the simulation to be paused.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"bodies-and-constraints\">Bodies and Constraints</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.AddRigidbody &lt;node&gt;inode</code></pre><p>Adds the node passed as argument to the simulation as a rigid body. Returns 1 on success, 0 on failure. If failed, a message will also be printed to the MAXScript Listener.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.RemoveRigidbody &lt;node&gt;inode</code></pre><p>Removes the Rigid Body data from the given node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.RemoveAll()</code></pre><p>Removes the Rigid Body data from all scene nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.AddConstraint &lt;node&gt;node</code></pre><p>Adds a Constraint to the given node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.AddDistanceJoint &lt;node&gt;node</code></pre><p>Adds a Distance Joint to the given node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetRigidbodyShapeFlag &lt;node&gt;inode &lt;string&gt;flagname &lt;boolean&gt;value</code></pre><p>Sets the Rigid Body Shape Flag with the name provided by the second argument in the node specified by the first argument to the boolean value passed as third argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.RBBroken &lt;node&gt;inode</code></pre><p>Returns true if the Rigid Body of the given node is broken, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.ClearInvalidNodes()</code></pre><p>Clears the invalid nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.PrintNodeParams &lt;node&gt;inode</code></pre><p>Prints detailed information about the specified node.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   nvpx.PrintNodeParams  $Teapot001\n\
    print Node param blocks:\n\
   totally 0 Param Blocks\n\
    print modifier param blocks:\n\
   totally 1 Param Blocks\n\
    PBlock version 9, local name: ??, flag: 0x226, 60 Params\n\
     Param 0 (type): TYPE_INT, flag: 0x920020, value: 1\n\
     Param 54 (switchType): TYPE_BOOL, flag: 0x820020, value: false\n\
     Param 55 (switchTypeAtFrame): TYPE_INT, flag: 0x920020, value: 0\n\
     Param 35 (EnableGravity): TYPE_BOOL, flag: 0x820020, value: true\n\
     Param 53 (ContinuousCollisionDetection): TYPE_BOOL, flag: 0x820020, value: false\n\
     Param 36 (SleepAtStart): TYPE_BOOL, flag: 0x820020, value: false\n\
     Param 52 (CollideWithRigidBodies): TYPE_BOOL, flag: 0x820020, value: true\n\
     Param 1 (): TYPE_INODE, flag: 0x810000, value: 0x0\n\
     Param 2 (extraShapes): TYPE_STRING, flag: 0x800000, value: &quot;(null)&quot;\n\
     Param 3 (manualSetup): TYPE_BOOL, flag: 0x820020, value: true\n\
     Param 4 (materialId): TYPE_INT, flag: 0x820020, value: 0\n\
     Param 6 (density): TYPE_FLOAT, flag: 0x820020, value: 0\n\
     Param 5 (volume): TYPE_FLOAT, flag: 0x820020, value: 0\n\
     Param 7 (mass): TYPE_FLOAT, flag: 0x820020, value: 0\n\
     Param 8 (staticFriction): TYPE_FLOAT, flag: 0x820020, value: 1073741824\n\
     Param 9 (dynamicFriction): TYPE_FLOAT, flag: 0x820020, value: 1073741824\n\
     Param 10 (bounciness): TYPE_FLOAT, flag: 0x820020, value: 0\n\
     Param 62 (EnableAdvancedSettings): TYPE_INT, flag: 0x820020, value: 0\n\
     Param 56 (SkinWidth): TYPE_BOOL, flag: 0x820020, value: false\n\
     Param 57 (SkinWidthValue): TYPE_FLOAT, flag: 0x20020, value: 0\n\
     Param 58 (SolverIter): TYPE_BOOL, flag: 0x820020, value: false\n\
     Param 59 (SolverIterValue): TYPE_INT, flag: 0x120020, value: 4\n\
     Param 61 (InitialMotionStyle): TYPE_INT, flag: 0x820020, value: 1\n\
     Param 39 (InitialVelocityX): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 40 (InitialVelocityY): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 41 (InitialVelocityZ): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 37 (velocitySpeed): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 42 (InitialSpinX): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 43 (InitialSpinY): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 44 (InitialSpinZ): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 38 (spinSpeed): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 45 (MassCenterX): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 46 (MassCenterY): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 47 (MassCenterZ): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 50 (LinearDamping): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 51 (AngularDamping): TYPE_FLOAT, flag: 0x920020, value: -2147483648\n\
     Param 49 (baked): TYPE_BOOL, flag: 0x820020, value: false\n\
     Param 14 (): TYPE_INT, flag: 0x820020, value: 0\n\
     Param 15 (): TYPE_BOOL, flag: 0x820020, value: false\n\
     Param 16 (): TYPE_BOOL, flag: 0x820020, value: false\n\
     Param 17 (): TYPE_BOOL, flag: 0x820020, value: false\n\
     Param 13 (meshType): TYPE_INT, flag: 0x920020, value: 4\n\
     Param 28 (meshCustomMesh): TYPE_INODE, flag: 0x810000, value: 0x0\n\
     Param 26 (meshVerticesLimit): TYPE_INT, flag: 0x820020, value: 32\n\
     Param 27 (meshInflation): TYPE_FLOAT, flag: 0x820020, value: 0\n\
     Param 60 (meshConvexStyle): TYPE_INT, flag: 0x820020, value: 0\n\
     Param 31 (meshRadius): TYPE_FLOAT, flag: 0x920020, value: -2147483648\n\
     Param 32 (meshLength): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 33 (meshWidth): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 34 (meshHeight): TYPE_FLOAT, flag: 0x920020, value: 0\n\
     Param 29 (): TYPE_BOOL, flag: 0x40800000, value: false\n\
     Param 30 (): TYPE_BOOL, flag: 0x820020, value: false\n\
     Param 18 (meshOverrideMaterial): TYPE_BOOL, flag: 0x820020, value: false\n\
     Param 19 (meshDensity): TYPE_FLOAT, flag: 0x40800000, value: 0\n\
     Param 20 (meshMass): TYPE_FLOAT, flag: 0x40800000, value: 0\n\
     Param 21 (meshStaticFriction): TYPE_FLOAT, flag: 0x40800000, value: 0\n\
     Param 22 (meshDynamicFriction): TYPE_FLOAT, flag: 0x40800000, value: 0\n\
     Param 23 (meshBounciness): TYPE_FLOAT, flag: 0x40800000, value: 0\n\
     Param 24 (): TYPE_BOOL, flag: 0x40800000, value: false\n\
     Param 25 (): TYPE_BOOL, flag: 0x40800000, value: false\n\
\n\
   Animatable[2] : Transform, classID = (2005, 0)\n\
       Animatable[0]: Position, classID = (118f7e02, ffee238a)\n\
       Animatable[1]: Rotation, classID = (2012, 0)\n\
   Animatable[3] : Modified Object, classID = (3, 0)\n\
       Animatable[0]: MassFX Rigid Body, classID = (a750e, 6e6ba)\n\
           Animatable[0]: no name, classID = (2005, 0)\n\
               Animatable[0]: Position, classID = (118f7e02, ffee238a)\n\
               Animatable[1]: Rotation, classID = (2012, 0)\n\
           Animatable[1]: no name, classID = (2005, 0)\n\
               Animatable[0]: Position, classID = (118f7e02, ffee238a)\n\
               Animatable[1]: Rotation, classID = (2012, 0)\n\
           Animatable[2]: no name, classID = (118f7e02, ffee238a)\n\
           Animatable[3]: no name, classID = (2005, 0)\n\
               Animatable[0]: Position, classID = (118f7e02, ffee238a)\n\
               Animatable[1]: Rotation, classID = (2012, 0)\n\
       Animatable[1]: Teapot (Object), classID = (acad13d3, acad26d9)\n\
           Animatable[0]: Parameters, classID = (8, 0)\n\
   0\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetAsDynamic &lt;node&gt;inode &lt;boolean&gt;onoff</code></pre><p>Sets the node passed as first argument to Dynamic Rigid Body when the second argument is passed as true, or to Static Rigid Body if the second argument is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.PrintTM &lt;node&gt;inode</code></pre><p>Prints detailed information about the various transformation matrices of the specified node.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   nvpx.PrintTM $Teapot001\n\
   PivotTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [0.000000, 0.000000, 0.000000])\n\
   nodeTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [1.576996, -11.519989, 0.000000])\n\
   parentTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [0.000000, 0.000000, 0.000000])\n\
   objectTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [1.576996, -11.519989, 0.000000])\n\
   --pivot = [0.000000, 0.000000, 0.000000]\n\
   --nodeObjectTM &lt;==&gt; PhysicsNodeTM == PhysicsNodeScaleTM * PhysicsNodePivotTM * PhysicsNodePoseTM\n\
   PhysicsNodeScaleTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [0.000000, 0.000000, 0.000000])\n\
   PhysicsNodePivotTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [0.000000, 0.000000, 0.000000])\n\
   PhysicsPoseTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [1.576996, -11.519989, 0.000000])\n\
   --Node Pos in Physics = [1.576996, -11.519989, 0.000000]\n\
\n\
   --Node is convex = 0\n\
   0\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;class&gt;nvpx.GetObjectClass &lt;node&gt;node</code></pre><p>Returns the class of the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.UpdateCCDCtrlState &lt;node&gt;node</code></pre><p>Updates the Continuous Collision Detection control state of the specified node.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h3 id=\"rigid-body-copy-and-paste\">Rigid Body Copy And Paste</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.CopyRigidbody &lt;node&gt;fromNode &lt;node&gt;toNode</code></pre><p>Copies the Rigid Body Modifier from the node specified as first argument to the node specified as second argument. Returns <code>true</code> on success, <code>false</code> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.ClipboardCopyRBMesh &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Copies the Rigid Body Mesh with index specified by the second argument from the node specified by the first argument to the Clipboard. Returns <strong><code>true</code> on success, <code>false</code></strong> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.ClipboardPasteRBMesh &lt;node&gt;inode</code></pre><p>Pastes the Rigid Body Mesh from the Clipboard to the specified node. Returns <strong><code>true</code> on success, <code>false</code></strong> on failure.</p>\n\
<h3 id=\"rigid-body-mesh-access\">Rigid Body Mesh Access</h3><p>The following methods interact with the node&apos;s <a href=\"./../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/MassFX-Modifiers/MassFX_RBody-Modifier.html\">MassFX_RBody Modifier</a>&apos;s settings. They can be used to iterate through nodes and modify their Rigid Body settings instead of operating on the modifier itself.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.AddRBMesh &lt;node&gt;inode</code></pre><p>Adds a Rigid Body Mesh to the specified node. Returns the index of the new mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.DeleteRBMesh &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Deletes the Rigid Body Mesh specified by the second argument index from the node specified by the first argument. Returns <strong><code>true</code> on success, <code>false</code></strong> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetRBMeshCount &lt;node&gt;inode</code></pre><p>Returns the number of Rigid Body Meshes in the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;nvpx.GetRBMeshName &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Returns the name of the indexed Rigid Body Mesh in the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetRBMeshName &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;string&gt;meshName</code></pre><p>Renames the given node&apos;s Rigid Body Mesh specified by the second index argument to the name specified by the third argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetRBMeshType &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Returns the type of the given node&apos;s Rigid Body Mesh specified by the second index argument. For the meaning of the return value, see the next method&apos;s description:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetRBMeshType &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;integer&gt;meshType</code></pre><p>Sets the type of the given node&apos;s Rigid Body Mesh specified by the second index argument to the type as follows:</p>\n\
<p>1 - Sphere</p>\n\
<p>2 - Box</p>\n\
<p>3 - Capsule</p>\n\
<p>4 - Convex</p>\n\
<p>5 - Composite</p>\n\
<p>6 - Original</p>\n\
<p>7 - Custom</p>\n\
<p>Returns <strong><code>true</code> on success, <code>false</code></strong> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;&amp;matrix3&gt;nvpx.GetRBMeshTM &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Returns the Transformation Matrix of the given node&apos;s Rigid Body Mesh with index specified by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetRBMeshTM &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;&amp;matrix3&gt;pose\n\
\n\
pose is In and Out parameter</code></pre><p>Sets the Transformation Matrix of the given node&apos;s Rigid Body Mesh with index specified by the second argument to the matrix3 value passed as third argument. Returns <strong><code>true</code> on success, <code>false</code></strong> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetRBMeshRadius &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Returns the radius of the node&apos;s indexed Rigid Body Mesh, if applicable (for example, Rigid Body Mesh Type is Sphere, Box or Capsule). Returns 0 otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetRBMeshRadius &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;float&gt;radius</code></pre><p>Sets the radius of the node&apos;s indexed Rigid Body Mesh to the floating point value given by the third argument. Returns true if the Rigid Body Mesh Type supports a Radius value, false if it does not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetRBMeshLength &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Returns the length of the node&apos;s indexed Rigid Body Mesh, if applicable (for example, Rigid Body Mesh Type is Box). Returns 0 otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetRBMeshLength &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;float&gt;Length</code></pre><p>Sets the length of the node&apos;s indexed Rigid Body Mesh to the floating point value given by the third argument. Returns true if the Rigid Body Mesh Type is Box, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetRBMeshWidth &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Returns the width of the node&apos;s indexed Rigid Body Mesh, if applicable (for example, Rigid Body Mesh Type is Box). Returns 0 otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetRBMeshWidth &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;float&gt;Width</code></pre><p>Sets the width of the node&apos;s indexed Rigid Body Mesh to the floating point value given by the third argument. Returns true if the Rigid Body Mesh Type is Box, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetRBMeshHeight &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Returns the height of the node&apos;s indexed Rigid Body Mesh, if applicable (for example, Rigid Body Mesh Type is Box). Returns 0 otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetRBMeshHeight &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;float&gt;Height</code></pre><p>Sets the height of the node&apos;s indexed Rigid Body Mesh to the floating point value given by the third argument. Returns true if the Rigid Body Mesh Type is Box, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;nvpx.GetRBMeshCustomNode &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Returns the Custom node of the given node&apos;s indexed Rigid Body Mesh, if applicable (for example, Rigid Body Mesh Type is set to Custom). Otherwise returns <code>undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetRBMeshCustomNode &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;node&gt;CustomNode</code></pre><p>Sets the custom mesh of the node&apos;s indexed Rigid Body Mesh to the node given by the third argument. Returns <code>true</code> if the Rigid Body Mesh Type is Custom, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetRBMeshVertexLimit &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Returns the Vertex Limit value of the node&apos;s indexed Rigid Body Mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetRBMeshVertexLimit &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;integer&gt;VerticeLimit</code></pre><p>Sets the Vertex Limit of the node&apos;s indexed Rigid Body Mesh to the integer value specified by the third argument. Returns <code>true</code> if the Rigid Body Mesh Type supports Vertex Limits (for example, Convex), <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetRBMeshInflation &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Returns the Inflation value of the node&apos;s indexed Rigid Body Mesh if its type is Convex, <code>undefined</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetRBMeshInflation &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;float&gt;Inflation</code></pre><p>Sets the Inflation value of the node&apos;s indexed Rigid Body Mesh to the float value specified by the third argument. Returns <code>true</code> if the Rigid Body Mesh Type supports Inflation (for example, Convex), <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;nvpx.GetRBMeshShape &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Returns the TriMesh value of the node&apos;s indexed Rigid Body Mesh if its type is Convex or Custom, <code>undefined</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetRBMeshShape &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;mesh&gt;newMesh</code></pre><p>Sets the shape of the node&apos;s indexed Rigid Body Mesh to the TriMesh value specified by the third argument. Returns <code>true</code> if the Rigid Body Mesh Type has a mesh (for example, Convex, Custom), <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.GetRBMeshOverrideDriverMat &lt;node&gt;inode &lt;integer&gt;meshIndex</code></pre><p>Returns the state of the &quot;Override Physical Material&quot; option in the given node&apos;s Rigid Body Mesh.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> this property was called <code>GetRBMeshOverrideMasterMat</code>.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetRBMeshOverrideDriverMat &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;boolean&gt;overrideIt</code></pre><p>Sets the state of the &quot;Override Physical Material&quot; option in the given node&apos;s Rigid Body Mesh to the value provided by the third argument. Returns true on success, false on failure (for example, if the node does not have a Rigid Body Modifier or the meshIndex is invalid).</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> this property was called <code>SetRBMeshOverrideMasterMat</code>.</p>\n\
\n\
</div></div>\n\
\n\
<h2 id=\"node-physical-properties\">Node Physical Properties</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;&amp;point3&gt;nvpx.GetGlobalPosition &lt;node&gt;inode</code></pre><p>Returns the Global Position value of the given node, or [0,0,0] if the value cannot be reported.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetGlobalPosition &lt;node&gt;inode &lt;&amp;point3&gt;position\n\
\n\
position is In and Out parameter</code></pre><p>Sets the Global Position of the given node to the Point3 value passed by-reference as second argument. Returns 0 on success, -1 on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;&amp;point3&gt;nvpx.GetLinearVelocity &lt;node&gt;inode</code></pre><p>Returns the Linear Velocity value of the given node, or [0,0,0] if the value cannot be acquired.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetLinearVelocity &lt;node&gt;inode &lt;&amp;point3&gt;linearvelocity\n\
\n\
linearvelocity is In and Out parameter</code></pre><p>Sets the Linear Velocity of the given node to the Point3 value passed by-reference as second argument. Returns 0 on success, -1 on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;&amp;point3&gt;nvpx.GetAngularVelocity &lt;node&gt;inode</code></pre><p>Returns the Angular Velocity value of the given node, or [0,0,0] if the value cannot be acquired.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetAngularVelocity &lt;node&gt;inode &lt;&amp;point3&gt;angularvelocity\n\
\n\
angularvelocity is In and Out parameter</code></pre><p>Sets the Linear Velocity of the given node to the Point3 value passed by-reference as second argument. Returns 0 on success, -1 on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;&amp;matrix3&gt;nvpx.GetGlobalPose &lt;node&gt;inode</code></pre><p>Returns the Global Pose value of the specified node, or the identity matrix if the value cannot be reported.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;integer&gt;nvpx.SetGlobalPose &lt;node&gt;inode &lt;&amp;matrix3&gt;pose\n\
\n\
pose is In and Out parameter</code></pre><p>Sets the Global Pose of the given node to the matrix3 value passed by-reference as second argument. Returns 0 on success, -1 on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetMass&lt;node&gt;inode</code></pre><p>Returns the Mass value of the given node, or 0.0 if the value cannot be acquired.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.SetMass &lt;node&gt;inode &lt;float&gt;value</code></pre><p>Sets the Mass of the given node to the Float value passed as second argument. Returns the new mass, or 0.0 if the setting failed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetDynamicFriction &lt;node&gt;inode</code></pre><p>Returns the Dynamic Friction value of the given node, or 0.0 if the value cannot be acquired.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetDynamicFriction &lt;node&gt;inode &lt;float&gt;value</code></pre><p>Sets the Dynamic Friction of the given node to the Float value passed as second argument. Returns 0 on success, -1 on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetStaticFriction &lt;node&gt;inode</code></pre><p>Returns the Static Friction value of the given node, or 0.0 if the value cannot be acquired.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetStaticFriction &lt;node&gt;inode &lt;float&gt;value</code></pre><p>Sets the Static Friction of the given node to the Float value passed as second argument. Returns 0 on success, -1 on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetRestitution &lt;node&gt;inode</code></pre><p>Returns the Restitution value of the given node, or 0.0 if the value cannot be acquired.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetRestitution &lt;node&gt;inode &lt;float&gt;value</code></pre><p>Sets the Restitution of the given node to the Float value passed as second argument. Returns 0 on success, -1 on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3 by value&gt;nvpx.GetInitialPose &lt;node&gt;inode</code></pre><p>Returns the Initial Pose Transformation Matrix of the specified node.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.SetInitialPose &lt;node&gt;inode &lt;&amp;matrix3&gt;initialPose \n\
\n\
initialPose is In and Out parameter</code></pre><p>Sets the Initial Pose Transformation Matrix of the specified node to the by-reference matrix3 value.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.CaptureInitTransforms &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter</code></pre><p>Captures the Initial Transforms of the nodes specified by the by-reference array argument. Returns True on success, False on failure.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.GetBakedFlag &lt;node&gt;inode</code></pre><p>Returns the Baked Flag of the specified node - True if the node is baked, False if it is not.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetBakedFlag &lt;node&gt;inode &lt;boolean&gt;isBaked</code></pre><p>Sets the Baked Flag of the specified node to the second boolean argument. Returns True on success, False if the flag could not be set.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"physical-material-loading-and-saving\">Physical Material Loading and Saving</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SaveMaterial &lt;string&gt;filename &lt;float&gt;staticFriction &lt;float&gt;dynamicFriction &lt;float&gt;bounciness &lt;integer&gt;density</code></pre><p>Saves a Physical Material XML file to the file name specified by the first argument. The second, third, fourth, and fifth arguments specify the Static Friction, the Dynamic Friction, the Bounciness and the Density values of the Physical Material. Returns <code>true</code> on success, <code>false</code> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.LoadMaterialStaticFric &lt;string&gt;filename</code></pre><p>Loads the Static Friction value from the specified Physical Material XML file and returns it as a Float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.LoadMaterialDynFric &lt;string&gt;filename</code></pre><p>Loads the Dynamic Friction value from the specified Physical Material XML file and returns it as a Float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.LoadMaterialBounciness &lt;string&gt;filename</code></pre><p>Loads the Bounciness value from the specified Physical Material XML file and returns it as a Float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.LoadMaterialDensity &lt;string&gt;filename</code></pre><p>Loads the Bounciness value from the specified Physical Material XML file and returns it as a Float.</p>\n\
<h2 id=\"physical-material-access\">Physical Material Access</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.MaterialGetCount()</code></pre><p>Returns the number of Physical Materials in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.MaterialGetId &lt;integer&gt;matIndex</code></pre><p>Given the zero-based material index (material 1 has index 0, material 2 has index 1, and so on), returns the integer ID of the material, or 0 if the index is out of range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.MaterialGetType &lt;integer&gt;matId</code></pre><p>Given the material ID returned by the <code>nvpx.MaterialGetId()</code> method, returns the type of the material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.MaterialIsLocked &lt;integer&gt;matId</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.MaterialFind &lt;string&gt;ParamName</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.MaterialCreate &lt;integer&gt;type</code></pre><p>Creates a new unnamed Physical Material Preset of the given type. Returns the material ID as an Integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.MaterialRemove &lt;integer&gt;matId</code></pre><p>Removes the Physical Material Preset with the given ID. Returns <code>true</code> on success, <code>false</code> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;nvpx.MaterialGetParam &lt;integer&gt;matId &lt;string&gt;ParamName</code></pre><p>Returns the parameter of the Physical Material with the specified ID as a string.</p>\n\
<p>The second argument is the Parameter Name which can be one of the following:</p>\n\
<ul>\n\
<li><code>&quot;Name&quot;</code> - returns the Name</li>\n\
<li><code>&quot;Density&quot;</code> - returns the Density</li>\n\
<li><code>&quot;StaticFriction&quot;</code> - returns the Static Friction</li>\n\
<li><code>&quot;Friction&quot;</code> - returns the Dynamic Friction</li>\n\
<li><code>&quot;Bounciness&quot;</code> - returns the Bounciness</li>\n\
<li>Any other string that is not supported by the Physical Material Preset will return empty string &quot;&quot;.</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.MaterialSetParam &lt;integer&gt;matId &lt;string&gt;ParamName &lt;string&gt;ParamValue</code></pre><p>Sets the parameter of the Physical Material specified by the first argument with the name specified by the second argument to the string value provided by the third argument.</p>\n\
<p>Returns true on success, false on failure, for example, if the parameter name is not supported.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetPMVisibleForRigidBodies()</code></pre><p>Returns 1 if the Physical Material is visible for Rigid Bodies, 0 if it is not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.SetPMVisibleForRigidBodies &lt;integer&gt;visible</code></pre><p>Sets the Physical Material Visibility for Rigid Bodies to the integer argument - 1 for visible, 0 for invisible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetRBDisplayMaterial &lt;material&gt;dynamicMat &lt;material&gt;kinematicMat &lt;material&gt;staticMat</code></pre><p>Sets three <strong>3ds Max</strong> materials to use for display of Dynamic, Kinematic and Static Rigid Body objects. Returns <strong><code>true</code></strong> on success, <code>false</code> on failure.</p>\n\
<h2 id=\"bounding-geometry-creation\">Bounding Geometry Creation</h2><p>The following methods operate on any scene node and do not require the node to be a Rigid Body mesh or even a Geometry object.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;nvpx.CreateBoundingBox &lt;node&gt;inode</code></pre><p>Creates an <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\">nv_Box</a> geometry primitive matching the object-aligned bounding box of the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;nvpx.CreateBoundingSphere &lt;node&gt;inode</code></pre><p>Creates an <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\">nv_Sphere</a> geometry primitive aligned to the specified node and representing the bounding sphere of the node&apos;s bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;nvpx.CreateBoundingCapsule &lt;node&gt;inode</code></pre><p>Creates an <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\">nv_Capsule</a> geometry primitive enclosing the node&apos;s bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;nvpx.CreateBoundingCapsuleFromPoints &lt;matrix3&gt;poseTransform &lt;&amp;float array&gt;points\n\
\n\
points is In and Out parameter</code></pre><p>Creates an <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\">nv_Capsule</a> geometry primitive based on a pose transformation matrix and an array of points to be included inside the capsule.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;nvpx.CreateBoundingShapeConvex &lt;node&gt;inode &lt;integer&gt;vertLimit &lt;float&gt;inflation &lt;int&gt;style</code></pre><p>Creates an Editable Mesh node enclosing the specified node. The second argument limits the number of vertices in the resulting mesh. The third argument defines the inflation that applies an offset from the bounding surface. The fourth argument specifies the algorithm used to generate the convex hull:</p>\n\
<ul>\n\
<li>0 - Surface (Overhull) ensures that the hull is always outside the graphical mesh</li>\n\
<li>1 - Vertices (Simplify) uses existing vertices from the graphical mesh</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;nvpx.CreateBoundingConvex &lt;node&gt;inode &lt;integer&gt;vertLimit &lt;float&gt;inflation</code></pre><p>Returns a TriMesh value representing the convex bounding shape of the specified node. The second argument limits the number of vertices in the resulting mesh. The third argument defines the inflation that applies an offset from the bounding surface. This method is similar to <code>nvpx.CreateBoundingShapeConvex()</code> , but produces the mesh in memory instead of creating a scene node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;nvpx.CreateBoundingConvexFromNodes &lt;&amp;node array&gt;inodes &lt;integer&gt;vertLimit &lt;float&gt;inflation\n\
\n\
inodes is In and Out parameter</code></pre><p>Returns a TriMesh value representing the convex bounding shape of all specified nodes. The second argument limits the number of vertices in the resulting mesh. The third argument defines the inflation that applies an offset from the bounding surface. This method is similar to <code>nvpx.CreateBoundingConvex()</code> , but operates on multiple nodes at once.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;nvpx.CreateConvexHull &lt;mesh&gt;mesh &lt;integer&gt;vertlimit &lt;float&gt;inflation</code></pre><p>Returns a TriMesh value representing the convex bounding shape of the specified TriMesh value. The second argument limits the number of vertices in the resulting mesh. The third argument defines the inflation that applies an offset from the bounding surface. This method is similar to <code>nvpx.CreateBoundingConvex()</code> , but operates on a TriMesh value in memory instead of a scene node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;nvpx.CreateConvexFromPoints &lt;&amp;float array&gt;points &lt;integer&gt;vertlimit &lt;float&gt;inflation\n\
\n\
points is In and Out parameter</code></pre><p>Returns a TriMesh value representing the convex bounding shape enclosing the points specified in the array of floats. The array&apos;s number of elements must be 3 times the number of spatial point3 values with three consecutive floats used as the X, Y, and Z components of a single Point3 value.</p>\n\
<p>The second argument limits the number of vertices in the resulting mesh. The third argument defines the inflation that applies an offset from the bounding surface.</p>\n\
<p>This method is similar to <code>nvpx.CreateBoundingConvex()</code> , but operates on user-defined points instead of geometry vertices.</p>\n\
<h2 id=\"sleeping-actors\">Sleeping Actors</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetSleepState &lt;node&gt;inode &lt;boolean&gt;onoff</code></pre><p>Set the sleep state of the specified node to the boolean value provided by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.FindSleepingActors()</code></pre><p>Returns the number of sleeping actors in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;nvpx.GetSleepingActor &lt;integer&gt;index</code></pre><p>Returns the sleeping node corresponding to the 0-based index argument that should range between 0 and <code>(nvpx.FindSleepingActors())-1</code> .</p>\n\
<p>Returns <code>undefined</code> if the index is out of range.</p>\n\
<h2 id=\"get-set-parameters\">Get/Set Parameters</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;nvpx.GetRBParam &lt;node&gt;inode &lt;string&gt;paramName</code></pre><p>Returns the string value of the given Rigid Body&apos;s parameter with the specified name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetRBParam &lt;node&gt;inode &lt;string&gt;paramName &lt;string&gt;paramValue</code></pre><p>Sets the value of the given Rigid Body&apos;s parameter with the specified name to the string value supplied as third argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.GetRBShapeParam &lt;node&gt;inodeRB &lt;node&gt;inodeShape &lt;string&gt;paramName</code></pre><p>Returns the boolean value of the named parameter in the given Rigid Body and Shape nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetRBShapeParam &lt;node&gt;inodeRB &lt;node&gt;inodeShape &lt;string&gt;paramName &lt;string&gt;paramValue</code></pre><p>Sets the string value of the named parameter in the given Rigid Body and Shape nodes to the string value passed as fourth argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.GetConstraintParam &lt;node&gt;inode &lt;string&gt;paramName</code></pre><p>Returns the value of the specified node&apos;s Constraint property. The second argument is the property name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetConstraintParam &lt;node&gt;inode &lt;string&gt;paramName &lt;string&gt;paramValue</code></pre><p>Sets the value of the named property of the specified node&apos;s Constraint. The third argument is the property name. Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetSDKParameter &lt;TSTR byvalue&gt;paramName</code></pre><p>Returns the value of the SDK parameter with the given name.</p>\n\
<p>For a list of supported SDK parameter names, export a scene to an XML file and browse the content of the file for <code>&lt;NxParameterDesc param=&quot;ABC&quot;&gt;</code> tags, where &quot;ABC&quot; is the parameter name.</p>\n\
<p>If the parameter name is unsupported, the return value will be -3.40282e+038 (which is the smallest floating point number).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetSDKParameter &lt;TSTR byvalue&gt;paramName &lt;float&gt;value</code></pre><p>Sets the SDK parameter with the given name to the value specified by the second argument. See previous method for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetSDKDefaultParameter &lt;TSTRby value&gt;paramName</code></pre><p>Sets the SDK parameter with the given name to its default value.</p>\n\
<h2 id=\"contacts-report\">Contacts Report</h2><p>A Contact Report provides information about collisions recorded during the physical simulation including force, location, and participating nodes. The contacts can be filtered using a force magnitude threshold to exclude lighter collisions.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetUseContactReport &lt;boolean&gt;OnOff</code></pre><p>Sets the enabled state of Contact reporting to true or false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetContactsCount()</code></pre><p>Returns the number of recorded contacts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SelectFirstContact()</code></pre><p>Selects the first contact.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.GetNextContact()</code></pre><p>Sets the internal pointer at the next contact, affecting the following methods for getting the contact Force, Point, and Nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3 byvalue&gt;nvpx.GetContactForce index:&lt;index&gt;\n\
\n\
index default value: 0\n\
</code></pre><p>Returns the Contact Force of the indexed Contact Record as a Point3 value.</p>\n\
<p>When the index is 0 or not specified, the current Contact Record is used.</p>\n\
<p>New <code>index:</code> optional keyword added in <strong>3ds Max 2013</strong>. In <strong>3ds Max 2012</strong>, the method returned the current contact only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3 byvalue&gt;nvpx.GetContactPoint index:&lt;index&gt;\n\
\n\
index default value: 0\n\
</code></pre><p>Returns the Contact Point of the indexed Contact Record as a Point3 value.</p>\n\
<p>When the index is 0 or not specified, the current Contact Record is used.</p>\n\
<p>New <code>index:</code> optional keyword added in <strong>3ds Max 2013</strong>. In <strong>3ds Max 2012</strong>, the method returned the current contact only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;nvpx.GetContactNode0 index:&lt;index&gt;\n\
\n\
index default value: 0\n\
</code></pre><p>Returns the first node of the indexed Contact Record.</p>\n\
<p>When the index is 0 or not specified, the current Contact Record is used.</p>\n\
<p>New <code>index:</code> optional keyword added in <strong>3ds Max 2013</strong>. In <strong>3ds Max 2012</strong>, the method returned the current contact only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;nvpx.GetContactNode1 index:&lt;index&gt;\n\
\n\
index default value: 0</code></pre><p>Returns the second node of the indexed Contact Record.</p>\n\
<p>When the index is 0 or not specified, the current Contact Record is used.</p>\n\
<p>New <code>index:</code> optional keyword added in <strong>3ds Max 2013</strong>. In <strong>3ds Max 2012</strong>, the method returned the current contact only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetContactFilter()</code></pre><p>Returns the current Contract Filter value.</p>\n\
<p>Contacts with a Force of vector length (magnitude) less than this value will not be recorded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.SetContactFilter &lt;float&gt;force</code></pre><p>Sets the contact filter to a floating point threshold value.</p>\n\
<p>Contacts with a Force with vector length less than this value will not be recorded.</p>\n\
<h2 id=\"skin-access\">Skin Access</h2><p>The following methods provide access to 3ds Max Skin data.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.ParseSkinInfo &lt;node&gt;inode &lt;float&gt;weightThreshold</code></pre><p>Collects Skin Info from the specified node using the second argument as weight threshold. No data will be collected about vertices with weight below the threshold value. Returns <strong><code>true</code> on success, <code>false</code></strong> on failure (for example, the node is not a Skinned object).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetVerticesCountFromSkinnedBone &lt;node&gt;inode</code></pre><p>Returns the number of vertices affected by the specified bone as collected by the <code>nvpx.ParseSkinInfo()</code> method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float by value array&gt;nvpx.GetVerticesFromSkinnedBone &lt;node&gt;inode</code></pre><p>Returns an array of floats representing the X, Y, and Z components of the vertices affected by the specified bone. The coordinates are in the Bone&apos;s local space - to produce world space positions, the Point3 value created from three Float values from the array must be multiplied by the Bone&apos;s transformation matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.ReleaseSkinInfo()</code></pre><p>Clears the Skin Info data collected by the <code>nvpx.ParseSkinInfo()</code> .</p>\n\
<h2 id=\"bone-methods\">Bone Methods</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.HaveBoneFloatLimitControl &lt;node&gt;inode &lt;string&gt;block</code></pre><p>Returns true if the Bone has a Float Limit Control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;nvpx.GetBoneFloatLimitValue &lt;node&gt;inode &lt;string&gt;block &lt;string&gt;param</code></pre><p>Returns the Bone Float Limit value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.IsBone &lt;node&gt;inode</code></pre><p>Returns true if the specified node is a bone, false if it is not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3 by value&gt;nvpx.GetBonePose &lt;node&gt;inode</code></pre><p>Returns the pose transformation matrix of the specified bone.</p>\n\
<h2 id=\"ragdoll-access\">Ragdoll Access</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;nvpx.RagdollGetRootBone &lt;node&gt;inode</code></pre><p>Returns the Root Bone of the specified Ragdoll.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.IsRagdollNode &lt;node&gt;inode</code></pre><p>Returns true if the specified node is a Ragdoll Node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.LoadRagdollHelperMesh &lt;meshby value&gt;mesh</code></pre><p>Loads a Ragdoll Helper Mesh value. Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;nvpx.CreateRagdollHelper()</code></pre><p>Creates a Ragdoll Helper.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.RagdollRegenerate &lt;node&gt;ragdoll &lt;&amp;node array&gt;bones \n\
\n\
bones is In and Out parameter</code></pre><p>Regenerates the specified Ragdoll node using the array of bone nodes provided by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.RagdollAddBone &lt;node&gt;ragdoll &lt;node&gt;boneNode</code></pre><p>Adds the bone node given by the second argument to the Ragdoll node specified by the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.RagdollRemoveBone &lt;node&gt;ragdoll &lt;node&gt;boneNode</code></pre><p>Removes the bone node specified by the second argument from the Ragdoll specified by the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.RagdollGroupBones &lt;node&gt;ragdoll &lt;&amp;node array&gt;bones \n\
\n\
bones is In and Out parameter</code></pre><p>Specifies the Ragdoll bones of the Ragdoll given by the first argument using the by-reference array passed as second argument. Returns <code>true</code> on success, <strong><code>false</code></strong> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.RagdollSave &lt;node&gt;ragdoll &lt;string&gt;filename</code></pre><p>Saves the Ragdoll specified by the first argument to the file name given by the second argument. Returns <code>true</code> on success, <strong><code>false</code></strong> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.RagdollLoad &lt;node&gt;ragdoll &lt;string&gt;filename</code></pre><p>Loads the Ragdoll specified by the first argument from the file name given by the second argument. Returns <code>true</code> on success, <strong><code>false</code></strong> on failure.</p>\n\
<h2 id=\"biped-integration\">Biped Integration</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.IsBiped &lt;node&gt;inode</code></pre><p>Returns true if the specified node is a Biped node, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.IsBipedRoot &lt;node&gt;inode</code></pre><p>Returns true if the specified node is a Biped Root node, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.IsBipedFootsteps &lt;node&gt;inode</code></pre><p>Returns true if the specified node is a Biped Footsteps node, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.BipedSetKeys &lt;boolean&gt;setKeys</code></pre><p>Sets keys for the selected Biped if the argument is true.</p>\n\
<h2 id=\"physique-integration\">Physique Integration</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.PhysiqueLoad &lt;node&gt;inode</code></pre><p>Loads the Physique data of the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.PhysiqueGetNumBones &lt;node&gt;inode</code></pre><p>Returns the number of bones associated with the Physique modifier of the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;nvpx.PhysiqueGetBone &lt;node&gt;inode &lt;integer&gt;boneIndex</code></pre><p>Returns the indexed bone node from the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.PhysiqueGetNumBoneVertices &lt;node&gt;inode &lt;node&gt;boneNode</code></pre><p>Returns the number of vertices in the node specified by the first argument influenced by the bone provided by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3 by value&gt;nvpx.PhysiqueGetBoneVertex &lt;node&gt;inode &lt;node&gt;boneNode &lt;integer&gt;verticeIndex</code></pre><p>Returns the position of the indexed vertex in the node specified by the first argument influenced by the bone given by second argument.</p>\n\
<h2 id=\"utility-functions\">Utility Functions</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.IsConvex &lt;node&gt;inode</code></pre><p>Returns true if the specified node is convex, false if it is concave, or not a geometry object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.CalcVolume &lt;node&gt;inode</code></pre><p>Returns the Volume of the specified node in generic cubic units.</p>\n\
<h2 id=\"indirect-drag-methods\">Indirect Drag Methods</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.StartIndirectDrag &lt;node&gt;attach</code></pre><p>Starts Indirect Drag by attaching the specified node to the mouse while simulation is running. Returns <strong><code>true</code> on success, <code>false</code></strong> if simulation is not running.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.OnIndirectDrag &lt;&amp;point3&gt;mousepos\n\
\n\
mousepos is In and Out parameter</code></pre><p>If Indirect Drag is enabled, returns <strong><code>true</code> and stores the mouse position in the by-reference argument. Otherwise returns <code>false</code></strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.EndIndirectDrag()</code></pre><p>Ends the Indirect Drag. Returns <strong><code>true</code> on success, <code>false</code></strong> otherwise.</p>\n\
<h2 id=\"visualizer-methods\">Visualizer Methods</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.VisualizerGetEnabled()</code></pre><p>Returns the Enabled state of the Visualizer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.VisualizerSetEnabled &lt;boolean&gt;flag</code></pre><p>Sets the Enabled state of the Visualizer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.VisualizerGetScale()</code></pre><p>Returns the Scale value of the Visualizer. Default is 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.VisualizerSetScale &lt;float&gt;newScale</code></pre><p>Sets the Scale of the Visualizer to the given floating point value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.VisualizerGetPhysXParamCount()</code></pre><p>Returns the number of PhysX Parameters supported by the Visualizer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;nvpx.VisualizerGetPhysXParamName &lt;integer&gt;index</code></pre><p>Returns the name of the i-th parameter. The index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.VisualizerGetPhysXParam &lt;string&gt;paramName</code></pre><p>Returns the value of the specified Visualizer parameter. Boolean values are represented as integers where 0 is false and 1 is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.VisualizerSetPhysXParam &lt;string&gt;paramName &lt;boolean&gt;flag</code></pre><p>Sets the Visualizer Parameter with the name given by the first argument to the boolean value supplied by the second argument. Returns true on success, false if the parameter name was not recognized. For a list of valid parameter names, see the example below:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i = 1 to nvpx.VisualizerGetPhysXParamCount() do\n\
   (\n\
     local theName= (nvpx.VisualizerGetPhysXParamName i)\n\
     format &quot;%: \\&quot;%\\&quot; = %\\n&quot; i theName (nvpx.VisualizerGetPhysXParam theName)\n\
   )\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   1: &quot;Body Axis&quot; = 0\n\
   2: &quot;Body Mass Axes&quot; = 0\n\
   3: &quot;Body Linear Velocity&quot; = 0\n\
   4: &quot;Body Angular Velocity&quot; = 0\n\
   5: &quot;Joint Local Axes&quot; = 0\n\
   6: &quot;Joint World Axes&quot; = 0\n\
   7: &quot;Joint Limits&quot; = 0\n\
   8: &quot;Contact Point&quot; = 0\n\
   9: &quot;Contact Normal&quot; = 0\n\
   10: &quot;Contact Error&quot; = 0\n\
   11: &quot;Contact Force&quot; = 1\n\
   12: &quot;Actor Axes&quot; = 0\n\
   13: &quot;Collision AABBS&quot; = 0\n\
   14: &quot;Collision Shapes&quot; = 0\n\
   15: &quot;Collision Axes&quot; = 0\n\
   16: &quot;Collision Compounds&quot; = 0\n\
   17: &quot;Collision VNormals&quot; = 0\n\
   18: &quot;Collision FNormals&quot; = 0\n\
   19: &quot;Collision Edges&quot; = 0\n\
   20: &quot;Collision Spheres&quot; = 0\n\
   21: &quot;Collision Static&quot; = 0\n\
   22: &quot;Collision Free&quot; = 0\n\
   23: &quot;Collision CCD&quot; = 0\n\
   24: &quot;Collision Skeletons&quot; = 0\n\
   OK\n\
</code></pre></blockquote>\n\
<h2 id=\"physx-system\">PhysX System</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetPhysXSDKVersion()</code></pre><p>Returns the PhysX SDK Version as Integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;nvpx.GetPhysXSDKVersionString()</code></pre><p>Returns the PhysX SDK Version as String.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetPhysXSDKVersionMajor()</code></pre><p>Returns the PhysX SDK Major Version as Integer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetPhysXSDKVersionMinor()</code></pre><p>Returns the PhysX SDK Minor Version as Integer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetPhysXSDKVersionBugFix()</code></pre><p>Returns the PhysX SDK Bug Fix Version as Integer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetApexSDKVersion()</code></pre><p>Returns the Apex SDK Version as Integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetPhysXPluginCount()</code></pre><p>Returns the number of installed PhysX Plugins.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetPhysXPluginVersion &lt;integer&gt;Index</code></pre><p>Returns the version number of the indexed PhysX Plugin.</p>\n\
<p>If the index is less than 1 or higher than the value returned by <code>nvpx.GetPhysXPluginCount()</code> , the return value will be 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;nvpx.GetPhysXPluginVersionString &lt;integer&gt;Index</code></pre><p>Returns the Version of the indexed PhysX Plugin as String.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetPhysXPluginVersionMajor &lt;integer&gt;Index</code></pre><p>Returns the Major Version of the indexed PhysX Plugin as Integer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetPhysXPluginVersionMinor &lt;integer&gt;Index</code></pre><p>Returns the Minor Version of the indexed PhysX Plugin as Integer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetPhysXPluginVersionBugFix &lt;integer&gt;Index</code></pre><p>Returns the Bug Fix Version of the indexed PhysX Plugin as Integer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.IsAutodeskVersion()</code></pre><p>Returns True if the PhysX plugin is the Autodesk MassFX version, False if it is an NVidia or 3rd party build.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;nvpx.GetPluginCompanyName()</code></pre><p>Returns the company-specific plugin name.</p>\n\
<p>In the case of the Autodesk build, returns &quot;MassFX&quot;.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;nvpx.GetScriptPath()</code></pre><p>Returns the path to the MassFX related scripts.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   nvpx.GetScriptPath()</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &quot;stdplugs\\stdscripts\\(MassFX)\\&quot;</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.InitializePhysX &lt;value&gt;stream</code></pre><p>Initializes the PhysX system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.BeforeAddPhysXActors()</code></pre><p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.CreateToolbar()</code></pre><p>Creates the MassFX Simulation Toolbar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.ShowToolbar &lt;boolean&gt;show</code></pre><p>When the boolean argument is passed as <code>true</code> , shows the MassFX Simulation Toolbar.</p>\n\
<p>When the boolean argument is passed as <code>false</code> , hides the MassFX Simulation Toolbar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.ShowMaterialEditor &lt;boolean&gt;show</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> This method was available in <strong>3ds Max 2012</strong>, but has been <strong>removed</strong> from <strong>3ds Max 2013</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.ShowValidateScene &lt;boolean&gt;automated</code></pre><p>Shows the Validate Scene dialog.</p>\n\
<p>When the boolean argument is <code>true</code> , the tests will also be performed automatically.</p>\n\
<p>When the boolean argument is <code>false</code> , the tests will not be performed and will require the manual pressing of the &quot;Validate&quot; button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.HwAvailable()</code></pre><p>Returns <code>true</code> if PhysX acceleration hardware is available, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetScreenHeight()</code></pre><p>Returns the screen height in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;nvpx.GetSimulationFPS()</code></pre><p>Returns the simulation frame rate as a floating number of frames per second.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.PrintSimulationFPS &lt;boolean&gt;onoff</code></pre><p>When the boolean argument is passed as <code>true</code> , turns on the automatic simulation frame rate printing to the MAXScript Listener.</p>\n\
<p>When the argument is <code>false</code> , the frame rate printing will be turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.UsePhysXPlugin &lt;integer&gt;Index</code></pre><p>Switches to the indexed PhysX plugin.</p>\n\
<p>Returns true on success, false on failure (for example, plugin index out of range).</p>\n\
<p>Additionally, prints a message to the MAXScript Listener &quot;Switch PhysX SDK to XXX&quot;, where XXX is the SDK version returned by <code>nvpx.GetPhysXPluginCount()</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.DetachPhysX()</code></pre><p>Detaches the PhysX plugin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.AttachPhysX()</code></pre><p>Attaches the PhysX plugin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.DestroyPhysX()</code></pre><p>Destroys the PhysX plugin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.OpenHelpFile()</code></pre><p>Opens the MassFX Help File, if available.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.IsApexAvailable()</code></pre><p>Returns true if the APEX Cloth Simulation is available in the current plugin, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.DebugPrint()</code></pre><p>Prints a debug text to the MAXScript Listener, containing information about the current state of the PhysX Engine and the simulation objects in the scene.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   nvpx.DebugPrint()\n\
   --&gt;\n\
   PhysX SDK version: 34079744, HW version: 0\n\
      Number of PPUs: 0\n\
      Number of Triangle meshes: 0\n\
      Number of HeightFields: 0\n\
      Number of Cloth meshes: 0\n\
      Number of SoftBody meshes: 0\n\
      Number of CCD skeletons: 0\n\
      Number of Scenes: 1\n\
      Scene object: 1013386992\n\
         Number of NxActors: 0\n\
   Our Scene object: 1013386992\n\
   Cooking interface object: 970914512, initialized: true\n\
   ---------------------------------------------------\n\
   0\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.DescribeMe()</code></pre><p>Prints a list of all methods implemented by the nvpx Interface. Similar to calling <code>showInterface nvpx</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.PhysXPanelTooltip()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.ConnectPVD &lt;string&gt;hostName</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.SetButtonCheck &lt;integer&gt;id &lt;boolean&gt;value</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetNullCM()</code></pre><p>Enters the PhysX Drag Mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.RemoveNullCM()</code></pre><p>Exits the PhysX Drag Mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.SetAnimationState &lt;boolean&gt;state</code></pre><p>Sets the animation state to the specified Boolean value.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.GetAnimationState()</code></pre><p>Returns the animation state as Boolean value.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;nvpx.GetPluginBuild()</code></pre><p>Returns the plugin build string.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.ShowAboutDialog()</code></pre><p>Opens the MassFX About Dialog.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetBehaviorReason()</code></pre><p>Returns an integer representing the Behavior Reason mode.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SetBehaviorReason &lt;integer&gt;mode</code></pre><p>Sets the Behavior Reason to the specified integer mode. Returns True on success, False on failure.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetVirtualScreenX()</code></pre><p>Returns the Virtual Screen&apos;s X size.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetVirtualScreenY()</code></pre><p>Returns the Virtual Screen&apos;s Y size.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.DumpContentCore &lt;string&gt;file &lt;integer&gt;Type</code></pre><p>Creates an XML file with the specified file name containing all core settings.</p>\n\
<p>The second argument controls the content type - 0 outputs only the objects definitions, 1 or any non-zero argument also includes all type definitions.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpx.DumpContentCore @&quot;c:\\temp\\DumpContentCore.txt&quot; 0</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.SwitchSDKOnPanelData()</code></pre><p>For internal use.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"viewer\">Viewer</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.CreateViewer()</code></pre><p>Creates a Viewer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.PreCreateViewer()</code></pre><p>Call before creating the Viewer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.PostCreateViewer()</code></pre><p>Call after creating the Viewer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.ShouldViewerSync()</code></pre><p>Returns the Viewer sync state. Default is False.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.GetViewerCommand()</code></pre><p>Returns the Viewer command.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nvpx.SetViewerCommand &lt;integer&gt;command</code></pre><p>Sets the Viewer&apos;s command.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.CheckViewerState()</code></pre><p>Updates the Viewer state.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.UpdateViewerPlayback()</code></pre><p>Updates the Viewer&apos;s playback.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"profiler-methods\">Profiler Methods</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.ProfilerBegin &lt;string&gt;name</code></pre><p>Begins profiling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.ProfilerEnd &lt;string&gt;name</code></pre><p>Ends profiling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.ProfilerDump()</code></pre><p>Dumps the profiling information collected between the Begin and End calls. The information will contain a line for each defined profiler and the Average, Minimum, Maximum, and Total times, as well as the number of times a simulation has been run.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   nvpx.ProfilerBegin &quot;Test&quot; --start profiling.\n\
   --&gt; OK\n\
\n\
   --Perform MassFX Simulation, e.g. Bake All.\n\
\n\
   nvpx.ProfilerEnd &quot;Test&quot; --end profiling.\n\
   --&gt; OK\n\
   nvpx.ProfilerDump() --Dump the collected info:\n\
   --&gt; Test avg:37728ms min:37728 max:37728 count:1 total:37728ms\n\
   --&gt; OK\n\
\n\
</code></pre></blockquote>\n\
<h2 id=\"multi-threading-and-hardware-acceleration\">Multi-threading and Hardware Acceleration</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SupportMultiThread()</code></pre><p>Returns true if the PhysX engine supports multi-threading, false if it does not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.IsMultiThreadOn()</code></pre><p>Returns true if Multi-Threading is enabled, false if it is disabled. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.UseMultiThread &lt;boolean&gt;onOff</code></pre><p>If the argument is true, enables Multi-Threading. If the argument is false, disables it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.SupportHardwareScene()</code></pre><p>Returns true if hardware acceleration is currently supported, false if it is not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.IsHardwareSceneOn()</code></pre><p>Returns true if hardware acceleration is enabled, false if it is disabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.UseHardwareScene &lt;boolean&gt;onOff</code></pre><p>If the argument is true and hardware acceleration is supported, enables hardware acceleration. If false, disables hardware acceleration. Returns true on success, false if hardware acceleration is not supported.</p>\n\
<h2 id=\"unittest-methods\">UnitTest Methods</h2><p>The following methods are used to perform internal unit tests and must not be called by users.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.UnitTest_MaterialCreate &lt;integer&gt;type &lt;string&gt;name</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nvpx.UnitTest_MaterialFind &lt;string&gt;name</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.UnitTest_MaterialDelete &lt;string&gt;type</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.UnitTest_MaterialAssign &lt;node&gt;node &lt;string&gt;name</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;nvpx.UnitTest_MaterialPick &lt;node&gt;node</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.UnitTest_MaterialSetSelection &lt;string&gt;type</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;nvpx.UnitTest_MaterialGetSelection()</code></pre><h2 id=\"destruction-and-damage\">Destruction And Damage</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;nvpx.CreateDestruction &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter</code></pre><p>Creates a Destruction setup using the nodes in the by-reference array argument.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.UpdateDamageForces &lt;float&gt;Damage &lt;float&gt;Momentum &lt;float&gt;Radius</code></pre><p>Updates the Damage Forces using the specified damage, momentum, and radius.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.ToggleBomb()</code></pre><p>Toggle Bomb on and off.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;nvpx.ToggleHammer()</code></pre><p>Toggle Hammer on and off.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../N-O.html\">N,O</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../P-Q/Interface-PhysXPanelInterface.html\">Interface: PhysXPanelInterface</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Extensions/MAXScript-Extensions-for-MassFX/PhysXPanel-ReferenceTarget.html\">PhysXPanel : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/Skeleton-helper.html\">Skeleton : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/pxJoint-helper.html\">pxJoint : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\">nvBox : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\">nvSphere : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\">nvCapsule : GeometryClass</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";