var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-665C19AC-0C4C-41D8-9803-1AF54FEA3C8B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: objXRefs</h1></div><p>The <strong>objXRefs Core Interface</strong> provides MAXScript access to the XRef Object feature.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <a href=\"Interface-objXRefMgr.html\">objXRefMgr</a> interface is the preferred way for working with xrefs in <strong>3ds Max 8</strong> and higher.</div>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;objXRefs.addNewXRefObject &lt;filename&gt;fname &lt;string&gt;objname &lt;integer&gt;flags      </code></pre><p>The merge behavior is controlled by the bits set in the <strong>flags</strong> parameter:</p>\n\
<ul>\n\
<li>1 - Add as proxy (Bit: 1)</li>\n\
<li>2 - Drop (ignore) modifiers (Bit: 2)</li>\n\
<li>4 - Merge modifiers (Bit: 3)</li>\n\
<li>8 - Merge manipulators (Bit: 4)</li>\n\
</ul>\n\
<p>Duplicate material names action:</p>\n\
<ul>\n\
<li><p>256 - Prompt (Bit: 9)</p>\n\
</li>\n\
<li><p>512 - Use Scene Material (Bit: 10)</p>\n\
</li>\n\
<li><p>1024 - Use Merged Material (Bit: 11)</p>\n\
</li>\n\
<li><p>2048 - Merge material and automatically rename them (Bit: 12)</p>\n\
</li>\n\
</ul>\n\
<p>Reparent action: (available in <strong>3ds Max 2019.1 Update and higher</strong>)</p>\n\
<ul>\n\
<li><p>4096 - Prompt (Bit: 13)</p>\n\
</li>\n\
<li><p>8192 - Always Reparent (Bit: 14)</p>\n\
</li>\n\
<li><p>16384 - Never Reparent (Bit: 15)</p>\n\
</li>\n\
</ul>\n\
<p>The default behavior (flags = 0) is :</p>\n\
<ul>\n\
<li>XRef the modifiers</li>\n\
<li>XRef the manipulators</li>\n\
<li>when duplicate material names are encountered use the option specified by objXrefMgr.dupMtlNameAction (which defaults to Merge and Rename)</li>\n\
<li>Always Reparent</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;objXRefs.getNumXRefObjects &lt;filename&gt;fname   </code></pre><p>Returns the number of object XRefs contained in the file</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;objXRefs.getXRefObject &lt;filename&gt;fname &lt;index&gt;index </code></pre><p>Returns the Nth XRef&apos;ed object contained in the specified file</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;objXRefs.getNumFiles() </code></pre><p>Returns the number of files that contain object XRefs</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;objXRefs.getFileName &lt;index&gt;index </code></pre><p>Returns the file name of the Nth file that contains object XRefs</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;objXRefs.reloadFile &lt;filename&gt;fname </code></pre><p>Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;objXRefs.isFileUnresolved &lt;filename&gt;fname </code></pre><p>Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;objXRefs.isFileDisabled &lt;filename&gt;fname </code></pre><p>Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;array&gt;objXRefs.getAllXRefObjects() </code></pre><p>Returns an array of all XRef Objects present in the current scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;objXRefs.getEmptyXRefRecCount() </code></pre><p>Returns the number of empty XRefs.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../N-O.html\">N,O</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Interface-objXRefMgr.html\">Interface: objXRefMgr</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/XRef-Objects-and-Scenes/XRefObject-Node.html\">XRefObject : Node</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/XRef-Objects-and-Scenes/XRefScene-Values.html\">XRefScene Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/XRef-Files.html\">XRef Files</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";