var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-85826518-65D4-492B-8FB7-A6112A09EAA3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: paramWire</h1></div><p><a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Parameter-Wiring/Parameter-Wiring-1.html\">Parameter Wiring</a></p>\n\
<p>The <strong>paramWire Core Interface</strong> provides general access to the parameter wiring functions introduced in <strong>3ds Max 4</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;paramWire.start()      </code></pre><p>This method will launch the parameter wiring UI mode on the currently selected object.</p>\n\
<p>Only works if there is a single object selected in the viewport.</p>\n\
<p>It will move the cursor to the pivot point of the node.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   It can be used in a macroScript like this:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript paramWire\n\
   category:&quot;Tools&quot;\n\
   buttonText:&quot;Wire Parameters&quot;\n\
   tooltip:&quot;Start Param Wiring&quot;\n\
   Icon:#(&quot;MAXScript&quot;,1)\n\
   (\n\
   on execute do paramWire.start() \n\
   on isEnabled return selection.count == 1 \n\
   ) \n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;paramWire.openEditor() </code></pre><p>This method will open up the parameter wiring dialog on the selected objects with no track selected in either tree view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;paramWire.editParams &lt;value&gt;leftParam &lt;value&gt;rightParam </code></pre><p>Opens the parameter wiring editor dialog on the parameters specified. The parameter is specified as a SubAnim in MAXScript using the index [] operator on a <strong>3ds Max</strong> object.</p>\n\
<p><code>&lt;value&gt;leftParam :</code> The sub-animatable of the left-hand reference target.</p>\n\
<p><code>&lt;value&gt;rightParam :</code> The sub-animatable of the right-hand reference target.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The subanim index operator can also take number indexes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;paramWire.editParam &lt;value&gt;param </code></pre><p>Opens the parameter wiring editor dialog on the parameter specified. The parameter is specified as a SubAnim in MAXScript using the index [] operator on a <strong>3ds Max</strong> object.</p>\n\
<p><code>&lt;value&gt;param :</code> The sub-animatable of the left-hand reference target.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- The radius parameter in a sphere node\n\
   s = sphere()\n\
   paramWire.editParam $sphere001.baseObject[#radius]\n\
   -- The angle parameter in a bend modifier would be\n\
   -- paramWire.editParam $foo.bend[#angle]\n\
   -- The position parameter in node would be\n\
   -- paramWire.editParam $foo[#transform][#position], etc.\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;paramWire.editControllers &lt;control&gt;leftController &lt;control&gt;rightController </code></pre><p>Opens the parameter wiring editor dialog on the two given existing wire controllers.</p>\n\
<p><code>&lt;control&gt;leftController :</code> A pointer to the controller for the left-hand wire.</p>\n\
<p><code>&lt;control&gt;rightController :</code> A pointer to the controller for the right-hand wire.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;paramWire.editController &lt;control&gt;controller </code></pre><p>Opens the parameter wiring editor dialog on the given existing wire controller.</p>\n\
<p><code>&lt;control&gt;controller :</code> A pointer to the controller being edited.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   paramWire.editController $foo.radius.controller\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;paramWire.connect &lt;value&gt;fromParam &lt;value&gt;toParam &lt;string&gt;toExpr </code></pre><p>This method allows you to set up a one-way parameter wire from the &apos;fromParam&apos; subAnim to the &apos;toParam&apos; subAnim using the &apos;toExpr&apos; as the expression for the controlled parameter.</p>\n\
<p>Returns <code>true</code> if the connection can be made, otherwise <code>false</code> .</p>\n\
<p><code>&lt;value&gt;fromParam :</code> The sub-animatable to wire from.</p>\n\
<p><code>&lt;value&gt;toParam :</code> The sub-animatable to wire to.</p>\n\
<p><code>&lt;string&gt;toExpr :</code> A string containing the expression on the &quot;to wire&quot;.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   paramWire.connect $foo.baseObject[#radius] $baz.bend[#angle] &quot;radius / 2&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;paramWire.connect2Way &lt;value&gt;leftParam &lt;value&gt;rightParam &lt;string&gt;leftExpr &lt;string&gt;rightExpr </code></pre><p>This method allows you to set up a two-way parameter wire between the &apos;leftParam&apos; parameter and the &apos;rightParam&#x2019; parameter, with the given expression strings.</p>\n\
<p>Returns <code>true</code> if the connection can be made, otherwise <code>false</code> .</p>\n\
<p><code>&lt;value&gt;leftParam :</code> The sub-animatable of the left-hand reference target.</p>\n\
<p><code>&lt;value&gt;rightParam :</code> The sub-animatable of the right-hand reference target.</p>\n\
<p><code>&lt;string&gt;leftExpr :</code> A string containing the expression for the left-hand target.</p>\n\
<p><code>&lt;string&gt;rightExpr :</code> A string containing the expression for the right-hand target.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   paramWire.connect2Way $foo.baseObject[#radius] $baz.bend[#angle] \\ &quot;angle / 2&quot; &quot;radius * 2&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;paramWire.disconnect &lt;control&gt;controller </code></pre><p>This method allows you to disconnect a one-way wireController from its current parameter, replacing it with either the wire&apos;s existing animation track or a default controller for the parameter.</p>\n\
<p>Returns <code>true</code> if the disconnect was successful, otherwise <code>false</code> .</p>\n\
<p><code>&lt;control&gt;controller :</code> A pointer to the wire controller you wish to disconnect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;paramWire.disconnect2Way &lt;control&gt;leftController &lt;control&gt;rightController </code></pre><p>This method allows you to disconnect a two-way wire between &apos;leftcontroller&#x2019; and &apos;rightController&#x2019;. If this is the last two-way wire for either controller, replace it with either the wire&apos;s existing animation track or a default controller for the parameter. Returns <code>true</code> if the disconnect was successful, otherwise <code>false</code> .</p>\n\
<p><code>&lt;control&gt;leftController :</code> A pointer to the first wire controller you wish to disconnect.</p>\n\
<p><code>&lt;control&gt;rightController :</code> A pointer to the second wire controller you wish to disconnect.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../P-Q.html\">P,Q</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Parameter-Wiring/Parameter-Wiring-1.html\">Parameter Wiring</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Animation-Controllers/Controller-Types/Float-Controllers/Float_Wire-FloatController.html\">Float_Wire : FloatController</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Animation-Controllers/Controller-Types/Point3-Controllers/Point3_Wire-Point3Controller.html\">Point3_Wire : Point3Controller</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Animation-Controllers/Controller-Types/Position-Controllers/Position_Wire-PositionController.html\">Position_Wire : PositionController</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Animation-Controllers/Controller-Types/Rotation-Controllers/Rotation_Wire-RotationController.html\">Rotation_Wire : RotationController</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Animation-Controllers/Controller-Types/Scale-Controllers/Scale_Wire-ScaleController.html\">Scale_Wire : ScaleController</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";