var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7E144C67-4F97-4A2A-924E-711870C7DF6E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: SME</h1></div><p>The <strong>SME Core Interface</strong> introduced in <strong>3ds Max 2011</strong> exposes properties and methods related to the Slate Material Editor.</p>\n\
<h2 id=\"interface-sme\">Interface: SME</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sme.activeView : index : Read|Write      </code></pre><p>Get/set the Slate Material Editor&apos;s active View.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;sme.Open() </code></pre><p>Opens the Slate Material Editor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;sme.Close() </code></pre><p>Closes the Slate Material Editor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;sme.IsOpen() </code></pre><p>Returns true if the Slate Material Editor is open, false if it is closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;sme.GetNumViews() </code></pre><p>Returns the number of Node Views as an integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;sme.CreateView &lt;string&gt;name </code></pre><p>Creates a new Node View with the given name and returns its index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;sme.GetView &lt;index&gt;index </code></pre><p>Returns an <a href=\"#ifp_nodeviewimp---iobject\">IObject:IFP_NodeViewImp</a> object representing the indexed Node View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;sme.GetViewIndex &lt;IObject&gt;view </code></pre><p>Returns the index of the given Node View <a href=\"#ifp_nodeviewimp---iobject\">IObject:IFP_NodeViewImp</a> object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;sme.GetViewByName &lt;string&gt;name </code></pre><p>Returns the index of the named Node View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;sme.DeleteView &lt;index&gt;index &lt;boolean&gt;ask_user </code></pre><p>Deletes the indexed Slate Material Editor view.</p>\n\
<p>If the second argument is true, prompts the user for confirmation, otherwise deletes the view without prompting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;sme.GetMtlInParamEditor() </code></pre><p>Returns the material or map current displayed in the Parameter Editor of the Slate Material Editor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sme.SetMtlInParamEditor &lt;maxObject&gt; </code></pre><p>Sets the material or map to be displayed in the Parameter Editor of the Slate Material Editor.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;sme.GetNavigator() </code></pre><p>Returns an <a href=\"Interface-SME.html\">WndBase Interface</a> to the Slate Material Editor&apos;s Navigator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;sme.GetMaterialPool() </code></pre><p>Returns an <a href=\"Interface-SME.html\">WndBase Interface</a> to the Slate Material Editor&apos;s Material Pool.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;sme.GetParamEditor() </code></pre><p>Returns an <a href=\"Interface-SME.html\">WndBase Interface</a> to the Slate Material Editor&apos;s Parameter Editor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;sme.GetMainframe() </code></pre><p>Returns an <a href=\"Interface-SME.html\">WndBase Interface</a> to the Slate Material Editor&apos;s Main Frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;DoMtlBrowseDlg &lt;HWND&gt;parent &lt;integer&gt;flags &lt;&amp;boolean&gt;newMat &lt;&amp;boolean&gt;cancel fromLibrary:&lt;&amp;boolean&gt; copiedMaterial:&lt;&amp;boolean&gt;\n\
       newMat is In and Out parameter\n\
       cancel is In and Out parameter\n\
       fromLibrary default value: undefined\n\
       fromLibrary is In and Out parameter\n\
       copiedMaterial default value: undefined\n\
       copiedMaterial is In and Out parameter</code></pre><p>Opens a modal Material/Map browser dialog.</p>\n\
<p>The first argument is the window handle of the parent window, use 0 for none.</p>\n\
<p>The second argument is a flags value controlling the display of materials and maps in the dialog. Possible Flag values are:</p>\n\
<p>1,5,9... - Materials, Sample Slots</p>\n\
<p>2,6,10... - Maps</p>\n\
<p>0,3,7,11... - Maps, Materials, Sample Slots</p>\n\
<p>4,8,12... - None</p>\n\
<p>The third by-reference argument will contain true if a new material was created, false if an existing one was picked.</p>\n\
<p>The fourth by-reference argument will contain true if the Cancel button was clicked, false if the OK button was clicked.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   isNew = false\n\
   isCanceled = false\n\
   c = sme.DoMtlBrowseDlg 0 0 &amp;isNew &amp;isCanceled\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;sme.OpenMtlBrowseDlg() </code></pre><p>Opens the Material Browser Dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;sme.OpenMtlLib &lt;string&gt;path name:&lt;string&gt;\n\
       name default value: &quot;&quot;</code></pre><p>Opens the material library specified by the file path and optional name. If only the material library file name is specified in the path, the current material library directory is searched for the specified filename. The optional name parameter can specify a path to a library as it is named in the Material Browser, where backslashes denote folder hierarchy. For example, &quot;Maps\\OSL\\Shiny Things&quot; would open a material library named &quot;Shiny Things&quot; in a folder named &quot;OSL&quot; in the folder named &quot;Maps&quot;.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong>\n\
Returns true if the library was successfully found and opened, false if not.</p>\n\
<p>For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sme.OpenMtlLib &quot;Nature.mat&quot;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;sme.HasMtlLib &lt;string&gt;path</code></pre><p>Returns true if the specified material library is open in the Slate Material Editor.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;sme.IsMtlLibModified &lt;string&gt;path </code></pre><p>Returns true if the specified material library has been modified (materials have been added, deleted, or changed), false if not.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;sme.SaveMtlLib &lt;string&gt;path </code></pre><p>Saves the specified material library, returning true if successful, false if not.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;sme.SaveMtlLibAs &lt;string&gt;path newPath:&lt;&amp;string&gt;\n\
       newPath default value: &quot;&quot;\n\
       newPath is In and Out parameter</code></pre><p>Saves a copy of the specified material library from the location and file name specified by <code>path</code> to the optional <code>newPath</code>. If <code>newPath</code> is empty, a file chooser dialog is displayed and the user is prompted for a new path and filename, and the selected path is returned in <code>newPath</code>.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;sme.CloseMtlLib &lt;string&gt;path</code></pre><p>Closes the material library specified by <code>path</code>.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<h3 id=\"ifp_nodeviewimp-iobject\">IFP_NodeViewImp : IObject</h3><p><strong>Interface: NodeView</strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.name : string : Read|Write </code></pre><p>Get/set the name of the Node View.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumNodes() </code></pre><p>Returns the number of nodes in the View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;GetNode &lt;index&gt;index </code></pre><p>Returns the Node Interface of the indexed node from the View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;GetNodeByRef &lt;maxObject&gt;ref </code></pre><p>Returns the Node Interface to the given Material or Map object reference, or undefined if the reference does not exist in the Node View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;CreateNode &lt;maxObject&gt;ref &lt;&amp;point2&gt;pos \n\
\n\
pos is In and Out parameter</code></pre><p>Creates a new node from the given Material or Map object reference at the position specified by-reference.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;DeleteSelection() </code></pre><p>Deletes the selected nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SelectNone()</code></pre><p>Deselects all nodes in the Node View.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SelectAll()</code></pre><p>Selects all nodes in the Node View.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SelectInvert()</code></pre><p>Inverts the node selection in the Node View.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface by value array&gt;GetSelectedNodes()</code></pre><p>Returns the selected nodes in the Node View as an array of Node Interfaces.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetSelectedNodes &lt;maxObject by value array&gt;refs</code></pre><p>Sets the Node View selection to the array of Materials and/or Maps object references provided as argument.</p>\n\
<p>Setting the selection will deselect any other previously selected nodes.</p>\n\
<p>This function will <strong>not</strong> open any items in the Parameter Editor - you can use the <code>sme.SetMtlInParamEditor()</code> method documented earlier in this topic.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ZoomExtents type:&lt;enum&gt; \n\
type enums: {#all|#selected} \n\
type default value: #all</code></pre><p>Zooms the Node View to show all nodes or all selected nodes according to the type optional keyword argument.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Interface: WndBase</strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.position : point2 by value : Read|Write </code></pre><p>Get/set the Position of the Node View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.size : point2 by value : Read|Write </code></pre><p>Get/set the Size of the Node View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.visible : boolean : Read|Write </code></pre><p>Get/set the Visibility of the Node View.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetFocus() </code></pre><p>Sets the focus on the Node View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;GetParent() </code></pre><p>Returns the WndBase interface of the Parent of the Node View.</p>\n\
<h3 id=\"interface-node\">Interface: Node</h3><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.name : string : Read|Write</code></pre><p>Get/set the name of the Node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.position : point2 by value : Read|Write</code></pre><p>Get/set the Position of the Node inside the Node View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.selected : boolean : Read|Write</code></pre><p>Get/set the Selected state of the Node.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../S.html\">S</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/Material-Editor-1.html\">Material Editor</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/MatEditor-Open-and-Close-the.html\">MatEditor - Open and Close the Material Editor</a></li>\n\
          <li><a class=\"link\" href=\"../M/Interface-medit.html\">Interface: medit</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";