var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2CECA1ED-4A66-4D96-A8F8-3486378804D8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: SceneEffectLoader</h1></div><p>This Core Interface exposes <strong>the Scene Effect Loader Utility</strong> to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneEffectLoader.LoadSceneEffect &lt;filename&gt;effectFile effectType:&lt;enum&gt; numberOfPasses:&lt;integer&gt;      \n\
\n\
effectType enums: { #Post | #Pre | #Env}      \n\
effectType default value: #Post      \n\
numberOfPasses default value: 0   </code></pre><p>Loads the specified effects file into the Scene Effect Loader.</p>\n\
<p>Loads the specified file and registers it with the Scene Effect system. The system maintains three lists: Post, Pre, and Env.</p>\n\
<p><code>#Post</code> - The effect is applied at the end of the scene graph. For example, Sepia or edge detect.</p>\n\
<p><code>#Pre</code> - Runs before any geometry is rendered. Useful for background effects. Only the first loaded pre-effect will be used.</p>\n\
<p><code>#Env</code> - Environmental effects. These are run in a separate pass and generally create data for object based shaders or shaders later on in the scene graph. For example, shadows or depth info.</p>\n\
<p>To specify which list the effect belongs to, use the effectType: argument.</p>\n\
<p>The numberOfPasses: argumentis only used with Env type shaders. Environment shaders must specify how many passes it requires to the system, for example, to create a cubemap, the shader will need six passed.</p>\n\
<p>The lists are maintained in the order they are generated. This means that the effects are run in the same order. So, if you want to reorganize the list, simply remove all effects and apply them in the correct order.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SceneEffectLoader.ResetEffects() </code></pre><p>Resets the Scene Effect Loader, removing all effects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneEffectLoader.EnableSceneEffects &lt;boolean&gt;enable </code></pre><p>Enables or disables the Scene Effect Loader depending on the boolean argument. If there are no &quot;post&quot; effects present, the system will not be enabled. There needs to be at least one post effect for the system to be able to render.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneEffectLoader.IsSceneEffectsEnabled() </code></pre><p>Returns true if the Scene Effect Loader is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;SceneEffectLoader.GetNumberOfSceneEffects effectType:&lt;enum&gt; \n\
\n\
effectType enums: { #Post | #Pre | #Env } \n\
effectType default value: #Post </code></pre><p>Returns the number of scene effects currently loaded in the Scene Effect Loader. By default, returns only Post Effects unless the effect type is specified explicitly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneEffectLoader.RemoveSceneEffect &lt;index&gt;index effectType:&lt;enum&gt; \n\
\n\
effectType enums: { #Post | #Pre | #Env } \n\
effectType defaultvalue: #Post </code></pre><p>Removes the indexed scene effect from the Loader. By default, it affects the Post Effects list. A different effect type can be specified to affect the corresponding effects list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;material&gt;SceneEffectLoader.GetSceneEffect &lt;index&gt;index effectType:&lt;enum&gt; \n\
\n\
effectType enums: { #Post | #Pre | #Env } \n\
effectType default value: #Post </code></pre><p>Returns a DirectX Shader material hosting the indexed effect from the specified effects list.</p>\n\
<p>For example, if the Post list contains the effect post_corona.fx, calling this method with index 1 will create a DirectX Shader with this fx file loaded, which can be assigned to any slot of the Material Editor for tweaking or manipulated using MAXScript.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> You can run the following example only if the Viewport driver is legacy Direct3D.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theFile = (GetDir #maxroot + &quot;maps\\\\fx\\\\scene\\\\post_corona.fx&quot;) --the FX file\n\
   SceneEffectLoader.LoadSceneEffect theFile --add the file to the Post list.\n\
   theShader = SceneEffectLoader.GetSceneEffect 1 --get the first Post effect\n\
   theShader.GlowCol = blue --set the glow color to blue\n\
   theShader.Bias = 8.0 --set the bias to 8\n\
   meditmaterials[1] = theShader --assign to MEdit slot 1 for manual tweaking\n\
   SceneEffectLoader.EnableSceneEffects true --enable the scene effects\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../S.html\">S</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";