var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0F35AB71-82B2-499A-B933-CDF7AF681938\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: SceneMissingPlugIns</h1></div><p>The <strong>SceneMissingPlugins Core Interface</strong> provides methods to query to count, classes, file names and descriptions of missing plugins in the current scene.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;SceneMissingPlugIns.GetMissingPlugInCount()</code></pre><p>Returns the number of missing plugins in the current scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;SceneMissingPlugIns.GetMissingPlugInClassName &lt;index&gt;Index</code></pre><p>Returns the class name of the indexed missing plugin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;SceneMissingPlugIns.GetMissingPlugInFileName &lt;index&gt;Index</code></pre><p>Returns the file name of the indexed missing plugin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;SceneMissingPlugIns.GetMissingPlugInDescription &lt;index&gt;Index</code></pre><p>Returns the description of the indexed missing plugin.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The following script will print information about missing plugins, if any:\n\
   for i = 1 to SceneMissingPlugIns.GetMissingPlugInCount() do\n\
   (\n\
       local theName = SceneMissingPlugIns.GetMissingPlugInClassName i\n\
       local theFileName = SceneMissingPlugIns.GetMissingPlugInFileName i\n\
       local theDesc = SceneMissingPlugIns.GetMissingPlugInDescription i\n\
       format &quot;%: % | % | %\\n&quot; i theName theFileName theDesc\n\
   )\n\
   --To test, evaluate a scripted plugin, create an instance of it in the scene and save the scene.\n\
   --Restart 3ds Max and without reevaluating the scripted plugin, load the scene file.\n\
   --Then execute the script above to see the information about your missing plugin.\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../S.html\">S</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";