var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E7C0F9E4-7FE6-4796-8CF1-52FC69A5CC67\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ViewCubeOps</h1></div><p><img src=\"./images/GUID-64B7D67A-91C3-4DB8-8DD4-C90C9437A06E-low.gif\" alt></p>\n\
<p>The <strong>ViewCubeOps Interface</strong> exposes the ViewCube viewport navigation tool&apos;s settings to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-D5B9299B-8AC4-4E95-87E8-01541E222485-low.png\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<h2 id=\"display-options\">Display Options</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewCubeOps.Visibility : boolean : Read|Write         </code></pre><p>Get/set the ViewCube visibility. Corresponds to the &quot;Show the ViewCube&quot; option in the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewCubeOps.All3DViewportsDisplay : boolean : Read|Write      </code></pre><p>Get/set whether to display the ViewCube in all views or only in the active view.</p>\n\
<p>When set to <code>true</code> , the radio button will be set to &quot;In all Views&quot;.</p>\n\
<p>When <code>false</code> , it will be set to &quot;Only in Active View&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewCubeOps.Size : integer : Read|Write   </code></pre><p>Get/set the item in theViewCube Sizedrop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Large</p>\n\
<p>1 - Normal</p>\n\
<p>2 - Small</p>\n\
<p>3 - Tiny</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewCubeOps.MinOpacity : float : Read|Write </code></pre><p>Get/set the inactive ViewCube opacity value. Default is 0.5 (50%).</p>\n\
<p>The value can be any floating point value between 0.0 and 1.0.</p>\n\
<p>Other than the drop-down list in the dialog, any value is allowed.</p>\n\
<h2 id=\"when-dragging-on-the-viewcube\">When Dragging on the ViewCube</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewCubeOps.DragSnapping : boolean : Read|Write </code></pre><p>Get/set the state of the &quot;Snap To Closest View&quot; option.</p>\n\
<h2 id=\"when-clicking-on-the-viewcube\">When Clicking on the ViewCube</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewCubeOps.FitToView : boolean : Read|Write </code></pre><p>Get/set the state of the &quot;Fit-To-View on view change&quot; option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewCubeOps.AnimatedTransition : boolean : Read|Write </code></pre><p>Get/set the state of the &quot;Use animated transitions when switching views&quot; option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewCubeOps.KeepSceneUp : boolean : Read|Write </code></pre><p>Get/set the state of the &quot;Keep Scene Upright&quot; option.</p>\n\
<h2 id=\"compass\">Compass</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewCubeOps.DrawCompass : boolean : Read|Write </code></pre><p>Get/set the state of the &quot;Show the Compass below the ViewCube&quot; option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewCubeOps.AngleOfNorth : float : Read|Write </code></pre><p>Get/set the &quot;Angle Of North (degrees)&quot; value.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ViewCubeOps.GoHome() </code></pre><p>Resets the active view to its Home state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ViewCubeOps.SetCurrentViewAsHome() </code></pre><p>Sets the current view as the Home view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ViewCubeOps.SetCurrentViewAsFront() </code></pre><p>Sets the current view as the Front view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ViewCubeOps.ResetFront() </code></pre><p>Resets the Front view to the default Front view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ViewCubeOps.Orthographic() </code></pre><p>Sets the active view to Orthographic mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ViewCubeOps.Perspective() </code></pre><p>Sets the active view to Perspective mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ViewCubeOps.SaveOptions() </code></pre><p>Saves the current settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ViewCubeOps.LoadOptions()</code></pre><p>Loads the View Cube options.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../U-V-W-X-Y-Z.html\">U,V,W,X,Y,Z</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";