var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3E389A4A-740A-4D64-888D-04A51EBA061A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ViewPanelManager</h1></div><p>This Core Interface exposes the <strong>View Panel Manager</strong> to MAXScript.</p>\n\
<p>It provides methods for the creation and manipulation of View Panels containing custom viewport configurations, as well as methods for View Panel Presets management.</p>\n\
<p>This interface also provides methods for managing floating viewports.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-5279C695-ACA1-46BC-B1EE-26F6B1036B5E-low.png\" alt></p>\n\
<p><strong>Methods:</strong></p>\n\
<h2 id=\"view-panel-creation\">View Panel Creation</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;ViewPanelManager.CreateViewPanel &lt;string&gt;tabName &lt;enum&gt;layout &lt;boolean&gt;isActive\n\
\n\
layout enums: {\n\
#layout_1 | #layout_2v | #layout_2h | #layout_2ht | #layout_2hb | \n\
#layout_3vl | #layout_3vr | #layout_3ht | #layout_3hb | \n\
#layout_4 | #layout_4vl | #layout_4vr | #layout_4ht | #layout_4hb }\n\
</code></pre><p>Creates a new View Panel with the name specified by the first argument.</p>\n\
<p>The second argument specifies the layout name - see table below.</p>\n\
<p>The third argument controls whether the new View Panel will set as the active one.</p>\n\
<p>Returns the index of the new View Panel.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Layout</th>\n\
<th>Name</th>\n\
<th>Description</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-D3DDB1AD-7EBF-4834-90C4-E8554DB339FD-low.png\" alt></td>\n\
<td><code>#layout_1</code></td>\n\
<td>One viewport</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-389DADB3-37D1-4F9C-AC6D-05085082424E-low.png\" alt></td>\n\
<td><code>#layout_2v</code></td>\n\
<td>Two Viewports, Vertical Split, Equally Sized</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-192FAFF6-C2B9-40F9-AD63-85D956FC17C7-low.png\" alt></td>\n\
<td><code>#layout_2h</code></td>\n\
<td>Two Viewports, Horizontal Split, Equally Sized</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-7AD85944-5DAE-4459-995F-850B3A5033EB-low.png\" alt></td>\n\
<td><code>#layout_2ht</code></td>\n\
<td>Two Viewports, Horizontal Split, Top Viewport Smaller</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-6F359915-7D6D-4ECC-AEBC-EEF378CD302E-low.png\" alt></td>\n\
<td><code>#layout_2hb</code></td>\n\
<td>Two Viewports, Horizontal Split, Bottom Viewport Smaller</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-7157846C-4B5F-412C-A901-FFAFE25C27E1-low.png\" alt></td>\n\
<td><code>#layout_3vl</code></td>\n\
<td>Three Viewports, Vertical Split, Horizontal Split On Left</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-C21F006E-B824-498D-9AAF-37FE4D1C0F3A-low.png\" alt></td>\n\
<td><code>#layout_3vr</code></td>\n\
<td>Three Viewports, Vertical Split, Horizontal Split On Right</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-C4F0AAF8-8BBE-483C-AAE1-6D0DD19C1B55-low.png\" alt></td>\n\
<td><code>#layout_3ht</code></td>\n\
<td>Three Viewports, Horizontal Split, Vertical Split On Top</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-B0FC4F20-1720-4DF6-998F-B59D822A539A-low.png\" alt></td>\n\
<td><code>#layout_3hb</code></td>\n\
<td>Three Viewports, Horizontal Split, Vertical Split On Bottom</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-B32F1448-56A9-4F68-832B-AFF6B5BD925E-low.png\" alt></td>\n\
<td><code>#layout_4vl</code></td>\n\
<td>Four Viewports, Vertical Split, Two Horizontal Splits On Left</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-4C5AB5F5-3CAA-43DD-9FE0-C9DF5D50A5F6-low.png\" alt></td>\n\
<td><code>#layout_4vr</code></td>\n\
<td>Four Viewports, Vertical Split, Two Horizontal Splits On Right</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-FFB07D24-135A-4693-B242-70B1B4C7C58D-low.png\" alt></td>\n\
<td><code>#layout_4ht</code></td>\n\
<td>Four Viewports, Horizontal Split, Two Vertical Splits On Top</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-26249849-0397-4C78-B2F8-CE004F184854-low.png\" alt></td>\n\
<td><code>#layout_4hb</code></td>\n\
<td>Four Viewports, Horizontal Split, Two Vertical Splits On Bottom</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-3872E535-AC23-4367-AD13-DADF8897B72C-low.png\" alt></td>\n\
<td><code>#layout_4</code></td>\n\
<td>Four Viewports, Equally Sized</td>\n\
</tr>\n\
</tbody></table>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> To get or set the layout of an existing View Panel, use <a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\"#viewport-layout\">viewport.getLayout() and viewport.setLayout()</a>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ViewPanelManager.GetViewPanelCount()</code></pre><p>Returns the number of View Panels, including the three available Floating Viewports, whether they are visible or not. This method will always return at least 4, since there is always at least one static View Panel.</p>\n\
<p>See GetNumViewportsFromAllVisibleViewPanels() below to get a count of all visible viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ViewPanelManager.SetActiveViewPanel &lt;index&gt;Index</code></pre><p>Sets the active View Panel to the indexed definition.</p>\n\
<p>If you specify a non-visible floating viewport View Panel index, that View Panel will become visible.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;ViewPanelManager.GetActiveViewPanelIndex()</code></pre><p>Returns the index of the active View Panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ViewPanelManager.CanCreateMoreViewPanels()</code></pre><p>Returns True if new View Panels can be created, False if the limit has been reached.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;ViewPanelManager.GetViewPanelName &lt;index&gt;Index</code></pre><p>Returns the name of the indexed View Panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ViewPanelManager.SetViewPanelName &lt;index&gt;Index &lt;string&gt;newPanelName</code></pre><p>Sets the name of the indexed View Panel to the string provided by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;ViewPanelManager.GetActiveViewPanelDib()</code></pre><p>Returns the Device Independent Bitmap (Viewport Snapshot) of the active View Panel.</p>\n\
<p>The image will contain the content of all viewports in the View Panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ViewPanelManager.IsViewPanelLocked &lt;index&gt;Index</code></pre><p>Returns True if the indexed View Panel is locked, False if it is not locked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ViewPanelManager.SetSplitterBarPos &lt;integer&gt;splitterBarID &lt;float&gt;pos</code></pre><p>Sets the position of the horizontal or vertical splitter bar to the specified position.</p>\n\
<p>The first argument is in the range from 0 to 2 and depends on the current layout:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Layout</th>\n\
<th>Visible Bar Indices</th>\n\
<th>Comments</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#layout_1</code></td>\n\
<td>None</td>\n\
<td>No splitter bars are used, but 0,1 and 2 are still valid first arguments.</td>\n\
</tr>\n\
<tr>\n\
<td><code>#layout_2v</code></td>\n\
<td>1 - vertical splitter bar</td>\n\
<td>0 and 2 are valid indices, but the corresponding splitter bars are not used.</td>\n\
</tr>\n\
<tr>\n\
<td><code>#layout_2h</code><br> <code>#layout_2ht</code><br> <code>#layout_2hb</code></td>\n\
<td>0 - horizontal splitter bar</td>\n\
<td>1 and 2 are valid indices, but the corresponding splitter bars are not used.</td>\n\
</tr>\n\
<tr>\n\
<td><code>#layout_3vl</code><br> <code>#layout_3vr</code><br> <code>#layout_3ht</code><br> <code>#layout_3hb</code></td>\n\
<td>0 - horizontal splitter bar1 - vertical splitter bar</td>\n\
<td>2 is a valid index, but the corresponding splitter bar is not used.</td>\n\
</tr>\n\
<tr>\n\
<td><code>#layout_4</code></td>\n\
<td>0 - horizontal splitter bar1 - vertical splitter bar</td>\n\
<td>2 is a valid index, but the corresponding splitter bar is not used.</td>\n\
</tr>\n\
<tr>\n\
<td><code>#layout_4vl</code><br> <code>#layout_4vr</code></td>\n\
<td>0 - vertical splitter bar1 - top horizontal splitter bar2 - bottom horizontal splitter bar</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#layout_4ht</code><br> <code>#layout_4hb</code></td>\n\
<td>0 - horizontal splitter bar1 - left vertical splitter bar2 - right vertical splitter bar</td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<p>The second argument must be a float in the range from 0.0 to 1.0, with 0.5 being centered in the middle of the panel.</p>\n\
<p>Returns True on success, False if the second argument is out of range. Note that attempting to set a non-visible splitter bar index still returns True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ViewPanelManager.SetExtendedView &lt;integer&gt;viewIndex &lt;enum&gt;extendedViewType\n\
\n\
extendedViewType enums: {#ev_type_tree|#ev_type_schematic|#ev_type_sceneexplore}\n\
</code></pre><p>Sets the indexed extended view to the extended view type specified by the second argument&apos;s enum value.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Not all extended view types exposed in the UI are currently supported in MAXScript.</div>\n\
<p>Possible values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Enum</th>\n\
<th>As Integer</th>\n\
<th>Result</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#ev_type_tree</code></td>\n\
<td>0</td>\n\
<td>Set Extended Viewport to TrackView</td>\n\
</tr>\n\
<tr>\n\
<td><code>#ev_type_schematic</code></td>\n\
<td>1</td>\n\
<td>Set Extended Viewport to Schematic View</td>\n\
</tr>\n\
<tr>\n\
<td><code>#ev_type_sceneexplore</code></td>\n\
<td>2</td>\n\
<td>Set Extended Viewport to Scene Explorer</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ViewPanelManager.DestroyViewPanel &lt;index&gt;Index</code></pre><p>Destroys the indexed View Panel.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theActive = ViewPanelManager.GetActiveViewPanelIndex()\n\
   --&gt; 1\n\
   canCreate = ViewPanelManager.CanCreateMoreViewPanels()\n\
   --&gt; true \n\
   if canCreate do theNew = ViewPanelManager.CreateViewPanel &quot;Two Horizontal Large Top&quot; #layout_2h false\n\
   --&gt; 2\n\
   ViewPanelManager.SetSplitterBarPos 0 0.65\n\
   --&gt; true\n\
   theCount = ViewPanelManager.GetViewPanelCount()\n\
   --&gt; 2\n\
   for i = 1 to 2 do\n\
   (\n\
       theName = ViewPanelManager.GetViewPanelName i\n\
       isLocked = ViewPanelManager.IsViewPanelLocked i\n\
       format &quot;% Name:&apos;%&apos; Locked:% &quot; i theName isLocked\n\
       if i == theActive then format &quot;(active)\\n&quot; else format &quot;\\n&quot;\n\
   )    \n\
   --&gt; 1 Name:&apos;Quad 4&apos; Locked:true (active)\n\
   --&gt; 2 Name:&apos;Two Horizontal Large Top&apos; Locked:false \n\
   --&gt; OK\n\
   theBitmap = ViewPanelManager.GetActiveViewPanelDib()\n\
   --&gt; BitMap:\n\
   display theBitmap\n\
   --&gt; OK\n\
   ViewPanelManager.DestroyViewPanel theNew\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<h2 id=\"view-panel-preset-management\">View Panel Preset Management</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ViewPanelManager.GetPresetCount()</code></pre><p>Returns the number of available named View Panel presets.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;ViewPanelManager.GetPresetName &lt;index&gt;presetIndex</code></pre><p>Returns the name of the indexed View Panel Preset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;ViewPanelManager.GetPresetID &lt;string&gt;presetName</code></pre><p>Returns the ID of the named View Panel Preset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ViewPanelManager.DoesViewPanelPresetExist &lt;string&gt;presetName</code></pre><p>Returns True if a View Panel Preset with the name specified by the argument exists.</p>\n\
<p>Returns False if the View Panel Preset with the specified name does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ViewPanelManager.GetViewPanelPresetLayout &lt;integer&gt;presetIndex</code></pre><p>Returns the layout of the indexed View Panel Preset as an integer, or -1 if the specified <code>presetIndex</code> does not exist..</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;ViewPanelManager.CreateViewPanelFromPreset &lt;string&gt;presetName &lt;boolean&gt;isActive</code></pre><p>Creates a new View Panel from the specified named preset.</p>\n\
<p>If the second argument is set to True, the View Panel will also be made active.</p>\n\
<p>Returns the index of the new View Panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ViewPanelManager.CreatePresetFromActiveViewPanel &lt;string&gt;presetName</code></pre><p>Creates a new Preset with the specified name from the active View Panel.</p>\n\
<p>If the name already exists, it will be appended a numeric suffix, e.g. &quot;Test&quot; will become &quot;Test 01&quot;.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ViewPanelManager.CreatePresetFromViewPanel &lt;index&gt;panelIndex &lt;string&gt;presetName</code></pre><p>Creates a new Preset from the indexed View Panel specified by the first argument.</p>\n\
<p>The Preset will be named according to the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ViewPanelManager.RenameViewPanelPreset &lt;string&gt;presetName &lt;string&gt;newName</code></pre><p>Renames the View Panel Preset specified by the first argument to the name given by the second argument.</p>\n\
<p>Returns True if the renaming succeeded.</p>\n\
<p>Returns False if a Preset with the name specified by the first argument does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ViewPanelManager.DeletePreset &lt;string&gt;presetName</code></pre><p>Deletes the named View Panel Preset.</p>\n\
<p>Returns True on success.</p>\n\
<p>Returns False if the named Preset does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ViewPanelManager.DeleteAllViewPanelPresets()</code></pre><p>Deletes all View Panel Presets.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theNewPresetName = &quot;Just A Test&quot;\n\
   --&gt; &quot;Just A Test&quot;\n\
   if not ViewPanelManager.DoesViewPanelPresetExist theNewPresetName do \n\
     ViewPanelManager.CreatePresetFromActiveViewPanel theNewPresetName\n\
   --&gt; true\n\
   ViewPanelManager.RenameViewPanelPreset theNewPresetName &quot;A Test Indeed&quot;\n\
   --&gt; true\n\
   theCount = ViewPanelManager.GetPresetCount()\n\
   --&gt; 1\n\
   for i = 1 to theCount do\n\
   (\n\
     theName = ViewPanelManager.GetPresetName i\n\
     theLayout = ViewPanelManager.GetViewPanelPresetLayout i\n\
     format &quot;% Name:&apos;%&apos; Layout:&apos;%&apos; \\n&quot; i theName theLayout\n\
   )\n\
   --&gt; 1 Name:&apos;A Test Indeed&apos; Layout:&apos;-1&apos; \n\
   --&gt; OK\n\
   ViewPanelManager.DeletePreset theNewPresetName\n\
   --&gt; false\n\
   ViewPanelManager.DeletePreset &quot;A Test Indeed&quot;\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<h2 id=\"floating-viewport-management\">Floating Viewport Management</h2><p>These functions expose floating viewport functionality. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p>Note that floating viewports are actually independent View Panels, that by default have a four viewport layout with the perspective view maximized (though this can be changed in the <strong>Viewport Configuration</strong> dialog). They are always present, and so will show up in the value returned by <code>getViewPanelCount()</code>, but not always visible.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> All indices passed as parameters or returned by methods are 0-based.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IsViewPanelVisible &lt;index&gt;Index    </code></pre><p>Returns whether the view panel specified by index is visible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IsViewPanelFloating &lt;index&gt;Index</code></pre><p>Returns whether the view panel specified by index is a floating viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;GetViewPanelFloatingID &lt;index&gt;Index\n\
GetViewPanelFloatingID enums: {#Not_Floating|#Floating_ViewPanel_1|#Floating_ViewPanel_2|#Floating_ViewPanel_3}</code></pre><p>Returns the ID of the view panel specified by index, or <code>#Not_Floating</code> if it is not a floating view panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;GetViewPanelIndexFromFloatingID &lt;enum&gt;ViewPanelfloatingID \n\
ViewPanelfloatingID enums: {#Not_Floating|#Floating_ViewPanel_1|#Floating_ViewPanel_2|#Floating_ViewPanel_3}</code></pre><p>Returns the view panel index of the view panel specified by ID, or -1 for <code>#Not_Floating</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumFloatingViewPanels()</code></pre><p>Returns the number of possible floating View Panels. Note that this is not the same as the number of visible View Panels. Currently this method always returns 3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;HideAllFloatingViewPanels()</code></pre><p>Makes all visible floating view panels not visible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetFloatingViewPanelVisibility &lt;enum&gt;ViewPanelfloatingID &lt;boolean&gt;bVisible\n\
ViewPanelfloatingID enums: {#Not_Floating|#Floating_ViewPanel_1|#Floating_ViewPanel_2|#Floating_ViewPanel_3}</code></pre><p>Sets the visibility of the view panel specified by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumViewportsFromAllVisibleViewPanels()</code></pre><p>Returns the number of all visible viewports, including those on floating viewports. To get a count of all view panels (including visible and non-visible floating view panels), use <code>GetViewPanelCount()</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumVisibleViewPanels()</code></pre><p>Returns the number of all visible View Panels.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Floating View Panels example\n\
   -- hide any visible floating viewports first\n\
   ViewPanelManager.HideAllFloatingViewPanels()\n\
\n\
   -- This will be 3, whether they are visible or not:\n\
   ViewPanelManager.GetNumFloatingViewPanels()\n\
\n\
   -- How many view panels and viewports are visible?\n\
   vis_panels = ViewPanelManager.GetNumVisibleViewPanels()\n\
   vis_ports = ViewPanelManager.GetNumViewportsFromAllVisibleViewPanels()\n\
   format &quot;% visible viewports on % visible view panels\\n&quot; vis_ports vis_panels\n\
\n\
   count = ViewPanelManager.GetViewPanelCount()\n\
   format &quot;% View Panels (visible and/or floating)&quot; count\n\
\n\
   for i = 1 to count do (\n\
       vp_name = ViewPanelManager.GetViewPanelName i\n\
       vp_visible = ViewPanelManager.IsViewPanelVisible i\n\
       vp_floating = ViewPanelManager.IsViewPanelFloating i\n\
       format &quot;View Panel % name:%\\n visible:%\\n floating:%\\n&quot; i vp_name vp_visible vp_floating\n\
       -- let&apos;s make all the floating ones visible\n\
       if vp_floating do ViewPanelManager.SetActiveViewPanel i        \n\
       )\n\
\n\
   -- The id of the first floating viewpanel\n\
   vp_id = #Floating_ViewPanel_1\n\
\n\
   -- hide it\n\
   format &quot;Hiding %\\n&quot; vp_id\n\
   ViewPanelManager.SetFloatingViewPanelVisibility vp_id false\n\
\n\
   -- change the layout of Floating Viewport 3    \n\
   indexOfFloatingVP3 = ViewPanelManager.GetViewPanelIndexFromFloatingID #Floating_ViewPanel_3\n\
   ViewPanelManager.SetActiveViewPanel indexOfFloatingVP3\n\
   viewport.setLayout #layout_3vl\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../U-V-W-X-Y-Z.html\">U,V,W,X,Y,Z</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";