var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-49345875-6263-4E59-AFB9-E908C17628FD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Trackbar Interface</h1></div><p>The Trackbar Interface provides access to properties and methods of the trackbar.</p>\n\
<p>The trackbar interface can be retrieved using a function or property in <a href=\"./../../Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxOps interface</a>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackBar_Interface = maxOps.trackBar </code></pre><p>or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackBar_Interface = maxOps.getTrackBar() </code></pre><p><strong>Mixin Interface: (maxOps.trackbar)</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: trackbar </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackbar_Interface&gt;.visible : boolean : Read|Write </code></pre><p>Displays or hides the trackbar</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackbar_Interface&gt;.filter : enum : Read|Write \n\
\n\
filter enums: {#all|#TMOnly|#currentTM|#cbject|#mat} </code></pre><p>Sets and gets the filter that determines which keys are displayed in the trackbar</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackbar_Interface&gt;.keyTransparency : integer : Read|Write </code></pre><p>Sets/gets the key transparency value. Acceptable values range 0-255</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackbar_Interface&gt;.selKeyTransparency : integer : Read|Write </code></pre><p>Sets/gets the selected key transparency value. Acceptable values range 0-255</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackbar_Interface&gt;.cursorTransparency : integer : Read|Write </code></pre><p>Sets/gets the cursor transparency value. Acceptable values range 0-255</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackbar_Interface&gt;.affectChildren : boolean : Read|Write </code></pre><p>Sets/gets the affect children mode.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The following properties require a redraw, but in some cases hiding and unhiding the trackbar gives a better result.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackbar_Interface&gt;.showAudio : boolean : Read|Write </code></pre><p>Sets/gets whether or not the audio track is displayed in the trackbar</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackbar_Interface&gt;.showFrames : boolean : Read|Write </code></pre><p>Sets/gets whether or not frames are displayed in the trackbar</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackbar_Interface&gt;.showSelectionRange : boolean : Read|Write </code></pre><p>Sets/gets whether or not selection ranges are displayed in the trackbar</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;trackbar_Interface&gt;.showSnapToFrames : boolean : Read|Write </code></pre><p>Sets/gets whether or not keys are snapped to frames when moved</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   tbar = maxops.trackbar\n\
   tbar.showframes = false\n\
   tbar.redraw() -- Notice the result so far\n\
   tbar.visible= false\n\
   tbar.visible= true -- Notice the difference\n\
</code></pre></blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;trackbar_Interface&gt;.redraw forceRedraw:&lt;boolean&gt; \n\
\n\
forceRedraw: default value: false </code></pre><p>Redraws the trackbar. If forceRedraw is set to true, the redraw will be forced.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;&lt;trackbar_Interface&gt;.getNextKeyTime() </code></pre><p>Gets the next key time. The &quot;at time&quot; context can be used to determine the starting point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;&lt;trackbar_Interface&gt;.getPreviousKeyTime() </code></pre><p>Gets the previous key time. The &quot;at time&quot; context can be used to determine the starting point.</p>\n\
<p><strong>The following methods for Registering and Managing of Trackbar Key Filters were added to the interface in 3ds Max 7:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;trackbar_Interface&gt;.registerFilter &lt;value&gt;callbackFilterFunction &lt;value&gt;callbackAdditionFunction &lt;string&gt;name &lt;integer&gt;id \\\n\
active:&lt;boolean&gt; stopTraversal:&lt;boolean&gt; \n\
\n\
active default value: false\n\
stopTraversal default value: true </code></pre><p>Register a trackbar filter callback function.</p>\n\
<p>The <strong>callbackFilterFunction</strong> is a MAXScript function which should expect 5 arguments in the form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn myCallbackFilterFunction theAnimatable theParent theSubAnimIndex theGrandParent theNode = (...)</code></pre><p><strong>theAnimatable</strong>: The first argument passed to the function will be thetrack whose controller&apos;s keys are to be filtered.</p>\n\
<p><strong>theParent</strong>: The second argument passed to the function will be the parent track of the track to be filtered.</p>\n\
<p><strong>theSubAnimIndex</strong>: The third argument passed to the function will be the sub-anim index of theAnimatable track inside theParent track,</p>\n\
<p><strong>theGrandParent</strong>: This fourth argument passed to the function will be the parent of theSubAnimIndex track. It is provided as an additional layer that is needed in case theParent argument is a ParamBlock2 or similar. For example, you may need to know that theGrandParent is a Bend Modifier and theSubAnimIndex is an index into the ParamBlock storage unit.</p>\n\
<p><strong>theNode</strong>: The fifth and last argument passed to the function will be the originating scene node whose subAnims are being traversed.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Either callbackFunction argument to TrackBar.RegisterFiltercan be the value &apos;undefined&apos;.</p>\n\
<p>For a detailed explanation of the way the function is called and used, please see <a href=\"./../../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter.html\">Exploring the Trackbar Filter Callback Functions</a></p>\n\
<p>For sample filter functions, please see <a href=\"./../../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter/Trackbar-Keys-Filter-Callback.html\">Trackbar Filter Callback Function Examples</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;trackbar_Interface&gt;.unRegisterFilter &lt;index&gt;index </code></pre><p>Unregister the indexed filter function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;trackbar_Interface&gt;.filterCount() </code></pre><p>Returns the number of registered filter functions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int by value array&gt;&lt;trackbar_Interface&gt;.getFilterID &lt;index&gt;index </code></pre><p>Returns the filter id of the indexed filter function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;stringby value&gt;&lt;trackbar_Interface&gt;.getFilterName &lt;index&gt;index </code></pre><p>Returns the name of the indexed filter function as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;trackbar_Interface&gt;.isFilterActive &lt;index&gt;index </code></pre><p>Returns true if the indexed filter is active, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;trackbar_Interface&gt;.setFilterActive &lt;index&gt;index &lt;boolean&gt;state </code></pre><p>Sets the active state of the indexed filter to the supplied Boolean value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-Interfaces-1.html\">Other Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">Interface: maxOps</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter.html\">Exploring the Trackbar Filter Callback Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter/Trackbar-Keys-Filter-Callback.html\">Trackbar Keys Filter Callback Function Examples</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";