var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-782447FD-103B-4686-8F65-97A2A02EB3FB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>showInterfaces Inspector Function</h1></div><p><a href=\"Interfaces-1.html\">Interfaces</a></p>\n\
<p><a href=\"Core-Interfaces/Core-Interfaces-1.html\">Core Interfaces</a></p>\n\
<p><a href=\"Other-Interfaces/Other-Interfaces-1.html\">Other Interfaces</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showInterfaces {&lt;maxwrapper&gt; | &lt;maxclass&gt; | node} [ to:&lt;stream&gt; ]</code></pre><p>where, <code>&lt;maxwrapper&gt;</code> is the <strong>3ds Max</strong> object to be inspected.</p>\n\
<p><code>&lt;maxclass&gt;</code> is the <strong>3ds Max</strong> class to be inspected.</p>\n\
<p>The optional <code>to:&lt;stream&gt;</code> keyword argument specifies a Stream Value to output the display to.</p>\n\
<p>When the <strong>3ds Max</strong> entity specified is a node (for example, $box01), this function only displays the Interfaces of the base object. It does <strong>not</strong> show the Interfaces of the transform controllers, modifiers, or materials applied to the object. To display the Interfaces for one of these objects, the object must be specified as the <strong>3ds Max</strong> entity.</p>\n\
<p>As a special case, you can also call <code>showInterfaces()</code> on the superclass <strong>&apos;Node&apos;</strong> to display the interfaces that are common to all scene nodes.</p>\n\
<p>The display of interface information is divided into three sections: <strong>Properties</strong>, <strong>Methods</strong>, and <strong>Actions</strong>.</p>\n\
<p>In the <strong>Properties</strong> section, each property exposed by the interface is listed along with its data type or enumeration values and whether the property can be read and written to.</p>\n\
<p>In the <strong>Methods</strong> section, each method is listed along with its return type and its argument list. The value type for each argument is shown. If the return type is shown as <void>, the method returns a value of &apos;ok&apos;. Methods that are used by <strong>Actions</strong> are commented as such. These methods typically require that the object be selected and active in the appropriate command panel.</void></p>\n\
<p>In the <strong>Actions</strong> section, each Action is listed along with its category and action description as shown in the Customize User Interface dialog, and the shortcut keys, if any, assigned to the Action.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showinterfaces node</code></pre><p><strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">  Interface: IAssembly\n\
   Properties:\n\
    .assemblyMember : boolean : Read|Write\n\
    .assemblyHead : boolean : Read|Write\n\
    .assemblyMemberOpen : boolean : Read|Write\n\
    .assemblyHeadOpen : boolean : Read|Write\n\
    .assemblyBBoxDisplay : boolean : Read|Write\n\
   Methods:\n\
   Actions:\n\
  Interface: INodeGIProperties\n\
   Properties:\n\
    .isGIExcluded : boolean : Read|Write\n\
    .isGIOccluder : boolean : Read|Write\n\
    .isGIReceiver : boolean : Read|Write\n\
    .isGIDiffuse : boolean : Read|Write\n\
    .isGISpecular : boolean : Read|Write\n\
    .GIUseGlobalMeshing : boolean : Read|Write\n\
    .GIMeshingEnabled : boolean : Read|Write\n\
    .nbGIRefineSteps : integer : Read|Write|Validated by Range: 0 to 65535\n\
    .nbGIRefineStepsDone : integer : Read|Write|Validated by Range: 0 to 65535\n\
    .GIMeshSize : worldUnits : Read|Write|Validated by Range: 0.01 to 1e+09\n\
    .isGIExcludedFromRegather : boolean : Read|Write\n\
    .storeIllumToMesh : boolean : Read|Write\n\
    .GIByLayer : boolean : Read|Write\n\
    .GIRayMult : float : Read|Write\n\
    .GIUseAdaptiveSubdivision : boolean : Read|Write\n\
    .GIMinMeshSize : float : Read|Write\n\
    .GIInitialMeshSize : float : Read|Write\n\
    .GIContrastThreshold : float : Read|Write\n\
   Methods:\n\
   Actions:\n\
  Interface: INodeGIProperties\n\
   Properties:\n\
    .isGIExcluded : boolean : Read|Write\n\
    .isGIOccluder : boolean : Read|Write\n\
    .isGIReceiver : boolean : Read|Write\n\
    .isGIDiffuse : boolean : Read|Write\n\
    .isGISpecular : boolean : Read|Write\n\
    .GIUseGlobalMeshing : boolean : Read|Write\n\
    .GIMeshingEnabled : boolean : Read|Write\n\
    .nbGIRefineSteps : integer : Read|Write|Validated by Range: 0 to 65535\n\
    .nbGIRefineStepsDone : integer : Read|Write|Validated by Range: 0 to 65535\n\
    .GIMeshSize : worldUnits : Read|Write|Validated by Range: 0.01 to 1e+09\n\
    .isGIExcludedFromRegather : boolean : Read|Write\n\
    .storeIllumToMesh : boolean : Read|Write\n\
    .GIByLayer : boolean : Read|Write\n\
    .GIRayMult : float : Read|Write\n\
    .GIUseAdaptiveSubdivision : boolean : Read|Write\n\
    .GIMinMeshSize : float : Read|Write\n\
    .GIInitialMeshSize : float : Read|Write\n\
    .GIContrastThreshold : float : Read|Write\n\
   Methods:\n\
   Actions:\n\
  Interface: INode\n\
   Properties:\n\
    .boneEnable : boolean : Read|Write\n\
    .posTaskWeight : float : Read|Write\n\
    .rotTaskWeight : float : Read|Write\n\
    .boneAutoAlign : boolean : Read|Write\n\
    .boneFreezeLength : boolean : Read|Write\n\
    .boneScaleType : enum : Read|Write\n\
       boneScaleType enums: {#scale|#squash|#none}\n\
    .stretchTM : matrix3 : Read\n\
    .boneAxis : enum : Read|Write\n\
       boneAxis enums: {#X|#Y|#Z}\n\
    .boneAxisFlip : boolean : Read|Write\n\
    .primaryVisibility : boolean : Read|Write\n\
    .secondaryVisibility : boolean : Read|Write\n\
    .applyAtmospherics : boolean : Read|Write\n\
    .vertexColorType : enum : Read|Write\n\
       vertexColorType enums: {#color|#illum|#alpha|#color_plus_illum|#soft_select|#map_channel}\n\
    .showVertexColors : integer : Read|Write\n\
    .shadeVertexColors : integer : Read|Write\n\
    .vertexColorMapChannel : integer : Read|Write\n\
    .handle : integer : Read\n\
    .isSceneXRefNode : boolean : Read\n\
    .posInParent : point3 : Read\n\
    .rotInParent : point3 : Read\n\
    .scaleInParent : point3 : Read\n\
    .scaleOrientInParent : quat : Read\n\
    .wasLoadedByLastMerge : boolean : Read\n\
    .OverrideMaterialEnabled : boolean : Read|Write\n\
   Methods:\n\
    &lt;void&gt;setBoneEnable &lt;boolean&gt;onOff &lt;time&gt;time\n\
    &lt;void&gt;realignBoneToChild()\n\
    &lt;void&gt;resetBoneStretch()\n\
   Actions:\n\
  Interface: INodeLayerProperties\n\
   Properties:\n\
    .layer : Interface : Read\n\
    .displayByLayer : boolean : Read|Write\n\
    .renderByLayer : boolean : Read|Write\n\
    .motionByLayer : boolean : Read|Write\n\
    .colorByLayer : boolean : Read|Write\n\
    .globalIlluminationByLayer : boolean : Read|Write\n\
   Methods:\n\
   Actions:\n\
  Interface: INodeBakeProperties\n\
   Properties:\n\
    .bakeEnabled : boolean : Read|Write\n\
    .bakeChannel : integer : Read|Write\n\
    .nDilations : integer : Read|Write\n\
    .flags : integer : Read|Write\n\
    .surfaceArea : float : Read|Write\n\
    .areaScale : float : Read|Write\n\
    .activeOriginX : float : Read|Write\n\
    .activeOriginY : float : Read|Write\n\
    .activeWidth : float : Read|Write\n\
    .activeHeight : float : Read|Write\n\
   Methods:\n\
    &lt;boolean&gt;addBakeElement &lt;maxObject&gt;element\n\
    &lt;boolean&gt;removeBakeElement &lt;maxObject&gt;element\n\
    &lt;boolean&gt;removeBakeElementByIndex &lt;index&gt;elementIndex\n\
    &lt;boolean&gt;removeBakeElementByName &lt;string&gt;elementName\n\
    &lt;void&gt;removeAllBakeElements()\n\
    &lt;integer&gt;numBakeElements()\n\
    &lt;maxObject&gt;getBakeElement &lt;index&gt;index\n\
    &lt;index&gt;findByName &lt;string&gt;elementName\n\
    &lt;integer&gt;renderWidth()\n\
    &lt;integer&gt;renderHeight()\n\
    &lt;boolean&gt;effectiveEnable()\n\
    &lt;integer&gt;numElementParams &lt;maxObject&gt;element\n\
    &lt;string&gt;paramName &lt;maxObject&gt;element &lt;index&gt;paramIndex\n\
    &lt;integer&gt;paramType &lt;maxObject&gt;element &lt;index&gt;paramIndex\n\
    &lt;value&gt;paramValue &lt;maxObject&gt;element &lt;index&gt;paramIndex\n\
    &lt;void&gt;setParamValue &lt;maxObject&gt;element &lt;index&gt;paramIndex &lt;value&gt;paramValue\n\
    &lt;value&gt;paramValueMin &lt;maxObject&gt;element &lt;index&gt;paramIndex\n\
    &lt;value&gt;paramValueMax &lt;maxObject&gt;element &lt;index&gt;paramIndex\n\
    &lt;index&gt;findParam &lt;maxObject&gt;element &lt;string&gt;paramName\n\
    &lt;color&gt;GetBackgroundColor &lt;maxObject&gt;element\n\
    &lt;void&gt;SetBackgroundColor &lt;maxObject&gt;element &lt;color&gt;color\n\
   Actions:\n\
  Interface: SkinPose\n\
   Properties:\n\
    .skinPos : point3 : Read|Write\n\
    .skinRot : point3 : Read|Write\n\
    .skinScale : point3 : Read|Write\n\
    .skinScaleOrient : quat : Read|Write\n\
    .skinPosEnabled : boolean : Read|Write\n\
    .skinRotEnabled : boolean : Read|Write\n\
    .skinScaleEnabled : boolean : Read|Write\n\
    .skinPoseMode : boolean : Read|Write\n\
   Methods:\n\
    &lt;void&gt;setSkinPose()\n\
    &lt;void&gt;assumeSkinPose()\n\
   Actions:\n\
  Interface: INodeBakeProjProperties\n\
   Properties:\n\
    .enabled : boolean : Read|Write\n\
    .projectionMod : maxObject : Read|Write\n\
    .projectionModTarget : string : Read|Write\n\
    .cropAlpha : boolean : Read|Write\n\
    .projSpace : enum : Read|Write\n\
       projSpace enums: {#raytrace|#uvw_match}\n\
    .normalSpace : enum : Read|Write\n\
       normalSpace enums: {#world|#screen|#local|#tangent}\n\
    .tangentYDir : enum : Read|Write\n\
       tangentYDir enums: {#Y_Up|#Y_Down}\n\
    .tangentXDir : enum : Read|Write\n\
       tangentXDir enums: {#X_Right|#X_Left}\n\
    .useCage : boolean : Read|Write\n\
    .rayOffset : float : Read|Write\n\
    .hitResolveMode : enum : Read|Write\n\
       hitResolveMode enums: {#closest|#furthest}\n\
    .hitMatchMtlID : boolean : Read|Write\n\
    .hitWorkingModel : boolean : Read|Write\n\
    .warnRayMiss : boolean : Read|Write\n\
    .rayMissColor : color : Read|Write\n\
    .heightMapMin : float : Read|Write\n\
    .heightMapMax : float : Read|Write\n\
    .heightBufMin : float : Read|Write\n\
    .heightBufMax : float : Read|Write\n\
    .BakeObjectLevel : boolean : Read|Write\n\
    .BakeSubObjLevels : boolean : Read|Write\n\
    .useObjectBakeForMtl : boolean : Read|Write\n\
    .proportionalOutput : boolean : Read|Write\n\
    .subObjBakeChannel : integer : Read|Write\n\
   Methods:\n\
   Actions:\n\
  Interface: INodeDisplayProperties\n\
   Properties:\n\
    .NeverDegrade : boolean : Read|Write\n\
   Methods:\n\
   Actions:\n\
  Interface: INodeShadingProperties\n\
   Properties:\n\
    .ViewportShadowCasting : boolean : Read|Write\n\
    .ViewportIllumination : boolean : Read|Write\n\
    .LockedViewportIllumination : boolean : Read|Write\n\
   Methods:\n\
   Actions:\n\
OK</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Other-Interfaces/Other-Interfaces-1.html\">Other Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"GetInterfaces-Interface.html\">GetInterfaces Interface Inspector</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";