var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7664D95A-A27D-4356-8442-F53064920BF8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max CAT and MAXScript</h1></div><p><strong>3ds Max CAT</strong> (CAT stands for Character Animation Tools) feature introduced in <strong>3ds Max 2011</strong> and refactored in <strong>3ds Max 2013</strong> provides a powerful platform for character animation that is also highly customizable. An important aspect of this is its accessibility to scripting.</p>\n\
<h2 id=\"maxscript-access-to-3ds-max-cat\">MAXScript Access to 3ds Max CAT</h2><p><strong>3ds Max CAT</strong> implements a character rig as a tree hierarchy of controllers and objects.</p>\n\
<p>All the standard MAXScript calling conventions for navigating hierarchies, accessing subanims, as well as getting, setting and inspecting controller properties work with <strong>3ds Max CAT</strong>.</p>\n\
<p>The <strong>3ds Max CAT</strong> Function Publishing Interfaces expose Properties, Methods and Actions which allow you to use MAXScript to access objects written in C++. Many different types of objects can expose the same interface, thus allowing them to share the same MAXScript exposure. An example of this is that every controller in the CATRig provides the <a href=\"CAT-Interfaces/Interface-ICATControlFPInterface.html\">interface ICATControlFPInterface</a>.</p>\n\
<p>More specialized controllers such as <a href=\"CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\">HubTrans</a> can additionally provide Interfaces that expose features relevant only to these types of controllers.</p>\n\
<p>To find out what functions are available on controllers and objects, you can use two different MAXScript calls:</p>\n\
<p>Syntax</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ShowProperties &lt;MaxObject&gt;\n\
Show &lt;MaxObject&gt;--alternative</code></pre><p>Use <code>Show()</code> or <code>ShowProperties()</code> to find out what properties are available on an object or controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ShowInterfaces &lt;MaxObject&gt;</code></pre><p>Use <code>ShowInterfaces()</code> to find out what functions/methods and properties are available on an object or controller.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ShowProperties $Character001\n\
   .CATMode : integer\n\
   .CATName : string\n\
   .CATUnits : float\n\
   .ColourMode : integer\n\
   .LengthAxis : string\n\
   .Node : node\n\
   .RootHub : control\n\
   .CATVersion : integer\n\
   .CATRigSpace : matrix3\n\
   .CATRigNodes : node by value array\n\
   .CATRigLayerCtrls : control by value array\n\
   .RootTransformNode : node\n\
   .NumLayers : integer\n\
   .SelectedLayer : integer\n\
   .SoloLayer : integer\n\
   .TrackDisplayMethod : integer\n\
   .Layers : float\n\
   false\n\
\n\
   ShowInterfaces $Character001\n\
   Interface: CATParentFPInterface\n\
   Properties:\n\
   .CATMode : integer : Read|Write|Validated by Validator function\n\
   .CATName : string : Read|Write\n\
   .CATUnits : float : Read|Write|Validated by Validator function\n\
   .ColourMode : integer : Read|Write\n\
   .LengthAxis : string : Read|Write|Validated by Validator function\n\
   .Node : node : Read\n\
   .RootHub : control : Read\n\
   .CATVersion : integer : Read\n\
   .CATRigSpace : matrix3 : Read\n\
   .CATRigNodes : node by value array : Read\n\
   .CATRigLayerCtrls : control by value array : Read\n\
   .RootTransformNode : node : Read\n\
   Methods:\n\
    &lt;void&gt;AddHub()\n\
    &lt;boolean&gt;LoadRig &lt;string&gt;filename\n\
    &lt;boolean&gt;SaveRig &lt;string&gt;filename\n\
    &lt;node&gt;GetBoneByAddress &lt;string&gt;Address\n\
    &lt;void&gt;UpdateUserProps()\n\
    &lt;void&gt;AddRootNode()\n\
   Actions:\n\
   Interface: LayerRootFPInterface\n\
   Properties:\n\
   .NumLayers : integer : Read\n\
   .SelectedLayer : integer : Read|Write\n\
   .SoloLayer : integer : Read|Write\n\
   .TrackDisplayMethod : integer : Read|Write\n\
   Methods:\n\
    &lt;integer&gt;AppendLayer &lt;string&gt;name &lt;name&gt;method\n\
   method Validated by Validator function\n\
    &lt;boolean&gt;InsertLayer &lt;string&gt;name &lt;integer&gt;layerID &lt;name&gt;method\n\
   method Validated by Validator function\n\
    &lt;void&gt;RemoveLayer &lt;integer&gt;layerID\n\
    &lt;void&gt;MoveLayerUp &lt;integer&gt;layerID\n\
    &lt;void&gt;MoveLayerDown &lt;integer&gt;layerID\n\
    &lt;boolean&gt;SaveClip &lt;string&gt;filename &lt;time&gt;starttime &lt;time&gt;endtime &lt;integer&gt;startlayer &lt;integer&gt;endlayer\n\
    &lt;boolean&gt;SavePose &lt;string&gt;filename\n\
    &lt;node&gt;LoadClip &lt;string&gt;filename &lt;time&gt;starttime scaledata: &lt;boolean&gt; transformdata: &lt;boolean&gt; mirrordata: &lt;boolean&gt; mirrorworldX: &lt;boolean&gt; mirrorworldY: &lt;boolean&gt;\n\
   scaledata default value: true\n\
   transformdata default value: true\n\
   mirrordata default value: false\n\
   mirrorworldX default value: false\n\
   mirrorworldY default value: false\n\
    &lt;node&gt;LoadPose &lt;string&gt;filename &lt;time&gt;starttime scaledata: &lt;boolean&gt; transformdata: &lt;boolean&gt; mirrordata: &lt;boolean&gt; mirrorworldX: &lt;boolean&gt; mirrorworldY: &lt;boolean&gt;\n\
   scaledata default value: true\n\
   transformdata default value: true\n\
   mirrordata default value: false\n\
   mirrorworldX default value: false\n\
   mirrorworldY default value: false\n\
    &lt;string&gt;CreatePasteLayerTransformNode()\n\
    &lt;string&gt;GetFileTagValue &lt;string&gt;filename &lt;string&gt;tag\n\
    &lt;boolean&gt;LoadHTR &lt;string&gt;filename &lt;string&gt;camfile\n\
    &lt;boolean&gt;LoadBVH &lt;string&gt;filename &lt;string&gt;camfile\n\
    &lt;boolean&gt;LoadFBX &lt;string&gt;filename &lt;string&gt;camfile\n\
    &lt;boolean&gt;LoadBIP &lt;string&gt;filename &lt;string&gt;camfile\n\
    &lt;void&gt;CollapsePoseToCurLayer()\n\
    &lt;boolean&gt;CollapseTimeRangeToLayer &lt;time&gt;StartTime &lt;time&gt;Endtime &lt;time&gt;Frequency regularplot: &lt;boolean&gt; NumPasses: &lt;integer&gt; PosDeltaThreshold: &lt;float&gt; RotDeltaThreshold: &lt;float&gt;\n\
   regularplot default value: false\n\
   NumPasses default value: 2\n\
   PosDeltaThreshold default value: 1.0\n\
   RotDeltaThreshold default value: 5.0\n\
    &lt;void&gt;CopyLayer &lt;index&gt;LayerID\n\
    &lt;void&gt;PasteLayer Instance: &lt;boolean&gt; CopyLayerInfo: &lt;boolean&gt;\n\
   Instance default value: false\n\
   CopyLayerInfo default value: true\n\
   Actions:\n\
   OK\n\
</code></pre></blockquote>\n\
<p>Note that the properties exposed by an Interface will also appear as results of the <code>ShowProperties()</code> call.</p>\n\
<p>You can also call</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ClassOf &lt;MaxObject&gt;</code></pre><p>This returns the class name of the specified object.</p>\n\
<p>To access the transform controller of a <strong>3ds Max CAT</strong> bone object which represents the bone inside the controller tree hierarchy of a CATRig, use the following syntax:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$&lt;NodeName&gt;.transform.controller</code></pre><p>A shorthand way of doing the same thing is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$&lt;NodeName&gt;[3].controller</code></pre><p>or, since the CAT Bone objects also provide a dedicated variable to access the transform controller,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$&lt;NodeName&gt;.TMcontroller</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-3ds-Max.html\">MAXScript Extensions for 3ds Max CAT</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"MAXScript-Access-To-CATRigs.html\">MAXScript Access To CATRigs</a></li>\n\
          <li><a class=\"link\" href=\"MAXScript-Access-To-CAT-Layers.html\">MAXScript Access To CAT Layers</a></li>\n\
          <li><a class=\"link\" href=\"Navigating-CATRig-Hierarchies.html\">Navigating CATRig Hierarchies using MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";