var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6F260A22-DCCF-4869-BFB5-45BC5ECCB25D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CATCollarBone : Matrix3Controller</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATCollarBone : Matrix3Controller {68c00456,455634fe} </code></pre><p>This Controller is part of <strong>3ds Max CAT</strong>.</p>\n\
<p>It represents the collar bone in the CATrig which typically connects the Arm Limbs to the Ribcage hub.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATCollarBone CollarBoneTrans </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATCollarBone&gt;.Limb (CATLimbData) : maxObject </code></pre><p>Contains the <a href=\"./../CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\">LimbData</a> controller object of the Bone.</p>\n\
<p>This lets you access the limb the collar bone is part of and all related bone segments, as well as the Hub the limb is attached to.</p>\n\
<p>Since the limb has information about the symmetrical limb on the other side of the body, this makes it easy to get the symmetrical collar bone, too.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ctrl = $.TMcontroller--with a collar bone selected, get its controller\n\
   --&gt; Controller:CATCollarBone\n\
   lmb = ctrl.Limb --get the limb data controller\n\
   --&gt; Controller:CATLimbData2\n\
   lmb.Hub--this is the hub of the limb the collar bone belongs to:\n\
   --&gt; Controller:HubTrans\n\
   lmb.NumBones--we can check the number of bones in the limb\n\
   --&gt; 2\n\
   lmb.Bones--or we can get the array with the bone data controllers of the bones\n\
   --&gt; #(Controller:CATBoneData, Controller:CATBoneData)2\n\
   slmb = lmb.SymLimb --we can ask for the symmetrical limb on the opposite side\n\
   --&gt; Controller:CATLimbData2\n\
   slmb.collarBone --and through it we can get the symmetrical collar bone, too!\n\
   --&gt; Controller:CATCollarBone\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATCollarBone&gt;.Node: node </code></pre><p>Contains the Node representing the collar bone.</p>\n\
<h2 id=\"catcollarbone-interfaces-\">CATCollarBone interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: CATControlInterface </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-ICATControlFPInterface.html\">Interface: CATControlInterface</a> for properties and methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: CATNodeControlFPInterface </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-17.html\">Interface: CATNodeControlFPInterface</a> for properties and methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ExtraRigNodesInterface </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-ExtraRigNodesInterface.html\">Interface: ExtraRigNodesInterface</a> for properties and methods.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Transform-Controllers.html\">CAT Transform Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";