var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6AD3551C-6AE4-4120-8CD1-CB3C78C09D50\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: CATNodeControlFPInterface</h1></div><p>This Function Publishing Interface is exposed by various components of <strong>3ds Max CAT</strong>.</p>\n\
<h2 id=\"interface-catnodecontrolfpinterface\">Interface: CATNodeControlFPInterface</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.NumArbBones: integer : Read      </code></pre><p>Contains the number of arbitrary bones in the CATRig.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Node: node : Read   </code></pre><p>Contains the node the controller is assigned to.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Address: String by value : Read </code></pre><p>Contains the address of the bone.</p>\n\
<p>Read-only.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $[3].Address --get the address from the transform controller of a selected bone:\n\
    &quot;SceneRootNode.Hub.Limb[0].LimbBone[0].BoneSeg[1]&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SetupTM : matrix3 by value : Read|Write </code></pre><p>Get/set the Setup Transformation Matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.BoneDimensions : point3 by value : Read </code></pre><p>Contains the Bone&apos;s Dimensions (Length, Widht and Height).</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Stretchy : boolean : Read|Write </code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt><a href=\"./../../../../What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-4.html\">REMOVED</a> <strong>in 3ds Max 2015:</strong> Get/set the Stretchy property of the Bone in versions prior to <strong>3ds Max 2015</strong>. Replaced by the two methods below:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SetupStretchy : boolean : Read|Write</code></pre><p>Get/set the Stretchy property of the Bone for setup mode. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.AnimationStretchy : boolean : Read|Write</code></pre><p>Get/set the Stretchy property of the Bone for animation mode. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.EffectHierarchy: boolean : Read|Write </code></pre><p>Get/set whether changes to the Bone will affect the hierarchy or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ApplyTransforms: boolean : Read|Write </code></pre><p>Get/set whether to apply transforms to the Bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.NumLayerFloats: integer : Read </code></pre><p>Contains the number of <a href=\"./../CAT-Controllers/CAT-Layer-Controllers/LayerFloat-FloatController.html\">LayerFloat Controllers</a>.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SetupModeLocks: bitArray : Read|Write|Validated by Validator function </code></pre><p>Get/set the bitarry of Setup Mode Locks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.AnimationLocks: bitArray : Read|Write|Validated by Validator function </code></pre><p>Get/set the bitarry of Animation Locks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MirrorBone: node : Read|Write </code></pre><p>Get/set the mirror bone node.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;AddArbBone AsNewGroup:&lt;boolean&gt; \n\
   AsNewGroup default value: false</code></pre><p>Adds an arbitrary Bone to the Rig.</p>\n\
<p>Returns the new Bone&apos;s <a href=\"Interface-17.html\">CATNodeControlFPInterface Interface</a> since <strong>3ds Max 2013</strong>. In previous versions, it used to return the bone&apos;s <a href=\"./../CAT-Controllers/CAT-Transform-Controllers/ArbBone-Matrix3Controller.html\">ArbBone controller</a></p>\n\
<p>You can use the Interface&apos;s <strong><code>.Node</code></strong> property to access the actual node of the new arbitrary Bone (see top of this page).</p>\n\
<p>The <code>AsNewGroup:</code> optional argument can be set to True to add the bone to a new group since <strong>3ds Max 2015</strong>. It defaults to False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;GetArbBone &lt;index&gt;index </code></pre><p>Returns the <a href=\"Interface-17.html\">CATNodeControlFPInterface Interface</a> of the indexed Arbitrary Bone since <strong>3ds Max 2013</strong>. In previous versions, it used to return the bone&apos;s <a href=\"./../CAT-Controllers/CAT-Transform-Controllers/ArbBone-Matrix3Controller.html\">ArbBone controller</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control&gt;CreateLayerMatrix3 AsNewGroup:&lt;boolean&gt;\n\
   AsNewGroup default value: false</code></pre><p>Creates and returns a new <a href=\"./../CAT-Controllers/CAT-Layer-Controllers/LayerMatrix3-Matrix3Controller.html\">LayerMatrix3 Controller</a>.</p>\n\
<p>The <code>AsNewGroup:</code> optional argument can be set to True to add the controller to a new group since <strong>3ds Max 2015</strong>. It defaults to False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control&gt;CreateLayerFloat() </code></pre><p>Creates and returns a new <a href=\"./../CAT-Controllers/CAT-Layer-Controllers/LayerFloat-FloatController.html\">LayerFloat Controller</a>.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/ArbBone-Matrix3Controller.html\">ArbBone : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Data-Controllers/CATBoneDataMatrix3Controller.html\">CATBoneDataMatrix3Controller : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATBoneSegTrans.html\">CATBoneSegTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATCollarBone-Matrix3Controller.html\">CATCollarBone : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATDigitSegTrans.html\">CATDigitSegTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATFootTrans2-Matrix3Controller.html\">CATFootTrans2 : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATSpineTrans2-Matrix3Controller.html\">CATSpineTrans2 : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\">HubTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/IKTargTrans-Matrix3Controller.html\">IKTargTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/PalmTrans-Matrix3Controller.html\">PalmTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/TailTrans-Matrix3Controller.html\">TailTrans : Matrix3Controller</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Interfaces.html\">CAT Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";