var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BD1BAFF0-EB31-4EA0-BB2A-CED76CE170B1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CATParent : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATParent - superclass: helper; super-superclass:node - 17:17 - classID: #(1454273253, 949708377) </code></pre><p>This Helper Object serves as the root of <strong>3ds Max CAT</strong> character rigs.</p>\n\
<p>It stores the common shared information about a character rig including the name of the rig and the CATUnits value.</p>\n\
<p>It also holds the layers system details including the name of each layer and its global weight.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATParent ... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.CATMode Integer default: 0 -- integer </code></pre><p>Get/set the CAT Mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Rig Mode</p>\n\
<p>1 - Animation Mode</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.CATName String default: &quot;CATRig&quot; -- String by value </code></pre><p>Get/set the name of the CATRig.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.CATUnits Float default: 1.0 -- float </code></pre><p>Get/set the [<a href=\"About-CATUnit-Ratio.html\">CATUnits Ratio</a>] value of the CATRig.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.CATVersion Integer default: 360 -- integer; </code></pre><p>Contains the CAT version number. Read-Only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.ColourMode Integer default: 0 -- integer </code></pre><p>Get/set the Color Mode of the CAT Rig.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Bone Colors</p>\n\
<p>524288- Animation Layer Colors</p>\n\
<p>Corresponds to the Rig Coloring Mode flyout in the Motion Tab UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.LengthAxis String default: &quot;X&quot; --String </code></pre><p>Get/set the Bone Length Axis mode.</p>\n\
<p>Possible values are</p>\n\
<p>&quot;X&quot; - X Axis</p>\n\
<p>&quot;Z&quot; - Z Axis</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.Node CATParent default: $Object:Character001 @ [0.000000,0.000000,0.000000] -- node; SubAnim </code></pre><p>Contains the CATParent node.</p>\n\
<p>This is redundant since it returns the same object the property is exposed by, but it can be useful when iterating through the whole character rig since all bone controllers also expose a .node property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.RootHub UndefinedClass default: undefined -- control; </code></pre><p>Contains the Root Hub of the rig</p>\n\
<p>Typically this is the Pelvis that connects the legs, spine and tail bones.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.RootTransformNode UndefinedClass default: undefined -- node; </code></pre><p>Contains the Root Transform Node of the rig.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.CATRigLayerCtrls Array default: #() -- control by value array; </code></pre><p>Contains an array of all Layer controllers used by the rig.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.CATRigNodes Array default: #($Object:Character001 @ [0.000000,0.000000,0.000000]) -- node by value array; </code></pre><p>Contains an array of all Nodes used by the rig.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.CATRigSpace Matrix3 default: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0]) -- matrix3 by value; </code></pre><p>Contains the Rig Space Transformation Matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.NumLayers Integer default: 0 -- integer; </code></pre><p>Contains the number of layers in the rig.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.Layers Floatdefault: 0.0--float </code></pre><p>The controller assigned to this property is the LayerRoot controller used to manage all layers on the rig. Thus, this property should be accessed as .Layers.Controller</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.SelectedLayer Integer default: 0 -- index </code></pre><p>Get/set the index of the Selected Layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.SoloLayer Integer default: 0 -- index </code></pre><p>Get/set the index of the Solo Layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATParent&gt;.TrackDisplayMethod Integer default: 1 -- integer </code></pre><p>Get/set the Track Display Method.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Active Layer</p>\n\
<p>2 - Contributing Layers</p>\n\
<p>3 - All Layers</p>\n\
<h2 id=\"catparent-interfaces-\">CATParent interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: CATParentFPInterface </code></pre><p>See <a href=\"./../CAT-Interfaces/Interface-CATParentFPInterface.html\">Interface: CATParentFPInterface</a> for properties and methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: LayerRootFPInterface </code></pre><p>See <a href=\"./../CAT-Interfaces/Interface-LayerRootFPInterface.html\">Interface: LayerRootFPInterface</a> for properties and methods.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Objects.html\">CAT Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";