var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C6B1558C-6C2D-483E-BA0A-BDCC951B4D25\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: Hair</h1></div><p>The <strong>Hair Interface</strong> available since <strong>3ds Max 7.5</strong> provides some useful utility functions related to the Hair Extension.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:Hair </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Purge()   </code></pre><p>Removes all traces of Hair elements from the current scene, including all HairMod WSMs from all &quot;hairy&quot; objects and the HairEffect RenderEffect from the Render Effects list in the Effects tab of the Environment and Effects dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt; AddMod &lt;node array&gt; nodes </code></pre><p>Adds a HairMod to all supplied nodes. Shows the Presets dialog to pick a hair stile first.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt; AddEffect &lt;boolean&gt; showGUI </code></pre><p>Adds a HairEffect RenderEffect to the Effects dialog. If the showGUI argument is passed as true, also opens the Environment and Effects dialog to show the Hair Render user interface.</p>\n\
<p>If a Hair Render effect already exists on the list of Effects and true is passed as argument, only opens the dialog with the User Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; CanUseLights &lt;node array&gt; nodes </code></pre><p>Returns true if at least one of the supplied lights can be used, false if none of the supplied light can be used by the hair renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt; AddHairProperties &lt;node array&gt; nodes </code></pre><p>Adds a &quot;Hair Light Attr&quot; rollout to one or more spot lights passed as argument.If any of the nodes are not spot lights, they will be ignored. Corresponds to the &quot;Add hair properties&quot; button in the Lighting group of controls in the Hair &amp; Fur Effect&apos;s rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt; RemoveHairProperties &lt;node array&gt; nodes </code></pre><p>Removes the &quot;Hair Light Attr&quot; rollout from one or more spot lights passed as argument. If any of the nodes are not spot lights, they will be ignored. Corresponds to the &quot;Remove hair properties&quot; button in the Lighting group of controls in the Hair &amp; Fur Effect&apos;s rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ExportDRA &lt;filename&gt; draFileName &lt;time&gt; time &lt;integer&gt; voxels </code></pre><p>Exports a DRA file to the specified file name at the given time using the supplied voxel count.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt; ExportDRA2 &lt;filename&gt; draFileName &lt;time&gt; time &lt;integer&gt; voxels &lt;&amp;integer array&gt; shaveNodeIDs </code></pre><p>Exports a DRA file to the specified file name at the given time using the supplied voxel count and array of integer node IDs.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-Hair.html\">MAXScript Extensions for Hair &amp; Fur</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../MAXScript-Extensions-for-Hair.html\">MAXScript Extensions for Hair &amp; Fur</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";