var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-30C2EAF6-553A-4F79-B36D-E9D2D33AB124\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>DataViewGroup : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DataViewGroup : ReferenceTarget {64995986,661d41f2} </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>DataViewGroup</strong> ReferenceTarget implements the group object in the Particle Data View.</p>\n\
<p>The grouping can be performed only through the Particle Data View&apos;s menu and is not accessible to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> At time of writing, none of these properties were accessible to MAXScript and would cause an error when attempting to get or set.</div>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DataViewGroup\n\
Data_View_Group</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.Position_X : integer</code></pre><p>Get/set the X Position of the upper left corner of the Group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.Position_Y : integer</code></pre><p>Get/set the Y Position of the upper left corner of the Group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.Width : integer</code></pre><p>Get/set the Width of the Group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.Height : integer</code></pre><p>Get/set the Height of the Group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.Z_Order : integer</code></pre><p>Get/set the Z-Order value used to determine whether to draw the Group over other Groups and operators or behind them.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.Selected : boolean</code></pre><p>Get/set the Selected state of the Group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.Is_Flipped : boolean</code></pre><p>Get/set the Flipped state of the group.</p>\n\
<p>When set to True, the title bar of the group will be drawn at the bottom.</p>\n\
<p>Equivalent to checking/unchecking the Flip menu items in the right-click context menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.Tighten : boolean</code></pre><p>Get/set the Tighten state of the group.</p>\n\
<p>When set to True, the group will be tighten around the grouped sub-operators.</p>\n\
<p>Equivalent to checking/unchecking the Tighten menu items in the right-click context menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.Open : boolean</code></pre><p>Get/set the Open state of the Group.</p>\n\
<p>Equivalent to using the Open/Close menu items in the Group menu or in the right-click context menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.In_Group_Items : maxObject array</code></pre><p>Get/set the sub-operators included in the Group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.In_Group : boolean</code></pre><p>Contains True if the group is inside another group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.Transparency : percent</code></pre><p>Get/set the transparency of the group as percentage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.Bookmark : boolean</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DataViewGroup&gt;.Color : integer</code></pre><h2 id=\"dataviewgroup-interfaces-\">DataViewGroup interfaces:</h2><p><strong>The following common interface is exposed by the DataViewGroup Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";