var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9A691EF9-0F66-4559-B420-5E103482071C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Parameter : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Parameter - superclass: ReferenceTarget; super-superclass:MAXWrapper - 21:0 - classID: #(1137313557, 554188032) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Parameter</strong> Particle Data View sub-operator defines exposable values for sub-operators.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">parameter... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Type Integer default: 3 -- integer </code></pre><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Integer</strong></p>\n\
<p>1 - <strong>Float</strong></p>\n\
<p>2 - <strong>Time</strong></p>\n\
<p>3 - <strong>World Unit</strong> (default)</p>\n\
<p>4 - <strong>Percent</strong></p>\n\
<p>5 - <strong>Angle</strong></p>\n\
<p>6 - <strong>Animation Sync</strong></p>\n\
<p>7 - <strong>Uniqueness Seed</strong></p>\n\
<h2 id=\"value-controls\">Value controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Integer_Value Integer default: 1 -- animatable; integer </code></pre><p>Get/set the Integer Value used only when <code>.Type</code> is set to 0 - <strong>Integer</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Float_Value Float default: 1.0 -- animatable; float </code></pre><p>Get/set the Float Value used only when <code>.Type</code> is set to 1- <strong>Float</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Time_Value Integer default: 4800 -- animatable; integer </code></pre><p>Get/set the Time Value in Ticks used only when <code>.Type</code> is set to 2- <strong>Time</strong>.</p>\n\
<p>Note that the UI displays the value in Frames, but MAXScript expects it in Ticks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.World_Value Float default: 1.0 -- animatable; worldUnits </code></pre><p>Get/set the World Units Value used only when <code>.Type</code> is set to 3 - <strong>World Units</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Percent_Value Float default: 100.0 -- animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><p>Get/set the Percent Value used only when <code>.Type</code> is set to 4 - <strong>Percent</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Angle_Value Float default: 90.0 -- animatable; angle; Controller Scaling: (1 : 57.2958) </code></pre><p>Get/set the Angle Value in degrees used only when <code>.Type</code> is set to 5 - <strong>Angle</strong>.</p>\n\
<h2 id=\"parameters-animation\">Parameters Animation</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Sync_Type Integer default: 0 -- animatable; integer </code></pre><p>Get/set the <strong>&quot;Sync By&quot;</strong> value used only when <code>.Type</code> is set to 6 - <strong>Animation Sync</strong>.</p>\n\
<h2 id=\"uniqueness-group-of-controls-optional-\">Uniqueness group of controls (optional)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Random_Seed Integer default: 11812 -- animatable; integer </code></pre><p>Get/set the <strong>&quot;Seed&quot;</strong> value used only when <code>.Type</code> is set to 7 - <strong>Uniqueness Seed</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Use_As_Modifier BooleanClass default: false -- boolean </code></pre><p>Get/set the state of the <strong>&quot;Use As Parameter Modifier&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Modifier_Type Integer default: 0 -- radiobtnIndex </code></pre><p>Get/set the state of the Modifier Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Offset By</strong> (default)</p>\n\
<p>1 - <strong>Multiply By</strong></p>\n\
<h2 id=\"offset-by-controls\">Offset By controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Integer_Offset Integer default: 1 -- integer </code></pre><p>Get/set the Integer <strong>&quot;Offset By&quot;</strong> value used only when <code>.Type</code> is set to 0 - <strong>Integer</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Float_Offset Float default: 1.0 -- float </code></pre><p>Get/set the Float <strong>&quot;Offset By&quot;</strong> value used only when <code>.Type</code> is set to 1 - <strong>Float</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Time_Offset Integer default: 4800 -- integer </code></pre><p>Get/set the Time <strong>&quot;Offset By&quot;</strong> value in Ticks used only when <code>.Type</code> is set to 2 - <strong>Time</strong>.</p>\n\
<p>Note that the UI displays the value in Frames, but MAXScript expects it in Ticks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.World_Unit_Offset Float default: 1.0 -- worldUnits </code></pre><p>Get/set the World Units <strong>&quot;Offset By&quot;</strong> value used only when <code>.Type</code> is set to 3 - <strong>World Units</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Percent_Offset Float default: 25.0 -- percent </code></pre><p>Get/set the Percent <strong>&quot;Offset By&quot;</strong> value used only when <code>.Type</code> is set to 4 - <strong>Percent</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Angle_Offset Float default: 10.0 -- angle </code></pre><p>Get/set the Angle <strong>&quot;Offset By&quot;</strong> value in degrees used only when <code>.Type</code> is set to 5- <strong>Angle</strong>.</p>\n\
<h2 id=\"multiply-by-controls\">Multiply By controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Integer_Factor Integer default: 2 -- integer </code></pre><p>Get/set the Integer <strong>&quot;Multiply By&quot;</strong> value used only when <code>.Type</code> is set to 0 - <strong>Integer</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Real_Factor Float default: 2.0 -- float </code></pre><p>Get/set the Float <strong>&quot;Multiply By&quot;</strong> value used only when <code>.Type</code> is set to 1 - <strong>Float</strong>.</p>\n\
<h2 id=\"input-and-filter-sockets\">Input And Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Input_1 UndefinedClass default: undefined -- maxObject </code></pre><p>Get/set the Input 1 connection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;parameter&gt;.Filter UndefinedClass default: undefined -- maxObject </code></pre><p>Get/set the Filter connection.</p>\n\
<h2 id=\"parameter-interfaces-\">parameter interfaces:</h2><p><strong>The following common interface is exposed by the parameter Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";