var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B04C9C73-8306-417D-B263-764A6FB05EB1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scalar : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Scalar - superclass: ReferenceTarget; super-superclass:MAXWrapper - 30:0 - classID: #(1137313546, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Scalar</strong> Particle Data View sub-operator generates data of a scalar type: integer, real, time and boolean.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Scalar...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Output_Type     Integer    default: 4   --  integer</code></pre><p>Possible values are:</p>\n\
<p>0 - <strong>Boolean</strong></p>\n\
<p>1 - <strong>Integer</strong></p>\n\
<p>2 - <strong>Float</strong></p>\n\
<p>3 - <strong>Time</strong></p>\n\
<p>4 - <strong>World Unit</strong> (default)</p>\n\
<p>5 - <strong>Percent</strong></p>\n\
<p>6 - <strong>Angle</strong></p>\n\
<h2 id=\"value-control\">Value control</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Angle_Value     Float    default: 90.0   --  animatable; angle; Controller Scaling: (1 : 57.2958); WeirdScaled (1.0)</code></pre><p>Get/set the value of the <strong>&quot;Value&quot;</strong> spinner used when <code>.Output_Type</code> is set to 6 - <strong>Angle</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Boolean_Value     Integer    default: 1   --  animatable; radiobtnIndex</code></pre><p>Get/set the state of the radio buttons used when <code>.Output_Type</code> is set to 0 - <strong>Boolean</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Float_Value     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Value&quot;</strong> spinner used when <code>.Output_Type</code> is set to 2 - <strong>Float</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Integer_Value     Integer    default: 1   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;Value&quot;</strong> spinner used when <code>.Output_Type</code> is set to 1- <strong>Integer</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Percent_Value     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0); WeirdScaled (1.0)</code></pre><p>Get/set the value of the <strong>&quot;Value&quot;</strong> spinner used when <code>.Output_Type</code> is set to 5 - <strong>Percent</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Time_Value     Integer    default: 4800   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;Value&quot;</strong> spinner used when <code>.Output_Type</code> is set to 3- <strong>Time</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.World_Value     Float    default: 1.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Value&quot;</strong> spinner used when <code>.Output_Type</code> is set to 4- <strong>World Unit</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Use_E1     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E1&quot;</strong> checkbutton.</p>\n\
<h2 id=\"variation-control\">Variation control</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Angle_Variation     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958); WeirdScaled (1.0)</code></pre><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner used when <code>.Output_Type</code> is set to 6 - <strong>Angle</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Float_Variation     Float    default: 0.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner used when <code>.Output_Type</code> is set to 2 - <strong>Float</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Integer_Variation     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner used when <code>.Output_Type</code> is set to 1- <strong>Integer</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Percent_Variation     Float    default: 0.0   --  animatable; percent; Controller Scaling: (1 : 100.0); WeirdScaled (1.0)</code></pre><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner used when <code>.Output_Type</code> is set to 5 - <strong>Percent</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Time_Variation     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner used when <code>.Output_Type</code> is set to 3- <strong>Time</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.World_Variation     Float    default: 0.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner used when <code>.Output_Type</code> is set to 4- <strong>World Unit</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Use_E2     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E2&quot;</strong> checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Use_As_Acceleration     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use As Acceleration Value&quot;</strong> checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Use_As_Speed_Or_Spin_Rate     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use As Speed Value&quot;</strong> checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Units_Per_Type     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Tick</strong></p>\n\
<p>1 - <strong>Frame</strong></p>\n\
<p>2 - <strong>Second</strong> (default)</p>\n\
<h2 id=\"use-for-time-related-group-of-controls\">Use For Time Related group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Use_For_Time_Related_Addition     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Addition&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Use_For_Time_Related_Multiplication     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Multiplication&quot;</strong> checkbox.</p>\n\
<h2 id=\"parameters-animation-sync-group-of-controls\">Parameters Animation Sync group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Sync_Type     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the selection of the &quot;Parameters Animation Sync&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Particle Lifespan</strong></p>\n\
<p>3 - <strong>Event Duration</strong></p>\n\
<p>4 - <strong>Time Data Input</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Use_E3     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E3&quot;</strong> checkbutton.</p>\n\
<h2 id=\"uniqueness-group-of-controls\">Uniqueness group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Random_Seed     Integer    default: 68940   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;Speed&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Use_E4     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbutton.</p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operators connected to the corresponding Input sockets of the Scalar sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scalar&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter socket of the Scalar sub-operator.</p>\n\
<h2 id=\"scalar-interfaces-\">Scalar interfaces:</h2><p><strong>The following common interface is exposed by the Scalar Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";