var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A79EC7F6-47B7-49C7-907E-21D59C15637E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Group_Operator : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Group_Operator- superclass: helper; super-superclass:node - 4:0 - classID:#(1395943174, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Group_Operator</strong> applies an entire event to the particles selected by any Group Selection Operator. The <strong>Group_Operator</strong> is useful when you want to apply an existing event to a particle subset, but you don&apos;t want to split the particles from the current event. The <strong>Group_Operator</strong> modifies the selected particles only while they remain in the current event.</p>\n\
<p>The <strong>Group_Operator</strong> was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and became an integral part of <strong>3ds Max 2010</strong>. It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Group_Operator...\n\
GroupOperator...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Operator&gt;.Event_With_Operators : node </code></pre><p>Get/set the event with operators/tests to be applied to the selected particles.</p>\n\
<p>The node can be any event except the one the Group_Operator is currently in.</p>\n\
<p>Birth operators do not affect the particles. Also, if the event has tests, the particles are not redirected to another event. All other events are performed on the particles selected by the Group Selection operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Operator&gt;.Group_Selection_Operators : node array </code></pre><p>Get/set the content of the Group Selection operators list.</p>\n\
<p>It specifies the Group Selection operators that hold particle selections on which to apply the specified Event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Operator&gt;.Selection_Condition : integer </code></pre><p>Get/set the Selection Condition list&apos;s selected item. This option will be used when the Group_Selection_Operators array contains more than one Group_Selection operators.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Selected In All Groups</strong></p>\n\
<p>1 - <strong>Selected In Any Group</strong></p>\n\
<p>2 - <strong>Selected In Single Group</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Operator&gt;.Group_Selection : node </code></pre><p>This value is provided for backwards compatibility with previous versions of the operator which supported a single Group_Selection node instead of a list of one or more. It is not used anymore.</p>\n\
<h2 id=\"group_operator-interfaces-\">Group_Operator Interfaces:</h2><p><strong>The following Interfaces are exposed by theGroup_OperatorClass:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Groups.html\">Groups</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Group_Select-Helper.html\">Group_Select : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";