var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DC66F451-8E49-4394-B632-31B84A8FF8EB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Group_Select : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Group_Select- superclass: helper; super-superclass:node - 4:0 - classID:#(1395943173, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Group_Select</strong> operator extends Particle Flow&apos;s ability to select particles.</p>\n\
<p>With the standard PF Source object, you can select a specific group of particles with the Particle sub-object, and the same selection is used in all events. Conversely, you can use several <strong>Group_Select</strong> operators in one flow, each selecting a different group of particles. The <strong>Group_Select</strong> operator also provides an animatable icon that selects particles that pass through it, similar in function to the Vol. Select modifier.</p>\n\
<p>Each <strong>Group_Select</strong> operator selects a unique subset of particles. You can split selected particles to another event with the Split Group Operator, or indicate an outside event to affect particles with the <a href=\"Group_Operator-Helper.html\">Group_Operator</a>. The <strong>Group_Select</strong> icon can be scaled and transformed to dynamically change the particle selection over the course of the particle flow.</p>\n\
<p><strong>Group_Select</strong> operators can be instanced in different events to define the same selection subset. If the particles converge into a third event, the selection subsets are united, and a <a href=\"Group_Operator-Helper.html\">Group_Operator</a> works with the combined selection subset.</p>\n\
<p>The <strong>Group_Select</strong> operator doesn&apos;t change particle properties. It adds a data channel that indicates the selection status of a particle corresponding to the selection operator. To modify particles based on their selection status, use a <a href=\"Group_Operator-Helper.html\">Group_Operator</a> or Split Group test.</p>\n\
<p>The <strong>Group_Select</strong> was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and became an integral part of <strong>3ds Max 2010</strong>. It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Group_Select...\n\
GroupSelection...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"selection-update-\">Selection Update:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Update_Type : radiobtnIndex </code></pre><p>Get/set the Selection Update radio buttons state.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Once</strong> (default) - Calculates the selection status only once, at the time a particle enters the event.</p>\n\
<p>1 - <strong>Continuous</strong> - Calculates the selection status newly at every frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Reverse_Selection : boolean </code></pre><p>Get/set the state of the Reverse Selection option. It inverts the particle selection.</p>\n\
<h2 id=\"selection-condition-\">Selection Condition:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Selection_Type : radiobtnIndex </code></pre><p>Get/set the Selection Type radio buttons state.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Entire Particle Stream</strong></p>\n\
<p>1 - <strong>By Snapshot</strong> (default)</p>\n\
<p>2 - <strong>Inside Icon Volume</strong></p>\n\
<p>3 - <strong>Inside Object</strong></p>\n\
<p>4 - <strong>Select By Particle</strong></p>\n\
<p>5 - <strong>Randomly Selected</strong></p>\n\
<p>6 - <strong>Combine Groups</strong></p>\n\
<h3 id=\"1-by-snapshot\">1 - By Snapshot</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Snapshot_Type : integer </code></pre><p>Get/set the Snapshot Type drop-down list selection used when the <strong><code>.Selection_Type</code></strong> property is set to 1.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Selected in PF Source</strong></p>\n\
<p>1 - <strong>All in Current Event</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Snapshot_Particle_System : integer </code></pre><p>Get/set the <code>inode.handle</code> value of the PF Source node used to snapshot the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Snapshot_Indices : int array </code></pre><p>Get/set an array of 0-based integers defining the particle IDs in the snapshot.</p>\n\
<h3 id=\"2-inside-icon-volume\">2 - Inside Icon Volume</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Icon_Type : integer </code></pre><p>Get/set the Icon Type drop-down list selection when the <strong><code>.Selection_Type</code></strong> property is set to 2.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Box</strong> (default)</p>\n\
<p>1 - <strong>Cylinder</strong></p>\n\
<p>2 - <strong>Sphere</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Subframe_Sampling : boolean </code></pre><p>Get/set the state of the Subframe Sampling option.</p>\n\
<h3 id=\"3-inside-object\">3 - Inside Object</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Inside_Object : node </code></pre><p>Get/set the geometry object to be used for the Inside Object test when the <strong><code>.Selection_Type</code></strong> property is set to 3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Animated_Shape : boolean </code></pre><p>Get/set the state of the Animated Shape option.</p>\n\
<h3 id=\"4-select-by-particle\">4 - Select By Particle</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Property_Type : integer </code></pre><p>Get/set the Property drop-down list selection when the <strong><code>.Selection_Type</code></strong> property is set to 4.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Age</strong></p>\n\
<p>1 - <strong>Birth ID</strong> (default)</p>\n\
<p>2 - <strong>Direction</strong></p>\n\
<p>3 - <strong>Scale</strong></p>\n\
<p>4 - <strong>Script Float</strong></p>\n\
<p>5 - <strong>Size</strong></p>\n\
<p>6 - <strong>Speed</strong></p>\n\
<p>7 - <strong>Uniform Index</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Age_From : integer </code></pre><p>Get/set the From value in <a href=\"./../../../../../../MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\">Ticks</a> when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 0 (Age).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Age_To : integer </code></pre><p>Get/set the To value in <a href=\"./../../../../../../MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\">Ticks</a> when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 0(Age).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Age_Variation : integer </code></pre><p>Get/set the Variation value when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 0 (Age).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Index_From : integer </code></pre><p>Get/set the From value when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 1 (Birth ID).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Index_To : integer </code></pre><p>Get/set the To value when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 1 (Birth ID).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Index_Variation : integer </code></pre><p>Get/set the Variation value when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 1 (Birth ID).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Divergence : angle </code></pre><p>Get/set the Divergence value in degrees when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 2 (Direction).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Divergence_Variation : angle </code></pre><p>Get/set the Divergence Variation value in degrees when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 2 (Direction).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Scale_From : percent </code></pre><p>Get/set the From value in percent when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 3 (Scale).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Scale_To : percent </code></pre><p>Get/set the To value in percent when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 3 (Scale).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Scale_Variation : percent </code></pre><p>Get/set the Variation value in percent when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 3 (Scale).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Float_From (Size_From) : float </code></pre><p>Get/set the From value when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 4 (Script Float).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Float_To (Size_To) : float </code></pre><p>Get/set the To value when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 4 (Script Float).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Float_Variation (Size_Variation) : float </code></pre><p>Get/set the Variation value when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 4 (Script Float).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Size_From : worldUnits </code></pre><p>Get/set the From value in world units when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 5 (Size).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Size_To : worldUnits </code></pre><p>Get/set the To value in world units when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 5 (Size).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Size_Variation : worldUnits </code></pre><p>Get/set the Variation value in world units when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 5 (Size).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Speed_From : worldUnits </code></pre><p>Get/set the From value in world units when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 6.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Speed_To : worldUnits </code></pre><p>Get/set the To value in world units when the <strong><code>.Selection_Type</code></strong> property is set to 4 and the <code>.Property_Type</code> property is set to 6.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Speed_Variation : worldUnits </code></pre><p>Get/set the Variation value in world units when the <strong><code>.Selection_Type</code> property is set to 4 and the <code>.Property_Type</code></strong> property is set to 6.</p>\n\
<h3 id=\"5-randomly-selected\">5 - Randomly Selected</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Chance : percent </code></pre><p>Get/set the Chance value in percent when the <strong><code>.Selection_Type</code></strong> property is set to 5.</p>\n\
<h3 id=\"6-combine-groups\">6 - Combine Groups</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Combine_Type : integer </code></pre><p>Get/set the selection index of the Combine Groups type drop-down list used when the <strong><code>.Selection_Type</code></strong> property is set to 6.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>A and B</strong> (default)</p>\n\
<p>1 - <strong>A or B</strong></p>\n\
<p>2 - <strong>A or B not both</strong></p>\n\
<p>3 - <strong>A and not B</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Group_A : node </code></pre><p>Get/set the Group A node used when the <strong><code>.Selection_Type</code></strong> property is set to 6.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Group_B : node </code></pre><p>Get/set the Group B node used when the <strong><code>.Selection_Type</code></strong> property is set to 6.</p>\n\
<h2 id=\"icon-properties-\">Icon Properties:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Icon_Size : worldUnits </code></pre><p>Get/set the Icon Size value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Logo_Size : worldUnits </code></pre><p>Get/set the Logo Size value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Color_Coordinated : boolean </code></pre><p>Get/set whether the icon color will be the same as the Display color in the current event (true) or the default blue color (false).</p>\n\
<h2 id=\"uniqueness-\">Uniqueness:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Group_Select&gt;.Random_Seed : integer </code></pre><p>Get/set the Random seed value.</p>\n\
<h2 id=\"group_select-interfaces-\">Group_Select Interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: groupSelection </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Group_Select&gt;.getSelectionHandle() </code></pre><p>Returns the selection handle for the Snapshot mode.</p>\n\
<p><strong>The following common Interfaces are exposed by the Group_Select Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Groups.html\">Groups</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Group_Operator-Helper.html\">Group_Operator : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";