var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D0C1C6E8-438C-423C-844B-3C1F4E529AA0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Force : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Force - superclass: helper super-superclass:node - classID: #(1962490646, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Force</strong> operator lets you influence particle motion with one or more Space Warps from the Force category. Use this operator along with different forces to simulate the effects of wind, gravity, and so on.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Force... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Force&gt;.Force_Space_Warps ArrayParameter default:#() -- node array; SubAnim </code></pre><p>Specifies the Space Warps used by the Force operator.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The following force Space Warps work with the <strong>Force</strong> operator: <a href=\"./../../../../../Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/Motor-SpacewarpObject.html\">Motor</a>, <a href=\"./../../../../../Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/PushSpaceWarp-SpacewarpObject.html\">Push</a>, <a href=\"./../../../../../Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Deflectors/Vortex-SpacewarpObject.html\">Vortex</a>, <a href=\"./../../../../../Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Deflectors/Drag-superclass-SpacewarpObject-1.html\">Drag</a>, <a href=\"./../../../../../Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/PBomb-SpacewarpObject.html\">PBomb</a>, <a href=\"./../../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Displace_Mesh-SpacewarpModifier.html\">Displace</a>, <a href=\"./../../../../../Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/Gravity-SpacewarpObject.html\">Gravity</a>, <a href=\"./../../../../../Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/Wind-SpacewarpObject.html\">Wind</a>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Force&gt;.Influence Float default:1000.0 -- animatable; percentage </code></pre><p>Specifies the strength with which the force or forces are applied to the particles as a percentage.</p>\n\
<p>A negative Influence value reverses the force effects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Force&gt;.Sync Integer default:0 -- integer </code></pre><p>Specifies the time frame for applying animated parameters.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they are set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&apos;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Force&gt;.Force_Space_Warps Array default:#() -- node array; SubAnim </code></pre><p>Specifies the list of Space Warps to be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Force&gt;.Force_Overlapping Integer default:0 --radio button number </code></pre><p>Resolves how multiple forces that occupy the same volume of space affect the particles.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Additive</strong> - the forces are combined according to their relative strengths.</p>\n\
<p>1: <strong>Maximum</strong> - only the force with the greatest strength affects the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Force&gt;.Use_Script_Float Integer default:0 -- integer </code></pre><p>Controls the state of the <strong>Use Script Float As</strong> drop-down list in the additional Script Wiring rollout.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Not Used</strong> - <strong>Particle Flow</strong> uses the Force setting specified in the Parameters rollout.</p>\n\
<p>1: <strong>Influence</strong> - <strong>Particle Flow</strong> applies the script particleFloat value to the <code>.Force</code> value.</p>\n\
<h2 id=\"script-wiring-\">Script Wiring:</h2><p><strong>Script Wiring</strong> lets you use a script to control the <strong>.Force</strong> property which you normally specify in the operator&apos;s parameters.</p>\n\
<ul>\n\
<li><p>Place a <a href=\"Script_Operator-Helper.html\">Script Operator</a> before the <strong>Force</strong> operator in the event,</p>\n\
</li>\n\
<li><p>Use the method <code>.setUseScriptWiring</code> in <a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a> to enable the Script Wiring and then</p>\n\
</li>\n\
<li><p>Use the Script_Operator to define values in the <strong>particleFloat</strong> channel:</p>\n\
</li>\n\
</ul>\n\
<p><strong>Supported Channels:</strong></p>\n\
<p><strong>ParticleFloat -&gt; Force</strong></p>\n\
<p>When Script Wiring is enabled, the values in the <strong>particleFloat</strong> channel will control the <code>.Force</code> value of the <strong>Force</strong> operator.</p>\n\
<p>For an example of a script that sets particleFloat values, see <a href=\"./../../../Particle-Flow-Script-Examples/Particle-Channel-Scripts/particleFloat-Sample-Script.html\">particleFloat Sample Script</a>.</p>\n\
<h2 id=\"force-interfaces-\">Force Interfaces:</h2><p><strong>The following Interfaces are exposed by the Force Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other.html\">Other</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Script-Examples/Particle-Channel-Scripts/particleFloat-Sample-Script.html\">particleFloat Sample Script</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";