var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1ADD64E1-1637-4D6D-B6EE-409B14D197C7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>shapeStandard : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">shapeStandard - superclass: helper super-superclass:node - classID: #(1962490635, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p><strong>ShapeStandard</strong> used to be the default operator for defining the geometry used in the Particle Flow system <strong>prior to 3ds Max 2010</strong>. It is still creatable by MAXScript and exposed internally for backwards compatibility. The new default operator for defining geometry since <strong>3ds Max 2010</strong> is the <a href=\"ShapeLibrary-Helper.html\">ShapeLibrary Operator</a> which provides a lot more options.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>All primitive particles created with Shape have pivot points in their geometric centers.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">shapeStandard... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeStandard&gt;.Shape Integer default:0 </code></pre><p>Specifies the shape. Possible values are:</p>\n\
<p>0: <strong>Tetra</strong> - These tetrahedron-shaped particles have a four triangular sides. Having only four polygons, the tetra is the simplest of the rendering particle shapes</p>\n\
<p>1: <strong>Cube</strong> - These box-shaped particles have six square sides, all the same size</p>\n\
<p>2: <strong>Sphere</strong> - Creates spherical particles. The sphere has the most polygons of the rendering particle shapes, and its orientation isn&apos;t obvious.</p>\n\
<p>3: <strong>Vertex</strong> - Use this option to create non-rendering particles whose sole attribute is their location. This can be useful when using script operators</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeStandard&gt;.Size Float default:10.0 --world units </code></pre><p>Sets the overall size of the particles in system units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeStandard&gt;.Use_Scale Boolean default:false </code></pre><p>When set to True, the <code>.Scale</code> value will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeStandard&gt;.Scale_Value Float default:100.0 --percentage </code></pre><p>Sets the size of the particles as a percentage of the <strong><code>.Size</code></strong> value.</p>\n\
<h2 id=\"shapestandard-interfaces-\">shapeStandard Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shape.html\">Shape</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"ShapeLibrary-Helper.html\">ShapeLibrary : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Shape_Facing-Helper.html\">Shape_Facing : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Shape_Instance-Helper.html\">Shape_Instance : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Shape_Mark-Helper.html\">Shape_Mark : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";