var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3504EE64-9BC0-49AC-B1A2-AB4B1360E80B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Collision : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Collision - superclass: helper; super-superclass:node - 9:0 - classID: #(1962490883, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p><strong>Collision</strong> tests for particles that collide with one or more specified Deflector Space Warps. It can also test whether a particle has slowed down or sped up after one or more collisions, has collided more than once, and even whether it will collide with a deflector in a specified number of frames.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Collision... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision&gt;.Collision_Nodes ArrayParameter default: #() -- node array; alias: collisionNodes </code></pre><p>Get/Set the list of Deflectors used as Collision Nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision&gt;.test_Type Integer default: 0 -- integer; Collision_Test_Type </code></pre><p>Controls the state of the <strong>Test True If Particle</strong> radiobuttons in the UI.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Collides</strong> - Choose this option, and then set <code>.Speed_Option</code> according to how particle speed should be affected by the collision.</p>\n\
<p>1: <strong>Is Slow After Collision(s)</strong> - The test succeeds if, after collision, particle speed is less than the Min_Speed value.</p>\n\
<p>2: <strong>Is Fast After Collision(s)</strong> - The test succeeds if, after collision, particle speed is greater than the Max_Speed value.</p>\n\
<p>3: <strong>Collided Multiple Times</strong> - The test becomes <code>True</code> after a particle collides a specific number of times. The particle is moved to the point of the last collision and then redirected to the next event.</p>\n\
<p>4: <strong>Will Collide</strong> - The software extrapolates particle motion in a linear fashion, based on the current direction and speed, and the test becomes <code>True</code> if the results suggest that the particle will collide with the deflector during a specified time interval. The particle is redirected to the next event without updating its speed or position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision&gt;.Speed_Option Integer default: 0 -- integer; alias:speedOption </code></pre><p>Controls the state of the <strong>Speed</strong> drop-down list. Determines the behavior of the particle after the collision when <code>.testType</code> is set to <strong>0 : Collides</strong>. Possible values are:</p>\n\
<p>0: <strong>Bounce</strong> - The speed and direction after collision is determined by the deflector properties.</p>\n\
<p>1: <strong>Continue</strong> - Particle speed and direction are unaffected by the collision.</p>\n\
<p>2: <strong>Stop</strong> - Particle speed is set to 0 after the collision.</p>\n\
<p>3: <strong>Random</strong> - Particles bounce off the deflector in random directions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision&gt;.Min_Speed Float default: 1.0 -- world units; alias: minSpeed </code></pre><p>Corresponds to the <strong>Speed Min</strong> value in the UI. Particles traveling at less than this speed, in system units per second, test <code>True</code> and become eligible for moving to the next event when <code>.testType</code> is set to <strong>1 : Is Slow After Collision</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision&gt;.Max_Speed Float default: 1000.0 -- world units; alias: maxSpeed </code></pre><p>Corresponds to the <strong>Speed Max</strong> value in the UI. Particles traveling faster than this speed, in system units per second, test <code>True</code> and become eligible for moving to the next event when <code>.testType</code> is set to <strong>2 : Is Fast After Collision</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision&gt;.Collision_Count Integer default: 5 -- integer; alias: collisionCount </code></pre><p>Get/Set the number of times a particle must collide in order to test True. Only used when <code>.testType</code> is set to <strong>3 : Collided Multiple Times</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision&gt;.collision_Count_OptionsInteger default: 0 -- integer; alias: collisionCountOptions </code></pre><p>Controls the state of the Speed drop-down list under the Collided Multiple Times option. Determines the behavior of the particle after the collision.</p>\n\
<p>0: <strong>Bounce</strong> - The speed and direction after collision is determined by the deflector properties.</p>\n\
<p>1: <strong>Continue</strong> - Particle speed and direction are unaffected by the collision.</p>\n\
<p>2: <strong>Stop</strong> - Particle speed is set to 0 after the collision.</p>\n\
<p>3: <strong>Random</strong> - Particles bounce off the deflector in random directions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision&gt;.Will_Collide_Frame Integer default: 800 -- integer; alias: willCollideFrame </code></pre><p>Get/Set the time ahead (in ticks) during which the software looks for an impending collision when <code>.testType</code> is set to <strong>4 : Will Collide</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The time value is shown as frames in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision&gt;.Random_Seed Integer default: 12345 -- integer </code></pre><p>Specifies the randomization value.</p>\n\
<h2 id=\"collision-interfaces-\">Collision Interfaces:</h2><p><strong>The following Interfaces are exposed by the Collision Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\">Interface: test</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Tests.html\">Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";