var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AA10A930-7D9B-4DE2-A89C-3AEC08475DA2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Spawn : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Spawn - superclass: helper super-superclass:node - classID: #(1962490882, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p><strong>Spawn</strong> creates new particles from existing ones. Each spawned particle is born at the same location as its parent, and has the same orientation and shape. <strong>Spawn</strong> can give the spawned particles a different speed and scaling factor. If you wire the <strong>Spawn</strong> test to another event, spawned particles are sent to that event, where you can specify different properties for the new particles.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Spawn... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Spawn_Type Integer default:0 </code></pre><p>Controls the state of the radio buttons in the UI. Use these settings to specify how often particles are to spawn, the measurement system to use, and other values related to how many particles are spawned.</p>\n\
<p>0: <strong>Once</strong> - Particles spawn one time only. For each existing particle, one new one is born.</p>\n\
<p>1: <strong>Per Second</strong> - Lets you specify a number of particles to spawn every second. For example, if you use the default Rate setting of 10.0, at 30 fps a new particle is born every three frames.</p>\n\
<p>2: <strong>By Travel Distance</strong> - Lets you spawn new particles at regular intervals over the path of a moving parent particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Delete_Parent Boolean default:false </code></pre><p>When on, deletes each original particle from which a new one is spawned. Available only with the Once option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Spawn_Rate Float default:10.0 </code></pre><p>The number of particles to spawn per second. Available only with the Per Second option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Spawn_Step_Size Float default:1.0 --world units </code></pre><p>The system spawns a new particle every time the parent moves this distance, in system units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Spawn_Able Float default:100.0 --percentage </code></pre><p>The percentage of particles in the current event that will spawn new particles. This is determined once for each particle, when it enters the event. However, the parameter is animatable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Number_of_Offsprings Integer default:1 </code></pre><p>The number of new particles the system creates from each parent particle for each spawning event</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Variation Float default:0.0 --percentage </code></pre><p>The amount by which the Offspring # value can vary randomly</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Sync_Type Integer default:0 </code></pre><p>Choose the time frame to use when animating <strong><code>.Spawn_Rate</code> , <code>.Spawn_Step_Size</code> , <code>.Number_of_Offsprings</code></strong> and Variation:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&apos;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&apos;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Restart_Particle_Age Boolean default:true </code></pre><p>When on, sets the age of each newly spawned particle at 0. When off, each spawned particle inherits its parent&apos;s age.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Speed_Type Integer default:1 </code></pre><p>Controls the state of the Speed group radio buttons in the UI.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>In Units</strong> - Choose this to specify the speed of spawned particles in system units per second. A positive value inherits the parent&apos;s direction; a negative value reverses it.</p>\n\
<p>1: <strong>Inherited</strong> - Choose this to specify each spawned particle&apos;s speed as a percentage of its parent&apos;s speed. A positive value inherits the parent&apos;s direction; a negative value reverses it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Speed Float default:100.0 --world units </code></pre><p>Get/set the value used when <code>.Speed_Type</code> is set to <strong>0 : In Units</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Speed_Inherited Float default:100.0 --percentage </code></pre><p>Get/set the value used when <code>.Speed_Type</code> is set to <strong>1 : Inherited</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Variation Float default:0.0 --percentage </code></pre><p>Get/set the amount by which a spawned particle&apos;s speed can vary randomly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Divergence Float default:20.0 --angle; </code></pre><p>When set to <code>true</code> , spreads out the stream of spawned particles. Defines the extent of the divergence in degrees. Range is from 0 to 180.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Scale_Factor Float default:100.0 --percentage </code></pre><p>Get/set the amount of uniform scaling to apply to each spawned particle, as a percentage of its parent&apos;s size</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Variation Float default:0.0 --percentage </code></pre><p>Get/set the amount by which a spawned particle&apos;s scale can vary randomly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spawn&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"spawn-interfaces-\">Spawn Interfaces:</h2><p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\">Interface: test</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Tests.html\">Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";