var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6D5AAD12-EAD9-4D30-8501-6D1622490C9F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mP_Collision : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Collision - superclass: helper; super-superclass:node - 9:0 - classID: #(1935830275, 515064320)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Collision</strong> test uses any geometry object with PFlow Collision Shape world-space modifier as a simulation deflector. The collided particles can be sent to the next event, and collision data can be passed to Data operators.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Collision...\n\
PhysXCollision...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Collision&gt;.Deflectors     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>Get/set the list of deflector objects to be used for collisions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Collision&gt;.Test_True     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Test True If Particle:&quot;</strong> checkbox. When checked, particles will be sent out to the next Event depending on the <code>.Test_Type</code> settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Collision&gt;.Test_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the Test Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Collides</strong> (default)</p>\n\
<p>1 - <strong>Is Slow After Collision(s)</strong></p>\n\
<p>2 - <strong>Is Fast After Collisions(s)</strong></p>\n\
<p>3 - <strong>Collided Multiple Times</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Collision&gt;.Min_Speed     Float    default: 1.0   --  animatable; worldUnits; TempSub</code></pre><p>Get/set the value of the <strong>&quot;Speed Min&quot;</strong> spinner.</p>\n\
<p>It is used as the threshold value when the <code>.Test_Type</code> is set to 1 (Is Slow After Collision(s)) and <code>.Test_True</code> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Collision&gt;.Max_Speed     Float    default: 1000.0   --  animatable; worldUnits; TempSub</code></pre><p>Get/set the value of the <strong>&quot;Speed Max&quot;</strong> spinner.</p>\n\
<p>It is used as the threshold value when the <code>.Test_Type</code> is set to 2 (Is Fast After Collision(s)) and <code>.Test_True</code> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Collision&gt;.Collision_Count     Integer    default: 5   --  integer; TempSub</code></pre><p>Get/set the value of the <strong>&quot;# Times&quot;</strong> spinner.</p>\n\
<p>It is used when the <code>.Test_Type</code> is set to 3 (Collided Multiple Times) and <code>.Test_True</code> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Collision&gt;.Report_To_Data_Operator     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Report To Data Operator&quot;</strong> checkbox.</p>\n\
<p>When set to True, the collision operator will provide collision information to Data operators. Use an <a href=\"./../Data-Operators/Data-Sub-Operators/Input_mParticles-ReferenceTarget.html\">InputMassFX</a> sub-operator to read the Deflector-based <strong>&quot;Collided&quot;</strong> or <strong>&quot;# Collisions&quot;</strong> channels generated by the mP_Collision test.</p>\n\
<p>When set to False (default), no collision data will be provided to Data operators.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Collision&gt;.Additive_Count     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Additive Count&quot;</strong> checkbox.</p>\n\
<p>It is used only when the <code>.Test_Type</code> is set to 3 (Collided Multiple Times), <code>.Test_True</code> is set to True and <code>.Report_To_Data_Operator</code> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Collision&gt;.Collision_Group     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Collision Group&quot;</strong> spinner.</p>\n\
<h2 id=\"mp_collision-interfaces-\">mP_Collision interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the mP_Collision Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\">Interface: test</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-integrator.html\">Interface: integrator</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../mParticles-Operators.html\">mParticles Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";