var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E497CCDE-CB9D-455D-B6C7-0569EB549E24\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ActionList</h1></div><p><strong>The ActionList Interface is exposed by the Event Class</strong>.</p>\n\
<p>It lets you add and removed Actions to/from the Event, test the type of the Actions on the list and control the Event&#x2019;s appearance in the Particle View.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Event&gt;.numActions()      </code></pre><p>Returns the number of actions in the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;&lt;PF_Event&gt;.getAction &lt;index&gt;index   </code></pre><p>Returns the indexed action from the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.appendAction &lt;node&gt;action </code></pre><p>Appends the specified action to the list, returns <strong>true</strong> on success.</p>\n\
<p>See <a href=\"./../../Particle-Flow-Script-Examples/Creating-and-Connecting-Actions/VolumeDocking-Sample-Script.html\">VolumeDocking Sample Script</a> for a complete example.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.insertAction &lt;node&gt;action &lt;index&gt;index </code></pre><p>Inserts the specified action in the list at the position defined by the index value. Returns <strong>true</strong> on success.</p>\n\
<p>See <a href=\"./../../Particle-Flow-Script-Examples/Creating-and-Connecting-Actions/VolumeDocking-Sample-Script.html\">VolumeDocking Sample Script</a> for a complete example.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.removeAction &lt;index&gt;index </code></pre><p>Removes the indexed action from the list. Returns <strong>true</strong> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.hasAction &lt;node&gt;action &lt;&amp;index&gt;index \n\
\n\
index is In and Out parameter</code></pre><p>Returns <strong>true</strong> if the specified action is on the list. When true, the by-reference index variable will contain the actual index of the existing action on the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.isAction &lt;node&gt;action </code></pre><p>Returns <strong>true</strong> if the specified node is an action.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.isOperator &lt;node&gt;action </code></pre><p>Returns <strong>true</strong> if the specified node is an operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.isTest &lt;node&gt;action </code></pre><p>Returns <strong>true</strong> if the specified node is a test.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.isActivated() </code></pre><p>Returns <strong>true</strong> if activated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Event&gt;.activate &lt;boolean&gt;active </code></pre><p>Sets the active state to the boolean value specified by the active parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Event&gt;.isActionActive &lt;index&gt;index </code></pre><p>Returns 1 if the indexed action is active, 0 otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Event&gt;.activateAction &lt;index&gt;index &lt;integer&gt;active </code></pre><p>Sets the active flag of the indexed action. 0 = inactive, 1= active</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Event&gt;.getPViewLocation &lt;&amp;integer&gt;x &lt;&amp;integer&gt;y \n\
\n\
x is In and Out parameter \n\
y is In and Out parameter </code></pre><p>Returns the x and y location of the Particle View in the by-reference parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Event&gt;.setPViewLocation &lt;integer&gt;x &lt;integer&gt;y </code></pre><p>Sets the Particle View location to the specified integer values.</p>\n\
<p>X and Y Range is from 0 to 64000.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Event&gt;.getPViewZOrder() </code></pre><p>Returns the Particle View Z order.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Event&gt;.setPViewZOrder &lt;integer&gt;z order </code></pre><p>Sets the Particle View Z Order. Range is from0 to 64000.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Event&gt;.getListWidth() </code></pre><p>Returns the List Width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setListWidth &lt;integer&gt;width </code></pre><p>Sets the List width. Range is from 100 to 1000 pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Event&gt;.getPViewRightBoundary() </code></pre><p>Returns the right boundary of the Particle View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.isCollapsed() </code></pre><p>Returns <strong>true</strong> if the action list is collapsed.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Collapsing is <strong>not implemented</strong> yet.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Event&gt;.collapse() </code></pre><p>Collapses the action list.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Collapsing is <strong>not implemented</strong> yet.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Event&gt;.expand() </code></pre><p>Expands the action list.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Expanding is <strong>not implemented</strong> yet.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.hasUpStream() </code></pre><p>Returns <strong>true</strong> if the action list has an upstream list.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES AND RESULTS</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Open Particle View to see results\n\
   ParticleFlow.openParticleView()\n\
   --Create an empty event\n\
   ev = Event()\n\
   --&gt; $Event:Event 02 @ [0.000000,0.000000,0.000000]\n\
   --Get the number of actions - the Event IS empty...\n\
   ev.numActions()\n\
   --&gt; 0\n\
   --Disable Automatic Event Encapsulation\n\
   particleFlow.beginEdit()\n\
   --&gt; OK\n\
   --Create a new Find_Target Action\n\
   ft = find_target()\n\
   --&gt; $Find_Target:Find Target 01 @ [0.000000,0.000000,0.000000]\n\
   --Enable Encapsulation again\n\
   particleFlow.endEdit()\n\
   --&gt; OK\n\
   --Append the Find_Target to the Event\n\
   ev.appendAction ft\n\
   --&gt; true\n\
   --Get the first action in the Event...\n\
   ev.getAction 1\n\
   --&gt; $Find_Target:Find Target 01 @ [0.000000,0.000000,0.000000]\n\
   --Let&#x2019;s create another Action...\n\
   particleFlow.beginEdit()\n\
   --&gt; OK\n\
   --This time a Birth Action\n\
   bt = birth()\n\
   --&gt; $Birth:Birth 01 @ [0.000000,0.000000,0.000000]\n\
   particleFlow.endEdit()\n\
   --&gt; OK\n\
   --Insert the Birth at first position\n\
   ev.insertAction bt 1\n\
   --&gt; true\n\
   --Try to insert the Find_Target\n\
   --You cannot - it is already in the Event!\n\
   ev.insertAction ft 1\n\
   --&gt; false\n\
   --Remove the second event (Find_Target)\n\
   ev.removeAction 2\n\
   --&gt; true\n\
   --Initialize a variable to pass by reference\n\
   ind = 0\n\
   --&gt; 0\n\
   --Check if the Birth is in the Event - It is!\n\
   ev.hasAction bt &amp;ind\n\
   --&gt; true\n\
   --The by-reference variable has the index\n\
   ind\n\
   --&gt; 1\n\
   --See if Find_Target is also there -\n\
   --It isn&#x2019;t anymore.\n\
   ev.hasAction ft &amp;ind\n\
   --&gt; false\n\
   --See if Birth is an Action...\n\
   ev.isAction bt\n\
   --&gt; true\n\
   --See if Find_Target is an Action...\n\
   ev.isAction ft\n\
   --&gt; true\n\
   --See if Birth is an Operator...\n\
   ev.isOperator bt\n\
   --&gt; true\n\
   --See if Find_Target is an Operator...\n\
   ev.isOperator ft\n\
   --&gt; false\n\
   --See if Birth is a Test...\n\
   ev.isTest bt\n\
   --&gt; false\n\
   --See if Find_Target is a Test...\n\
   ev.isTest ft\n\
   --&gt; true\n\
   --See if the Event is activated...\n\
   ev.isActivated()\n\
   --&gt; true\n\
   --Deactivate it!\n\
   ev.activate false\n\
   --&gt; OK\n\
   --Now it is deactivated.\n\
   ev.isActivated()\n\
   --&gt; false\n\
   --Activate it again.\n\
   ev.activate true\n\
   --&gt; OK\n\
   --Works!\n\
   ev.isActivated()\n\
   --&gt; true\n\
   --See if the Birth action is active\n\
   ev.isActionActive 1\n\
   --&gt; 1\n\
\n\
   --Deactivate the Birth action\n\
   ev.activateAction 1 0\n\
   --&gt; OK\n\
   --Did it work?\n\
   ev.isActionActive 1\n\
   --&gt; 0\n\
   --Back to Active\n\
   ev.activateAction 1 1\n\
   --&gt; OK\n\
   --Birth is back to work!\n\
   ev.isActionActive 1\n\
   --&gt; 1\n\
   --Initialize some variables to pass by reference\n\
   x = y = 0\n\
   --&gt; 0\n\
   --Get the Event location in Particle View\n\
   ev.getPViewLocation &amp;x &amp;y\n\
   --&gt; OK\n\
   --X now contains the X coordinate...\n\
   x\n\
   --&gt; 27\n\
   --...and Y the Y coordinate\n\
   y\n\
   --&gt; 14\n\
   --Let&#x2019;s change the location to 40,40\n\
   ev.setPViewLocation 40 40\n\
   --&gt; OK\n\
   --Get again to make sure it worked...\n\
   ev.getPViewLocation &amp;x &amp;y\n\
   --&gt; OK\n\
   x\n\
   --&gt; 40\n\
   y\n\
   --&gt; 40\n\
   --Get the Z order of the Event\n\
   ev.getPViewZOrder()\n\
   --&gt; 1\n\
   --Set the Z order down to 0\n\
   ev.setPViewZOrder 0\n\
   --&gt; OK\n\
   --Check that it worked\n\
   ev.getPViewZOrder()\n\
   --&gt; 0\n\
   --Get the width of the Event\n\
   ev.getListWidth()\n\
   --&gt; 180\n\
   --Set the width to something larger\n\
   ev.setListWidth 300\n\
   --&gt; OK\n\
   --It worked (you should see it in PView)\n\
   ev.getPViewRightBoundary()\n\
   --&gt; 300\n\
   --Make it smaller\n\
   ev.setListWidth 100\n\
   --&gt; OK\n\
   --Check where the right boundary is\n\
   ev.getPViewRightBoundary()\n\
   --&gt; 100\n\
   --Get the collapsed state of the Event - currently it will\n\
   --always return false, this is for Future Use.\n\
   ev.isCollapsed()\n\
   --&gt; false\n\
   --Note: Not Implemented Yet!\n\
   ev.collapse()\n\
   --&gt; OK\n\
   --Note: Not Implemented Yet!\n\
   ev.expand()\n\
   --&gt; OK\n\
   --See if there are Events upstream - there are none\n\
   ev.hasUpStream()\n\
   --&gt; false\n\
</code></pre></blockquote>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Classes/Meta-Operators/Event-Helper.html\">Event : Helper</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces-2.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";