var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CCDD9750-28B3-4B35-A12C-AFD20D49742B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: MaterialHolder</h1></div><p>The MaterialHolder Interface is exposed by the <a href=\"./../../Particle-Flow-Classes/Meta-Operators/Event-Helper.html\">Event Helper class</a>.</p>\n\
<p>It provides access to the particles&apos; materials.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.isMaterialHolder()</code></pre><p>Returns True if a material is assigned to the Event via any of the Particle Flow Material operators.</p>\n\
<p>Returns False if no material is assigned (even if a Material operator exists, but no valid material is assigned to it).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.inheritsMaterial()</code></pre><p>Returns True if the Event inherits a material from higher up in the flow, for example if the Material operator is assigned to the global PF_Source event, or if the Event has no material (neither in the Event nor in the global PF_Source event).</p>\n\
<p>Returns False if the Event does not inherit its material because the Material operator is in the Event itself.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;material&gt;&lt;PF_Event&gt;.getMaterial()</code></pre><p>Returns the material associated with the Event, either through a local Material operator, or inherited from a global Material operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.setMaterial &lt;material&gt;material</code></pre><p>Assigns a material to the Event. The material will only be used if the Event does not contain a Material operator.</p>\n\
<p>After assignment, the Particle Flow must be turned off and on again for the new material to take effect.</p>\n\
<p>The <code>.getMaterial()</code> method will <strong>NOT</strong> return the material if assigned via <code>.setMaterial()</code> , it will return undefined instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Event&gt;.getMaterialPriority()</code></pre><p>Returns the material priority.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Event&gt;.getStreamDepth()</code></pre><p>Returns the stream depth of the Event within the flow.</p>\n\
<p>For example, if the Event is directly connected to the PF_Source, the return value will be 1. If the Event is connected to the initial event, the return value will be 2 and so on.</p>\n\
<p>If an event is not connected, the return value will be 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Event&gt;.updateMaterial &lt;boolean&gt;doReport</code></pre><p>Updates the material and returns True if the material of the current event has been updated, False if it was already updated.</p>\n\
<p>If the argument is passed as True, a pop up message will report the state of the Event&apos;s material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Event&gt;.updateMaterials &lt;boolean&gt;doReport</code></pre><p>Updates all materials in all Events in the flow the PF_Event is part of.</p>\n\
<p>If the argument is passed as True, a pop up message will report the state of the Event&apos;s material.</p>\n\
<p>Returns the number of Events whose materials have been updated, or 0 if all materials were already updated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Event&gt;.updateMaterialsDownstream &lt;boolean&gt;doReport</code></pre><p>Updates all materials in all downstream Events of the flow the PF_Event is part of.</p>\n\
<p>If the argument is passed as True, a pop up message will report the state of the Event&apos;s material.</p>\n\
<p>Returns the number of Events whose materials have been updated, or 0 if all materials were already updated.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES AND RESULTS</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   pf = PF_Source() --Create a PF Source\n\
   --&gt; $PF_Source:PF Source 001 @ [0.000000,0.000000,0.000000]\n\
   ne = Event() --Create an Event\n\
   --&gt; $Event:Event 001 @ [0.000000,0.000000,0.000000]\n\
   particleFlow.beginEdit() --Disable automatic encapsulation\n\
   --&gt; OK\n\
   b = Birth() --Create a Birth operator\n\
   --&gt; $Birth:Birth 001 @ [0.000000,0.000000,0.000000]\n\
   rnd = RenderParticles() --Create a Render operator\n\
   --&gt; $Render:Render 001 @ [0.000000,0.000000,0.000000]\n\
   mtl = Material_Static() --Create a Material Static operator\n\
   --&gt; $Material_Static:Material Static 001 @ [0.000000,0.000000,0.000000]\n\
   shp = ShapeLibrary() --Create a Shape operator\n\
   --&gt; $Shape:Shape 001 @ [0.000000,0.000000,0.000000]\n\
   pos = Position_Icon() --Create a Position Icon operator\n\
   --&gt; $Position_Icon:Position Icon 001 @ [0.000000,0.000000,0.000000]\n\
   dis = DisplayParticles Type:6 Color:white--Create a white Display operator set to Geometry \n\
   --&gt; $Display:Display 001 @ [0.000000,0.000000,0.000000]\n\
   particleFlow.endEdit() --Enable automatic encapsulation\n\
   --&gt; OK\n\
   pf.appendAction rnd --Add the Render operator to the PF Source\n\
   --&gt; true\n\
   ne.appendAction b --Add the Birth operator to the Event\n\
   --&gt; true\n\
   ne.appendAction pos --Add the Position Icon operator to the Event\n\
   --&gt; true\n\
   pf.appendAction shp --Add the Shape Icon operator to the PF Source\n\
   --&gt; true\n\
   pf.appendAction dis --Add the Display operator to the PF Source\n\
   --&gt; true\n\
   pf.appendInitialActionList ne --Wire the Event to the PF Source as initial action list\n\
   --&gt; true\n\
\n\
   ne.isMaterialHolder() --Check to see if the Event is a material holder - it is not\n\
   --&gt; false\n\
   ne.appendAction mtl --Add the Material Static to the Event\n\
   --&gt; true\n\
   ne.isMaterialHolder() --Check again if the Event is a material holder - still not\n\
   --&gt; false\n\
   mtl.setmaterial (standard diffusecolor:red name:&quot;RedMat&quot;) --Assign a Red material\n\
   --&gt; true\n\
   ne.isMaterialHolder() --Check again if the Event is a material holder - now it is!\n\
   --&gt; true\n\
   ne.getMaterial() --Get the Event&apos;s material\n\
   --&gt; RedMat:Standard\n\
   ne.activate false --Turn off the Event...\n\
   --&gt; OK\n\
   ne.activate true -- ...and turn it on again to force an update\n\
   --&gt; OK\n\
   --RENDERING at this point will produce RED particles\n\
   --based on the color of the Material in the Event.\n\
\n\
   ne.inheritsMaterial() --See if the Event inherits its material - it does not.\n\
   --&gt; false\n\
   particleFlow.beginEdit() --Disable automatic encapsulation\n\
   --&gt; OK\n\
   mtl2 = Material_Static()\n\
   --&gt; $Material_Static:Material Static 002 @ [0.000000,0.000000,0.000000]\n\
   particleFlow.endEdit() --Enable automatic encapsulation\n\
   --&gt; OK\n\
   pf.appendAction mtl2 --Add the new Material Static to the PF Source\n\
   --&gt; true\n\
   ne.inheritsMaterial() --See if the Event inherits its material - it still does not.\n\
   --&gt; false\n\
   mtl2.setmaterial (standard diffusecolor:blue name:&quot;BlueMat&quot;) --Assign a Blue material\n\
   --&gt; true\n\
   ne.inheritsMaterial() --See if the Event inherits its material - it has its own.\n\
   --&gt; false\n\
   delete mtl --Delete the Material Static operator used by the Event\n\
   --&gt; 1\n\
   ne.inheritsMaterial() --Now check to see if the Event inherits a material - it does!\n\
   --&gt; true\n\
   --RENDERING at this point will produce BLUE particles\n\
   --based on the color of the inherited PF Source material.\n\
\n\
\n\
   delete mtl2 --Delete the Material Static operator used by the PF Source\n\
   --&gt; 1\n\
   ne.activate false --Turn off the Event...\n\
   --&gt; OK\n\
   ne.activate true -- ...and turn it on again \n\
   --&gt; OK\n\
   --RENDERING at this point will produce WHITE particles\n\
   --based on the color of the Display operator.\n\
\n\
   ne.setMaterial (standard diffusecolor:green name:&quot;GreenMat&quot;) \n\
   --&gt; true\n\
   ne.activate false --Turn off the Event...\n\
   --&gt; OK\n\
   ne.activate true -- ...and turn it on again \n\
   --&gt; OK\n\
   --RENDERING at this point will produce GREEN particles\n\
   --The Green material is now assigned directly to the Event by MAXScript,\n\
   --without the use of a Material operator!\n\
\n\
   ne.getStreamDepth() --Check the stream depth at the Event - it incorrectly reports 0\n\
   --&gt; 0\n\
   ne.updateMaterials false --Force an update of all materials - it claims that they all were ok\n\
   --&gt; 0\n\
   ne.getStreamDepth() --Check the stream depth at the Event again - now it is correct\n\
   --&gt; 1\n\
</code></pre></blockquote>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Classes/Meta-Operators/Event-Helper.html\">Event : Helper</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces-2.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";