var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-067C93F7-04E8-4C83-9896-437599B4E762\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: integrator</h1></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Integrator</strong> moves particles in time according to inertia rules. It is a must for Collision operators since they need to substitute the part of the data that the integrator calculates. Particularly, the Collision tests change the position/speed data by their own as calculated by deflectors.</p>\n\
<p>All Test actions provide access to an Integrator interface via the <a href=\"Interface-19.html\">Interface: MaxscriptParticleContainer</a> and its <a href=\"Interface-19.html\">getIntegrator_Method</a> that can be accessed using pCont.GetIntegrator() in a Proceed() handler.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;proceedSync &lt;IObject&gt;container &lt;time&gt;timeTick &lt;float&gt;tickFraction &lt;boolean&gt;selectedOnly &lt;bitArray&gt;selected      </code></pre><p>Returns <strong>true</strong> if the operation has been proceeded successfully.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;proceedASync &lt;IObject&gt;container &lt;time array&gt;timeTick &lt;float array&gt;tickFraction &lt;boolean&gt;selectedOnly &lt;bitArray&gt;selected   </code></pre><p>Returns <strong>true</strong> if the operation has been proceeded successfully.</p>\n\
<p> <code>timeTick</code>, <code>timeFraction</code> - The exact time for particles to come to.</p>\n\
<p>The <code>timeFraction</code> value stays in the range between -0.5f and 0.5f</p>\n\
<p><code>selectedOnly</code>, <code>selected</code> - If only part of the particles need to be time-advanced then set <code>selectedOnly</code> to <strong>true</strong> and supply a BitArray for <code>selected</code></p>\n\
<p>See <a href=\"./../../Particle-Flow-Script-Examples/Script-Tests/Integrator-ProceedSynch-Example.html\">Integrator ProceedSynch Example</a> for usage example.</p>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Classes/Tests/Collision_Spawn-Helper.html\">Collision_Spawn : Helper</a></p>\n\
<p><a href=\"Interface-19.html\">MaxscriptParticleContainer getIntegrator Method</a></p>\n\
<p><a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Collision-Helper.html\">mP_Collision : Helper</a></p>\n\
<p><a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_InterCollision-helper.html\">mP_InterCollision : Helper</a></p>\n\
<p><a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_World-Helper.html\">mP_World : Helper</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces-2.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Script-Examples/Script-Tests/Integrator-ProceedSynch-Example.html\">Integrator ProceedSynch Example</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";