var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-465F42B7-C350-4D98-BF2E-2FEE6BA86FE1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: particleObjectExt</h1></div><p><strong>The particleObjectExt Interface is exposed in Particle Flow Source Classes</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PF_Source&gt;.particleIndex : index : Read|Write|Validated by Range: 1 to 100000000      </code></pre><p>Gets/sets the current particle index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PF_Source&gt;.particleID : index : Read|Write|Validated by Range: 1 to 100000000   </code></pre><p>Gets/sets the current particle ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PF_Source&gt;.particleAge : time : Read|Write|Validated by Range: 0f to 625000f </code></pre><p>Gets/sets the current particle Age.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PF_Source&gt;.particleGroupTime : time : Read|Write|Validated by Range: 0f to 625000f </code></pre><p>Gets/sets the current particle Group Time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PF_Source&gt;.particlePosition : point3 : Read|Write </code></pre><p>Gets/sets the current particle position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PF_Source&gt;.particleSpeed : point3 : Read|Write </code></pre><p>Gets/sets the current particle speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PF_Source&gt;.particleOrientation : point3 : Read|Write </code></pre><p>Gets/sets the current particle orientation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PF_Source&gt;.particleSpin : angleAxis : Read|Write </code></pre><p>Gets/sets the current particle spin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PF_Source&gt;.particleScale : float : Read|Write|Validated by Range: 0.0 to 1e+009 </code></pre><p>Gets/sets the size of the current particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PF_Source&gt;.particleScaleXYZ : point3 : Read|Write </code></pre><p>Gets/sets the Scale of the current particle as Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PF_Source&gt;.particleTM : matrix3 : Read|Write </code></pre><p>Gets/sets the Transformation Matrix of the current particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PF_Source&gt;.particleSelected : boolean : Read|Write </code></pre><p>Gets/sets the Selected state of the current particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PF_Source&gt;.particleShape : mesh : Read|Write </code></pre><p>Gets/sets the current particle&#x2019;s mesh.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES AND RESULTS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a default PF Source in the Scene from the Create Tab.\n\
   --Get the Source by name to test the Interface Properties:\n\
\n\
   pf = PF_Source()\n\
\n\
   particleFlow.BeginEdit()\n\
   op1 = Birth()\n\
   op2 = Position_Icon()\n\
   op3 = Speed()\n\
   op4 = Rotation()\n\
   op5 = ShapeLibrary()\n\
   op6 = RenderParticles()\n\
   op7 = DisplayParticles()\n\
   op7.color = pf.wireColor\n\
   ev1 = Event()\n\
   ev1.SetPViewLocation (pf.X_Coord) (pf.Y_Coord+100)\n\
   particleFlow.EndEdit()\n\
   ev1.AppendAction op1\n\
   ev1.AppendAction op2\n\
   ev1.AppendAction op3\n\
   ev1.AppendAction op4\n\
   ev1.AppendAction op5\n\
   ev1.AppendAction op7\n\
   pf.AppendAction op6\n\
   pf.AppendInitialActionList ev1\n\
\n\
\n\
   --&gt; $PF_Source:PF Source 01 @ [2.536594,-48.031052,0.000000]\n\
   --Get the curren particle&apos;s index\n\
   pf.particleIndex\n\
   --&gt; 1\n\
   --Change the particle index. Any subsequent\n\
   --properties will be from particle 2\n\
   pf.particleIndex = 2\n\
   --&gt; 2\n\
   --Check to make sure it worked...\n\
   pf.particleIndex\n\
   --&gt; 2\n\
   --Get the Particle ID of particle 2\n\
   pf.particleID\n\
   --&gt; 0\n\
   --Get the Particle Age on frame 0\n\
   --This is a newborn particle, age is 0!\n\
   pf.particleAge\n\
   --&gt; 0f\n\
   --Now change the scene time to frame 10...\n\
   sliderTime = 10\n\
   --&gt; 10\n\
   --...and get the Age again -\n\
   --10 frames later, the Age is 9.7 frames!\n\
   pf.particleAge\n\
   --&gt; 9.7f\n\
   --Check whether particle 2 is selected -\n\
   --No, it is not\n\
   pf.particleSelected\n\
   --&gt; false\n\
   -- Select PF Source\n\
   select pf\n\
   --Change to Modify panel\n\
   max modify mode\n\
   --&gt; OK\n\
   --Change to Particle sub-object level\n\
   subObjectLevel = 1\n\
   --&gt; 1\n\
   --Select Particle 2 - one particle\n\
   --should turn red in the viewport\n\
   pf.particleSelected = true\n\
   --&gt; true\n\
   --Get the particle position\n\
   pf.particlePosition\n\
   --&gt; [12.1301,-40.7149,-96.9697]\n\
   --You can change it -\n\
   --The Particle should move there...\n\
   pf.particlePosition = [10.0,-10.0,-40.0]\n\
   --&gt; [10,-10,-40]\n\
   --Get the Speed of particle 2\n\
   pf.particleSpeed\n\
   --&gt; [0,0,-0.0625]\n\
   --Get the Orientation of particle 2\n\
   pf.particleOrientation\n\
   --&gt; [-2.75317,-1.18547,-0.402363]\n\
   --Get the Spin of particle 2\n\
   pf.particleSpin\n\
   --&gt; (angleAxis 0 [1,0,0])\n\
   --Get the size of the particle\n\
   pf.particleScale\n\
   --&gt; 16.3299\n\
   --Get the Scale of the particle\n\
   pf.particleScaleXYZ\n\
   --&gt; [1,1,1]\n\
   --Get the complete TM of the particle\n\
   pf.particleTM\n\
   --&gt; (matrix3 [0.345842,-0.147184,0.926677] [-0.0394943,-0.989029,-0.142347] [0.937461,0.0126313,-0.34786] [12.1301,-40.7149,-96.9697])\n\
   --Get the Shape as TriMesh.\n\
   msh = pf.particleShape\n\
   --&gt; TriMesh\n\
   --Take a look at the number of vertices\n\
   msh.numverts\n\
   --&gt; 4\n\
   --...and the number of faces\n\
   msh.numfaces\n\
   --&gt; 4\n\
   --Why not take a look at the actual TriMesh?\n\
   --Create a new empty Editable Mesh\n\
   new_mesh = Editable_mesh()\n\
   --&gt; $Editable_Mesh:Object01 @ [0.000000,0.000000,0.000000]\n\
   --Assign the shape snapshot to the mesh\n\
   new_mesh.mesh = msh\n\
   --&gt; TriMesh\n\
   --And finally update all caches of the Emesh to see the result:\n\
   update new_mesh\n\
   --&gt; OK\n\
</code></pre></blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.updateParticles &lt;node&gt;particleSystem &lt;time&gt;time </code></pre><p>Forces a particle update at the specified time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Source&gt;.numParticles() </code></pre><p>Returns the number of particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Source&gt;.numParticlesGenerated() </code></pre><p>Returns the number of generated particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setEveryStepUpdateScriptLine &lt;string&gt;script </code></pre><p>Sets the script string to be executed on each update step.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setEveryStepUpdateScriptFile &lt;filename&gt;fileName </code></pre><p>Sets the script file to be executed on each update step.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setFinalStepUpdateScriptLine &lt;string&gt;script </code></pre><p>Sets the script string to be executed at the final update step.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setFinalStepUpdateScriptFile &lt;filename&gt;fileName </code></pre><p>Sets the script file to be executed at the final update step.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;&lt;PF_Source&gt;.getUpdateTime() </code></pre><p>Returns the current update time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.getUpdateInterval &lt;&amp;time&gt;timeStart &lt;&amp;time&gt;timeEnd \n\
\n\
timeStart is In and Out parameter \n\
timeEnd is In and Out parameter </code></pre><p>Returns the update interval in the two by-reference variables.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;PF_Source&gt;.getParticleID &lt;index&gt;particleIndex </code></pre><p>Returns the particle ID of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Source&gt;.hasParticleID &lt;index&gt;particleBornIndex &lt;&amp;index&gt;particleIndex \n\
\n\
particleIndex is In and Out parameter </code></pre><p>Returns <strong>true</strong> if a particle with the specified particle birth ID exists. Returns the actual particle index in the specified by-reference variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;&lt;PF_Source&gt;.getParticleGroup &lt;index&gt;particleIndex </code></pre><p>Returns the particle group node of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;PF_Source&gt;.getParticleIndex &lt;index&gt;particleBornIndex </code></pre><p>Returns the particle index of the particle with the specified birth index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;&lt;PF_Source&gt;.getParticleAge &lt;index&gt;particleIndex </code></pre><p>Returns the particle Age of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;&lt;PF_Source&gt;.getParticleAgeByID &lt;index&gt;particleID </code></pre><p>Returns the particle Age of the particle specified by the particle ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleAge &lt;index&gt;particleIndex &lt;time&gt;age </code></pre><p>Sets the particle age of the specified indexed particle to the specified age value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleAgeByID &lt;index&gt;particleID &lt;time&gt;age </code></pre><p>Sets the particle age of the particle specified by the ID to the specified age value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;&lt;PF_Source&gt;.getParticleLifeSpan &lt;index&gt;particleIndex </code></pre><p>Returns the life span time of the specified indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;&lt;PF_Source&gt;.getParticleLifeSpanByID &lt;index&gt;particleID </code></pre><p>Returns the life span time of the particle specified by the ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleLifeSpan &lt;index&gt;particleIndex &lt;time&gt;lifeSpan </code></pre><p>Sets the life span time of the indexed particle to the specified lifeSpan value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleLifeSpanByID &lt;index&gt;particleID &lt;time&gt;lifeSpan </code></pre><p>Sets the life span time of the particle specified by the ID to the specified lifeSpan value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;&lt;PF_Source&gt;.getParticleGroupTime &lt;index&gt;particleIndex </code></pre><p>Returns the Group Time of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;&lt;PF_Source&gt;.getParticleGroupTimeByID &lt;index&gt;particleID </code></pre><p>Returns the Group Time of the particle specified by the ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleGroupTime &lt;index&gt;particleIndex &lt;time&gt;age </code></pre><p>Sets the Group Time of the indexed particle to the specified age value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleGroupTimeByID &lt;index&gt;particleID &lt;time&gt;age </code></pre><p>Sets the Group Time of the particle specified by the ID to the specified age value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;PF_Source&gt;.getParticlePosition &lt;index&gt;particleIndex </code></pre><p>Returns the position of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;PF_Source&gt;.getParticlePositionByID &lt;index&gt;particleID </code></pre><p>Returns the position of the particle specified by the ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticlePosition &lt;index&gt;particleIndex &lt;point3&gt;position </code></pre><p>Sets the position of the indexed particle to the specified Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticlePositionByID &lt;index&gt;particleID &lt;point3&gt;position </code></pre><p>Sets the position of the particle specified by the ID to the specified Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;PF_Source&gt;.getParticleSpeed &lt;index&gt;particleIndex </code></pre><p>Returns the speed of the indexed particle as a Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;PF_Source&gt;.getParticleSpeedByID &lt;index&gt;particleID </code></pre><p>Returns the speed of the particle specified by the ID as a Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleSpeed &lt;index&gt;particleIndex &lt;point3&gt;speed </code></pre><p>Sets the speed of the indexed particle to the specified Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleSpeedByID &lt;index&gt;particleID &lt;point3&gt;speed </code></pre><p>Sets the speed of the particle specified by the ID to the specified Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;PF_Source&gt;.getParticleOrientation &lt;index&gt;particleIndex </code></pre><p>Returns the orientation of the indexed particle as a Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;PF_Source&gt;.getParticleOrientationByID &lt;index&gt;particleID </code></pre><p>Returns the orientation of the particle specified by the ID as a Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleOrientation &lt;index&gt;particleIndex &lt;point3&gt;orientation </code></pre><p>Sets the orientation of the indexed particle to the specified Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleOrientationByID &lt;index&gt;particleID &lt;point3&gt;orientation </code></pre><p>Sets the orientation of the particle specified by the ID to the specified Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;angleAxis&gt;&lt;PF_Source&gt;.getParticleSpin &lt;index&gt;particleIndex </code></pre><p>Returns the Spin of the indexed particle as an angleAxis value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;angleAxis&gt;&lt;PF_Source&gt;.getParticleSpinByID &lt;index&gt;particleID </code></pre><p>Returns the Spin of the particle specified by the ID as an angleAxis value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleSpin &lt;index&gt;particleIndex &lt;angleAxis&gt;spin </code></pre><p>Sets the Spin of the indexed particle to the specified AngleAxis value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleSpinByID &lt;index&gt;particleID &lt;angleAxis&gt;spin </code></pre><p>Sets the Spin of the particle specified by the ID to the specified angleAxis value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;PF_Source&gt;.getParticleScale &lt;index&gt;particleIndex </code></pre><p>Returns the size of the indexed particle as a Float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;PF_Source&gt;.getParticleScaleByID &lt;index&gt;particleID </code></pre><p>Returns the size of the particle specified by the ID as a Float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleScale &lt;index&gt;particleIndex &lt;float&gt;scale </code></pre><p>Sets the size of the indexed particle to the specified Float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleScaleByID &lt;index&gt;particleID &lt;float&gt;scale </code></pre><p>Sets the size of the particle specified by the ID to the specified Float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;PF_Source&gt;.getParticleScaleXYZ &lt;index&gt;particleIndex </code></pre><p>Returns the Scale of the indexed particle as a Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;PF_Source&gt;.getParticleScaleXYZByID &lt;index&gt;particleID </code></pre><p>Returns the Scale of the particle specified by the ID as a Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleScaleXYZ &lt;index&gt;particleIndex &lt;point3&gt;scaleXYZ </code></pre><p>Sets the Scale of the indexed particle to the specified Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleScaleXYZByID &lt;index&gt;particleID &lt;point3&gt;scaleXYZ </code></pre><p>Sets the Scale of the particle specified by the ID to the specified Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;&lt;PF_Source&gt;.getParticleTM &lt;index&gt;particleIndex </code></pre><p>Returns the Transformation Matrix of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;&lt;PF_Source&gt;.getParticleTMByID &lt;index&gt;particleID </code></pre><p>Returns the Transformation Matrix of the particle specified by the ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleTM &lt;index&gt;particleIndex &lt;matrix3&gt;TM </code></pre><p>Sets the Transformation Matrix of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleTMByID &lt;index&gt;particleID &lt;matrix3&gt;TM </code></pre><p>Sets the Transformation Matrix of the particle specified by the ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Source&gt;.getParticleSelected &lt;index&gt;particleIndex </code></pre><p>Returns the selected state of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Source&gt;.getParticleSelectedByID &lt;index&gt;particleID </code></pre><p>Returns the selected state of the particle specified by the ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleSelected &lt;index&gt;particleIndex &lt;boolean&gt;selected </code></pre><p>Sets the selected state of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleSelectedByID &lt;index&gt;particleID &lt;boolean&gt;selected </code></pre><p>Sets the selected state of the particle specified by the ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;&lt;PF_Source&gt;.getParticleShape &lt;index&gt;particleIndex </code></pre><p>Returns the shape of the indexed particle as a mesh value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;&lt;PF_Source&gt;.getParticleShapeByID &lt;index&gt;particleID </code></pre><p>Returns the shape of the particle specified by the ID as a mesh value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleShape &lt;index&gt;particleIndex &lt;mesh&gt;shape </code></pre><p>Sets the shape of the indexed particle to the specified mesh value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setParticleShapeByID &lt;index&gt;particleID &lt;mesh&gt;shape </code></pre><p>Sets the shape of the particle specified by the ID to the specified mesh value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setShapeForAllParticles &lt;mesh&gt;shape </code></pre><p>Sets the shape of all particles to the specified mesh value.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES AND RESULTS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a new Particle Flow Source in the Viewport,\n\
   --then get it by name from the scene\n\
   pf = $&apos;PF Source 001&apos;\n\
   --&gt; $PF_Source:PF Source 01 @ [2.536594,-48.031052,0.000000]\n\
   --Set the scene time to frame 10\n\
   sliderTime = 10\n\
   --&gt; 10\n\
   --Update the particles at time 10\n\
   pf.updateParticles pf 10f\n\
   --&gt; OK\n\
   --Get total number of particles at current time\n\
   pf.numParticles()\n\
   --&gt; 34\n\
   --Get the total number of particles generated up to the current time\n\
   pf.numParticlesGenerated()\n\
   --&gt; 34\n\
   --Get the particles update time\n\
   pf.getUpdateTime()\n\
   --&gt; 10f\n\
   --Initialize two user variables to 0\n\
   ts = te = 0\n\
   --&gt; 0\n\
   --Set scene time to frame 10\n\
   sliderTime = 10f\n\
   --&gt; 10f\n\
   --Get the update interval into the variables passed by reference\n\
   pf.getUpdateInterval &amp;ts &amp;te\n\
   --&gt; OK\n\
   --Check the start time\n\
   ts\n\
   --&gt; 9f\n\
   --Check the end time\n\
   te\n\
   --&gt; 10f\n\
   pf.getParticleID 34--Get the particle ID of the 34th particle\n\
   --&gt; 34\n\
   --Try to get the 35th particle.\n\
   --There are only 34 particles, so ID is 0\n\
   pf.getParticleID 35\n\
   --&gt; 0\n\
   --Initialize a variable to pass by reference\n\
   idx = 0\n\
   --&gt; 0\n\
   --Check if there is particle with ID 34 -\n\
   --Yes, there is one\n\
   pf.hasParticleID 34 &amp;idx\n\
   --&gt; true\n\
   --and its index is 34\n\
   idx\n\
   --&gt; 34\n\
   --Check the same about particle ID 35 -\n\
   --no, there is none\n\
   pf.hasParticleID 35 &amp;idx\n\
   --&gt; false\n\
   --Get the Particle Group node\n\
   pf.getParticleGroup 2\n\
   --&gt; $Particle_Group:PF Source 01-&gt;Event 01 @ [0.000000,0.000000,0.000000]\n\
   --Get the index of particle 34\n\
   pf.getParticleIndex 34\n\
   --&gt; 34\n\
   --Get the index of particle 35\n\
   --No such particle ID, index is 0\n\
   pf.getParticleIndex 35\n\
   --&gt; 0\n\
   --Get the particle age of particle 2\n\
   pf.getParticleAge 2\n\
   --&gt; 9.7f\n\
   --Get the particle age of particle ID 2 -\n\
   --It is the same particle!\n\
   pf.getParticleAgeByID 2\n\
   --&gt; 9.7f\n\
   --Get the particle age of particle 34\n\
   --It was born later, age is smaller\n\
   pf.getParticleAge 34\n\
   --&gt; 9f\n\
   --Set age of particle 2 to 5 frames\n\
   pf.setParticleAge 2 5f\n\
   --&gt; OK\n\
   --Check to see if it worked - It did!\n\
   pf.getParticleAge 2\n\
   --&gt; 5f\n\
   --Get the life span of particle 2\n\
   --Who wants to live forever? This one!\n\
   pf.getParticleLifeSpan 2\n\
   --&gt; 1.34218e+007f\n\
   --Change the life span of particle 2\n\
   pf.setParticleLifeSpan 2 10f\n\
   --&gt; OK\n\
   --Check again - it changed!\n\
   pf.getParticleLifeSpan 2\n\
   --&gt; 10f\n\
   --Get the Group Time of Particle 2\n\
   pf.getParticleGroupTime 2\n\
   --&gt; 0f\n\
   --Set the Particle Group Time to 10\n\
   pf.setParticleGroupTime 2 10f\n\
   --&gt; OK\n\
   --Get the time again - it was set!\n\
   pf.getParticleGroupTime 2\n\
   --&gt; 10f\n\
   --Let&#x2019;s change the mesh of particle 2 to a Geosphere\n\
   gs = (geosphere radius:5).mesh\n\
   --&gt; TriMesh\n\
   --Change the Display to Geometry\n\
   pf.Event_001.Display_001.Type = 6\n\
   --&gt; 6\n\
   --Set the particle mesh\n\
   --One particle should become a Geosphere!\n\
   pf.setParticleShape 2 gs\n\
   --&gt; OK\n\
   --Get the mesh of a teapot\n\
   tp = (teapot radius:5).mesh\n\
   --&gt; TriMesh\n\
   --and assign to all particles - they should turn into teapots!\n\
   --IT&#x2019;S TEA TIME!\n\
   pf.setShapeForAllParticles tp\n\
   --&gt; OK\n\
</code></pre></blockquote>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source : GeometryClass</a></p>\n\
<p><a href=\"./../../Particle-Flow-Internal-Classes/Non-Creatable-Classes/ParticleGroup-GeometryClass.html\">ParticleGroup : GeometryClass</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces-2.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";