var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-674593EC-8C24-4BF7-8192-CC84AE0D3D61\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: pfSystem</h1></div><p><strong>The pfSystem Interface is exposed by the Particle Flow Source Class</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;PF_Source&gt;.getMultiplier &lt;time&gt;time      </code></pre><p>Returns the Quality multiplier depending on the Render State. See methods <code>setRenderState</code> and <code>isRenderState</code> below for more details on Render State.</p>\n\
<p>A value of 1.0f means that the operator produces particles at 100% rate. A value of 0.5f means that the operator produces only half the particles that it is supposed to generate. For example, if a Birth operator is set to produce 1000 particles total, then when the multiplier is set to 0.5f, the operator will produce only 500 particles.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <strong>time</strong> parameter is reserved <strong>for future use</strong>. Pass <strong>0f</strong> or any time value to call the method.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a new Particle Flow Source in the Viewport\n\
   pfs = PF_Source()\n\
   --&gt; $PF_Source:PF Source 001 @ [2.536594,-48.031052,0.000000]\n\
   --Get the Multiplier while in Viewport state\n\
   pfs.getMultiplier 0f\n\
   --&gt; 0.5\n\
   --Change the Particle Source State to Render\n\
   pfs.SetRenderState true\n\
   --&gt; true\n\
   --Get the Multiplier again - when in Render State, the Source\n\
   --generates all particles!\n\
   pfs.getMultiplier 0f\n\
   --&gt; 1.0\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Source&gt;.getBornAllowance()   </code></pre><p>Returns the born allowance, which is currently the Upper Limit at time zero, same as <code>&lt;PF_Source&gt;.Particle_Amount_Limit</code>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Implemented for future use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Source&gt;.hasEmitter() </code></pre><p>Returns <strong>true</strong> if the Particle System has emitter(s), <strong>false</strong> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Source&gt;.getEmitterType &lt;time&gt;time </code></pre><p>Returns the Emitter Type at the specified time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.getEmitterDimensions &lt;time&gt;time &lt;&amp;float array&gt;dimensions \n\
\n\
dimensions is In and Out parameter </code></pre><p>Returns the Emitter Dimensions at the specified time as an array of floats stored in the by-reference variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;&lt;PF_Source&gt;.getEmitterGeometry &lt;time&gt;time </code></pre><p>Returns the Emitter geometry at the specified time as mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Source&gt;.isEmitterGeometryAnimated() </code></pre><p>Returns <strong>true</strong> if the Emitter geometry is animated, <strong>false</strong> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PF_Source&gt;.setRenderState &lt;boolean&gt;renderState </code></pre><p>Sets the render State of the Particle System to the supplied boolean value. See explanation below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Source&gt;.isRenderState() </code></pre><p>Returns <strong>true</strong> if the Particle System is in render state, <strong>false</strong> otherwise.</p>\n\
\n\
<div class=\"callout callout-important\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-exclamation-triangle\" aria-hidden=\"true\"></i>Important:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p>   </p>\n\
<p>   A <strong>Particle Flow</strong> particle system has two states: render and viewport. At any given moment it is exclusively in the one state or the other. The particle system might have different parameters during render and viewport (Multiplier value, emitter geometry, and others) therefore it is important to know what state it is in. It is possible to switch the state of a particle system using the <strong>setRenderState</strong> method. A <strong>Particle Flow</strong> particle system alternates its state automatically when the rendering starts and when the rendering ends.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;&lt;PF_Source&gt;.getIntegrationStep() </code></pre><p>Returns the Integration Step as time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Source&gt;.getUpdateType() </code></pre><p>Returns the Update Type as integer.</p>\n\
<p>0: <strong>Complete</strong></p>\n\
<p>1: <strong>Forward</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Source&gt;.numParticlesSelected() </code></pre><p>Returns the number of selected particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;PF_Source&gt;.getSelectedParticleID &lt;index&gt;index </code></pre><p>Returns the particle ID of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Source&gt;.isParticleSelected &lt;index&gt;index </code></pre><p>Returns <strong>true</strong> if the indexed particle is selected, <strong>false</strong> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PF_Source&gt;.numActionListsSelected() </code></pre><p>Returns the number of selected Action Lists.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;&lt;PF_Source&gt;.getSelectedActionList &lt;index&gt;index </code></pre><p>Returns the indexed Action List.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Source&gt;.isActionListSelected &lt;index&gt;index </code></pre><p>Returns <strong>true</strong> if the indexed Action List is selected, <strong>false</strong> otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES AND RESULTS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a new Particle Flow Source in the Viewport\n\
   --from the Create tab, then get it by name from the scene\n\
   pf = $&apos;PF Source 001&apos;\n\
   --&gt; $PF_Source:PF Source 001 @ [0.000000,0.000000,0.000000]\n\
   --Get the number of particles that the Source can give birth to\n\
   pf.getBornAllowance()\n\
   --&gt; 100000\n\
   --Check whether the Source has an emitter\n\
   pf.hasEmitter()\n\
   --&gt; true\n\
   --Get the emitter type\n\
   pf.getEmitterType 0\n\
   --&gt; 0\n\
   dim = #()--define an empty array\n\
   --&gt; #()\n\
   --get the Emitter dimensions,\n\
   --pass the empty array variable by reference\n\
   pf.getEmitterDimensions 0 &amp;dim\n\
   --&gt; OK\n\
   --look into the previously empty array -\n\
   --the dimensions are in it\n\
   Dim\n\
   --&gt; #(20.0, 20.0)\n\
   --Get the Emitter Geometry as TriMesh on frame 0\n\
   m = pf.getEmitterGeometry 0\n\
   --&gt; TriMesh\n\
   m.numverts--check the number of vertices\n\
   --&gt; 4\n\
   m.numfaces--check the number of faces\n\
   --&gt; 2\n\
   --Check if the emitter geometry is animated\n\
   pf.isEmitterGeometryAnimated()\n\
   --&gt; false\n\
   --Set and get the render state\n\
   pf.setRenderState false\n\
   --&gt; OK\n\
   pf.isRenderState()\n\
   --&gt; false\n\
   pf.setRenderState true\n\
   --&gt; OK\n\
   pf.isRenderState()\n\
   --&gt; true\n\
   --Get the viewport integration step\n\
   pf.getIntegrationStep()\n\
   --&gt; 1f\n\
   --Get the update type - 0 means Complete!\n\
   pf.getUpdateType()\n\
   --&gt; 0\n\
   --Get the number of selected particles\n\
   pf.numParticlesSelected()\n\
   --&gt; 0\n\
   --Check if particle 1 is selected\n\
   pf.isParticleSelected 1\n\
   --&gt; false\n\
   --Get the number of selected Action Lists in the UI\n\
   pf.numActionListsSelected()\n\
   --&gt; 0\n\
   --In the UI, select the first Action List and try again:\n\
   pf.numActionListsSelected()\n\
   --&gt; 1\n\
   --Get the node of the Action List you just selected:\n\
   pf.getSelectedActionList 1\n\
   --&gt; $Event:Event 01 @ [0.000000,0.000000,0.000000]\n\
</code></pre></blockquote>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source : GeometryClass</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces-2.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";