var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8E91039D-04CF-41EF-B60B-73BE4011C4B6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: test</h1></div><p><strong>The test Interface is exposed by all Test Classes</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PFlowTest&gt;.proceedStep1 &lt;IObject&gt;container &lt;object&gt;particleSystem &lt;node&gt;particleSystemNode &lt;node&gt;actionNode &lt;Interface&gt;integrator      </code></pre><p><code>&lt;IObject&gt;container</code> - the current particle container. Can be accessed via the <a href=\"Interface-19.html\">Interface: MaxscriptParticleContainer</a> inside a hander using <code>pCont.GetParticleContainer()</code></p>\n\
<p><code>&lt;object&gt;particleSystem</code> - the particle system that generates the particle stream.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The same operator may get calls from different particle systems. If the result varies according to the particle system that generates particles, then this parameter defines which one to be used.</p>\n\
<p><code>&lt;node&gt;particleSystemNode</code> - Node of the particle system that generates the particles.</p>\n\
<p><code>&lt;node&gt;actionNode</code> - Node of the Test action.</p>\n\
<p><code>&lt;Interface&gt;integrator</code> - an operator to proceed particles according to &quot;inertia&quot; rules. The operator updates time, speed, position, spin, orientation channels on the basis of time, acceleration, speed, angular acceleration and spin channels. Each particle system has a default inertia operator. When an action wants to update the current time for particles, it uses the &quot;inertia&quot; operator. An Action in the ActionList stack may &quot;switch&quot; the suggested &quot;inertia&quot; operator by its own if the Action supports the &quot;inertial&quot; operator interface. The particle system recognizes such an Action as a holder of &quot;inertia&quot; interface, and uses it for &quot;inertia&quot; purposes later on. If the parameter is NULL then the particle system doesn&apos;t allow the test to advance particles in the time channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PFlowTest&gt;.proceedStep2 &lt;time&gt;timeStartTick &lt;float&gt;timeStartFraction &lt;&amp;time&gt;timeEndTick &lt;&amp;float&gt;timeEndFraction &lt;&amp;bitArray&gt;testResult &lt;&amp;float array&gt;testTime \n\
\n\
timeEndTick is In and Out parameter \n\
timeEndFraction is In and Out parameter \n\
testResult is In and Out parameter \n\
testTime is In and Out parameter </code></pre><p>Returns <strong>true</strong> if the test has been proceeded successfully.</p>\n\
<p>The <code>proceedStep1</code> and <code>proceedStep2</code> verify the test condition and may change particle channels. Particles that satisfy the condition may be advanced to the time of the condition satisfaction according to the inertia operator <code>integrator</code> .</p>\n\
<p><code>&lt;time&gt;timeStartTick</code> - The time for a particle to start the simulation. Each particle may have its own current valid time greater than timeStart. In this case the test should consider the current particle time and timeEnd parameter.</p>\n\
<p><code>&lt;float&gt;timeStartFraction</code> <code>&lt;&amp;float&gt;timeEndFraction</code> - Float portion of the real TimeValue</p>\n\
<p><code>&lt;&amp;bitArray&gt;testResult</code> - A bit array indicating which particles satisfy the test condition</p>\n\
<p><code>&lt;&amp;float array&gt;testTime</code> - For particles that satisfy the condition, the list of time moments when a particle satisfies the condition. The tab has the same number of entries as particles in the container. The entry is set only for particles that satisfy the condition .</p>\n\
<p>See <a href=\"./../../Particle-Flow-Script-Examples/Script-Operators/Speed-Operator-in-Script.html\">Speed Operator in Script Operator Example</a> for sample usage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;&lt;PFlowTest&gt;.getNextActionList &lt;node&gt;testNode &lt;*bool&gt;linkActive \n\
\n\
linkActive is In and Out parameter </code></pre><p>Returns the next Action List of the specified testNode. This is basically the ActionList (Event) wired to the Test. If a particle satisfies the test then it is directed to this Action List. Since a Test may have several instances with different next events, it is necessary to pass the TestNode as parameter.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <strong>For future use only</strong>. The parameter &lt;<em>bool&gt;linkActive is passed by NULL as default in the current release of *</em>Particle Flow**.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ev1_a11.GetNextActionList ev1_a11 false\n\
</code></pre></blockquote>\n\
<p>For a complete example, see <a href=\"./../../Particle-Flow-Script-Examples/Creating-and-Connecting-Actions/VolumeDocking-Sample-Script.html\">VolumeDocking Sample Script</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PFlowTest&gt;.setNextActionList &lt;node&gt;actionList &lt;node&gt;testNode </code></pre><p>Wires the specified testNode to the supplied actionList node. Returns <strong>true</strong> on success. The next actionList node can be rejected if it is not a real actionList.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PFlowTest&gt;.clearNextActionList &lt;node&gt;testNode </code></pre><p>Disconnects the specified testNode from its Action List.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PFlowTest&gt;.setLinkActive &lt;boolean&gt;linkActive &lt;node&gt;testNode </code></pre><p>Will set the Active status of the Link to the supplied boolean value for the specified testNode. Returns <strong>true</strong> on success.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <strong>For future use only</strong>. Currently it can be used only to test if the Test Action has a link.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ev1_a11.setLinkActive true ev1_a11\n\
</code></pre></blockquote>\n\
<p>For a complete example, see <a href=\"./../../Particle-Flow-Script-Examples/Creating-and-Connecting-Actions/VolumeDocking-Sample-Script.html\">VolumeDocking Sample Script</a>.</p>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><a href=\"./../../Particle-Flow-Classes/Tests/Age_Test-Helper.html\">Age_Test : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Collision-Helper.html\">Collision : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Collision_Spawn-Helper.html\">Collision_Spawn : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Copy_Out-Helper.html\">Copy_Out : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Data-Operators/Data_Test-Helper.html\">Data_Test : Helper</a></td>\n\
<td><a href=\"./../../Particle-Flow-Classes/Tests/Find_Target-Helper.html\">Find_Target : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Go_To_Rotation-Helper.html\">Go_To_Rotation : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Collision-Helper.html\">mP_Collision : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Glue-Helper.html\">mP_Glue : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_InterCollision-helper.html\">mP_InterCollision : Helper</a></td>\n\
<td><a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_World-Helper.html\">mP_World : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Scale_Test-Helper.html\">Scale_Test : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Send_Out-Helper.html\">Send_Out : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Spawn-Helper.html\">Spawn : Helper</a></td>\n\
<td><a href=\"./../../Particle-Flow-Classes/Operators/Speed/Speed-Helper.html\">speed : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Split_Amount-Helper.html\">Split_Amount : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Split_Selected-Helper.html\">Split_Selected : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Split_Source-Helper.html\">Split_Source : Helper</a></td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces-2.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Script-Examples/Script-Operators/Speed-Operator-in-Script.html\">Speed Operator in Script Operator Example</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Script-Examples/Creating-and-Connecting-Actions/VolumeDocking-Sample-Script.html\">VolumeDocking Sample Script</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";