var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-627D5362-6E27-42FF-A89B-198410821E5E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>particleFlow Global Interface</h1></div><p><strong>Particle Flow</strong> provides the Core Interface <strong>particleFlow</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;particleFlow.beginEdit()      </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;particleFlow.endEdit()   </code></pre><p>Block the Event encapsulation of <strong>Particle Flow</strong> Actions created via MAXScript.</p>\n\
<p>When a <strong>Particle Flow</strong> Action (Operator or Test) is created, it is automatically encapsulated into a <strong>Particle Flow</strong> Event. This is done since all <strong>Particle Flow</strong> Actions should belong to an Event.</p>\n\
<p>Sometimes this behavior can be undesired and become an obstacle when creating Actions via MAXScript. To avoid this, the pair <strong>beginEdit</strong> / <strong>endEdit</strong> can be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;particleFlow.openParticleView() </code></pre><p>Opens the Particle View. Returns the <a href=\"./../Particle-View-Access-and/Particle-View-Access/Particle_View-Helper.html\">Particle View node</a>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Disable Automatic Event Encapsulation\n\
   particleFlow.beginEdit()\n\
   OK\n\
   --Create a new Find_Target Action\n\
   ft = Find_Target()\n\
   --&gt; $Find_Target:Find Target 01 @ [0.000000,0.000000,0.000000]\n\
   --Enable Automatic Event Encapsulation again\n\
   particleFlow.endEdit()\n\
   OK\n\
   --Open Particle View and take a look:\n\
   pview = particleFlow.openParticleView()\n\
   --&gt; $Particle_View:Particle View 01 @ [0.000000,0.000000,0.000000]\n\
   --As expected, Find_Target will not appear inside\n\
   --an Event in Particle View\n\
</code></pre></blockquote>\n\
<p>You can use the following short MacroScript to generate an ActionItem that can be placed on a Toolbar, Menu, QuadMenu or Keyboard Shortcut to quickly open Particle View even when there is no PF_Source in the scene.</p>\n\
<blockquote>\n\
<p>   <strong>SAMPLE SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript PView_Open\n\
   category:&quot;Particle View&quot;\n\
   buttontext:&quot;Open PView&quot;\n\
   tooltip:&quot;Open Particle View&quot;\n\
   (\n\
   -- Open Particle View\n\
   particleFlow.openParticleView()\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;particleFlow.scriptRunner() </code></pre><p>This method is used in <a href=\"./../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source</a><a href=\"./../Particle-Flow-Script-Examples/Update-Step-Scripts/Every-Step-Update-Example.html\">Every Step Update</a> and <a href=\"./../Particle-Flow-Script-Examples/Update-Step-Scripts/Final-Step-Update-Example.html\">Final Step Update</a> scripts to identify the actual PF_Source that is currently running the script.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   pf= particleFlow.ScriptRunner()\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int&gt;particleFlow.getActionOrder() </code></pre><p>Get the Particle Flow Action Order.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;particleFlow.setActionOrder &lt;integer&gt;order </code></pre><p>Set the Particle Flow Action Order.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Globals First</strong> - At each integration step, <strong>Particle Flow</strong> first applies actions in the global event, and then actions in the other (local) events. Typically, the result is that actions in the local events override comparable actions in the global event.</p>\n\
<p>1: <strong>Locals First</strong> - At each integration step, <strong>Particle Flow</strong> first applies actions in the local events, and then actions in the global event. Typically, the result is that actions in the global event override comparable actions in the local events</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> For predictable results, don&apos;t use similar actions in the global and local events. However, if comparable actions do exist in both the global event and other events, <strong>Particle Flow</strong> applies them to the system in the order specified here. Typically, the effect that&apos;s applied <em>last</em> is the one that&apos;s visible in the particle system. Default is <strong>1: Locals First</strong>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;particleFlow.getUpdateType() </code></pre><p>Get the Particle Flow Update Type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;particleFlow.setUpdateType &lt;integer&gt;type </code></pre><p>Set the Particle Flow Update Type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 : <strong>Complete mode</strong> - the whole particle animation is recalculated starting at the first frame.</p>\n\
<p>1 : <strong>Forward mode</strong> - particles aren&apos;t updated right away. At playback time the particle history is not recalculated. Only new events that will happen with the particles have new settings.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <strong>Update Type</strong> determines how <strong>Particle Flow</strong> updates the system when you change a parameter during playback. Because the state of the particle system at any given frame can depend on events in previous frames, using the Complete option can provide a more accurate depiction of the result of the change, at a cost in speed; it takes more time to recalculate the entire system starting at the first frame. Default is <strong>0: Complete</strong>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;particleFlow.cleanUpParticleFlow &lt;boolean&gt;doReport </code></pre><p>Cleans up the Particle Flow by removing unused items.</p>\n\
<p>If the argument is passed as true, shows the result of the operation as a popup dialog. If false, performs the operation silently.</p>\n\
<p>Returns the number of &quot;dirty&quot; ParticleFlow items removed.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;particleFlow.repairCacheSystem &lt;boolean&gt;doReport </code></pre><p>Repairs the Cache System.</p>\n\
<p>If the argument is passed as true, shows the result of the operation as a popup dialog. If false, performs the operation silently.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;particleFlow.synchronizeLayers &lt;boolean&gt;doReport </code></pre><p>MovesParticle Flow items to the same layer as the Particle Flow Emitter object.</p>\n\
<p>When a Particle Flow Emitter object is moved to another layer via the Layer Manager, other related objects like all Particle Flow Operator Helpers and some internal objects are not moved to the same layer automatically. This can cause the flow to misbehave for example if a layer is turned off.</p>\n\
<p>This method performs the synchronization to ensure all objects are on the same layer.</p>\n\
<p>If the argument is passed as true, shows the result of the operation as a popup dialog. If false, performs the operation silently.</p>\n\
<p>Returns the number of synchronized layers.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;particleFlow.resetParticleView() </code></pre><p>Resets the Particle View.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;particleFlow.presetManager() </code></pre><p>Opens the Preset Manager dialog.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;particleFlow.setNodeEditorDisplayFlags &lt;integer&gt;displayFlags</code></pre><p>Sets the Node Editor&apos;s display flags.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;particleFlow.forceRedrawParticleView &lt;node&gt;particleView</code></pre><p>Forces the redraw of the Particle View editor.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Script-Examples/Update-Step-Scripts/Every-Step-Update-Example.html\">Every Step Update Example</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Script-Examples/Update-Step-Scripts/Final-Step-Update-Example.html\">Final Step Update Example</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";