var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-793D939B-1301-41DE-A09D-9F69E867A7D7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Birth Script Example</h1></div><p><strong>Description:</strong></p>\n\
<p>The following example shows the default Birth_Script script with detailed comments.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>This script is used as the default script in the <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\">Birth_Script</a> action.</p>\n\
<p><img src=\"./images/GUID-4F8043EF-DE61-49E8-AF83-B356BF3D953A-low.gif\" alt></p>\n\
<p><strong>Effect:</strong></p>\n\
<p>The script generates a nice particle pattern - a helix built by a sine curve. In order to see the effect of the script, you should:</p>\n\
<ul>\n\
<li><p>Create a default PF_Source in the scene from the Create Tab of <strong>3ds Max</strong>.</p>\n\
</li>\n\
<li><p>Open Particle View</p>\n\
</li>\n\
<li><p>Replace the Birth action with a Birth_Script action</p>\n\
</li>\n\
<li><p>Delete the Speed, Position and Rotation operators.</p>\n\
</li>\n\
<li><p>Scrub the Time</p>\n\
</li>\n\
</ul>\n\
<p><img src=\"./images/GUID-DE6B1B3E-E8B2-4F6B-9AEC-49B852E38286-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do\n\
   (\n\
   pCont.useTime = true--enable the Time channel\n\
   pCont.useAge = true--enable the Age channel\n\
   pCont.usePosition = true--enable the Position channel\n\
   pCont.useSpeed = true--enable the Speed channel\n\
   )\n\
\n\
   --The Init handler is called on initialization.\n\
   --It is not used in this case.\n\
   on Init pCont do\n\
   (\n\
   )\n\
\n\
   --The Proceed handler contains the main script\n\
   --applied to the Particles.\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to:\n\
   on Proceed pCont do\n\
   (\n\
   --Get the Start Time as float. This converts the time to ticks.\n\
   t1 = pCont.getTimeStart() as float\n\
   --Get the End Time as float. This converts the time to ticks.\n\
   t2 = pCont.getTimeEnd() as float\n\
\n\
   --Clamp negative time values to 0\n\
   if (t1 &lt; 0)then(t1 = 0)\n\
\n\
   --If the end time is less than 100 frames\n\
   --(100 frames * 160 ticks per frame in 30 fps NTSC)\n\
   if (t2 &lt; 100*160) do\n\
   (\n\
   --then do a loop using the time values divided by 8\n\
   --this way a particle will be created every 8 ticks\n\
   for i in (t1/8+1) to (t2/8) do\n\
   (\n\
   --set the variable curTime to the actual time in ticks\n\
   curTime = 8*i as float\n\
   --give birth to a new particle\n\
   pCont.AddParticle()\n\
   --get the index of the last particle that was added\n\
   pCont.particleIndex = pCont.NumParticles()\n\
   --set the current time of the particle in frames\n\
   --(160 ticks in one frame at 30 fps NTSC animation)\n\
   pCont.particleTime = curTime/160\n\
   --Set the age of the particle to 0 - newborn!\n\
   pCont.particleAge = 0\n\
   --Define a radius variable based on the sine of the current time\n\
   sh = 2*sin(5*curTime)\n\
   --Define an angle variable based on the current time\n\
   ang = 0.2*curTime\n\
   --Set the particle position using the above variables\n\
   pCont.particlePosition = [sh*sin(ang), sh*cos(ang), 0]\n\
   --Define the speed using the same variables and falling down along Z\n\
   pCont.particleSpeed = [0.01*sin(ang), 0.01*cos(ang), -0.005]\n\
   )\n\
   )\n\
   )\n\
\n\
   --The Release handler is used to do cleanup work.\n\
   --Not used in this case.\n\
   on Release pCont do\n\
   (\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Birth-Scripts.html\">Birth Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\">Interface: MaxscriptParticleContainer</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\">Birth_Script : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";