var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A968E741-4D24-4286-B3D0-1FDDE49B6ABE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Fragmentation Sample Script</h1></div><p><strong>Description:</strong></p>\n\
<p>The following example shows a sample Fragmentation script using the Parray particle system and the Mesher Compound object to generate object fragments on the fly.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Should be used in a <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\">Birth_Script</a> Action to generate fragment particles.</p>\n\
<p><img src=\"./images/GUID-5C788AFF-5AC1-4976-9073-711870FD3938-low.gif\" alt></p>\n\
<p><strong>Effect:</strong></p>\n\
<p>In the Init handler, the script prepares the fragment source object, a PArray, a Mesher Compound and two Editable meshes to hold the fragments. It then assigns the PArray to the Mesher.</p>\n\
<p>In the Proceed handler, the script checks whether the particle system time is at frame 0 and no particles exist. In this case it gets the mesh of the PArray from the Mesher, splits the mesh into elements, gives birth to new particles and assigns them the mesh and position of the fragment.</p>\n\
<p>After the script has created the particles with the fragments, they can be controlled by any <strong>Particle Flow</strong> operators as usual.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do\n\
   (\n\
   pCont.useTime = true--enable the Time channel\n\
   pCont.useAge = true--enable the Age channel\n\
   pCont.usePosition = true--enable the Position channel\n\
   pCont.useSpeed = true--enable the Speed channel\n\
   pCont.useShape = true--enable the Shape channel\n\
   )\n\
\n\
   --The Init handler is called on initialization.\n\
   --This is where preparation works can be performed.\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on Init pCont do\n\
   (\n\
   -- Create a geometry primitive to break into fragments.\n\
   global bb = $Teapot_69e13b6c--a unique name\n\
   -- Create a PArray particle system to create the fragments.\n\
   global a = $PArray_36ce15a4--a unique name\n\
   -- Create a Mesher Compound object to turn PArray into mesh.\n\
   global mshr = $Mesher_23951616--a unique name\n\
   -- Create a mesh to hold the total mesh.\n\
   global totalMesh = $EMesh_5990501d--a unique name\n\
   -- Create a mesh to hold separate fragments.\n\
   global fragmentMesh = $EMesh_1589735c-- a unique name\n\
   --Disable screen redraw to speed up execution \n\
   withredrawoff(\n\
   -- If the source object does not exist in the scene...\n\
   if (bb == undefined) then (\n\
   -- create a Teapot for fragmentation, give it a unique name\n\
   bb = Teapot radius:20 smooth:on segs:6 body:on handle:on spout:on lid:on mapCoords:off\n\
   bb.name =&quot;Teapot_69e13b6c&quot;\n\
   hide bb-- hide the teapot\n\
   )\n\
   -- If the PArray object does not exist in the scene...\n\
   if (a == undefined) then\n\
   (\n\
   -- Create and setup a PArray\n\
   a = PArray()\n\
   a.name =&quot;PArray_36ce15a4&quot;\n\
   a.speed = 0\n\
   a.emitter = b\n\
   ba.particleType = 2\n\
   a.viewtype = 2\n\
   hide a\n\
   )\n\
   -- If the Mesher object does not exist in the scene...\n\
   if (mshr == undefined) then (\n\
   -- Create a Mesher Compound Object\n\
   -- The Mesher gets mesh data out of the PArray\n\
   mshr = mesher()\n\
   mshr.name =&quot;Mesher_23951616&quot;\n\
   mshr.pick = a-- Assign the Parray to the Mesher\n\
   select mshr\n\
   modPanel.addModToSelection (Edit_Mesh ()) ui:on\n\
   clearSelection()\n\
   hide mshr\n\
   )\n\
\n\
   -- If the total Emesh object does not exist in the scene...\n\
   if(totalMesh == undefined)then(\n\
   -- Create a new editable meshes with unique name\n\
   totalMesh = editable_mesh()\n\
   totalMesh.name =&quot;EMesh_5990501d&quot;\n\
   hide totalMesh\n\
   )\n\
   -- If the fragments Emesh object does not exist in the scene...\n\
   if(fragmentMesh == undefined)then(\n\
   -- to create editable meshes our of Mesher\n\
   fragmentMesh = editable_mesh()\n\
   fragmentMesh.name =&quot;EMesh_1589735c&quot;\n\
   hide fragmentMesh\n\
   )\n\
   )\n\
   )\n\
   --The Proceed handler contains the particle creating script\n\
\n\
   --The parameter pCont passed to the handler\n\
\n\
   --contains the Particle Container the script is applied to:\n\
\n\
   on Proceed pCont do(\n\
   -- Get the time range\n\
   t1 = pCont.getTimeStart() as float\n\
   t2 = pCont.getTimeEnd() as float\n\
   -- Only if the current time is at moment 0...\n\
   if((t1 &lt;= 0) and (t2 &gt;= 0))then(\n\
   -- Initialize a counter\n\
   i = 0\n\
   -- If there are still no particles in the system\n\
   if(pCont.NumParticles() &lt;= 0)then\n\
   (\n\
   print(&quot;should be making fragments&quot;)\n\
   -- You can modify the fragmentation parameters here:\n\
   a.Fragment_Thickness = 1\n\
   a.fragmentmethod = 1\n\
   a.fragChunkMinimum = 202\n\
   -- Get the complete mesh from the mesher\n\
   totalMesh.mesh = mshr.mesh\n\
   -- Create a bitarray with all faces set\n\
   print(&quot;assigning particles&quot;)\n\
   -- Repeat while there are still faces in the mesh\n\
   while totalMesh.numfaces != 0 do\n\
   (\n\
   -- Get the mesh element the first face belongs to\n\
   el = meshop.getelementsusingface totalMesh #{1}\n\
   -- Detach the faces of the element\n\
   tMesh = meshop.detachFaces totalMesh el delete:true asMesh:true\n\
   -- Set the mesh of the fragment Emesh to the element\n\
   fragmentMesh.mesh = tMesh\n\
   -- Update the fragment Emesh\n\
   update fragmentMesh\n\
   -- Get the center of the fragment mesh\n\
   meshCenter = fragmentMesh.center\n\
   -- The original particle position is the center of the fragment\n\
   particlePos = fragmentMesh.center\n\
   -- Adjust vertex location to center around the chunk pivot\n\
   for j in 1 to fragmentMesh.verts.count do\n\
   (\n\
   curVert = getVert fragmentMesh.mesh j\n\
   curVert = curVert - meshCenter\n\
   setVert fragmentMesh.mesh j curVert\n\
   )\n\
   -- Move the pivot of the fragment to the original center\n\
   -- of the fragment\n\
   fragmentMesh.pivot = meshCenter\n\
   -- Give birth to a new particle\n\
   pCont.AddParticle()\n\
   -- Increase the counter\n\
   i += 1\n\
   -- Set the current particle index to the counter\n\
   pCont.particleIndex = i\n\
   -- Set particle time and age to 0 (newborn particle!)\n\
   pCont.particleTime = 0\n\
   pCont.particleAge = 0\n\
   -- Set the particle&#x2019;s position to the original fragment position\n\
   pCont.particlePosition = particlePos\n\
   -- Reset the speed to 0\n\
   pCont.particleSpeed = [0,0,0]\n\
   -- Set the shape of the particle to the mesh of the fragment\n\
   pCont.particleShape = fragmentMesh.mesh\n\
   )\n\
   print(&quot;assigned particles &quot;+ (pCont.NumParticles() as string))\n\
   )\n\
   )\n\
   )\n\
\n\
   --The Release handler is used to do cleanup work.\n\
   --Not used in this case.\n\
   on Release pCont do\n\
   (\n\
\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Birth-Scripts.html\">Birth Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Particle-Systems/PArray-GeometryClass.html\">PArray : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/Mesher-superclass-GeometryClass.html\">Mesher - superclass: GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";