var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-84F3CD2D-9BAB-4FAB-8E00-567428C04619\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Flying Letters from a Custom String</h1></div><p><strong>Description:</strong></p>\n\
<p>The following example uses a Script Operator to assign a single letter to each particle based on a scene text objects. You can type in any text you want, define the font and change the appearance of the text using modifiers like Extrude and Bevel and let Particle Flow generate a stream of letters showing the text.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>The scripts should be used inside a <a href=\"./../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator</a>.</p>\n\
<p><img src=\"./images/GUID-ACE8921B-62AD-4C6D-9040-D6F2BE2897D4-low.gif\" alt></p>\n\
<p><strong>Effect:</strong></p>\n\
<ul>\n\
<li><p>The example uses a unique scene text object (with any modifiers on top) as instanced source.</p>\n\
</li>\n\
<li><p>The script makes copies of the source text and replaces the original text with a single letter from the text.This means that you can create any appearance (like for example adding custom Bevel to the source) and the particle system will inherit these settings.</p>\n\
</li>\n\
<li><p>Changing the Text of the Font of the Source and scrubbing the time back will automatically update the particle system.</p>\n\
</li>\n\
<li><p>Deleted letters from the scene will be detected and the particle system will regenerate to bring them back.</p>\n\
</li>\n\
<li><p>If the source object was removed, a new default text with extrude modifier will be created in the scene with the string &quot;Enter Text Here&quot; and renderable flag set to false. This means that you can start from scratch using this text object and edit its font,text and stack to get the look you want.</p>\n\
</li>\n\
</ul>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The source object must be a text object with some meshing modifier on top. Do not collapse the stack to EMesh as the script needs access to the text baseobject&apos;s font and text properties!</p>\n\
<ul>\n\
<li><p>You have to disable any Caches when changing the appearance in order to see the new look.</p>\n\
</li>\n\
<li><p>You can change the timing of the Birth operator to get more particles if your text is longer than the default</p>\n\
</li>\n\
<li><p>You can use any other PFlow operators to affect the particles. The Script is only responsible for the shape of the particles.</p>\n\
</li>\n\
<li><p>If you need multiple particle systems using the script, you should change the unique naming throughout the whole script to keep them apart.</p>\n\
</li>\n\
</ul>\n\
<p><img src=\"./images/GUID-E49BB8FD-47E1-4C91-8A94-8F92774C404E-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do(\n\
   pCont.useShape = true --enable changes to the shape\n\
   )\n\
\n\
   --The Init handler is called on initialization.\n\
   --In this case, it is used to define the string, font name\n\
   --and create the text objects for every letter\n\
\n\
   on Init pCont do\n\
   (\n\
   --Define a global variable to store the array of letter objects\n\
   --Use different unique ID if reusing the code\n\
   --multiple times in the same scene\n\
\n\
   global pflow_letter_array17b02b680\n\
\n\
   local text_source = $PFlowText17b02b680\n\
\n\
   --If the unique source is missing...\n\
   if not isValidNode text_source do\n\
   (\n\
   --Create new text source object\n\
   text_source = text text:&quot;Enter Text Here&quot;\n\
   --Give it the unique name - use a different ID\n\
   --throughout the script if you need to use multiple\n\
   --scripts in the same scene\n\
   text_source.name =&quot;PFlowText17b02b680&quot;\n\
   --Add an extrude modifier to the text object\n\
   addmodifier text_source (extrude amount:10)\n\
   --make the source invisible to the renderer\n\
   text_source.renderable = false\n\
   )\n\
   --If the array has been initialized before...\n\
   if pflow_letter_array17b02b680 != undefined do\n\
   (\n\
   txtpos = 0\n\
   --Go through all elements of the array\n\
   for i in pflow_letter_array17b02b680 do\n\
   (\n\
   txtpos += 1\n\
   --If any of the array nodes is invalid (deleted),\n\
   --or the font does not match the source&apos;s font name,\n\
   --or a letter does not match the letter in the source text,\n\
   --reset the whole array so it can be reinitialized\n\
   if not (isValidNode i) or i.font != text_source.font or i.text != (substring text_source.text txtpos 1) do\n\
   pflow_letter_array = undefined\n\
   )\n\
   )\n\
\n\
   --If the array is newly created or reset (see above)\n\
   if pflow_letter_array17b02b680 == undefined do\n\
   (\n\
   --Initialize to empty array\n\
   pflow_letter_array17b02b680 = #()\n\
   --Get the string to display by the particle system from the\n\
   --source text object in the scene. You can edit the\n\
   --text&apos;s source to display any text you want!\n\
   --Moving the time slider will update all letters!\n\
   local str = text_source.text\n\
   --Delete all possibly existing letter objects by name\n\
   delete $PFlow_Letter_17b02b680_*\n\
   --Loop from 1 to the number of letters in the string\n\
   for i = 1 to str.count do\n\
   (\n\
   --Create a copy of the source object with\n\
   --the i-th letter from the string\n\
   letter = copy text_source\n\
   letter.text = (substring str i 1)\n\
   --Give the object a unique name\n\
   letter.name = (uniquename&quot;PFlow_Letter_17b02b680_&quot;)\n\
   --Set the font to the font of the source\n\
   letter.font = text_source.font\n\
   --Append the new text object to the array\n\
   append pflow_letter_array17b02b680 letter\n\
   --Hide the text object\n\
   hide letter\n\
   ) \n\
   ) \n\
   )\n\
\n\
   --In the Proceed handler, we will assign the letters to the\n\
   --available particles\n\
\n\
   on Proceed pCont do\n\
   (\n\
   --Get the current particle count\n\
   count = pCont.numParticles()\n\
   --Get the number of text objects in the global array\n\
   maxcount = pflow_letter_array17b02b680.count\n\
   --Create an empty mesh\n\
   empty_mesh = triMesh()\n\
   --Repeat for all particles\n\
   for i = 1 to count do\n\
   (\n\
   --Set the current particle index\n\
   pCont.particleIndex = i\n\
   --If the particle index is less than the number of letters\n\
   if i &lt;= maxcount then\n\
   (\n\
   --If the node is not deleted, set the particle shape\n\
   --to the mesh of the i-th text object\n\
   if isValidNode pflow_letter_array17b02b680[i] do\n\
   pCont.particleShape = pflow_letter_array17b02b680[i].mesh\n\
   )\n\
   else\n\
   (\n\
   --If there is no letter for this particle,\n\
   --set the shape to an empty mesh\n\
   pCont.particleShape = empty_mesh\n\
   )\n\
   )\n\
   )\n\
\n\
   --The Release handler is used to do cleanup work.\n\
   --Not used in this case.\n\
   on Release pCont do\n\
   (\n\
\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Operators.html\">Script Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";