var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-46331E7C-A2DF-4FCD-B69F-D94A7FDF8795\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Script Operator Example</h1></div><p><strong>Description:</strong></p>\n\
<p>The following example shows the default Script Operator script with detailed comments.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Used by the <a href=\"./../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator</a> as default script.</p>\n\
<p><strong>Effect:</strong></p>\n\
<p>The script slows particles down, and when they are slow enough, splits off the first 50 particles into a stream traveling in a negative direction on the world X axis, and the remainder in the opposite direction.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--The ChannelsUsed handler defines the channels\n\
--to be made available to the script.\n\
--For the list of all channels, see\n\
--Interface: MaxscriptParticleContainer\n\
--The parameter pCont passed to the handler\n\
--contains the Particle Container the script is applied to\n\
on ChannelsUsed pCont do\n\
(\n\
pCont.useTime = true--enable the Time channel\n\
pCont.useSpeed = true--enable the Speed channel\n\
)\n\
\n\
--The Init handler is called on initialization.\n\
--It is not used in this case.\n\
on Init pCont do\n\
(\n\
)\n\
\n\
--The Proceed handler contains the main script\n\
--applied to the Particles.\n\
--The parameter pCont passed to the handler\n\
--contains the Particle Container the script is applied to:\n\
on Proceed pCont do\n\
(\n\
--Get the total number of particles:\n\
count = pCont.NumParticles()\n\
--Define slow speed as one unit per frame:\n\
slowSpeed = 1/160.0\n\
--Define very slow speed as 0.01 units per frame:\n\
verySlowSpeed = 0.01/160.0\n\
--Define random angular deviation per frame\n\
divAngle = 12.0\n\
--Get the start time in ticks\n\
--(when conerting time values to float, the result is ticks)\n\
tStart = pCont.getTimeStart() as float\n\
--Get the end time in ticks\n\
tEnd = pCont.getTimeEnd() as float\n\
--Calculate the length of the time interval in ticks\n\
timeDif = tEnd - tStart\n\
--Then convert to frames (160 ticks/frame when using 30 fps NTSC)\n\
timeDif /= 160.0\n\
--Define a drag coefficient\n\
dragCoef = 0.08\n\
\n\
\n\
--Loop from 1 to the number of particles...\n\
for i in 1 to count do\n\
(\n\
--Set the particle index in the container to the current i value.\n\
--This makes the i-th particle in the container the current one:\n\
pCont.particleIndex = i\n\
\n\
--If the particle is faster, then slow it down\n\
if length (pCont.particleSpeed) &gt; slowSpeed then\n\
pCont.particleSpeed -= dragCoef*timeDif*pCont.particleSpeed\n\
\n\
--Calculate the length of the particle speed vector\n\
newLen = length(pCont.particleSpeed)\n\
--If the current speed is higher than the defined very slow speed\n\
--then calculate a random divergence using the deviation angle.\n\
--If it is slower (very slow!), then don&#x2019;t use the angle but a\n\
--fixed value.\n\
if newLen &gt; verySlowSpeed then\n\
pCont.particleSpeed = pCont.randDivergeVector(pCont.particleSpeed)(divAngle/(160*newLen))\n\
else\n\
pCont.particleSpeed = pCont.randDivergeVector(pCont.particleSpeed)(180.0)\n\
\n\
--If slow enough, the first 50 particles go to the left.\n\
--The particles with ID above 50 go to the right.\n\
if length(pCont.particleSpeed) &lt; 1.5*slowSpeed then\n\
(\n\
if pCont.particleID &lt; 50 then\n\
pCont.particleSpeed += [-0.005*timeDif, 0, 0]\n\
else\n\
pCont.particleSpeed += [0.005*timeDif, 0, 0]\n\
)\n\
)\n\
)\n\
\n\
--The Release handler is used to do cleanup work.\n\
--Not used in this case.\n\
on Release pCont do\n\
(\n\
)\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Operators.html\">Script Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\">Interface: MaxscriptParticleContainer</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";