var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BFB330E6-9A3B-4C24-B28C-C7750F1FBECB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Speed Operator in Script Operator Example</h1></div><p><strong>Description:</strong></p>\n\
<p>The following example shows a <a href=\"./../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator</a> that creates a <a href=\"./../../Particle-Flow-Classes/Operators/Speed/Speed-Helper.html\">Speed operator</a> and uses it to simulate its own functionality. It is possible to create several standard operators in this manner, set their properties in the Init block, and use them all together in succession in the Proceed block.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Must be used inside a <a href=\"./../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator</a>.</p>\n\
<p><strong>Effect:</strong></p>\n\
<p>This is basically a script wrapped around a Speed Operator. The Script Operator has the same functionality as the encapsulated Speed Operator inside of it. Using this as the starting point, the script can be enhanced to add scripted functionality to the existing operator.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   on ChannelsUsed pCont do\n\
   (\n\
   -- No channels specified because the script doesn&apos;t make direct\n\
   -- access to particle data\n\
   )\n\
\n\
   --The Init handler is called on initialization.\n\
   --It is used to get the Speed action or create a new one\n\
   --if there is not an existing one\n\
   on Init pCont do\n\
   (\n\
   --Get an existing Speed Action by its unique name.\n\
   bb = $Speed74b93a88\n\
\n\
   --If the unique action does not exist, create one and give it\n\
   --the unique name. If you are reusing the code in multiple\n\
   --Script Operators, change the name to have a unique ID!\n\
   if (bb == undefined) then\n\
   (\n\
   ParticleFlow.BeginEdit()\n\
   bb = Speed()\n\
   bb.name =&quot;Speed74b93a88&quot;\n\
   bb.speed = 100\n\
   ParticleFlow.EndEdit()\n\
   )\n\
   initActions = pCont.getInitActions()\n\
   --Call the Init method in the Speed Action and pass\n\
   --the Particle container, Particle System object and node\n\
   --and the init action objects and nodes from the Scripted Operator.\n\
   bb.Init (pCont.getParticleContainer()) (pCont.getParticleSystem()) (pCont.getParticleSystemNode()) (pCont.getInitActions()) (pCont.getInitActionNodes())\n\
   )\n\
\n\
   --In the Proceed handler, we can call the .Proceed method\n\
   --of the Operator Interface and pass the container,\n\
   --particle system object and node, and\n\
   --the Init Action objects and nodes\n\
   --This means that the external Speed action will proceed whenever\n\
   --the Script_Operator does.\n\
   on Proceed pCont do\n\
   (\n\
   t_start = pCont.GetTimeStart() as time\n\
   t_end = pCont.GetTimeEnd() as time\n\
   bb = $Speed74b93a88\n\
   if (bb != undefined) then\n\
   (\n\
   bb.Proceed (pCont.getParticleContainer()) t_start &amp;t_end (pCont.getParticleSystem()) (pCont.getParticleSystemNode()) bb (pCont.GetIntegrator())\n\
   )\n\
   pCont.SetTimeEnd t_end\n\
   )\n\
\n\
   --In the Release hander of the Script_Operator,\n\
   --call the.Release method and pass the container of the\n\
   --Script_Operator. \n\
   on Release pCont do\n\
   (\n\
   bb = $Speed74b93a88\n\
   if (bb != undefined) then\n\
   bb.Release(pCont.getParticleContainer())\n\
   )\n\
\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Operators.html\">Script Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";