var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-340A20E5-B6B4-4C44-ABB8-D29D9EA10A77\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Integrator ProceedSynch Example</h1></div><p><strong>Description:</strong></p>\n\
<p>The following examples show the difference in particle position in two PF_Sources using the Integrator Interface&#x2019;s proceedSynch methods.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>These two sample scripts should be used inside of <a href=\"./../../Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test</a> actions.</p>\n\
<ul>\n\
<li><p>Create a PF_Source in the viewport.</p>\n\
</li>\n\
<li><p>Open Particle View.</p>\n\
</li>\n\
<li><p>Add a Script_Test action to the end of Event01.</p>\n\
</li>\n\
<li><p>Clone the particle system but leave it at the exactly same position.</p>\n\
</li>\n\
<li><p>Change the color of the second particle system</p>\n\
</li>\n\
<li><p>Load the first sample in the Script_Test of the first particle system.</p>\n\
</li>\n\
<li><p>Load the second sample in the Script_Test of the second particle system.</p>\n\
</li>\n\
</ul>\n\
<p><img src=\"./images/GUID-47D77EC2-C7C7-4370-96DF-50F4F0D466F3-low.gif\" alt></p>\n\
<p><strong>Effect:</strong></p>\n\
<p>Allows the user to compare the effects of two ProceedSynch calls.</p>\n\
<p>The resulting positions of all particles will be printed to the Listener.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE 1</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do\n\
   (\n\
   pCont.useTime = true --enable the Time channel\n\
   pCont.usePosition = true --enable the Position channel\n\
   )\n\
\n\
   --The Init handler is called on initialization.\n\
   --It is not used in this case.\n\
   on Init pCont do\n\
   (\n\
   )\n\
\n\
   --In the Proceed handler, we will call the ProceedSync method\n\
   --of the integrator.\n\
   on Proceed pCont do\n\
   (\n\
   end = pCont.GetTimeEnd() as float\n\
   _int = pCont.GetIntegrator()\n\
   count = pCont.NumParticles()\n\
   pCont_curr = pCont.GetParticleContainer()\n\
\n\
   for i in 1 to count do\n\
   (\n\
   pCont.particleIndex = i\n\
   if _int != undefined then\n\
   _int.proceedSync pCont_curr (end/160) 0.0 false #{}\n\
   format &quot;p1.particle%=%\\n&quot; i (pCont.GetParticlePosition i)\n\
   )\n\
   )\n\
\n\
   --The Release handler is used to do cleanup work.\n\
   --Not used in this case.\n\
   on Release pCont do\n\
   (\n\
   )\n\
\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE 2</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do\n\
   (\n\
   pCont.useTime = true --enable the Time \n\
   channelpCont.usePosition = true --enable the Position channel\n\
   )\n\
   --The Init handler is called on initialization.\n\
   --It is not used in this case.\n\
   on Init pCont do \n\
   (\n\
   )\n\
\n\
   on Proceed pCont do\n\
   (\n\
   end = pCont.GetTimeEnd()asfloat_int = pCont.GetIntegrator()\n\
   count = pCont.NumParticles()pCont_curr = pCont.GetParticleContainer()\n\
\n\
   for i in 1 to count do\n\
   (\n\
   pCont.particleIndex = i\n\
   if _int != undefined then\n\
   _int.proceedSync pCont_curr (end/160) 0.5 false #{}\n\
   -- Array version to try out:\n\
   --_int.proceedASync pCont_curr #((end/160), (2*end/160), (3*end/160)) #(0.1, 0.2, 0.5) true #{1..3}\n\
\n\
   format &quot;p2.particle%=%\\n&quot; i (pCont.GetParticlePosition i)\n\
   )\n\
   )\n\
\n\
   --The Release handler is used to do cleanup work.\n\
   --Not used in this case.\n\
   on Release pCont do\n\
   (\n\
   )\n\
\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Tests.html\">Script Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";