var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-766FF906-5021-47C9-B48D-F76AB0144475\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Position Test Example</h1></div><p><strong>Description:</strong></p>\n\
<p>The following example uses Script_Test actions to implement scripted position tests with both relative offset and absolute position options.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>The two scripts must be used inside the <a href=\"./../../Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test : Helper</a> actions.</p>\n\
<p><img src=\"./images/GUID-0C191B7B-F2A0-4FE2-B454-0511ACBD51B8-low.gif\" alt></p>\n\
<p><strong>Effect:</strong></p>\n\
<ul>\n\
<li><p>The PF_Source generates particles which get tested for relative offset of -100 to their birth position along the Z axis.</p>\n\
</li>\n\
<li><p>If they pass the scripted offset test, the particles are moved to the second Event which stops them and tests them for Age above 30.</p>\n\
</li>\n\
<li><p>If they pass the Age Test, the particles are moved to the Third event which tests them for absolute offset of -200 along the world Z axis using the second script.</p>\n\
</li>\n\
<li><p>If they pass the scripted position test, the particles are moved to the last Event which stops them.</p>\n\
</li>\n\
</ul>\n\
<p><img src=\"./images/GUID-C2C276D5-8312-4EA3-B00D-1E2B41772542-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT 1</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do\n\
   (\n\
   pCont.useTime = true\n\
   pCont.usePosition = true\n\
   )\n\
\n\
   --The Init handler is called on initialization.\n\
   --In this case, it is used to define the offset parameters\n\
   on Init pCont do\n\
   (\n\
   --Data paramters definition\n\
   struct paramsStruct (cond_less, axis, testpos, offset)\n\
   global paramsData = paramsStruct()\n\
\n\
   --true means less than, false means greater then\n\
   paramsData_offset.cond_less = true\n\
   --Axis option: x=1, y=2, z=3\n\
   paramsData_offset.axis = 3\n\
   --When set to true, the offset test is relative\n\
   --When set to false, the offset test is absolute.\n\
   paramsData_offset.offset = true\n\
   --Set the offset value to test for\n\
   paramsData_offset.testpos = -100\n\
\n\
   -- collects initial pos of each particle for offset test\n\
   global pos_init_array =#()\n\
   )\n\
\n\
   --In the Proceed handler, the actual testing is performed\n\
\n\
   on Proceed pCont do\n\
   (\n\
   count = pCont.NumParticles()\n\
\n\
   for i in 1 to count do\n\
   (\n\
   pCont.particleIndex = i\n\
   -- get ID of active particle\n\
   id = pCont.getParticleID pCont.particleIndex\n\
   if paramsData.cond_less == true then\n\
   (\n\
   if paramsData.offset == true then\n\
   (\n\
   -- collect initial pos for new born particle\n\
   if pCont.particleNew == true then\n\
   append pos_init_array pCont.particlePosition[paramsData.axis]\n\
   pos_id = pCont.GetParticlePositionByID id\n\
   if pos_id[paramsData.axis] &lt; (pos_init_array[id] + paramsData.testpos) then\n\
    testSatisfied = true\n\
   )\n\
   else\n\
   (\n\
   if pCont.particlePosition[paramsData.axis] &lt; paramsData.testpos then\n\
   testSatisfied = true\n\
   )\n\
   )\n\
   else\n\
   (\n\
   if paramsData.offset == true then\n\
   (\n\
   -- collect initial pos for new born particle\n\
    if pCont.particleNew == true then\n\
   append pos_init_array pCont.particlePosition[paramsData.axis]\n\
   pos_id = pCont.GetParticlePositionByID id\n\
    if pos_id[paramsData.axis] &gt; (pos_init_array[id] + paramsData.testpos) then\n\
   testSatisfied = true\n\
   )\n\
   else\n\
   (\n\
    if pCont.particlePosition[paramsData.axis] &gt; paramsData.testpos then\n\
   testSatisfied = true\n\
   )\n\
   )\n\
   if testSatisfied == true then\n\
   (\n\
   pCont.particleTestStatus = true\n\
   pCont.particleTestTime = pCont.particleTime\n\
   )\n\
   )\n\
   )\n\
\n\
   on Release pCont do\n\
   (\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT 2</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on ChannelsUsed pCont do\n\
   (\n\
   pCont.useTime = true\n\
   pCont.usePosition = true\n\
   )\n\
   on Init pCont do\n\
   (\n\
   --Data paramters definition\n\
   struct paramsStruct (cond_less, axis, testpos, offset)\n\
   global paramsData = paramsStruct()\n\
\n\
   --true means less than, false means greater then\n\
   paramsData.cond_less = true\n\
\n\
   --Axis option: x=1, y=2, z=3\n\
   paramsData.axis = 3\n\
   --When set to false, the offset test is absolute.\n\
   --When set to true, the offset test is relative\n\
   paramsData.offset = false\n\
   --Set the position value to test\n\
   paramsData.testpos = -200\n\
\n\
   -- Collects initial pos of each particle for offset test:\n\
   global pos_init_array =#()\n\
   )\n\
\n\
   --The Proceed handler is identical to the one in the first script.\n\
   --Only the test parameters defined in the Init handler alter the\n\
   --behavior of the script!\n\
\n\
   on Proceed pCont do\n\
   (\n\
   count = pCont.NumParticles()\n\
\n\
   for i in 1 to count do\n\
   (\n\
   pCont.particleIndex = i\n\
   -- get ID of active particle\n\
   id = pCont.getParticleID pCont.particleIndex\n\
   if paramsData.cond_less == true then\n\
   (\n\
   if paramsData.offset == true then\n\
   (\n\
   -- collect initial pos for new born particle\n\
   if pCont.particleNew == true then\n\
   append pos_init_array pCont.particlePosition[paramsData.axis]\n\
   pos_id = pCont.GetParticlePositionByID id\n\
   if pos_id[paramsData.axis] &lt; (pos_init_array[id] + paramsData.testpos) then\n\
    testSatisfied = true\n\
   )\n\
   else\n\
   (\n\
   if pCont.particlePosition[paramsData.axis] &lt; paramsData.testpos then\n\
   testSatisfied = true\n\
   )\n\
   )\n\
   else\n\
   (\n\
   if paramsData.offset == true then\n\
   (\n\
   -- collect initial pos for new born particle\n\
   if pCont.particleNew == true then\n\
   append pos_init_array pCont.particlePosition[paramsData.axis]\n\
   pos_id = pCont.GetParticlePositionByID id\n\
   if pos_id[paramsData.axis] &gt; (pos_init_array[id] + paramsData.testpos) then\n\
   testSatisfied = true\n\
   )\n\
   else\n\
   (\n\
   if pCont.particlePosition[paramsData.axis] &gt; paramsData.testpos then\n\
   testSatisfied = true\n\
   )\n\
   )\n\
   if testSatisfied == true then\n\
   (\n\
   pCont.particleTestStatus = true\n\
   pCont.particleTestTime = pCont.particleTime\n\
   )\n\
   )\n\
   )\n\
\n\
   on Release pCont do\n\
   (\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Tests.html\">Script Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";