var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5AE61E44-81FB-4914-9B11-0401F9FB7B2D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Particle_View : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Particle_View - superclass: helper super-superclass:node - classID: #(1962490631, 515064576) </code></pre><p><strong>Description:</strong></p>\n\
<p>Instances of this internal class are created by <strong>Particle Flow</strong> and returned by the <code>particleFlow.OpenParticleView()</code> method. They represent the Particle View user interface. See <a href=\"./../../Particle-Flow-Interfaces/particleFlow-Global-Interface.html\">particleFlow Global Interface</a> for details.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Not creatable by MAXScript</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_View&gt;.origin Point3   </code></pre><p>Gets/Sets the origin of the Particle View in screen pixel coordinates relative to the upper left corner of the desktop.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_View&gt;.width Integer </code></pre><p>Gets/Sets the width of the Particle View in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_View&gt;.height Integer </code></pre><p>Gets/Sets the height of the Particle View in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_View&gt;.divider Point3 </code></pre><p>Gets/Sets the location of the divider of the Particle View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_View&gt;.selected Node Array </code></pre><p>Gets/Sets the array of selected nodes in the Particle View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_View&gt;.Show_Parameters Boolean default:true </code></pre><p>Controls the visibility of the Parameters panel in the right side of Particle View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_View&gt;.Show_Action_Depot Boolean default:true </code></pre><p>Controls the visibility of the Action Depot in the bottom of Particle View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_View&gt;.Show_Action_Description Boolean default:true </code></pre><p>Controls the visibility of the Action Description in the bottom right corner of Particle View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_View&gt;.show_Particle_Count Integer default: 0 </code></pre><p>When set to <strong>1</strong>, shows the Particle Count. Controls the checked state of the <strong>Particle View &gt; Options &gt; Track Update &gt; Particle Count</strong> menu item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_View&gt;.show_Action_Update Integer default: 0 </code></pre><p>When set to <strong>1</strong>, shows the Action Update. Controls the checked state of the <strong>Particle View &gt; Options &gt; Track Update &gt; Update Progress</strong> menu item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_View&gt;.use_Dynamic_Names Integer default: 1 </code></pre><p>When set to <strong>1</strong>, Particle View uses Dynamic names. Controls the checked state of the <strong>Particle View &gt; Options &gt; Use Dynamic Names</strong> menu item.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES AND RESULTS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Open a Particle View\n\
   pv = particleFlow.openParticleView()\n\
   --&gt; $Particle_View:Particle View 001 @ [0.000000,0.000000,0.000000]\n\
\n\
   pv.name--since it is a helper, it has all node properties\n\
   --&gt; &quot;Particle View 001&quot;\n\
\n\
   pv.Origin\n\
   --&gt; [9,77,0]\n\
   pv.Origin = [100,0,0]\n\
   --&gt; [100,0,0]\n\
   pv.Origin = [0,0,0]\n\
   --&gt; [0,0,0]\n\
\n\
   --Get the current size of the Particle View\n\
   pv.Width\n\
   --&gt; 549\n\
   pv.Height\n\
   --&gt; 852\n\
   --Set the size of the Particle View to 800 x 600\n\
   pv.Width = 800\n\
   --&gt; 800\n\
   pv.Height = 600\n\
   --&gt; 600\n\
\n\
   pv.Divider\n\
   --&gt; [1,261,0]\n\
   --Move the divider down to set Depot height to 100 pixels\n\
   pv.Divider = [1,100,0]\n\
   --&gt; [1,100,0]\n\
\n\
   pv.Show_Particle_Count\n\
   --&gt; 0\n\
   pv.Show_Particle_Count = 1\n\
   --&gt; 1\n\
\n\
   pv.Show_Action_Update\n\
   --&gt; 0\n\
   pv.Show_Action_Update = 1\n\
   --&gt; 1\n\
\n\
   pv.Use_Dynamic_Names\n\
   --&gt; 1\n\
   pv.Use_Dynamic_Names = 0\n\
   --&gt;0\n\
</code></pre></blockquote>\n\
<p>The following MacroScript will open the Particle View on the right half of the desktop. If you are using a Dual Monitor setup with a single desktop, this will open Particle View on the right monitor.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript PView_TwoMonitors\n\
   category: &quot;Particle View&quot;\n\
   buttontext: &quot;PView Half&quot;\n\
   tooltip: &quot;Open Particle View on Right Half of Desktop&quot;\n\
   (\n\
   -- open Particle View, get the Particle View object\n\
   pv =ParticleFlow.openParticleView()\n\
\n\
   -- get desktop size\n\
   winsize = getMaxWindowSize()\n\
\n\
   -- set Origin of PView to half desktop width and 0 height\n\
   pv.origin = [winsize.x/2, 0,0]\n\
   -- set Width to half desktop width\n\
   pv.width = winsize.x/2\n\
   -- set Height to full desktop height\n\
   pv.height = winsize.y\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Particle-View-Access.html\">Particle View Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces/particleFlow-Global-Interface.html\">particleFlow Global Interface</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-View-Access.html\">Particle View Access</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";