var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C0F2D653-3535-4C40-BB73-7FA7CF56BAE9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped Footprints</h1></div><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.addFootprint &lt;biped_ctrl&gt;&lt;matrix3&gt; [append:&lt;boolean&gt;]      </code></pre><p>Creates a single footprint for the biped, where matrix3 specifies the position and rotation of the footstep. The scale portion of the matrix3 is ignored. Whether a left or right footstep is created depends on the value of biped.fsAddSide (see below). The length and timing of the footstep depends on biped&#x2019;s fsGroundDuration and fsAirDuration property values.</p>\n\
<p>The append keyword argument specifies where in time the footstep is added. If true (the default) then the footstep is appended as the last footstep, else it is inserted at the current time.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Creates a single footprint for the Biped.</p>\n\
<p><strong>Global Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.fsAddSide Integer Default:0      \n\
0 - Start Right\n\
1 - Start Left  </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>For multiple footstep creation, the starting foot needs to be identified. There is a UI radio button in the Multiple Footstep Creation dialog &quot;Start Right/Start Left&quot;. The biped global property, <strong>fsAddSide</strong>, exposes access to this UI element.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property also effects the start foot when manually creating footsteps in the viewports and when using biped.addFootprint. If the biped.fsAddSide is 1, a left footstep is created. If 0, a right footstep is created. When you create a footstep in the viewports or by using biped.addFootprint, the value of biped.fsAddSide is flipped, resulting in alternating footsteps being created by default.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.multipleFSDlg &lt;biped_ctrl&gt; </code></pre><p>Displays the Multiple Footstep Creation dialog</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getMultipleFSParams &lt;gait_type_name&gt; </code></pre><p>Returns an instance of MultFprintParams, gait_type_name can be<strong>#walk</strong>,<strong>#run</strong>or<strong>#jump</strong>. For information on MultFprintParams andgait_type_name see <a href=\"Biped-Class-MultFprintParams.html\">Biped MultFprintParams Class</a><strong>.</strong></p>\n\
<p>The following example will obtain the MultipleFSParams for a walk cycle, set several of its values and then show all of the properties.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   walk = biped.getMultipleFSParams #walk \n\
   walk.numFootsteps= 5 \n\
   walk.paramStrideWidth= 2.5 \n\
   walk.paramStrideLength1= .6 \n\
   walk.actualStrideHeight1= .6 \n\
   walk.cycle1= 6 \n\
   walk.paramStrideLength2= .7 \n\
   walk.actualStrideHeight2= .7 \n\
   walk.cycle2= 7 \n\
   walk.autoTiming= true \n\
   walk.interpTiming= true \n\
   walk.alternate= true \n\
   walk.multiInsertInTime= true \n\
   showProperties walk         \n\
</code></pre></blockquote>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.addMultipleFootprints &lt;biped_ctrl&gt; &lt;MultFprintParams&gt; </code></pre><p>Create footsteps for a Biped based on the MultFprintParams value</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.newFootprintKeys &lt;biped_ctrl&gt; </code></pre><p>Activates all inactive footsteps. Activation creates default keys for any footsteps that do not have them. If a footstep does not have keys, it is displayed as bright green (right foot) or bright blue (left foot). After keys are created for the footsteps, the footsteps change color to pastel green and pastel blue.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.convertToFootSteps &lt;biped_ctrl&gt; [keyPerFrame:&lt;false&gt;] [flattenToZ:&lt;true&gt;] </code></pre><p>Converts a freeform animation to footsteps. If keyPerFrame is true, keys are created at every frame, and footsteps are extracted based on foot IK Blend values equal to 1. If flattenToZ is true, the entire biped is repositioned to place the footsteps at Z=0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.convertToFreeform &lt;biped_ctrl&gt; [keyPerFrame:&lt;false&gt;] </code></pre><p>Converts a freeform animation to footsteps. If <strong>keyPerFrame</strong> is <strong>true</strong> , keys are created at every frame.</p>\n\
<h2 id=\"bending-scaling-footprints\">Bending/Scaling Footprints</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.bendFootprints &lt;biped_ctrl&gt; &lt;float&gt; --angle in degrees </code></pre><p>Bend the Footprints of the biped whose controller has been supplied as argument at the specified angle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.scaleFootprints &lt;biped_ctrl&gt; &lt;float&gt; --angle in degrees </code></pre><p>Scale the Footprints of the biped whose controller has been supplied as argument at the specified angle.</p>\n\
<p>The following example will create a biped, create 10 footsteps and then have Biped create default keys for the footsteps.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- create a Biped\n\
   bipObj = biped.createNew 100 100 [0,0,0]  -- get the transform controller for the Biped \n\
   bip = bipObj.transform.controller   -- get the multiple footstep parameters interface \n\
   mfsp=biped.getMultipleFSParams #walk   -- set the number of footsteps to 10 \n\
   mfsp.numFootsteps=10   -- create the inactive footsteps \n\
   bip.footstepMode=true \n\
   biped.addMultipleFootprints bip mfsp   -- create the Biped keys for inactive footsteps \n\
   biped.newFootprintKeys bip \n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-Footsteps-and-Footprints.html\">Biped Footsteps and Footprints</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Biped-Controllers.html\">Biped Controllers</a></li>\n\
          <li><a class=\"link\" href=\"Biped-Class-MultFprintParams.html\">Biped Class : MultFprintParams</a></li>\n\
          <li><a class=\"link\" href=\"../Biped-Keys.html\">Biped Keys</a></li>\n\
          <li><a class=\"link\" href=\"../../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";