var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-625F2EBE-C586-406F-9E21-DD3F8FCE9F61\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped Creation</h1></div><p>The following constructor function and optional creation parameters let the user create new Biped systems using MAXScript: </p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.createNew &lt;height_float&gt; &lt;angle_float&gt; &lt;wpos_point3&gt; . . .      </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;height_float&gt;</code></pre><p>The height of the Biped to be created</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;angle_float&gt;</code></pre><p>Angle in degrees,0&#xB0; will make the Biped look along the positive X axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;wpos_point3&gt;</code></pre><p>World position of the Biped.This is the position of the COM shadow.</p>\n\
<p><strong>CreationParameters</strong></p>\n\
<p>The following creation parameters are optional and can be used in any combination to override the default creation parameters.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> All UI limit constraints apply on keyword parameters, for example, <strong>fingers</strong> and <strong>fingerLinks</strong> parameters are not respected when <strong>arms</strong> is set to false.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">arms:Boolean Default: True   </code></pre><p>Specifies whether or not arms will be generated for the current biped.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">neckLinks:Integer Default: 1 </code></pre><p>Specifies the number of links in the biped neck.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spineLinks:Integer Default: 4 </code></pre><p>Specifies the number of links in the biped spine.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">legLinks:Integer Default: 3 </code></pre><p>Specifies the number of links in the biped legs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tailLinks:Integer Default: 0 </code></pre><p>Specifies the number of links in the biped tail. A value of 0 specifies no tail.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ponytail1Links:Integer Default: 0 </code></pre><p>Specifies the number of Ponytail links.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ponytail2Links:Integer Default: 0 </code></pre><p>Specifies the number of Ponytail links.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fingers:Integer Default: 1 </code></pre><p>Specifies the number of biped fingers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fingerLinks:Integer Default: 3 </code></pre><p>Sets the number of links per finger.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toes:Integer Default: 5 </code></pre><p>Specifies the number of biped toes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toeLinks:Integer Default: 3 </code></pre><p>Specifies the number of links per toe.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ankleAttach:Float Default: 0.2 </code></pre><p>Specifies the right and left ankles&apos; point of attachment along the corresponding foot block. The ankles may be placed anywhere along the center line of the foot block from the heel to the toe.</p>\n\
<p>A value of 0 places the ankle attachment point at the heel. A value of 1 places the ankle attachment point at the toes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trianglePelvis:Boolean Default: True </code></pre><p>Select this control to create links from the upper legs to the lowest biped spine object when Physique is applied. Normally, the legs are linked to the biped pelvis object.</p>\n\
<p>The pelvis area can be a problem when the mesh is deformed with Physique. Triangle Pelvis creates a more natural spline for mesh deformation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">triangleNeck:Boolean Default: false </code></pre><p>If Triangle Neck is true, the clavicles are parented to the top spine link.</p>\n\
<p>If Triangle Neck is false, the clavicles are parented to the neck base.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">prop1Exists:Boolean Default: False </code></pre><p>Specifies whether prop 1 exists.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">prop2Exists:Boolean Default: False </code></pre><p>Specifies whether prop 2 exists.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">prop3Exists:Boolean Default: False </code></pre><p>Specifies whether prop 3 exists.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">forearmTwistLinks:Integer Default: 0 </code></pre><p>Specifies the number of forearm links. If 0, Forearm Twist is unchecked in the Structure dialog, and Forearm Links is 2. If non-zero, Forearm Twist is checked and Forearm Links is the specified number (the Forearm Links spinner has a lower limit of 2). Valid values are in the range of 0 to 10.</p>\n\
<p>The following example will create a Biped with specific non default values and facing the front view (negative Y axis).</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bipObj = biped.createNew 100 -90 [0,0,0] arms:true neckLinks:2 \\ \n\
   spineLinks:4 legLinks:4 tailLinks:1 ponyTail1Links:1 \\ \n\
   ponyTail2Links:1 fingers:5 fingerLinks:2 toes:4 \\ \n\
   toeLinks:2 ankleAttach:0.3 trianglePelvis:True \\ \n\
   prop1Exists:True forearmTwistLinks:4 \n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-General-Topics.html\">Biped General Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";