var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6DAC719A-FBCC-48AC-B259-B1F7C94C80A1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped and Crowd Interaction</h1></div><p>It is possible to influence clip selection for bipeds during a Crowd solution by using preferred clips. The following biped MAXScript functions allow users to set the biped preferred clip during a <a href=\"./../../MAXScript-Extensions-for-Crowd.html\">crowd solution</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.numPrefClips &lt;biped_ctrl&gt;      </code></pre><p>Returns the number of preferred clips</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getPrefClip &lt;biped_ctrl&gt; &lt;index_integer&gt;   </code></pre><p>Returns the name of the nth preferred clip. The index is 0-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.clearPrefClips &lt;biped_ctrl&gt; </code></pre><p>Clears the preferred clip list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.addPrefClip &lt;biped_ctrl&gt; &lt;name_string&gt; &lt;prob_integer&gt; </code></pre><p>Adds the clip to the preferred clip list with the given probability. Returns true if added, false if not added because it was already in the list. If the clip is already in the preferred clip list, its probability is changed to the specified probability. The range of meaningful probabilities is -100 to 100 where negative values make the clip less likely to be taken. A value of -100 effectively ensures that the clip will not be taken, and for values greater than -100, a comparision is done where choices of transitions prefer higher values (with positive values being favored over negative ones and zero being neutral). Negative preferences are useful when you want to avoid certain clips. For example , if have 30 clips, you can easily avoid a clip by setting it with one negative value without having to set positive preferences for the other 29 clips.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getPrefClipProb &lt;biped_ctrl&gt; &lt;index_integer&gt; </code></pre><p>Returns the probability of the nth preferred clip. The index is 0-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.deletePrefClip &lt;biped_ctrl&gt; &lt;name_string&gt; </code></pre><p>Deletes the named clip from the preferred clip list. Returns true is successful, false if the clip was not in the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.isPrefClip &lt;biped_ctrl&gt; &lt;name_string&gt;  </code></pre><p>Returns true if the clip is in the list, false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getCurrentClip &lt;biped_ctrl&gt; </code></pre><p>Returns the name of the currently active clip for this biped - only relevant during a crowd solve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getClipAtTime &lt;biped_ctrl&gt; &lt;time&gt; </code></pre><p>Returns the name of the active clip for the biped at the specified time. If a transition between clips is occurring at the specified time, the clip being transitioned from is returned.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Preferred clip names are case-sensitive.</p>\n\
<p>The following are examples showing how the <a href=\"./../../MAXScript-Extensions-for-Crowd/Crowds/Crowd-helper.html\">crowd system &quot;PerFrameFn&quot;</a> can be used to dynamically change the biped preferred clip.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- changes the preferred clip as a function of frame number.\n\
   fn PerFrameFn crwd t = (\n\
   a = $bip100.controller\n\
   if (t == 200f) then\n\
   biped.addprefclip a&quot;jog_L45&quot;100\n\
   else\n\
   biped.deletePrefClipa&quot;jog_L45&quot;\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- changes the preferred clip as a function of the current clip.\n\
   fn PerFrameFn crwd t = (\n\
   a = $bip100.controller\n\
   if (biped.getcurrentclip a ==&quot;jog_L135&quot;) then\n\
   biped.addprefclip a&quot;jog_L45&quot;100\n\
   else\n\
   biped.clearPrefClipsa\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-General-Topics.html\">Biped General Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Extensions-for-Crowd/Crowds/Crowd-helper.html\">Crowd : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";