var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C1E7D2EF-18FC-4926-B9C8-A4731EED68C1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BipedKey : MAXObject</h1></div><p>All Biped vertical, horizontal, turning, and body keys are represented by this class.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bipedkey&gt;.time Time Default: Varies      </code></pre><p>When in time the key occurs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bipedkey&gt;.selected Boolean Default: False   </code></pre><p>True if the key is selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bipedkey&gt;.tension Float Default: 25.0 </code></pre><p>Controls the amount of curvature in the animation curve.</p>\n\
<p>High Tension produces a linear curve. It also has a slight Ease To and Ease From effect.</p>\n\
<p>Low Tension produces a very wide, rounded curve. It also has a slight negative Ease To and Ease From effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bipedkey&gt;.continuity Float Default: 25.0 </code></pre><p>Controls the tangential property of the curve at the key. The default setting is the only value that produces a smooth animation curve through the key. All other values produce a discontinuity in the animation curve causing an abrupt change in the animation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bipedkey&gt;.bias Float Default: 25.0 </code></pre><p>Controls where the animation curve occurs with respect to the key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bipedkey&gt;.easeTo Float Default: 0.0 </code></pre><p>Slows the velocity of the animation curve as it approaches the key.</p>\n\
<p>High Ease To causes the animation to decelerate as it approaches the key.</p>\n\
<p>The default setting causes no extra deceleration.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bipedkey&gt;.easeFrom Float Default: 0.0 </code></pre><p>Slows the velocity of the animation curve as it leaves the key.</p>\n\
<p>High Ease From causes the animation to start slow and accelerate as it leaves the key.</p>\n\
<p>The default setting causes no change of the animation curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bipedkey&gt;.type Name Default: Varies -- Read-only </code></pre><p>Contains #vertical, #horizontal, #turning, #body, #biped, #head, or #prop based on the key type.</p>\n\
<p>There are additional properties <strong>based on the type</strong> of the key:</p>\n\
<h2 id=\"-vertical\">#vertical</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;vertkey&gt;.z Float Default: Varies </code></pre><p>Position of the selected biped part in z.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;vertkey&gt;.dynamicsBlend Float Default: 1.0 </code></pre><p>Controls the amount of gravity in an airborne period as in a running or jumping motion. This parameter has no effect on a walking motion where footsteps overlap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;vertkey&gt;.ballisticTension Float Default: 0.5 </code></pre><p>Controls the amount of spring or tension when the biped lands or takes off from a jump or run step. The change is subtle.</p>\n\
<p>A walk cycle will not activate this value. The biped has to be airborne, <em>then</em> the Lift and Touch vertical keys will display a Ballistic Tension value.</p>\n\
<h2 id=\"-horizontal\">#horizontal</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;horzkey&gt;.x Float Default: Varies </code></pre><p>Position of the selected biped part in x.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;horzkey&gt;.y Float Default: Varies </code></pre><p>Position of the selected biped part in y.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;horzkey&gt;.balanceFactor Float Default: 1.0 </code></pre><p>Positions the biped&apos;s weight along a line that extends from the center of mass to the biped&apos;s head. A value of 0 places the biped&apos;s weight at the center of mass. A value of 1 places the biped&apos;s weight above the center of mass. A value of 2 places the biped&apos;s weight in the head.</p>\n\
<h2 id=\"-turning\">#turning</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;turnkey&gt;.rotation Quaternion Default: (quat 0 0 0 1) </code></pre><p>Rotation of the selected biped part.</p>\n\
<h2 id=\"-body\">#body</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bodykey&gt;.ikBlend Float Default: 0.0 </code></pre><p>Determines how forward kinematics and inverse kinematics are blended to interpolate an intermediate position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bodykey&gt;.ikSpace Integer Default: 0 0 - Body</code></pre><p>The biped limb is in biped coordinate space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">1 - Object</code></pre><p>The biped limb is either in World coordinate space or the coordinate space of the selected object. Coordinate space can be blended between keys.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bodykey&gt;.ikAnkleTension Float Default: 0.0 </code></pre><p>Adjusts the precedence of the ankle joint over the knee joint. When set to 0, the knee takes precedence. When set to 1, the ankle takes precedence.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bodykey&gt;.ikJoinedPivot Boolean Default: True </code></pre><p>Put the biped foot in the coordinate space of the previous key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bodykey&gt;.ikPivotIndex Integer Default: 1 </code></pre><p>Index into <bodykey>.ikPivots array of active (selected) pivot.</bodykey></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bodykey&gt;.ikNumPivots Integer Default: Varies -- Read-only </code></pre><p>Number of pivot points in <bodykey>.ikPivots array.</bodykey></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bodykey&gt;.ikPivots Array Deafult: Varies -- Array of Point3 values </code></pre><p>Array of positions of all the pivot points for the body part.</p>\n\
<h2 id=\"-biped\">#biped</h2><p><code>#biped</code> type keys do not expose any additional parameters.</p>\n\
<h2 id=\"-head\">#head</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;headkey&gt;.headBlend Float Default: 0.0 </code></pre><p>Determines the degree of influence of the lookat target (headObject) on the head&apos;s rotation. At a value of 0, the headObject&apos;s position has no influence on the head&apos;s rotation. At a value of 1, the head will look at the headObject.</p>\n\
<h2 id=\"-prop\">#prop</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;propkey&gt;.posSpace Integer Default: 1 \n\
&lt;propkey&gt;.rotSpace Integer Default: varies </code></pre><p>0 - World (Positioning/rotation is in the world coordinate space)</p>\n\
<p>1 - Body (Positioning/rotation is in the body coordinate space)</p>\n\
<p>2 - Right Hand (Positioning/rotation is in the right hand coordinate space)</p>\n\
<p>3 - Left Hand (Positioning/rotation is in the left hand coordinate space)</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bipObj = biped.createNew 100 -90 [0,0,0]\n\
   -- to add a new key\n\
   k = biped.addNewKey $&apos;bip001 L clavicle&apos;.controller 10f \n\
   k = biped.getKey $&apos;bip001 L clavicle&apos;.controller 1 \n\
   showProperties k \n\
   k.ikBlend = .5 \n\
   k.ikSpace = 0 \n\
   k.ikAnkleTension = .8 \n\
   k.ikJoinedPivot = false \n\
   k.ikPivotIndex = 8 \n\
   k.ikNumPivots \n\
   k.ikPivots \n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-Keys.html\">Biped Keys</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"BipedFSKey-MAXObject-1.html\">BipedFSKey : MAXObject</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";