var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-389AABA5-35CC-46FD-9E4C-DD4A653F8A62\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped Motion Capture</h1></div><p>All motion capture properties in Biped are global parameters and cannot be varied from Biped to Biped. Hence they are exposed as system globals residing in the <strong>mocap</strong> struct.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.        fsExtractionMode Integer Default: 0         \n\
</code></pre><p>0 - None: Freeform - No footsteps are extracted.</p>\n\
<p>1 - On - Extract footsteps.</p>\n\
<p>2 - Fit to existing - For motion data that has both footstep motion and flying, swimming, falling, or tumbling motions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.fsConversionMode Integer Default: 0 </code></pre><p>0 - No Key Reduction - Do not reduce keys. Use this on files that are already key reduced or if you want to work with all the data in a raw motion capture file.</p>\n\
<p>1 - Use Key Reduction - Reduce keys for simpler key editing.</p>\n\
<p>2 - Load Buffer Only - Do not apply the data to the biped, load the data to the motion capture buffer only. Use this to either compare your edited version with the original or to paste postures from the motion capture buffer to the biped in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.upVector Integer Default: 2 </code></pre><p>Set the vertical axis used in the motion capture data.</p>\n\
<p>0 - X</p>\n\
<p>1 - Y</p>\n\
<p>2 - Z</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.scaleFactor Float Default: 1.0 -- range: 0+</code></pre><p>Multiply the stored talent size by this value and size the biped accordingly.</p>\n\
<h2 id=\"footstep-extraction\">Footstep Extraction</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.fsExtractionTol Float Default: 0.07 -- range: 0+</code></pre><p>Set the sensitivity of footstep extraction. Biped determines if the footstep is there by checking that the foot does not move beyond the distance determined by the Extraction Tolerance value. Smaller numbers are more sensitive and extract more footsteps. Value is a percentage of foot length.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.fsSlidingDist Float Default: 25.0 -- range: 0+</code></pre><p>Create a sliding footstep when positional tolerance is reached. This value is a percentage of foot length. By default the foot must slide its own distance (100), before a sliding footstep is created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.fsSlidingAngle Float Default: 0.0 -- range: 0-360</code></pre><p>Create a sliding footstep when rotational tolerance is reached. This value is in degrees. If this is set high (360 degrees), the foot must make a complete turn before a sliding footstep is created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.fsUseVerticalTol Boolean Default: False </code></pre><p>Turn on Z-axis Tolerance. The control filters out footsteps that do not fall within a given range of the ground plane. Use this when filtering motions, such as hopping or pitching a baseball, in which a foot may come off the ground and remain stationary, but its position is not intended as a footstep.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.fsVerticalTol Float Default: 0.5 -- range: 0+</code></pre><p>Value is a percentage of leg length</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.fsZLevel Float Default: 0.0 </code></pre><p>Set a Z value (ground).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.fsUseFlatten Boolean Default: False </code></pre><p>Extracted footsteps are moved to Z=0. Use this to flatten out minor differences in the height of the extracted footsteps.</p>\n\
<h2 id=\"load-frames\">Load Frames</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.startFrame Integer Default: 0 </code></pre><p>Start importing at this frame. Default is frame 0, the first frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.endFrame Integer Default:0 </code></pre><p>Stop importing at this frame. Default is the last frame of the clip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.loop Boolean Default: False </code></pre><p>Loop the data by the value set here.</p>\n\
<p>This is relative. Succeeding loops start where the previous loop left off. The clips are not blended and may require editing unless the original clip was designed to loop.</p>\n\
<p>Use this for clips designed to loop.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This often works best if Footstep Extraction is tuned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.loopFrameCount IntegerDefault: 0 -- range: 0+</code></pre><p><strong>Key Reduction Settings</strong></p>\n\
<p><strong>Tolerance:</strong> Set the maximum angular or positional deviation for a track.</p>\n\
<p>Values are in degrees for rotation tracks. Values are in units of translation for position tracks.</p>\n\
<p><strong>Minimum Key Spacing:</strong> Set the minimum number of frames between keys.</p>\n\
<p>Tolerance is computed first, then Minimum Key Spacing computes further key reduction.</p>\n\
<p>A Minimum Key Spacing value of 10 for the head track ensures that no two keys are closer than 10 frames for this track.</p>\n\
<p><strong>Set All:</strong> Force all tracks to the values set in these fields.</p>\n\
<p>Higher values here can determine how much key reduction is possible while preserving the original motion.</p>\n\
<p><strong>Filter:</strong> Clear to prevent filtering of the motion capture data into a track. If this is cleared, there will be no key reduction for the track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.allTol Float Default: 0.0 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.allSpacing Integer Default: 3 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.allFilter Boolean Default: False </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.horzTol Float Default: 1.0 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.horzSpacing Integer Default: 3 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.horzFilter Boolean Default: True </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.rotTol Float Default: 1.0 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.rotSpacing Integer Default: 3 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.rotFilter Boolean Default: True </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.vertTol Float Default: 1.0 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.vertSpacing Integer Default: 4 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.vertFilter Boolean Default: True </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.pelvisTol Float Default: 6.0 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.pelvisSpacing Integer Default: 3 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.pelvisFilter Boolean Default: True </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.spineTol Float Default: 6.0 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.spineSpacing Integer Default: 3 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.spineFilter Boolean Default: True </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.neckTol Float Default: 6.0 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.neckSpacing Integer Default: 3 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.neckFilter Boolean Default: True </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.leftArmTol Float Default: 6.0 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.leftArmSpacing Integer Default: 3 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.leftArmFilter Boolean Default: True </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.rightArmTol Float Default: 6.0 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.rightArmSpacing Integer Default: 3 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.rightArmFilter Boolean Default: True </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.leftLegTol Float Default: 6.0 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.leftLegSpacing Integer Default: 3 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.leftLegFilter Boolean Default: True </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.rightLegTol Float Default: 6.0 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.rightLegSpacing Integer Default: 3 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.rightLegFilter Boolean Default: True </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.tailTol Float Default: 6.0 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.tailSpacing Integer Default: 3 -- range: 0+</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.tailFilter Boolean Default: True </code></pre><h2 id=\"limb-orientation\">Limb orientation</h2><p><strong>Angle:</strong> Move the knee or Elbow <em>position</em> to create the biped joint key.</p>\n\
<p><strong>Point:Rotate</strong> the shoulder-elbow-wrist or hip-knee-ankle to create the biped joint key.</p>\n\
<p><strong>Auto:</strong> Auto reads exact hand and foot positions from the motion capture data, character studio then places the knees and elbows in a natural position. For marker files involving running and walking, this option can clean up the data nearly instantly, regardless of how many markers were used (and where they were placed).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.kneeOrient Integer Default: 1 </code></pre><p>0 - angle</p>\n\
<p>1 - point</p>\n\
<p>2 - auto</p>\n\
<p>The biped knee hinge joints are perpendicular to the triangles formed by the hip-knee-ankle. Resolve errors in the motion capture data that break this rule by using either the angle or point method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.elbowOrient Integer Default: 1 </code></pre><p>0 - angle</p>\n\
<p>1 - point</p>\n\
<p>2 - auto</p>\n\
<p>The biped elbow hinge joints are perpendicular to the triangles formed by the shoulder-elbow-wrist. Resolve errors in the motion capture data that break this rule by using either the angle or point method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.footOrient Integer Default: 0 </code></pre><p>0 - angle</p>\n\
<p>1 - auto</p>\n\
<p>The biped foot hinge joints are perpendicular to the triangles formed by the hip-knee-ankle respectively. Resolve errors in the motion capture data that break this rule by using either the angle or point method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.handOrient Integer Default: 0 </code></pre><p>0 - angle</p>\n\
<p>1 - auto</p>\n\
<p>The biped hand hinge joints are perpendicular to the triangles formed by the shoulder-elbow-wrist. Resolve errors in the motion capture data that break this rule by using either the angle or point method.</p>\n\
<h2 id=\"talent-definition\">Talent Definition</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.talentFigStrucFile String Default: &quot;&quot;--figure structure file (.fig) </code></pre><p>A .<em>fig</em> file containing changes made to the biped scale while in Talent Figure mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.useTalentFigStrucFile Boolean Default: False </code></pre><p>Turn on <strong>useTalentFigStrucFile</strong> to use the file whose string is defined in mocap <strong>.talentFigStrucFile</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.talentPoseAdjFile String Default: &quot;&quot; -- pose adjustment file (.cal) </code></pre><p>A .<em>cal</em> file containing changes made to the biped while in Adjust Talent Pose mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.useTalentPoseAdjFile Boolean Default: False </code></pre><p>Turn on <strong>useTalentPoseAdjFile</strong> to use the file whose string is defined in mocap <strong>.talentPoseAdjFile</strong>.</p>\n\
<h2 id=\"marker-name-files\">Marker Name Files</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.markerNameFile String Default: &quot;&quot; -- csm marker name file (.mnm) </code></pre><p>A Marker Name file to map incoming marker names in motion capture files (<em>.bvh <em>or .</em>csm</em>) to the character studio marker naming convention.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.useMarkerNameFile Boolean Default: False </code></pre><p>When set to true, use the file defined in mocap <strong>.markerNameFile</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.jointNameFile String Default: &quot;&quot; --bvh marker name file (.mnm) </code></pre><p>A Marker Name file to map incoming marker names in motion capture files (<em>.bvh</em> or .<em>csm</em>) to the character studio marker naming convention.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.useJointNameFile Boolean Default: False </code></pre><p>When set to true, use the file defined in mocap <strong>.jointNameFile</strong>.</p>\n\
<h2 id=\"marker-display-options\">Marker Display Options</h2><p>Marker and marker names are displayed around the biped. Discrepancies like the biped elbow position relative to the elbow marker can be spotted and adjusted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.dispKnownMarkers Boolean Default: False \n\
mocap.dispKnownMarkersType Boolean Default: False </code></pre><p>true - on all props</p>\n\
<p>false - on selected props</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.dispPropMarkers Boolean Default: False \n\
mocap.dispUnKnownMarkers Boolean Default: False </code></pre><h2 id=\"load-save-methods\">Load Save Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mocap.loadParameters &lt;file_name&gt; mocap.saveParameters &lt;file_name&gt; </code></pre><p>Load/Save a motion capture parameter (.MOC) file</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";