var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D8A50D28-AA65-407B-98C5-9ADBBCF63630\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MoFlowSnippet : MaxWrapper</h1></div><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">newSnippet &lt;moflow&gt; &lt;filename&gt; &lt;point2_pos&gt; [redraw:&lt;true&gt;] [load:&lt;true&gt;]      </code></pre><p>Adds a new MoFlowSnippet to the motion flow network, from the given .bip file. <code>&lt;point2_pos&gt;</code> is the position in windows coordinates where the origin is the top left of the snippet in the motion flow graph. <strong>Redraw:true</strong> will redraw the graph window. <strong>.Load:true</strong> will immediately load the snippet. Returns the new MoFlowSnippet.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowSnippet&gt;.start Integer Default: 0   </code></pre><p>The start frame in the snippet file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowSnippet&gt;.end Integer Default: Varies </code></pre><p>The end frame in the snippet file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowSnippet&gt;.clipName String Default: Varies \n\
&lt;MoFlowSnippet&gt;.fileName String Default: Varies \n\
&lt;MoFlowSnippet&gt;.pos Point2 Default: Varies </code></pre><p>The coordinates of the snippet in the Motion Flow Graph.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowSnippet&gt;.active Boolean Default: True \n\
&lt;MoFlowSnippet&gt;.transitions Array Default: #(MoFlowTransition : X -&gt; Y) - read only </code></pre><p>An array of the transitions defined for the snippet (MoFlowTransition values). The MoFlowTransition values printed show the from and to MoFlowSnippet names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowSnippet&gt;.randomStartProbability Integer Default: 100 </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addTransition &lt;from_MoFlowSnippet&gt; &lt;to_MoFlowSnippet&gt; &lt;bool_optimize&gt; </code></pre><p>Adds a new MoFlowTransition to a motion flow Snippet. The optimize parameter acts as the &quot;Optimize Selected Transition&quot; in the Motion Flow Editor. If a MoFlowTransition already exists from <strong>from_MoFlowSnippet</strong> to <strong>to_MoFlowSnippet</strong>, no action occurs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteTransition &lt;MoFlowSnippet&gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed MoFlowTransition emanating from the MoFlowSnippet.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteTransitionsTo &lt;from_MoFlowSnippet&gt; &lt;to_MoFlowSnippet&gt; </code></pre><p>Delete all transitions that emanate to the specified snippet.</p>\n\
<p><strong>Related Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addSnippet &lt;MoFlowScript&gt; &lt;MoFlowSnippet&gt; </code></pre><p>Adds the specified MoFlowSnippet to a motion flow script. Returns the MoFlowSnippet value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">insertSnippet &lt;MoFlowScript&gt; &lt;MoFlowSnippet&gt; &lt;index_integer&gt; </code></pre><p>Inserts a snippet at the location specified and returns the new script item. Returns the MoFlowSnippet value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteSnippet &lt;MoFlowScript&gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed MoFlowSnippet from the motion flow script.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">loadSnippetFiles &lt;moflow&gt; </code></pre><p>Loads all of the snippet files whose file names are assigned. This function should be called whenever new snippets are added.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSnippetIndex &lt;moflow&gt; &lt;MoFlowSnippet&gt; </code></pre><p>Given the snippet, returns its index in the motion flow&#x2019;s <strong>.snippets</strong> array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">computeAnimation &lt;moflow&gt; [redraw:&lt;true&gt;] [incGlobals:&lt;false&gt;] </code></pre><p>Computes the global flow network. This function has to be called to update any changes made to the motion flow network. redraw:true will redraw the viewports. <code>incGlobals:true</code> will also include the global motion flow network</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Changes to the MoFlowSnippet property values do not cause an immediate update of the biped. ComputeAnimation must be called on the MoFlow value to re-compute the biped motion.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-Motion-Flow.html\">Biped Motion Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"MoFlowScript-MaxWrapper.html\">MoFlowScript : MaxWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";