var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2E60FF4C-0AF6-424D-994C-C0ECAF54483C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MoFlowTranInfo : MaxWrapper</h1></div><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addTranInfo &lt; MoFlowTransition &gt;      </code></pre><p>Adds a new MoFlowTranInfo to the MoFlowTransition and returns the newly created MoFlowTranInfo.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTranInfo&gt;.length Integer Default: 25   </code></pre><p>The transition length in frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTranInfo&gt;.angle Float Default: 0.0 </code></pre><p>The direction of the destination clip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTranInfo&gt;.easeFrom Float Default: 0.5 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTranInfo&gt;.easeTo Float Default: 0.5 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTranInfo&gt;.sourceStart Integer Default: Varies </code></pre><p>The start frame for the source clip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTranInfo&gt;.destStart Integer Default: Varies      </code></pre><p>The start frame for the destination clip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTranInfo&gt;.sourceState Boolean Default: True </code></pre><p>false - Fixed</p>\n\
<p>true - Rolling</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTranInfo&gt;.destState Boolean Default: True </code></pre><p>false - Fixed</p>\n\
<p>true - Rolling</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTranInfo&gt;.note String Default:&quot;&quot; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTranInfo&gt;.probability Integer Default: 100 </code></pre><p><strong>Related Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteTranInfo &lt; MoFlowTransition &gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed MoFlowTranInfo from the MoFlowTransition. If the MoFlowTranInfo is the only MoFlowTranInfo in MoFlowTransition, it is not deleted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">computeAnimation &lt;moflow&gt; [redraw:&lt;true&gt;] [incGlobals:&lt;false&gt;] </code></pre><p>Computes the global flow network. This function has to be called to update any changes made to the motion flow network. The redraw:true option will redraw the viewports. The incGlobals:true option will also include the global motion flow network</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Changes to the MoFlowSnippet property values do not cause an immediate update of the biped. ComputeAnimation must be called on the MoFlow value to recompute the biped motion.</p>\n\
<p>The following example will find the transition information from the first clip (snippet) to the next in the first script defined for the Biped motion flow.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   CSPATH =&quot;f:\\\\3dsmax31_86\\\\cstudio\\\\&quot;\n\
   bipObj = biped.createNew 100 100 [0,0,0] \n\
   select bipObj \n\
   max motion mode \n\
   bip = bipObj.controller  -- get the MoFlow value from the biped controller: \n\
   mf = bip.motionFlow   -- go into motion flow mode and load a motion flow file \n\
   bip.motionmode= true \n\
   loadMoFlowFile mf (CSPATH +&quot;scripts\\\\4floloop.mfe&quot;)   -- get the script of interest from the MoFlow and make it the active script: \n\
   mfs = mf.activeScript= mf.scripts [2]   -- the sequence of snippets for the script are in mfs..snippets -- get the first snippet (snippet_from) from the script: snippet_from = mfs.snippets[1]   -- get the second snippet (snippet_to) from the script: \n\
   snippet_to = mfs.snippets[2]   -- search the transitions in snippet_from to find \n\
   -- the one whose toSnippet property == snippet_to: \n\
   theTrans = undefined \n\
   for trans in snippet_from.transitions where (trans.toSnippet== snippet_to) do ( theTrans = trans break )   \n\
   -- which transition info used to go from snippet_from to snippet_to for \n\
   -- this particular transition is in the mfs.tranIndices array: \n\
   whichTrans = mfs.tranIndices[1]   --get the transition information for the from script item: \n\
   theTransInfo = theTrans.tranInfos[whichTrans] \n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-Motion-Flow.html\">Biped Motion Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";