var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-471E5ED2-F2B0-44E1-9B98-5771DCB562F2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Delegate:Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Delegate - superclass: helper; super-superclass:node - 36:0 - classID: #(1086356394, 610041830) </code></pre><blockquote>\n\
<p>   <a href=\"./../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value</a>&gt;<a href=\"./../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper</a>&gt;<a href=\"./../../../../Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">Node</a>&gt;<a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Node-1.html\">Helper</a>&gt; Delegate</p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-60626744-72EB-4809-900F-BF4C8CAE7CFC-low.gif\" alt></p>\n\
<p>The Delegate helper object is a special pyramidal object used in crowd animation. By default, the point of the pyramid indicates the forward direction.</p>\n\
<p>The Crowd object controls the delegate or delegates, whose motion can then be imparted to a biped or other object.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Delegate ... CrowdDelegate ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.width Float Default: 0.0 -- world units </code></pre><p>The width of the Delegate object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.depth Float Default: 0.0 -- world units </code></pre><p>The depth of the Delegate object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.height Float Default: 0.0 -- world units </code></pre><p>The height of the Delegate object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.velocityColor Color Default: (color 0 0 0) </code></pre><p>When <strong>showVelocity</strong> is true, uses the specified color to draw a vector in the delegate&apos;s center during the simulation solution. The vector length indicates the delegate&apos;s relative speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.active Boolean Default: True </code></pre><p>The delegate object is subject to control by a Crowd object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.showForces Boolean Default: True </code></pre><p>The forces being applied to a delegate by any applicable behaviors are drawn as vectors whose length indicate the extent of the forces. For example, if the delegate is affected by a Space Warp behavior and a Wander behavior, the vectors (using default colors) are yellow and blue-green, respectively. These vectors are visible only during solution of the crowd simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.showVelocity Boolean Default: False </code></pre><p>Uses the Velocity Color (see above) to draw a vector whose length depicts the delegate&apos;s relative speed. This vector is visible only during solution of the crowd simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.showCogStates Boolean Default: True </code></pre><p>During a solve, a text label appears next to the delegate showing the name of the cognitive controller state or transition that currently directs its behavior, if any.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.xyConstrain Boolean Default: True </code></pre><p>The delegate remains at its initial height (position on the world XY axis) throughout the simulation. When off, the delegate&apos;s height can change during the simulation, for example when seeking an object at a different height.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.useHierBbox Boolean Default: True </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Alias Use_Hierarchy_in_Bounding_Box_Computation</code></pre><p>When true, the Avoid behavior uses the bounding box of the delegate and all of its children to perform its behavior.</p>\n\
<p>This bounding box is computed by the Crowd object, is used by the collision detector, and can be accessed by other behaviors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.averageSpeed Float Default: 5.0 -- animatable; world units </code></pre><p>Specifies the delegate&apos;s baseline velocity in <strong>3ds Max</strong> units (or the current unit type) per second. This can be modified during the simulation by a variety of factors, such as a linked biped&apos;s built-in speed and Deviation settings in a behavior.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.maxAccel Float Default: 0.1 -- animatable; world units </code></pre><p>Multiplied times Average Speed to determine the maximum acceleration.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.turnDecel Float Default: 0.3 -- animatable; Alias: Turn_Deceleration_Weight </code></pre><p>Specifies how much a delegate should slow down when turning. The higher this setting, the more the delegate slows down when it reaches the turn angle (see following parameter). A value of 0 specifies no slowdown; a value of 1 tells the delegate to stop.</p>\n\
<p>The algorithm computes a value, d, which goes linearly from 0 to (1 - Decel Weight) as the turn angle of the delegate goes from 0 to the Turn Angle specified by the user. The speed of the delegate is then multiplied by d. For example, when the delegate turns at the Turn Angle or greater, its speed will be multiplied by 1 - Decel Weight, slowing it down as much as possible based on this parameter. When the delegate is not turning at all, its speed is not affected by the Decel Weight. When the delegate is turning at half the specified Turn Angle, d = Decel Weight / 2, so its speed will be multiplied by (1 - Decel Weight / 2).</p>\n\
<p>As a practical example, take a delegate traveling at 10 units/sec, Decel Weight is set to 0.4, and At Turn Angle is set to 30. When the delegate has turned 15 degrees (half the At Turn Angle), the effective deceleration weight is 0.2. Subtract that quantity from 1 to get 0.8, and then multiply that times the delegate&apos;s speed to get 8 units per second halfway into the turn. At the full turn (30 degrees), the delegate travels at 6 units per second.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.turnDecelAngle Float Default: 10.0 -- animatable; Alias: Turn_Deceleration_Angle </code></pre><p>Specifies the turn angle at which Decel Weight&apos;s full slowdown effect is applied. If the current turn angle is less than At Turn Angle, the algorithm divides the latter by the former, and then divides the Decel Weight setting by the result to derive the effective decel weight.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.inclineDecel Float Default: 0.1 -- animatable; Alias: Incline_Deceleration_Weight </code></pre><p>Specifies how much the delegate should slow down when moving at an upward slant.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.inclineDecelAngle Float Default: 90.0 -- animatable; Alias: Incline_Deceleration_Angle </code></pre><p>Specifies the upward slant angle at which Decel Weight&apos;s full slowdown effect is applied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.declineAccel Float Default: 0.1 -- animatable; Alias: Decline_Acceleration_Weight </code></pre><p>Specifies how much the delegate should speed up when moving at a downward slant.</p>\n\
<p>See Decel Weight for a full explanation, taking into account that Accel Weight produces a speedup effect rather than a slowdown. Thus, the effective acceleration weight is added to 1, not subtracted from it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.declineAccelAngle Float Default: 90.0 -- animatable; Alias: Decline_Acceleration_Angle </code></pre><p>Specifies the downward slant angle at which Accel Weight&apos;s full speedup effect is applied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.maxTurnVel Float Default: 30.0 -- animatable; Alias: Max_Turn_Velocity </code></pre><p>Specifies the maximum number of degrees a delegate can turn.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.maxTurnAccel Float Default: 3.0 -- animatable; Alias: Max_Turn_Acceleration </code></pre><p>Specifies how much the delegate&apos;s turn angle can change per frame. If this is not small, the delegate&apos;s direction might jerk around. It would be allowed to turn suddenly, rather than smoothly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.maxIncline Float Default: 90.0 -- animatable; Alias: Max_Incline_Velocity </code></pre><p>Specifies the maximum number of degrees a delegate can turn upward per frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.maxDecline Float Default: 90.0 -- animatable; Alias: Max_Decline_Velocity </code></pre><p>Specifies the maximum number of degrees a delegate can turn downward per frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.maxBank Float Default: 30.0 -- animatable </code></pre><p>Specifies the maximum number of degrees a delegate can bank.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.maxBankVel Float Default: 3.0 -- animatable; Alias: Max_Bank_Velocity </code></pre><p>Specifies how much the delegate&apos;s bank angle can change per frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.bankPerTurn Float Default: 1.0 -- animatable </code></pre><p>The number of degrees the delegate will bank as a function of the turn angle at the current frame. For example, if Bank per Turn=1, the delegate will bank one degree for every degree it is turning at a given frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.useBiped Boolean Default: False </code></pre><p>When true, the delegate is associated with a biped.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.biped Node Default: Undefined </code></pre><p>The biped with which the delegate is associated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.startFrame Integer Default: 0 </code></pre><p>The frame at which the associated biped&apos;s first clip will begin to play.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.priority Integer Default: 0 </code></pre><p>Sets the delegate priority, which determines the order of solution in biped/delegate simulations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.startClip Integer Default: 0 </code></pre><p>0 - First clip of current script</p>\n\
<p>1 - Random start clip</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.duration Integer Default: 0 </code></pre><p>The number of frames the delegate has been in the current state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.behaviors ArrayParameter Default: #() </code></pre><p>The behaviors property contains valid values only during a solve. Contains the behaviors being used during the solve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.weights ArrayParameter Default: #() </code></pre><p>The weights property contains valid values only during a solve. Each element contains the weight of the corresponding behavior in the behaviors property value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.simpos Point3 Default: [0,0,0] </code></pre><p>The simpos property contains a valid value only during a solve. Contains the current position of the delegate during the simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.randID Integer Default: 0 </code></pre><p>A possibly non-unique identifier whose purpose is to be used by behaviors as part of it&apos;s seed calculation. If more than one delegate has the the same randId then they should have the same random behavior. By defualt, crowd creates unique randIds.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Delegate&gt;.index Integer Default: -1 -- Read-only </code></pre><p>Index used by various behaviors as indices into internal arrays. Before a solve, Crowd makes sure that the delegates who are participating in the solve are given a contiguous set of indices, so that behaviors can set up arrays which use these indices.</p>\n\
<p><strong>Related Delegates Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegates.isComputing &lt;delegate_node&gt; </code></pre><p>Returns a &apos;1&apos; if the delegate is currently active in a crowd solve simulation, it returns a &apos;0&apos; otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegates.velocity &lt;delegate_node&gt; </code></pre><p>Returns the normalized velocity of the delegate at the current simulation frame as a Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegates.prevVelocity &lt;delegate_node&gt; </code></pre><p>Returns the normalized velocity of the delegate at the previous simulation frame as a Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegates.startVelocity &lt;delegate_node&gt; &lt;time&gt; </code></pre><p>Returns the normalized velocity of the delegate at the start of the crowd simulation as a Point3 value. Thus the <code>&lt;time&gt;</code> parameter is a time value that should be equal to crowd.simStart.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegates.speed &lt;delegate_node&gt; </code></pre><p>Returns the speed of the delegate at the current simulation frame as a float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegates.isAssignmentActive &lt;delegate_node&gt; &lt;assignmentIndex&gt; &lt;time&gt; </code></pre><p>Returns a &apos;1&apos; if the delegate is active for a particular crowd assignment at the time specified, if not it returns a &apos;0&apos;. The <code>&lt;assignmentIndex&gt;</code> directly corresponds to the index of the assignment in the crowds.assignment array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegates.computingBiped &lt;delegate_node&gt; </code></pre><p>Returns a &apos;0&apos; if the biped associated with the delegate is backtracking. This method is primarily for internal use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegates.reactToMe &lt;delegate_node&gt; </code></pre><p>If <strong>true</strong>, the delegate&apos;s position/orientation is correct at the current time in the simulation, so it&apos;s ok to use the delegate&apos;s position in a MAXScript computation, thereby &quot;reacting to&quot; the delegate.  This property will be false when you have a biped/crowd simulation with priorities, and the delegate&apos;s priority is lower so the delegate has not yet been computed.  The delegate&#x2019;s position is incorrect and you should not base any MAXScript computations upon its position.</p>\n\
<p>The functions <strong>lineDisplay</strong>, <strong>sphereDisplay</strong>, <strong>bboxDisplay</strong>, and <strong>textDisplay</strong> are all functions which can be used to draw a graphic primitive for a particular delegate when the crowd simulation is being solved. All of the positional values are in world space. Usually these functions will be used within a scripted behavior to visually demonstrate the behavior. For example, lineDisplay could be used to draw a line that represents the force that the behavior is exerting on that delegate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegates.lineDisplay &lt;delegate_node&gt; &lt;startPosition&gt; &lt;endPosition&gt; &lt;color&gt; &lt;vectorScale&gt; </code></pre><p>This function will draw a line from the start position to the endPosition with the color specified .</p>\n\
<p><code>&lt;startPosition&gt;</code> is a point3 value.</p>\n\
<p><code>&lt;endPositions&gt;</code> is a point3 value.</p>\n\
<p><code>&lt;color&gt;</code> is a color value.</p>\n\
<p><code>&lt;vectorScale&gt;</code> boolean value. Whether or not to scale the line display by the Crowd.vectorScale value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegates.sphereDisplay &lt;delegate_node&gt; &lt;position&gt; &lt;radius&gt; &lt;color&gt; </code></pre><p>This function will draw a sphere at the position <code>&lt;position&gt;</code>, with a radius of size <code>&lt;radius&gt;</code>, and a color of <code>&lt;color&gt;</code>. <code>&lt;position&gt;</code> is a point3 value, radius is a float and <code>&lt;color&gt;</code> is a color value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegates.bboxDisplayc &lt;delegate_node&gt; &lt;minPosition&gt; &lt;maxPosition&gt; &lt;color&gt; </code></pre><p>This function will draw a bounding box specifed by the two extrema points, <code>&lt;minPosition&gt;</code> and <code>&lt;maxPosition&gt;</code>, with the color specified. <code>&lt;minPosition&gt;</code> and <code>&lt;maxPosition&gt;</code> are point3 values and <code>&lt;color&gt;</code> is a color value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegates.textDisplay &lt;delegate_node&gt; &lt;position&gt; &lt;color&gt; &lt;string&gt; </code></pre><p>This function will draw the text found in the <code>&lt;string&gt;</code> parameter at the position specified at <code>&lt;position&gt;</code>, with the color found in <code>&lt;color&gt;</code>. <code>&lt;position&gt;</code> is a point3 value, <code>&lt;color&gt;</code> is a color value, and <code>&lt;string&gt;</code> is a string value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delegates.simTransform&lt;delegate&gt; &lt;time&gt; </code></pre><p>Returns the delegate&#x2019;s transformation matrix at the specified time as a Matrix3 value. This method returns valid values during a solve.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>During a Solve, the simulation doesn&apos;t set the delegate nodes&#x2019; position and rotation keys until the simulation stops. As such, accessing the delegate nodes&#x2019; position and rotation during the solve will return incorrect results. The position of a delegate during a solve can be accessed via the <strong>.simpos</strong> property.</p>\n\
<p>Delegates cannot be rendered, so the size of the Delegate object is primarily for use in scene setup and for determining bounding box extents.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Crowds.html\">Crowds</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">Node Common Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";