var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-26F7B02F-5925-4FB3-9DE0-56FE62DDDDFF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MxTrack Class</h1></div><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.tracktype: name (#layertrack|#transtrack)      </code></pre><p>Get/set the type of the track - layer or transition.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.mute: boolean   </code></pre><p>Get/set the muted state of the track.If set to true, the track will be muted.</p>\n\
<p>If you turn soloon,mute will be turned off, and vice-versa.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.solo: boolean </code></pre><p>Get/set the solo state of the track. If set to true, all other track will be muted.</p>\n\
<p>If you turn mute on, solo will be turned off, and vice-versa.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.transPreserveHgt: boolean </code></pre><p>Although this appears in the transition edit dialog, it is actually set for the entire track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.numClips: integer .numTransClips: integer </code></pre><p>For a layer track, this property will always contain 0.</p>\n\
<p>For a transition track, this property will contain the number of clips which are actually part of the transitioning clips in the track. A greyed out clip will not be counted. This value should be used to loop through the transition clips, in order, using the GetClip()function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.numWeights: integer, not settable </code></pre><p>The number of weights in the track&#x2019;s weight curve (relevant for transition tracks only)</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getclip &lt;track:mxtrack&gt; &lt;index:integer&gt; </code></pre><p>This method will return the clip in the track specified by the index.</p>\n\
<p>Indices start with 1.</p>\n\
<p>In the case of a transition track, this will be an index into the set of clips, in order, which are actually part of the transitioning clips in the track.</p>\n\
<p>A greyed out clip will not be counted.</p>\n\
<p>Use the <code>. numTransClips</code> property to find out how many transitioning clips there are in the track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cleartrack &lt;track:mxtrack&gt; </code></pre><p>This method deletes all the clips in the track. It returns <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendClip &lt;track:mxtrack &gt; &lt;fname:string&gt; &lt;ZeroFootHgt:boolean&gt; &lt;interval:timevalue&gt; </code></pre><p>The specified bip file will be loaded into the new clip, and the reservoir, using the ZeroFootHeight parameter.</p>\n\
<p>For layer tracks, the start of the new clip will be appended interval time from the end of the last clip in the track.</p>\n\
<p>The interval variable must be &gt;= 0.</p>\n\
<p>For transition tracks, the interval parameter is ignored. The start of the new clip will be at the inpoint of the last clip in the track, and it will be on the opposite row of the last clip. It will start later if it collides with another clip.</p>\n\
<p>For both layer and transition tracks, if there are no clips in the track, the new clip will start at frame 0.</p>\n\
<p>Returns <code>false</code> if the specified file could not be loaded. Other wise, it returns <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendMaxClip &lt;track:MXtrack&gt; &lt;fname:string&gt; &lt;interval:timevalue&gt; &lt;mapName:string&gt; </code></pre><p>Loads the specified max animation file as a clip onto the track. Only works for <strong>3ds Max</strong>animation tracks, see <code>appendTrack()</code> above for a Biped-only method.</p>\n\
<p>The fname argument defines the filename of the .xaf file to be loaded.</p>\n\
<p>The interval argument defines the number of frames from the end of the last clip in the track that the new clip will be appended at in layer tracks. The interval must be greater or equal to 0.</p>\n\
<p>For transistion tracks, the interval parameter is ingnored and the start of the new clip will be at the inpoint of the last clip in the track, and it will be on the opposite row of the last clip. The parameter is also ignored if there are no clips in the track - in that case, the clip will automatically start at frame 0.</p>\n\
<p>The mapName argument defines the filename of the .xmm map file to be loaded.</p>\n\
<p>The method returns <code>true</code> if the clip is created properly.</p>\n\
<p>The method returns <code>false</code> if the files cannot be loaded or the mapping is not correct.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">optimizeTransitions &lt;track:mxtrack&gt; &lt;PreferredTransLength:integer&gt; &lt;SearchEntireClip:boolean&gt; &lt;SearchRangeBefore:integer&gt; &lt;SearchRangeAfter:integer&gt; </code></pre><p>This method optimizes transitions.</p>\n\
<p>If this methodis called foralayer track, it will return <code>false</code> and do nothing.</p>\n\
<p>PreferredTransLength and the search ranges must be positive values. They are specified as frames. If they are negative values, the optimization will not be performed and the function will return <code>false</code> .</p>\n\
<p>Otherwise, the function will return <code>true</code> on success and <code>false</code> on failure.</p>\n\
<p>If optimization requires clips to be trimmed to avoid visual overlap, then they will be trimmed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">optimizeClipTransition &lt;track:mxtrack &gt; &lt;PreferredTransLength:integer&gt; &lt;SearchEntireClip:boolean&gt; &lt;SearchRangeBefore:integer&gt; &lt;SearchRangeAfter:integer&gt; &lt;ClipIndex:integer&gt; </code></pre><p>See notes above about legal parameter values. This function optimizes only a single clip&apos;s transition.</p>\n\
<p>The ClipIndex is an index into the track&apos;s trans clips and specifies which clip&#x2019;s transition, from itself to the next clip, will be optimized.</p>\n\
<p>If the ClipIndex is out of range of the trans clips, the optimization will not be performed and the function will return <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getWeight &lt;index::integer &gt; </code></pre><p>This method returns the weight at the specified index in the track&#x2019;s weight curve. If the Index is out of bounds, the function will return 0.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getWeightTime &lt;index::integer &gt; </code></pre><p>This method returns the time at the specified index in the track&#x2019;s weight curve. If the Index is out of bounds, the function will return 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteWeight &lt;index::integer &gt; </code></pre><p>This method deletes the weight at the specified index in the track&#x2019;s weight curve. If the Index is out of bounds, the function will return <code>false</code> . Otherwise, it returns <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setWeight &lt;index::integer &gt; &lt;float::weight&gt; </code></pre><p>This method sets the weight at the specified index in the track&#x2019;s weight curve. If the Index is out of bounds or weight is not between 0.0 and 1.0, the function will return <code>false</code> . Otherwise, it returns <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setWeightTime &lt;index::integer &gt; &lt;time::timevalue&gt; </code></pre><p>This method sets the time at the specified index in the track&#x2019;s weight curve. If the Index is out of bounds or time is not between the time values of the previous and next values in the weight curve, the function will return <code>false</code> . Otherwise, it returns <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setWeightAtTime &lt;time::timevalue&gt; &lt;float::weight&gt; </code></pre><p>If there is a key at time time on the weight curve, this will reset the weight at that key. If not, this method will create a new key at time time with weight weight.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getWeightAtTime &lt;time::timevalue&gt; </code></pre><p>If t is at a key at time time in the weight curve, This method returns the weight at that key. Otherwise, it returns the interpolated weight at time time. If there are no weights,itreturns 1.0.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mixer-MAXScript-Extensions.html\">Mixer MAXScript Extensions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Mixer-MAXScript-Extensions.html\">Mixer MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";