var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-86336F24-D45B-4BE1-B630-8DB1CA02CDBF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BipAnalyzer Core Interface</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:BipAnalyzer </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipAnalyzer.DoNoiseDetectorAnalysis &lt;&amp;node array&gt;nodeTab &lt;interval&gt;range &lt;float&gt;deviation &lt;boolean&gt;angular &lt;integer&gt;noiseType &lt;node&gt;parentNode   \n\
\n\
nodeTab is In and Out parameter </code></pre><p><strong>noiseType</strong> is</p>\n\
<p>0-speed,</p>\n\
<p>1-acceleration,</p>\n\
<p>2-jerk</p>\n\
<p>Performs Noise Detector Analysis of the specified nodes in the given interval using the supplied deviation. If <strong>angular</strong> is <strong>true</strong>, the Rotation will be analysed, otherwise the Position will be analysed. The analysis will be performed relatively to the supplied <strong>parentNode</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   nodesToAnalyse = #($&apos;Bip01 Head&apos;,$&apos;Bip01 Pelvis&apos;)\n\
   BipAnalyzer.doNoiseDetectorAnalysis nodesToAnalyse (interval 0 100) 3.0 true 0 $Bip01\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipAnalyzer.DoSpikeDetectorAnalysis &lt;&amp;node array&gt;nodeTab &lt;interval&gt;range &lt;float&gt;deviation \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Performs Spike Detector Analysis of the specified nodes in the given interval using the supplied deviation.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
   BipAnalyzer.doSpikeDetectorAnalysis $&apos;Bip01 Head&apos; (interval 0 100) 3.0\n\
\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipAnalyzer.DoKneeWobbleAnalysis &lt;&amp;node array&gt;nodeTab &lt;interval&gt;range &lt;float&gt;frameThreshold &lt;float&gt;fluctuationThreshold \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Performs Knee Wobble Analysis of the specified nodes in the given time interval using the supplied frame and fluctuation thresholds.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipAnalyzer.DoKneeExtensionAnalysis &lt;&amp;node array&gt;nodeTab &lt;interval&gt;range &lt;float&gt;kneeAngle \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Performs Knee Extension Analysis of the specified nodes in the given time interval using the supplied knee angle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time array&gt;BipAnalyzer.GetResults &lt;node&gt;node </code></pre><p>Returns a TimeValueTab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipAnalyzer.LoadAnalysisFile &lt;filename&gt;fileName </code></pre><p>Loads the Analysis File with the given file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipAnalyzer.SaveAnalysisFile &lt;&amp;node array&gt;nodeTab &lt;filename&gt;fileName \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Saves an Analysis File for the specified objects to the given file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipAnalyzer.ClearAnalysisResults() </code></pre><p>Clears all results.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../WorkBench-Core-Interfaces.html\">WorkBench Core Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../WorkBench-Core-Interfaces.html\">WorkBench Core Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";