var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5517C84B-95A3-430D-BBF2-D62E638FD77E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Access to MAXWrapper AppData</h1></div><p>The AppData access methods give a simple form of access to the AppData capability in the <strong>3ds Max</strong> SDK.</p>\n\
<p>The AppData mechanism provides a way for plug-ins to attach arbitrary data to any <strong>3ds Max</strong> object in a scene, such as nodes, materials, modifiers, controllers, etc., that is permanently stored with that object in the <strong>3ds Max</strong> scene file.</p>\n\
<p>The following <strong>methods</strong> are used to read and store AppData for a MAXWrapper object:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setAppData &lt;MAXWrapper_object&gt; &lt;integer_ID&gt; &lt;string&gt;      </code></pre><p>Sets the AppData item of the given ID number on the given <strong>3ds Max</strong> object to the <code>&lt;string&gt;</code> value. This creates a new item if needed or replaces the string contents if an item of that ID already exists.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getAppData &lt;MAXWrapper_object&gt; &lt;integer_ID&gt;   </code></pre><p>Returns the AppData item string of the given ID number from the given <strong>3ds Max</strong> object. Returns the value <code>undefined</code> if the ID&apos;d item is not present.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteAppData &lt;MAXWrapper_object&gt; &lt;integer_ID&gt; </code></pre><p>Deletes the AppData item if the given ID number from the given <strong>3ds Max</strong> object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clearAllAppData &lt;MAXWrapper_object&gt; </code></pre><p>Clears out all MAXScript-related AppData items from the given MAXWrapper object.</p>\n\
<p>You can add as many AppData strings as you like to an object&#x2014;you assign them each an integer identification number when they are first added and access them later using those IDs.</p>\n\
<p>AppData strings can be attached to any MAXWrapper subclass instance, including scene nodes, modifiers, controllers, materials, atmospherics, etc.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The AppData is stored in the scene&#x2014;file <strong>only</strong> if its object is in the scene&#x2014;if, for example, you create a material in MAXScript and do not assign it to any object or the material editor, it will not be saved in the scene file nor will its AppData.</div>\n\
<p>If you want to associate certain AppData strings with the scene as a whole, it is recommended that you create a hidden dummy node with a unique name and attach the scene AppData to that node.</p>\n\
<p>AppData in its full generality allows the C++ plug-in developer to store arbitrary binary data with an object. This is not directly possible with MAXScript, so the approach taken is to store and retrieve AppData text strings that can be built-up or parsed into complex MAXScript objects using a <a href=\"./../../MAXScript-Language-Reference/Values/Stream-Values/StringStream-Values.html\">StringStream Value</a>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<p>   To store some numbers in an array on a scene node, you might do the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ss = StringStream&quot;&quot;\n\
   for v in data_values do print v to:ss\n\
   setAppData $foo 1 ss\n\
</code></pre><p>   and read them back after the scene has been saved and reloaded as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ss = StringStream (getAppData $foo 1)\n\
   data_values = #()\n\
   while not eof ss do\n\
   append data_values (readValue ss)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXWrapper-Value.html\">MAXWrapper : Value</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";