var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4A84696B-7541-4E8B-AA7A-7632849B824E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXNoteKeyArray Values</h1></div><p>A <strong>MAXNoteKeyArray</strong>represents all the note keys in a <strong>3ds Max</strong> note track. See also <a href=\"MAXNoteKey-Values.html\">MAXNoteKey Values</a> and <a href=\"Notetrack-Values.html\">Notetrack Values</a>. MAXNoteKeyArray values are mappable.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;NoteTrack&gt;.keys </code></pre><p>The note key array can be constructed by accessing the <code>keys</code> property on the note track.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- get first note track on controller:\n\
   nt=getNoteTrack$foo.position.controller 1\n\
   ntk=nt.keys-- note key array for note track\n\
</code></pre></blockquote>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;NoteKeyArray&gt;.count: Integer, read-only   </code></pre><p>Returns the number of objects in set</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;NoteKeyArray&gt; [&lt;index_integer&gt;] </code></pre><p>Accesses member of collection. Indexes start at 1.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addNewNoteKey &lt;NoteKeyArray&gt; &lt;time&gt; </code></pre><p>Adds a new note key to the note key array at the time specified. The value for the new note key is a null string. Returns the note key added.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteNoteKeys &lt;NoteKeyArray&gt; (#allKeys|#selection) </code></pre><p>Deletes note keys from the note key array according to the optional symbolic argument supplied.</p>\n\
<p><code>#allKeys</code>: deletes <strong>all</strong> keys in the note key array.</p>\n\
<p><code>#selection</code>: deletes the currently selected note keys</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteNoteKey &lt;NoteKeyArray&gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed note key. Key indexes are <strong>1-based</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sortNoteKeys &lt;NoteKeyArray&gt; </code></pre><p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNoteKeyTime &lt;notetrack&gt; &lt;index&gt; </code></pre><p>Returns the time of indexed note key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNoteKeyIndex &lt; notetrack &gt; &lt;time&gt; </code></pre><p>Returns the index of the note key at the specified time.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Note-Track-Access.html\">Note Track Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";