var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9A3BEEF4-50A2-4531-A33E-D438C970EC0D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MatteShadow : Material</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MatteShadow - superclass: material; super-superclass:MAXWrapper - classID: #(608, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">matteShadow...      \n\
matte...  </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MatteShadow&gt;.opaqueAlpha Boolean default: false -- boolean; Opaque_Alpha </code></pre><p>Determines whether or not the matte material appears in the alpha channel.</p>\n\
<p>If you turn off Opaque Alpha, the matte object will not make an alpha channel, and the image can be used for compositing, just as if there are no matte objects in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MatteShadow&gt;.applyAtmosphere Boolean default: false </code></pre><p>Turns the fogging of matte objects on and off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MatteShadow&gt;.atmosphereDepth Integer default: 0 </code></pre><p>When applying fog, you can choose between two different methods.</p>\n\
<p>You can either apply fog as if the matte surface is at an infinite distance from the camera or you can apply it as if the matte surface is actually at that point on the object being shaded. In other words, you can apply the fog to the matte surface in either 2D or 3D.</p>\n\
<p>The following controls determine how this is applied:</p>\n\
<p>0 - <strong>At Background Depth</strong> (This is the 2D method. The scanline renderer fogs the scene, and then renders its shadows. In this case, the shadows won&#x2019;t be lightened by the fog. If you want to lighten the shadows, you need to turn up the shadow brightness.)</p>\n\
<p>1 - <strong>At Object Depth</strong> (This is the 3D method. The renderer first renders the shadows, and then fogs the scene. Since this varies the amount of fog over the 3D matte surface, the generated matte/alpha channels don&#x2019;t blend perfectly into the background. Use At Object Depth when the matte object is meant to be a 3D object in the scene that the 2D background represents.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MatteShadow&gt;.receiveShadows Boolean default: true -- boolean; RecieveShadows </code></pre><p>When on, renders shadows on the matte surfaces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MatteShadow&gt;.affectAlpha Boolean default: true -- boolean </code></pre><p>When on, shadows cast on a matte material are applied to the alpha channel.</p>\n\
<p>This lets you render bitmaps with alpha channels that you can composite later.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MatteShadow&gt;.shadowBrightness Float default: 0.0 -- animatable, alias: Shadow_Brightness </code></pre><p>Sets shadow brightness.</p>\n\
<p>At 0.5, the shadows will not be attenuated on the matte surface; at 1.0, the shadows are brightened to the color of the matte surface; and at 0.0 they are darkened to completely obliterate the matte surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MatteShadow&gt;.color Color default: (color 0 0 0) -- animatable, alias: Shadow_Color </code></pre><p>The color of the shadow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MatteShadow&gt;.amount Float default: 50 -- animatable, percentage, alias: Reflection_Amount </code></pre><p>The amount of reflection to use.</p>\n\
<p>This is a percentage that can range from 0 to 100.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MatteShadow&gt;.map TextureMap default: undefined </code></pre><p>The map used for reflections.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MatteShadow&gt;.useReflMap Boolean default: true </code></pre><p>Turns on/off the use of a reflection map.</p>\n\
<p>Corresponds to the checkbox next to the map slot in the material&#x2019;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MatteShadow&gt;.additiveReflection Integer default: 1 </code></pre><p>When set to 1, the material will use additive reflections.</p>\n\
<p>Set it to 0 to disable additive reflections.</p>\n\
<p>Corresponds to the Additive Reflection checkbox in the material&#x2019;s UI.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";