var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1E2277FE-7854-4404-89A9-9D72C07CDBDB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Modifier Sub-Object Transform Properties</h1></div><p>In MAXScript, the values of modifier sub-object transform properties, such as centers and gizmo position, rotation and scale, are <strong>not</strong> given in the current working coordinate system, but rather are typically in the coordinate system of the object to which it is applied. This is in contrast to scene node transform properties. The values given are exactly as would be seen in the sub-object&#x2019;s corresponding track view or as might be referenced in an Expression controller track variable for that sub-object property. To convert from local to world coordinates, you multiply the local coordinates by the node&#x2019;s <code>objecttransform</code> matrix. To convert from world to local coordinates, you multiple the world coordinates by the inverse of the node&#x2019;s <code>objecttransform</code> matrix.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj=box pos:[10,20,30]\n\
   addModifier obj (affect_region())\n\
   objTM=obj.objecttransform\n\
   modTM=getModContextTM obj obj.affect_region\n\
   --calculate world coordinates of end point\n\
   obj.affect_region.end_point * (inverse modTM) * objTM\n\
   --set end point at world coordinates [20,20,0]\n\
   obj.affect_region.end_point = [20,20,0] * modTM * (inverse objTM)\n\
</code></pre></blockquote>\n\
<h2 id=\"ffd-control-points\">FFD Control Points</h2><p>FFD control point sub-object properties are also accessible but have several special considerations. The control points properties are named as they appear in the track view, subject to the MAXScript convention of using <code>&apos;_&apos;</code> underscores for spaces, so</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.ffd_2x2x2.control_point_1\n\
   $baz.ffd_3x3x3.control_point_32 = [1,2,3]\n\
</code></pre></blockquote>\n\
<p>There are two special considerations when accessing FFD control points. First, you can only access control points that have ALREADY been animated by hand, or by using the <code>animateVertex()</code> or the <code>animateAll()</code> MAXScript functions (see <a href=\"./../../Scripting-Vertex-and-Control/Scripting-Vertex-and-Control-1.html\">Scripting Vertex and Control Point Animation</a>). The FFD doesn&#x2019;t actually create accessible control points until you do this, a behavior that shows up in the track view in normal <strong>3ds Max</strong> use - you cannot actually place control point keyframes in the track view until you&#x2019;ve animated the control point.</p>\n\
<p>Second, control point coordinates are in FFD lattice space. This is a normalized space, with [0,0,0] at the lower left-hand corner (at control_point_1) and [1,1,1] at the opposite corner of the FFD lattice, so you have to be careful about computing and scaling correct coordinates when you set them. This is also reflected in the track view for FFD control points in normal <strong>3ds Max</strong> use - if you look at their values in a keyframe property dialog or a function graph, they are in this normalized lattice space, not world-space coordinates. You&#x2019;d have to work in this space also if you tried to use expression controllers to control FFDs. The modifier utility functions <code>getModContextBBoxMin()</code> and <code>getModContextBBoxMin()</code> can be used to determine the world-space bounds of an FFD lattice allowing you to compute scaled lattice space coordinates from world coordinates. See details on these functions in <a href=\"Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a>.</p>\n\
<p>An example of accessing and converting coordinate systems for FFD control points is shown in the following script:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b=box pos:[10,20,0]\n\
   ffd=ffdbox()\n\
   addModifier b ffd\n\
   animateVertex ffd 64\n\
   cp64posL=ffd.control_point_64\n\
   objTM=b.objecttransform\n\
   modTM=(getModContextTM b ffd)*ffd.lattice_transform.value\n\
   modBBMin=getModContextBBoxMin b ffd\n\
   modBBMax=getModContextBBoxMax b ffd\n\
   cp64posW=(modBBMin+(cp64posL*(modBBMax-modBBMin)))* (inverse modTM) * objTM\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Modifier-Common-Properties.html\">Modifier Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";