var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-55EC8090-6593-416B-923F-2291D3983BC6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Modifier : MAXWrapper and SpacewarpModifier : MAXWrapper</h1></div><p>The Modifier and SpacewarpModifier families of classes can be created and added to an object&#x2019;s modifier stack using the <code>addModifier()</code> or <code>modPanel.addModToSelection()</code> methods. Unless otherwise noted, the term modifier will be used to mean members of either class.</p>\n\
<p>By making a single modifier and adding it to several objects, you are sharing the modifier between the objects, as you would by applying a modifier to a selection of objects in the <strong>3ds Max</strong> user interface. The constructors in the following classes can take any of the listed properties as optional keyword arguments with the defaults as shown.</p>\n\
<h2 id=\"accessing-existing-modifiers\">Accessing Existing Modifiers</h2><p>Existing modifiers can be accessed in two ways:</p>\n\
<h3 id=\"node-property-access\">Node.Property Access</h3><p>Modifiers can be accessed as a property of a node.</p>\n\
<p>When you access properties on a <code>&lt;node&gt;</code> scene object such as, its name, position, length, and so on, MAXScript will also consider modifiers on the object to be properties, for example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$box001.heightsegs --get creation parameter\n\
$box001.twist --get the twist modifier\n\
$box001.twist.angle --the twist&#x2019;s angle\n\
</code></pre><p>You can then access modifier properties as sub-properties on the modifier as shown. If the modifier name has spaces in it, you can use underscore <strong>&#x2018;_&#x2019;</strong> as space convention that pathnames use as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$box001.uvw_map --to get the &#x2018;UVW Map&#x2019; modifier\n\
</code></pre><h3 id=\"-modifiers-array-access\">.Modifiers Array Access</h3><p>The property access described above will work in simple situations, but there might be several modifiers with the same name, or a modifier with the same name as a creation parameter (the latter is always looked for first).</p>\n\
<p>In this situation, you can use the modifier array mechanism, which yields an array of modifiers you can index into in several ways:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">b = box()\n\
$box001.modifiers --get the array or modifiers\n\
$box001.modifiers[3] --get the 3rd modifier counted from top of the list\n\
$box001.modifiers[#twist] --get the modifier named &quot;twist&quot; using name literal\n\
$box001.modifiers[&quot;ffd 4x4x4&quot;] --get the FFD named &quot;ffs 4x4x4&quot; using string\n\
$box001.modifiers[bend] --get the Bend by class (Added in 3ds Max 2013)\n\
</code></pre><h4 id=\"looping-through-the-modifiers\">Looping Through The Modifiers</h4><p>You can use a for loop over the .modifiers array to go through all existing modifiers and check their name, class, and properties to find the one you need.</p>\n\
<h4 id=\"accessing-a-modifier-by-index\">Accessing a Modifier By Index</h4><p>You can access a modifier in the <code>.modifiers</code> array by its index.</p>\n\
<p>The modifiers are listed as shown in the Modifier stack, indexed from top to bottom, starting with 1.</p>\n\
<p>If the index is out of range, either higher than the number of modifiers in the array or less than 1, the value of <code>undefined</code> will be returned.</p>\n\
<blockquote>\n\
<p>   <strong>FOR LOOP AND INDEX EXAMPLES SETUP</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   t=teapot() --create a teapot\n\
   addmodifier t (bend angle:30) --add a Bend modifier with Angle 30\n\
   addmodifier t (bend angle:60 direction:90) --add a Bend modifier with angle 60 and dir 90\n\
   addmodifier t (twist angle:180) --add a Twist modifier with Angle 180\n\
</code></pre><p>   <strong>FOR LOOP AND INDEX EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The following will find all Bend modifiers with Angle less than 90 and change the Angle to 90\n\
   for m in t.modifiers where classof m == Bend and m.angle &lt; 90 do m.angle = 90\n\
\n\
   --The following will find all modifiers (in this case both the Bends and the Twist)\n\
   --with an Angle property and change it to 0\n\
   for m in t.modifiers where isProperty m #Angle do m.angle = 0\n\
\n\
   --The following will delete modifiers that have a direction property other than 0.\n\
   --On our case this is the second, upper Bend modifier.\n\
   --Note that we must count backwards from bottom of the stack because deleting a modifier\n\
   --will renumber the modifiers array and we could otherwise miss a modifier:\n\
   for m = t.modifiers.count to 1 by -1 \\\n\
     where isProperty t.modifiers[m] #Direction and t.modifiers[m].direction != 0 do\n\
       deleteModifier t m\n\
</code></pre></blockquote>\n\
<h4 id=\"accessing-a-modifier-by-a-name-literal\">Accessing a Modifier By a Name Literal</h4><p>You can access a modifier in the <code>.modifiers</code> array by a name literal.</p>\n\
<p>Use underscore <strong>&#x2018;_&#x2019;</strong> in place of spaces in the name like with properties access.</p>\n\
<p>If two modifiers have the same name, the top-most will be returned.</p>\n\
<p>If a modifier with the specified name does not exist in the array, the value of <code>undefined</code> will be returned.</p>\n\
<h4 id=\"accessing-a-modifier-by-a-name-string\">Accessing a Modifier By a Name String</h4><p>You can access a modifier in the <code>.modifiers</code> array by a name string.</p>\n\
<p>The name string access is case-insensitive.</p>\n\
<p>If two modifiers have the same name, the top-most will be returned.</p>\n\
<p>If a modifier with the specified name does not exist in the array, the value of <code>undefined</code> will be returned.</p>\n\
<blockquote>\n\
<p>   <strong>NAME LITERAL AND NAME STRING ACCESS EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   t=teapot() --create a teapot\n\
   addmodifier t (ffd_4x4x4()) --add a FFD 4x4x4 modifier with default name\n\
   addmodifier t (ffd_2x2x2 name:&quot;My FFD&quot;) --add a FFD 2x2x2 modifier with custom name\n\
   addmodifier t (twist angle:90 name:&quot;My Twist&quot;) --add a twist with custom name\n\
\n\
   t.modifiers[#ffd_4x4x4] --try to access by name literal\n\
   t.modifiers[#ffd_2x2x2] --try to access by name literal - that name does not exist!\n\
   t.modifiers[#My_FFD]    --try to access by the custom name - that works\n\
   t.modifiers[#My_Twist]  --try to access by the custom name - also works\n\
\n\
   t.modifiers[&quot;ffd 4x4x4&quot;] --same as above, but with string, so we can use spaces\n\
   t.modifiers[&quot;ffd 2x2x2&quot;] --that name does not exist, so we get undefined back\n\
   t.modifiers[&quot;My FFD&quot;]    --this is the correct name, so we get it now\n\
   t.modifiers[&quot;My Twist&quot;]  --this is also the correct name, so we get the Twist\n\
   t.modifiers[&quot;mY tWiSt&quot;]  --the names are case-insensitive, so this returns the same Twist\n\
   t.modifiers[&quot;My_Twist&quot;]  --we can even replace spaces with underscores in string names!\n\
   theName = #My_Twist      --in other words, if we have a name literal,\n\
   t.modifiers[theName]     --we can use it as name literal,\n\
   t.modifiers[theName as string] --or as string and both will produce the same result!\n\
</code></pre><p>   <strong>MAXSCRIPT LISTENER OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
   OK\n\
   OK\n\
   OK\n\
   FFD_4x4x4:FFD 4x4x4\n\
   undefined\n\
   FFD_2x2x2:My FFD\n\
   Twist:My Twist\n\
   FFD_4x4x4:FFD 4x4x4\n\
   undefined\n\
   FFD_2x2x2:My FFD\n\
   Twist:My Twist\n\
   Twist:My Twist\n\
   Twist:My Twist\n\
   Twist:My Twist\n\
   Twist:My Twist\n\
   OK\n\
</code></pre></blockquote>\n\
<h4 id=\"accessing-a-modifier-by-class\">Accessing a Modifier By Class</h4><p>In <strong>3ds Max 2013 and higher</strong>, you can access a modifier in the <code>.modifiers</code> array using its class instead of its name.</p>\n\
<p>If two modifiers have the same class, the top-most will be returned.</p>\n\
<p>If a modifier with the specified class does not exist in the array, the value of <code>undefined</code> will be returned.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   t=teapot() --create a teapot\n\
   addmodifier t (bend name:&quot;MyBendAtBottom&quot;) --add a Bend modifier\n\
   addmodifier t (bend name:&quot;MyBendOnTop&quot;) --add another Bend modifier\n\
   addmodifier t (twist name:&quot;MyTwist&quot;) --add a Twist modifier\n\
   t.modifiers[twist] --access the Twist\n\
   t.modifiers[bend] --access the top-most Bend (&quot;MyBendOnTop&quot;)\n\
   t.modifiers[skew] --undefined, because no Skew was added\n\
</code></pre><p>   <strong>LISTENER OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
   OK\n\
   OK\n\
   OK\n\
   Twist:MyTwist\n\
   Bend:MyBendOnTop\n\
   undefined</code></pre></blockquote>\n\
<p>The classes derived directly from the Modifier and SpacewarpModifier classes are described in <a href=\"Modifier-and-SpacewarpModifier/Modifier-and-SpacewarpModifier-1.html\">Modifier and SpacewarpModifier Types</a>.</p>\n\
<p>The properties, operators, and methods that are common to all classes derived directly from the Modifier and SpacewarpModifier classes are described in <a href=\"Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a>.</p>\n\
<p>The Modifier and SpacewarpModifier classes are derived from the MAXWrapper class, and inherits the properties and methods defined for that class. These properties and methods are described in <a href=\"./../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Modifier-MAXWrapper-and.html\">Modifier : MAXWrapper and SpacewarpModifier : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";