var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EC7AAF64-8698-4AA2-87FD-3B24743B8C47\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MassFX_RBody : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MassFX_RBody - superclass: modifier; super-superclass:MAXWrapper - 54:8 - classID: #(685326, 452282)</code></pre><p>This class implements the MassFX Rigid Body Modifier.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MassFX_RBody ...</code></pre><p><img src=\"./images/GUID-7E0FA188-EE66-4AA7-A64B-B9AF14ACD3D9-low.bmp\" alt></p>\n\
<p>Most of the following Properties are exposed by the MassFX_RBody modifier itself, while the Methods are exposed by the <strong>PhysXModRBInterface MixIn Interface</strong>.</p>\n\
<h2 id=\"-quot-rigid-body-properties-quot-rollout\">&quot;Rigid Body Properties&quot; rollout</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.type     Integer    default: 1   --  integer; None</code></pre><p>Gets/sets the state of the <strong>&quot;Rigid Body Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Dynamic</strong> (default) - the Rigid Body is driven by the simulation. It is applied gravitational forces, participates in and reacts to collisions with other Rigid Bodies, and so on. Its Rigid Body Mesh cannot be concave.</p>\n\
<p>2 - <strong>Kinematic</strong> - the Rigid Body is driven by pre-defined (usually keyframed) animation and can drive Dynamic Rigid Bodies, but is otherwise unaffected by the physics simulation. Its Rigid Body Mesh cannot be concave.</p>\n\
<p>3 - <strong>Static</strong> - the Rigid Body is unyielding and can interact with Dynamic Rigid Bodies, but cannot be animated. Its Rigid Body Mesh can be concave.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.switchType     BooleanClass    default: false   --  boolean; None</code></pre><p>Gets/sets the state of the <strong>&quot;Until Frame&quot;</strong> checkbox. When set to true, the type of the Rigid Body can be switched from Kinematic to Dynamic at a specified frame provided by the <strong><code>.switchTypeAtFrame</code></strong> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.switchTypeAtFrame     Integer    default: 0   --  integer; None</code></pre><p>Gets/sets the frame on which the Rigid Body will be switched from Kinematic to Dynamic if the <code>.switchType</code> property is set to true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.baked     Integer    default: 0   --  integer; None</code></pre><p>Gets/sets the state of the &quot;Bake/Unbake&quot; button. When baked, the animation of a Dynamic Rigid Body will be converted to keyframes.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Unbaked - setting the property to 0 will unbake the Rigid Body and switch the button&apos;s caption to &quot;Bake&quot;.</p>\n\
<p>1 - Baked - setting the property to 1 will bake the Rigid Body and switch the button&apos;s caption to &quot;Unbake&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.ContinuousCollisionDetection     BooleanClass    default: false   --  boolean; None</code></pre><p>Gets/sets the state of the <strong>&quot;Use High Velocity Collisions&quot;</strong> option.</p>\n\
<p>If set to true and the global High Velocity Collisions switch in the MassFX World panel is enabled, the Dynamic Rigid Body will perform continuous collision detection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.SleepAtStart     BooleanClass    default: false   --  boolean; None</code></pre><p>Gets/sets the state of the <strong>&quot;Start In Sleep Mode&quot;</strong> option.</p>\n\
<p>When set to true, the Dynamic Rigid Body will be placed in sleep mode at the start of the simulation using the global sleep mode settings. This means that it will not move until struck by a non-sleeping Rigid Body.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.CollideWithRigidBodies     BooleanClass    default: true   --  boolean; None</code></pre><p>Gets/sets the state of the <strong>&quot;Collide With Ridig Bodies&quot;</strong> option.</p>\n\
<p>When set to true, the Rigid Body will collide with other Rigid Bodies. When set to false, the Rigid Body will not participate in collisions.</p>\n\
<h2 id=\"-quot-physical-material-quot-rollout\">&quot;Physical Material&quot; rollout</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.density     Float    default: 0.5   --  float; None</code></pre><p>Gets/sets the Density value of the Rigid Body. The Density is measured in grams per cubic centimeter. Changing this value automatically calculates the correct mass for the object based on its volume.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.mass     Float    default: 1.0   --  float; None</code></pre><p>Gets/sets the Mass of the Rigid Body measured in kilograms.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.staticFriction     Float    default: 0.3   --  float; None</code></pre><p>Gets/sets the Static Friction value of the Rigid Body&apos;s Physical Material.</p>\n\
<p>Static Friction is the degree of difficulty for two Rigid Bodies to start sliding against one another. A value of 0.0 indicates no friction, a value of 1.0 indicates full friction. The effective static friction between two rigid bodies is the product of their static friction values. If one rigid body has a static friction of 0.0, the value of the other rigid body does not matter (everything slides on wet ice; even sandpaper). Once the two objects start sliding, the Dynamic Friction (see below) applies.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.dynamicFriction     Float    default: 0.3   --  float; None</code></pre><p>Gets/sets the Dynamic Friction value of the Physical Material.</p>\n\
<p>Dynamic Friction is the degree of difficulty for two rigid bodies to keep sliding against one another. Technically, this parameter is called the &quot;<em>coefficient of kinematic friction</em>.&quot; A value of 0.0 indicates no friction, a value of 1.0 indicates full friction. In the real world, this value must be less than the coefficient of static friction - it is harder to start pushing an object than to keep it moving. As with static friction, the effective value between two rigid bodies is the product of their respective values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.bounciness     Float    default: 0.5   --  float; None</code></pre><p>Gets/sets the Bounciness value of the Rigid Body&apos;s Physical Material.</p>\n\
<p>This value controls how an object bounces when it hits another rigid body. Technically, this parameter is called the &quot;<em>coefficient of restitution</em>.&quot; A value of 0.0 indicates no bounce, a value of 1.0 indicates that the object will bounce off just about as hard as it hit. The effective bounciness between two rigid bodies is the product of their bounciness values.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBPresetMaterial &lt;integer&gt;materialID</code></pre><p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"-quot-physical-shapes-quot-rollout\">&quot;Physical Shapes&quot; rollout</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.meshType     Integer    default: 4   --  integer; None</code></pre><p>Possible values are:</p>\n\
<p>1 - <strong>Sphere</strong></p>\n\
<p>2 - <strong>Box</strong></p>\n\
<p>3 - <strong>Capsule</strong></p>\n\
<p>4 - <strong>Convex</strong> (default)</p>\n\
<p>5 - <strong>Convex</strong></p>\n\
<p>6 - <strong>Custom</strong></p>\n\
<p>7 - <strong>Concave</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.meshOverrideMaterial     BooleanClass    default: true   --  boolean; None; </code></pre><p>This property is exposed by the &quot;Override Physical Mesh&quot; checkbox&apos;s parameter, but must not be used.</p>\n\
<p>Use the methods <strong><code>.GetRBMeshOverrideDriverMat()</code> and <code>.SetRBMeshOverrideDriverMat()</code></strong> documented below to get and set the Override Physical Material option per mesh.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MassFX_RBody&gt;.GetRBMeshCount()</code></pre><p>Returns the number of Rigid Body Meshes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MassFX_RBody&gt;.AddRBMesh()</code></pre><p>Adds a Rigid Body mesh and returns its index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;MassFX_RBody&gt;.GetRBMeshName &lt;integer&gt;meshIndex</code></pre><p>Returns the Name of the indexed Rigid Body mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshName &lt;integer&gt;meshIndex &lt;string&gt;meshName</code></pre><p>Sets the Name of the indexed Rigid Body mesh to the string passed as second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.DeleteRBMesh &lt;integer&gt;meshIndex</code></pre><p>Deletes the indexed Rigid Body mesh.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.ClipboardCopyRBMesh &lt;integer&gt;meshIndex</code></pre><p>Copies the indexed Rigid Body mesh to the Clipboard.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.ClipboardPasteRBMesh()</code></pre><p>Pastes the Rigid Body mesh from the Clipboard, if available.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;MassFX_RBody&gt;.GetRBMeshType &lt;integer&gt;meshIndex</code></pre><p>Returns the Type of the indexed Rigid Body mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshType &lt;integer&gt;meshIndex &lt;integer&gt;meshType</code></pre><p>Sets the Type of the indexed Rigid Body mesh to the integer passed as second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;&lt;MassFX_RBody&gt;.RBMeshConvertToCustomMesh &lt;integer&gt;meshIndex</code></pre><p>Converts the indexed Rigid Body Mesh to Custom Mesh and returns it as a node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.GetRBMeshOverrideDriverMat &lt;integer&gt;meshIndex</code></pre><p>Returns the Override Driver Material property of the indexed Rigid Body mesh as boolean value.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> this method was called <code>GetRBMeshOverrideMasterMat</code>.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshOverrideDriverMat &lt;integer&gt;meshIndex &lt;boolean&gt;overrideIt</code></pre><p>Sets the Override Driver Material of the indexed Rigid Body mesh to the boolean value passed as second argument.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> this method was called <code>SetRBMeshOverrideMasterMat</code>.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;&amp;matrix3&gt;&lt;MassFX_RBody&gt;.GetRBMeshTM &lt;integer&gt;meshIndex</code></pre><p>Returns the transformation matrix of the indexed Rigid Body mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshTM &lt;integer&gt;meshIndex &lt;&amp;matrix3&gt;pose\n\
\n\
pose is In and Out parameter</code></pre><p>Sets the transformation matrix of the indexed Rigid Body mesh to the matrix3 value passed by the second by-reference argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;&lt;MassFX_RBody&gt;.GetRBMeshShape &lt;integer&gt;meshIndex</code></pre><p>Returns the Shape of the indexed Rigid Body mesh as a TriMesh value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshShape &lt;integer&gt;meshIndex &lt;mesh&gt;newMesh</code></pre><p>Sets the Shape of the indexed Rigid Body mesh to the triMesh value passed as second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MassFX_RBody&gt;.RBMeshRegenerate &lt;integer&gt;meshIndex</code></pre><p>Regenerates the indexed Rigid Body Mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MassFX_RBody&gt;.GetRBMeshCompositeMeshCount &lt;integer&gt;meshIndex</code></pre><p>Returns the Composite Mesh Count in the indexed Mesh of the Rigid Body.</p>\n\
<p>Returns 0 if there are no composite meshes in the given mesh.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.ExtractCustomMesh()</code></pre><p><strong><em>Currently Missing Implementation</em></strong> .</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.RBMeshCustomNodeExtract &lt;integer&gt;meshIndex</code></pre><p>Extracts the indexed mesh hull for use as Custom Node.</p>\n\
<p>Equivalent to pressing the &quot;Convert To Custom Shape&quot; button in the Physical Shapes rollout.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theTeapot = Teapot() --create a Teapot primitive\n\
   --&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
   theMod = MassFX_RBody() --create a MassFX Rigid Body Modifier\n\
   --&gt; MassFX_RBody:MassFX Rigid Body\n\
   addModifier theTeapot theMod --add the Modifier to the Teapot\n\
   --&gt; OK\n\
   theMod.RBMeshCustomNodeExtract 1 --extract the teapot hull as mesh\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<h2 id=\"-quot-sphere-physical-mesh-params-quot-rollout\">&quot;Sphere Physical Mesh Params&quot; rollout</h2><p><img src=\"./images/GUID-366838C2-0F2D-405B-B105-36D739DF9E1F-low.bmp\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.meshRadius     Float    default: 0.01   --  float; None</code></pre><p>Exposes the Radius spinner&apos;s track value. The methods documented below can be used to get and set the Mesh Radius values of specific meshes.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;MassFX_RBody&gt;.GetRBMeshRadius &lt;integer&gt;meshIndex</code></pre><p>Returns the Radius of the indexed Rigid Body mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshRadius &lt;integer&gt;meshIndex &lt;float&gt;radius</code></pre><p>Sets the Radius of the indexed Rigid Body mesh to the floating point value passed as second argument.</p>\n\
<h2 id=\"-quot-box-physical-mesh-params-quot-rollout\">&quot;Box Physical Mesh Params&quot; rollout</h2><p><img src=\"./images/GUID-D50EFFA9-FCD6-4DCA-B961-E04D30BD6E99-low.bmp\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.meshWidth     Float    default: 0.01   --  float; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.meshHeight     Float    default: 0.01   --  float; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.meshLength     Float    default: 0.01   --  float; None</code></pre><p>These properties expose the Length, Width, and Height spinners found in the UI. The methods documented below can be used for getting and setting the Length, Width, and Height of the specific meshes.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;MassFX_RBody&gt;.GetRBMeshLength &lt;integer&gt;meshIndex</code></pre><p>Returns the Length of the indexed Rigid Body mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshLength &lt;integer&gt;meshIndex &lt;float&gt;Length</code></pre><p>Sets the Length of the indexed Rigid Body mesh to the floating point value passed as second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;MassFX_RBody&gt;.GetRBMeshWidth &lt;integer&gt;meshIndex</code></pre><p>Returns the Width of the indexed Rigid Body mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshWidth &lt;integer&gt;meshIndex &lt;float&gt;Width</code></pre><p>Sets the Width of the indexed Rigid Body mesh to the floating point value passed as second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;MassFX_RBody&gt;.GetRBMeshHeight &lt;integer&gt;meshIndex</code></pre><p>Returns the Height of the indexed Rigid Body mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshHeight &lt;integer&gt;meshIndex &lt;float&gt;Height</code></pre><p>Sets the Height of the indexed Rigid Body mesh to the floating point value passed as second argument.</p>\n\
<h2 id=\"-quot-capsule-physical-mesh-params-quot-rollout\">&quot;Capsule Physical Mesh Params&quot; rollout</h2><p><img src=\"./images/GUID-0ABEADB4-7ABB-4CE2-ABC7-05F54F839FAF-low.bmp\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.meshRadius     Float    default: 0.01   --  float; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.meshHeight     Float    default: 0.01   --  float; None</code></pre><h2 id=\"-quot-concave-physical-mesh-params-quot-rollout\">&quot;Concave Physical Mesh Params&quot; rollout</h2><p><img src=\"./images/GUID-E7CCB966-EE5E-46D1-A6A1-E09687C2D306-low.png\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<h2 id=\"-quot-convex-physical-mesh-params-quot-rollout\">&quot;Convex Physical Mesh Params&quot; rollout</h2><p><img src=\"./images/GUID-4DB8CB50-0722-4243-9813-9DC892280F70-low.bmp\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.compositeInflation     Float    default: 0.0   --  float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.meshConvexStyle     Integer    default: 0   --  integer; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.meshVerticesLimit     Integer    default: 32   --  integer; None</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;MassFX_RBody&gt;.GetRBMeshInflation &lt;integer&gt;meshIndex</code></pre><p>Returns the Inflation value of the indexed Rigid Body mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshInflation &lt;integer&gt;meshIndex &lt;float&gt;Inflation</code></pre><p>Sets the Inflation of the indexed Rigid Body mesh to the floating point value passed as second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MassFX_RBody&gt;.GetRBMeshVertexLimit &lt;integer&gt;meshIndex</code></pre><p>Returns the Vertex Limit of the indexed Rigid Body mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshVertexLimit &lt;integer&gt;meshIndex &lt;integer&gt;VerticeLimit</code></pre><p>Sets the Vertex Limit of the indexed Rigid Body mesh to the integer value passed as second argument.</p>\n\
<h2 id=\"-quot-composite-physical-mesh-params-quot-rollout\">&quot;Composite Physical Mesh Params&quot; rollout</h2><p><img src=\"./images/GUID-7A0AA766-537A-4326-BA04-4471B34CF1B3-low.bmp\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.compositeMaxVertices     Integer    default: 128   --  integer</code></pre><p>Gets/sets the Maximum number of vertices in the Mesh Hull.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.compositeSplitLvl     Integer    default: 7   --  integer</code></pre><p>Gets/sets the Composite Split Levels value.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.meshInflation     Float    default: 0.0   --  float; None</code></pre><p>Gets/sets the Inflation value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.compositeSizeDiff Integer default: 90  -- integer</code></pre><p>Gets/sets the Composite Size Difference percentage value.</p>\n\
<p>Previously, exposed as <code>.compositeSizeDifference</code> .</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.compositeShrinkWrap     Integer    default: 90   --  integer</code></pre><p>Gets/sets the Composite Shrink Wrap percentage value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.compositeGranularity     Integer    default: 90   --  integer</code></pre><p>Gets/sets the Composite Granularity percentage value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.compositeMaxConcavity  Float default: 100.0  -- float</code></pre><p>Gets/sets the Composite Maximum Concavity value.</p>\n\
<p>Corresponds to the &quot;Concavity&quot; property in the Physical Mesh Parameters rollout.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.compositeMinHulls Integer  default: 1   -- integer</code></pre><p>Gets/sets the minimum number of composite hulls to create.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.compositeConnDist Float  default: 0.0  --  float</code></pre><p>Gets/sets the Composite Connection Distance value.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.compositeControlPoints Integer  default: 1  --  integer</code></pre><p>Gets/sets the number of Composite Control Points.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.compositeSolidMeshes BooleanClass  default: false -- boolean</code></pre><p>Gets/sets whether to display Solid Meshes or not.</p>\n\
<p>Corresponds to the <strong>Display Solid Meshes</strong> checkbox in the UI.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.RBMeshCompositeGenerate &lt;integer&gt;meshIndex</code></pre><p>Generates the Composite Mesh of the indexed Rigid Body Mesh.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MassFX_RBody&gt;.GetRBMeshCompositeMeshCount &lt;integer&gt;meshIndex</code></pre><p>Returns the Composite Mesh count.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;&lt;MassFX_RBody&gt;.GetRBMeshCompositeMesh &lt;integer&gt;meshIndex &lt;integer&gt;index</code></pre><p>Returns the indexed Composite Mesh specified by the second argument of the Rigid Body Mesh (specified by the first argument).</p>\n\
<h2 id=\"-quot-custom-physical-mesh-params-quot-rollout\">&quot;Custom Physical Mesh Params&quot; rollout</h2><p><img src=\"./images/GUID-E1C7DBBE-957C-4F7D-B96C-F0DE69344827-low.bmp\" alt></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;&lt;MassFX_RBody&gt;.GetRBMeshCustomNode &lt;integer&gt;meshIndex</code></pre><p>Returns the Custom Node of the indexed Rigid Body mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshCustomNode &lt;integer&gt;meshIndex &lt;node&gt;CustomNode</code></pre><p>Sets the Custom Node of the indexed Rigid Body mesh to the node value passed as the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.ExtractCustomMesh()</code></pre><p>Extracts the Custom Mesh.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MassFX_RBody&gt;.RBMeshCustomNodeUpdateFromSource  &lt;integer&gt;meshIndex</code></pre><p>Updates the indexed shape from the source object.</p>\n\
<p>Equivalent to pressing the &quot;Update From Source Object&quot; button in the modifier&apos;s UI.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"-quot-forces-quot-rollout\">&quot;Forces&quot; rollout</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.EnableGravity     BooleanClass    default: true   --  boolean; None</code></pre><p>Gets/sets the state of the <strong>&quot;Use Gravity&quot;</strong> option.</p>\n\
<p>If set to true and if the global Gravity switch in the MassFX World panel is enabled, the Dynamic Rigid Body will be affected by Gravity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.forcesList : node array</code></pre><p>Gets/sets the array of Force SpaceWarp objects associated with the MassFX Rigid Body simulation.</p>\n\
<p>Array operations like <code>append()</code> and <code>deleteItem()</code> are supported.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"-quot-advanced-quot-rollout\">&quot;Advanced&quot; rollout</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.EnableAdvancedSettings     Integer    default: 1   --  integer</code></pre><h3 id=\"-quot-simulation-quot-group-of-controls\">&quot;Simulation&quot; group of controls</h3><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.SolverIter     BooleanClass    default: false   --  boolean; None</code></pre><p>Gets/sets the state of the &quot;Override Solver Iterations&quot; checkbox.</p>\n\
<p>When set to False (default), the global Iterations count will be used.</p>\n\
<p>When set to True, the MassFX Rigid Body modifier will use the custom number of iterations specified by the <code>.SolverIterValue</code> property (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.SolverIterValue     Integer    default: 4   --  integer; None</code></pre><p>Gets/sets the &quot;Override Solver Iterations&quot; value that is used when the MassFX Rigid Body Modifier&apos;s <code>.SolverIter</code> property (see above) is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.EnableBackfaceCollision : boolean</code></pre><p>Gets/sets whether to use Backface Collision or not.</p>\n\
<p>Default is false.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<h3 id=\"-quot-contact-shell-quot-group-of-controls\">&quot;Contact Shell&quot; group of controls</h3><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<h3 id=\"-quot-initial-motion-quot-group-of-controls\">&quot;Initial Motion&quot; group of controls</h3><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.InitialMotionStyle     Integer    default: 1   --  integer</code></pre><p>Gets/sets the state of the Initial Motion Style radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Absolute</p>\n\
<p>1 - Relative</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.InitialVelocityX     Float    default: 1.0   --  float; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.InitialVelocityY     Float    default: 0.0   --  float; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.InitialVelocityZ     Float    default: 0.0   --  float; None</code></pre><p>Gets/sets the Initial Velocity X, Y, and Z values of the Rigid Body. These define the direction of the initial velocity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.velocitySpeed     Float    default: 0.0   --  float; None</code></pre><p>Gets/sets the Initial Velocity&apos;s Speed value of the Rigid Body. This defines the magnitude of the Initial Velocity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.InitialSpinX     Float    default: 0.0   --  float; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.InitialSpinY     Float    default: 1.0   --  float; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.InitialSpinZ     Float    default: 0.0   --  float; None</code></pre><p>Gets/sets the Initial Spin X, Y, and Z values of the Rigid Body. These define the axis of the initial spin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.spinSpeed     Float    default: 0.0   --  float; None</code></pre><p>Gets/sets the Initial Spin&apos;s Speed value of the Rigid Body.</p>\n\
<h3 id=\"-quot-center-of-mass-quot-group-of-controls\">&quot;Center Of Mass&quot; group of controls</h3><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.MassCenterMode : integer</code></pre><p>Gets/sets the state of the Center Of Mass radio buttons.</p>\n\
<p>Valid values are:</p>\n\
<p>0 - <strong>Calculate from Meshes</strong></p>\n\
<p>1 - <strong>Use Pivot</strong></p>\n\
<p>2 - <strong>Local Offset</strong></p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.MassCenterX     Float    default: 0.0   --  float; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.MassCenterY     Float    default: 0.0   --  float; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.MassCenterZ     Float    default: 0.0   --  float; None</code></pre><p>Gets/sets the X, Y, and Z coordinates of the Rigid Body&apos;s Center Of Mass in object space.</p>\n\
<p>See the method <code>.CalculateMassCenter()</code> below for setting these values automatically based on the Rigid Body&apos;s meshes.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point3&gt;&lt;MassFX_RBody&gt;.CalculateMassCenter()</code></pre><p>Calculates the Center Of Mass and sets the properties <strong><code>.MassCenterX</code> , <code>.MassCenterY</code> , and <code>.MassCenterZ</code></strong> . Returns the result as a Point3 value.</p>\n\
<h3 id=\"-quot-damping-quot-group-of-controls\">&quot;Damping&quot; group of controls</h3><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.LinearDamping     Float    default: 0.0   --  float; None</code></pre><p>Gets/sets the Linear Damping value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.AngularDamping     Float    default: 2.86479   --  float; None</code></pre><p>Gets/sets the Angular Damping value.</p>\n\
<h2 id=\"properties-unexposed-to-the-ui\">Properties Unexposed To The UI</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.bakeOnSimulate     BooleanClass    default: false   --  boolean</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.extraShapes     UndefinedClass    default: undefined   --  string; None; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.manualSetup     BooleanClass    default: false   --  boolean; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.materialId     Integer    default: 0   --  integer; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.meshCustomMesh     UndefinedClass    default: undefined   --  node; None; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.SkinWidth     BooleanClass    default: false   --  boolean; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.SkinWidthValue     Float    default: 1.0   --  float; None</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MassFX_RBody&gt;.volume     Float    default: 0.0   --  float; None</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MassFX-Modifiers.html\">MassFX Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Extensions/MAXScript-Extensions-for-MassFX/MassFX-and-MAXScript.html\">MassFX and MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\">Interface: nvpx</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PhysXPanelInterface.html\">Interface: PhysXPanelInterface</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/UConstraint-Helper.html\">UConstraint : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/Skeleton-helper.html\">Skeleton : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/pxJoint-helper.html\">pxJoint : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\">nvBox : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\">nvCapsule : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\">nvSphere : GeometryClass</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";