var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BC52D8A4-E491-4AF8-B0FC-CB1A07561EF4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Chamfer : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Chamfer - superclass: modifier; super-superclass:MAXWrapper - 20:0 - classID: #(858559760, 951800972)</code></pre><p>The Chamfer Modifier allows procedural chamfer operations on polygon meshes, including an option for Quad Chamfer. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p>In addition to this procedural modifier implementation, the new Quad Chamfer option is also available as a mode of the existing Chamfer operation in the <a href=\"./../../../../Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Properties.html\"#edge-chamfer-extrude-values\">Editable_Poly</a> base object - see the properties <code>.edgeChamferType</code> , <code>.edgeChamferTension</code> and <code>.edgeChamferInvert</code> introduced in <strong>3ds Max 2015</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Chamfer... \n\
ChamferMod...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.chamfertype     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the <strong>&quot;Operation&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Quad Chamfer</strong> (default)</p>\n\
<p>1 - <strong>Standard Chamfer</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.amount     worldUnits    default: 1.0   --  animatable; worldUnits</code></pre><p>Get/set the <strong>&quot;Amount&quot;</strong> value in world units.</p>\n\
<p>Default is 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.segments     Integer    default: 1   --  animatable; integer</code></pre><p>Get/set the <strong>&quot;Segments&quot;</strong> value.</p>\n\
<p>Default is 1.</p>\n\
<p>The spinner range in the User Interface is from 1 to 99.</p>\n\
<p>Values higher than 99 can be set via MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.tension     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the <strong>&quot;Tension&quot;</strong> value.</p>\n\
<p>Possible values in the User Interface are between 0.0 and 1.0.</p>\n\
<p>Values outside of this valid range can be set via MAXScript, but can lead to unexpected results.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.openchamfer     BooleanClass    default: false   --  boolean; Open_Chamfer</code></pre><p>Get/set the state of the <strong>&quot;Open Chamfer&quot;</strong> checkbox.</p>\n\
<p>When set to False (default), new faces will be created from the selected chamfered edges.</p>\n\
<p>When set to True, the new faces or the original faces will be removed depending on the value of the .invert property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.invert     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Invert&quot;</strong> checkbox.</p>\n\
<p>Only used when <code>.openchamfer</code> is set to True.</p>\n\
<p>When set to False (default), the new chamfer faces will be skipped to create opening in the mesh.</p>\n\
<p>When srt to True, the rest of the object will be skipped, creating only the new chamfer faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.limiteffect     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Limit Effect&quot;</strong> checkbox.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.quadintersectionmode     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Quad Intersection&quot;</strong> checkbox.</p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.selectionoption     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Selection&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>From Stack</strong> (default)</p>\n\
<p>1 - <strong>Selected Edges</strong></p>\n\
<p>2 - <strong>Selected Faces Edges</strong></p>\n\
<p>3 - <strong>Selected Faces Borders</strong></p>\n\
<p>4 - <strong>Edge Verts Selected</strong></p>\n\
<p>5 - <strong>All Edges</strong></p>\n\
<p>6 - <strong>Selected Vertices</strong></p>\n\
<p>7 - <strong>All Vertices</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.smoothingoption     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;From Smoothing&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Off</strong> (default)</p>\n\
<p>1 - <strong>Smoothed Edges</strong></p>\n\
<p>2 - <strong>Unsmoothed Edges</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.materialoption     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;From Material ID&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Off</strong> (default)</p>\n\
<p>1 - <strong>Different Materials</strong></p>\n\
<p>2 - <strong>Same Materials</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.useminangle     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Min. Angle&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the <code>.minangle</code> value will be used to define the beginning of the Smoothing Angle range.</p>\n\
<p>When set to False, the min. angle will be assumed 0.0.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.minangle     Float    default: 5.0   --  float</code></pre><p>Get/set the <strong>&quot;Min. Angle&quot;</strong> value.</p>\n\
<p>Defines the beginning of the Smoothing Angle range.</p>\n\
<p>Used only when <code>.useminangle</code> is set to True.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.usemaxangle     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Max. Angle&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the <code>.maxangle</code> value will be used to define the end of the Smoothing angle range.</p>\n\
<p>When set to False, the max. angle will be assumed 180.0.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.maxangle     Float    default: 90.0   --  float</code></pre><p>Get/set the <strong>&quot;Max. Angle&quot;</strong> value.</p>\n\
<p>Defines the end of the Smoothing Angle range.</p>\n\
<p>Used only when <code>.usemaxangle</code> is set to True.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.setmaterial     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Set Chamfer Material&quot;</strong> checkbox.</p>\n\
<p>When set to False (default), the newly created chamfer polygons will inherit the Material IDs of the adjacent polygons.</p>\n\
<p>When set to True, the newly created chamfer polygons will be assigned the Material ID specified by the <code>.materialid</code> property below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.materialid     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Material ID&quot;</strong> spinner.</p>\n\
<p>This value is used when the <code>.setmaterial</code> property is set to True and defines the Material ID to assign to the newly created chamfer polygons.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.smooth     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Smooth&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the newly created chamfer polygons will be smoothed with the rest of the polygons according to the <code>.smoothtype</code> and <code>.smooththreshold</code> properties.</p>\n\
<p>When set to False , the newly created chamfer polygons will inherit the Smoothing Groups of their neighbor polygon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.smoothtype     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the smooth type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Smooth Entire Object</strong> (default)</p>\n\
<p>1 - <strong>Smooth Chamfers Only</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.smoothtoadjacent     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Smooth to Adjacent&quot;</strong> checkbox.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.smooththreshold     Float    default: 30.0   --  float</code></pre><p>Get/set the value of the <strong>&quot;Threshold&quot;</strong> spinner.</p>\n\
<p>This value is used when the <code>.smooth</code> property is set to True.</p>\n\
<p>When the angle between two polygons is below this value, the two polygons will receive the same smoothing group to produce a smooth edge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.miteringType : Integer    default: 1    -- integer</code></pre><p>The mitering type for corners, where:</p>\n\
<ul>\n\
<li>0 = Quad</li>\n\
<li>1 = Uniform</li>\n\
<li>4 = Tri</li>\n\
</ul>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.amountType : Integer    default: 0 -- integer</code></pre><p>The Amount Type under <strong>Chamfer Options</strong> in the Chamfer Modifier UI, where:</p>\n\
<ul>\n\
<li>0 = Fixed</li>\n\
<li>1 = By Crease Weight</li>\n\
<li>2 = Legacy</li>\n\
<li>3 = By Weight</li>\n\
</ul>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.minAmount : worldUnits default: 0.0\n\
&lt;Chamfer&gt;.maxAmount : worldUnits     default: 1.0</code></pre><p>The minimum and maximum chamfer amount values, when the <code>amountType</code> is By Crease Weight.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.addinset : boolean    default: false</code></pre><p>Indicates whether to add an inset to the chamfer. This corresponds to the <strong>Inset</strong> checkbox in the Chamfer Modifier UI.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.insetamount : float default: 0.5</code></pre><p>The inset amount to apply, when <code>addinset</code> is true.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.insetsegments : integer default: 0</code></pre><p>The number of segments to apply to the inset, when <code>addinset</code> is true.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.insetoffset : float    default: 0.0</code></pre><p>The amount of offset to apply to the inset, when <code>addinset</code> is true.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.forcePositiveOffset : boolean    default: false</code></pre><p>For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.miterEndBias (EndBias) : float    default: 0.5</code></pre><p>The end bias amount to apply when the corner options are Default or Uniform.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.useConstantOffset : boolean    default: false</code></pre><p>For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.depth : float    default: 0.5</code></pre><p>Gets or sets the depth value when Amount Type is Fixed or By Crease Weight.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.presetOptionsComboBox : integer</code></pre><p>For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.biasEndPoints     BooleanClass    default: true   --  boolean</code></pre><p>For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.depthType     Integer    default: 0   --  integer</code></pre><p>Gets or sets the Depth Type option, where:</p>\n\
<ul>\n\
<li>0 = Fixed</li>\n\
<li>1 = By Weight</li>\n\
</ul>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.insetType     Integer    default: 0   --  integer</code></pre><p>Gets or sets the Inset Type option, where:</p>\n\
<ul>\n\
<li>0 = Face Inset</li>\n\
<li>1 = Flow Loop</li>\n\
</ul>\n\
<p>Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.radiusBias     Float    default: 0.0   --  animatable; float</code></pre><p>Gets or sets the Radius Bias, in the range of 0.0 to 1.0.</p>\n\
<p>Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Chamfer&gt;.scale     Float    default: 1.0   --  animatable; float</code></pre><p>Gets or sets the Scale option, which has an effect when <code>.amountType</code> = 3, &quot;By Weight&quot;.</p>\n\
<p>Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p><strong>Interfaces</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ChamferModifier</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetVersion &lt;enum&gt;version\n\
       version enums: {#Ver2015|#Ver2016|#Ver2018|#Ver2020|#Ver2020_1}</code></pre><p>Sets the options available on the modifier to match those available in the specified version. When called, re-evaluates the chamfer modifier based on the capabilities of the specified version. This is to provide backward compatibility.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = box()  --create a default Box\n\
   c = chamfer() --create a Chamfer modifier\n\
   addModifier b c --add the Chamfer to the Box\n\
   c.amount = 5.0 --set the Amount to 5.0\n\
   c.segments = 5 --set the Segments to 5\n\
   c.tension = 0.5 --set the Tension to 0.5 to curve the new faces\n\
   c.openChamfer = true --remove the new faces\n\
   c.Invert = true --invert to remove the old faces instead\n\
   s = shell() --create a Shell modifier\n\
   s.outerAmount = 4.0 --set its Outer Amount (Thickness) to 4.0\n\
   addModifier b s --add the Shell modifier to the Box above the Chamfer modifier</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> ![](../../../../../images/GUID-60F91FF0-2B35-4FA4-946E-F8B4FD8DBFB4-low.png)</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = box()  --create a default Box\n\
   c = chamfer() --create a Chamfer modifier\n\
   addModifier b c --add the Chamfer to the Box\n\
   c.amount = 2.0 --set the Amount to 2.0\n\
   c.segments = 2 --set the Segments to 2\n\
   c.tension = 0.0 --set the Tension to 0.0 to add new edges without changing the existing shape\n\
   t = turboSmooth() --create a TurboSmooth modifier\n\
   addModifier b t --add the TurboSmooth modifier to the Box\n\
   --Try turning off the Chamfer modifier to see the difference (second image)...</code></pre><p>   <strong>RESULTS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> ![](../../../../../images/GUID-EE649D62-A589-482B-B36D-D7F8723E8C1B-low.png) ![](../../../../../images/GUID-3BAD7726-6C02-4B72-B6F4-8E6FEA3C55EE-low.png)</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Editing.html\">Mesh Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";