var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9F33B780-7A98-4638-BD00-A1725FA1DB70\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Edit_Normals : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Edit_Normals - superclass: modifier; super-superclass:MAXWrapper - classID: #(1252338403, 902438110) </code></pre><p><img src=\"./images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\" alt></p>\n\
<p><strong>Description and Notes:</strong></p>\n\
<p>The <strong>Edit_Normals</strong> modifier lets the user edit the normal vectors used for realtime rendering of Editable Poly objects.</p>\n\
<p>In <strong>3ds Max 5</strong>, only PolyObjects supported edited normals. If you did anything that converted the Edit_Normals result into a non-PolyObject (such as a &quot;Convert to Patch&quot; or a &quot;Mesh Select&quot;), you would lose the normals.</p>\n\
<p>This has been changed in <strong>3ds Max 6 and higher</strong> where edited normals are supported by TriMeshes.</p>\n\
<p>Any modifiers that change topology will remove the normals. This includes MeshSmooth, Tessellate, Slice, Mirror, Symmetry, Face Extrude, and Vertex Weld. Note that this also means that the Normal modifier (used to flip face orientations) will not support the edited normals. Since Turn to Poly can be used to modify face topology, it also strips off the edited normals.</p>\n\
<p>All compound objects strip off the edited normals from their operands.</p>\n\
<p>Because of its many topological operations, Editable Poly does not support the edited normals. If you collapse the stack, you&apos;ll lose the normals. If you want to collapse to EPoly but keep the normals, consider using &quot;Collapse To&quot; the modifier below Edit Normals.</p>\n\
<p>All deformation and map modifiers will preserve the normals. For instance if you apply a Bend, the normals should be bent along with the geometry. Map modifiers (like UVW Unwrap) will not affect the normals at all.</p>\n\
<p>A few geometric modifiers will not fully support the edited normals. They will not strip them away, but neither will they correctly deform any explicit normals. Modifiers in this category include Push and Relax.</p>\n\
<p>The Smooth modifier should correctly modify any non-specified normals, while not changing the specified and explicit normals.</p>\n\
<p>Edit_Normals is like Mesh Select or Poly Select in the following way: If you create a box, apply an Edit_Normals, change some normals, and then apply a second Edit_Normals modifier, the top Edit_Normals will &quot;inherit&quot; the user-specified normals from the pipeline. But after that, the top Edit_Normals will ignore any changes to the original Edit_Normals modifier just like Mesh Select will ignore any changes to the selection coming up the pipe.</p>\n\
<p>There are three categories of normals in the Edit_Normals modifier.</p>\n\
<p><strong>Unspecified</strong> - these are the usual normals that are computed from smoothing groups. All normals are unspecified by default.</p>\n\
<p><strong>Specified</strong> - these are normals that are intended for use by particular corners of particular faces, without regard to smoothing groups. Specified normals are not set to explicit values - they ignore smoothing groups, but they&apos;re still based on the face normals of the faces that use them.</p>\n\
<p><strong>Explicit</strong> - these are normals that are set to particular values. All explicit normals are also considered to be specified.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Edit_Normals ... editNormals ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Edit_Normals&gt;.displayLength Float default: 10.0 -- world units; Display_Length </code></pre><p>Get/set the length of the normals displayed in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Edit_Normals&gt;.ignoreBackfacing Boolean default: false -- boolean; Ignore_Backfacing </code></pre><p>Get/set the Ignore Backfacing option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Edit_Normals&gt;.selectBy Integer default: 0 -- integer; Select_By </code></pre><p>Set the selection options.</p>\n\
<p>0 - Select By Normal</p>\n\
<p>1 - Select By Vertex</p>\n\
<p>2 - Select By Edge</p>\n\
<p>3 - Select By Face</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Edit_Normals&gt;.showHandles Boolean default: false -- boolean; Show_Handles </code></pre><p>When set to true, the modifier displays handles at the ends of the normals.</p>\n\
<h2 id=\"edit_normals-interfaces-\">Edit_Normals interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:EditNormalsMod </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SelLevel: enum : Read|Write \n\
\n\
SelLevel enums: {#Object|#Normal|#Vertex|#Edge|#Face} </code></pre><p>Gets/Sets the selection level.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Move &lt;&amp;point3&gt;offset \n\
\n\
offset is In and Out parameter </code></pre><p>Moves the selected normals by the specified offset. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Rotate &lt;&amp;quat&gt;rotation \n\
\n\
rotation is In and Out parameter </code></pre><p>Rotates the selected normals by the specified quaternion value. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Break [selection:&lt;bitArray&gt;] [node:&lt;node&gt;] [toAverage:&lt;boolean&gt;] \n\
\n\
selection default value: undefined \n\
node default value: undefined \n\
toAverage default value: false </code></pre><p>Breaks the current selection. Returns <code>true</code> on success.</p>\n\
<p>When the same modifier is applied to multiple nodes, specifying the optional <code>node:</code> parameter will limit the method to this single node only.</p>\n\
<p><code>node</code> : <node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Unify [selection:&lt;bitArray&gt;] [node:&lt;node&gt;] [toAverage:&lt;boolean&gt;] \n\
\n\
selection default value: undefined \n\
node default value: undefined \n\
toAverage default value: false </code></pre><p>Unifies the current selection. Returns <code>true</code> on success.</p>\n\
<p><code>node</code> : <node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Average [useThresh:&lt;boolean&gt;] [threshold:&lt;float&gt;] [selection:&lt;bitArray&gt;] [node:&lt;node&gt;] \n\
\n\
useThresh default value: false \n\
threshold default value: 0.0 \n\
selection default value: undefined \n\
node default value: undefined </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AverageGlobal [useThresh:&lt;boolean&gt;] [threshold:&lt;float&gt;] \n\
\n\
useThresh default value: false \n\
threshold default value: 0.0 </code></pre><p>Average normals with optional threshold.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AverageTwo &lt;node&gt;node1 &lt;index&gt;normalID1 &lt;node&gt;node2 &lt;index&gt;normalID2 </code></pre><p>Average two normals from two different nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Reset [selection:&lt;bitArray&gt;] [node:&lt;node&gt;] \n\
\n\
selection default value: undefined \n\
node default value: undefined </code></pre><p>Resets the current selection. Returns <code>true</code> on success.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Specify [selection:&lt;bitArray&gt;] [node:&lt;node&gt;] \n\
\n\
selection default value: undefined \n\
node default value: undefined </code></pre><p>Makes the normals of the current selection Specified. Returns <code>true</code> on success.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;MakeExplicit [selection:&lt;bitArray&gt;] [node:&lt;node&gt;] \n\
\n\
selection default value: undefined \n\
node default value: undefined </code></pre><p>Makes the normals of the current selection Explicit. Returns <code>true</code> on success.</p>\n\
<p>When the same modifier is applied to multiple nodes, specifying the optional <code>node:</code> parameter will limit the method to this single node only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Copy &lt;index&gt;normalID [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Copies the indexed normal to clipboard. Returns <code>true</code> on success.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Pasteselection:&lt;bitArray&gt; [node:&lt;node&gt;] \n\
\n\
selection default value: undefined \n\
node default value: undefined </code></pre><p>Pastes the copied normal to the current selection. Returns <code>true</code> on success.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> While <code>Copy</code> can accept just one normal, <code>Paste</code> can apply the single copied value to any number of selected normals.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;GetSelection [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the currently selected normals as bitArray.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetSelection &lt;&amp;bitArray&gt;newSelection node:&lt;node&gt; \n\
\n\
newSelection is In and Out parameter \n\
node default value: undefined </code></pre><p>Sets the currently selected normals using the supplied bitArray.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Select &lt;&amp;bitArray&gt;newSelection [invert:&lt;boolean&gt;] [select:&lt;boolean&gt;] [node:&lt;node&gt;] \n\
\n\
newSelection is In and Out parameter \n\
invert default value: false \n\
select default value: true \n\
node default value: undefined </code></pre><p>Selects the normals specified by the bitArray. This method does not clear any existing selections.</p>\n\
<p>When the optional <code>invert:</code> parameter is set to <code>true</code> , the specified normals&#x2019; selection state will be inverted.</p>\n\
<p>When the optional <code>select</code> : parameter is set to <code>false</code> , the specified normals will be deselected. When set to <code>true</code> or not supplied, the normals will be selected.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ConvertVertexSelection &lt;&amp;bitArray&gt;vertexSelection &lt;&amp;bitArray&gt;normalSelection [node:&lt;node&gt;] \n\
\n\
vertexSelection is In and Out parameter \n\
normalSelection is In and Out parameter \n\
node default value: undefined </code></pre><p>Two bitArrays are passed by reference as In and Out parameters. The first bitArray defines the vertices to convert from. After calling the method the second bitArray will contain the normals shared by the specified vertices.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --create a Box, convert to EPoly, add Edit_Normals modifier\n\
   b=box()\n\
   convertToMesh b\n\
   addModifier b (Edit_Normals())\n\
\n\
   my_verts = #{1} --define a bitArray specifying vertex 1\n\
   my_normals = #{} --define an empty bitArray to store the result\n\
   --call the method with the two bitArrays passed by-reference:\n\
   b.Edit_Normals.ConvertVertexSelection &amp;my_verts &amp;my_normals\n\
   my_normals--now take a look at the bitArray\n\
   #{1, 9, 22}--it will contain the normal indices used by vertex 1\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ConvertEdgeSelection &lt;&amp;bitArray&gt;edgeSelection &lt;&amp;bitArray&gt;normalSelection [node:&lt;node&gt;] \n\
\n\
edgeSelection is In and Out parameter \n\
normalSelection is In and Out parameter \n\
node default value: undefined </code></pre><p>Two bitArrays are passed by reference as In and Out parameters. The first bitArray defines the edges to convert from. After calling the method, the second bitArray will contain the normals shared by the specified edges.</p>\n\
<p>When the same modifier is applied to multiple nodes, specifying the optional <code>node:</code> parameter will limit the method to this single node only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ConvertFaceSelection &lt;&amp;bitArray&gt;faceSelection &lt;&amp;bitArray&gt;normalSelection [node:&lt;node&gt;] \n\
\n\
faceSelection is In and Out parameter \n\
normalSelection is In and Out parameter \n\
node default value: undefined </code></pre><p>Two bitArrays are passed by reference as In and Out parameters. The first bitArray defines the faces to convert from. After calling the method, the second bitArray will contain the normals shared by the specified faces.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumNormals [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the number of normals.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;GetNormal &lt;index&gt;normalIndex [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the specified indexed normal.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetNormal &lt;index&gt;normalIndex &lt;&amp;point3&gt;normalValue [node:&lt;node&gt;] \n\
\n\
normalValue is In and Out parameter \n\
node default value: undefined </code></pre><p>Sets the value of the specified indexed normal.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetNormalExplicit &lt;index&gt;normalIndex [node:&lt;node&gt;] \n\
\n\
node default value: undefined</code></pre><p>Returns true if the specified indexed normal is Explicit, false otherwise.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetNormalExplicit &lt;index&gt;normalIndex [explicit:&lt;boolean&gt;] [node:&lt;node&gt;] \n\
\n\
explicit default value: true \n\
node default value: undefined </code></pre><p>Sets the Explicit state of specified indexed normal. When the optional parameter <code>explicit:</code> is set to <code>false</code> , removes the explicit state and makes the normal Specified. When set to <code>true</code> or not supplied, makes the normal explicit.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumFaces [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the number of faces.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetFaceDegree &lt;index&gt;face [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the number of corners of the specified indexed face.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;GetNormalID &lt;index&gt;face &lt;index&gt;corner [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the normal ID of the specified corner of the specified indexed face.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetNormalID &lt;index&gt;face &lt;index&gt;corner &lt;index&gt;normalID [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Sets the normal ID of the specified corner of the specified indexed face.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetFaceNormalSpecified &lt;index&gt;face &lt;index&gt;corner [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns <code>true</code> if the normal of the indexed corner of the specified indexed face is Specified, <code>false</code> otherwise.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetFaceNormalSpecified &lt;index&gt;face &lt;index&gt;corner [specified:&lt;boolean&gt;] [node:&lt;node&gt;] \n\
\n\
specified default value: true \n\
node default value: undefined </code></pre><p>Sets the normal of the specified corner of the indexed face to Specified. If the optional <code>specified:</code> parameter is <code>true</code> or nor supplied, sets the Specified state of the normal. If the optional <code>specified:</code> parameter is set to false, resets the Specified state.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumVertices [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the number of vertices.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;GetVertexID &lt;index&gt;face &lt;index&gt;corner [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the vertex index of the specified corner of the indexed face.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3 by value&gt;GetVertex &lt;index&gt;vertexID [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the position of the specified vertex.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumEdges [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the number of edges.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;GetEdgeID &lt;index&gt;face &lt;index&gt;side [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the index of the edge at the specified side of the indexed face.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;GetFaceEdgeSide &lt;index&gt;face &lt;index&gt;edge [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the side index of the specified edge and face. Obviously, the edge must be used by the face to get a side index.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;GetEdgeVertex &lt;index&gt;edge &lt;index&gt;end [:&lt;node&gt;]node \n\
\n\
node default value: undefined </code></pre><p>Returns the index of the vertex at the specified end of the specified indexed edge.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;GetEdgeFace &lt;index&gt;edge &lt;index&gt;side [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the index of the face using the specified edge and the specified side.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;GetEdgeNormal &lt;index&gt;edge &lt;index&gt;end &lt;index&gt;side [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Returns the normal at the specified end of the indexed edge.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RebuildNormals [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Rebuilds the normals.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RecomputeNormals [node:&lt;node&gt;] \n\
\n\
node default value: undefined </code></pre><p>Recomputes the normals.</p>\n\
<p><code>node</code> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.</node></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Editing.html\">Mesh Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";