var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A7FFB211-0FE2-4C43-BA32-E5B38F8B0C61\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Normalize_Spline2: Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Normalize_Spline2 - superclass: modifier; super-superclass:MAXWrapper - 12:0 - classID: #(1923908001L, 3670906842L)</code></pre><p>Available in <strong>3ds Max 2018.2 and higher</strong>: An improved spline normalization modifier that offers advanced properties, such as the ability to specify knot count.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Normalize_Spline2() </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spline2&gt;.length Float default: 20.0 --\n\
float</code></pre><p>The desired segment length, used when <strong>NormalizeType</strong> = 0 (Segment Length).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spline2&gt;.NormalizeType Integer default:\n\
0 -- integer</code></pre><p>The normalization method, where:</p>\n\
<ul>\n\
<li>0 = by segment length</li>\n\
<li>1 = by knot count</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spline2&gt;.NumKnots Integer default: 20 -- integer</code></pre><p>The exact number of knots to use, used when <strong>NormalizeType</strong> = 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spline2&gt;.MaxKnots Integer default: 1000 -- integer</code></pre><p>The maximum number of knots to use, when <strong>UseMaxKnots</strong> is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spline2&gt;.UseMaxKnots BooleanClass default: true -- boolean</code></pre><p>Specifies whether to cap the maximum number of knots, to protect against very high knot/segment counts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spline2&gt;.UseStraightSegments BooleanClass default: false -- boolean</code></pre><p>Specifies whether to make segments linear.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spline2&gt;.RetainKnots BooleanClass default: false -- boolean</code></pre><p>Specifies whether to attempt to retain knots that fall within a given tolerance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spline2&gt;.RetainPercent Integer default: 10 -- integer</code></pre><p>When <strong>RetainKnots</strong> is true, this value is the tolerance used to determine whether to retain a knot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spline2&gt;.ForEachSpline BooleanClass default: true -- boolean; EachSpline</code></pre><p>When NormalizeType is 1 (Knot Count), specifies that the knot count is applied to each spline shape, rather than across all spline shapes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spline2&gt;.RetainTangents BooleanClass default: true -- boolean</code></pre><p>Specifies whether to retain the tangents for those knots that are retained</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spline2&gt;.ShowKnots BooleanClass default: false -- boolean</code></pre><p>Specifies whether to show the spline knots in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spline2&gt;.SimpleInterpolation BooleanClass default: false -- Boolean</code></pre><h3 id=\"example\">Example</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- create a freehand spline, \n\
-- apply the normalize spline modifier to it to reduce knot count to 10\n\
\n\
f = freehand closed:false\n\
\n\
pts = #()\n\
a = [-50,-50,-50]\n\
b = [50,50,50]\n\
for i = 1 to 20 do (\n\
append pts (random a b)\n\
)\n\
f.knots = pts\n\
print pt_array\n\
f.knots = pt_array\n\
nsm = Normalize_Spline2 NormalizeType:1 ShowKnots:true NumKnots:10\n\
\n\
addModifier f nsm</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Patch-and-Spline-Editing.html\">Patch and Spline Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";