var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8ABE10C8-99A7-4C68-9CC5-17494ABF05E9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Renderable_Spline : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Renderable_Spline - superclass: modifier; super-superclass:MAXWrapper - 11:0 - classID: #(-2122363625, -1949890742) </code></pre><p><img src=\"./images/GUID-EE4332E2-0086-4B5D-BD25-7EC53A1F8901-low.gif\" alt></p>\n\
<p>This modifier was introduced in <strong>Autodesk VIZ 2005</strong> as <strong>RendSpline : Modifier</strong> and is available in <strong>3ds Max 7 and higher</strong>. It can be used to procedurally turn an incoming spline shape from the modifier stack into a renderable mesh. It is also used internally when linking DWG files.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Renderable_Spline ... RendSpline ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.Renderable BooleanClass default: true -- boolean </code></pre><p>Toggle the &quot;Enable In Renderer&quot; checkbox on and off. When set to true, a mesh will be generated based on the underlying spline. When false, no mesh will be generated</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.displayRenderSettings BooleanClass default: true -- boolean </code></pre><p>When on, displays the mesh generated by the render settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.useViewportSettings BooleanClass default: false -- boolean </code></pre><p>When set to true, displays the mesh defined by the Viewport settings if .displayRenderSettings is set to true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.mapcoords BooleanClass default: false -- boolean </code></pre><p>When set to true, mapping coordinates will be generated procedurally.The U coordinate wraps once around the thickness of the spline; the V coordinate is mapped once along the length of the spline.</p>\n\
<p>When set to false, no mapping coordinates will be generated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.ViewportOrRender Integer default: 1 -- radiobtnIndex </code></pre><p>Get/Set the &quot;Viewport/Renderer&quot; radio buttons.</p>\n\
<p>0 - Viewport</p>\n\
<p>1 - Renderer</p>\n\
<h3 id=\"renderer\">Renderer</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.SymmetricalOrRectangular Integer default: 0 -- radiobtnIndex </code></pre><p>Get/Set the state of the Radial or Rectangular radio button for the renderer.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Radial</p>\n\
<p>1 - Rectangular</p>\n\
<h3 id=\"renderer-radial-cross-section\">Renderer - Radial Cross-Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.thickness Float default: 1.0 -- animatable; float </code></pre><p>Get/Set the thickness (diameter)of the radial cross-section in the renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.sides Integer default: 12 -- animatable; integer </code></pre><p>Get/Set the number of sides of the radial cross-section in the renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.angle Float default: 0.0 -- animatable; float </code></pre><p>Get/Set the rotational position of the cross-section in the renderer.</p>\n\
<h3 id=\"renderer-rectangular-cross-section\">Renderer - Rectangular Cross-Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.length Float default: 6.0 -- float </code></pre><p>Get/Set the length of the rectangular cross-section in the renderer.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.width Float default: 2.0 -- float </code></pre><p>Get/Set the width of the rectangular cross-section in the renderer.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.Angle2 Float default: 0.0 -- float; Angle_2 </code></pre><p>Get/Set the angle of the rectangular cross-section in the renderer.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.LockAspect BooleanClass default: false -- boolean; Lock_Aspect </code></pre><p>Toggle the Aspect Lock on and off. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h3 id=\"viewport\">Viewport</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.Viewport_SymmetricalOrRectangular Integer default: 0 -- radiobtnIndex </code></pre><p>Get/Set the state of the Radial or Rectangular radio button for the viewport.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Radial</p>\n\
<p>1 - Rectangular</p>\n\
<h3 id=\"viewport-radial-cross-section\">Viewport - Radial Cross-Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.Viewport_Thickness Float default: 1.0 -- float </code></pre><p>Get/Set the thickness (diameter)of the radial cross-section in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.Viewport_Sides Integer default: 12 -- integer </code></pre><p>Get/Set the number of sides of the radial cross-section in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.Viewport_Angle Float default: 0.0 -- float </code></pre><p>Get/Set the rotational position of the cross-section in the viewport.</p>\n\
<h3 id=\"viewport-rectangular-cross-section\">Viewport - Rectangular Cross-Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.Viewport_Length Float default: 6.0 -- float </code></pre><p>Get/Set the length of the rectangular cross-section in the viewport.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.Viewport_Width Float default: 2.0 -- float </code></pre><p>Get/Set the width of the rectangular cross-section in the viewport.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.Viewport_Angle2 Float default: 0.0 -- float </code></pre><p>Get/Set the angle of the rectangular cross-section in the viewport.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.Viewport_LockAspect BooleanClass default: false -- boolean; Viewport_Lock_Aspect </code></pre><p>Toggle the Aspect Lock on and off. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h3 id=\"auto-smooth\">Auto Smooth</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.Autosmooth BooleanClass default: true -- boolean </code></pre><p>Toggle Auto Smooth on and off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Renderable_Spline&gt;.Threshold Float default: 30.0 -- angle </code></pre><p>Get/Set the Auto Smooth Threshold value.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:realWorldMapSizeInterface </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realWorldMapSize: boolean : Read|Write </code></pre><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Patch-and-Spline-Editing.html\">Patch and Spline Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";