var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3D46B85D-0A45-4467-A201-481624E504BF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SplineMirror : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SplineMirror - superclass: modifier; super-superclass:MAXWrapper - 7:1 - classID: #(1923908001L, 199498350L)</code></pre><p>Available in <strong>3ds Max 2018.2 and higher</strong>: A modifier that mirrors a spline.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SplineMirror() </code></pre><h2 id=\"properties\">Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMirror&gt;.axis Integer default: 0 -- integer</code></pre><p>The mirror axis, where:</p>\n\
<ul>\n\
<li>0 = X</li>\n\
<li>1 = Y</li>\n\
<li>2 = Z</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMirror&gt;.Flip BooleanClass default: false -- Boolean</code></pre><p>If true, the symmetry effect is inverted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMirror&gt;.Mirror SubAnim default: SubAnim:Mirror -- transform; </code></pre><p>The mirrored spline gizmo. See below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMirror&gt;.ShowKnots BooleanClass default: false -- boolean</code></pre><p>If true, the spline&apos;s knots are show in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMirror&gt;.slice BooleanClass default: true -- Boolean</code></pre><p>When true, causes the mirror gizmo to act as a slice plane when it is inside the spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMirror&gt;.tangents BooleanClass default: false -- Boolean</code></pre><p>When true, the mirror uses the outgoing tangents to create a smooth segment between the endpoints. This parameter is only used when <strong>weld</strong> is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMirror&gt;.threshold Float default: 0.1 -- animatable; float</code></pre><p>The threshold for welding vertices along the mirror axis, when <strong>weld</strong> is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMirror&gt;.weld BooleanClass default: true -- Boolean</code></pre><p>Determines whether vertices within the specified threshold are welded along the mirror axis.</p>\n\
<h2 id=\"-code-splinemirror-mirror-code-\"><code>SplineMirror.Mirror</code></h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SplineMirror.Mirror - superclass: MAXObject; super-superclass:Value - 3:3 - classID: #(8197L, 0L)</code></pre><p>The mirrored spline gizmo. The position and rotation of the gizmo affect the mirrored spline object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMirror.Mirror&gt;.Position Point3 default: [0,0,0] -- animatable; point3</code></pre><p>Gets or sets the spline mirror gizmo position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMirror.Mirror&gt;.Rotation Quat default: (quat 0 0 0 1) -- animatable; quat</code></pre><p>Gets or sets the spline mirror gizmo rotation matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMirror.Mirror&gt;.Scale Point3 default: [1,1,1] -- animatable; point3</code></pre><p>Gets or sets the spline mirror gizmo size. Note that this parameter does not affect the size of the mirrored spline object.</p>\n\
<h2 id=\"example\">Example</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- create a spline, add a mirror modifier\n\
c = circle()\n\
sm = SplineMirror()\n\
addmodifier c sm\n\
-- offset the mirrored spline\n\
sm.mirror.pos = [-15,0,0]</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Patch-and-Spline-Editing.html\">Patch and Spline Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";