var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9630ADA4-1E4D-4D86-937F-E63CE34BF232\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>HSDS_Modifier - superclass: modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">HSDS_Modifier - superclass: modifier; super-superclass:MAXWrapper - 15:0 - classID: #(341062, 28997) </code></pre><p><img src=\"./images/GUID-71A669E4-727C-4692-B334-38908C68373F-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">HSDS_Modifier ... HSDS ... </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <strong>HSDS_Modifier</strong> class is exposed as <strong>HSDS</strong> in <strong>3ds Max 5 and higher</strong>. Both the old and the new constructor will work, so existing scripts should remain compatible. Testing the class using classof will return true for both <strong>HSDS_Modifier</strong> and <strong>HSDS</strong>. Also note that there are a couple of new properties in <strong>3ds Max 5 and higher</strong> described at the bottom of the Properties list.</div>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.levelOfDetail Integer default: 0 -- integer; LOD </code></pre><p>Shows the current level of the subdivision hierarchy. Automatically increments when you subdivide a sub-object selection. To edit at a different level of detail, change the setting to the desired level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.matId Integer default: 1 -- integer; Material_Id </code></pre><p>Displays the material ID assigned to the current selection. Available only in Polygon and Element sub-object modes. If multiple sub-objects are selected and they don&apos;t share an ID, this field is blank.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.ignoreBackface Boolean default: false -- boolean; Ignore_Backface </code></pre><p>When on, you can select only those sub-objects whose normals are visible in the viewport. When off (the default), selection includes all sub-objects, regardless of the direction of their normals.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.useSoftSel Boolean default: false -- boolean; Use_Soft_Selection </code></pre><p>These controls let you set a gradual falloff of influence between selected and unselected vertices. See Soft Selection Rollout (Edit/Editable Mesh).</p>\n\
<p>Vertex Interpolation rollout</p>\n\
<p>Determines how selected vertices are treated during subdivision. Available only in Vertex sub-object mode.</p>\n\
<p>For best results, use when moving control grid vertices at a level of detail lower than the highest in which the vertex resides.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.useEdgeDist Boolean default: false -- boolean; Use_Edge_Distance </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.affectBackface Boolean default: false -- boolean; Affect_Backface </code></pre><p>When on, deselected sub-objects whose normals (or, in the case of vertices and edges, the normals of faces to which they&apos;re attached) are facing in the opposite direction to the average normal of the selected sub-objects, are affected by the soft selection influence. Turn off Affect Backfacing when you want to pull faces of a thin object, such as a thin box, but don&apos;t want to affect faces on the other side of the object.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Affect Backfacing is not available when editing splines.</p>\n\
<p>When using Edit/Editable Mesh, you can also use the keyboard shortcut <strong>Ctrl+F</strong> to toggle Affect Backfacing (while the Keyboard Shortcut Override Toggle button is turned on).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.edgeDistance Integer default: 1 -- integer; Edge_Dist </code></pre><p>This spinner setting limits the region affected by the number of edges between the selection and the affected vertices. The affected region is measured in terms of &quot;edge-distance&quot; space, along the surface, rather than real space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.falloff Float default: 20.0 -- float </code></pre><p>Distance in current units from the center to the edge of a sphere defining the affected region. Use higher falloff settings to achieve more gradual slopes, depending on the scale of your geometry. Default=20.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>At the Vertex sub-object level, the region specified by the Falloff setting is depicted graphically in the viewports as a vertex-color gradient from the Sub-selection color (normally red) to the Vertex Ticks color (normally blue). In addition, this gradient is updated in real time as you change the Falloff setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.pinch Float default: 0.0 -- float </code></pre><p>Raises and lowers the top point of the curve along the vertical axis. Sets the relative &quot;pointedness&quot; of the region. When negative, a crater is produced instead of a point. At a setting of 0, Pinch produces a smooth transition across this axis. Default=0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.bubble Float default: 0.0 -- float </code></pre><p>Expands and contracts the curve along the vertical axis. Sets the relative &quot;fullness&quot; of the region. Limited by Pinch, which sets a fixed starting point for Bubble. A setting of 0 for Pinch and 1.0 for Bubble produces a maximum smooth bulge. Negative values for Bubble move the bottom of the curve below the surface, creating a &quot;valley&quot; around the base of the region. Default=0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.vertexType Integer default: 0 -- integer; Vertex_Type] </code></pre><p>Standard/Conic/Cusp/Corner:</p>\n\
<p>Determines how closely mesh vertices follow the movement of control grid vertices. Standard provides the least amount of relative movement, while Cusp and Corner provide the most. Corner also more closely matches mesh edges to the control grid edges attached to the moved vertex. Default=Standard.</p>\n\
<p><strong>The following additional properties have been exposed in 3ds Max 5:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.crease Float default: 0.0 -- float </code></pre><p>Controls the Edge Crease value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.displayLevel Integer default: 0 -- integer; Display_Level </code></pre><p>Returns the current display level</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.onlyCurrentLevel Boolean default: false -- boolean; Only_Current_Level </code></pre><p>When set to true, only the current level will be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.smoothResult Boolean default: true -- boolean; Smooth_Result </code></pre><p>When set to true, the resulting mesh will be smoothed.</p>\n\
<blockquote>\n\
<p>   <strong>REMOVED:</strong></p>\n\
<p>   The following property was available in <strong>3ds Max 4</strong> but is <strong>not</strong> available in <strong>3ds Max 5 and higher</strong>:</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HSDS_Modifier&gt;.shadedLattice Boolean default: false -- boolean; Shaded_Lattice </code></pre><p>Displays only polygons at the current level of detail, with highlights, but without smoothing. Use this option to speed up the display when working with complex objects. Default=off.</p>\n\
<p><strong>HSDS_Modifier interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: hsdsOps </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;subdivide() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;deletePolygon() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;hide() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;showAll() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;createNamedSelection &lt;string&gt;name </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;activateNamedSelection &lt;string&gt;name </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addDetail &lt;float&gt;length&lt;float&gt;angle </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;removeDetail &lt;float&gt;length&lt;float&gt;angle </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setDetailPrecision &lt;float&gt;p </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Subdivision-Surfaces.html\">Subdivision Surfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"TurboSmooth-Modifier.html\">TurboSmooth : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"MeshSmooth-Modifier.html\">MeshSmooth : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"Quadify_Mesh-Modifier.html\">Quadify_Mesh : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"Subdivide-Modifier.html\">Subdivide : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../Mesh-Editing/Tessellate-Modifier.html\">Tessellate : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";