var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-64A3EF45-68E1-4FEA-BA90-F3786FB291D9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Weighted_Normals : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Weighted_Normals - superclass: modifier; super-superclass:MAXWrapper - 13:0 - classID: #(1111163945L, 1204446107L); creatable: true</code></pre><p>A modifier that adds additional surface calculations to an object.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong>\n\
<strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Weighted_Normals ...\n\
WeightedNormalsMod ...</code></pre><p><strong>Example:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">t = teapot()\n\
my_weighted_normals = Weighted_Normals()\n\
addModifier t my_weighted_normals\n\
my_weighted_normals.useAngleWeight = true\n\
my_weighted_normals.useAreaWeight = true\n\
my_weighted_normals.displayNormals = true\n\
my_weighted_normals.normalLength = 20\n\
my_weighted_normals.smoothingCoeff = 0.5</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Weighted_Normals&gt;.blendingCoeff     Float    default: 1.0   --  animatable; float</code></pre><p>The blending coefficient, which can be in the range of 0.0 to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Weighted_Normals&gt;.boundaryCoeff     Float    default: 0.5   --  float</code></pre><p>The hard edge blending coefficient, which can be in the range of 0.0 to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Weighted_Normals&gt;.displayNormals     BooleanClass    default: false   --  boolean</code></pre><p>Gets or sets whether to display normals in the viewport. The appearance of the normals is also affected by the <code>normalLength</code> property (below). Normals are only displayed when the modified object is selected in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Weighted_Normals&gt;.hardEdgeAngle     Float    default: 30.0   --  animatable; float</code></pre><p>Gets or sets the <strong>By Edge Angle</strong> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Weighted_Normals&gt;.normalLength     Float    default: 10.0   --  worldUnits</code></pre><p>Gets or sets the normals <strong>Display Length</strong>. Normals are only actually displayed if <code>displayNormals</code> is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Weighted_Normals&gt;.relaxationCoeff     Float    default: 0.5   --  float</code></pre><p>Gets or sets the relaxation coefficient. Note that this property is not exposed in the modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Weighted_Normals&gt;.smoothingCoeff     Float    default: 0.0   --  animatable; float</code></pre><p>Gets or sets the <strong>Smoothing</strong> value, in the range of 0.0 to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Weighted_Normals&gt;.smoothingIterLimit     Integer    default: 10   --  animatable; integer</code></pre><p>Gets or sets the maximum number of iterations for the smoothing process.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Weighted_Normals&gt;.useAngleWeight     BooleanClass    default: true   --  boolean; UseAngleWeighting</code></pre><p>Gets or sets whether to enable weighting based on face corner angle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Weighted_Normals&gt;.useAreaWeight     BooleanClass    default: true   --  boolean; UseAreaWeighting</code></pre><p>Gets or sets whether to enable weighting based on face area.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Weighted_Normals&gt;.useConvexAngle     BooleanClass    default: true   --  boolean</code></pre><p>Gets or sets the convex angle flag. When true, the convex angle between edges is used for the angle weighting at a concave corner, otherwise, the concave angle is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Weighted_Normals&gt;.useHardEdgeAngle     BooleanClass    default: false   --  boolean</code></pre><p>Gets or sets whether to enable the <strong>Hard Edge Blending</strong> value (the <code>hardEdgeAngle</code> value).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Weighted_Normals&gt;.useSmoothingGroups     BooleanClass    default: false   --  boolean</code></pre><p>Toggles the <strong>Use Smoothing Groups</strong> setting.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Surface-Modifiers.html\">Surface Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";