var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6FA5A485-27B1-4A7D-8A63-D2ADA96C904C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Unwrap_UVW Modifier - Group</h1></div><p>The following properties and methods expose the Element Grouping functionality to MAXScript.</p>\n\
<p><img src=\"./images/GUID-DED71551-56BA-461B-A5DB-CCA60BF1C75A-low.bmp\" alt></p>\n\
<h2 id=\"group\">Group</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Unwrap_UVW&gt;.groupName ArrayParameter default: #() -- string array</code></pre><p>Gets/sets the array of name strings, one element per defined group.</p>\n\
<p>When a group is deleted, its entry on the array will be replaced with a stand-in name &quot;--EMPTYENTRY--&quot;.</p>\n\
<p>Setting the array or its elements to new values effectively renames the corresponding Groups.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Unwrap_UVW&gt;.groupDensity ArrayParameter default: #() -- float array</code></pre><p>Gets/sets the array of group densities.</p>\n\
<p>The array will not be resized when a Group is deleted.</p>\n\
<p>Replacing the array or its elements with new float values effectively replaces the Density values of the respective Groups.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    --Assuming there are already 3 Groups created using the UI,\n\
   $.modifiers[#Unwrap_UVW].groupName --See what the names are...\n\
   --&gt; #(&quot;__INTERNALCLUSTER_0&quot;, &quot;__INTERNALCLUSTER_1&quot;, &quot;__INTERNALCLUSTER_2&quot;)\n\
   $.modifiers[#Unwrap_UVW].groupName[2] = &quot;Test&quot; --Replace second name\n\
   --&gt;OK\n\
   $.modifiers[#Unwrap_UVW].groupName --Check to see the result\n\
   --&gt; #(&quot;__INTERNALCLUSTER_0&quot;, &quot;Test&quot;, &quot;__INTERNALCLUSTER_2&quot;)\n\
   $.modifiers[#Unwrap_UVW].groupDensity --Look at the Density array\n\
   --&gt; #(1.0, 1.0, 1.0)\n\
   $.modifiers[#Unwrap_UVW].groupDensity = #(0.8, 0.9, 0.95) --Replace all\n\
   --&gt; OK\n\
   $.modifiers[#Unwrap_UVW].groupDensity --Look again...\n\
   --&gt; #(0.8, 0.9, 0.95)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Unwrap_UVW&gt;.groupDisplay BooleanClass default: false -- boolean</code></pre><p>Gets/sets the Group Display state.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupCreate &lt;string&gt;name</code></pre><p>Creates a Group with the specified name by expanding the current map faces selection to element selection.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupDelete &lt;string&gt;name</code></pre><p>Deletes the Group with the given name, if it exists. Otherwise, does nothing.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupRename &lt;string&gt;name &lt;string&gt;newName</code></pre><p>Renames the group specified by the first argument to the name specified by the second argument.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupSelect &lt;string&gt;name</code></pre><p>Selects the group with the given name.</p>\n\
<p>The name must be one of the existing group names as returned by the <code>.groupName</code> property.</p>\n\
<p>If the provided name does not exist, this method does nothing.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupCreateBySelection()</code></pre><p>Creates a group from the current map faces selection by expanding it to element.</p>\n\
<p>The group will be named automatically according to the pattern &quot;__INTERNALCLUSTER_N&quot;, where N is a next free 0-based group index.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupDeleteBySelection()</code></pre><p>Deletes the Group containing the element the currently selected map faces are part of (if any).</p>\n\
<p>Equivalent to clicking the &quot;Ungroup Selected&quot; icon in the &quot;Element Properties&quot; rollout of the Edit UVWs Floater panel.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupSelectBySelection()</code></pre><p>Selects the group the currently selected map faces are part of (if any).</p>\n\
<p>Equivalent to clicking the &quot;Select Group&quot; icon in the &quot;Element Properties&quot; rollout of the Edit UVWs Floater panel.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.GroupGetTexelDensity()</code></pre><p>Returns the Group Texel Density as a float.</p>\n\
<p>Corresponds to the value in the &quot;Rescale Priority&quot; spinner in the &quot;Element Properties&quot; rollout of the Edit UVWs Floater panel.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.GroupSetTexelDensity &lt;float&gt;value</code></pre><p>Sets the Texel Density of the curently selected Group to the specified floating point value.</p>\n\
<p>Corresponds to setting the value in the &quot;Rescale Priority&quot; spinner in the &quot;Element Properties&quot; rollout of the Edit UVWs Floater panel.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";