var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E03DD372-9EBE-4F1D-9446-F8AD153492FE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>World Space Modifiers - Force-Related Methods</h1></div><p>The following methods can be used to calculate forces defined by World Space Modifiers (Space Warps).</p>\n\
<p>These methods are available in <strong>3ds Max 2008</strong> and higher. They were previously available in the <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WSMApplyFC &lt;WSM_node_array&gt; &lt;pos_point3_array&gt; &lt;vel_point3_array&gt; &lt;force_point3_array&gt; interval:&lt;interval&gt; stepsize:&lt;time&gt;</code></pre><p>Applies force-field (Particles &amp; Dynamics + Displace) and deflector (Particles Only) type Space Warps to the position, velocity, and force array values.</p>\n\
<h2 id=\"units-\">Units:</h2><p>The position values are in <strong>3ds Max</strong> units, the velocity values are in <strong>3ds Max</strong> units/tick, the force values are in <strong>3ds Max</strong> units/tick^2 (mass assumed to be == 1).</p>\n\
<p>The position, velocity, and force arrays must be the same size.</p>\n\
<h2 id=\"evaluation-interval-and-order-\">Evaluation Interval and Order:</h2><p>The effects of the space warps are evaluated over the specified interval, with a default interval of (interval currenttime (currenttime+1f)), using the specified stepsize, with a default of 1 frame.</p>\n\
<p>The effect of the force-field space warps are first evaluated in the order specified, followed by the deflector space warps in the order specified.</p>\n\
<p>The values in the position, velocity, and force arrays are replaced with the results of the evaluation of the effects of the space warps</p>\n\
<p>The supplied force values are applied prior to the space warps being applied.</p>\n\
<h2 id=\"initial-values-\">Initial Values:</h2><p>Normally you want to set the force array to contain values of [0,0,0] prior to calling this method. Only if you are calculating an additional force in your script would you set the force array to other values. The position and velocity arrays would normally contain the results of the last call to this method.</p>\n\
<h2 id=\"supported-space-warps-\">Supported Space Warps:</h2><p>Any force-field space warp, including 3rd party plug-ins, should work correctly.</p>\n\
<p>Only the deflector space warps that ship with 3ds Max are supported.</p>\n\
<p>The Path Follow space warp is not supported as it requires a particle system.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE USAGE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   resetMaxFile #noPrompt\n\
   gravity pos:[41.7827,242.9,0] isSelected:on iconSize:33.4742 transform:(matrix3 [1,0,0] [0,-1,0] [0,0,-1] [41.7827,242.9,0])\n\
   Deflector bounce:1 width:101.617 length:74.9636 transform:(matrix3 [1,0,0] [0,0.751713,0.659491] [0,-0.659491,0.751713] [16.7722,4.28949,-146.329])\n\
   posArray=#([10,0,0],[10,10,0])\n\
   velArray=#([0,0,0],[0,0,0])\n\
   forceArray=#([0,0,0],[0,0,0])\n\
   for i = 0 to 40 do(\n\
   point pos:posArray[1] wirecolor:red\n\
   point pos:posArray[2] wirecolor:blue\n\
   at time i WSMApplyFC #($gravity001,$deflector001) posArray velArray forceArray\n\
   )\n\
   )\n\
</code></pre><p>   <img src=\"./images/GUID-806D2A79-D555-42D1-9895-D7574229DFA1-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WSMSupportsForce &lt;node&gt;      </code></pre><p>Returns true if the specified node can be used as a force-field type space warp for <code>WSMApplyFC()</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WSMSupportsCollision &lt;node&gt;   </code></pre><p>Returns true if the specified node can be used as a deflector type space warp for <code>WSMApplyFC()</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../SpaceWarp-Related-MAXScript.html\">SpaceWarp-Related MAXScript Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";