var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-52D65D9D-C3D7-4438-868A-A1C5E10DFCF2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSSurfaceApproximation : Value</h1></div><p>Instances of this class contain a complete surface approximation setting that can be used to set the approximation for NURBS objects described by NURBSSet values or directly in existing NURBS scene node. You use the <code>setViewApproximation()</code> and <code>setRenderApproximation()</code> functions on existing scene nodes and the <code>.viewApproximation</code> and <code>.renderApproximation</code> properties on NURBSSet values.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSSurfaceApproximation [&lt;property&gt;:&lt;val&gt;]...      </code></pre><p>Any of the object&apos;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsset&gt;.viewApproximation &lt;nurbsset&gt;.     renderApproximation </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.config :  #isoOnly, #isoAndMesh, #meshOnly </code></pre><p>This property determines what is displayed in the interactive or scanline renderer.</p>\n\
<p>If <code>#isoOnly</code> is specified, only Iso lines are displayed. Iso (parametric) lines are similar to contour lines. The lines show where the NURBS surface has a constant U or V value or both. Iso line representations can be less crowded and easier to visualize than wire mesh representations.</p>\n\
<p>If <code>#isoAndMesh</code> is specified, Iso lines and the mesh are displayed. When chosen, wireframe viewports display iso line representations of the surface, and shaded viewports display the shaded surface.</p>\n\
<p>If <code>#meshOnly</code> is specified, just the mesh is displayed. When chosen, wireframe viewports display the surface as a wire mesh, and shaded viewports display the shaded surface. In wireframe viewports, this option lets you see the curve approximation used for viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.isoULines : integer </code></pre><p>This is used with the ISO line display. This is the number of additional interior iso lines in U (there are always lines along the outer edges).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.isoVLines : integer </code></pre><p>This is used with the ISO line display. This is the number of additional interior iso lines in V (there are always lines along the outer edges).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.meshUSteps : integer </code></pre><p>This is used for parametric tessellation. This is the number of tessellations in U. This is the number of sub-divisions for a knot span for the surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.meshVSteps : integer </code></pre><p>This is used for parametric tessellation. This is the number of tessellations in V. This is the number of sub-divisions for a knot span for the surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.meshApproxType :#parametric, #spatial, #curvature, #regular, #spatialAndCurvature </code></pre><p>This property controls the type of surface tessellation.</p>\n\
<p>If <code>#parametric</code> is specified, parametric tessellation is performed. This provides for a fixed number of <code>meshUSteps</code> by <code>meshVSteps</code> tessellations. There are <code>meshUSteps</code> times <code>meshVSteps</code> quadrilaterals and each one is split up into two triangles.</p>\n\
<p>If <code>#spatial</code> is specified, spatial tessellation is performed. This uses <code>spacialEdge</code> as its parameter. This specifies that the size of the tessellation will be the <code>spacialEdge</code> length. In view dependent tessellation <code>spacialEdge</code> is specified in pixels.</p>\n\
<p>If <code>#curvature</code> is specified, view dependent tessellation is performed. This uses the <code>curvatureAngle</code> and <code>curvatureDistance</code> property values.</p>\n\
<p>If <code>#regular</code> is specified, a fixed, regular tessellation across the surface is performed.</p>\n\
<p>If <code>#spatialAndCurvature</code> is specified, a tessellation method which combines the spatial and curvature methods is used. This uses the <code>spacialEdge</code> , <code>curvatureAngle</code> , and <code>curvatureDistance</code> property values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.spacialEdge : float </code></pre><p>This is the length of an edge to use in spatial ( <code>#spatial</code> ) tessellation. In view dependent tessellation this is specified in pixels. If not in view dependent tessellation this is a percentage of the bounding box diagonal length.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.curvatureAngle : float </code></pre><p>This is used in curvature dependent tessellation ( <code>#curvature</code> ). If 0.0 is specified this is ignored. If specified this ensures that no two adjacent face normals exceed this angle between them. This value is specified in radians.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.curvatureDistance : float </code></pre><p>This is used in curvature dependent tessellation ( <code>#curvature</code> ). If 0.0 is specified this is ignored. This specifies a distance that cannot be exceeded between a vertex on the mesh and the mathematical surface. This is defined as a percentage of the diagonal of the bounding box of the individual surface in object space. For instance if this was set to 1.0, the allowable error in generating a tessellation would be 1% of the bounding box diagonal distance of the surface. This would be 1/100 (1%) of the diagonal distance of the bounding box. In this way if an object is scaled the tessellation remains the same. Additionally, if you have an object with a big surface and a little surface, the smaller surface will get tessellated more finely because its own bounding box is used. This prevents the smaller surface from just becoming a single triangle for example.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.viewDependent : boolean </code></pre><p>Specifies if this is view dependent tessellation. If <code>true</code> this will tessellate less finely the farther away from the camera the object is. If <code>false</code> the tessellation does not change based on distance from the camera.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.merge : float </code></pre><p>Controls the tessellation of surface sub-objects whose edges are joined or very nearly joined. When input to a modifier (such as Mesh Select) requires a mesh, and when NURBS surfaces are tessellated for production rendering, by default the software adjusts the tessellation of adjoining surfaces to match each other, in terms of the number of faces along the edges. The Merge parameter controls how this is done. If Merge is zero, adjoining faces are unchanged. Increasing the value of Merge increases the distance the software uses to calculate how edges should match, guaranteeing no gaps between the surfaces when they are rendered. Default is 0.0.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.subdivStyle : name </code></pre><p>Get/Set the Subdivision style in the Advanced Surface Approximation dialog. Possible values are <code>#tree, #grid, #delaunay</code> .</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.minLevels : float </code></pre><p>Get/Set the minimum number of Subdivision levels in the Advanced Surface Approximation dialog.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.maxLevels : float </code></pre><p>Get/Set the maximum number of Subdivision levels in the Advanced Surface Approximation dialog.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurfaceapproximation&gt;.maxTris : integer </code></pre><p>Get/Setthe maximum number of triangles in the Advanced Surface Approximation dialog.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBS-Associated-Classes.html\">NURBS Associated Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";