var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-62CA024E-3DF7-48A9-ACF3-256A0F2DE52A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSBlendSurface : NURBSSurface</h1></div><p>This class defines a dependent Blend surface. A Blend surface connects the edge of one surface to the edge of another, blending the curvature of the parents to create a smooth surface between them. You can also blend from a surface to a curve, or from a curve to a curve.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSBlendSurface [&lt;property&gt;:&lt;val&gt;]...      </code></pre><p>Any of the object&apos;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getObject &lt;nurbsset&gt; &lt;index&gt;   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsblendsurface&gt;.parent1 : integer </code></pre><p>The 1 st parent by NURBSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsblendsurface&gt;.parent1ID : integer </code></pre><p>The 1 st parent by NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsblendsurface&gt;.parent2 : integer </code></pre><p>The 2 nd parent by NURBSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsblendsurface&gt;.parent2ID : integer </code></pre><p>The 2 nd parent by NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsblendsurface&gt;.edge1 : integer </code></pre><p>Which edge of the 1 st parent surface is used for the blend. The property&#x2019;s value is one of the following:</p>\n\
<p>1: The low U edge</p>\n\
<p>2: The high U edge</p>\n\
<p>3: The low V edge</p>\n\
<p>4: The high V edge</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsblendsurface&gt;.edge2 : integer </code></pre><p>Which edge of the 2 nd parent surface is used for the blend.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsblendsurface&gt;.flip1 : boolean </code></pre><p>Controls the matching of parent surface normals when creating the Blend surface. For example, normally when you create a Blend surface between two parent surfaces you don&apos;t want a &apos;bow tie&apos; surface (one with the ends rotated 180 degrees so it crosses on itself in the middle). If you simply match the parent normals you&apos;ll occasionally get a &apos;bow tie&apos; surface. To prevent this you use this property to set a state indicating that one or the other should be flipped before it&apos;s used. In this way, when the blend is created, a &apos;bow tie&apos; won&apos;t occur. If <code>true</code> , the 1 st parent&#x2019;s surface normal will be matched; if <code>false</code> the 1 st parent&#x2019;s surface normal will not be matched.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsblendsurface&gt;.flip2 : boolean </code></pre><p>If <code>true</code> , the 2 nd parent&#x2019;s surface normal will be matched; if <code>false</code> the 2 nd parent&#x2019;s surface normal will not be matched.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsblendsurface&gt;.tension1 : float </code></pre><p>The tension value for the 1 st parent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsblendsurface&gt;.tension2 : float </code></pre><p>The tension value for the 2 nd parent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsblendsurface&gt;.curveStartPoint1 : float &lt;nurbsblendsurface&gt;.curveStartPoint2 : float </code></pre><p>Adjusts the position of the start point at the two edges of the blend. Adjusting the start points can help eliminate unwanted twists or &quot;buckles&quot; in the surface. These values are not applicable if the edges or curves are not closed.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getParent &lt;nurbsblendsurface&gt; &lt;index&gt; setParent &lt;nurbsblendsurface&gt; &lt;index&gt; &lt;curve&gt; </code></pre><p>Get or set a parent by NURBSSet index. <code>&lt;index&gt;</code> = 1 - parent 1; 2 - parent 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getParentID &lt;nurbsblendsurface&gt; &lt;index&gt; setParentID &lt;nurbsblendsurface&gt; &lt;index&gt; &lt;curveID&gt; </code></pre><p>Get or set a parent by NURBSId. <code>&lt;index&gt;</code> = 1 - parent 1; 2 - parent 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getEdge &lt;nurbsblendsurface&gt; &lt;index&gt; setEdge &lt;nurbsblendsurface&gt; &lt;index&gt; &lt;edge&gt; </code></pre><p>Get or set which edge of the parent surface is used for the blend. <code>&lt;index&gt;</code> = 1 - parent 1; 2 - parent 2. See the <code>edge1</code> property description for the <code>&lt;edge&gt;</code> value description.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBSSurface-Classes.html\">NURBSSurface Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"NURBSSurface-NURBSObject.html\">NURBSSurface : NURBSObject</a></li>\n\
          <li><a class=\"link\" href=\"../NURBSObject-Values.html\">NURBSObject Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";