var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D7886969-62A7-4BB2-B8CC-B9F00D3F629C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSULoftSurface : NURBSSurface</h1></div><p>This class defines a dependent U Loft surface. A U Loft surface interpolates a surface across multiple curve sub-objects. The curves become U-axis contours of the surface.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSUloftSurface [&lt;property&gt;:&lt;val&gt;]...      </code></pre><p>Any of the object&apos;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getObject &lt;nurbsset&gt; &lt;index&gt;   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsuloftsurface&gt;.numCurves : integer </code></pre><p>The number of curves used by the U Loft.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCurve &lt;nurbsuloftsurface&gt; &lt;index&gt; </code></pre><p>Gets the NURBSSet index of the indexed U Loft curve; curve indexes are 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setCurve &lt;nurbsuloftsurface&gt; &lt;index&gt; &lt;curve&gt; </code></pre><p>Sets the indexed U Loft curve to the curve specified by the NURBSSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCurveID &lt;nurbsuloftsurface&gt; &lt;index&gt; </code></pre><p>Gets the NURBSId of the indexed U Loft curve in the loft; curve indexes are 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setCurveByID &lt;nurbsuloftsurface&gt; &lt;index&gt; &lt;curveID&gt; </code></pre><p>Sets the indexed U Loft curve to the curve specified by the NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendCurve &lt;nurbsuloftsurface&gt; &lt;curve&gt; [flip:&lt;boolean&gt;] [startPoint:&lt;float&gt;] [tension:&lt;float&gt;] [useTangent:&lt;boolean&gt;] [flipTangent:&lt;boolean&gt;]</code></pre><p>Adds a curve to the end of the list of U Loft curves by specifying the NURBSSet index. If <code>flip:true</code> is specified, the interpretation of the start and end of the curve to be reversed. <code>startPoint:</code> specifies the start point on the curve. This value is only applicable if the curve is closed. <code>tension:</code> specifies the tension of the curve. If <code>useTangent:true</code> is specified and the curve is a curve on surface, causes the U Loft to use the tangency of the surface. This can help blend a loft smoothly onto a surface. If <code>flipTangent:true</code> is specified, the tangent is flipped for the curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendCurveByID &lt;nurbsuloftsurface&gt; &lt;curveID&gt; [flip:&lt;boolean&gt;] [startPoint:&lt;float&gt;] [tension:&lt;float&gt;] [useTangent:&lt;boolean&gt;] [flipTangent:&lt;boolean&gt;] </code></pre><p>Adds a curve to the end of the list of U Loft curves by specifying the NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFlip &lt;nurbsuloftsurface&gt; &lt;index&gt; \n\
setFlip &lt;nurbsuloftsurface&gt; &lt;index&gt; &lt;boolean&gt; </code></pre><p>Get or set the flip state of the indexed U Loft curve; <code>true</code> causes the interpretation of the start and end of the curve to be reversed, used to control twisting in the loft.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBSSurface-Classes.html\">NURBSSurface Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"NURBSSurface-NURBSObject.html\">NURBSSurface : NURBSObject</a></li>\n\
          <li><a class=\"link\" href=\"../NURBSObject-Values.html\">NURBSObject Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";