var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B8218069-D360-4139-AB8A-FB78292A0839\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with the NURBS Classes</h1></div><p>Unlike other parts of MAXScript that let you script <strong>3ds Max</strong> scene objects directly, the NURBS family of classes provides an indirect means of working with <strong>3ds Max</strong> NURBS objects. They allow you to build an idealized structure representing <strong>3ds Max</strong> NURBS objects and then use this structure to either create new or add to scene NURBS objects or to access certain parts of existing scene objects.</p>\n\
<p>The structure is made up of instances of the MAXScript NURBS classes, listed in <a href=\"The-NURBS-Classes/The-NURBS-Classes-1.html\">NURBS Classes</a>. The main class for this is <code>NURBSSet</code> . It is the structure that corresponds to a scene NURBS object and contains a collection of NURBS items such as curves, surfaces, dependent surfaces, points, and so on, which are themselves instances of the other MAXScript NURBS classes. You construct a NURBSSet object describing a NURBS object and then have it be instantiated as a real scene object. Conversely, you can ask for a NURBSSet to be created that corresponds to a given scene NURBS object and use it to examine the component NURBS items and to modify certain properties directly on the scene object it describes.</p>\n\
<p><strong>Parameter Validity</strong></p>\n\
<p>The <strong>3ds Max</strong> NURBS SDK methods and the corresponding MAXScript methods and properties perform very little parameter validation. As a result, passing invalid parameters to the functions or accessing invalid ranges will generate Assertion Failures easily. In most cases <strong>3ds Max</strong> will not crash if Retry or Ignore is selected. An example of this is:</p>\n\
<ol>\n\
<li><p>Create a CV surface and select it.</p>\n\
</li>\n\
<li><p>Enter in MAXScript:</p>\n\
</li>\n\
</ol>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s = getnurbsset $ #relational\n\
obj = getobject s 1\n\
tess = getviewtess obj #displacement\n\
</code></pre><p>This is invalid because the viewport does not support displacement approximation, only the production renderer does. Therefore, this will generate an Assertion Failure.</p>\n\
<p><strong>NURBSId&apos;s and Indexes</strong></p>\n\
<p>An important concept to understand when working with NURBSSets and the other NURBS classes, is the way you identify component items in the set. Before a NURBSet is instantiated as a scene NURBS object, the individual curves and points and surfaces are identified by an index number. As you append objects to the set they are assigned successive indexes, starting at 1. When you want to refer to a particular item, for example to specify the parent surfaces in a blend surface, you use this index. Once an object has been added to a NURBSSet, its index can determined through the <code>.index</code> property. This is a read-only property.</p>\n\
<p>However, once a NURBSet is associated with a scene object, either by being instantiated or because it was directly created from an existing scene object, this index is <strong>no longer valid</strong>. Instead, a different number, called a <code>NURBSId</code> , is assigned to each item and you must use that Id when referring to items from then on. The NURBSId of any item in an instantiated NURBSSet can be obtained through the <code>.NURBSId</code> property on that object.</p>\n\
<p>These identifiers, indexes or NURBSId&apos;s, are used in many places to specify the parent objects for other dependent objects. Often, these are specified using the <code>.parent</code> or <code>.parentID</code> properties on a dependent object. You must be sure to use the correct property depending on whether the containing NURBSSet has been associated with a scene object or not: <code>.parent</code> for non-associated NURBSSets, <code>.parentID</code> for associated NURBSSets. Remember that indexes used in <code>.parent</code> settings are 1-based.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBS.html\">NURBS</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";