var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D1D7EB56-A370-4B07-99B4-BC779FB87CAF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Common Methods</h1></div><p>The following methods are applicable to any value that is derived from a Node.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Topics Navigation:</th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><a href=\"Node-Common-Methods.html\"\">General Node Methods</a><br> <a href=\"Node-Common-Methods.html\"\">Miscellaneous Node Methods</a> <br><a href=\"Node-Common-Methods/Node-Render-Related-Methods.html\">Node Render-Related Methods</a><br> <a href=\"Node-Common-Methods/Node-Group-Related-Methods.html\">Node Group-Related Methods</a><br> <a href=\"Node-Common-Methods/Node-Viewport-State-Methods.html\">Node Viewport State Methods</a><br> <a href=\"Node-Common-Methods/Node-Selection-Methods.html\">Node Selection Methods</a><br> <a href=\"Node-Common-Methods/Modifier-Stack-Related-Methods.html\">Node Modifier Stack Related Methods</a><br> <a href=\"Node-Common-Methods/Node-Modifier-Transform-Context.html\">Node Modifier Transform Context Methods</a></td>\n\
<td><a href=\"Node-Common-Methods/Node-Deformable-Methods.html\">Node Deformable Methods</a><br> <a href=\"Node-Common-Methods/Node-Bounding-Box-Methods.html\">Node Bounding Box Methods</a><br> <a href=\"Node-Common-Methods/Node-Conversion-Methods.html\">Node Conversion Methods</a><br> <a href=\"Node-Common-Methods/Node-Utility-Methods.html\">Node Utility Methods</a><br> <a href=\"Node-Common-Methods/Node-User-Properties-Methods.html\">Node User Properties Methods</a><br> <a href=\"Node-Common-Methods/Node-Inverse-Kinematics-Methods.html\">Node Inverse Kinematics Methods</a></td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"general-node-methods\">General Node Methods</h2><p>Most node methods are automatically <strong>mapped</strong> over node collections.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IsValidNode &lt;var&gt; </code></pre><p>Returns <code>true</code> if <code>&lt;var&gt;</code> is a node value, and the node has not been deleted. Otherwise, it returns <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">move &lt;node&gt; &lt;point3&gt; -- mapped \n\
scale &lt;node&gt; &lt;point3&gt; -- mapped \n\
rotate &lt;node&gt; &lt;angle&gt; &lt;axis_point3&gt; -- mapped -- angle in degrees \n\
rotate &lt;node&gt; &lt;quat&gt; -- mapped \n\
rotate &lt;node&gt; &lt;eulerangles&gt; -- mapped </code></pre><p>All the transform operations operate in the current working coordinate system. See <a href=\"./../../../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions.html\">Context Expressions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;node&gt; -- mapped \n\
reference &lt;node&gt; -- mapped \n\
instance &lt;node&gt; -- mapped </code></pre><p>All the clone operations can take any of the standard node creation optional keyword arguments that are applied after the node has been copied.</p>\n\
<p>These functions clone all the original node&apos;s transform controllers and keys, <strong>and</strong> the visibility controller and its keys if a visibility track has been assigned.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <a href=\"./../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxOps.cloneNodes</a> is the preferred way to copy, instance, or reference nodes. Node interdependencies are retained, and more of the node properties are copied across.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapshot &lt;node&gt; -- mapped </code></pre><p>This function provides functionality that is similar to the SnapShot tool in <strong>3ds Max</strong>. It generates a new node that contains a copy of the world-state mesh of the source <code>&lt;node&gt;</code> at the time that the snapshot is made. Any existing modifiers are collapsed out of the new node and the mesh snapshot accounts for any space warps that are currently applied. As with the clone methods (copy, reference, and instance,) you can add any of the standard node creation keyword arguments such as, <code>pos:</code> , <code>name:</code> , and others.</p>\n\
<p>The following example achieves an animation-based snapshot similar to the SnapShot tool in <strong>3ds Max</strong>:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for t in 0 to 100 do at time t snapshot $foo\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delete &lt;node&gt; -- mapped </code></pre><p>Deletes the specified node(s).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">instanceReplace &lt;dest_node&gt; &lt;src_node&gt; -- mapped \n\
referenceReplace &lt;dest_node&gt; &lt;src_node&gt; -- mapped </code></pre><p>Lets you turn existing nodes into instances and references to other nodes. You can use these, for example, to replace the geometry of one node with another, perhaps for implementing custom level-of-detail tools.</p>\n\
<p>The <code>&lt;dest_node&gt;</code> is turned into an instance or reference to the <code>&lt;src_node&gt;</code> . As a new instance, existing geometry and modifiers are removed and replaced by the <code>&lt;src_node&gt;</code> &apos;s, but all the node-related properties are kept such as, material, transform, visibility, name, and so on. As a new reference, the base object for the <code>&lt;dest_node&gt;</code> becomes the world-state of the <code>&lt;src_node&gt;</code> such that any changes to the <code>src_node</code> will affect the <code>&lt;dest_node&gt;</code> , but changes to the <code>&lt;dest_node&gt;</code> are local to it.</p>\n\
<p>It is possible to develop a custom scripted version of the File/Replace function with these functions and the <code>mergeMAXFile()</code> function by temporarily changing the name of a node in the current scene, merging in that named node from another, making the first node an instance of the newly merged node with <code>instanceReplace()</code> , deleting the newly merged node, and renaming the old node back again.</p>\n\
<p>Both these functions are collection mapped, so you can make a selection of objects (all instance) or reference the same object.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   instanceReplace $foo* $baz\n\
   --makes all the foo* objects be instances of baz&apos;s geometry\n\
   --and modifier stack.\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">areNodesInstances &lt;node&gt; &lt;node&gt; </code></pre><p>Returns <code>true</code> if the two nodes are instances.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   InstanceMgr.GetInstances $ &amp;rptInstances\n\
   trueInstances = for n in rptInstances where\\\n\
   (areNodesInstances $ n) collect n\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">attachObjects &lt;node1&gt; &lt;node2&gt; [move:&lt;boolean&gt; ] </code></pre><p>Makes <code>&lt;node2&gt;</code> a child of <code>&lt;node1&gt;</code> . Resets the current location of <code>&lt;node2&gt;</code> to the location of <code>&lt;node1&gt;</code> unless <code>move:false</code> is specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTMController &lt;node&gt; </code></pre><p>Returns the transform controller for the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;spacewarp_node&gt; </code></pre><p>Binds the scene node to the space warp object scene node. Space warp bindings show up in the modifier stack and can be accessed like any other modifier. Use the <strong>deleteModifier()</strong> function to unbind objects from space warps. See <a href=\"./../../Modifier-MAXWrapper-and/Modifier-MAXWrapper-and-1.html\">Modifier and SpacewarpModifier</a> for more information about working with the modifier stack.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPolygonCount &lt;node&gt; </code></pre><p>Returns a two element array containing the current number of faces for the node in the first element, and the current number of vertices for the node in the second element. The number of faces and vertices returned are the number that is present if the node was converted to a mesh object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isShapeObject &lt;node&gt; </code></pre><p>Returns <code>true</code> if the node is a shape object, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numSurfaces &lt;node&gt; </code></pre><p>Returns the number of parametric surfaces in the object. At the current time, Loft objects are the only objects where more than one surface is present (loft of a donut).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isSurfaceUVClosed &lt;node&gt; &lt;surface_index_integer&gt; </code></pre><p>Returns a two element array indicating if the parametric surface is closed in the U and V dimensions (a torus is closed in both U and V). Note that not all objects have this method implemented, and will return a default value of <code>#(true, true)</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTransformAxis (&lt;node&gt;|undefined) &lt;index&gt; </code></pre><p>Returns the transform axis of the indexed axis system of the node as a <code>&lt;matrix3&gt;</code> value. Normally, a node just has one transform axis. In some cases (like being in the Local Reference Coordinate System, in object SO mode, and having multiple SO selected), multiple transform axes exist. If index &gt; the number of transform axis, the transform for the first transform axis is returned.</p>\n\
<p>If the first argument is the value &apos;undefined&apos; (instead of a node), the viewport common axis is returned. If the Coordinate System Center (getCoordCenter()) is #local or the Reference Coordinate System (getRefCoordSys()) is #local, #parent, or #gimbal, the last calculated common axis is returned.</p>\n\
<p>The transform returned by this method can be used in an &quot;in coordsys&quot; context and an &quot;about&quot; context to move, rotate, or scale an object about the current <strong>3ds Max</strong> UI Reference Coordinate System and Center.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn axisRotate obj rotation =\n\
   ( \n\
   local axis\n\
   local objA =if classof obj == objectSet or classof obj == array then obj else #(obj)\n\
   if getCoordCenter() != #local then\n\
   ( \n\
   axis = getTransformAxis objA[1] 0\n\
   for obj1 in objA do in coordsys axis about axis rotate obj1 rotation\n\
   )\n\
   else\n\
   ( \n\
   for obj1 in objA do\n\
   ( \n\
   axis = getTransformAxis obj1 0\n\
   in coordsys axis about axis rotate obj1 rotation\n\
   )\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">invalidateTM &lt;node&gt; -- mapped </code></pre><p>Invalidates the node&apos;s transformation matrix cache.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">invalidateTreeTM &lt;node&gt; -- mapped </code></pre><p>Invalidates the node&apos;s transformation matrix cache and notifies the node&apos;s subtree that the transformation matrix has changed.</p>\n\
<p>The following MAXScript function can be used to force an update of an object whose transform is partially controlled by a scripted controller such as, a script controller on the position track:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mapped fn TMInvalidate obj =\n\
    ( at time(currenttime-1) obj.transform\n\
    nodeInvalRect obj\n\
    invalidateTreeTM obj\n\
    redrawViews()\n\
    )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNodeTM {&lt;node&gt; | &lt;rootnode&gt;} </code></pre><p>Returns the transformation matrix of the given node or root node as a Matrix3value. The root node might be the root node of an XRef Scene object. Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">invalidateWS &lt;node&gt; -- mapped </code></pre><p>Invalidates the node&apos;s world space cache.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNodeByName &lt;string&gt; exact:&lt;boolean&gt; ignoreCase:&lt;boolean&gt; all:&lt;boolean&gt; </code></pre><p>Returns the first node with the specified name. If <code>exact</code> is false (default), the normal MAXScript node name comparisons are performed.</p>\n\
<p><code>ignoreCase</code> specifies whether the comparisons must be case sensitive or not. When set to true, non-case-sensitive comparison is performed.</p>\n\
<p>If <code>all</code> is true, an array of nodes with the specified name is returned.</p>\n\
<p>Default is <code>exact:false ignoreCase:true all:false</code> .</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> When <strong>Fast Node Name Lookup</strong> is checked on the MAXScript tab of the <strong>3ds Max Preferences</strong> dialog, case sensitive comparisons are done first, case insensitive comparisons (if enabled) are done second, and then inexact matching (if enabled). If Fast Node Name Lookup is off, the first node found that matches the conditions is returned. So, if you have two nodes called &quot;AA&quot; and &quot;aa&quot;, and you use: <code>getnodebyname &quot;AA&quot;</code>, if Fast Node Name Lookup is on you will always get node AA back. If Fast Node Name Lookup is off, you can get either node back because both nodes match the conditions.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --If you have a scene with 3 nodes: &quot;AA&quot;, &quot;aa&quot;, and &quot;B B&quot;:\n\
\n\
   $AA\n\
   $Box:AA @ [...]\n\
   $aa\n\
   $Teapot:aa @ [...]\n\
   $bb\n\
   Sphere:B B @ [...]\n\
\n\
   getnodebyname &quot;AA&quot; exact:true\n\
   $Box:AA @ [...]\n\
   getnodebyname &quot;AA&quot; exact:false\n\
   $Box:AA @ [...]\n\
   getnodebyname &quot;AA&quot; ignoreCase:true\n\
   $Box:AA @ [...]\n\
   getnodebyname &quot;AA&quot; ignoreCase:false\n\
   $Box:AA @ [...]\n\
\n\
   getnodebyname &quot;Aa&quot; exact:true\n\
   $Box:AA @ [...]\n\
   getnodebyname &quot;Aa&quot; exact:false\n\
   $Box:AA @ [...]\n\
   getnodebyname &quot;Aa&quot; ignoreCase:true\n\
   $Box:AA @ [...]\n\
   getnodebyname &quot;Aa&quot; ignoreCase:false\n\
   undefined\n\
\n\
   getnodebyname &quot;aa&quot; exact:true\n\
   $Teapot:aa @ [...]\n\
   getnodebyname &quot;aa&quot; exact:false\n\
   $Teapot:aa @ [...]\n\
\n\
   getnodebyname &quot;B B&quot; exact:true\n\
   $Sphere:B B @ [...]\n\
   getnodebyname &quot;B_B&quot; exact:true\n\
   undefined\n\
   getnodebyname &quot;BB&quot; exact:true\n\
   undefined\n\
   getnodebyname &quot;B_B&quot; exact:false\n\
   $Sphere:B B @ [...]\n\
   getnodebyname &quot;BB&quot; exact:false\n\
   $Sphere:B B @ [...]\n\
\n\
   getnodebyname &quot;AA&quot; all:true\n\
   #($Teapot:aa @ [...], $Box:AA @ [...])\n\
\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapshotAsMesh &lt;node&gt; </code></pre><p>Returns world state of node as a <code>&lt;mesh&gt;</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getInheritanceFlags &lt;node&gt; \n\
setInheritanceFlags &lt;node&gt; (#all|#none| &lt;bitarray&gt;) keepPos:&lt;boolean&gt;-- mapped </code></pre><p>Gets and sets the inheritance flags for the specified node as a <code>&lt;bitarray&gt;</code>.</p>\n\
<p>If a bit is on, the corresponding inheritance is turned on. The order of the bits is: #{POS_X,POS_Y,POS_Z,ROT_X,ROT_Y,ROT_Z,SCALE_X,SCALE_Y,SCALE_Z}</p>\n\
<p>If <code>keepPos:false</code> is specified, the node might move when an inheritance is turned on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTransformLockFlags &lt;node&gt; -- mapped \n\
setTransformLockFlags &lt;node&gt; (#all|#none| &lt;bitarray&gt;)-- mapped </code></pre><p>Gets and sets the transform lock flags for the specified node as a <code>&lt;bitarray&gt;</code>.</p>\n\
<p>If a bit is on, the corresponding transform lock is turned on. The order of the bits is: #{POS_X,POS_Y,POS_Z,ROT_X,ROT_Y,ROT_Z,SCALE_X,SCALE_Y,SCALE_Z}.</p>\n\
<p>If <code>#all</code> is specified, all locks will be checked.</p>\n\
<p>If <code>#none</code> is specified, all locks will be unchecked.</p>\n\
<p>See <a href=\"./../../../How-To-Practical-Examples/How-To-Develop-A-Transform-Lock.html\">How To ... Develop A Transform Lock Script</a> for an example.</p>\n\
<h2 id=\"miscellaneous-node-methods\">Miscellaneous Node Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">classOf &lt;node&gt; </code></pre><p>Returns the class of the world state of the node (the state of the node at the top of its stack). If no modifiers are applied to the base object, the class returned is the class of the base object. If modifiers are applied to the base object, the class returned is the class of the node as it exits the last modifier. For example, if you apply a Bend modifier to a Box, the Bend modifier converts the incoming Box primitive to a mesh, and the class returned by <code>classOf</code> is Editable_Mesh. You can get the class of the base object in all cases by using <code>classOf &lt;node&gt;.baseObject</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isPointSelected &lt;node&gt; &lt;point_index&gt; </code></pre><p>Returns true if the specified point is selected, false if not.</p>\n\
<p>The definition of a &apos;point&apos; varies depending on the object type.</p>\n\
<p>For meshes, it is the mesh vertex.</p>\n\
<p>For NURBS objects, it is the vertex or control point.</p>\n\
<p>For a spline, it is the knot and its In and Out bezier handles. The spline will appear to have three times more knots and if a knot is selected, its bezier handles will also be considered selected. Thus, the <code>&lt;point_index&gt;</code> must be multiplied by three to query the correct knot value. For example, if in an Editable Spline knot 1 is selected and knot 2 is not, indices 1, 2, and 3 will all return True, indices 4, 5, and 6 will return False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pointSelection &lt;node&gt; &lt;point_index&gt; </code></pre><p>Returns a floating point weighted point selection if the object supports soft selections. Most object types just return 1.0 if the point is selected and 0.0 if not. Only NURBS, Editable Mesh, and Editable Polyobjects currently support weighted point selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nodeInvalRect &lt;node&gt; </code></pre><p>Invalidates the rectangle in the viewports that the node is occupying. Rectangles flagged as invalid will be updated on the next screen redraw.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">stopCreating &lt;node&gt; </code></pre><p>This method stops the creation of the current object, if any. This method is primarily used to ensure that a NURBS object is fully created, which until the creation is stopped. This method will also deactivate any activated object create buttons in the Create panel.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">uniqueName &lt;prefix&gt; [numDigits:&lt;integer&gt;] </code></pre><p>Generates a unique scene node name from a prefix string by adding a series of digits in the same manner as <strong>3ds Max</strong> does as you create objects in the scene. This name is only guaranteed to be unique until the next scene node creation.</p>\n\
<p>The <code>numDigits:</code> optional keyword argument available since <strong>3ds Max 2011</strong> controls the number of digits to be used.</p>\n\
<p>When not supplied, it defaults to three digits in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>In releases prior to <strong>3ds Max 2011</strong>, the number of digits was two.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Box001.name = uniqueName &quot;MyRenamedBox&quot;\n\
   --&gt;&quot;MyRenamedBox001&quot;\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Node-Common-Methods/Node-Render-Related-Methods.html\">Node Render-Related Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Node-Common-Methods/Node-Group-Related-Methods.html\">Node Group-Related Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Node-Common-Methods/Node-Viewport-State-Methods.html\">Node Viewport State Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Node-Common-Methods/Node-Selection-Methods.html\">Node Selection Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Node-Common-Methods/Modifier-Stack-Related-Methods.html\">Modifier Stack Related Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Node-Common-Methods/Node-Modifier-Transform-Context.html\">Node Modifier Transform Context Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Node-Common-Methods/Node-Deformable-Methods.html\">Node Deformable Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Node-Common-Methods/Node-Bounding-Box-Methods.html\">Node Bounding Box Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Node-Common-Methods/Node-Conversion-Methods.html\">Node Conversion Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Node-Common-Methods/Node-Utility-Methods.html\">Node Utility Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Node-Common-Methods/Node-User-Properties-Methods.html\">Node User Properties Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Node-Common-Methods/Node-Inverse-Kinematics-Methods.html\">Node Inverse Kinematics Methods</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"General-Node-Properties.html\">General Node Properties</a></li>\n\
          <li><a class=\"link\" href=\"Node-Transform-Properties.html\">Node Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"Node-User-Defined-Properties-and.html\">Node User-Defined Properties and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/Nested-Object-Properties.html\">Nested Object Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../Identifying-and-Accessing/Dynamic-Properties.html\">Dynamic Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Node-Subclasses/Node-Subclasses-1.html\">Node Subclasses</a></li>\n\
          <li><a class=\"link\" href=\"../../NURBS/Using-the-NURBS-Classes-and/NURBS-Node-Properties-and.html\">NURBS Node Properties and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";