var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D7747871-6C5D-46FD-97A5-5A6A67585E1A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Conversion Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">convertToMesh &lt;node&gt; -- mapped </code></pre><p>This function converts appropriate scene object types into Editable Meshes. It is similar to <code>collapseStack()</code> in that it will remove all modifiers present, but unlike <code>collapseStack()</code> it will <strong>always</strong> replace the base object with an editable mesh version, even if there are no modifiers present.</p>\n\
<p><code>convertToMesh()</code> can be applied to any object that an Edit Mesh modifier can work on such as, geometry and shapes, but not helpers, space warps, lights, and so on. If the object cannot be converted, the function returns <code>undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">convertToSplineShape &lt;node&gt; -- mapped </code></pre><p>Converts the given scene node to a SplineShape object. If the object cannot be converted (typically, if it is not a shape), the function returns <code>undefined</code> . Any modifiers present will be collapsed. The <code>collapseStack()</code> function can also be used as well as the collapse button in the modifier stack dialog in <strong>3ds Max</strong>; both generate a SplineShape, but will only do so if there is at least one modifier present.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">canConvertTo &lt;node&gt; &lt;class&gt; </code></pre><p>Allows you to test whether a given node is convertible into a given class. Returns <code>true</code> or <code>false</code> .</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if canConvertTo $foo NURBSSurface then...\n\
</code></pre></blockquote>\n\
<p>The kind of classes you can convert objects to are the generic editable forms including Mesh, SplineShape, NURBSCurve, NURBSSurface, and others.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">convertTo &lt;node&gt; &lt;class&gt; -- mapped </code></pre><p>This function is a general form of the existing specific conversion functions such as, <code>convertToMesh()</code> , <code>convertToSplineShape()</code> , and so on.</p>\n\
<p><code>convertToSplineShape()</code> can be written as:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   convertTo $circle001 SplineShape\n\
</code></pre></blockquote>\n\
<p>If the conversion is not supported, the function returns the value <strong>undefined</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">convertToNURBSSurface &lt;node&gt; -- mapped \n\
convertToNURBSCurve &lt;node&gt; -- mapped </code></pre><p>These functions work on those primitive geometry and shape classes that support conversion to NURBS (such as boxes, spheres, circles, lines, and others). If an object does not support conversion, the function returns <strong>undefined</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Methods.html\">Node Common Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";