var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7DED5D97-5679-4FA8-8048-F482999394BD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Deformable Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isDeformable &lt;node&gt; </code></pre><p>Returns true if the node&apos;s object is deformable. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p><strong>What are deformable objects?</strong></p>\n\
<p>A deformable object is an object with points that can be modified. Internally, these points can be stored in any form the object wants. They are accessed through a virtual array interface with methods to get and set the &apos;i-th&apos; point.</p>\n\
<p>This abstraction layer allows <strong>3ds Max</strong> to apply the same modifiers to the various Geometry classes like Editable Meshes, Editable Poly, Splines, Patches, and Nurbs without specific knowledge of the internal structures of these classes. The modifier simply operates on points provided by the object using the virtual array interface methods, but these points can be vertices, Bezier spline knots and tangents, Patch knots and tangents, and so on.</p>\n\
<p>See the <a href=\"./../../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleMod-Plug-ins.html\">simpleMod Scripted Plugin</a> for a scripted modifier that can operate on points in this manner by implementing the <code>&apos;on map &lt;index&gt; &lt;point&gt; do&apos;</code> handler.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>While isDeformable might return true for some nodes, this does not necessarily mean that they can be deformed. For example, all legacy particle systems like Snow, Superspray, and Blizzard return true, but are not affected by deformations, while all geometry primitives return false, but can be deformed.</p>\n\
<p>The method simply wraps the SDK method and returns the value provided by the object when asked wether it is deformable or not.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for g in geometryClass.classes do\n\
   (\n\
    try\n\
    (\n\
    o = execute (g as string +&quot;()&quot;)\n\
    if isDeformable o then\n\
    format &quot;% is Deformable.\\n&quot; g\n\
    else\n\
    format &quot;% is NOT Deformable.\\n&quot; g\n\
    )catch(format &quot;Failed To Create %\\n&quot; g)\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numPoints &lt;node&gt; </code></pre><p>Returns the number of deformable points for the node&apos;s object. Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPointPos &lt;node&gt; &lt;index&gt; </code></pre><p>Returns the position of the indexed point for the node&apos;s object. Position is returned in current coordinate system. Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Methods.html\">Node Common Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";