var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DEF09985-1709-4801-9B0B-16B577C48D43\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Constructors</h1></div><p>The following constructors are applicable to any value that is derived from a Node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;non_wild_card_pathname&gt;</code></pre><p>identifies a unique node in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectset&gt;[&lt;integer&gt;] \n\
&lt;wild_card_pathname&gt;[&lt;integer&gt;] </code></pre><p>n&apos;th scene object in collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node_constructor&gt; [name: &lt;string&gt; ] \\\n\
[ prefix: &lt;string&gt; ] \\\n\
[ material: &lt;material&gt; ] \\\n\
[ target: &lt;node&gt; ] \\\n\
[ pos: &lt;point3&gt; ] \\-- default [0,0,0] \n\
[ position: &lt;point3&gt; ] \\-- synonym for pos \n\
[ rotation: &lt;quat&gt; ] \\-- default 0 rotation \n\
[ scale: &lt;point3&gt; ] \\-- default 100% scale \n\
[ pivot: &lt;point3&gt; ] \\-- default normal node pivot location \n\
[ transform: &lt;matrix3&gt; ] \\-- default identity \n\
[ isSelected: &lt;boolean&gt; ] \\-- default false \n\
[ dir: &lt;point3&gt; ]-- set local z direction   </code></pre><p>The position and rotation values are relative to the current active grid if &apos;coordsys grid&apos; is the current working coordinate system.</p>\n\
<p>A <code>&lt;node_constructor&gt;</code> is one of the scene node classes listed in <a href=\"./../Node-Subclasses/Node-Subclasses-1.html\">Node Subclasses</a> such as, box, sphere, quadPatch, splineShape, and so on.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = box name:&quot;foo&quot; position:[10,10,10] height:20\n\
</code></pre></blockquote>\n\
<p>All of the node constructors can take the above optional keyword arguments along with any of the general node properties or any of the properties for the particular node class as keyword arguments.</p>\n\
<p>The <code>name</code> keyword can be used to specify the name for the created node. <strong>3ds Max</strong> allows the same name to be used for more than one node.</p>\n\
<p>The <code>prefix</code> keyword can be used in place of the <code>name</code> keyword argument to specify the start of the node name from which <strong>3ds Max</strong> will generate a unique name by adding a series of digits, as it does when creating objects interactively.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i in 1 to 100 do sphere prefix:&quot;baz&quot;\n\
   --creates 100 spheres, giving each a unique name\n\
   --beginning with &quot;baz&quot;, such as $baz001, $baz002, $baz003, etc.\n\
</code></pre></blockquote>\n\
<p>The <code>material</code> keyword can be used to apply the specified material to the created node.</p>\n\
<p>The <code>target</code> keyword can be used to automatically apply a LookAt controller to the node&apos;s transform track, and set the specified node as the LookAt target.</p>\n\
<p>The transformation arguments, <code>pos</code> , <code>scale</code> , <code>rotation</code> , and <code>pivot</code> are applied to the new object in the order they are specified in the constructor call, so you can control transform order. The <code>pos</code> , <code>scale</code> , and <code>rotation</code> arguments are mutually exclusive with the <code>transform</code> argument that can be used as an alternative way to set the node&apos;s complete transform matrix in one go.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Exercise care if you specify the <code>target</code> keyword. When you specify a target object, <strong>3ds Max</strong> stores with the target object the last object it was assigned as a target of. If you delete the target object, the behavior of <strong>3ds Max</strong> is to also delete the object looking at it. If the target object is a <a href=\"./../Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/TargetObject-GeometryClass.html\">targetobject</a> class object, deleting an object looking at it will also delete the target object, even if another object is also looking at it.</p>\n\
<p>The performance of iterating and indexing the &apos;<strong>selection</strong>&apos; and &apos;<strong>$</strong>&apos; object sets has been substantially improved in <strong>3ds Max 4</strong>. In versions prior to <strong>3ds Max 4</strong>, the whole scene was traversed looking for selected nodes when indexing, iterating, or snapshotting into an array causing big delays in large scenes. Now, the <strong>&apos;selection&apos;</strong> object set uses direct access to the SDK explicit current selection set.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";