var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-17350E60-DF84-4B3F-8A4D-772914FF2A1C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Camera Common Properties, Operators, and Methods</h1></div><p><img src=\"./images/GUID-03CC38FB-3911-48DD-81A9-4676740D2224-low.gif\" alt></p>\n\
<p><strong>Properties</strong></p>\n\
<p>The following properties apply to all camera types:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.fov Float default: 45.0 -- animatable, angle      </code></pre><p>Determines how wide an area the camera views. This is the horizontal Field Of View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.curFOV Float default: 45.0 -- float   </code></pre><p>Returns the current Field Of View, respecting the fovType value described below.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.fovType Integer default: 1 -- integer </code></pre><p>Sets the current Field Of View type.</p>\n\
<p>Changes the flyout next to the FOV spinner in the Camera&apos;s UI.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Horizontal</strong></p>\n\
<p>2 - <strong>Vertical</strong></p>\n\
<p>3 - <strong>Diagonal</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.orthoProjection Boolean default: false </code></pre><p>When on, the camera view looks just like a User view.</p>\n\
<p>When off, the camera view is the standard perspective-like view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.type Name default: #free </code></pre><p>The type of camera:</p>\n\
<p><strong>#free</strong> - Free Camera (Target view can be set in any direction)</p>\n\
<p><strong>#target</strong> - Target Camera (Camera will always align view with target object)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.showCone Boolean default: false </code></pre><p>Displays the cone (actually a pyramid) defined by a camera&apos;s field of view.</p>\n\
<p>The cone appears in the other viewports, but does not appear in a camera viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.showHorizon Boolean default: false </code></pre><p>Displays the horizon line.</p>\n\
<p>A dark gray line appears at the level of the horizon in the camera&apos;s viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.nearrange Float default: 0.0 -- animatable; alias: Near_Env_Range </code></pre><p>The near range for atmospheric effects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.farrange Float default: 1000.0 -- animatable; alias: Far_Env_Range </code></pre><p>The far range for atmospheric effects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.clipManually Boolean default: false </code></pre><p>Turn on to define clipping planes.</p>\n\
<p>When Clip Manually is off, geometry closer to the camera than 3 units is not displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.nearclip Float default: 1.0 -- animatable, alias: near_clip </code></pre><p>Objects closer than the near clipping plane are invisible to the camera.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.farclip Float default: 1000.0 -- animatable, alias: far_clip </code></pre><p>Objects farther than the far clipping plane are invisible to the camera.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.showRanges Boolean default: false </code></pre><p>When on, displays yellow rectangles within the camera&apos;s cone to show the Near and Far range settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.targetDistance Float default: 160.0 -- animatable, alias: Target_Distance </code></pre><p>Sets a point to use as an invisible target.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.mpassEnabled Boolean default: false -- boolean; MultiPass_Effect_Enabled </code></pre><p>Enable/Disable the MultiPass Camera Effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.mpassRenderPerPass Boolean default: false -- boolean; MPEffect___Render_Effects_Per_Pass </code></pre><p>Enable/Disable the Render Per Pass option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;camera&gt;.multipass_effect SubAnim default: SubAnim:MultiPass_Effect -- SubAnim \n\
&lt;camera&gt;.mpassEffect Depth_of_FieldMPassCamEffect default: Depth_of_FieldMPassCamEffect:Depth_of_FieldMPassCamEffect -- SubAnim </code></pre><p>Get/Set the MultiPass Camera Effect. See <a href=\"./../../../MultiPass-Camera-Effects/MPassCamEffect-Classes.html\">MPassCamEffect</a> objects for details.</p>\n\
<p>To preview a MultiPass Camera Effect in the viewport, see the <a href=\"./../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxOps.displayActiveCameraViewWithMultiPassEffectMethod</a></p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Camera01.mpassEffect = Motion_BlurMPassCamEffect()\n\
   $Camera01.mpassEffect.disableAntialiasing = true\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <strong>.fov</strong> property value is the horizontal FOV in degrees.</p>\n\
<p>The Vertical and Diagonal FOV and Lens values are based on the horizontal FOV and the current renderer Aperture Width.</p>\n\
<p>See the new properties and functions added to <strong>3ds Max 8</strong> providing access to the FOV type and current value.</p>\n\
<p>You can also use the following MAXScript function to calculate the Vertical FOV from the Horizontal FOV:</p>\n\
<p><strong>FUNCTION:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn GetCamVFOV theCamera =\n\
(\n\
    local r_aspect=(renderWidth as float)/renderHeight\n\
    2.0*atan(tan(theCamera.fov/2.0)/r_aspect)\n\
)</code></pre><h2 id=\"the-camerafov-structure-\">The CameraFOV Structure:</h2><p>The <strong>CameraFOV</strong> structure available in <strong>3ds Max 8 and higher</strong> provides a set of functions related to Camera Field Of View conversion:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;cameraFOV.FOVtoMM &lt;float fov&gt; </code></pre><p>Converts the supplied horizontal FOV to lens MM.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;cameraFOV.MMtoFOV &lt;float mm&gt; </code></pre><p>Converts the supplied lens MM to horizontal FOV</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;cameraFOV.CurFOVtoFOV &lt;camera&gt; &lt;float cfov&gt; </code></pre><p>Converts the FOV in the camera&apos;s current FOV direction to horizontal FOV.</p>\n\
<p>See also the new camera properties .fovType and .curFOV providing access to the FOV type flyout and the current value defined by the state of the flyout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;cameraFOV.FOVtoCurFOV &lt;camera&gt; &lt;float fov&gt; </code></pre><p>Converts the horizontal FOV to the FOV in the camera&apos;s current FOV direction.</p>\n\
<p>See also the new camera properties .fovType and .curFOV providing access to the FOV type flyout and the current value defined by the state of the flyout.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   c = freecamera()\n\
   --&gt; $Free_Camera:Camera01 @ [0.000000,0.000000,0.000000]\n\
   cameraFOV\n\
   --&gt; #Struct:cameraFOV(\n\
   --&gt; FOVtoMM:&lt;fn&gt;,\n\
   --&gt; CurFOVtoFOV:&lt;fn&gt;,\n\
   --&gt; FOVtoCurFOV:&lt;fn&gt;,\n\
   --&gt; MMtoFOV:&lt;fn&gt;)\n\
   cameraFOV.FOVtoMM 45 --convert horizontal FOV of 45 degrees into mm\n\
   --&gt; 43.4558\n\
   cameraFOV.MMtoFOV 43.4558--convert 43.4558 mm back to degrees\n\
   --&gt; 45\n\
   c.fovType = 3--set the FOV type to diagonal\n\
   --&gt; 3\n\
   cameraFOV.CurFOVtoFOV c 54.7473--convert diagonal to horizontal FOV\n\
   --&gt; 45\n\
   cameraFOV.FOVtoCurFOV c 45--convert 45 deg. horizontal to diagonal FOV\n\
   --&gt; 54.7473\n\
   c.curFOV--current FOV type, in this case 3=diagonal\n\
   --&gt; 54.7473\n\
   c.fov--this is ALWAYS the horizontal FOV!\n\
   --&gt; 45\n\
   c.fovType = 1--set current FOV to 1=horizontal\n\
   --&gt; 1\n\
   c.curFOV--the current FOV is now horizontal\n\
   --&gt; 45\n\
   c.fov--this must return the same as current, as both are horizontal\n\
   --&gt; 45\n\
\n\
</code></pre></blockquote>\n\
<h2 id=\"simulating-zoom-extents-all\">Simulating Zoom Extents All</h2><p>The following script changes the fov of specified camera to simulate a &quot;zoom extents all&quot; for the camera.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
   fn ZE_Cam cam objs =\n\
   (\n\
   local max2, fov, asp, v-- declare local variables\n\
   -- define a function that returns the maximum value\n\
   -- of a set of values in an array\n\
   fn maxof vals = (local v=vals[1];for v1 in vals do (if v1 &gt; v do v=v1);v)\n\
   fov=0-- initialize the fov value\n\
   asp=(renderWidth as float)/renderHeight-- calculate the renderer&apos;s image aspect ratio\n\
   in coordsys cam-- work in coordinate system ofthe camera\n\
   (\n\
   for obj in objs where obj != cam do-- loop across all objects except the camera\n\
   (\n\
   if obj.min.z &gt;=0 do continue-- if object is behind camera, skip it\n\
   -- get max value of the object&apos;s bounding box, correcting for the image aspect ratio\n\
   -- in the y values\n\
   v = maxof #((abs obj.max.x),(abs obj.min.x),(abs (obj.max.y*asp)),(abs (obj.min.y*asp)))\n\
   fov = maxof #(fov,(2*atan(-v/obj.min.z)))-- increase fov if needed\n\
   )\n\
   )\n\
   cam.fov=fov-- set the camera&apos;s fov to the new fov value\n\
   )\n\
   -- test bed --\n\
   cam=$camera001-- specify the camera to &quot;zoom extent all&quot; on\n\
   ZE_Cam cam $*-- call the function, passing the camera and an object set containing all objects\n\
\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Camera-Node.html\">Camera : Node</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MultiPass-Camera-Effects/Depth_of_FieldMPassCamEffect.html\">Depth_of_FieldMPassCamEffect : MPassCamEffect</a></li>\n\
          <li><a class=\"link\" href=\"../../../MultiPass-Camera-Effects/Motion_BlurMPassCamEffect.html\">Motion_BlurMPassCamEffect : MPassCamEffect</a></li>\n\
          <li><a class=\"link\" href=\"../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";