var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DA9E3B99-C894-4D32-B161-DDC4AB3D1203\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>AlembicObject : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicObject - superclass: GeometryClass; super-superclass:node - 6:0 - classID: #(971915857, 511916302)</code></pre><p>Used to load a single Object entity from a specified Alembic .ABC cache file into a 3ds Max scene. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicObject...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicObject&gt;.source     String    default: &quot;&quot;   --  filename</code></pre><p>Gets/sets the Alembic .ABC source file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicObject&gt;.object     UndefinedClass    default: undefined   --  string;</code></pre><p>Gets/sets the object path definition string within the Alembic .ABC file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicObject&gt;.playbackType     Integer    default: 0   --  integer;\n\
Playback_Type</code></pre><p>Gets/sets the playback type drop-down list selection index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Original Range</strong> (default) - use the start and end values stored in the .ABC file.</p>\n\
<p>1 - <strong>Custom Start</strong> - use the <code>.playbackStart</code> property to define the scene time on which to start the playback. This can be used to offset the beginning of the playback while keeping the same playback speed.</p>\n\
<p>2 - <strong>Custom Range</strong> - use the <code>.playbackStart</code> and <code>.playbackEnd</code> properties to define a custom range within which to play back the original animation.</p>\n\
<p>3 - <strong>Playback Graph</strong> - keyframe the <code>.playbackFrame</code> property to define the file&apos;s frame to be loaded on each scene frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicObject&gt;.playbackStart     Float    default: 0.0   --  float</code></pre><p>Gets/sets the start frame of the playback range.</p>\n\
<p>Applicable when <code>.playbackType</code> is set to 1 or 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicObject&gt;.playbackEnd     Float    default: 0.0   --  float</code></pre><p>Gets/sets the end frame of the playback range.</p>\n\
<p>Applicable when <code>.playbackType</code> is set to 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicObject&gt;.playbackFrame     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the current playback frame.</p>\n\
<p>Keyframe this property to produce custom playback within the defined range, or set to a static value to load a single frame.</p>\n\
<p>Applicable when <code>.playbackType</code> is set to 3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicObject&gt;.playbackStartGen     Integer    default: 3   --  integer\n\
&lt;AlembicObject&gt;.playbackEndGen     Integer    default: 1   --  integer\n\
&lt;AlembicObject&gt;.playbackTypeGen     Integer    default: 4   --  integer\n\
&lt;AlembicObject&gt;.playbackFrameGen     Integer    default: 2   --  integer\n\
&lt;AlembicObject&gt;.generationId     Integer    default: 0   --  integer</code></pre><p>Used by the versioning system for Alembic properties. For internal use only.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Alembic.html\">Geometry - Alembic</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Import-and-Export-Filters/Alembic_Export-ExporterPlugin.html\">Alembic_Export : ExporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">Alembic_Import : ImporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"../../Camera-Node/AlembicCamera-Camera.html\">AlembicCamera : Camera</a></li>\n\
          <li><a class=\"link\" href=\"AlembicContainer-GeometryClass.html\">AlembicContainer : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Animation-Controllers/Controller-Types/Matrix3-Controllers/AlembicXform-Matrix3Controller.html\">AlembicXform : Matrix3Controller</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";