var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0667BF69-F618-4F2E-B9F0-08750CF646F8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Deformable_gPoly : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Deformable_gPoly - superclass: GeometryClass; super-superclass:node - classID: #(374834938, 0) </code></pre><p>The <strong>Deformable_gPoly GeometryClass</strong> implements a geometry representation of <strong>3ds Max</strong> objects that is optimized for fast viewport display. It provides a representation of objects with the <code>Turn_to_gPoly</code> Modifier applied on the modifier stack.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>Turn_to_gPoly</code> modifier is deprecated and no longer available (as of <strong>3ds Max 2017</strong>). This object is available for compatibility with legacy scene files that contain this modifier.</div>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript.</code></pre><p><strong>Properties:</strong></p>\n\
<p>No Properties Exposed.</p>\n\
<p>In fact, the <strong>Deformable_gPoly</strong> GeometryClass baseobject is the only <strong>3ds Max</strong> object that does not show a User Interface in the Command Panel.</p>\n\
<p>The following Interface exposes methods for updating and manipulating the <strong>Deformable_gPoly</strong> object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: Deformable_gPoly</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumberFaces()</code></pre><p>Returns the number of faces in the Deformable_gPoly mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumberVertices()</code></pre><p>Returns the number of vertices in the Deformable_gPoly mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ValidateNormals()</code></pre><p>Validates the Normal data in the Deformable_gPoly mesh.</p>\n\
<p>Other than the other geometry classes which re-calculate Normals on the fly based on Face Normals and Smoothing Groups on each update, the Deformable_gPoly mesh caches the Normals data. This contributes significantly to the viewport display speed up.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;GetMaterialID &lt;index&gt;faceIndex</code></pre><p>Returns the Material ID of the indexed face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Update()</code></pre><p>Updates the Deformable_gPoly data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LockFaceChannel()</code></pre><p>Locks the Face Channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;UnlockFaceChannel()</code></pre><p>Unlocks the Face Channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CopyFaceChannel &lt;&amp;integer array&gt;buffer\n\
\n\
buffer is In and Out parameter</code></pre><p>Copies the Face Channel into an array of Integers passed by-reference.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;PasteFaceChannel &lt;&amp;integer array&gt;buffer\n\
\n\
buffer is In and Out parameter</code></pre><p>Pastes the by-reference array of integers as new Face Channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LockPosChannel()</code></pre><p>Locks the Position channel.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;UnlockPosChannel()</code></pre><p>Unlocks the Position channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CopyPosChannel &lt;&amp;point3 array&gt;buffer\n\
\n\
buffer is In and Out parameter</code></pre><p>Copies the Position Channel into an array of Point3 values passed by-reference.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;PastePosChannel &lt;&amp;point3 array&gt;buffer\n\
\n\
buffer is In and Out parameter</code></pre><p>Pastes the by-reference array of Point3 values as new Position Channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LockNormalChannel()</code></pre><p>Locks the Normal channel.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;UnlockNormalChannel()</code></pre><p>Unlocks the Normal channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CopyNormalChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter</code></pre><p>Copies the Normal Channel into an array of Point3 values passed by-reference.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;PasteNormalChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter</code></pre><p>Pastes the by-reference array of Point3 values as new Normal Channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LockTangentChannel()</code></pre><p>Locks the Tangent channel.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;UnlockTangentChannel()</code></pre><p>Unlocks the Tangent channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CopyTangentChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter</code></pre><p>Copies the Tangent Channel into an array of Point3 values passed by-reference.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;PasteTangentChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter</code></pre><p>Pastes the by-reference array of Point3 values as new Tangent Channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LockBitangentChannel()</code></pre><p>Locks the Bitangent channel.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;UnlockBitangentChannel()</code></pre><p>Unlocks the Bitangent channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CopyBitangentChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter</code></pre><p>Copies the Bitangent Channel into an array of Point3 values passed by-reference.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;PasteBitangentChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter</code></pre><p>Pastes the by-reference array of Point3 values as new Bitangent Channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;getUVWChannels &lt;&amp;integer array&gt;channels \n\
\n\
channels is In and Out parameter</code></pre><p>Writes the allocated mapping channels into a by-reference array of Integers argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LockUVWChannel &lt;integer&gt;channelIndex</code></pre><p>Locks the indexed Mapping channel.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;UnlockUVWChannel &lt;integer&gt;channelIndex</code></pre><p>Unlocks the indexed Mapping channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CopyUVWChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter</code></pre><p>Currently broken.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;PasteUVWChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter</code></pre><p>Currently broken.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Deformable-gPoly.html\">Geometry - Deformable gPoly</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";