var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-924ACD1D-2B90-4CEF-A28B-4DCF5498E592\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Tube : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Tube - superclass: GeometryClass; super-superclass:node - classID: #(31521, 0) </code></pre><p><img src=\"./images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tube...   </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.radius1 Float default: 25.0 -- animatable; worldunits; alias: Radius_1 </code></pre><p>The first radius for the tube.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.radius2 Float default: 20.0 -- animatable; worldunits; alias: Radius_2 </code></pre><p>The second radius for the tube.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The larger radius specifies the outside radius of the tube, while the smaller specifies the inside radius.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.height Float default: 50.0 -- animatable; worldunits </code></pre><p>The dimension along the central axis. Negative values create the tube below the construction plane.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.heightsegs Integer default: 1 -- animatable, alias: Height_Segments</code></pre><p>The number of divisions along the tube&apos;s major axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.capsegs Integer default: 1 -- animatable, alias: Cap_Segments </code></pre><p>The number of concentric divisions around the center of the tube&apos;s top and bottom.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.sides Integer default: 24 -- animatable </code></pre><p>The number of sides around the tube.</p>\n\
<p>Higher numbers shade and render as true circles with Smooth on.</p>\n\
<p>Lower numbers create regular polygonal objects with Smooth off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.smooth Boolean default: true -- animatable </code></pre><p>When on, faces of the tube are blended together, creating a smooth appearance in rendered views.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.slice Boolean default: false -- animatable; boolean; alias: slice_on, sliceon </code></pre><p>Enables/Disables the Slice feature, which removes part of the tube&apos;s circumference.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.sliceFrom Float default: 0.0 -- animatable, angle, alias: Slice_From </code></pre><p>The angle where the tube slice begins.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.sliceTo Float default: 0.0 -- animatable, angle, alias: Slice_To </code></pre><p>The angle where the tube slice ends.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.mapCoords Boolean default: false -- boolean; alias: generate_texture_coords </code></pre><p>When on, sets up required coordinates for applying mapped materials to the tube.</p>\n\
<p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.typeinCreationMethod     Integer    default: 1   --  integer; Creation_Method</code></pre><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Edge</li>\n\
<li>1 = Center</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.typeInHeight     Float    default: 0.0   --  float; Height</code></pre><p>Gets or sets the height Keyboard Entry value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.typeInRadius1     Float    default: 0.0   --  float; Radius_1\n\
&lt;Tube&gt;.typeInRadius2     Float    default: 0.0   --  float; Radius_2</code></pre><p>Gets or sets the Inner and Outer Radius Keyboard Entry values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tube&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position</code></pre><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:realWorldMapSizeInterface </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realWorldMapSize: boolean : Read|Write </code></pre><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Standard-Objects.html\">Geometry - Standard Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";