var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EF15B29E-D12A-4726-A655-AD9F916B32A6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Skeleton : helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Skeleton - superclass: helper; super-superclass:node - 13:0 - classID: #(139273060, 2023492905)</code></pre><p>This object represents the MassFX Skeleton Helper. It is used to introduce characters as Kinematic Skeleton objects that can affect but cannot be affected by physical simulations.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<p>The Kinematic Skeleton helper cannot be constructed directly by MAXScript. It can be constructed using the <a href=\"./../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\">nvpx Core Interface</a> as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpx.CreateRagdollHelper()</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Skeleton\n\
RagdollHelper</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"-quot-bones-and-groups-quot-group-of-controls\">&quot;Bones and Groups&quot; group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skeleton&gt;.bones     ArrayParameter    default: #()   --  node array; None</code></pre><p>Get/set the associated bones as an array of nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skeleton&gt;.bonegroupids     ArrayParameter    default: #()   --  int array; None</code></pre><p>Get/set the bone group IDs as an array of integers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skeleton&gt;.bonegroupnames     ArrayParameter    default: #()   --  string array; None</code></pre><p>Get/set the bone group names as an array of strings.</p>\n\
<h2 id=\"-quot-physical-mesh-quot-group-of-controls\">&quot;Physical Mesh&quot; group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skeleton&gt;.meshType     Integer    default: 0   --  integer; None</code></pre><p>Get/set the type of physical mesh to create around the bones when regenerating the skeleton.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Capsule</strong></p>\n\
<p>1 - <strong>Convex Hull</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skeleton&gt;.meshfrom     Integer    default: 0   --  integer; None</code></pre><p>The skeleton can size the capsule or convex hull physical mesh (see preceding) for a bone to fit around either the skinned mesh or the bones themselves.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Skinned Mesh</strong> - This option finds the vertices in the associated skin mesh that have a weighting above the specified Weight threshold (see following) and fits the capsule or convex hull around them. This option is unavailable if you created your skeleton from a rig that has no associated skin mesh. When available, this option is the default.</p>\n\
<p>1 - <strong>Bones</strong> - The option fits the physical mesh around the shape of the bone. This option is typically useful only when a character mesh is not available.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skeleton&gt;.inflation     Float    default: 0.0   --  float; None</code></pre><p>Get/set the amount to inflate the convex hull or capsule beyond the cloud of vertices or bone. Can be negative if you want to contract the physical mesh to be within the skinned mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skeleton&gt;.weight     Float    default: 0.5   --  float; None</code></pre><p>Get/set the Weight treshold used when finding associated vertices in the skinned mesh. A lower value will include more vertices per bone, reusing some vertices for multiple overlapping bones</p>\n\
<h2 id=\"-quot-associated-skin-quot-rollout\">&quot;Associated Skin&quot; rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skeleton&gt;.associatedSkin     UndefinedClass    default: undefined   --  node; None</code></pre><p>Get/set the Associated Skin mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skeleton&gt;.ragdollSkin     UndefinedClass    default: undefined   --  node; None</code></pre><p>Get/set the ragdoll skin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skeleton&gt;.joints     ArrayParameter    default: #()   --  node array; None</code></pre><p>Get/set the array if joints.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skeleton&gt;.rootBone     UndefinedClass    default: undefined   --  node; None</code></pre><p>Get/set the root bone node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skeleton&gt;.rbType     Integer    default: 0   --  integer; None</code></pre><p>Not exposed to the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skeleton&gt;.helpersize     Float    default: 10.0   --  float; None</code></pre><p>Not exposed to the UI. Not used.</p>\n\
<p><strong>Skeleton interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: interface </code></pre><p><strong>Methods:</strong></p>\n\
<h2 id=\"-quot-bones-amp-groups-quot-group-of-controls\">&quot;Bones &amp; Groups&quot; group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Skeleton&gt;.RagdollSave &lt;string&gt;filename</code></pre><p>Saves the Ragdoll to a MassFX Skeleton .RAG file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Skeleton&gt;.RagdollLoad &lt;string&gt;filename</code></pre><p>Loads a Ragdoll definition from the supplied MassFX Skeleton .RAG file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Skeleton&gt;.RagdollAddBone &lt;node&gt;boneNode</code></pre><p>Adds the supplied Bone node to the Bones and Groups list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Skeleton&gt;.RagdollRemoveBone &lt;node&gt;boneNode</code></pre><p>Removes the specified Bone node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Skeleton&gt;.RagdollGroupBones &lt;&amp;node array&gt;bones\n\
\n\
bones is In and Out parameter</code></pre><p>Groups the bones specified by the by-reference array argument. Equivalent to the &quot;Group&quot; button in the UI.</p>\n\
<h2 id=\"regenerate-and-mirror\">Regenerate and Mirror</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Skeleton&gt;.RagdollRegenerate &lt;&amp;node array&gt;bones \n\
\n\
bones is In and Out parameter</code></pre><p>Regenerates the Ragdoll using the bones specified by-reference.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Skeleton&gt;.RagdollMirrorBone &lt;node&gt;fromBone &lt;node&gt;toBone</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Skeleton&gt;.create &lt;boolean&gt;reset</code></pre><p>Regenerates the Skeleton. If the argument is true, it will be reset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Skeleton&gt;.removeAll()</code></pre><h2 id=\"utility-maxscript-functions\">Utility MAXScript Functions</h2><p>A number of helpful Ragdoll-related MAXScript Functions are defined in the file <strong><em>..\\stdplugs\\stdscripts\\(MassFX)\\px_ragdoll.ms</em></strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Helper-MassFX.html\">Helper - MassFX</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Extensions/MAXScript-Extensions-for-MassFX/MassFX-and-MAXScript.html\">MassFX and MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\">Interface: nvpx</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PhysXPanelInterface.html\">Interface: PhysXPanelInterface</a></li>\n\
          <li><a class=\"link\" href=\"UConstraint-Helper.html\">UConstraint : Helper</a></li>\n\
          <li><a class=\"link\" href=\"nvRagdoll-Helper.html\">nvRagdoll : Helper</a></li>\n\
          <li><a class=\"link\" href=\"pxJoint-helper.html\">pxJoint : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\">nvBox : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\">nvSphere : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\">nvCapsule : GeometryClass</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";