var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-64113FED-2D5A-48DF-A6A0-3AC8CFD4887F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>VolumeHelper : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">VolumeHelper - superclass: helper; super-superclass:node - 5:0 - classID: #(1050628463L, 453181870L); creatable: true</code></pre><p>The VolumeHelper is a helper object in a scene used by a MaxLiquid to define a volume. Available in <strong>3ds Max 2019.1 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">VolumeHelper...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VolumeHelper&gt;.color     Color    default: (color 0 255 0)   --  RGB color</code></pre><p>Gets or sets the VolumeHelper object color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VolumeHelper&gt;.meshNode     UndefinedClass    default: undefined   --  node</code></pre><p>Gets or sets the scene node to use as the volume shape, when <strong>volumeType</strong> is 4 (Mesh).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VolumeHelper&gt;.sectionRadius     Float    default: 0.5   --  animatable; float</code></pre><p>Gets or sets the VolumeHelper inner radius, when the <strong>volumeType</strong> is 3 (Torus).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VolumeHelper&gt;.size     Float    default: 10.0   --  animatable; float</code></pre><p>Gets or sets the VolumeHelper size, in scene units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VolumeHelper&gt;.volumeType     Integer    default: 0   --  integer</code></pre><p>Gets or sets the VolumeHelper shape type, where:</p>\n\
<ul>\n\
<li>0 = Box</li>\n\
<li>1 = Sphere</li>\n\
<li>2 = Cylinder</li>\n\
<li>3 = Torus</li>\n\
<li>4 = Mesh</li>\n\
</ul>\n\
<p><strong>Interfaces</strong></p>\n\
<p><strong>Interface: VolumeHelper</strong></p>\n\
<p><strong>Properties</strong></p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;IsVolumeOK &lt;time&gt;time</code></pre><p>If the VolumeHelper.volumeType is #mesh, this method returns false if no mesh node has been assigned, true if it has.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;void&gt;SetGizmoType &lt;enum&gt;type\n\
       type enums: {#box|#sphere|#cylinder|#torus|#mesh}\n\
    &lt;enum&gt;GetGizmoType()\n\
       GetGizmoType enums: {#box|#sphere|#cylinder|#torus|#mesh</code></pre><p>Gets or sets the VolumeHelper shape type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;void&gt;SetGizmoSize &lt;time&gt;time &lt;float&gt;value\n\
    &lt;float&gt;GetGizmoSize &lt;time&gt;time &lt;&amp;interval&gt;interval\n\
       interval is In and Out parameter</code></pre><p>Gets or sets the VolumeHelper shape size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;void&gt;SetSectionRadius &lt;time&gt;time &lt;float&gt;value\n\
    &lt;float&gt;GetSectionRadius &lt;time&gt;time &lt;&amp;interval&gt;interval\n\
       interval is In and Out parameter</code></pre><p>Gets or sets the VolumeHelper section radius at the specified time, when the volume type is a torus.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;GetGizmoMesh &lt;&amp;mesh&gt;meshOut &lt;time&gt;time &lt;&amp;interval&gt;interval\n\
       meshOut is Out parameter\n\
       interval is In and Out parameter</code></pre><p>Gets the VolumeHelper mesh at the specified time.</p>\n\
<p><strong>Actions</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Helper-Standard.html\">Helper - Standard</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";