var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C97B5A09-0BB1-41A6-9264-A15316121377\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Vortex - superclass: SpacewarpObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Vortex - superclass: SpacewarpObject; super-superclass:node - 19:0 - classID: #(217851359, 1867456353)</code></pre><p><img src=\"./images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\" alt></p>\n\
<p>The Vortex space warp applies a force to particle systems, spinning them through a whirling vortex, and then moving them down a long, thin spout or <em>vortex well</em>. Vortex is useful for creating black holes, whirlpools, tornadoes, and other funnel-type objects.</p>\n\
<p>The space warp settings let you control the vortex shape, the well characteristics, and rate and range of particle capture. The shape of the vortex is also affected by particle system settings, such as speed.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Vortex ...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.&apos;time on&apos; Integer default: 0 -- integer; Time_On</code></pre><p>The frame numbers at which the space warp becomes active and becomes inactive.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.&apos;time off&apos; Integer default: 16000 -- animatable; integer; Time_Off</code></pre><p>The frame numbers at which the space warp becomes active and becomes inactive.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.axialstrength Float default: 0.1 -- animatable; float; Axial_Drop_Strength</code></pre><p>Specifies how quickly particles move in the direction of the drop axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.axialrange Float default: 100.0 -- animatable; float; Axial_Range</code></pre><p>The distance from the center of the Vortex icon, in system units, at which Axial Damping has its full effect. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.axialfalloff Float default: 1000.0 -- animatable; float; Axial_Falloff</code></pre><p>Specifies the distance beyond the Axial Range within which Axial Damping is applied.</p>\n\
<p>Axial Damping is strongest at the Range distance, decreases linearly out to the limit of the Axial Falloff, and has no effect beyond that.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.axialdamping Float default: 5.0 -- animatable; percentage; Axial_Damping</code></pre><p>Controls the degree to which particle motion parallel to the drop axis is restrained per frame. Default=5.0. Range=0 to 100.</p>\n\
<p>For subtle effects, use values of less than 10%. For more overt effects, try using higher values that increase to 100% over the course of a few frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.rotationstrength Float default: 0.5 -- animatable; float; Orbital_Speed_Strength</code></pre><p>Specifies how quickly the particles rotate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.rotationrange Float default: 100.0 -- animatable; float; Orbital_Range</code></pre><p>The distance from the center of the Vortex icon, in system units, at which Orbital Damping has its full effect.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.rotationfalloff Float default: 1000.0 -- animatable; float; Orbital_Falloff</code></pre><p>Specifies the distance beyond the Orbital Range within which Orbital Damping is applied.</p>\n\
<p>Orbital Damping is strongest at the Range distance, decreases linearly out to the limit of the Orbital Falloff, and has no effect beyond that.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.rotationdamping Float default: 5.0 -- animatable; percentage; Orbital_Damping</code></pre><p>Controls the degree to which orbital particle motion is restrained per frame.</p>\n\
<p>Smaller values produce a wide spiral, while larger values produce a thin spiral.</p>\n\
<p>Default=5.0. Range=0 to 100.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.radialstrength Float default: 0.5 -- animatable; float; Radial_Pull_Strength</code></pre><p>Specifies the distance from the drop axis at which the particles rotate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.radialrange Float default: 100.0 -- animatable; float; Radial_Range</code></pre><p>The distance from the center of the Vortex icon, in system units, at which Radial Damping has its full effect.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.radialfalloff Float default: 1000.0 -- animatable; float; Radial_Falloff</code></pre><p>Specifies the distance beyond the Radial Range within which Radial Damping is applied.</p>\n\
<p>Radial Damping is strongest at the Range distance, decreases linearly out to the limit of the Radial Falloff, and has no effect beyond that.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.radialdamping Float default: 5.0 -- animatable; percentage; Radial_Damping</code></pre><p>Controls the degree to which Radial Pull is restrained per frame.</p>\n\
<p>Default=5.0.</p>\n\
<p>Range=0 to 100.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.taperstrength Float default: 100.0 -- animatable; float; Taper_Length</code></pre><p>Controls the shape of the vortex. Low values create a vortex with a wide, flared mouth, while high values create a vortex with nearly vertical sides.</p>\n\
<p>Default=100.</p>\n\
<p>Range=1.0 to 4.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.tapershape Float default: 1.0 -- animatable; float; Taper_Curve</code></pre><p>Controls the length of the vortex, as well as its shape. Lower settings give you a &quot;tighter&quot; vortex, while higher settings give you a &quot;looser&quot; vortex.</p>\n\
<p>Default=100.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.direction Integer default: 0 -- radio button number</code></pre><p>Determines whether particles rotate clockwise or counterclockwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.rangeless Boolean default: true -- boolean; Unlimited_Range</code></pre><p>When on, Vortex exerts full damping strength over an unlimited range. When off, the Range and Falloff settings take effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vortex&gt;.iconsize Float default: 10.0 -- float; Icon_Size</code></pre><p>Specifies the size of the icon.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
   Vortex &apos;time on &apos;:0 &apos;time off&apos;: 16000 axialstrength:0.1 axialrange:100 axialfalloff:1000 axialdamping:5 rotationstrength:0.5 rotationrange:100 rotationfalloff:1000 rotationdamping:5 radialstrength:0.5 radialrange:100 radialfalloff:1000 radialdamping:5 taperstrength:100 tapershape:1 direction:0 rangeless:on pos:[32.5437,-58.2321,0] isSelected:on iconSize:25.8103\n\
\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Spacewarp-Forces.html\">Spacewarp - Forces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";