var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-67150AB5-FEBF-49DB-90C4-4AF788BC7DAE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Xref Objects</h1></div><p><a href=\"./../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\">Interface: objXRefMgr</a></p>\n\
<p>XRef Objects Manager Interface. Available in <strong>3ds Max 8 and higher</strong>. This is the preferred interface for adding and working with Xref objects in MAXScript.</p>\n\
<p><a href=\"./../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefs.html\">Interface: objXRefs</a></p>\n\
<p>Function published interface for Xref Objects.</p>\n\
<p><a href=\"XRefObject-Node.html\">XRefObject : Node</a></p>\n\
<p>XRef ObjectsNode, extended in <strong>3ds Max 8</strong> with new Properties and Interfaces.</p>\n\
<p><a href=\"XRefAtmosWrapper.html\">XRefAtmosWrapper</a></p>\n\
<p>XrefAtmospherics Wrapper. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><a href=\"XRef_Material-Material.html\">XRef_Material : Material</a></p>\n\
<p>XrefMaterial. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"explicit-references-in-3ds-max-8-and-higher\">Explicit References in 3ds Max 8 and higher</h2><p>The redesigned script and expression controllers in <strong>3ds Max 8</strong> solve the problem described below, since the node references stored in ParamBlock2 can be resolved successfully.</p>\n\
<h2 id=\"explicit-references-prior-to-3ds-max-8\">Explicit References prior to 3ds Max 8</h2><p>A file being xref&apos;d that has a script controller whose script has explicit references ($sphere01, etc.) to objects in the incoming xref file have a potential problem for the script writer. The problem is, the objects in the xref file are invisible to MAXScript, and so a script will fail. This is actually a general problem with xrefs, you cannot have scripts of any kind in the file (scripts controllers, param wires, callback scripts, etc.) that depend on explicit scene object references.</p>\n\
<p>The persistent global solution is the only one that is viable in 3ds Max prior to version 8. There are two general solutions: 1) associate an owning-scene context with controller scripts, etc., when they come in via xref and use that to anchor pathname searches and other scene-relative references, and 2) have an accessible &apos;evaluation context&apos; for controllers sent as part of the GetValue() call, so we can know what object&apos;s parameter the current GetValue() call is being made for and can therefore get rid of many of the uses of explicit pathnames in the scripts.</p>\n\
<p>MAXScript now fully loads any persistent globals in xref&apos;d and merged files, but does <strong>NOT</strong> make them persistent in the current scene. As an example of a setup showing how this can be used, imagine a file with 3 spheres that will be xref&apos;d. You need to establish persistent globals for all the scene objects to be referenced in controller scripts, like this: persistent global s1 = $sphere01, s2 = $sphere02, s3 = $sphere03 this has to be run sometime while the to-be-xrefed scene is the currently open scene. Then in the controller scripts, you&apos;d say something like:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   globals1, s2\n\
   dependsOn s1 s2\n\
   (s1.pos + s2.pos) / 2\n\
</code></pre></blockquote>\n\
<p>Note that this example uses &apos;global &apos;and not &apos;persistent global&apos;. You don&apos;t have to make the variables persistent for the &quot;host&quot; scene referencing the XRefs.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../XRef-Objects-and-Scenes.html\">XRef Objects and Scenes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/XRef-Files.html\">XRef Files</a></li>\n\
          <li><a class=\"link\" href=\"XRefScene-Values.html\">XRefScene Values</a></li>\n\
          <li><a class=\"link\" href=\"XRefObject-Node.html\">XRefObject : Node</a></li>\n\
          <li><a class=\"link\" href=\"XRef_Material-Material.html\">XRef_Material : Material</a></li>\n\
          <li><a class=\"link\" href=\"XRefAtmosWrapper.html\">XRefAtmosWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\">Interface: objXRefMgr</a></li>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NetworkManager.html\">Interface: NetworkManager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";