var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-00E1A3D2-590E-4B2A-8019-C9FFD7D983E6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Quicksilver_Hardware_Renderer : RendererClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Quicksilver_Hardware_Renderer - superclass: RendererClass; super-superclass:MAXWrapper - 26:26 - classID: #(268839321, 1854680990)</code></pre><p>This class represents the <strong>Quicksilver Hardware Renderer</strong> introduced in <strong>3ds Max 2011</strong> and enhanced in <strong>3ds Max 2012</strong> to use the Nitrous Graphics System.</p>\n\
<p>It lets you construct an instance of the <strong>Quicksilver_Hardware_Renderer</strong> class to be assigned to the Current, Production and Material Editor renderers using the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\">renderers structure</a>.</p>\n\
<p>The QuicksliverHardware Renderer can <strong>not</strong> be assigned as the ActiveShade renderer.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Quicksilver_Hardware_Renderer ...</code></pre><blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Assign a Quicksilver Hardware Renderer class instance to the current renderer:\n\
   renderers.current = Quicksilver_Hardware_Renderer ()\n\
   --&gt; Quicksilver_Hardware_Renderer:Hardware_Renderer\n\
</code></pre></blockquote>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#active-viewport-settings-synchronization-group-of-controls\">Active Viewport Settings Synchronization group of controls</a></li>\n\
<li><a href=\"#-progressive-rendering-group-of-controls\">&quot;Progressive Rendering&quot; group of controls</a></li>\n\
<li><a href=\"#-visual-style-group-of-controls\">&quot;Visual Style&quot; group of controls</a><ul>\n\
<li><a href=\"#accessing-boolean-parameters\">Accessing Boolean Parameters</a></li>\n\
<li><a href=\"#accessing-string-parameters\">Accessing String Parameters</a></li>\n\
<li><a href=\"#accessing-integer-parameters\">Accessing Integer Parameters</a></li>\n\
<li><a href=\"#accessing-float-parameters\">Accessing Float Parameters</a></li>\n\
<li><a href=\"#accessing-float4-parameters\">Accessing Float4 Parameters</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#-lighting-group-of-controls\">&quot;Lighting&quot; group of controls</a></li>\n\
<li><a href=\"#-shadows-group-of-controls\">&quot;Shadows&quot; group of controls</a></li>\n\
<li><a href=\"#-reflections-group-of-controls\">&quot;Reflections&quot; group of controls</a></li>\n\
<li><a href=\"#-depth-of-field-group-of-controls\">&quot;Depth Of Field&quot; group of controls</a></li>\n\
<li><a href=\"#-hardware-shaders-cache-folder-group-of-controls\">&quot;Hardware Shaders Cache Folder&quot; group of controls</a></li>\n\
<li><a href=\"#-bloom-group-of-controls\">&quot;Bloom&quot; group of controls</a></li>\n\
<li><a href=\"#update-render-setup-dialog\">Update Render Setup Dialog</a></li>\n\
<li><a href=\"#features-removed-from-3ds-max-2012\">Features Removed from 3ds Max 2012</a><ul>\n\
<li><a href=\"#image-precision-antialiasing-\">Image Precision (Antialiasing)</a></li>\n\
<li><a href=\"#lighting-indirect-illumination\">Lighting - Indirect Illumination</a></li>\n\
<li><a href=\"#transparency-reflections\">Transparency / Reflections</a></li>\n\
<li><a href=\"#depth-of-field\">Depth Of Field</a></li>\n\
<li><a href=\"#other-properties-not-exposed-to-the-ui-\">Other Properties (Not Exposed To The UI)</a></li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><strong>Quicksilver_Hardware_Renderer interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IQuicksilverRenderer</code></pre><h2 id=\"active-viewport-settings-synchronization-group-of-controls\">Active Viewport Settings Synchronization group of controls</h2><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.AutoSynchronizeWithActiveViewport : boolean : Read|Write</code></pre><p>When this property is <strong>true</strong>, the quicksilver renderer automatically synchronizes settings to match the active viewport, before rendering.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SynchronizeWithActiveViewport()</code></pre><p>Synchronizes the quicksilver settings with the active viewport.  For example, if the active viewport is using the clay shading mode, the quicksilver renderer will do the same.</p>\n\
<h2 id=\"-quot-progressive-rendering-quot-group-of-controls\">&quot;Progressive Rendering&quot; group of controls</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.RenderingMode     Name    default: #iterations   --  enum</code></pre><p>Get/set the state of the Rendering Mode radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#time</strong> - the Per-Frame Duration in seconds will be controlled by the <code>.RenderingTime</code> value.</p>\n\
<p><strong>#iterations</strong> (default) - the number of iterations specified by the <code>.RenderingIterations</code> property will be performed, resulting in variable Per-Frame Duration depending on the complexity of each frame.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.RenderingTime     Integer    default: 10   --  integer</code></pre><p>Get/set the rendering duration in seconds.</p>\n\
<p>This value will be used when the <code>.RenderingMode</code> is set to <code>#time</code> .</p>\n\
<p>Valid range is from 1 to 3540, default value is 10.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Note that the User Interface exposes this value as two spinners - Minutes and Seconds.</p>\n\
<p>The Seconds spinner cannot be set to 0 to avoid the entering of 0 Minutes 0 Seconds.</p>\n\
<p>Thus setting the <code>.RenderingTime</code> value to 120 via MAXScript will result in 2 Minutes and 1 Second and not 2 Minutes 0 Seconds, and the internal value will be stored as121 seconds!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.RenderingIterations     Integer    default: 256   --  integer</code></pre><p>Get/set the number of iterations to perform when the <code>.RenderingMode</code> property is set to <code>#iterations</code></p>\n\
<p>This is the number of iterative refinement steps performed by the Nitrous Graphics system introduced in <strong>3ds Max 2012</strong>.</p>\n\
<p>Min. value is 1, Max. value is 4096, Default is 256.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<h2 id=\"-quot-visual-style-quot-group-of-controls\">&quot;Visual Style&quot; group of controls</h2><p>Similar properties and methods are exposed by the <a href=\"./../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"#visual-style-group-of-controls\">NitrousGraphicsManager Interface</a> for controlling the viewport Visual Style.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.VisualStyle     Name    default: #Realistic   --  enum\n\
\n\
VisualStyle enums: { #Realistic | #Shaded | #ConsistentColors | #HiddenLine | #Wireframe | #Clay | #BoundingBox | #Ink | #ColorInk | #Acrylic | #Tech | #Graphite | #ColorPencil | #Pastel }</code></pre><p>Get/set the rendering visual style.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.EdgedFaces     BooleanClass    default: false   --  bool</code></pre><p>Get/set the state of the Edged Faces checkbox.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.TextureEnabled     BooleanClass    default: true   --  bool</code></pre><p>Get/set the state of the <strong>&quot;Textures&quot;</strong> checkbox.</p>\n\
<p>When set to true (default), textures will be rendered.</p>\n\
<p>When set to false, textures will be ignored.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.TransparencyEnabled     BooleanClass    default: true   --  bool</code></pre><p>Enable/Disable the calculation of transparency.</p>\n\
<p>Default value is false.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRParameterInfo()</code></pre><p>Returns information about the parameters exposed by the current visual style.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRParameterCount()</code></pre><p>Returns the number of parameters exposed by the current visual style.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRParameterName &lt;integer&gt;index</code></pre><p>Returns the name of the indexed parameter. The index is zero-based.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRParameterType &lt;integer&gt;index\n\
\n\
GetNPRParameterType enums: { #Unknown | #Bool | #Int | #Float | #Float4 | #String }</code></pre><p>Returns the type of the indexed parameter. The index is zero-based.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<h3 id=\"accessing-boolean-parameters\">Accessing Boolean Parameters</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRBool &lt;string&gt;name</code></pre><p>Returns the value of the named boolean parameter.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetNPRBool &lt;string&gt;name &lt;boolean&gt;value</code></pre><p>Sets the value of the named boolean parameter to the boolean value passed as second argument.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<h3 id=\"accessing-string-parameters\">Accessing String Parameters</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRString &lt;string&gt;name</code></pre><p>Returns the value of the named string parameter.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetNPRString &lt;string&gt;name &lt;string&gt;value</code></pre><p>Sets the value of the named string parameter to the string value passed as second argument.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<h3 id=\"accessing-integer-parameters\">Accessing Integer Parameters</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRInt &lt;string&gt;name</code></pre><p>Returns the value of the named integer parameter.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetNPRInt &lt;string&gt;name &lt;integer&gt;value</code></pre><p>Sets the value of the named integer parameter to the Integer value passed as second argument.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRMinInt &lt;string&gt;name</code></pre><p>Returns the minimum range value of the named integer parameter.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRMaxInt &lt;string&gt;name</code></pre><p>Returns the maximum range value of the named integer parameter.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<h3 id=\"accessing-float-parameters\">Accessing Float Parameters</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRFloat &lt;string&gt;name</code></pre><p>Returns the value of the named float parameter.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetNPRFloat &lt;string&gt;name &lt;float&gt;value</code></pre><p>Sets the value of the named float parameter to the Float value passed as second argument.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRMinFloat &lt;string&gt;name</code></pre><p>Returns the minimum range value of the named float parameter.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRMaxFloat &lt;string&gt;name</code></pre><p>Returns the maximum range value of the named float parameter.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<h3 id=\"accessing-float4-parameters\">Accessing Float4 Parameters</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRFloat4 &lt;string&gt;name</code></pre><p>Returns the Point4 value of the named float4 parameter.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetNPRFloat4 &lt;string&gt;name &lt;point4&gt;value</code></pre><p>Sets the value of the named float4 parameter to the Point4 value passed as second argument.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRMinFloat4 &lt;string&gt;name</code></pre><p>Returns the minimum range value of the named float4 parameter.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRMaxFloat4 &lt;string&gt;name</code></pre><p>Returns the maximum range value of the named float4 parameter.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.ShowNPRParameters()</code></pre><p>For future use.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<h2 id=\"-quot-lighting-quot-group-of-controls\">&quot;Lighting&quot; group of controls</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.UseDefaultLights     BooleanClass    default: false   --  bool</code></pre><p>Get/set whether to use the Default Lights (True) or the Scene lights (False).</p>\n\
<p>Default value is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.Highlights     BooleanClass    default: true   --  bool</code></pre><p>Get/set whether to render with Highlights (True, Default) or without Highlights (False).</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationEnabled     BooleanClass    default: false   --  bool</code></pre><p>Enable/Disable Indirect Illumination calculations.</p>\n\
<p>Default value is False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationMultiplier     Float    default: 1.0   --  float</code></pre><p>Get/set the Indirect Illumination Multiplier value.</p>\n\
<p>Valid values are between 0.0 and 3.0</p>\n\
<p>Default value is 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationSampleArea     Float    default: 100.0   --  float</code></pre><p>Get/set the Indirect Illumination Sample area value.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationLODEnabled     BooleanClass    default: false   --  bool</code></pre><p>Get/set the state of the Indirect Illumination Level Of Detail option.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationShadowEnabled     BooleanClass    default: false   --  bool</code></pre><p>Enable/Disable Indirect Illumination Shadows.</p>\n\
<p>Default value is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationShadowRange     Integer    default: 8   --  integer</code></pre><p>Get/set the Indirect Illumination Shadow Range value.</p>\n\
<p>Valid values are between 1 and 32.</p>\n\
<p>Default value is 8.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationShadowSize     Integer    default: 256   --  integer</code></pre><p>Get/set the Indirect Illumination Shadow Size value.</p>\n\
<p>Valid values are between 32 and 2048.</p>\n\
<p>Default value is 256.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationRSMSize     Integer    default: 256   --  integer</code></pre><p>Get/set the Indirect Illumination RSM Size value.</p>\n\
<p>Valid values are between 32 and 2048.</p>\n\
<p>Default value is 256.</p>\n\
<h2 id=\"-quot-shadows-quot-group-of-controls\">&quot;Shadows&quot; group of controls</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.UseShadows     BooleanClass    default: true   --  bool</code></pre><p>Get/set whether to use shadows.</p>\n\
<p>Default value is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.SoftShadowMultiplier     Float    default: 1.0   --  float</code></pre><p>Get/set the Soft Shadows Multiplier value.</p>\n\
<p>Valid values are:</p>\n\
<p>0.0 - Point Lights / Hard Shadows</p>\n\
<p>0.125 - Very Low</p>\n\
<p>0.25 - Low</p>\n\
<p>0.5 - Medium</p>\n\
<p>1.0 - Default</p>\n\
<p>2.0 - High Quality</p>\n\
<p>4.0 - High Quality</p>\n\
<p>8.0 - High Quality</p>\n\
<p>16.0 - Very High Quality</p>\n\
<p>Any other values will be ignored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ShadowIntensity     Float    default: 1.0   --  float</code></pre><p>Get/set the Shadow Intensity/Fade value.</p>\n\
<p>Valid range is 0.0 to 1.0.</p>\n\
<p>Default value is 1.0.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.AmbientOcclusionEnabled     BooleanClass    default: false   --  bool</code></pre><p>Enable/Disable Ambient Occlusion.</p>\n\
<p>Default value is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.AmbientOcclusionIntensity     Float    default: 1.0   --  float</code></pre><p>Get/set the Ambient Occlusion Intensity/Fade value.</p>\n\
<p>Valid range is 0.0 to 2.0.</p>\n\
<p>Default value is 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.AmbientOcclusionRadius     Float    default: 3.0   --  float</code></pre><p>Get/set the Ambient Occlusion Radius value.</p>\n\
<p>Valid range is 0.0 to 200.0.</p>\n\
<p>Default value is 3.0.</p>\n\
<h2 id=\"-quot-reflections-quot-group-of-controls\">&quot;Reflections&quot; group of controls</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ReflectionsEnabled     BooleanClass    default: true   --  bool</code></pre><p>Enable/Disable the calculation of reflections.</p>\n\
<p>Default value is true.</p>\n\
<hr>\n\
<p>These properties are \n\
 <strong>Available in 3ds Max 2021.3 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ReflectionsUseNodesList : boolean : Read|Write</code></pre><p>Enables the selection of objects for dynamic reflection based on a list of nodes.  The operation can either include or exclude the objects on this list.  See  <code>SetReflectionsNodesIncludeList()</code> and <code>SetReflectionsNodesExcludeList()</code> below to set the node list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ReflectionsMaterialIDEnabled : boolean : Read|Write</code></pre><p>Enables the selection of objects for dynamic reflection based on the Material ID specified by <code>.ReflectionsMaterialID</code> (below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ReflectionsMaterialID : integer : Read|Write|Validated by Range: 0 to 65535</code></pre><p>Specifies the Material ID to use to identify objects used for dynamic reflections, when <code>.ReflectionsMaterialIDEnabled</code> is <strong>true</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ReflectionsObjectIDEnabled : boolean : Read|Write</code></pre><p>Enables the selection of objects for dynamic reflection based on Object ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ReflectionsObjectID : integer : Read|Write|Validated by Range: 0 to 65535</code></pre><p>Specifies the Object ID to use for dynamic reflections, when <code>.ReflectionsObjectIDEnabled</code> is <strong>true</strong>.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetReflectionsNodesIncludeList &lt;&amp;node array&gt;in_nodes_array_by_reference_set_as_include_list\n\
       in_nodes_array_by_reference_set_as_include_list is In and Out parameter</code></pre><p> Sets the list of nodes to use for reflections to the nodes specified by <code>in_nodes_array_by_reference_set_as_include_list</code>.  \n\
 <strong>Available in 3ds Max 2021.3 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetReflectionsNodesExcludeList &lt;&amp;node array&gt;in_nodes_array_by_reference_set_as_exclude_list\n\
       in_nodes_array_by_reference_set_as_exclude_list is In and Out parameter</code></pre><p>Sets the list of nodes to exclude for reflections to the nodes specified by  <code>in_nodes_array_by_reference_set_as_exclude_list</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetReflectionsNodesList &lt;&amp;node array&gt;out_nodes_array_by_reference\n\
       out_nodes_array_by_reference is In and Out parameter</code></pre><p>Fills the <code>out_nodes_array_by_reference</code> with the list of nodes used for dynamic scene reflections.  The method returns <strong>true</strong> if it is an &quot;include&quot; list, and false if it is an &quot;exclude&quot; list.</p>\n\
<h2 id=\"-quot-depth-of-field-quot-group-of-controls\">&quot;Depth Of Field&quot; group of controls</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.DepthOfFieldEnabled     BooleanClass    default: true   --  bool</code></pre><p>Enable/Disable Depth Of Field calculations.</p>\n\
<p>Default value is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.DepthOfFieldMode     Name    default: #camera   --  enum</code></pre><p>Get/set the Depth Of Field mode.</p>\n\
<p>Possible values are:</p>\n\
<p><code>#Camera</code> - (default) -uses the Camera&apos;s Depth Of Field settings.</p>\n\
<p><code>#Override</code> - uses the renderer&apos;s Override settings (NearPlane, FarPlane, FocalPlane).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.FocalPlane     Float    default: 100.0   --  float</code></pre><p>Get/set the Override Depth Of Field Focal Plane value.</p>\n\
<p>Default is 100.0.</p>\n\
<p>Used only when <code>.DepthOfFieldMode</code> is set to <code>#Override</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.fStop     Float    default: 1.0   --  float</code></pre><p>Get/set the Depth Of Field fStop value.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BokehShape     String    default: &quot;&quot;   --  filename</code></pre><p>Get/set the Bokeh shape control bitmap.</p>\n\
<p>When set to empty string &quot;&quot; (default), the Depth Of Field effect will create a disk-shaped circle of confusion.</p>\n\
<p>When set to a valid bitmap file with RGB and Alpha channel, the Alpha channel will define the shape of the Bokeh effect.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Not exposed to the UI</strong>.</p>\n\
<h2 id=\"-quot-hardware-shaders-cache-folder-quot-group-of-controls\">&quot;Hardware Shaders Cache Folder&quot; group of controls</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.UseShaderCacheFileSystem     BooleanClass    default: true   --  bool</code></pre><p>Enable/disable the use of the Hardware Shaders Cache File system.</p>\n\
<p>Default value is true.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.ForceSaveShaderCacheFile()</code></pre><p>Forces the saving of the Shader Cache File.</p>\n\
<h2 id=\"-quot-bloom-quot-group-of-controls\">&quot;Bloom&quot; group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomEnabled : boolean : Read|Write</code></pre><p>Get/set the <strong>Enable Bloom</strong> setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomTintColor : point3 : Read|Write</code></pre><p>Get/set the bloom <strong>Tint</strong> color setting, as an RGB value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomTintContribution : float : Read|Write</code></pre><p>Get/set the bloom tint multiplier value.  This value multiplies the tint strength.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomThreshold : float : Read|Write</code></pre><p>Get/set the bloom <strong>Threshold</strong> setting.  This value controls the amount of bloom applied based on pixel intensity.  Higher values filter more light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomThresholdSmoothing : float : Read|Write</code></pre><p>Get/set the bloom threshold <strong>Smoothing</strong> value, which softens the edges.  This value is the size of the window to smooth the threshold, calculated by this smoothstep function: <code>float brightness = smoothstep(Threshold, Threshold + ThresholdSmoothing, pixelLuminance)</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomStrength : float : Read|Write</code></pre><p>Get/set the bloom <strong>Strength</strong> value, which multiplies the overall bloom effect.  </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomRadius : integer : Read|Write</code></pre><p>Get/set the bloom <strong>Radius</strong> value.  Controls the bloom effect width, where higher values give a wider effect.  Valid settings are between 1 and 10.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomQuality : enum : Read|Write\n\
       BloomQuality enums: {#Gaussian_3x3|#Gaussian_5x5|#Gaussian_7x7|#Gaussian_9x9}</code></pre><p>Get/set the bloom <strong>Quality</strong>.  The enums correspond to the 1-4 slider value in the UI.  This property controls blur, detail and noise, based on a Gaussian kernel filter.  Higher values produce better quality.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomDirtMapEnabled : boolean</code></pre><p>Get/set whether a dirt map is used.  If <strong>true</strong> the dirt map specified by the <code>.BloomDirtMap</code>, with a multiplier specified by <code>.BloomDirtContribution</code>, is applied to the bloom effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomDirtMap : texturemap : Read|Write</code></pre><p>Get/set the texture map used as a dirt map for the bloom.  A dirt map can mimic the look of dirt and scratches on a camera lens.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomDirtContribution : float : Read|Write</code></pre><p>Get/set the bloom dirt map contribution multiplier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomApplyOnBackground : boolean : Read|Write</code></pre><p>Get/set the bloom <strong>Apply on Background</strong> setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomShowBloomPass : boolean : Read|Write</code></pre><p>Get/set whether to show only the bloom pass.  This property is intended for debugging, and is not exposed in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomShowFilterPass : boolean : Read|Write</code></pre><p>Get/set whether to show only the bloom filtering pass.  This property is intended for debugging, and is not exposed in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomShowRadiusPassNumber : integer : Read|Write</code></pre><p>Get/set value for the bloom radius pass number.  If 0 or greater, the pass is displayed in the viewport.  This property is intended for debugging, and is not exposed in the UI.</p>\n\
<h2 id=\"update-render-setup-dialog\">Update Render Setup Dialog</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.CommitParameters()</code></pre><p>Commits all changes to the Renderer&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.UpdateUI()</code></pre><p>Updates the Renderer&apos;s UI to reflect changes made using MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.RunUnitTests()</code></pre><p>For internal use only.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<h2 id=\"features-removed-from-3ds-max-2012\">Features Removed from 3ds Max 2012</h2><h3 id=\"image-precision-antialiasing-\">Image Precision (Antialiasing)</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.HardwareSamplingQuality : enum : Read|Write \n\
\n\
HardwareSamplingQuality enums: {#None|#2X|#4X|#8X}</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>Get/set the Hardware Sampling Quality. This controls the anti-aliasing quality performed by the graphics hardware.</p>\n\
<p>Default value is <code>#None.</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.SoftwareSamplingQuality : enum : Read|Write \n\
\n\
SoftwareSamplingQuality enums: {#None|#4X|#16X}</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>Get/set the Software Sampling Quality. This controls the anti-aliasing quality performed by the CPU in addition to the hardware anti-aliasing.</p>\n\
<p>Default value is <code>#None.</code></p>\n\
<h3 id=\"lighting-indirect-illumination\">Lighting - Indirect Illumination</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationSamples : float : Read|Write|Validated by Range: 0.001 to 1.0</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>Get/set the Indirect Illumination Samples value.</p>\n\
<p>Valid values are between 0.001 and 1.0</p>\n\
<p>Default value is 1.0.</p>\n\
<h3 id=\"transparency-reflections\">Transparency / Reflections</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.TransparencyMode : enum : Read|Write \n\
\n\
TransparencyMode enums: {#Simple|#Best}</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>Get/set the transparency mode.</p>\n\
<p>Default value is <code>#Simple</code>.</p>\n\
<h3 id=\"depth-of-field\">Depth Of Field</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.NearPlane : float : Read|Write</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>Get/set the Override Depth Of Field Near Plane value.</p>\n\
<p>Default is 90.0.</p>\n\
<p>Used only when <code>.DepthOfFieldMode</code> is set to <code>#Override</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.FarPlane : float : Read|Write</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>Get/set the Override Depth Of Field Far Plane value.</p>\n\
<p>Default is 110.0.</p>\n\
<p>Used only when <code>.DepthOfFieldMode</code> is set to <code>#Override</code> .</p>\n\
<h3 id=\"other-properties-not-exposed-to-the-ui-\">Other Properties (Not Exposed To The UI)</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.LightingMode : enum : Read|Write \n\
\n\
LightingMode enums: {#Deferred| #Forward}</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>Get/set the Lighting mode.</p>\n\
<p>Default value is <code>#Deferred</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ShadingMode : enum : Read|Write \n\
\n\
ShadingMode enums: {#Luminance| #Illuminance}</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>Get/set the Shading mode.</p>\n\
<p>Default value is <code>#Luminance</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../RendererClass.html\">RendererClass</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Default_Scanline_Renderer.html\">Default_Scanline_Renderer : RendererClass</a></li>\n\
          <li><a class=\"link\" href=\"VUE_File_Renderer-RendererClass.html\">VUE_File_Renderer : RendererClass</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\">Renderers</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";