var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-212F239E-EBC5-4AD3-A620-CECDDA7E69B5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>rootScene System Global Variable</h1></div><p>The <strong>rootScene</strong> is a system global variable that represents the Scene Root. It is available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>Its subAnims can be used to access various elements of the scene hierarchy including:</p>\n\
<ul>\n\
<li><p>Sound</p>\n\
</li>\n\
<li><p>Video Post</p>\n\
</li>\n\
<li><p>Global Tracks</p>\n\
</li>\n\
<li><p>Biped</p>\n\
</li>\n\
<li><p>Animation Layer Control Manager</p>\n\
</li>\n\
<li><p>Schematic Material Editor</p>\n\
</li>\n\
<li><p>Environment</p>\n\
</li>\n\
<li><p>Render Effects</p>\n\
</li>\n\
<li><p>Render Elements</p>\n\
</li>\n\
<li><p>Renderers</p>\n\
</li>\n\
<li><p>Global Shadow Parameters</p>\n\
</li>\n\
<li><p>Scene Materials</p>\n\
</li>\n\
<li><p>Medit Materials</p>\n\
</li>\n\
<li><p>World</p>\n\
</li>\n\
</ul>\n\
<p>The rootScene is used by the Macro Recorder to emit script code relative to the scene root.</p>\n\
<p>Below are some examples of accessing the rootScene and its subAnims:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rootScene\n\
   --&gt;$&lt;rootScene&gt;\n\
\n\
   getsubanimnames rootScene\n\
   --&gt;#(#Sound, #Video_Post, #Global_Tracks, #biped, #Anim_Layer_Control_Manager, #SME, #Environment, #Render_Effects, #Render_Elements, #renderer, #Global_Shadow_Parameters, \n\
   --&gt;#Scene_Materials, #Medit_Materials, #world)\n\
\n\
   w=rootscene[#world]\n\
   --&gt;SubAnim:World\n\
\n\
   w.object\n\
   --&gt;$&lt;root&gt;\n\
\n\
   classof rootScene\n\
   --&gt;Scene\n\
\n\
   weaponDataCA = attributes weaponData\n\
   (\n\
   parameters main rollout:params\n\
   (\n\
   hitPoints type:#float ui:hits default:10\n\
   cost type:#float ui:cost default:100\n\
   sound type:#string\n\
   )\n\
   rollout params &quot;Weapon Parameters&quot;\n\
   (\n\
   spinner hits &quot;Hit Points&quot; type:#float\n\
   spinner cost &quot;Cost&quot; type:#float\n\
   dropdownlist sound_dd &quot;Sound&quot; items:#(&quot;boom&quot;, &quot;sparkle&quot;, &quot;zap&quot;, &quot;fizzle&quot;)\n\
   on sound_dd selected i do sound = sound_dd.items[i]\n\
   )\n\
   )\n\
   CustAttributes.add rootnode weaponDataCA\n\
   CustAttributes.add rootscene weaponDataCA\n\
   createdialog rootnode.weapondata.params\n\
   --Playing with parameters generates clean macro recorder output\n\
\n\
   --Close dialog before running next line:\n\
\n\
   createdialog rootscene.weapondata.params\n\
   --Playing with parameters generates clean macro recorder output\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scene-Root-And-Track-View-Nodes.html\">Scene Root And Track View Nodes Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Track-View-Nodes.html\">Track View Nodes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";