var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E75D8D72-53D4-4306-BD8C-25D7363A7050\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripting Vertex and Control Point Animation</h1></div><p>You can add animation to vertices in editable meshes, spline shapes and FFD modifiers using the <code>animateVertex()</code> method. Its syntax is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animateVertex &lt;node_or_ffd_modifier&gt; &lt;vertex_spec&gt;      </code></pre><p>Animates one or more vertex, knot, or control point, where <code>&lt;vertex_spec&gt;</code> is one of</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;\n\
&lt;index_array&gt;\n\
#all #selected -- not applicable for FFD modifiers   </code></pre><p>For FFD modifiers, the <code>animateAll()</code> method will animate all the control points, and is equivalent to <code>animateVertex &lt;ffd_modifier&gt; #all</code> .</p>\n\
<p>Its syntax is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animateAll &lt;ffd_modifier&gt; </code></pre><p>Animates all control points.</p>\n\
<p>The <code>animateVertex()</code> and <code>animateAll()</code> methods effectively assign controllers to editable meshes, spline shapes and FFD modifiers which make them appear as animatables in the Track View, allowing further scripting of these vertex animation controllers.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   animateVertex $line01 2\n\
   animateVertex $box01 # (2,3,4,5)\n\
   animateAll $box01.ffd_3x3x3\n\
</code></pre></blockquote>\n\
<p>These <code>animateVertex()</code> method only work on editable meshes, spline shapes and FFD modifiers and will report an error if applied to other types of objects. You can use the functions <code>convertToMesh()</code> and <code>convertToSplineShape()</code> to convert existing geometry into the needed forms. Note that Line objects are SplineShapes already and don&apos;t need conversion.</p>\n\
<p>The vertices to be animated are specified by index number, with the keyword <code>#all</code> to animate all vertices or control points, or <code>#selected</code> to animate the currently selected vertices. The <code>#selected</code> keyword is not applicable to FFD modifiers. In the case of SplineShapes, the vertex index numbers are interpreted in a special way to accommodate tangent handles and multiple curves, as follows:</p>\n\
<ul>\n\
<li><p>Each SplineShape vertex has <strong>three</strong> indexes, one for each in-tangent handle, vertex, and out-tangent handle, in that order.</p>\n\
</li>\n\
<li><p>The indexes run consecutively through each curve in a multi-curve shape, with the index number for the first in-tangent handle of a curve starting after the index of the last out-tangent handle in the prior curve.</p>\n\
</li>\n\
</ul>\n\
<p>See Also <a href=\"./../Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a> for details on accessing the vertices, tangents, or control points.</p>\n\
<p>For information about scripting FFD control placement within FFD lattice space, See Also the <code>getModContextBBoxMin()</code> and <code>getModContextBBoxMin()</code> functions, as described in <a href=\"./../Modifier-MAXWrapper-and/Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a>.</p>\n\
<p>For editable meshes and spline shapes, the controller values assigned to the vertices, knots, and tangent handles is in object space. See <a href=\"./../Node-MAXWrapper/Node-Common-Properties-Operators/Using-Node-Transform-Properties.html\">Using Node Transform Properties</a>for information on converting between world space to object space.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripting-Vertex-and-Control.html\">Scripting Vertex and Control Point Animation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";