var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1E56D87F-6A40-4660-ADC9-922C81A68DA9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Noise : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Noise - superclass: textureMap; super-superclass:material - classID: #(564, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">noise...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noise&gt;.type Integer default: 0 </code></pre><p>Sets the type of noise:</p>\n\
<p>0- Regular (Generates plain noise. Basically the same as fractal noise with <code>levels</code> at 1.)</p>\n\
<p>1- Fractal (Generates noise using a fractal algorithm. <code>levels</code> sets the number of iterations for the fractal noise.)</p>\n\
<p>2- Turbulence (Generates fractal noise with an absolute value function applied to it to make fault lines.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noise&gt;.size Float default: 25.0 -- animatable, alias: Noise_Size </code></pre><p>Sets the scale of the noise function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noise&gt;.thresholdLow Float default: 0.0 -- animatable, alias: Low_Threshold \n\
&lt;Noise&gt;.thresholdHigh Float default: 1.0 -- animatable, alias: High_Threshold </code></pre><p>When the noise value is above the Low threshold and below the High threshold, the dynamic range is stretched to fill 0-1. This creates a smaller discontinuity (technically, 1 st order instead of 0 order) at the threshold transition and produces less potential aliasing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noise&gt;.levels Float default: 3.0 -- animatable, alias: Noise_Levels </code></pre><p>Determines how much fractal energy is used for the Fractal and Turbulence noise functions. You can set the exact amount of turbulence you want, and also animate the number of fractal levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noise&gt;.phase Float default: 0.0 -- animatable </code></pre><p>Controls the speed of the animation of the noise function. Use this option to animate the noise function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noise&gt;.color1 Color default: (color 0 0 0) -- animatable, alias: Color_1 </code></pre><p>Sets the first principal noise color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noise&gt;.map1 TextureMap default: undefined -- alias: Map_1 </code></pre><p>Map used in place of <code>color1</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noise&gt;.map1Enabled Boolean default: true -- alias: Map_1_Enable </code></pre><p>When on, <code>map1</code> is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noise&gt;.color2 Color default: (color 255 255 255) -- animatable, alias: Color_2 </code></pre><p>Sets the second principal noise color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noise&gt;.map2 TextureMap default: undefined -- alias: Map_2 </code></pre><p>Map used in place of <code>color2</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noise&gt;.map2Enabled Boolean default: true -- alias: Map_2_Enable </code></pre><p>When on, <code>map2</code> is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noise&gt;.coords StandardXYZGen -- alias: coordinates </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/StandardXYZGen-Material.html\">StandardXYZGen</a> for the StandardXYZGen properties</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noise&gt;.output StandardTextureOutput </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/TexOutputClass-Material.html\">TexOutputClass</a> for the StandardTextureOutput properties</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";