var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CA5BD5C0-E2B3-4C8F-8115-0E670B71B5E7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Vector_Map : textureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Vector_Map - superclass: textureMap; super-superclass:material - 31:0 - classID: #(-1817630903, 1804420874)</code></pre><p>The <strong>Vector_Map TextureMap</strong> available in <strong>3ds Max 2014 and higher</strong> can load and generate a rasterized bitmap representation of several vector graphics formats, including the open SVG and SVGZ, Autodesk&apos;s AutoCAD .PAT, and Adobe&apos;s AI and PDF formats.</p>\n\
<p>The Scalable Vector Graphics (SVG) XML format, an open format developed by the World Wide Web Consortium, allows the description of geometry shapes, images and text that are resolution-independent and can produce a bitmap of arbitrary size without storing actual texels on disk. The benefit of this approach is high quality graphics and text at any resolution and very small source description file sizes.</p>\n\
<p>SVG files can be created by hand or by dedicated tools, downloaded from the Web, or generated automatically using MAXScript. In addition, the <strong>3ds Max</strong> implementation of the Vector_Map TextureMap provides the ability to embed MAXScript function calls inside the SVG XML source file.</p>\n\
<p>To learn more about the basics of creating SVG files and the integration of the Vector_Map with MAXScript, please see the topic <a href=\"Vector_Map-TextureMap-and.html\">VectorMap TextureMap and MAXScript</a>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Vector_Map... \n\
VectorMap...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"coordinates-rollout\">Coordinates rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.coords     StandardUVGen    default: MtlBase:Placement   --  maxObject; Coordinates; SubAnim</code></pre><p>See <a href=\"./../../TextureMap-Shared-Classes/UVGenClass-Material.html\">UVGenClass</a> for the StandardUVGen properties.</p>\n\
<h2 id=\"parameters-rollout\">Parameters rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.vectorfile     String    default: &quot;&quot;   --  filename</code></pre><p>Get/set the value of the <strong>&quot;Vector File&quot;</strong> button.</p>\n\
<p>This is the file name of the vector file used as the source of the Scalable Vector Graphics map generation.</p>\n\
<p>Supported file formats include:</p>\n\
<p><strong>.SVG</strong> - Scalable Vector Graphics XML format. When saved from a 3rd party editor like tje open source Inkscape, the file must be saved as Plain SVG.</p>\n\
<p><strong>.SVGZ</strong> - Compressed Scalable Vector Graphics format</p>\n\
<p><strong>.AI</strong> - Adobe Illustrator format - AI9 to SC5. Files must be saved with &quot;Create PDF Compatible File&quot; option checked.</p>\n\
<p><strong>.PAT</strong> - Autodesk AutoCAD Pattern file format</p>\n\
<p><strong>.PDF</strong> - Adobe Portable Document Format</p>\n\
<h3 id=\"filtering-group-of-controls\">Filtering group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.filter     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Filter Result&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the rasterized bitmap produced from the vector graphics definition will be filtered.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.mipmap     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Mip Mapping&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), multiple resolutions of the texture map will be rasterized to allow for better texture filtering at render time.</p>\n\
<h3 id=\"cropping-placement-group-of-controls\">Cropping / Placement group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.applycrop     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Apply&quot;</strong> checkbox.</p>\n\
<p>When set to True, the resulting rasterized bitmap will be cropped or placed according to the parameters below.</p>\n\
<p>When set to False (default), no cropping or placement will be performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.croporplace     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the <strong>&quot;Crop/Place&quot;</strong> radius buttons.</p>\n\
<p>Possible values are</p>\n\
<p>0 - <strong>Crop</strong> (default)</p>\n\
<p>1 - <strong>Place</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.crop_u     Float    default: 0.0   --  animatable; float; Clip_U_Offset</code></pre><p>Get/set the value of the <strong>&quot;U&quot;</strong> spinner.</p>\n\
<p>It defines the horizontal component of the upper left corner of the region to be affected, expressed in normalized units between 0.0 and 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.crop_v     Float    default: 0.0   --  animatable; float; Clip_V_Offset</code></pre><p>Get/set the value of the <strong>&quot;V&quot;</strong> spinner.</p>\n\
<p>It defines the vertical component of the upper left corner of the region to be affected, expressed in normalized units between 0.0 and 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.crop_w     Float    default: 1.0   --  animatable; float; Clip_U_Width</code></pre><p>Get/set the value of the <strong>&quot;W&quot;</strong> spinner.</p>\n\
<p>It defines the Width of the region to be affected, expressed in normalized units between 0.0 and 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.crop_h     Float    default: 1.0   --  animatable; float; Clip_V_Width</code></pre><p>Get/set the value of the <strong>&quot;H&quot;</strong> spinner.</p>\n\
<p>It defines the Height of the region to be affected, expressed in normalized units between 0.0 and 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.Jitter     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Jitter Placement&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.jitteramt     Float    default: 1.0   --  animatable; float; Jitter_Placement</code></pre><p>Get/set the value of the <strong>&quot;Jitter Placement&quot;</strong> spinner.</p>\n\
<h3 id=\"mono-channel-output-group-of-controls\">Mono Channel Output group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.monoOutput     Integer    default: 1   --  integer</code></pre><p>Get/set the state of the <strong>&quot;Mono Channel Output&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>RGB Intensity</strong></p>\n\
<p>1 - <strong>Alpha</strong> (default)</p>\n\
<h3 id=\"rgb-channel-output-group-of-controls\">RGB Channel Output group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.rgbOutput     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the <strong>&quot;RGB Channel Output&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>RGB</strong> (default)</p>\n\
<p>1 - <strong>Alpha as Gray</strong></p>\n\
<h3 id=\"alpha-source-group-of-controls\">Alpha Source group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.alphasource     Integer    default: 2   --  integer; Alpha_Source</code></pre><p>Get/set the state of the <strong>&quot;Alpha Source&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Image Alpha</strong></p>\n\
<p>1 - <strong>RGB Intensity</strong></p>\n\
<p>2 - <strong>None (Opaque)</strong> (default)</p>\n\
<h3 id=\"virtual-resolution-group-of-controls\">Virtual Resolution group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.restype     Integer    default: 0 --  integer;</code></pre><p>Get/set the state of the <strong>&quot;Virtual Resolution&quot;</strong> radio buttons. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Finite</strong> (default)</p>\n\
<p>1 - <strong>Infinite</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.finiteresolution     Integer    default: 10000   --  integer;</code></pre><p>Get/set the value of the <strong>Finite</strong> spinner. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<h2 id=\"pattern-parameters-rollout\">Pattern Parameters rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.patternname     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Pattern&quot;</strong> drop-down list available if the <code>.vectorfile</code> property points at a .PAT file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.patternrepeat     Float    default: 1.0   --  animatable; float; Pattern_Repeat</code></pre><p>Get/set the value of the <strong>&quot;Repeat&quot;</strong> spinner.</p>\n\
<p>It controls the repeating of the pattern.</p>\n\
<p>Use Repeat instead of tiling since most patterns do not tile nicely.</p>\n\
<p>Note that this parameter is animatable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.linewidth     Float    default: 1.0   --  animatable; float; Line_Width</code></pre><p>Get/set the value of the <strong>&quot;Line Width&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.linecolor     Color    default: (color 0 0 0)   --  animatable; RGB color; Line_Color; Controller Scaling: ([1,1,1] : (color 255 255 255)))</code></pre><p>Get/set the color of the <strong>&quot;Line Color&quot;</strong> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.backcolor     Color    default: (color 255 255 255)   --  animatable; RGB color; Background_Color; Controller Scaling: ([1,1,1] : (color 255 255 255)))</code></pre><p>Get/set the color of the <strong>&quot;Background&quot;</strong> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.linecap     Integer    default: 0   --  integer; Line_Cap</code></pre><p>Get/set the state of the <strong>&quot;Line Cap&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Round</strong> (default)</p>\n\
<p>1 - <strong>Square</strong></p>\n\
<p>2 - <strong>None</strong></p>\n\
<h2 id=\"adobe-illustrator-pdf-parameters-rollout\">Adobe Illustrator / PDF Parameters rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.pdf_page     Float    default: 1.0   --  animatable; float; PDF_Page_Number</code></pre><p>Get/set the value of the <strong>&quot;Page&quot;</strong> spinner.</p>\n\
<p>It is animatable, allowing to scrolling through a PDF document when the <code>.continuous</code> property is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.continous     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Continuous&quot;</strong> checkbox.</p>\n\
<p>When True, the page transitions will be smooth.</p>\n\
<p>When False (default), the <code>.pdf_page</code> value will be interpreted as an integer and only whole pages will be displayed.</p>\n\
<h3 id=\"background-group-of-controls\">Background group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.transparent     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Transparent&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the page&apos;s background will be considered transparent.</p>\n\
<p>When set to False, the <strong>.pagecolor</strong> property will be used as the background color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.pagecolor     Color    default: (color 255 255 255)   --  animatable; RGB color; Page_Color; Controller Scaling: ([1,1,1] : (color 255 255 255))</code></pre><p>Get/set the value of the <strong>&quot;Page Color&quot;</strong> picker.</p>\n\
<p>Used when the <code>.transparent</code> property is set to False.</p>\n\
<h3 id=\"page-transition-group-of-controls\">Page Transition group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.transition_mode     Integer    default: 0   --  integer; </code></pre><p>Get/set the selection of the <strong>&quot;Mode&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Blend</strong></p>\n\
<p>1 - <strong>Scroll</strong></p>\n\
<p>2 - <strong>Move In</strong></p>\n\
<p>3 - <strong>Move Out</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.transitiondir     Integer    default: 0   --  animatable; integer; Transition_Direction</code></pre><p>Get/set the transition direction controls selection used when <strong><code>.transition_mode</code></strong> is greater than 0 (Scrolling Or Moving In or Out).</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Up</strong></p>\n\
<p>1 - <strong>Right-Up</strong></p>\n\
<p>2 - <strong>Right</strong></p>\n\
<p>3 - <strong>Right-Down</strong></p>\n\
<p>4 - <strong>Down</strong></p>\n\
<p>5 - <strong>Left-Down</strong></p>\n\
<p>6 - <strong>Left</strong></p>\n\
<p>7 - <strong>Left-Up</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.preview     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Preview&quot;</strong> checkbox.</p>\n\
<h2 id=\"advanced-parameters-rollout\">Advanced Parameters rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.hwbitmapsize     Integer    default: 256   --  integer</code></pre><p>Get/set the value of the <strong>&quot;HW Bitmap Size&quot;</strong> slider.</p>\n\
<p>Possible values are in the range from 256 to 4096.</p>\n\
<p>This property controls the bitmap resolution used for hardware rendering (iRay, Quicksilver). It does NOT apply to viewport bitmap display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.memlimit     Integer    default: 0   --  integer</code></pre><p>This property is unused and does nothing.</p>\n\
<h2 id=\"output-rollout\">Output rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Vector_Map&gt;.output     StandardTextureOutput    default: MtlBase:Output   --  maxObject; SubAnim</code></pre><p>See <a href=\"./../../TextureMap-Shared-Classes/TexOutputClass-Material.html\">TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
<h2 id=\"vector_map-interfaces-\">Vector_Map interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: VectorMap</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Reload()</code></pre><p>Equivalent to pressing the <strong>&quot;Reload&quot;</strong> button in the Parameters rollout of the VectorMap.</p>\n\
<p>Causes the reloading of the source file definition and refreshing of the texture.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ViewImage()</code></pre><p>Equivalent to pressing the <strong>&quot;View Image&quot;</strong> button in the Cropping/Placement group of controls inside the Parameters rollout of the VectorMap.</p>\n\
<p>Causes the display of the rasterized bitmap representation of the vector map in a &quot;Specify Cropping/Placement&quot; window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Refresh()</code></pre><p>Refreshes the map without reloading the source.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetSvgString &lt;string&gt;fnSetSvgString</code></pre><p>Gets the Vector Map&apos;s definition via a MAXScript String value instead of an external text file.</p>\n\
<p>Use MAXScript to build an SVG XML description into a String variable, then pass this String as argument to this function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IMtlRender_Compability_MtlBase</code></pre><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Vector_Map-TextureMap.html\">Vector_Map : TextureMap</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";