var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-34329D61-0CB8-4505-81F5-2E893DC0BA50\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I understand the function definitions in this document?</h1></div><p><a href=\"./../../MAXScript-Introduction/Syntax-Definitions-in-This/Syntax-Definitions-in-This-1.html\">Syntax Definitions in This Document</a></p>\n\
<p>The above topic explains the general syntax used in the MAXScript Online Reference, but practice has shown that many users have difficulties applying the function definitions to actual code.</p>\n\
<p>Below are some guidelines to help you understand the syntax.</p>\n\
<p>Here is a typical function definition taken from the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\">Meshop Face Methods</a>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.detachFaces &lt;Mesh mesh&gt; &lt;facelist&gt; delete:&lt;boolean=true&gt; asMesh:&lt;boolean=false&gt;</code></pre><p>Detaches the specified faces.</p>\n\
<p>If <code>delete</code> is <code>true</code> , the faces are deleted after being detached. If <code>delete</code> is <code>false</code> , the faces are not deleted.</p>\n\
<p>If <code>asMesh</code> is <code>true</code> , the faces are detached and returned as a Mesh value. If <code>asMesh</code> is <code>false</code> , the faces are detached as an element in the mesh and a value of OK is returned.</p>\n\
<p>First of all, this function is part of a structure called meshop. A structure can be used to group related functions. This function has been implemented using the SDK, but you can organize your own MAXScript functions by putting them into a structure, too. See <a href=\"./../../MAXScript-Language-Reference/Structure-Definition/Defining-Local-Functions-in.html\">Defining Local Functions in Structures</a> for more info.</p>\n\
<p>The name of the function is <code>detachFaces</code>. It is written in <strong>bold</strong> because according to the <a href=\"./../../MAXScript-Introduction/Syntax-Definitions-in-This/Syntax-Definitions-in-This-1.html\">Syntax Definitions in This Document</a> topic, bold denotes code written &quot;as is&quot;. Actually, the name of the structure (meshop) would have to be in bold too, but this would make it more difficult to read the documentation. Now you can easily spot any function or keyword by quickly browsing a page and looking for bold letters.</p>\n\
<p>Next, two arguments (parameters) to the function are described. These two arguments are compulsory and the function will issue an error message if the parameters are not supplied or the classes of the provided values do not match the requirements.</p>\n\
<p><code>&lt;Mesh mesh&gt;</code> defines a <strong>rule</strong>. Any text written inside of &lt;&gt; describes what should be used in place of the rule. In this case, it tells you to replace the rule with a mesh object.</p>\n\
<p>The next rule, <code>&lt;facelist&gt;</code>, tells you to provide a list of faces. A face list can be either a regular <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Array</a> containing indices of the faces to affect, for example #(1,3,10,11,12,13,14,15), or a <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/BitArray-Values.html\">bitArray</a> with bits set for any face to be affected, for example, #{1,3,10..15}.</p>\n\
<p>Then, two <strong>optional parameters</strong> are described. While the order of the first two parameters is significant (the function always expects the mesh to be the first and the facelist to be the second parameter), optional named parameters can come in any order - they are recognized by their name.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>In the syntax definitions of this document, optional parameters are written inside of [] brackets. Typically, when defining a function, any <strong>named</strong> parameters are optional. This is why in some function definitions, optional parameters might not have been listed inside of [] brackets.</p>\n\
<p>When a value is not provided for an optional parameter, the special value of <code>unsupplied</code> will be sent to the function instead. The function will check whether the value is supplied or not and replace an <code>unsupplied</code> value with a default value. To learn more about <code>unsupplied</code> values, see <a href=\"What-is-the-difference-between.html\">What is the difference between &apos;undefined&apos; and &apos;unsupplied&apos; values?</a> and <a href=\"./../../MAXScript-Language-Reference/Values/Special-Data-Values/Unsupplied-Value.html\">Unsupplied Value</a> topics.</p>\n\
<p>In the case of the <code>delete:</code> parameter, the definition tells you that the name of the parameter should be written as is, and a boolean value ( <code>true</code> or <code>false</code> ) is expected after the colon &apos; <code>:</code> &apos;. A value of <code>true</code> will be assumed by default if the parameter is not supplied.</p>\n\
<p>Finally, the <code>asMesh:</code> parameter is also optional and will be <code>false</code> by default if not supplied.</p>\n\
<blockquote>\n\
<p>   <strong>A TYPICAL CALL TO THIS FUNCTION WOULD LOOK LIKE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   meshop.detachFaces $MyMesh02 #{1..25}</code></pre><p>   In this case, the function is being told to detach faces with indices from 1 to 25 from the EditableMesh object named &quot;MyMesh02&quot;. The faces will be deleted by default from the original mesh and a new element inside of MyMesh02 will be created because the two optional parameters will be used with default values.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>IF YOU CHANGE THE LINE TO</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   meshop.detachFaces $MyMesh02 #{1..10,40..55} delete:false</code></pre><p>   the faces with indices from 1 to 10 and from 40 to 55 will be cloned to element inside of the mesh - a new element will be created (asMesh is false by default), but the original faces will not be deleted from the mesh.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>IF YOU CHANGE THE CODE AGAIN TO</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   newMesh = meshop.detachFaces $MyMesh02 #(1,2,3,4,5,10,11,15) delete:false asMesh:true</code></pre><p>   then this time the faces with indices described by the regular array will be cloned to a new TriMesh without being deleted from the original object. The function will return the TriMesh value and will store it into the newMesh user variable. See the second example provided for this function in the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\">Meshop Face Methods</a> topic for more info on using the returned TriMesh value to create a new object.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Syntax-and-Terminology.html\">MAXScript Syntax and Terminology</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";