var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EF3AB642-73A1-4ED3-917B-0DC74FC20D72\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What is the difference between &apos;undefined&apos; and &apos;unsupplied&apos; values?</h1></div><p>The <a href=\"./../../MAXScript-Language-Reference/Values/Special-Data-Values/Undefined-Value.html\">undefined value</a> is assigned to any variable or array element that has been declared but has not been assigned a value yet.</p>\n\
<p>If you create a variable &apos;a&apos; but do not use the assignment operator &apos;=&apos; to store a value in the variable, its initial value will be &apos;undefined&apos;.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a\n\
   a == undefined\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   undefined\n\
   true\n\
</code></pre></blockquote>\n\
<p>Also, if you create an array and assign a value to an element with index 4, all 3 elements before the one you assigned to will be initialized implicitly to the value &apos;undefined&apos;. These values are like &quot;placeholders&quot; because you cannot have an array with the 4 th element set to a value but without 3 elements before it being initialized.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = #()\n\
   a[4] =&quot;Yeah!&quot;\n\
   a \n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #()\n\
   &quot;Yeah!&quot;\n\
   #(undefined, undefined, undefined, &quot;Yeah!&quot;)\n\
</code></pre></blockquote>\n\
<p>The <a href=\"./../../MAXScript-Language-Reference/Values/Special-Data-Values/Unsupplied-Value.html\">unsupplied value</a> is assigned to function parameters that have not been supplied when the function has been called.</p>\n\
<p>A function can be called with no parameters (in this case, a pair of parentheses is required to denote &apos;no parameters&apos;), one or more arguments, plus one or more named arguments. The arguments defined by the function are compulsory and have to be supplied. The named arguments on the other hand are optional and can be omitted. In such cases, the programmer could compare the named argument&apos;s value with the &apos;unsupplied&apos; value to find out whether a meaningful value has been sent or has been omitted.</p>\n\
<p>In the following example, the function expects no arguments or one optional named argument. It will check whether the named argument has been supplied and print a respective message to the Listener, then return true or false.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn test_function theParameter: =\n\
   (\n\
    if theParameter == unsupplied then\n\
    (\n\
     print &quot;How about providing a parameter?&quot;\n\
     false\n\
    )\n\
    else\n\
    (\n\
     print &quot;Thank you for calling the function with a parameter!&quot;\n\
     true\n\
    )\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   test_function()\n\
   --&gt;&quot;How about providing a parameter?&quot;\n\
   --&gt;false\n\
\n\
   test_function theParameter:123\n\
   --&gt;&quot;Thank you for calling the function with a parameter!&quot;\n\
   --&gt;true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Syntax-and-Terminology.html\">MAXScript Syntax and Terminology</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Values/Special-Data-Values/Undefined-Value.html\">Undefined Value</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Values/Special-Data-Values/Unsupplied-Value.html\">Unsupplied Value</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Creating-Functions/Creating-Functions-1.html\">Creating Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Function-Calls.html\">Function Calls</a></li>\n\
          <li><a class=\"link\" href=\"When-do-I-use-after-a-function-.html\">When do I use () after a function?</a></li>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";