var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6B150E47-DCB0-43D3-8C58-F506B5CC7B7A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I get the object by object name?</h1></div><h2 id=\"many-users-asked-\">Many Users Asked:</h2><p>When typing in known object paths in the Listener, in scripts or scripted controllers, I can use the $ prefix to denote an object path (for example. $Box001 returns the object called &quot;Box001&quot;). But sometimes all I have is the name of the object as string (&quot;Box001&quot;), but I want to access the scene object that the name corresponds to.</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>There are multiple ways to convert an object name (a string) to the object path (a MAXScript expression) corresponding to the scene object:</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">getNodeByName</a></p>\n\
<p>This function provides an easy way to convert a name string to object path with case-sensitive and case-insensitive options.See the link for details.</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">Execute</a></p>\n\
<p>Using the <strong>execute</strong> method, it is possible to convert any string into a MAXScript expression. This includes evaluating a string containing an object path into the object path itself. If an object name is stored in a string variable, you have to add the &quot;$&quot; character as string to the name to convert it into object path. Since certain special characters like &quot;.&quot; (period) or &quot; &quot; (space) cannot be evaluated when being part of the name string, it is advisable to add &quot;&apos;&quot; (single quote) characters around the object&apos;s name to prevent an evaluation error. Any characters enclosed between the single quote characters will be recognized as part of the string.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --if an object is called Box001, you could use\n\
   objName = &quot;Box001&quot;\n\
   objPath = execute (&quot;$&apos;&quot;+objName + &quot;&apos;&quot;)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-Object-Properties.html\">Accessing Object Properties</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Working-with-MAXScript-Values/Why-does-Execute-return.html\">Why does Execute return &#x27;undefined&#x27; when accessing a loop variable?</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";