var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8FB870E5-823A-42FE-9A8C-70D25FF3B92C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I find the angle between 3 vertices?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>I have 3 vertices defining a face. How do I find the angle at the corner of the face?</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>A face always has 3 vertices. Each pair of vertices define one of the 3 edges of the face, and at the same time can be seen as a vector. As shown in <a href=\"How-do-I-make-a-vector-from-a.html\">How do I make a vector from a vertex position?</a> FAQ topic, every vertex is already a vector, and the edge vector connecting two vertices can be calculated easily by subtracting the two vertex positions.</p>\n\
<p>Let&#39;s call the 3 vertices A, B and C. If you want to calculate the angle at vertex A, you will need the two vectors which start from vertex A and point at B and C respectively. These two vectors would be expressed as</p>\n\
<p><code>V1 = B-A</code></p>\n\
<p><code>V2 = C-A</code></p>\n\
<p><img src=\"./images/GUID-0AA384FD-B447-4181-A9F0-39F9F64150C1-low.gif\" alt=\"\"></p>\n\
<p>The image shows point A with coordinates [0,0,0], point B with coordinates [2,0,1] and point C with coordinates [-1,0,2].</p>\n\
<p>Now you have two vectors, but the vector dot product requires normalized vectors to return usable results.A normalized vector has the same direction as the original vector, but the length of 1.0.</p>\n\
<p>You can calculate the normalized vector by using the normalize method on the vectors V1 and V2:</p>\n\
<p><code>N1 = normalize V1</code></p>\n\
<p><code>N2 = normalize V2</code></p>\n\
<p><img src=\"./images/GUID-DC159444-96D8-467C-8331-42BB5D1FCE52-low.gif\" alt=\"\"></p>\n\
<p>In the case of V1 = [2,0,1], N1 = normalize V1 returns [0.894427,0,0.447214] because length V1 =2.23607, and the normalized vector is calculated by dividing the X, Y and Z coordinates by the length, in this case [2/2.23607, 0/2.23607, 1/2.23607].</p>\n\
<p>N2 = normalize V2 returns [-0.447214,0,0.894427] because the length of the vector [-1,0,2] is also 2.23607, and the normalized vector is calculated as [-1/2.23607, 0/2.23607, 2/2.23607].</p>\n\
<p>Finally, as explained in the <a href=\"How-do-I-find-the-angle-between.html\">How do I find the angle between two vectors?</a>, we need to calculate the acos of the dot product of these normalized vectors. acos is the reverse operations of cos, returning the angle whose cos is equal to the operand (in other words, if X = cos Alpha, then Alpha = acos X).</p>\n\
<p><code>Angle = acos (dot N1 N2)</code></p>\n\
<p>The Angle will range between 0 (when the two vectors are parallel) and 180 degrees (when the two vectors are pointing in opposite directions).</p>\n\
<p>In the above case of coordinates [0,0,0], [2,0,1] and [-1,0,2], the angle at point A is 90 degrees.</p>\n\
<p><img src=\"./images/GUID-00C39A4E-AF72-40CD-9E26-902C07AEF338-low.gif\" alt=\"\"></p>\n\
<p>To calculate the angle at B, you would apply the same rules, but will use the vectors A-B and C-B,</p>\n\
<p><img src=\"./images/GUID-CAB2C0F9-11A0-428C-888E-2BA1474F2E96-low.gif\" alt=\"\"></p>\n\
<p>then normalize the vectors, calculate the dot product and get the acos of the result. The angle at point B in this example is 45 degrees.</p>\n\
<p><img src=\"./images/GUID-D0F56422-4AD6-477E-88C6-93FF22BFE12E-low.gif\" alt=\"\"></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-With-Vectors.html\">Working With Vectors</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";