var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-94056D8F-C907-4875-9CDC-B7ABC23E678E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I rotate a vector around the Z axis?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>I am trying to rotate a unit vector around 360 degrees in steps of 2 degrees. It only needs to rotate around the Z axis, X and Y stay the same.</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>The <a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\">Matrix3 Values</a> topic provides convenient ways to transform vectors (Point3 values) including rotation about the world Z axis! You can simply construct a rotate Z Matrix value and transform the original vector using it:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   resetMaxFile #noPrompt --reset the file\n\
   theV = normalize [5,0,10] --the vector to rotate, normalized to unit vector\n\
   theStep = 10 --the step by which you want to rotate\n\
   --rotate from 0 to 360-theStep with step TheStep:\n\
   for a = 0 to 360-theStep by theStep do\n\
   (\n\
     rm = rotateZMatrix a --create a rotation matrix from the value\n\
     theRotV = theV * rm --transform the original vector using the matrix\n\
     format &quot;%: %\\n&quot; a theRotV --print the result to Listener\n\
     c = cylinder() --create a cylinder\n\
     c.dir = theRotV --orient along the vector to see what it looks like\n\
   )\n\
</code></pre></blockquote>\n\
<p>The results looks like a muffin!</p>\n\
<p><img src=\"./images/GUID-13DEE325-48BC-44CD-BD48-F0B8D7EC3B7F-low.gif\" alt> <img src=\"./images/GUID-501D9391-522C-4472-87B5-403E1F5BBC8D-low.gif\" alt> <img src=\"./images/GUID-F175FEF8-97D7-4BE8-A77B-F2E437B6D121-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-With-Vectors.html\">Working With Vectors</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";