var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F1B3ECFD-2649-48C8-B130-15A17527433C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I Split a Mesh by UV Elements?</h1></div><p>Using the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW</a> modifier&apos;s Flatten option, you can split the UV Coordinates into elements based on a threshold angle for easier texturing. The following scripted function allows you to detach the mesh faces based on the corresponding Map faces. (Remember, there is a one-to-one correspondence between their indices, so the task is relatively trivial - see <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Understanding-Texture.html\">Understanding Texture Coordinates</a>).</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn splitMeshByUVElements mesh channel =\n\
   (\n\
       with undo off\n\
       (\n\
           local obj = copy mesh--copy the original object\n\
           convertToMesh obj--convert to editable mesh\n\
           while obj.numfaces &gt; 0 do--repeat until all elements have been detached\n\
           (\n\
                 face_array = #(1)--init. an array including only face 1\n\
                 cnt = 0--init. a counter  --repeat until the counter is higher than the faces stored in the array\n\
                 while cnt &lt; face_array.count do\n\
                 (\n\
                       cnt += 1 --increase the counter --get all map vertices used by the current map face in the collection array:\n\
                       theVerts = meshop.getMapVertsUsingMapFace obj channel #(face_array[cnt])\n\
                       --get all map faces used by these map vertices - --this gives us all neighbours of the current map face\n\
                       theFaces = meshop.getMapFacesUsingMapVert obj channel theVerts\n\
                       --make sure only unique faces are written to the array\n\
                       for f in theFaces where findItem face_array f == 0 do\n\
                           append face_array f\n\
                 )--end while cnt --once all connected faces in an element are collected, --create a new empty EMesh:\n\
                 with undo on\n\
                 new_emesh = Editable_mesh()\n\
                 --detach the collected faces and assign to the EMesh&apos;s TriMesh\n\
                 new_emesh.mesh = meshop.detachFaces obj face_array delete:true asMesh:true\n\
                 --Copy the transformation of the original object\n\
                 new_emesh.transform = mesh.transform\n\
                 --Assign a unique name based on the original one\n\
                 new_emesh.name = uniquename (mesh.name +&quot;_UVsplit&quot;)\n\
           )--end while numfaces\n\
       delete obj--delete the clone which has no faces at this point\n\
       )\n\
   )\n\
\n\
   --Example usage:\n\
   theTeapot = Teapot mapcoords:true\n\
   splitMeshByUVElements theTeapot 1\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Editable-Meshes.html\">Working with Editable Meshes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Understanding-Texture.html\">Understanding Texture Coordinates and Vertex Colors</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-General-Mapping-Methods.html\">Meshop General Mapping Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\">Meshop Face Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";