var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-24161478-A63E-4D18-8AF0-2AACD35D9232\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Why does Execute return &apos;undefined&apos; when accessing a loop variable?</h1></div><p>The following code tries to use Execute() function to convert the variable var containing the string &quot;x&quot; to the loop variable &apos;x&apos; and print its value. It returns &apos;undefined&apos; 10 times instead of printing the numbers from 1 to 10.</p>\n\
<blockquote>\n\
<p>   <strong>WHY DOES THIS FAIL?</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   var =&quot;x&quot;\n\
   for x = 1 to 10 do\n\
   (\n\
     y = execute var\n\
     print y\n\
   )</code></pre></blockquote>\n\
<p>The answer to this question is based on the fact that Execute always uses the <a href=\"./../../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\">global scope</a>. On the other hand, a <a href=\"./../../../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">for loop</a> always creates a new scope and the variable &apos;x&apos; is local to this scope. This is the key to understanding the original problem and its solution - the Execute just does not &quot;see&quot; the local variable &apos;x&apos; in the global scope.</p>\n\
<p>Here is a possible solution which correctly prints the numbers from 1 to 10.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   global x --define a global stand-in variable for executing\n\
   var = &quot;x&quot; --define the string to execute\n\
   for xx = 1 to 10 do--the loop has a different var name\n\
   (\n\
     x = xx --copy the loop variable into global scope\n\
     y = execute var --execute in global scope\n\
     print y --print the result\n\
   )</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-MAXScript-Values.html\">Working with MAXScript Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Syntax-and-Terminology/What-is-Scope-of-variables-.html\">What is Scope of variables?</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";