var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-08707D7C-ABCD-470F-A02C-6D9A1C577A5C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I Create a Button to Show the Next Object?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>I want to create a button that shows only one object at a time, hiding all others. When I press it multiple times, it should loop through the scene objects showing me the next one.</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>Here is a possible solution:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript showNext category: &quot;MXS Help&quot;\n\
   (\n\
     local current_object = 0 --this is local to the macroScript\n\
     on execute do\n\
     (\n\
       allObjects = objects as array --collect all objects\n\
       hide $* --hide all objects\n\
       current_object += 1 --increment the counter\n\
       if current_object &gt; allObjects.count do --loop if necessary\n\
         current_object = 1\n\
       if allObjects.count &gt; 0 do --if anything in the scene...\n\
         unhide allObjects[current_object]\n\
       -- then unhide the current object\n\
     ) \n\
   )\n\
</code></pre></blockquote>\n\
<p>And this is the same script, but changed to show objects in alphabetical order:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript showNextABC category:&quot;MXS Help&quot;\n\
   (\n\
     local current_object = 0 --this is local to the macroScript\n\
     on execute do\n\
     (\n\
       -- collect all names and sort them:\n\
       allObjectNames = sort( for i in objects collect i.name )\n\
       hide $* --hide all objects\n\
       current_object += 1 --increment counter\n\
       if current_object &gt; allObjectNames.count do --loop if necessary\n\
         current_object = 1\n\
       if allObjectNames.count &gt; 0 do --if anything in the scene...\n\
         unhide getNodeByName allObjectNames[current_object]\n\
       -- then get the object by name and unhide it\n\
     ) \n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Scene-Nodes.html\">Working with Scene Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";