var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D5AC3BA8-6808-48A3-88DA-227ED8743E05\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I batch-process multiple .MAX files?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>I am looking for an easy way to do this. I have got 100 max scene files and I need to scale or move an object in each file. Is there a command to tell 3dsmax to open each file, modify that object, and then save the file again?</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>Following is the basic code needed to select a path, collect all max files in the specified directory, open each one, and then save it again. You can include your own code in the space between the loading and the saving.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   thePath = getSavePath()--get a path dialog to specify the path\n\
   if thePath != undefined do--if the user did not cancel\n\
   (\n\
     theFiles = getFiles (thePath+&quot;\\\\*.max&quot;) --collect all max files in the dir.\n\
     for f in theFiles do-- go through all of them\n\
     (\n\
       loadMaxFile f--load the next file\n\
\n\
   -----------------------------------------------------------\n\
   -- MAKE SOME SCRIPTED CHANGES TO THE SCENE HERE...\n\
   -----------------------------------------------------------\n\
\n\
       saveMaxFile f --save the file back to disk\n\
     )--end f loop\n\
     resetMaxFile #noPrompt --at the end, you can reset\n\
   )--end if\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Scene-Nodes.html\">Working with Scene Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">3ds Max File Loading and Saving</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";