var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FAE5BB27-C3B2-46B4-B0BA-FF7CA80969A8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I call the dropdownList Selected handler as a function?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>Event handlers of User Interface Controls can be called as functions. For example, myButton.pressed(), mySpinner.changed 10.0 and so on, but this is not possible with the onselected() event handler of a <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Dropdownlist-UI-Control.html\">dropdownlist control</a> because it already has a property called .selected that &quot;hides&quot; the function.</p>\n\
<p>Is there any way to call this method?</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>Not directly - it is a known limitation, but unlikely to get fixed because of backwards compatibility problems.</p>\n\
<p>What you can do is define a function that does what the handler does, then call this custom function from both the handler and from whatever other code that wants to invoke the handler.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout testddl_rollout &quot;Dropdownlist Handler&quot;\n\
   (\n\
     dropdownlist ddl_someList items:#(&quot;1&quot;,&quot;2&quot;,&quot;3&quot;)--this is the dropdownlist\n\
     button btn_select1 &quot;Select 1&quot;--these buttons will set the list\n\
     button btn_select2 &quot;Select 2&quot;--by calling the custom function that\n\
     button btn_select3 &quot;Select 3&quot;--replaces the on selected() handler\n\
\n\
     --this is the custom function that performs the operations normally done\n\
     --inside the on selected() event handler:\n\
     fn ddl_someList_Selected itm =--we pass the argument passed to the handler\n\
     (\n\
       format &quot;You selected %\\n&quot; itm--and do something inside\n\
     )\n\
     --now we can call this custom function from the event hander itself\n\
     on ddl_someList selected itm do ddl_someList_Selected itm\n\
     --and from any other event handlers that want to affect the dropdownlist\n\
     on btn_select1 pressed do ddl_someList_Selected (ddl_someList.selection = 1)\n\
     on btn_select2 pressed do ddl_someList_Selected (ddl_someList.selection = 2)\n\
     on btn_select3 pressed do ddl_someList_Selected (ddl_someList.selection = 3)\n\
   )\n\
   createDialog testddl_rollout\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Scripted-UI.html\">Working with Scripted UI</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Dropdownlist-UI-Control.html\">Dropdownlist UI Control</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";