var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FE5381EF-88F1-462C-8ACC-5B7A488E85FC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I uncheck a MacroScript button correctly?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>Let&apos;s say you have a macroscript button that opens a dialog.  Now you&apos;d like to take advantage of the isChecked handler to show the button being checked when the dialog is open and when pressed again (unchecked) will close the dialog. So far so good. Now the user closes the interface using the [x] button.. or any other means except pressing that same macroscript button.  How does one go about un-checking that macroscript button?</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>Here is one possible way to implement this behavior using a &quot;private global&quot; variable (local to the macro Script&apos;s scope) which holds the current open/closed state.</p>\n\
<p>This variable can be set from inside the On Close() handler of the rollout so when you hit[X], it forces the3ds MaxGUI to update and uncheck the button.</p>\n\
<p>This can be done using a global variable (if you want other scripts to be able to force your script / dialog to close).Also, more error checking could be added, but the general idea is this:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript test category:&quot;Tests&quot;\n\
   (\n\
     local isOpen = false --initialize to false (closed)\n\
     rollout myRollout &quot;MyRollout&quot;\n\
     (\n\
       label lbl_hello &quot;hello world&quot;\n\
       on myRollout close do --when closing, set to false and redraw GUI\n\
       (\n\
         isOpen = false\n\
         updateToolbarButtons()\n\
       )\n\
     )\n\
     on execute do\n\
     (\n\
       if isOpen then --if open, close it\n\
       (\n\
         destroyDialog myRollout\n\
         isOpen = false--and lower the flag\n\
       )\n\
       else --if closed, open it\n\
       (\n\
         createDialog myRollout\n\
         isOpen = true --and raise the flag\n\
       )\n\
     )\n\
     on isChecked return isOpen --return the flag\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Scripted-UI.html\">Working with Scripted UI</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";