var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BE78BD90-3030-45F9-8F7C-C8386891B56C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I update the items in a dropdownList or listBox?</h1></div><p>The .items property is an <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">array</a> of strings. You can manipulate the array just like a regular array, use methods like <code>append</code>, <code>findItem</code>, <code>deleteItem</code> etc. to change its content, and assign the result to the .items property as often as you want.</p>\n\
<p>The following sample script creates a <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\">dialog</a> with a <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Listbox-UI-Control.html\">listBox</a> UI element containing two initial items.There areal so three <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Button-UI-Control.html\">buttons</a> to manipulate the content of the listBox.</p>\n\
<p>Pressing the first button will append a new item to the end of the list.</p>\n\
<p>Pressing the second button will insert the new item before the currently selected item.</p>\n\
<p>Pressing the third button will delete the currently selected item from the list.</p>\n\
<p>See the comments in the code for more details!</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;Test&quot;\n\
   (\n\
   listBox testList items:#(&quot;Item 1&quot;,&quot;Item 2&quot;)\n\
   button addToList &quot;Add Item To End Of List&quot; width:180\n\
   button insertToList &quot;Insert Before Current Item&quot; width:180\n\
   button removeFromList &quot;Remove Current Item&quot; width:180\n\
   --Append a new Item to the array. Since append returns the resuling array,\n\
   --it is OK to assign the result directly to the .items property\n\
   on addToList pressed do\n\
     testList.items = append testList.items (&quot;Item &quot;+ (testList.items.count+1) as string)\n\
   --Instert new item before current item\n\
   on insertToList pressed do\n\
   (\n\
     --Check whether current item selection exists (greater than 0)\n\
     if testList.selection &gt; 0 do\n\
     (\n\
       --Because insertItem returns OK instead of the resulting array,\n\
       --you cannot assign the result of the expression directly to the property.\n\
       --Instead, you have to get a copy of the items array in a local variable...\n\
       temp_array = testList.items\n\
       --...perform the insertion with the temp. array in the local variable...\n\
       insertItem (&quot;Item &quot;+ (testList.items.count+1) as string) temp_array testList.selection\n\
       --...and assign back the temp. array to the .items property\n\
       testList.items = temp_array\n\
     )\n\
   )\n\
   --Remove currently selected item from the list:\n\
   on removeFromList pressed do\n\
   (\n\
     --Check whether there are any items left and there is a valid selection.\n\
     --Then delete the current item. DeleteItem returns the resulting array,\n\
     --so you can assign the result directly to the .items property\n\
     if testList.items.count &gt; 0 and testList.selection &gt; 0 do\n\
       testList.items = deleteItem testList.items testList.selection\n\
   )\n\
   )\n\
   createDialog test 200 220\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Scripted-UI.html\">Working with Scripted UI</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";