var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7F799BCA-B11D-4307-AA34-8FB0E2F757A4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Assign Materials Automatically</h1></div><p>MAXScript lets you create callback scripts which monitor scene events like object selection, start or stop of rendering etc. This would let you create scripts that perform certain actions automatically whenever monitored system events have been detected.</p>\n\
<p>The following script will automatically assign the material from slot one of the Material Editor to any selected or newly created object.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macroscripts</a> and their <a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Event Handlers</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">Callback Scripts</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\">Assigning Materials</a></p>\n\
<p>Accessing <a href=\"./../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">Material Editor Materials</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Package the code as macroScript to be used as button, menu or shortcut.</p>\n\
<p>   Show the macroScript button checked when the callback is active.</p>\n\
<p>   When executed, see if it is already active or not &#x2013; should remember the active state between executions.</p>\n\
<p>   If not active, define a callback to go through all materials of selected objects and assign material editor slot one to all of them.</p>\n\
<p>   If already active, delete the old callback</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript AutoMat category: &quot;HowTo&quot;\n\
   (\n\
    local AutoMat_Enabled\n\
    on isChecked return AutoMat_Enabled\n\
    on Execute do\n\
    (\n\
     if AutoMat_Enabled == undefined then\n\
      AutoMat_Enabled = true\n\
     else\n\
      AutoMat_Enabled = not AutoMat_Enabled\n\
     if AutoMat_Enabled then\n\
     (\n\
      txt =&quot;if superclassof meditmaterials[1] != texturemap do \\n&quot;\n\
      txt +=&quot;selection.material = meditmaterials[1]&quot;\n\
      callbacks.addscript #selectionSetChanged txt \\\n\
       id:#AssignMaterial persistent:false\n\
     )\n\
     else\n\
      callbacks.removescripts id:#AssignMaterial\n\
     updateToolbarButtons()\n\
    )--end Execute\n\
   )--end macroScript\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step-\">Step-By-Step:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroScript AutoMat category:&quot;HowTo&quot;\n\
(</code></pre><p>The macroScript will be called <code>AutoMat</code> . To use the script, you can use Customize... to drag the script from the category <code>&quot;HowTo&quot;</code> to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local AutoMat_Enabled</code></pre><p>We need to store the state of the AutoMat script in a variable in order to keep track of whether it is active or not. The variable will be declared as local and will contain undefined in the beginning because we have not assigned a value to it yet.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope of Variables</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on isChecked return AutoMat_Enabled</code></pre><p>The <code>isChecked</code> handler should return <code>true</code> or <code>true</code> and determines the state of the button. When <code>true</code> , the button will appear pressed on the toolbar or will have a checkmark in the Menu / QuadMenu. When <code>false</code> , it will be displayed normally. <code>AutoMat_Enabled</code> is a local variable that will contain <code>true</code> when the callback is active, <code>false</code> when it is not active, and <code>undefined</code> when the script has not been started yet.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Macroscript_Body_Event_Handlers</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on Execute do\n\
(</code></pre><p>The <code>on Execute</code> handler will be executed each time the macroScript is executed (by pressing the button, selecting from the menu, pressing the shortcut etc.). The handler contains the &quot;body&quot; of the script.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Macroscript_Body_Event_Handlers</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if AutoMat_Enabled == undefined then\n\
AutoMat_Enabled = true\n\
else\n\
AutoMat_Enabled = not AutoMat_Enabled</code></pre><p>In case the script is started for the first time and the variable contains <code>undefined</code> , we assign <code>true</code> to it. Otherwise we invert the current value of the variable using the <a href=\"./../MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\">Not</a> logical expression - if it was <code>true</code> it will become <code>false</code> and vice-versa.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\">If Expression</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\">Logical Expressions</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if AutoMat_Enabled then\n\
(</code></pre><p>If the variable contains <code>true</code> , we can go on and create our callback. Note that <code>if</code> expects a Boolean value in order to evaluate either the expression after <code>then</code> or the expression after <code>else</code> . So we don&apos;t have to say <code>AutoMat_Enabled == true</code> as the variable itself contains <code>true</code> or <code>false</code> which is enough for <code>if</code> to make the right decision. Both forms would be valid though.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\">If Expression</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txt = &quot;if superclassof meditmaterials[1] != texturemap do \\n&quot;</code></pre><p>The callback requires a string containing the script to be executed. When the script text is longer than a single line, it is a good idea to store it in a string variable, in our case the variable <code>txt</code> . <code>&quot;\\\\n&quot;</code> is used to denote the new line/carriage return inside the string.</p>\n\
<p>Since the MaterialEditor can display both materials and maps in its slots, we have to make sure that the slot 1 currently does not contain a texturemap. So we check the superclass of the object in slot 1 against textureMap and only go on when it isn&#x2019;t a texturteMap.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txt +=&quot;selection.material = meditmaterials[1]&quot;</code></pre><p>This line of code adds a string to the string already defined in the previous line and makes it &quot;grow&quot;. Because the first line&apos;s string contained &quot;\\n&quot; at the end, the new string added will be on a new line when the string is evaluated or printed to the Listener.</p>\n\
<p>The code inside the string assigns the object found in slot 1 of the Material Editor to the <code>.material</code> property of the current selection. The .material property is &quot;mappable&quot; which means that MAXScript will iterate internally through all objects found in the selection and assign the material to each one of them. See also <a href=\"How-To-Remove-All-Materials.html\">How To ... Remove All Materials</a> for a similar case.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">Material_Editor_meditMaterials</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\">General Node Properties</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">callbacks.addscript #selectionSetChanged txt id:#AssignMaterial persistent:false</code></pre><p>Now we can add the script to the scene callback scripts. The script will be executed when the selection set changes, will have a unique ID <code>#AssignMaterial</code> so we can remove it later by name, and will not be saved with the MAX scene (it is not persistent) which means it will not run if you save the scene and load it again later.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
else\n\
callbacks.removescripts id:#AssignMaterial</code></pre><p>In case the variable <code>AutoMat_Enabled</code> contains <code>false</code> , we have to disable the script by removing the callback. Having the unique ID, we can easily remove the script from the list of callbacks by supplying its user-defined name <code>#AssignMaterial</code></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">Callbacks.removeScripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">updateToolbarButtons ()</code></pre><p>To make sure that the button state is updated in the toolbar, we force an update of the toolbar buttons.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">updateToolbarButtons</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end Execute\n\
)--end macroScript</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>After evaluating the script and customizing a toolbar, you can do a test. You will need some material (for example with a texture map) in the first Material Editor slot. You can also check the Show Map in Viewport icon in the Material Editor to see the map.</p>\n\
<p>If you create some geometry (for example a box) without pressing the script&apos;s button, it will have no material as usual. After pressing the button and selecting the same object, the material will be assigned to it automatically.</p>\n\
<p>Newly created objects will also have the material assigned immediately as they become the current selection during creation and trigger the selection callback event inside of <strong>3ds Max</strong>.</p>\n\
<p>To disable the script you will have to press the button again &#x2013; the button / menu item will become unchecked and the callback will be removed. Now you can select and create objects as usual.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";