var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9355B32D-DDC4-4C26-BEFD-66BE3D291B63\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop a Bitmap Painting Tool - Basic Utility</h1></div><p>The original code of the complete advanced version was developed in less than an hour and showcases the flexibility of MAXScript for prototyping applications of any kind.</p>\n\
<p>Here is the very basic initial version:</p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   We will develop a simple MacroScript that creates a dialog from a rollout.</p>\n\
<p>   The rollout will contain only a bitmap UI control</p>\n\
<p>   The user will paint by pressing the left mouse button and dragging the mouse inside the bitmap.</p>\n\
<p>   The brush will be a single black dot - if the mouse moves fast, the strokes will appear dotted.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript MicroPaint category:&quot;HowTo&quot;\n\
   (\n\
   global MicroPaint_CanvasRollout\n\
   try (destroyDialog MicroPaint_CanvasRollout) catch()\n\
   local isDrawing = false\n\
   local bitmapX = bitmapY = 512\n\
   local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
\n\
   rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
   (\n\
    bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
    fn paintBrush pos =\n\
    (\n\
     setPixels theCanvasBitmap pos #(black)\n\
     theCanvas.bitmap = theCanvasBitmap\n\
    )\n\
    on MicroPaint_CanvasRollout lbuttondown pos do\n\
    (\n\
     isDrawing = true\n\
     paintBrush pos\n\
    )\n\
    on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false\n\
    on MicroPaint_CanvasRollout mousemove pos do if isDrawing do paintBrush pos\n\
   )\n\
   createDialog MicroPaint_CanvasRollout bitmapX bitmapY\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroScript MicroPaint category:&quot;HowTo&quot; (</code></pre><p>We define a macroScript called MicroPaint which will appear in the &quot;HowTo&quot; category.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">global MicroPaint_CanvasRollout</code></pre><p>In order to be able to close any existing dialog from previous sessions, we define the variable of the rollout to be used as dialog as a global variable.</p>\n\
<p><a href=\"./../../Learning-MAXScript/Creating-Your-Own-Scripts/Local-and-Global-Variables.html\">Local and Global Variables</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">try(destroyDialog CanvasRollout)catch()</code></pre><p>Then we try to destroy any existing dialog from a previous session. If there is none, the try()catch() error trap will prevent any error messages.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Controlling-Program-Flow/Try-Expression.html\">Try Expression</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local isDrawing = false</code></pre><p>This local variable will be used as a flag for enabling drawing. When the variable is false, the mouse move event handler will not draw. When the left mouse button has been pressed, this variable will be set to true and allow drawing until the left mouse button is released.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/BooleanClass-Values.html\">BooleanClass Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local bitmapX = bitmapY = 512</code></pre><p>These local variables will contain the size of the bitmap to be painted. Simply changing this value would resize the tool to paint on a different canvas size!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local theCanvasBitmap = bitmap bitmapX bitmapY color:white</code></pre><p>This variable will contain the canvas to draw on. We initialize it to a white bitmap with a size of 400 by 400 pixels.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Bitmap Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot; (</code></pre><p>This is the rollout which will define the dialog with the bitmap canvas.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap </code></pre><p>This is the bitmap User Interface control. It is aligned to the upper left corner of the rollout and displays the 400 by 400 canvas bitmap.</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Bitmap-UI-Control.html\">Bitmap</a></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>that there are two different constructors with the name <strong>bitmap</strong> - the User Interface control used here and the bitmap value constructor used two lines higher! MAXScript knows which one you have in mind based on the context - if you are inside a rollout definition scope and type in</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bitmap my_bmp width:100 height:100\n\
</code></pre><p>MAXScript will create a User Interface control.</p>\n\
<p>If you are inside the same rollout and type in</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local my_bmp = bitmap 100 100\n\
</code></pre><p>a new local bitmap value will be created and NOT a User Interface control!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn paintBrush pos = (</code></pre><p>This function will be called to draw a point on the bitmap. The argument pos will contain the 2D coordinates to place the new point at.</p>\n\
<p><a href=\"./../../Learning-MAXScript/Creating-Your-Own-Scripts/Defining-Custom-Functions.html\">Defining Custom Functions</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setPixels theCanvasBitmap pos #(black)</code></pre><p>setPixels is used to change the color of one or more pixels in a row. The pos defines the location in the bitmap (where 0,0 is the upper left corner) the paining should start at.The colors to be changes are provided in an array. In our case, the array contains a single element, the color black.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">setpixels</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theCanvas.bitmap = theCanvasBitmap</code></pre><p>After the black point is drawn into the bitmap, we assign it to the user interface control to update the drawing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) onMicroPaint_CanvasRollout lbuttondown pos do (</code></pre><p>This dialog event handler is called whenever the left mouse button is pressed while the mouse is located over the rollout. The argument pos will contain the 2D position in rollout coordinates.</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\">CreateDialog</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isDrawing = true</code></pre><p>We raise the flag to notify the mousemove handler (see below) that the drawing can be started.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">paintBrush pos</code></pre><p>We also call the paintbrush function by passing the currently clicked point to it. This way, simply clicking without moving the mouse will cause a black point to be placed on the bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> ) on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false</code></pre><p>This dialog event handler is called whenever the left mouse button is released. We just lower the flag again so the drawing can be stopped.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on MicroPaint_CanvasRollout mousemove pos do if isDrawing do paintBrush pos</code></pre><p>This dialog event handler is called whenever the mouse movies over the rollout, regardless of the button state. The argument pos contains the 2D position in pixels inside the rollout, coinciding with the position in pixels inside the bitmap (remember? Both have the same origin [0,0].</p>\n\
<p>We check to see whether the left mouse button has been pressed but not released yet by looking into the isDrawing variable. If it contains true, we call the drawing paintbrush function with the current position of the mouse inside the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) createDialogMicroPaint_CanvasRollout bitmapX bitmapY</code></pre><p>Finally, we create a dialog using the rollout we just defined.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><h2 id=\"result\">Result</h2><p><img src=\"./images/GUID-BAEE8878-1007-4160-9615-56778B2DE216-low.gif\" alt></p>\n\
<p><strong>Next Tutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-2.html\">How To ... Develop a Bitmap Painting Tool - Strokes Support</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Bitmap-Painting.html\">How To ... Develop a Bitmap Painting Tool In Nine Easy Steps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";