var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2A734060-09D6-44CE-A0B1-6E7094C03AC3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop a Bitmap Painting Tool - Load and Save</h1></div><p>In this step of the Bitmap Painting tool development, we will add a main menu bar with New, Open, and Save options.</p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   We will define a new right-click menu with some menu items and corresponding event handlers.</p>\n\
<p>   We will assign the right-click menu as menu bar to the dialog.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript MicroPaint category: &quot;HowTo&quot;\n\
   (\n\
   global MicroPaint_CanvasRollout\n\
   try(destroyDialog MicroPaint_CanvasRollout) catch()\n\
   local isDrawing = false\n\
   local bitmapX = bitmapY = 512\n\
   local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
   local theBackgroundBitmap = bitmap bitmapX bitmapY color:white\n\
   local currentPos = lastPos = [0,0]\n\
\n\
   --NEW MENU CODE STARTS HERE\n\
   rcMenu CanvasMenu\n\
   (\n\
     subMenu&quot;File&quot;\n\
     (\n\
       menuItem new_menu &quot;New&quot;\n\
       menuItem open_menu &quot;Open...&quot;\n\
       menuItem save_as &quot;Save As...&quot;\n\
       separator file_menu_1\n\
       menuItem quit_tool &quot;Quit&quot;  \n\
     )\n\
     subMenu &quot;Edit&quot;( )\n\
     subMenu &quot;Help&quot;\n\
     (\n\
       menuItem about_tool &quot;About MicroPaint...&quot; \n\
     )\n\
\n\
     on new_menu picked do\n\
     (\n\
       theBackgroundBitmap = theCanvasBitmap = bitmap bitmapX bitmapY color:MicroPaint_CanvasRollout.paperColor.color\n\
       MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
     ) \n\
\n\
     on open_menu picked do\n\
     (\n\
       theOpenBitmap= selectBitmap()\n\
       if theOpenBitmap != undefined do\n\
       (\n\
         copy theOpenBitmap theCanvasBitmap\n\
         copy theOpenBitmap theBackgroundBitmap\n\
         close theOpenBitmap\n\
         MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
       )\n\
     )\n\
\n\
     on save_as picked do\n\
     (\n\
       theSaveName = getSaveFileName types:&quot;BMP (*.bmp)|*.bmp|Targa (rotation*.tga)|*.tga|JPEG (*.jpg)|*.jpg&quot;\n\
       if theSaveName != undefined do\n\
       (\n\
         theCanvasBitmap.filename = theSaveName\n\
         save theCanvasBitmap\n\
       )\n\
     )\n\
     on about_tool picked do messagebox &quot;MicroPaint\\nMAXScript Tutorial&quot; title:&quot;About...&quot;\n\
     on quit_tool picked do destroyDialog MicroPaint_CanvasRollout\n\
   )\n\
   --NEW MENU CODEENDHERE\n\
\n\
   rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
   (\n\
     bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
     colorpicker inkColor height:16 modal:false color:black across:5\n\
     colorpicker paperColor height:16 modal:false color:white\n\
     checkbutton airBrush &quot;AirBrush&quot; width:50\n\
     spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:30\n\
     spinner BrushSize &quot;Size&quot;range:[1,50,10] type:#integer fieldwidth:40\n\
     listbox BrushShape items:#(&quot;Circle&quot;,&quot;Box&quot;,&quot;Circle Smooth&quot;) pos:[bitmapX+5,0] width:90\n\
\n\
     fn paintBrush pos =\n\
     (\n\
       case BrushShape.selection of\n\
       (\n\
         1: (\n\
           if distance pos currentPos &lt;= BrushSize.value/2 do\n\
             setPixels theCanvasBitmap pos #(inkColor.color)\n\
         )\n\
         2: setPixels theCanvasBitmap pos #(inkColor.color)\n\
         3: (\n\
           theFactor = (distance pos currentPos) / (BrushSize.value/2.0)\n\
           if theFactor &lt;= 1.0 do\n\
           (\n\
             theFactor = sin ( 90.0 * theFactor)\n\
             thePixels = getPixels theCanvasBitmap pos 1\n\
             if thePixels[1] != undefined do\n\
             (\n\
               thePixels[1] = (thePixels[1] * theFactor) + (inkColor.color * (1.0 - theFactor))\n\
               setPixels theCanvasBitmap pos thePixels\n\
             )\n\
           )\n\
         )--end case 3\n\
       )--end case\n\
     )--end fn\n\
\n\
     fn drawStroke lastPos pos =\n\
     (\n\
       currentPos = lastPos\n\
       deltaX = pos.x - lastPos.x\n\
       deltaY = pos.y - lastPos.y\n\
       maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
       deltaStepX = deltaX / maxSteps\n\
       deltaStepY = deltaY / maxSteps\n\
       for i = 0 to maxSteps do\n\
       (\n\
         if airBrush.checked then\n\
         (\n\
           for b = 1 to (BrushSize.value / AirBrushSpeed.value) do\n\
             paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))\n\
         )\n\
         else\n\
           for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
             for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
               paintBrush (currentPos + [c,b])\n\
         currentPos += [deltaStepX, deltaStepY]\n\
       )\n\
       theCanvas.bitmap = theCanvasBitmap\n\
     )\n\
\n\
     on MicroPaint_CanvasRollout lbuttondown pos do\n\
     (\n\
       lastPos = pos\n\
       isDrawing = true\n\
       drawStroke lastPos pos\n\
     )\n\
     on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false\n\
     on MicroPaint_CanvasRollout mousemove pos do\n\
     (\n\
       if isDrawing do drawStroke lastPos pos\n\
       lastPos = pos\n\
     )\n\
   )\n\
   createDialog MicroPaint_CanvasRollout (bitmapx+100) (bitmapy+30) menu:CanvasMenu\n\
   MicroPaint_CanvasRollout.theCanvas.bitmap = theBackgroundBitmap\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Code in italic has no changes since the previous version.\n\
\n\
macroScript MicroPaint category:&quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try(destroyDialog MicroPaint_CanvasRollout)catch()\n\
local isDrawing = false\n\
local bitmapX = bitmapY = 512\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
\n\
local theBackgroundBitmap = bitmap bitmapX bitmapY color:white </code></pre><p>We will define a second bitmap called background. It will not be used now, but will be needed in the next tutorial to allow for an eraser function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local currentPos = lastPos = [0,0]\n\
\n\
rcMenu CanvasMenu (</code></pre><p>This is a right-click menu definition.</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Right-Click-Menus/RCMenu-User-Interface-Items.html\">RCMenu User-Interface Items</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">subMenu &quot;File&quot; (</code></pre><p>The first item in the menu will be called File. A typical program implements File, Edit, and Help items in its main menu, so we will define these too.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuItem new_menu &quot;New&quot;\n\
menuItem open_menu &quot;Open...&quot;\n\
menuItem save_as &quot;Save As...&quot;</code></pre><p>Inside the File menu, we will add some menu items to start a new drawing, open an existing one, and save the results to a file on disk.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">separator file_menu_1</code></pre><p>This is a separator that draws a horizontal line between the menu items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuItem quit_tool &quot;Quit&quot;  </code></pre><p>This menu item will be used to quit the tool.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
subMenu &quot;Edit&quot; ( )</code></pre><p>We will leave the Edit menu empty for now.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">subMenu &quot;Help&quot;\n\
(\n\
menuItem about_tool &quot;About MicroPaint...&quot; \n\
)</code></pre><p>The Help menu will contain only the about item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on new_menu picked do\n\
(</code></pre><p>This is the event handler of the File &gt; New menu item. If the user selected it from the menu,</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Right-Click-Menus/RCMenu-Clauses.html\">RCMenu Clauses</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theBackgroundBitmap = theCanvasBitmap = bitmap bitmapX bitmapY color:MicroPaint_CanvasRollout.paperColor.color</code></pre><p>we will define a new bitmap using the new paper color (background color) added to the User Interface, and will assign to the painting canvas and the new background bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap</code></pre><p>Then, we assign the result to the User Interface bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
on open_menu picked do\n\
(</code></pre><p>This is the event handler of the File &gt; Open menu item. If the user selected it from the menu,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theOpenBitmap= selectBitmap()</code></pre><p>we open the standard Bitmap picker dialog of 3dsmax. It provides options to preview all supported file formats.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if theOpenBitmap != undefined do\n\
(</code></pre><p>If the user picked a valid bitmap and did not cancel out,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy theOpenBitmap theCanvasBitmap</code></pre><p>we copy the bitmap that was opened into the painting canvas,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy theOpenBitmap theBackgroundBitmap</code></pre><p>and into the background bitmap. The copy method resizes the original to fit the size of the canvas.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">close theOpenBitmap</code></pre><p>Finally, we close the opened bitmap,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap</code></pre><p>and assign the painting canvas to the User Interface bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
)\n\
\n\
on save_as picked do\n\
(</code></pre><p>This is the event handler of the File &gt; Save As menu item. If the user selected it from the menu,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theSaveName = getSaveFileName types:&quot;BMP (*.bmp)|*.bmp|Targa (*.tga)|*.tga|JPEG (*.jpg)|*.jpg&quot;</code></pre><p>we open the standard file saving dialog of 3ds Max and provide a list of some file extensions. You can add any supported file formats such as, RLA, RPF, and so on to this list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if theSaveName != undefined do\n\
(</code></pre><p>If the user specified a valid name and did not cancel out,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theCanvasBitmap.filename = theSaveName</code></pre><p>we set the file name of the painting canvas to the selected name,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">save theCanvasBitmap</code></pre><p>and save the bitmap to disk.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
)\n\
on about_tool picked do messagebox &quot;MicroPaint\\nMAXScript Tutorial&quot; title:&quot;About...&quot;</code></pre><p>If the user picked the Help &gt; About menu item, we open a message box with some text. You can add your own text to this dialog with version number and others.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on quit_tool picked do destroyDialog MicroPaint_CanvasRollout</code></pre><p>If the user picked the File &gt; Quit menu item, we destroy the dialog. Later, we can add a prompt whether the current painting can be saved to disk.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
\n\
\n\
rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
(\n\
bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
 colorpicker inkColor height:16modal:false color:black across:5 </code></pre><p>To add the paper color (background color of new images), we have to increase the across: parameter to 5.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorpicker paperColor height:16 modal:false color:white</code></pre><p>This colorpicker adds the paper color (background color of new images). Note that the color pickers are modeless and can be kept open all the time. You can also drag and drop colors to copy colors between the Ink and Paper color pickers, or drag and drop from other areas of <strong>3ds Max</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">checkbutton airBrush &quot;AirBrush&quot; width:50\n\
spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:30\n\
spinner BrushSize &quot;Size&quot; range:[1,50,10] type:#integer fieldwidth:40\n\
listbox BrushShape items:#(&quot;Circle&quot;, &quot;Box&quot;, &quot;Circle Smooth&quot;) pos:[bitmapX+5,0] width:90\n\
\n\
fn paintBrush pos =\n\
(\n\
case BrushShape.selection of\n\
(\n\
1: (\n\
if distance pos currentPos &lt;= BrushSize.value/2 do\n\
setPixels theCanvasBitmap pos #(inkColor.color)\n\
)\n\
2: setPixels theCanvasBitmap pos #(inkColor.color)\n\
3: (\n\
theFactor = (distance pos currentPos) / (BrushSize.value/2.0)\n\
if theFactor &lt;= 1.0 do\n\
(\n\
theFactor = sin ( 90.0 * theFactor)\n\
thePixels = getPixels theCanvasBitmap pos 1\n\
if thePixels[1] != undefined do\n\
(\n\
thePixels[1] = (thePixels[1] * theFactor) + (inkColor.color * (1.0 - theFactor))\n\
setPixels theCanvasBitmap pos thePixels\n\
)\n\
)\n\
)--end case 3\n\
)--end case\n\
)--end fn\n\
\n\
fn drawStroke lastPos pos =\n\
(\n\
currentPos = lastPos\n\
deltaX = pos.x - lastPos.x\n\
deltaY = pos.y - lastPos.y\n\
maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
deltaStepX = deltaX / maxSteps\n\
deltaStepY = deltaY / maxSteps\n\
for i = 0 to maxSteps do\n\
(\n\
if airBrush.checked then\n\
(\n\
for b = 1 to (BrushSize.value / AirBrushSpeed.value) do\n\
paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))\n\
)\n\
else\n\
for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
paintBrush (currentPos + [c,b])\n\
currentPos += [deltaStepX, deltaStepY]\n\
)\n\
theCanvas.bitmap = theCanvasBitmap\n\
)\n\
\n\
on MicroPaint_CanvasRollout lbuttondown pos do\n\
(\n\
lastPos = pos\n\
isDrawing = true\n\
drawStroke lastPos pos\n\
)\n\
on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false\n\
on MicroPaint_CanvasRollout mousemove pos do\n\
(\n\
if isDrawing do drawStroke lastPos pos\n\
lastPos = pos\n\
)\n\
) createDialog MicroPaint_CanvasRollout (bitmapx+100) (bitmapy+30) menu:CanvasMenu </code></pre><p>We add the RightClick menu defined in the beginning of the script to the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MicroPaint_CanvasRollout.theCanvas.bitmap = theBackgroundBitmap</code></pre><p>After starting the tool, it is a good idea to clear the display, as the bitmap might be still displaying an older version from a previous painting session.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><blockquote>\n\
<p>   <strong>RESULT:</strong></p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-7AD51929-F892-4247-A360-6BFF5B891A4A-low.gif\" alt></p>\n\
<p><strong>Previous Tutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-5.html\">How To ... Develop a Bitmap Painting Tool - Smooth Brushes</a></p>\n\
<p><strong>Next Tutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-7.html\">How To ... Develop a Bitmap Painting Tool - Erase Changes</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Bitmap-Painting.html\">How To ... Develop a Bitmap Painting Tool In Nine Easy Steps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";