var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8ECDE2E0-2C77-4191-9710-C527D95F763E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop a Bitmap Painting Tool - Unwrap UV Coordinates</h1></div><p>In this step of the Bitmap Painting tool development, we will add the option to generate a graphical representation of the UV coordinates of an object inside the painting tool and assign automatically as diffuse map to the scene object.</p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   We will add a local variable to store the mesh object to work with.</p>\n\
<p>   We will add a new filter function to select only mesh objects.</p>\n\
<p>   We will add a new pickbutton to the UI to select an object to work with which will use the filter function.</p>\n\
<p>   We will add an option to the Edit menu to acquire the texture coordinates.</p>\n\
<p>   We will add a new function to read the UV coordinates from a selected mesh and draw strokes in the painting based on the vertex positions in texture space.</p>\n\
<p>   We will define a default temp. file name for the painting and will optionally save it after each stroke.</p>\n\
<p>   We will assign the temp. disk copy of the bitmap to the diffuse channel of the picked object.</p>\n\
<p>   We will add a new checkbox to the User Interface to enable and disable autosaving. When enabled, the bitmap will update in realtime as we paint in our tool.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript MicroPaint category: &quot;HowTo&quot;\n\
   (\n\
   global MicroPaint_CanvasRollout\n\
   try (destroyDialog MicroPaint_CanvasRollout) catch()\n\
   local isErasing = isDrawing = false\n\
   local bitmapX = bitmapY = 512\n\
   local bitmapx_1 = bitmapx-1\n\
   local bitmapy_1 = bitmapy-1\n\
   local temp_bitmap_filename = (getDir #preview +&quot;/microPaint_temp.bmp&quot;)\n\
   local theCanvasBitmap = bitmap bitmapX bitmapY color:white filename:temp_bitmap_filename\n\
   local theBackgroundBitmap = bitmap bitmapX bitmapY color:white\n\
   local currentPos = lastPos = [0,0]\n\
\n\
   local theChannel = 1\n\
   local theObj = undefined\n\
\n\
   rcMenu CanvasMenu\n\
   (\n\
     subMenu &quot;File&quot;\n\
     (\n\
       menuItem new_menu &quot;New&quot;\n\
       menuItem open_menu &quot;Open...&quot;\n\
       menuItem save_as &quot;Save As...&quot;\n\
       separator file_menu_1\n\
       menuItem quit_tool &quot;Quit&quot;  \n\
     )\n\
     subMenu &quot;Edit&quot;\n\
     (\n\
       menuItem commit_menu &quot;Commit Changes&quot;\n\
       separator edit_menu_1\n\
       menuItem uv_menu &quot;Get UV Coordinates...&quot;\n\
     )\n\
     on commit_menu picked do copy theCanvasBitmap theBackgroundBitmap\n\
     on uv_menu picked do MicroPaint_CanvasRollout.unwrapTexture()\n\
\n\
     subMenu &quot;Help&quot;\n\
     (\n\
       menuItem about_tool &quot;About MicroPaint...&quot; \n\
     )\n\
\n\
     on new_menu picked do\n\
     (\n\
       theBackgroundBitmap = theCanvasBitmap = bitmap bitmapX bitmapY color:MicroPaint_CanvasRollout.paperColor.color filename:temp_bitmap_filename\n\
       MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
     )\n\
\n\
     on open_menu picked do\n\
     (\n\
       theOpenBitmap= selectBitmap()\n\
       if theOpenBitmap != undefined do\n\
       (\n\
         copy theOpenBitmap theCanvasBitmap\n\
         copy theOpenBitmap theBackgroundBitmap\n\
         close theOpenBitmap\n\
         MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
       )\n\
     )\n\
\n\
     on save_as picked do\n\
     (\n\
       theSaveName = getSaveFileName types:&quot;BMP (*.bmp)|*.bmp|Targa (*.tga)|*.tga|JPEG (*.jpg)|*.jpg&quot;\n\
       if theSaveName != undefined do\n\
       (\n\
         theCanvasBitmap.filename = theSaveName\n\
         save theCanvasBitmap\n\
         theCanvasBitmap.filename = temp_bitmap_filename\n\
       )\n\
     )\n\
     on about_tool picked do messagebox &quot;MicroPaint\\nMAXScript Tutorial&quot; title:&quot;About...&quot;\n\
     on quit_tool picked do destroyDialog MicroPaint_CanvasRollout\n\
   )\n\
\n\
   fn mesh_filter obj = superclassof obj == GeometryClass and classof obj != TargetObject\n\
\n\
   rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
   (\n\
     bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
     colorpicker inkColor height:16 modal:false color:black across:6\n\
     colorpicker paperColor height:16 modal:false color:white\n\
     checkbutton autoSave &quot;AutoSave&quot; width:70\n\
     checkbutton airBrush &quot;AirBrush&quot; width:70\n\
     spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:30\n\
     spinner BrushSize &quot;Size&quot; range:[1,50,1] type:#integer fieldwidth:40\n\
     listbox BrushShape items:#(&quot;Circle&quot;,&quot;Box&quot;,&quot;Circle Smooth&quot;) pos:[bitmapX+5,0] width:90\n\
\n\
\n\
     --NEW PICK BUTTON AND HANDLER:\n\
     pickbutton pickMesh &quot;Pick Mesh&quot; width:90 height:30 pos:[bitmapX+5,140] filter:mesh_filter autodisplay:true\n\
\n\
     on pickMesh picked obj do\n\
     (\n\
       if obj != undefined do\n\
       (\n\
         theObj = Obj\n\
         try\n\
         (\n\
           copy theObj.material.diffusemap.bitmap theCanvasBitmap\n\
           copy theObj.material.diffusemap.bitmap theBackgroundBitmap\n\
           theCanvas.bitmap = theCanvasBitmap\n\
         )catch() \n\
       )\n\
     )\n\
     --END NEW PICK BUTTON AND HANDLER\n\
\n\
     fn paintBrush pos =\n\
     (\n\
       if isErasing then\n\
         thePaintColor = (getPixels theBackgroundBitmap pos 1)[1]\n\
       else\n\
         thePaintColor = inkColor.color\n\
       if thePaintColor == undefined then thePaintColor = white\n\
\n\
       case BrushShape.selection of\n\
       (\n\
         1: (\n\
           if distance pos currentPos &lt;= BrushSize.value/2 do\n\
             setPixels theCanvasBitmap pos #(thePaintColor)\n\
           )\n\
         2: setPixels theCanvasBitmap pos #(thePaintColor)\n\
         3: (\n\
           theFactor = (distance pos currentPos) / (BrushSize.value/2.0)\n\
           if theFactor &lt;= 1.0 do\n\
           (\n\
             theFactor = sin ( 90.0 * theFactor)\n\
             thePixels = getPixels theCanvasBitmap pos 1\n\
             if thePixels[1] != undefined do\n\
             (\n\
               thePixels[1] = (thePixels[1] * theFactor) + (thePaintColor * (1.0 - theFactor))\n\
               setPixels theCanvasBitmap pos thePixels\n\
             )\n\
           )\n\
         )--end case 3\n\
       )--end case\n\
     )--end fn\n\
\n\
     fn drawStroke lastPos pos drawIt: =\n\
     (\n\
       currentPos = lastPos\n\
       deltaX = pos.x - lastPos.x\n\
       deltaY = pos.y - lastPos.y\n\
       maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
       deltaStepX = deltaX / maxSteps\n\
       deltaStepY = deltaY / maxSteps\n\
       for i = 0 to maxSteps do\n\
       (\n\
         if airBrush.checked then\n\
           for b = 1 to (BrushSize.value / AirBrushSpeed.value) do\n\
             paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))\n\
         else\n\
           for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
             for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
               paintBrush (currentPos + [c,b])\n\
         currentPos += [deltaStepX, deltaStepY]\n\
       )\n\
       if drawIt== true or drawIt == unsupplied do theCanvas.bitmap = theCanvasBitmap\n\
     )\n\
\n\
\n\
     --NEW UNWRAP TEXTURE FUNCTION STARTS HERE\n\
     fn unwrapTexture =\n\
     (\n\
       if theObj != undefined then\n\
       (\n\
         theMesh = snapshotAsMesh theObj\n\
         if meshop.getMapSupport theMesh theChannel do\n\
         (\n\
           faceCount = meshop.getNumMapFaces theMesh theChannel\n\
           for f = 1 to faceCount do\n\
           (\n\
             theFace = meshop.getMapFace theMesh theChannel f\n\
             vert1= meshop.getMapVert theMesh theChannel theFace.x\n\
             vert2= meshop.getMapVert theMesh theChannel theFace.y\n\
             vert3= meshop.getMapVert theMesh theChannel theFace.z\n\
             drawStroke [vert1.x * bitmapx_1, bitmapy_1 - vert1.y * bitmapy_1] [vert2.x * bitmapx_1, bitmapy_1 - vert2.y * bitmapy_1] drawIt:false\n\
             drawStroke [vert1.x * bitmapx_1, bitmapy_1 - vert1.y * bitmapy_1] [vert3.x * bitmapx_1, bitmapy_1 - vert3.y * bitmapy_1] drawIt:false\n\
             drawStroke [vert3.x * bitmapx_1, bitmapy_1 - vert3.y * bitmapy_1] [vert2.x * bitmapx, bitmapy_1 - vert2.y * bitmapy_1] drawIt:false\n\
           )\n\
         ) \n\
         theCanvas.bitmap = theCanvasBitmap\n\
         save theCanvasBitmap\n\
         if theObj.material == undefined do theObj.material = Standard()\n\
         if theObj.material.diffusemap == undefined do\n\
           theObj.material.diffusemap = bitmapTexture filename:temp_bitmap_filename\n\
         showTextureMap theObj.material true\n\
         autoSave.checked = true\n\
       )\n\
     )\n\
     --NEW UNWRAP TEXTURE FUNCTION ENDS HERE\n\
\n\
     on autoSave changed state do if state do save theCanvasBitmap\n\
\n\
     on MicroPaint_CanvasRollout lbuttondown pos do\n\
     (\n\
       lastPos = pos\n\
       isDrawing = true\n\
       isErasing = false\n\
       drawStroke lastPos pos\n\
     )\n\
     on MicroPaint_CanvasRollout rbuttondown pos do\n\
     (\n\
       lastPos = pos\n\
       isErasing = isDrawing = true\n\
       drawStroke lastPos pos\n\
     )\n\
     on MicroPaint_CanvasRollout lbuttonup pos do\n\
     (\n\
       isErasing = isDrawing = false\n\
       if autoSave.checked do save theCanvasBitmap\n\
     )\n\
     on MicroPaint_CanvasRollout rbuttonup pos do\n\
     (\n\
       isErasing = isDrawing = false\n\
       if autoSave.checked do save theCanvasBitmap\n\
     )\n\
\n\
     on MicroPaint_CanvasRollout mousemove pos do\n\
     (\n\
       if isDrawing do drawStroke lastPos pos\n\
       lastPos = pos\n\
     )\n\
   )\n\
   createDialog MicroPaint_CanvasRollout (bitmapx+100) (bitmapy+30) menu:CanvasMenu\n\
   MicroPaint_CanvasRollout.theCanvas.bitmap = theBackgroundBitmap\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Code in italic has no changes since the previous version. macroScript MicroPaint category:&quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try(destroyDialog MicroPaint_CanvasRollout)catch()\n\
local isErasing = isDrawing = false\n\
local bitmapX = bitmapY = 512\n\
\n\
local bitmapx_1 = bitmapx-1\n\
local bitmapy_1 = bitmapy-1</code></pre><p>To calculate the position of the UV coordinates inside the bitmap, we have to count the pixels as the size of the bitmap minus one (for example, 0 to 511 and not 1 to 512). To make out life easier, we define two variables to store these corrected values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local temp_bitmap_filename = (getDir #preview +&quot;/microPaint_temp.tga&quot;)\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white filename:temp_bitmap_filename</code></pre><p>To be able to save the current painting to a temporary file on disk, we have to define a file name and assign it to the bitmap. The file name is stored in a local variable that will be used in other parts of the script to access it. TGA appears to be faster to save than BMP, but you can save to any format you want.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local theBackgroundBitmap = bitmap bitmapX bitmapY color:white\n\
local currentPos = lastPos = [0,0] localtheChannel = 1</code></pre><p>This is the map channel to read from. You can add a User Interface spinner to control its value. For now, we will work with channel 1 only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local theObj = undefined</code></pre><p>This variable will store the mesh object to access the UV coordinates from.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rcMenu CanvasMenu\n\
(\n\
subMenu &quot;File&quot;\n\
(\n\
menuItem new_menu &quot;New&quot;\n\
menuItem open_menu &quot;Open...&quot;\n\
menuItem save_as &quot;Save As...&quot;\n\
separator file_menu_1\n\
menuItem quit_tool &quot;Quit&quot;  \n\
)\n\
subMenu &quot;Edit&quot;\n\
(\n\
menuItem commit_menu &quot;Commit Changes&quot;\n\
\n\
separator edit_menu_1\n\
menuItem uv_menu &quot;Get UV Coordinates...&quot;\n\
)</code></pre><p>We add a new menu item that will be used to acquire texture coordinates from a scene object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on commit_menu picked do copy theCanvasBitmap theBackgroundBitmap on uv_menu picked do MicroPaint_CanvasRollout.unwrapTexture()</code></pre><p>If the user picked the menu item, we call a new function that will be defined inside the rollout (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">subMenu &quot;Help&quot;\n\
(\n\
menuItem about_tool &quot;About MicroPaint...&quot; \n\
)\n\
\n\
on new_menu picked do\n\
(\n\
theBackgroundBitmap = theCanvasBitmap = bitmap bitmapX bitmapY color:MicroPaint_CanvasRollout.paperColor.color filename:temp_bitmap_filename\n\
MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
)\n\
\n\
on open_menu picked do\n\
(\n\
theOpenBitmap= selectBitmap()\n\
if theOpenBitmap != undefined do\n\
(\n\
copy theOpenBitmap theCanvasBitmap\n\
copy theOpenBitmap theBackgroundBitmap\n\
close theOpenBitmap\n\
MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
)\n\
)\n\
\n\
on save_as picked do\n\
(\n\
theSaveName = getSaveFileName types:&quot;BMP (*.bmp)|*.bmp|Targa (*.tga)|*.tga|JPEG (*.jpg)|*.jpg&quot;\n\
if theSaveName != undefined do\n\
(\n\
theCanvasBitmap.filename = theSaveName\n\
save theCanvasBitmap theCanvasBitmap.filename = temp_bitmap_filename</code></pre><p>After saving to a new file name, set back the filename to the temporary location, otherwise autosaving starts writing into the new file and we do not want this to happen.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
)\n\
on about_tool picked do messagebox &quot;MicroPaint\\nMAXScript Tutorial&quot; title:&quot;About...&quot;\n\
on quit_tool picked do destroyDialog MicroPaint_CanvasRollout\n\
)\n\
\n\
fn mesh_filter obj = superclassof obj == GeometryClass and classof obj != TargetObject</code></pre><p>This function allows us to pick only geometry objects except target objects. It will be used as a filter function by a new pickbutton User Interface control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
(\n\
bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
\n\
colorpicker inkColor height:16 modal:false color:black across:6</code></pre><p>To accommodate the new autoSave option, we increase the across parameter to 6.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorpicker paperColor height:16 modal:false color:white\n\
\n\
checkbutton autoSave &quot;AutoSave&quot; width:70</code></pre><p>This new checkbutton will control whether the painting is constantly saved to disk after each stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">checkbutton airBrush &quot;AirBrush&quot; width:70\n\
spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:30 spinner BrushSize &quot;Size&quot; range:[1,50,1] type:#integer fieldwidth:40</code></pre><p>The default brush size is now 1. This is to avoid drawing a texture unwrapping with a thickness of 10 that can be very slow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">listbox BrushShape items:#(&quot;Circle&quot;, &quot;Box&quot;, &quot;Circle Smooth&quot;) pos:[bitmapX+5,0] width:90\n\
\n\
pickbutton pickMesh &quot;Pick Mesh&quot; width:90 height:30 pos:[bitmapX+5,140] filter:mesh_filter autodisplay:true</code></pre><p>This pickbutton will be used to select the scene object to unwrap the texture coordinates. It uses the new optional keyword autoDisplay added to <strong>3ds Max 7</strong>. When set to true, it will display the name of the picked object on the button automatically. In <strong>3ds Max 6</strong> and earlier, the option will be ignored, but the script will still function correctly.</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Pickbutton-UI-Control.html\">Pickbutton</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on pickMesh picked obj do\n\
(</code></pre><p>This is the event handler of the pickbutton. If the user picked an object, it will be passed to the handler in the obj variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if obj != undefined do (</code></pre><p>If the obj variable contains a valid object (the user did not cancel the picking) then,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theObj = Obj</code></pre><p>we first assign the picked object to our new variable that will store the pick during the painting session.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">try\n\
(\n\
copy theObj.material.diffusemap.bitmap theCanvasBitmap\n\
copy theObj.material.diffusemap.bitmap theBackgroundBitmap\n\
theCanvas.bitmap = theCanvasBitmap</code></pre><p>Then, we try to read the diffusemap bitmap of the object and copy it into the canvas and background bitmaps of the painting tool, and assign it to the UI.</p>\n\
<p>If there is no bitmap there, the error will be trapped and nothing will happen.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)catch() \n\
)\n\
)\n\
\n\
fn paintBrush pos =\n\
(\n\
if isErasing then\n\
thePaintColor = (getPixels theBackgroundBitmap pos 1)[1]\n\
else\n\
thePaintColor = inkColor.color\n\
if thePaintColor == undefined then thePaintColor = white\n\
\n\
case BrushShape.selection of\n\
(\n\
1: (\n\
if distance pos currentPos &lt;= BrushSize.value/2 do\n\
setPixels theCanvasBitmap pos #(thePaintColor)\n\
)\n\
2: setPixels theCanvasBitmap pos #(thePaintColor)\n\
3: (\n\
theFactor = (distance pos currentPos) / (BrushSize.value/2.0)\n\
if theFactor &lt;= 1.0 do\n\
(\n\
theFactor = sin ( 90.0 * theFactor)\n\
thePixels = getPixels theCanvasBitmap pos 1\n\
if thePixels[1] != undefined do\n\
(\n\
thePixels[1] = (thePixels[1] * theFactor) + (thePaintColor * (1.0 - theFactor))\n\
setPixels theCanvasBitmap pos thePixels\n\
)\n\
)\n\
)--end case 3\n\
)--end case\n\
)--end fn\n\
  fn drawStroke lastPos pos drawIt: =\n\
(</code></pre><p>We add a new optional keyword to the drawStroke function. If it is set to false, the stroke will be drawn, but the bitmap will not be updated in the rollout. If it is true or not supplied, the bitmap will be updated after the stroke. This is to allow for faster drawing of the unwrapped texture without updating the view after each texture face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">currentPos = lastPos\n\
deltaX = pos.x - lastPos.x\n\
deltaY = pos.y - lastPos.y\n\
maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
deltaStepX = deltaX / maxSteps\n\
deltaStepY = deltaY / maxSteps\n\
for i = 0 to maxSteps do\n\
(\n\
if airBrush.checked then\n\
for b = 1 to (BrushSize.value / AirBrushSpeed.value) do\n\
paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))\n\
else\n\
for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
paintBrush (currentPos + [c,b])\n\
currentPos += [deltaStepX, deltaStepY]\n\
) if drawIt== true or drawIt == unsupplied do theCanvas.bitmap = theCanvasBitmap</code></pre><p>If the new switch is set to true or not set at all, we update the display as before, otherwise the update is skipped.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
\n\
fn unwrapTexture =\n\
(</code></pre><p>This is the new function that performs the selection of an object, the unwrapping of the texture coordinates, and the material/texture assignment.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if theObj != undefined then\n\
(</code></pre><p>If the user clicked a valid object,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theMesh =snapshotAsMeshtheObj</code></pre><p>we extract the mesh from the top of its stack.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if meshop.getMapSupport theMesh theChannel do\n\
(</code></pre><p>If the selected object supports the specified channel,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">faceCount = meshop.getNumMapFaces theMesh theChannel</code></pre><p>we read the number of texture faces in that channel,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for f = 1 to faceCount do\n\
(</code></pre><p>and repeat the following code for every face found in the mesh:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theFace = meshop.getMapFace theMesh theChannel f</code></pre><p>This is the map face definition. It returns a Point3 value where .x, .y, and .z are indices pointing at the texture vertices the face is using.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">vert1= meshop.getMapVert theMesh theChannel theFace.x\n\
vert2= meshop.getMapVert theMesh theChannel theFace.y\n\
vert3= meshop.getMapVert theMesh theChannel theFace.z</code></pre><p>Using this data, we read the three vertices of the face. Each one is a Point3 value containing the actual U, V, and W values. We will draw only the UV and discard the W.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">drawStroke [vert1.x * bitmapx_1, bitmapy_1- vert1.y * bitmapy_1] [vert2.x * bitmapx_1, bitmapy_1- vert2.y * bitmapy_1] drawIt:false</code></pre><p>We call the drawStroke function using the first and second texture vertex coordinates multiplied by the size of the bitmap. The flag drawIt is set to false to speed up the generation of the image. If you change it to true, you can watch the function drawing interactively in the image, but this can take a very long time.</p>\n\
<p>The calculation of the coordinates is based on the fact that the lower left corner of the UV space has coordinates 0,0 and the upper right has coordinates 1,1.</p>\n\
<p>The bitmap on the other hand has its upper left corner as 0,0 and its lower right corner as bitmapx-1, bitmapy-1 (511,511 in our example).</p>\n\
<p>So, to convert the UV coordinates in pixel coordinates, we multiply the width resp. height of the bitmap by the U resp. V value, and turn the vertical result upside-down by subtracting from the height.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">drawStroke [vert1.x * bitmapx_1, bitmapy_1- vert1.y * bitmapy_1] [vert3.x * bitmapx_1, bitmapy_1- vert3.y * bitmapy_1] drawIt:false\n\
drawStroke [vert3.x * bitmapx_1, bitmapy_1- vert3.y * bitmapy_1] [vert2.x * bitmapx_1, bitmapy_1- vert2.y * bitmapy_1] drawIt:false</code></pre><p>We call the drawStroke function for the other two pairs of vertices, thus drawing all edges of the face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
) \n\
theCanvas.bitmap = theCanvasBitmap</code></pre><p>Now, we can update the rollout bitmap to show the result.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">save theCanvasBitmap</code></pre><p>We can also save the bitmap to its temporary location.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if theObj.material == undefined do theObj.material = Standard()</code></pre><p>If the selected object has no material, we assign a new material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">try\n\
(if theObj.material.diffusemap == undefined do\n\
theObj.material.diffusemap = bitmapTexture filename:temp_bitmap_filename</code></pre><p>If the selected object&apos;s diffusemap is not defined yet, we try to assign a new texture map pointing at the temporary copy of our painting. If the object does not have a standard material assigned, trying to access the diffusemap channel will cause an error, which will be prevented by the try()catch() context.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showTextureMap theObj.material true</code></pre><p>We press the Show Map In Viewport of the material at object level. If the texture assignment is successful, the bitmap must be shown in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">autoSave.checked = true</code></pre><p>If everything went ok, we can also turn on the new autosave option to force the bitmap to update the selected object as you paint.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)catch()\n\
)\n\
)\n\
\n\
on autoSave changed state do if state do save theCanvasBitmap</code></pre><p>If the user checked the new checkbutton, the bitmap will be saved to its temporary location immediately.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on MicroPaint_CanvasRollout lbuttondown pos do\n\
(\n\
lastPos = pos\n\
isDrawing = true\n\
isErasing = false\n\
drawStroke lastPos pos\n\
)\n\
on MicroPaint_CanvasRollout rbuttondown pos do\n\
(\n\
lastPos = pos\n\
isErasing = isDrawing = true\n\
drawStroke lastPos pos\n\
)\n\
on MicroPaint_CanvasRollout lbuttonup pos do\n\
(\n\
isErasing = isDrawing = false if autoSave.checked do save theCanvasBitmap </code></pre><p>If the new checkbutton is pressed, the bitmap will be saved to its temporary location after each stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) \n\
on MicroPaint_CanvasRollout rbuttonup pos do\n\
(\n\
isErasing = isDrawing = false\n\
\n\
if autoSave.checked do save theCanvasBitmap</code></pre><p>If the new checkbutton is pressed, the bitmap will be saved to its temporary location after each erase stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> ) \n\
\n\
on MicroPaint_CanvasRollout mousemove pos do\n\
(\n\
if isDrawing do drawStroke lastPos pos\n\
lastPos = pos\n\
)\n\
)\n\
createDialog MicroPaint_CanvasRollout (bitmapx+100) (bitmapy+30) menu:CanvasMenu\n\
MicroPaint_CanvasRollout.theCanvas.bitmap = theBackgroundBitmap\n\
) </code></pre><blockquote>\n\
<p>   <strong>RESULT:</strong></p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-A0C1C586-F9B6-47EE-882F-B9E84B65761B-low.gif\" alt></p>\n\
<p>In this example, Unwrap UVW modifier is applied to a teapot and the Flatten function is used to create the new texture coordinates.</p>\n\
<p>Then, the object is selected in MicroPaint and the texture coordinates are drawn using the Circular Smooth brush with size 5, Airbrush turned on, and Airbrush Speed set to 1.0.</p>\n\
<p>This is the teapot as seen in the viewport:</p>\n\
<p><img src=\"./images/GUID-87E0E6DA-980A-4678-AEE4-C81AF629377D-low.gif\" alt></p>\n\
<p>Now, you can start painting on top of the UV coordinates using all available brushes - as long as the AutoSave button is checked, all your strokes must update in the viewports:</p>\n\
<p><img src=\"./images/GUID-2A09289E-BF12-4387-85F5-AE0689FA43DB-low.gif\" alt> <img src=\"./images/GUID-CAAE1E99-8ADC-471F-AA70-6157F6712189-low.gif\" alt></p>\n\
<p><strong>Previous Tutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-7.html\">How To ... Develop a Bitmap Painting Tool - Erase Changes</a></p>\n\
<p><strong>Next Tutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-9.html\">How To ... Develop a Bitmap Painting Tool - 3D Painting</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Bitmap-Painting.html\">How To ... Develop a Bitmap Painting Tool In Nine Easy Steps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";