var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E6C53A89-CE94-4E2C-8143-7C8767BDC772\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop a Scene Browser using TreeView ActiveX Control - Part One</h1></div><p>This tutorial demonstrates how to create a Scene Browser showing the object hierarchy in a TreeView ActiveX Control.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>Please see the topic <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-TreeView.html\">Converting ActiveX TreeView Control to DotNet TreeView Control</a></p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/TreeView-ActiveX-Control.html\">TreeView ActiveX Control</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Create a simple macroScript.</p>\n\
<p>   Define a rollout which will be used to create a floating dialog.</p>\n\
<p>   The only UI controls in the rollout will be a TreeView ActiveX Control and a spinner to control the Indentation</p>\n\
<p>   Create a function to recursively traverse all children and add children nodes to the TreeView.</p>\n\
<p>   Create a function to define the layout and appearance of the TreeView.</p>\n\
<p>   Create a function to fill in the nodes into the TreeView by calling the recursive function.</p>\n\
<p>   The two functions will be called by the on open event handler whenever the dialog is created (and thus the rollout is opened).</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SceneTreeView category:&quot;HowTo&quot;\n\
   (\n\
   rollout treeview_rollout &quot;TreeView Scene Browser&quot;\n\
   (\n\
   fn initTreeView tv =\n\
   (\n\
   tv.Indentation = 28*15\n\
   tv.LineStyle = #tvwRootLines\n\
   )\n\
   fn addChildren tv theNode theChildren =\n\
   (\n\
   for c in theChildren do\n\
   (\n\
   newNode = tv.Nodes.add theNode.index 4 &quot;&quot; c.name 0\n\
   addChildren tv newNode c.children\n\
   )\n\
   )\n\
   fn fillInTreeView tv =\n\
   (\n\
   theRoot = tv.Nodes.add()\n\
   theRoot.text =&quot;WORLD ROOT&quot;\n\
   rootNodes =for o in objects where o.parent == undefined collect o\n\
   addChildren tv theRoot rootNodes\n\
   )\n\
   activeXControl tv &quot;MSComctlLib.TreeCtrl&quot; width:190 height:290 align:#center\n\
   spinner spn_indent &quot;Indentation&quot; range:[0,100,28] type:#integer fieldwidth:40\n\
\n\
   on tv nodeClick theNode do try(select (getNodeByName theNode.text))catch()\n\
   on spn_indent changed val do tv.indentation = val*15\n\
   on treeview_rollout open do\n\
   (\n\
   initTreeView tv\n\
   fillInTreeView tv\n\
   )\n\
   )\n\
   try(destroyDialog treeview_rollout)catch()\n\
   createDialog treeview_rollout 200 320\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>RESULT:</strong></p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-1C8E6BD7-99EF-4AF3-8B89-7441A40C6634-low.gif\" alt></p>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroScript SceneTreeView category:&quot;HowTo&quot; (</code></pre><p>We start by defining a simple MacroScript with the name SceneTreeView which will appear in the category &quot;HowTo&quot;. Simple (old-style) macroScripts do not have <code>on execute do</code> or <code>on isEnabled</code> event handlers. The code inside the MacroScript definition is executed immediately when the ActionItem (button, menu item or keyboard shortcut) representing the MacroScript is activated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rollout treeview_rollout &quot;TreeView Scene Browser&quot; (</code></pre><p>This is the rollout to be created when the MacroScript is executed. It will display the title &quot;TreeView Scene Browser&quot;. The variable treeview_rollout will be local to the macroScript and will be used later on to create a dialog out of the rollout definition.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn initTreeView tv = (</code></pre><p>This is the function which will perform the initialization of the TreeView ActiveX control we will create. The control itself will be passed as argument to the function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tv.Indentation = 28*15</code></pre><p>The .indentation property expects a value in <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Point2-Values-as-Twips-in.html\">Twips</a> and defines the amount of twips to indent children relatively to their parent. Since a pixel is roughly 15 twips, this line tells the hierarchy to use 28 pixels indentation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tv.LineStyle = #tvwRootLines</code></pre><p>TheLineStyle propery controls the appearance of the lines connecting the nodes in the hierarchy. We want the root to have its own plus/minus box and be connected to the scene nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) fn addChildren tv theNode theChildren = (</code></pre><p>This function will be called recursively to create children of the node passed as argument using <code>theChildren</code> argument containing an array of <strong>3ds Max</strong> scene nodes. The argument <code>tv</code> will contain the TreeView to add to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for c in theChildren do (</code></pre><p>For each <strong>3ds Max</strong> scene node in <code>theChildren</code> array...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">newNode = tv.Nodes.add theNode.index 4 &quot;&quot; c.name 0</code></pre><p>...we add a new child to the supplied node. We pass a couple of parameters to the <strong><code>add()</code></strong> method - the index of the parent, the relationship flag (4), the key (empty string), the text of the new child (the name of the scene node), and the index of the image to be displayed as icon (0 for no image)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addChildren tv newNode c.children</code></pre><p>Once the child is created, the function calls itself recursively, passing the newly created node and the array of children of the current scene object as parameter. This way, the complete scene hierarchy will be recreated by the TreeView!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><p>The c loop ends here.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><p>The recursive function ends here.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn fillInTreeView tv = (</code></pre><p>This function will define the content of the TreeView.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theRoot = tv.Nodes.add()</code></pre><p>We add a single new node to represent the Root.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theRoot.text = &quot;WORLD ROOT&quot;</code></pre><p>We set its label to &quot;WORLD ROOT&quot;</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rootNodes = for o in objects where o.parent == undefined collect o</code></pre><p>Then we collect all objects in the scene that have no parent. These are the top-level nodes that will be the &quot;children of the world&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addChildren tv theRoot rootNodes</code></pre><p>Finally, we call the recursive function, passing the TreeView, the Root node and the array of top-level scene objects as arguments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) \n\
\n\
activeXControl tv &quot;MSComctlLib.TreeCtrl&quot; width:190 height:290 align:#center</code></pre><p>Now we can create a TreeView ActiveX control in the rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spinner spn_indent &quot;Indentation&quot; range:[0,100,28] type:#integer fieldwidth:40</code></pre><p>This spinner will allow us to test interactively the <code>.indentation</code> property of the TreeView. Simply changing the spinner&apos;s value will dynamically update the indentation of the complete hierarchy!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on tv nodeClick theNode do try(select (getNodeByName theNode.text))catch()</code></pre><p>If the user clicked a node, we will try to convert its name back to a <strong>3ds Max</strong> scene node and select it in the scene. This demonstrates the usage of TreeView event handlers...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on spn_indent changed val do tv.indentation = val*15</code></pre><p>If the user changed the spinner, we want the <code>.indentation</code> to be set to the respective amount of <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Point2-Values-as-Twips-in.html\">Twips</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on treeview_rollout open do (</code></pre><p>When the rollout is opening (this is when the <code>CreateDialog</code> function is called)...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">initTreeView tv fillInTreeView tv</code></pre><p>...the initialization function and the data collecting function will be called to define the style and populate the TreeView control with the names of the <strong>3ds Max</strong> scene objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><p>The rollout open event ends here.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) try(destroyDialog treeview_rollout)catch()</code></pre><p>Before creating a new dialog, we want to make sure any previously opened dialog with the same name is closed...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">createDialog treeview_rollout 200 320</code></pre><p>Finally, we create a new Dialog using the rollout definition.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><h2 id=\"what-39-s-next-\">What&apos;s Next?</h2><p>This is a very basic version of the script. To see how it can be further improved and customized, see Part Two of the tutorial - <a href=\"How-To-Develop-a-Scene-Browser-2.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Scene-Browser.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/TreeView-ActiveX-Control.html\">TreeView ActiveX Control</a></li>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";