var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-399134B9-7BC1-4F2A-9525-BD7EED14221D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</h1></div><p>The second part of the tutorial will demonstrate how to customize the TreeView ActiveX Control defined in <a href=\"How-To-Develop-a-Scene-Browser-1.html\">Part One</a> to include icons by object class, display wireframe colors and control the hidden state of scene nodes.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>Please see the topic <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-TreeView.html\">Converting ActiveX TreeView Control to DotNet TreeView Control</a></p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/TreeView-ActiveX-Control.html\">TreeView ActiveX Control</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Extend the existing macroScript.</p>\n\
<p>   Define a function to grab a single icon from the shipping icon files of <strong>3ds Max</strong></p>\n\
<p>   Extend the initTreeView function to generate icons for most object types</p>\n\
<p>   Assign an icon to each node created for each scene node</p>\n\
<p>   Set the color of each node to the wireframe color of the scene node</p>\n\
<p>   Set the checked state of each node to the opposite of the hidden state of the scene node</p>\n\
<p>   Enable checkboxes in the TreeView</p>\n\
<p>   Define another ActiveX control to hold and manage the icons to be displayed</p>\n\
<p>   Add an event handler to hide/unhide objects when the corresponding checkboxes are unchecked/checked</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SceneTreeView category: &quot;HowTo&quot;\n\
   (\n\
   rollout treeview_rollout &quot;TreeView Scene Browser&quot;\n\
   (\n\
   fn getIconFromBitmap thePath number =\n\
   (\n\
    tempBmp = openBitmap thePath\n\
    iconBmp = bitmap 16 15\n\
    for v = 0 to 14 do\n\
    setPixels iconBmp [0,v] (getPixels tempBmp [(number-1)*16, v] 16)\n\
    iconBmp.filename = getDir #image +&quot;/_temp.bmp&quot;\n\
    save iconBmp\n\
    close iconBmp\n\
    close tempBmp\n\
    getDir #image +&quot;/_temp.bmp&quot;\n\
   )\n\
\n\
   fn initTreeView tv ilTv =\n\
   (\n\
    tv.Indentation = 28*15\n\
    tv.LineStyle = #tvwRootLines\n\
    tv.checkboxes = true\n\
    tv.sorted = true\n\
    ilTv.imagewidth = 16\n\
    ilTv.imageheight = 15\n\
    iconDir = (getDir #ui) +&quot;\\\\icons&quot;\n\
    ilTv.listImages.add 1 #root (loadPicture (getIconFromBitmap (iconDir +&quot;\\\\Standard_16i.bmp&quot;) 2))\n\
    ilTv.listImages.add 2 #geomnode (loadPicture (getIconFromBitmap (iconDir +&quot;\\\\Standard_16i.bmp&quot;) 1))\n\
    ilTv.listImages.add 3 #light (loadPicture (getIconFromBitmap (iconDir +&quot;\\\\Lights_16i.bmp&quot;) 3))\n\
    ilTv.listImages.add 4 #camera (loadPicture (getIconFromBitmap (iconDir +&quot;\\\\Cameras_16i.bmp&quot;) 2))\n\
    ilTv.listImages.add 5 #helper (loadPicture (getIconFromBitmap (iconDir +&quot;\\\\Helpers_16i.bmp&quot;) 1))\n\
    tv.imageList = ilTv \n\
   ) \n\
\n\
   fn addChildren tv theNode theChildren =\n\
   (\n\
    for c in theChildren do\n\
    (\n\
     theIcon =case superclassof c of\n\
     (\n\
      GeometryClass: 2\n\
      Light: 3\n\
      Camera: 4\n\
      Helper: 5\n\
      Default:2\n\
     )\n\
     newNode = tv.Nodes.add theNode.index 4 &quot;&quot; c.name theIcon\n\
     theNode.sorted = true\n\
     newNode.checked = not c.isHidden\n\
     newNode.forecolor = color c.wirecolor.b c.wirecolor.g c.wirecolor.r\n\
     addChildren tv newNode c.children\n\
    )\n\
   )\n\
\n\
   fn fillInTreeView tv =\n\
   (\n\
    theRoot = tv.Nodes.add()\n\
    theRoot.image = 1\n\
    theRoot.text =&quot;WORLD ROOT&quot;\n\
    rootNodes = for o in objects where o.parent == undefined collect o\n\
    addChildren tv theRoot rootNodes\n\
   ) \n\
\n\
   activeXControl tv &quot;MSComctlLib.TreeCtrl&quot;width:290 height:490 align:#center\n\
   activeXControl ilTv &quot;MSComctlLib.ImageListCtrl&quot; height:0 width:0\n\
   on tv NodeCheck theNode do\n\
   (\n\
    theSceneNode = (getNodeByName theNode.text)\n\
    if theSceneNode != undefined do\n\
     theSceneNode.isHidden = not theNode.checked\n\
   ) \n\
\n\
   on tv nodeClick theNode do try(select (getNodeByName theNode.text))catch()\n\
   on treeview_rollout open do\n\
   (\n\
    initTreeView tv ilTv\n\
    fillInTreeView tv\n\
   ) \n\
   )\n\
   try(destroyDialog treeview_rollout)catch()\n\
   createDialog treeview_rollout 300 500\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>RESULT:</strong></p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-335B9519-B339-43EC-8D3C-6E31B2BEF2E1-low.gif\" alt></p>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroScript SceneTreeView category:&quot;HowTo&quot;\n\
(\n\
rollout treeview_rollout &quot;TreeView Scene Browser&quot;\n\
( fn getIconFromBitmap thePath number = (</code></pre><p>This new function will let us grab and reuse the icons shipping with <strong>3ds Max</strong>. The arguments passed to the function are the path of the icons bitmap file and the icon number to get. We assume that we will use the 16x15 small icons only. The function could be changed to support the 24x24 version of the icons, but the TreeView wouldn&apos;t look very nice with icons of that size!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tempBmp = openBitmap thePath</code></pre><p>First, we open the bitmap containing the path to the icons file. Icon files can contain an arbitrary number of icons. The small, 16x15 pixels icon files have a height of 15 pixels and width equal to the number of icons multiplied by 16.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">iconBmp = bitmap 16 15</code></pre><p>Next, we create an empty bitmap with the size of a single 16x15 pixels icon</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for v = 0 to 14 do</code></pre><p>The loop will go from 0 to 14 since pixel access in bitmaps is 0-based, and we have to go from 0 to 15 minus one.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setPixels iconBmp [0,v] (getPixels tempBmp [(number-1)*16, v] 16)</code></pre><p>For each row in the icon, we use getPixels to grab the 16 pixels starting at the beginning of the icon.(Number-1)*16 returns 0 for the first icon, 16 for the second icon, 32 for the third and so on. Then we assign the whole row of 16 pixels to the iconBmp bitmap defined before, starting at the left-most pixel (0) and going through the same number of lines (v). The result is the icon with the requested number being copied into the new empty bitmap!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">iconBmp.filename =GetDir #image +&quot;/_temp.bmp&quot;</code></pre><p>Now we set the name of the new single icon bitmap to a remporary bitmap file in the \\Images sub-directory of <strong>3ds Max</strong>. This is necessary because the loadPicture method converting a bitmap to an OLE-capable icon requires a saved .BMP or .ICO file, and only bitmaps with the .filename property set can be saved to disk.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">save iconBmp</code></pre><p>Since we have the file name defined, we can save the single icon to disk.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">close iconBmp close tempBmp</code></pre><p>Then we close both the original multi-icon file and the temporary single icon file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetDir #image +&quot;/_temp.bmp&quot;</code></pre><p>As a result of the function, we return the filename of the new single icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> )\n\
\n\
fn initTreeView tv ilTv = (</code></pre><p>This is the existing TreeView initialization function, but this time it gets a second argument, which will be the ImageListCtrl ActiveX control responsible for the icon management.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tv.Indentation = 28*15\n\
tv.LineStyle = #tvwRootLines\n\
\n\
tv.checkboxes = true</code></pre><p>This time, we will want to have checkboxes in front of every node. They will be used to display and control the Hidden state of the scene nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tv.sorted = true</code></pre><p>We also want the tree to be alphabetically sorted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ilTv.imagewidth = 16 ilTv.imageheight = 15</code></pre><p>We define the size of the icon image to be the same as the icon we are going to grab from the icons file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">iconDir = (getDir #ui) + &quot;\\\\icons&quot;</code></pre><p>This is the default location of the shipping icon files.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ilTv.listImages.add 1 #root (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Standard_16i.bmp&quot;) 2))</code></pre><p>We call the <code>.add()</code> method of the .listImages property of the <code>ImageListCtrl</code> which is used to manage the icons. The first image we add will be used for the root node only. We call the <code>getIconFromBitmap</code> function we defined earlier and pass the icon file containing Standard geometry primitives and the icon number 2 (Sphere). The resulting path is passed to the <code>loadPicture</code> method which opens the temporary icon .bmp file and assigns the resulting OLE-capable icon image to the ImageListCtrl.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ilTv.listImages.add 2 #geomnode (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Standard_16i.bmp&quot;) 1))</code></pre><p>We repeat the whole again, but this time we create the image number 2 which will be used for geometry nodes. We grab icon number 1 (Box).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ilTv.listImages.add 3 #light (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Lights_16i.bmp&quot;) 3))</code></pre><p>Same for the third image which will be used for light, but we ask for the third icon of the Lights icons file (Omni).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ilTv.listImages.add 4 #camera (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Cameras_16i.bmp&quot;) 2))</code></pre><p>The camera will be image number 4. We grab the second icon from the Cameras icons library.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ilTv.listImages.add 5 #helper (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Helpers_16i.bmp&quot;) 1))</code></pre><p>Finally, we define a fifth image which grabs the first icon from the Helpers icons file (Dummy).</p>\n\
<p>There are some more classes that were not defined yet (Shapes, Space Warps), you can try to implement your own icons in the same way by extending the above code!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tv.imageList = ilTv </code></pre><p>At the end, we assign the ImageListCtrl Control to the <code>.imageList</code> property of the TreeView. This makes all the above images available as icons in the TreeView control!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) \n\
\n\
fn addChildren tv theNode theChildren =\n\
(\n\
for c in theChildren do\n\
( theIcon = case superclassof c of </code></pre><p>Now that we have icons in the control, we can check the superclass of the <strong>3ds Max</strong> scene node being processed by the function and define the right icon based on the type. The variable theIcon will contain an integer corresponding to the icon to be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> ( GeometryClass: 2</code></pre><p>Geometry objects will use image 2 as icon,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Light: 3</code></pre><p>Lights will use image 3,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Camera: 4</code></pre><p>Cameras will use image 4,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Helper: 5</code></pre><p>Helpers will use image 6,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Default:2</code></pre><p>All others will use the Geometry icon until they get their own icons.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) newNode = tv.Nodes.add theNode.index 4 &quot;&quot; c.name theIcon</code></pre><p>Instead of setting the icon index to 0 as we did in Part One, we set the icon to the value defined above...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theNode.sorted = true</code></pre><p>We wanted all levels of the hierarchy to be sorted alphabetically.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">newNode.checked = not c.isHidden</code></pre><p>The checked state of the node will be the inverse of the <code>.isHidden</code> property (which is true when the node is hidden). Since we want to check the box when the node is NOT hidden, we tell exactly this...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">newNode.forecolor = color c.wirecolor.b c.wirecolor.g c.wirecolor.r</code></pre><p>Since we have complete control over the color of each node in the TreeView, why not grab the color of the wireframe display and assign to the .forecolor property? This gives us a colorful reference to the color of the scene objects!</p>\n\
<p>You could enhance this to grab the diffuse color of the material in the cases where the object has a Standard material assigned, or use the color to represent some other property... In addition, you could also set the <code>.bold</code> property of the TreeView node to true to represent some other property of the <strong>3ds Max</strong> objects...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addChildren tv newNode c.children\n\
)\n\
)\n\
\n\
fn fillInTreeView tv =\n\
(\n\
theRoot = tv.Nodes.add()\n\
\n\
theRoot.image = 1</code></pre><p>We already defined the first image of the ImageListCtrl to show a sphere icon. We will use it to represent the root node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theRoot.text = &quot;WORLD ROOT&quot;\n\
rootNodes = for o in objects where o.parent == undefined collect o\n\
addChildren tv theRoot rootNodes\n\
) \n\
\n\
activeXControl tv &quot;MSComctlLib.TreeCtrl&quot; width:290 height:490 align:#center activeXControl ilTv &quot;MSComctlLib.ImageListCtrl &quot;height:0 width:0</code></pre><p>This is the ImageList ActiveX Control used by the TreeView to manage its icons. It needs no rollout representation - we set the height and width to 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on tv NodeCheck theNode do (</code></pre><p>If the user changed the state of the checkbox of a node...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theSceneNode = (getNodeByName theNode.text)</code></pre><p>...we try to figure out which scene node it represents by converting the text label to the actual object name...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if theSceneNode != undefined do</code></pre><p>...and if the attempt was successful,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theSceneNode.isHidden = not theNode.checked</code></pre><p>...we set the <code>.isHidden</code> property of the scene node to the inverted value of checked state of the TreeView node. If the user unchecked the checkbox, <code>theNode.checked</code> will return false, which will be converted to true by not and assigned to the hidden property, effectively hiding the node!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) \n\
\n\
on tv nodeClick theNode do try(select (getNodeByName theNode.text))catch()\n\
on treeview_rollout open do\n\
(\n\
initTreeView tv ilTv\n\
fillInTreeView tv\n\
)\n\
)\n\
try(destroyDialog treeview_rollout)catch()\n\
createDialog treeview_rollout 300 500\n\
)</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Scene-Browser.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"How-To-Develop-a-Scene-Browser-1.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part One</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/TreeView-ActiveX-Control.html\">TreeView ActiveX Control</a></li>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";