var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-09495930-94A5-4CE7-BADB-D630B8306883\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop A Face Area XView Checker - Part 2</h1></div><p>The following tutorial extends the scripted xView Check created in Part 1 with custom text and display overrides, and more test options.</p>\n\
<p>The xView Checker is available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Geometry-Checker/xView-Geometry-Checker-Access.html\">xViewChecker Access</a></p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\">Interface:xViewChecker</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Add new mode property and an array of display colors, one for each mode.</p>\n\
<p>   Extend the xView checker function with new comparison modes.</p>\n\
<p>   Add a dropdown list to the dialog to control the new modes.</p>\n\
<p>   Define a text override function.</p>\n\
<p>   Define a display override function.</p>\n\
<p>   Register xViewChecker with new functions.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   global FaceAreaChecker\n\
   struct FaceAreaCheckerStruct\n\
   (\n\
   FaceAreaThresholdMin = 1,\n\
   FaceAreaThresholdMax = 10,\n\
   FaceAreaMode = 1,\n\
   faceAreaDialog = undefined,\n\
   InteractiveUpdates = true,\n\
   iniFileName = (getDir #plugcfg +&quot;\\\\FaceAreaXViewChecker.ini&quot;),\n\
   resultColors = #(green, blue+green*0.5, red+yellow*0.5, blue, yellow, red),\n\
\n\
   fn geomCheck theTime theNode theResults =\n\
   (\n\
     local theCount = case classof theNode of\n\
     (\n\
       Editable_Poly: getNumFaces theNode\n\
       Editable_Mesh: theNode.numfaces\n\
     )\n\
     local theAreaMethod = case classof theNode of\n\
     (\n\
       Editable_Poly: polyOp.getFaceArea\n\
       Editable_Mesh: meshOp.getFaceArea\n\
     )\n\
\n\
     for f = 1 to theCount do\n\
     (\n\
       local theArea = theAreaMethod theNode f\n\
       case FaceAreaChecker.FaceAreaMode of\n\
       (\n\
         default:if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMin and theArea &lt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
         2: if theArea &lt;= FaceAreaChecker.FaceAreaThresholdMin do append theResults f\n\
         3: if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMin do append theResults f\n\
         4: if theArea &lt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
         5: if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
         6: if theArea &lt;= FaceAreaChecker.FaceAreaThresholdMin or theArea &gt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
       ) \n\
     ) \n\
   3\n\
   ),\n\
\n\
   fn supportedCheck theNode =\n\
   (\n\
     classof theNode == Editable_Mesh or classof theNode == Editable_Poly\n\
   ),\n\
\n\
   fn configDlg =\n\
   (\n\
     try(destroyDialog FaceAreaChecker.faceAreaDialog)catch()\n\
     rollout faceAreaDialog &quot;Face Area Checker&quot;\n\
     (\n\
       dropdownlist ddl_FaceAreaMode width:150 align:#left offset:[-10,-3] items:#(&quot;Between Min. and Max&quot;,&quot;Less Than Min.&quot;,&quot;Greater Than Min.&quot;,&quot;Less Than Max.&quot;,&quot;Greater Than Max.&quot;,&quot;Not Between Min. and Max&quot;) selection:FaceAreaChecker.FaceAreaMode across:2\n\
       colorpicker clr_resultsColor fieldwidth:10 align:#right offset:[7,-3] color:FaceAreaChecker.resultColors[FaceAreaChecker.FaceAreaMode]\n\
       spinner spn_FaceAreaThresholdMin &quot;Min. Threshold:&quot; range:[0,1000000,FaceAreaChecker.FaceAreaThresholdMin] offset:[7,-3] type:#worldUnits\n\
       spinner spn_FaceAreaThresholdMax &quot;Max. Threshold:&quot; range:[0,1000000,FaceAreaChecker.FaceAreaThresholdMax] offset:[7,-3] type:#worldUnits\n\
       checkbox chk_InteractiveUpdates &quot;Interactive&quot; checked:FaceAreaChecker.InteractiveUpdates offset:[0,-3] across:2\n\
       button btn_selectResults &quot;Selection&quot; align:#right width:72 height:18 offset:[7,-3]\n\
\n\
       fn updateDisplay =\n\
       (\n\
         if FaceAreaChecker.InteractiveUpdates do\n\
         (\n\
           XViewChecker.runCheck CurrentTime\n\
           maxviews redraw\n\
         )\n\
       )\n\
       on ddl_FaceAreaMode selected itm do\n\
       (\n\
         FaceAreaChecker.FaceAreaMode = itm\n\
         updateDisplay()\n\
         clr_resultsColor.color = FaceAreaChecker.resultColors[itm]\n\
       )\n\
       on clr_resultsColor changed val do\n\
       (\n\
         FaceAreaChecker.resultColors[ddl_FaceAreaMode.selection] = val\n\
         updateDisplay()\n\
       )\n\
       on chk_InteractiveUpdates changed state do\n\
       (\n\
         FaceAreaChecker.InteractiveUpdates = state\n\
         updateDisplay()\n\
       ) \n\
       on spn_FaceAreaThresholdMin changed val do\n\
       (\n\
         FaceAreaChecker.FaceAreaThresholdMin = val\n\
         updateDisplay()\n\
       ) \n\
       on spn_FaceAreaThresholdMax changed val do\n\
       (\n\
         FaceAreaChecker.FaceAreaThresholdMax = val\n\
         updateDisplay()\n\
       )   \n\
       on btn_selectResults pressed do\n\
       (\n\
         XViewChecker.selectResults CurrentTime\n\
         maxviews redraw\n\
       ) \n\
       on faceAreaDialog moved pos do setIniSetting FaceAreaChecker.iniFileName &quot;Dialog&quot; &quot;Position&quot;(pos as string)\n\
     )--end rollout\n\
\n\
     local thePos = execute (getIniSetting FaceAreaChecker.iniFileName &quot;Dialog&quot; &quot;Position&quot;)\n\
     if classof thePos != Point2 do thePos = mouse.screenpos\n\
     createDialog faceAreaDialog 170 82 thePos.x thePos.y\n\
     FaceAreaChecker.faceAreaDialog = faceAreaDialog\n\
   ),\n\
\n\
   fn textOverride =\n\
   (\n\
     case FaceAreaChecker.FaceAreaMode of\n\
     (\n\
       1: &quot;Between &quot;+FaceAreaChecker.FaceAreaThresholdMin as string +&quot; and &quot;+FaceAreaChecker.FaceAreaThresholdMax as string\n\
       2: &quot;Less Than &quot;+FaceAreaChecker.FaceAreaThresholdMin as string\n\
       3: &quot;Greater Than &quot;+FaceAreaChecker.FaceAreaThresholdMin as string\n\
       4: &quot;Less Than &quot;+FaceAreaChecker.FaceAreaThresholdMax as string\n\
       5: &quot;Greater Than &quot;+FaceAreaChecker.FaceAreaThresholdMax as string\n\
       6: &quot;Not Between &quot;+FaceAreaChecker.FaceAreaThresholdMin as string +&quot; and &quot;+FaceAreaChecker.FaceAreaThresholdMax as string\n\
     )\n\
   ),\n\
\n\
   fn dispOverride theTime theNode theHwnd theResults=\n\
   (\n\
     local theColor = FaceAreaChecker.resultColors[FaceAreaChecker.FaceAreaMode]\n\
     XViewChecker.displayResults theColor theTime theNode theHwnd 3 (for o in theResults collect o+1)\n\
   )\n\
   )--end struct\n\
\n\
   try(destroyDialog FaceAreaChecker.faceAreaDialog)catch()\n\
   FaceAreaChecker = FaceAreaCheckerStruct()\n\
\n\
   XViewChecker.unRegisterChecker &quot;Face Area Checker&quot;\n\
   XViewChecker.registerChecker FaceAreaChecker.geomCheck FaceAreaChecker.supportedCheck #Faces &quot;Face Area Checker&quot; FaceAreaChecker.configDlg FaceAreaChecker.textOverride FaceAreaChecker.dispOverride\n\
   )--end script\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--code in italic has not changed since Part 1 \n\
(\n\
global FaceAreaChecker\n\
struct FaceAreaCheckerStruct\n\
(\n\
FaceAreaThresholdMin = 1,\n\
FaceAreaThresholdMax = 10, FaceAreaMode = 1,</code></pre><p>We will introduce six different modes to the checker, so we will need a property to store the current mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">faceAreaDialog = undefined, InteractiveUpdates = true,</code></pre><p>A new property will control whether the changes to the UI controls will trigger an update to the checker and the viewports. When working with heavy meshes, it might be a good idea to disable the updates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">iniFileName = (getDir #plugcfg +&quot;\\\\FaceAreaXViewChecker.ini&quot;),</code></pre><p>We will store the last known location of the configuration dialog in an INI file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">resultColors = #(green, blue+green*0.5, red+yellow*0.5, blue, yellow, red),</code></pre><p>Each check mode will display its results in a different color using the display override function that we will implement in this step. This property contains an array of the six colors to use for display. Note that we can create cyan by adding 50% green to blue and orange by adding 50% yellow to red. We could use the predefined global &apos;orange&apos; to do the same, but this way we have better control over the shade of the color, as we can easily change it to red+yellow*0.75 to make it brighter. There is no predefined global for cyan.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn geomCheck theTime theNode theResults =\n\
(\n\
local theCount = case classof theNode of\n\
(\n\
Editable_Poly: getNumFaces theNode\n\
Editable_Mesh: theNode.numfaces\n\
)\n\
local theAreaMethod = case classof theNode of\n\
(\n\
Editable_Poly: polyOp.getFaceArea\n\
Editable_Mesh: meshOp.getFaceArea\n\
)\n\
\n\
for f = 1 to theCount do\n\
(\n\
local theArea = theAreaMethod theNode f case FaceAreaChecker.FaceAreaMode of\n\
\n\
(\n\
default:if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMin and theArea &lt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
2: if theArea &lt;= FaceAreaChecker.FaceAreaThresholdMin do append theResults f\n\
3: if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMin do append theResults f\n\
4: if theArea &lt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
5: if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
6: if theArea &lt;= FaceAreaChecker.FaceAreaThresholdMin or theArea &gt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
) </code></pre><p>We extend the checker with six modes to compare the face area values relatively to each of the thresholds. The default mode is the original one - we flag faces whose area lies between the two thresholds. The other modes will flag if the area is below the minimum, above the minimum but ignoring the maximum, below the maximum but ignoring the minimum, above the maximum and not between the thresholds (either below minimum or above maximum).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) \n\
3\n\
),\n\
\n\
fn supportedCheck theNode =\n\
(\n\
classof theNode == Editable_Mesh or classof theNode == Editable_Poly\n\
),\n\
\n\
fn configDlg =\n\
(\n\
try (destroyDialog FaceAreaChecker.faceAreaDialog)catch()\n\
rollout faceAreaDialog &quot;Face Area Checker&quot;\n\
( dropdownlist ddl_FaceAreaMode width:150 align:#left offset:[-10,-3] items:#(&quot;Between Min. and Max&quot;,&quot;Less Than Min.&quot;, &quot;Greater Than Min.&quot;,&quot;Less Than Max.&quot;, &quot;Greater Than Max.&quot;,&quot;Not Between Min. and Max&quot;) selection:FaceAreaChecker.FaceAreaMode across:2</code></pre><p>This drop-down list exposes the six checker modes to the configuration dialog. We initialize it to the current value of the struct instance&apos;s property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorpicker clr_resultsColor fieldwidth:10 align:#right offset:[7,-3] color:FaceAreaChecker.resultColors[FaceAreaChecker.FaceAreaMode]</code></pre><p>Next to the drop-down list, we place a small color picker to control the color for the current mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spinner spn_FaceAreaThresholdMin &quot;Min. Threshold:&quot; range:[0,1000000,FaceAreaChecker.FaceAreaThresholdMin] offset:[7,-3] type:#worldUnits\n\
spinner spn_FaceAreaThresholdMax &quot;Max. Threshold:&quot; range:[0,1000000,FaceAreaChecker.FaceAreaThresholdMax] offset:[7,-3] type:#worldUnits\n\
checkbox chk_InteractiveUpdates &quot;Interactive&quot; checked:FaceAreaChecker.InteractiveUpdates offset:[0,-3] across:2</code></pre><p>This checkbox will control the interactive behavior of the tool.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">button btn_selectResults &quot;Selection&quot; align:#right width:72 height:18 offset:[7,-3]</code></pre><p>This button will perform the conversion of checker flags to sub-object selection on the stack directly from the dialog without the need to navigate to the checker menus.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn updateDisplay =\n\
( if FaceAreaChecker.InteractiveUpdates do ( XViewChecker.runCheck CurrentTime\n\
max views redraw )</code></pre><p>To implement the interactive/non-interactive mode, we simply add a test to see whether the property is true or false. If it is false, we do not update the test and viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) on ddl_FaceAreaMode selected itm do\n\
(\n\
 FaceAreaChecker.FaceAreaMode = itm\n\
 updateDisplay()\n\
 clr_resultsColor.color = FaceAreaChecker.resultColors[itm]\n\
)</code></pre><p>When the drop-down list selection has been changed, we store the new selection index in the new property in the struct instance, update the display and also update the color picker to the color matching the current mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on clr_resultsColor changed val do\n\
(\n\
 FaceAreaChecker.resultColors[ddl_FaceAreaMode.selection] = val\n\
 updateDisplay()\n\
)</code></pre><p>If the color picker has changed, we update the current color inside the array in the struct instance and also update the display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on chk_InteractiveUpdates changed state do\n\
(\n\
 FaceAreaChecker.InteractiveUpdates = state\n\
 updateDisplay()\n\
) </code></pre><p>If the interactive mode was changed, we store the current state in the struct instance&apos;s property and update the display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on spn_FaceAreaThresholdMin changed val do\n\
(\n\
 FaceAreaChecker.FaceAreaThresholdMin = val\n\
 updateDisplay()\n\
) \n\
on spn_FaceAreaThresholdMax changed val do\n\
(\n\
 FaceAreaChecker.FaceAreaThresholdMax = val\n\
 updateDisplay()\n\
)   \n\
 on btn_selectResults pressed do\n\
(\n\
 XViewChecker.selectResults CurrentTime\n\
 max views redraw\n\
) </code></pre><p>If the new button was pressed, we call the method for selecting the results at the current time. This method is implemented by the XView Checker interface and we do not have to do anything more except for redrawing the viewports to actually see the changes in the selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on faceAreaDialog moved pos do setIniSetting FaceAreaChecker.iniFileName &quot;Dialog&quot; &quot;Position&quot; (pos as string)</code></pre><p>If the user modes the configuration dialog, we store the new position in the INI file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end rollout\n\
\n\
local thePos = execute (getIniSetting FaceAreaChecker.iniFileName &quot;Dialog&quot; &quot;Position&quot;)</code></pre><p>Before opening the dialog, we read the last known position from the INI file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if classof thePos != Point2 do thePos = mouse.screenpos</code></pre><p>If the value returned is not an actual position value (meaning that the INI file has not been created yet or was deleted), we assume the screen position of the mouse.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">createDialog faceAreaDialog170 82 thePos.x thePos.y </code></pre><p>We open the dialog at the last known position or the mouse position. We also provide the exact size of the dialog in the first two arguments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FaceAreaChecker.faceAreaDialog = faceAreaDialog\n\
),\n\
\n\
fn textOverride =\n\
(\n\
case FaceAreaChecker.FaceAreaMode of\n\
(\n\
1: &quot;Between &quot;+FaceAreaChecker.FaceAreaThresholdMin as string +&quot; and &quot; +FaceAreaChecker.FaceAreaThresholdMax as string\n\
2: &quot;Less Than &quot;+FaceAreaChecker.FaceAreaThresholdMin as string\n\
3: &quot;Greater Than &quot;+FaceAreaChecker.FaceAreaThresholdMin as string\n\
4: &quot;Less Than &quot;+FaceAreaChecker.FaceAreaThresholdMax as string\n\
5: &quot;Greater Than &quot;+FaceAreaChecker.FaceAreaThresholdMax as string\n\
6: &quot;Not Between &quot;+FaceAreaChecker.FaceAreaThresholdMin as string +&quot; and &quot; +FaceAreaChecker.FaceAreaThresholdMax as string\n\
)\n\
),</code></pre><p>The text override function expects no arguments and returns a string to be displayed in the viewport next to the name of the current Checker. In our case, we just return the current mode and relevant threshold values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn dispOverride theTime theNode theHwnd theResults=\n\
(\n\
local theColor = FaceAreaChecker.resultColors[FaceAreaChecker.FaceAreaMode]\n\
XViewChecker.displayResults theColor theTime theNode theHwnd 3 theResults\n\
)</code></pre><p>The display override function can be used to implement a user-defined display for the Checker. It expects four arguments: the time, the node, the window handle of the current viewport, and the results array that is generated by the checker function.</p>\n\
<p>We call the displayResults method in the XView Checker interface with six arguments - the color to display the result is based on the array of colors and the current mode, the time, the node and window handle as passed to our function, the type of display (three for faces), and the array of results.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end struct\n\
\n\
try (destroyDialog FaceAreaChecker.faceAreaDialog)catch()\n\
FaceAreaChecker = FaceAreaCheckerStruct()\n\
\n\
xViewChecker.unRegisterChecker &quot;Face Area Checker&quot;\n\
xViewChecker.registerChecker FaceAreaChecker.geomCheck FaceAreaChecker.supportedCheck #Faces &quot;Face Area Checker&quot; FaceAreaChecker.configDlgFaceAreaChecker.textOverride FaceAreaChecker.dispOverride\n\
</code></pre><p>When registering the Checker, we have to add the two new functions for text and display overrides.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end script</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>Our Face Area xView Checker has all checking modes, but its settings are not sticky. In the next <a href=\"How-To-Develop-A-Face-Area-XView-2.html\">Part 3 of the Tutorial</a>, we will look at adding sticky settings using an INI file.</p>\n\
<p>To use the new checker, once again click on the Shading viewport menu (the third from the left) and under xView, select any of the standard xView Checkers. Then click in the checker name at the bottom of the viewport and select the Face Area instead. We will learn how to register our xView checker with the Viewport Menus in <a href=\"How-To-Develop-A-Face-Area-XView-3.html\">Part 4 of this tutorials</a>.</p>\n\
<p>To open the Configuration dialog and switch the various modes, click the [Click Here To Configure] label at the bottom of the viewport.</p>\n\
<p>Here is an example of a Teapot with radius 40 and 4 segments collapsed to Editable Poly with all six modes of the Face Area xView checker applied to it:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Viewport xView Checker Results</th>\n\
<th>Configuration Dialog</th>\n\
<th>Mode</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-434C8B73-10F4-41CA-A3CE-CC15D0909D7D-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-5AE2EBC4-C032-4554-905D-6D84985B05B0-low.gif\" alt></td>\n\
<td>Polygons with area from 20 to 108 square units.</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-F97D7AD9-D7D6-4BA8-AA93-2663C0C37715-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-AF261CE2-B879-4B9A-BC42-92BB70099130-low.gif\" alt></td>\n\
<td>Polygons with area less than 20 square units</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-69CEFAB7-4014-4071-9BD8-BEB7AEE0F8A5-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-E797AC06-FEA5-4728-8875-DE7870B2D06E-low.gif\" alt></td>\n\
<td>Polygons with area greater than 20 square units</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-213DE3D6-53EB-4675-9B7D-34401D13DA4B-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-CD8EC140-0D46-4ADC-827B-3B80A764D95F-low.gif\" alt></td>\n\
<td>Polygons with area less than 108 square units</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-19F49296-47AD-4FBC-B793-415C1431E80F-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-32C8167B-64AC-4FCC-BE47-C6A4E7B73B63-low.gif\" alt></td>\n\
<td>Polygons with area greater than 108 square units</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-751DCF53-A47D-4A44-8E76-E260E906BDB0-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-33C46ACD-2052-4B5A-A454-F0D49D4FCB62-low.gif\" alt></td>\n\
<td>Polygons with area less than 20 or greater than 108 square units</td>\n\
</tr>\n\
</tbody></table>\n\
<p><strong>Previous</strong></p>\n\
<p><a href=\"How-To-Develop-A-Face-Area-XView.html\">How To ... Develop A Face Area XView Checker - Part1</a></p>\n\
<p><strong>Next</strong></p>\n\
<p><a href=\"How-To-Develop-A-Face-Area-XView-2.html\">How To ... Develop A Face Area XView Checker - Part 3</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-an-XView-Geometry.html\">How To ... Develop an XView Geometry Checker</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Geometry-Checker/xView-Geometry-Checker-Access.html\">xView Geometry Checker Access</a></li>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\">Interface: xViewChecker</a></li>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";