var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-84E24969-C175-4389-B9A6-3B2699B66785\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Move Objects to a Surface</h1></div><p>You can move objects along their Z axis to fit a specified surface using the following. You can use this script to automatically plant trees, poles, and others on the ground.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining MacroScripts</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\">IntersectRay</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Package the code as macroScript to be able to use as a button, menu item, or shortcut.</p>\n\
<p>   Define a custom function for moving objects to a surface down the Z axis.</p>\n\
<p>   Find the intersection along -Z starting from the position of the object to be moved to the target object.</p>\n\
<p>   If no intersection can be found, project the position of the object up the Z and intersect again down the &#x2013;Z axis.</p>\n\
<p>   Return the intersection as result of the function.</p>\n\
<p>   Enable the macroScript only when objects are selected.</p>\n\
<p>   When the macroScript is executed, let the user pick a target object.</p>\n\
<p>   Filter the pick to allow only Geometry objects to be picked.</p>\n\
<p>   In case a valid object has been picked, enable an undo context.</p>\n\
<p>   Go through all objects and call the intersection function for each one.</p>\n\
<p>   As long as the intersection is not undefined, move the object to the intersection.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroscript MoveToSurface category: &quot;HowTo&quot;\n\
   (\n\
   fn g_filter o = superclassof o == Geometryclass\n\
   fn find_intersection z_node node_to_z =\n\
   (\n\
    local testRay = ray node_to_z.pos [0,0,-1]\n\
    local nodeMaxZ = z_node.max.z\n\
    testRay.pos.z = nodeMaxZ + 0.0001 * abs nodeMaxZ\n\
    intersectRay z_node testRay\n\
   )\n\
   on isEnabled return selection.count &gt; 0\n\
   on Execute do\n\
   (\n\
    target_mesh = pickObject message:&quot;Pick Target Surface:&quot; filter:g_filter\n\
    if isValidNode target_mesh then\n\
    (\n\
     undo &quot;MoveToSurface&quot; on\n\
     (\n\
      for i in selection do\n\
      (\n\
       int_point = find_intersection target_mesh i\n\
       if int_point != undefined then i.pos = int_point.pos\n\
      )--end i loop\n\
     )--end undo\n\
    )--end if\n\
   )--end execute\n\
   )--end script\n\
</code></pre></blockquote>\n\
<h3 id=\"step-by-step\">Step-By-Step</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroscript MoveToSurface category:&quot;HowTo&quot;\n\
(</code></pre><p>The macroScript will be called <code>MoveToSurface</code> . To use the script, you can go to Customize and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu, or assign to a keyboard shortcut.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn g_filter o = superclassof o == Geometryclass</code></pre><p>This custom function will be used as filter for geometry objects. It will accept an object as parameter and will return true when the object is of Geometry Superclass and false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn find_intersection z_node node_to_z =\n\
(</code></pre><p>This custom function will do the actual ray intersection. It will accept two parameters &#x2013; the target object and the object to be moved to the target object&#x2019;s surface.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Creating-Functions/Creating-Functions-1.html\">Creating Functions</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local testRay = ray node_to_z.pos [0,0,-1]</code></pre><p>Here, we define a custom Ray value with a starting position at the position of the object to be moved and direction along the -Z axis.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Basic-Data-Values/Ray-Values.html\">Ray Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local nodeMaxZ = z_node.max.z</code></pre><p>We also get the max. Z coordinate of the surface to intersect with.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">testRay.pos.z = nodeMaxZ + 0.0001 * abs nodeMaxZ</code></pre><p>Then, we move the Z position of the ray slightly above the highest Z point of the surface to intersect with. This way we can be sure that the ray will have a chance to hit the surface along the -Z axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">intersectRay z_node test_ray</code></pre><p>This built-in intersectRay function is given a node and a ray (spatial vector with a start point and direction) and returns the point in space where the ray hits the surface of the node, or undefined if there is no intersection. The result of this intersection will be also the return value of the function as it is the last value calculated.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\">IntersectRay</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
on isEnabled return selection.count &gt; 0</code></pre><p>The script can only do meaningful job when at least one object is selected. If there are no selected objects in the scene, the script will be disabled. The &apos;on isEnabled&apos; handler controls the enabled state by evaluating the expression after the &apos;return&apos; statement. When the result is <code>false</code> , the script&#x2019;s button resp. Menu item is greyed out and cannot be activated.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Macroscript_Body_Event_Handlers</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on Execute do (</code></pre><p>The body of the script is contained in the &apos;on Execute&apos; handler. It is executed when the script is started by pressing its button, selecting its menu item or pressing assigned shortcut keys.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Macroscript_Body_Event_Handlers</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">target_mesh = pickObject message:&quot;Pick Target Surface:&quot; filter:g_filter</code></pre><p>The pickObject function lets the user pick objects in the scene. The filter function we provided allows the picking of Geometry objects only &#x2013; the mouse will not register any other objects like Lights, Helpers, and so on when moving over them. The result will be written to the user variable target_mesh. It can be either the picked node or undefined in case the picking has been canceled.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Picking-Scene-Nodes/Picking-Scene-Nodes-By-Hit.html\">Picking Scene Nodes By Hit</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if isValidNode target_mesh then\n\
(</code></pre><p>If the picked object is a valid object (which means the user actually picked an object and did not press Escape or right-clicked the mouse to cancel),</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\">If Expression</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">isValidNode</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">undo &quot;MoveToSurface&quot; on\n\
(</code></pre><p>then we define an undo context to be able to reset all objects back to their original state if necessary,</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/undo.html\">undo</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for i in selection do\n\
(</code></pre><p>and create a loop that will go through all objects in the current selection. In each iteration of the loop, the variable i will contain another object from the selection.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">int_point = find_intersection target_mesh i</code></pre><p>Here, we call the user function we defined and pass the target_mesh object picked by the user and the current objects from the loop through the selection. The result will be either undefined or the point of intersection &#x2013; the projection of the object&#x2019;s position onto the surface of the target object along &#x2013;Z.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if int_point != undefined then i.pos = int_point.pos</code></pre><p>If the intersection really exists, we simply set the position of the current object to that point. If it does not (the intersection is undefined), we skip this step.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\">If Expression</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Special-Data-Values/Undefined-Value.html\">Undefined Value</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end i loop\n\
)--end undo\n\
)--end if\n\
)--end execute\n\
)--end script</code></pre><h3 id=\"using-the-script\">Using the Script</h3><p>Evaluate the script. To use it, you can use Customize to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu, or to assign to a keyboard shortcut.</p>\n\
<p>Select any number of objects you wish to move to a surface. Start the script and pick the object to move to.</p>\n\
<h3 id=\"where-to-go-from-here\">Where to go from here</h3><p>Using this script as the starting point, you can add axes controls to allow alignment in any world or local direction.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";