var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4ED6C9C6-53B3-437C-969E-B8C924DF34AA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Read Geometry Data From Text File - Part Two</h1></div><p>This is Part Two of the Geometry Import tutorial. It will be able to read the extended data written by the output script developed in <a href=\"How-To-Output-Geometry-Data-To-1.html\">How To ... Output Geometry Data To Text File - Part Two</a>.</p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Package as macroScript to let the user place the script on a toolbar, QuadMenu, keyboard shortcut, or Menu.</p>\n\
<p>   Create three more arrays to store smoothing groups, material ids, and edge visibility.</p>\n\
<p>   Let the user select a file to open.</p>\n\
<p>   If the user selected a valid file name, go on with the script.</p>\n\
<p>   After reading the vertices and faces as in Part One, also read the smoothing groups, material ids, and edge visibility.</p>\n\
<p>   Close the file.</p>\n\
<p>   Create a new mesh out of the collected vertices and faces.</p>\n\
<p>   Apply the smoothing groups, material ids, and edge visibility values to all faces.</p>\n\
<p>   Update the mesh to reflect the changes.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript ImportMesh category: &quot;HowTo&quot;\n\
   (\n\
    vert_array = #()\n\
    face_array = #()\n\
    sgroup_array = #()\n\
    matid_array = #()\n\
    edge_array = #()\n\
    in_name = getOpenFileName()\n\
    if in_name != undefined then\n\
    (\n\
     in_file = openFile in_name\n\
     if in_file != undefined then\n\
     (\n\
      num_verts = readValue in_file\n\
      num_faces = readValue in_file\n\
      for v = 1 to num_verts do\n\
       append vert_array (readValue in_file)\n\
      for f = 1 to num_faces do\n\
      (\n\
       append face_array (readValue in_file)\n\
       append sgroup_array (readValue in_file)\n\
       append matid_array (readValue in_file)\n\
       edge1 = readValue in_file\n\
       edge2 = readValue in_file\n\
       edge3 = readValue in_file\n\
       append edge_array #(edge1, edge2, edge3)\n\
      )\n\
      close in_file\n\
      new_mesh = mesh vertices:vert_array faces:face_array\n\
      for f = 1 to num_faces do\n\
      (\n\
       setFaceSmoothGroup new_mesh f sgroup_array[f]\n\
       setFaceMatID new_mesh f matid_array[f]\n\
       setEdgeVis new_mesh f 1 edge_array[f][1]\n\
       setEdgeVis new_mesh f 2 edge_array[f][2]\n\
       setEdgeVis new_mesh f 3 edge_array[f][3]\n\
      )\n\
      update new_mesh\n\
     )--end if\n\
    )--end if\n\
   )--end macroscript\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroScript ImportMesh category: &quot;HowTo&quot;\n\
(</code></pre><p>We define a macroScript that will be called <code>ImportMesh</code> . To use the script, you can go to Customize and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu, or assign to a keyboard shortcut.</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">vert_array = #()\n\
face_array = #()\n\
</code></pre><p>We define the arrays to hold the vertex and face arrays like in Part One,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sgroup_array = #()\n\
matid_array = #()\n\
edge_array = #()</code></pre><p>but we also define three more arrays to store smoothing groups, material ids, and edge visibility.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Array Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">in_name = getOpenFileName()</code></pre><p>Instead of reading a fixed name, we will let the user pick a file name.</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Standard-Open-and-Save-File.html\">Standard Open and Save File Dialogs</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if in_name != undefined then\n\
(</code></pre><p>As long as the file name picked is not undefined (the user did not press Cancel), we can continue.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">in_file = openFile in_name\n\
if in_file != undefined then\n\
(\n\
num_verts = readValue in_file\n\
num_faces = readValue in_file\n\
for v = 1 to num_verts do\n\
append vert_array (readValue in_file)\n\
for f = 1 to num_faces do\n\
(\n\
append face_array (readValue in_file)\n\
</code></pre><p>This part of the reading code is identical to Part One, but we also have to read the additional data:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">append sgroup_array (readValue in_file)\n\
append matid_array (readValue in_file)</code></pre><p>We read the smoothing group value and the material id value from the file and append to the arrays.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">edge1 = readValue in_file\n\
edge2 = readValue in_file\n\
edge3 = readValue in_file</code></pre><p>Also, we read the three edge visibility values.</p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">append edge_array #(edge1, edge2, edge3)</code></pre><p>To store the edge visibility for later application, we create a new array and append it to our edge array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
close in_file\n\
new_mesh = mesh vertices:vert_array faces:face_array\n\
</code></pre><p>At this point, we have the mesh just like in Part One. Now, we have to apply the additional data to the resulting mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for f = 1 to num_faces do\n\
(</code></pre><p>To do so, we start a new loop,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setFaceSmoothGroup new_mesh f sgroup_array[f]</code></pre><p>Then, we set the smoothing group of the f-th face of the new_mesh object to the value stored in the sgroup_array at the f-th position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setFaceMatID new_mesh f matid_array[f]</code></pre><p>We set the material id of the f-th face of the new_mesh object to the value stored in the matid_array at the f-th position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setEdgeVis new_mesh f 1 edge_array[f][1]\n\
setEdgeVis new_mesh f 2 edge_array[f][2]\n\
setEdgeVis new_mesh f 3 edge_array[f][3]</code></pre><p>And, we set the edge visibility of each of the three edges in the f-th face of the new_mesh object to the values stored in the sub-array at f-th position in the edge_array</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
update new_mesh</code></pre><p>Finally, we have to update the internal mesh caches to get the changes reflected in the scene. This is a very important step.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
)\n\
)</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>To test the script, use the Output script first to create a file. Then open this script, select <strong>Tools &gt; Evaluate</strong> from the MAXScript Editor&#x2019;s menu or alternatively, press <strong>Ctrl+E</strong>. The object exported to the file by the other script must appear in the scene. Note that it will have to correct position, but its pivot point will be at the world origin as we did not export local coordinates and object transformations.</p>\n\
<h2 id=\"where-to-go-from-here\">Where to go from here</h2><p>If you have implemented texture coordinates export in your Geometry Output script as suggested in the Part Two tutorial, you might also want to alter this script to read the additional data.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"./../How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
<p><a href=\"How-To-Output-Geometry-Data-To-1.html\">How To ... Output Geometry Data To Text File - Part Two</a></p>\n\
<p><a href=\"How-To-Read-Geometry-Data-From.html\">How To ... Read Geometry Data From Text File - Part One</a></p>\n\
<p><a href=\"How-To-Output-Geometry-Data-To.html\">How To ... Output Geometry Data To Text File - Part One</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Read-Write-Geometry-Data.html\">How To ... Read/Write Geometry Data From/To Text File</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";