var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BC1C2CB2-F6C5-48D7-8686-DD3988D4AEBA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Read Geometry Data From Text File - Part One</h1></div><p>This is a very basic example of importing mesh geometry data from an external text file created in the Output Geometry Data &#x2013; Part One tutorial. The file contains only vertex and face lists.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Create two empty arrays to hold the vertex and face lists.</p>\n\
<p>   Define an input file name.</p>\n\
<p>   Open the file for reading.</p>\n\
<p>   In the file exists, read the vertex and face number values from the file.</p>\n\
<p>   Step through all vertex values and read them into a variable, then append the value of the variable to the vertex array.</p>\n\
<p>   Step through all face values and read them into a variable, then append the value of the variable to the vertex array.</p>\n\
<p>   Close the file.</p>\n\
<p>   Create a new mesh using the vertex and face arrays.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   vert_array = #()\n\
   face_array = #()\n\
   in_name = ((GetDir #export)+&quot;/testmesh.dat&quot;)\n\
   in_file = openFile in_name\n\
   if in_file != undefined then\n\
   (\n\
    num_verts = readValue in_file\n\
    num_faces = readValue in_file\n\
    vert_array.count = num_verts\n\
    face_array.count = num_faces\n\
    for v = 1 to num_verts do\n\
    (\n\
     vert = readValue in_file\n\
     vert_array[v] = vert\n\
    )\n\
    for f = 1 to num_faces do\n\
    (\n\
     face = readValue in_file\n\
     face_array[f] = face\n\
    )\n\
    close in_file\n\
    new_mesh = mesh vertices:vert_array faces:face_array\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">vert_array = #() face_array = #()</code></pre><p>In the beginning, we define two empty arrays to collect the vertex and face data into.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Array Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">in_name = ((GetDir #export)+&quot;/testmesh.dat&quot;)</code></pre><p>Then we define the imput file name just like in the Output Geometry &#x2013; Part One tutorial. This is currently a hard-coded name in both the output and input script. We will let the user pick a file from an open file dialog in Part Two of this tutorial.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">in_file = openFile in_name</code></pre><p>Using the file name, we try to open the file for input. If the specified path exists, a fileStream value will be stored in the in_file variable. If the path does not exist, the value undefined will be stored instead.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if in_file != undefined then (</code></pre><p>Knowing the above, we check to see if the file is valid or not. If the value isn&#x2019;t undefined, the file has been opened successfully. If not, all of the next lines enclosed in the brackets will be ignored.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\">If Expression</a></p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Values/Special-Data-Values/Undefined-Value.html\">Undefined Value</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">num_verts = readValue in_file</code></pre><p>The file will contain the number of vertices and faces separated by a comma in the first line. Using the readValue method, we read the first value from the file. The value will be stored in the num_verts variable.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">num_faces = readValue in_file</code></pre><p>Using the same readValue method, we read the next value from the file. The value will be stored in the num_faces variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">vert_array.count = num_verts face_array.count = num_faces</code></pre><p>Now that we know the number of vertices and faces stored in the file, we initialize both arrays to those numbers. This will reserve enough memory for both arrays.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for v = 1 to num_verts do (</code></pre><p>Then we can read the vertex positions. We start a new loop that will change the variable v from 1 to the number of vertices stored in the file.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">vert = readValue in_file</code></pre><p>Using the readValue method, we read Point3 values from the file. We store them in a user variable vert...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">vert_array[v] = vert</code></pre><p>...and then assign the value to the v-th position of the vert_array array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><p>At this point, we have all vertex positions read and put into the array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for f = 1 to num_faces do (</code></pre><p>Using the num_faces variable, we can also read as many face definitions. We start another loop that will change the variable f from 1 to the number of faces stored in the file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">face = readValue in_file</code></pre><p>Using the readValue method, we read Point3 values from the file specifying the vertex indices defining the face. We store them in a user variable face...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">face_array[f] = face</code></pre><p>...and then assign the value to the f-th position of the face_array array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><p>At this point, we have all face definitions read and put into the array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">close in_file</code></pre><p>We can close the file...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">new_mesh = mesh vertices:vert_array faces:face_array</code></pre><p>...and finally construct a new mesh by providing the vertex and face arrays collected from the file.</p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>To test the script, use the Output script first to create a file. Then open this script, select <strong>Tools &gt; Evaluate</strong> from the MAXScript Editor&#x2019;s menu or alternatively, press <strong>Ctrl+E</strong>. The object exported to the file by the other script should appear in the scene. Note that it will have to correct position, but its pivot point will be at the world origin as we did not export local coordinates and object transformations.</p>\n\
<h2 id=\"optimizing-the-code\">Optimizing the code</h2><p>As already mentioned, this is the basic code for geometry input. Still it can be made even more compact. Below is a shorter version of the same code. Please compare the two scripts and see why both of them do the same thing although expressed slightly differently.</p>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   vert_array = #()\n\
   face_array = #()\n\
   in_file = openFile ((GetDir #export)+&quot;/testmesh.dat&quot;)\n\
   if in_file != undefined then\n\
   (\n\
    num_verts = readValue in_file\n\
    num_faces = readValue in_file\n\
    vert_array.count = num_verts\n\
    face_array.count = num_faces\n\
    for v = 1 to num_verts do vert_array[v] = (readValue in_file)\n\
    for f = 1 to num_faces do face_array[f] = (readValue in_file)\n\
    close in_file\n\
    new_mesh = mesh vertices:vert_array faces:face_array\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"where-to-go-from-here\">Where to go from here</h2><p>In Part Two of the Geometry Input tutorial, we will make the code more robust and add some more features to reflect the changes made to the Geometry Output Part Two tutorial.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"./../How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
<p><a href=\"How-To-Output-Geometry-Data-To.html\">How To ... Output Geometry Data To Text File - Part One</a></p>\n\
<p><strong>Next</strong></p>\n\
<p><a href=\"How-To-Output-Geometry-Data-To-1.html\">How To ... Output Geometry Data To Text File - Part Two</a></p>\n\
<p><a href=\"How-To-Read-Geometry-Data-From-1.html\">How To ... Read Geometry Data From Text File - Part Two</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Read-Write-Geometry-Data.html\">How To ... Read/Write Geometry Data From/To Text File</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";