var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8F114E91-183D-47A9-A302-6B8A1BD15C6E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Transfer ParticleFlow Particle Motion To Scene Objects</h1></div><p>This simple tutorial explains the basics of moving scene objects using Particle Flow. The objects can be anything from lights through helpers to mesh objects.</p>\n\
<p>In this example, we will move a large number of Atmospheric Gizmos with a Fire Effect assigned to simulate a steaming Teapot.</p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE - SETUP</strong></p>\n\
<p>   Go to Create tab &gt; Helpers &gt; Atmospheric Apparatus &gt; Sphere Gizmo.</p>\n\
<p>   Create a single object called SphereGizmo01 with any radius.</p>\n\
<p>   Shift-Move the object and enter 29 to create 30 copies of the Sphere Gizmo (not Instances).</p>\n\
<p>   Create a Particle Flow with Birth operator generating particles from start to end frame at the rate of 20.0.</p>\n\
<p>   Use Speed operator to accelerate the particles up. Use some variation to get a more random look.</p>\n\
<p>   Set the Display to Geometry.</p>\n\
<p>   Add an AgeTest to kill the particles after 50 frames. Wire to a Delete operator in a separate event.</p>\n\
<p>   Add a Force and some Wind if you want more motion.</p>\n\
<p>   To get the scene working completely, assign a Fire Effect in the Environment dialog and assign ALL 30 SphereGizmos to it. Play with the color settings, density, and others to get the look you want.</p>\n\
<p>   Create a Teapot and place the Particle Flow at the spout to get the steam coming out of the right place.</p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-7EF7CE6D-741A-4FB2-A658-C665E80D2341-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT OPERATOR CODE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on ChannelsUsed pCont do\n\
   (\n\
    pCont.useTM = true\n\
    pCont.useAge = true\n\
   )\n\
\n\
   on Init pCont do\n\
   (\n\
    global My_Atmospheric_Gizmos_01 = $SphereGizmo*\n\
    My_Atmospheric_Gizmos_01.pos = [0,0,-100000]\n\
   )\n\
\n\
   on Proceed pCont do\n\
   (\n\
    partcount = pCont.NumParticles()\n\
    count = amin #(partcount, My_Atmospheric_Gizmos_01.count)\n\
    for i in 1 to count do\n\
    (\n\
     pCont.particleIndex = i\n\
     My_Atmospheric_Gizmos_01[i].transform = pCont.ParticleTM\n\
     My_Atmospheric_Gizmos_01[i].radius = 10 + pCont.ParticleAge*2\n\
    )\n\
   )\n\
\n\
   on Release pCont do ( )\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-81476EF5-B960-4367-A84A-BAD588E2F3A2-low.gif\" alt> <img src=\"./images/GUID-7DAA6E18-5717-42E0-9F7C-52112F3B4F15-low.gif\" alt></p>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on ChannelsUsed pCont do\n\
(</code></pre><p>The <code>ChannelsUsed</code> handler defines the channels to be used by the Script Operator. You cannot get or set particle related values from the particle container without specifying which properties you need access to. This way, Particle Flow does not have to provide the Script Operator with all possible channels (and there can be an arbitrary number of channels in Particle Flow), but only with those that are actually needed. This conserves memory.</p>\n\
<p>The parameter <strong>pCont</strong> contains the Particle Container.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pCont.useTM = true</code></pre><p>We want to copy the complete transformation of the particle to the scene object, so we will need access to that channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pCont.useAge = true</code></pre><p>To get an even nicer effect, we will want to read the age of the particle and assign it to the gizmos&apos; radius property to make them grow over time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
\n\
on Init pCont do\n\
(</code></pre><p>The <strong>Init</strong> handler is used to initialize the Script Operator. The parameter <strong>pCont</strong> contains the Particle Container.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">global My_Atmospheric_Gizmos_01 = $SphereGizmo*</code></pre><p>We define a global variable that will contain an array of the scene objects to be driven by the particles. In this case, we collect all SphereGizmos from the scene using their common base name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">My_Atmospheric_Gizmos_01.pos = [0,0,-100000]</code></pre><p>To remove the gizmos from the scene in the first frames of the animation, we move them away from the camera field of view, in this case way down.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
\n\
on Proceed pCont do\n\
(</code></pre><p>The Proceed handler is called each time the Script Operator is evaluated by Particle Flow. It contains the actual body of the script. The parameter <strong>pCont</strong> contains the Particle Container that contains all particles the Operator is applied to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">partcount = pCont.NumParticles()</code></pre><p>First, we read the number of particles in the current Event. There can be zero or millions of particles in the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">count = amin #(partcount, My_Atmospheric_Gizmos_01.count)</code></pre><p>Then, we compare the number of particles to the number of collected gizmos. The function <strong><code>amin()</code></strong> returns the smallest value in the array.</p>\n\
<blockquote>\n\
<p>   <strong>THE SAME CAN BE EXPRESSED AS</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if partcount &lt; My_Atmospheric_Gizmos_01.count then\n\
   count = partcount\n\
   else\n\
   count = My_Atmospheric_Gizmos_01.count\n\
</code></pre><p>   As you see, the first version is much shorter. Also, it works with more than two values if necessary, always picking the smallest value.</p>\n\
<p>   <strong>WHY DO WE NEED THIS?</strong></p>\n\
<p>   Because we have a limited number of particles in the beginning of the animation, less than the number of gizmos. After a while, the number of particles will be higher than the available gizmos. In both cases, we want to build &quot;pairs&quot; of gizmo+particle, and some of the particles or gizmos might have no corresponding partner at certain parts of the animation. Knowing the lowest count of the two sets of objects gives us the number of possible pairs that we can process.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> for i in 1 to count do\n\
(</code></pre><p>Now, we will repeat the following code as many times as there are possible particle+gizmo pairs in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pCont.particleIndex = i</code></pre><p>To read data from a particle, we must make it the current one. To do so, we assign the index i to the particleIndex property of the particleContainer of the current event. After this, any particle-related queries or assignments will be performed on the i-th particle only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">My_Atmospheric_Gizmos_01[i].transform = pCont.ParticleTM</code></pre><p>Now, we can assign the transformation matrix of the current i-th particle to the i-th gizmo in the array. Note that because of our smart amin test above, i is guaranteed smaller or equal to both the available particle and gizmo counts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">My_Atmospheric_Gizmos_01[i].radius = 10 + pCont.ParticleAge*2</code></pre><p>Finally, we change the radius of the i-th gizmo to 10 units plus twice the age of the i-th particle. 10 is the minimum size of a gizmo (when particleAge is 0), at age of 10 the gizmo&apos;s radius will be 30 units or so. You can use different values to get different cloud behaviors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
)\n\
\n\
on Release pCont do ()</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Script-Particle-Flow.html\">How To ... Script Particle Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";