var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6021C91D-405D-4DA9-81D9-02547B9D4370\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Select Non-Quad Polygons</h1></div><p>MAXScript lets you access Editable Poly object data and explore relationships between polygons, vertices and edges. When using polygon modeling it is usually desirable that all polygons are kept as quads. The following script will select all polygons that have less or more than 4 edges.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining and Enabling Macroscripts</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-GeometryClass.html\">Accessing Editable Polygon Data</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\">Accessing the Modify Panel</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Package the code as macroScript to be able to use as a button, menu item or shortcut.</p>\n\
<p>   Enable only if a single object with an Editable Poly base object is selected.</p>\n\
<p>   When executed, get the base object of the selected object.</p>\n\
<p>   Go though all polygons of the base object and ask about their edges.</p>\n\
<p>   Count the edges and if they are not exactly 4, remember the index of the polygon.</p>\n\
<p>   Select all the non-quad polygons.</p>\n\
<p>   Go to Polygon Sub-Object Level in the Modify Tab.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroscript SelectNonQuadPolys category: &quot;HowTo&quot;\n\
   (\n\
   on isEnabled return\n\
   (\n\
    selection.count == 1 and classOf selection[1].baseobject == Editable_Poly\n\
   )\n\
   on execute do\n\
   (\n\
    local face_selection = #{}\n\
    local base_obj = $.baseobject\n\
    local num_faces = polyop.getNumFaces base_obj\n\
    for f = 1 to num_faces do\n\
    (\n\
     local num_face_verts = polyop.getFaceDeg base_obj f\n\
     if num_face_verts != 4 do face_selection[f] = true\n\
    )--end f loop\n\
    polyop.setFaceSelection base_obj face_selection\n\
    max modify mode\n\
    modPanel.setCurrentObject base_obj\n\
    subobjectlevel = 4\n\
   )--end on execute\n\
   )--end script \n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Macroscript SelectNonQuadPolys category:&quot;HowTo&quot;\n\
(</code></pre><p>The macroScript will be called <code>SelectNonQuadPolys</code> . To use the script, you can use Customize... to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on isEnabled return\n\
(\n\
selection.count == 1 and classOf selection[1].baseobject == Editable_Poly\n\
)</code></pre><p>The <code>isEnabled</code> handler should return <code>true</code> or <code>false</code> and determines the enabled state of the button / menu item. When <code>true</code> , the button will be available. When <code>false</code> , it will be grayed out. In the return expression, we check whether only one object is selected in the scene and whether its base object class is Editable Poly. The script will only work on objects that meet both conditions.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\">ClassOf</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\">General Node Properties</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on execute do (</code></pre><p>The <code>on Execute</code> handler will be executed each time the macroScript is executed (by pressing the button, selecting from the menu, pressing the shortcut etc.). The handler contains the &quot;body&quot; of the script.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Macroscript_Body_Event_Handlers</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local face_selection = #{}</code></pre><p>We will need a user variable to store the polygons to be selected. We initialize the variable to an empty <a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/BitArray-Values.html\">BitArray</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local base_obj = $.baseobject</code></pre><p>Our script will work on the base object only. This means that the object may have modifiers on top of the base object &#x2013; they will not be taken into account as polygon modeling usually happens at the base level anyway. Because we already made sure in the isEnabled handler that there is only a single object selected, we can access the selection using $ without worrying that it might contain multiple objects!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local num_faces = polyop.getNumFaces base_obj</code></pre><p>We will need the number of faces in the object in order to iterate through them.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods.html\">Editable_Poly Methods</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for f = 1 to num_faces do\n\
(</code></pre><p>We will loop through all polygons in the base object &#x2013; f will contain the index of the current polygon to be checked.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local num_face_verts = polyop.getFaceDeg base_obj f</code></pre><p>Next we get a the number of vertices in the current polygon.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods.html\">Editable_Poly Methods</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if num_face_verts != 4 do face_selection[f] = true</code></pre><p>If the number of vertices is not 4, we should select the polygon so we set the respective bit in the bitArray corresponding to the current face to true.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Array Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end f loop\n\
polyop.setFaceSelection base_obj face_selection</code></pre><p>After checking all polygons, we can simply select all collected polygons.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods.html\">Editable_Poly Methods</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">max modify mode</code></pre><p>In order to show the results of the selection to the user, we will first switch the command panel to modify mode...</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/3ds-MAX-Commands.html\">MAX Commands</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">modPanel.setCurrentObject base_obj</code></pre><p>...then set the current object in Stack View to the base object we checked...</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\">Modify Panel</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">subobjectlevel = 4</code></pre><p>...and finally switch to Polygon sub-object level to show the selected polygons.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\">subObjectLevel</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end on execute\n\
)--end script </code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>To use the script, you can use Customize... to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut. Select a single object with an Editable Poly base object and the script will be enabled. Execute and the non-quad polygons will become selected.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";