var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CAC36F27-CB51-4C9F-B265-167F636C9A4D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>System Information</h1></div><p>The <strong>sysinfo struct</strong> provides several variables and methods related to accessing system information like system directories, system name, user, desktop size, and color depth as well as hardware-related data like CPU count and memory usage.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#system-directories\">System Directories</a></li>\n\
<li><a href=\"#user-and-computer-names-\">User and Computer Names:</a></li>\n\
<li><a href=\"#cpu-and-desktop-info-\">CPU and Desktop Info:</a></li>\n\
<li><a href=\"#3ds-max-process-priority-and-affinity-\">3ds Max Process Priority and Affinity:</a></li>\n\
<li><a href=\"#system-language-and-locale-\">System Language and Locale:</a></li>\n\
<li><a href=\"#memory-usage-and-max-process-info-\">Memory Usage and Max Process Info:</a></li>\n\
<li><a href=\"#3ds-max-command-line-info\">3ds Max Command Line Info</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h2 id=\"system-directories\">System Directories</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.windowsdir </code></pre><p>A <strong>read only</strong> variable containing the Windows directory as a <code>&lt;string&gt;</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.systemdir </code></pre><p>A <strong>read only</strong> variable containing the Windows System directory as a <code>&lt;string&gt;</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.tempdir </code></pre><p>A <strong>read only</strong> variable containing the Temp directory as a <code>&lt;string&gt;</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.currentdir </code></pre><p>A variable to <strong>get/set</strong> the current directory as a <code>&lt;string&gt;</code> value.</p>\n\
<p>The current directory is the directory MAXScript will look for files if no explicit path is specified, for example, in <code>fileIn()</code> calls. If a relative path is specified in such a call, it will be resolved relatively to the directory in <code>sysInfo.currentdir</code> .</p>\n\
<p>As this variable can be read and written to, it effectively allows you to specify the current directory at any time before using relative paths or no explicit paths at all.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sysinfo.currentdir\n\
   --&gt;&quot;C:\\Documents and Settings\\username\\My Documents\\3dsmax\\Scripts&quot;\n\
\n\
   sysinfo.currentdir = &quot;C:\\\\Temp&quot;\n\
   --&gt;&quot;C:\\Temp&quot;\n\
\n\
   fileIn &quot;test.ms&quot; --this willloadthe scriptfromC:\\Temp\n\
   --&gt;OK\n\
</code></pre></blockquote>\n\
<h2 id=\"user-and-computer-names-\">User and Computer Names:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.username </code></pre><p>A <strong>read only</strong> variable containing the user name as a <code>&lt;string&gt;</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.computername </code></pre><p>A <strong>read only</strong> variable containing the computer name as a <code>&lt;string&gt;</code> value.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   currentUser = sysinfo.username + &quot;@&quot; + sysinfo.computername\n\
   &quot;SonGoku@FlyingNimbus&quot;\n\
</code></pre></blockquote>\n\
<h2 id=\"cpu-and-desktop-info-\">CPU and Desktop Info:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.cpucount </code></pre><p>A <strong>read only</strong> variable containing the number of CPUs as an <code>&lt;integer&gt;</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.desktopSize </code></pre><p>A <strong>read only</strong> system global variable that returns the Windows Desktop size in pixels as a Point2 value. Note that on dual monitor systems with the desktop set to stretch on both monitors, the desktop size returned will include the second monitor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.DesktopSizeUnscaled </code></pre><p>A read only system global variable that contains the unscaled Windows Desktop size in pixels as a Point2 value. Note that on dual monitor systems with the desktop set to stretch on both monitors, the desktop size returned will include the second monitor. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.desktopBPP </code></pre><p>A <strong>read only</strong> system global variable. Returns the Windows Desktop color depth as an integer value in Bits Per Pixel. For example, if the graphics driver is set to 32 bit True Color, the value returned will be 32.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   format &quot;Your system has % CPUs (Cores)\\n&quot; sysinfo.cpucount\n\
   &quot;Your system has 8 CPUs (Cores)&quot;\n\
   format &quot;Desktop: Scaled % / Unscaled % @ % bits per pixel\\n&quot; sysinfo.desktopSize sysinfo.DesktopSizeUnscaled sysinfo.desktopBPP\n\
   &quot;Desktop: Scaled [1920,1080] / Unscaled [1920,1080] @ 32 bits per pixel&quot;\n\
</code></pre></blockquote>\n\
<h2 id=\"3ds-max-process-priority-and-affinity-\">3ds Max Process Priority and Affinity:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.MAXPriority </code></pre><p><strong>Gets/sets</strong> the <strong>3ds Max</strong> process priority as a <code>&lt;name&gt;</code> value. Valid priority name values are <strong>#realtime</strong>, <strong>#high</strong>, <strong>#abovenormal</strong>, <strong>#normal</strong>, <strong>#belownormal</strong>, and <strong>#low</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> You need admin privileges to set <strong>#realtime</strong>. If you are not admin, setting <strong>#realtime</strong> will result in a setting of <strong>#high</strong>. Setting <strong>#realtime</strong> is not generally recommended, and is only appropriate for applications that talk directly to hardware.</div>\n\
<p>There are also write-only priorities: <strong>#backgroundBegin</strong> and <strong>#backgroundEnd</strong>. In Windows 10, setting <strong>#backgroundBegin</strong> results in a reported priority of #low, and <strong>#backgroundEnd</strong> returns the process to its original priority, unless you were in <strong>#realTime</strong>, in which case the process remains in <strong>#low</strong>. In Windows 7, setting <strong>#backgroundBegin</strong> does not change the reported priority.</p>\n\
<p>Available in <strong>3ds Max 2017.1 Update and higher</strong>: <strong>#abovenormal</strong>, <strong>#belownormal</strong>, <strong>#backgroundBegin</strong>, <strong>#backgroundEnd</strong>, and <strong>#realtime</strong>.</p>\n\
<p>For information about the corresponding system process priority levels, see the MSDN topic <a href=\"https://docs.microsoft.com/en-ca/windows/win32/api/processthreadsapi/nf-processthreadsapi-setpriorityclass\" target=\"_blank\">SetPriorityClass function</a>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   current_priority = sysinfo.MAXpriority\n\
   priorities = #(#low,#belowNormal,#normal,#aboveNormal,#high,#realtime)\n\
   for p1 in priorities do \n\
   (\n\
   sysinfo.MAXpriority = #normal\n\
   sysinfo.MAXpriority = p1\n\
   format &quot;% : %\\t&quot; p1 sysinfo.MAXpriority\n\
   for p2 in priorities do \n\
   (\n\
   sysinfo.MAXpriority = p2\n\
   format &quot;\\t%&quot; sysinfo.MAXpriority\n\
   sysinfo.MAXpriority = p1\n\
   )\n\
   format &quot;\\n&quot;\n\
   )\n\
   print &quot;Priority Modifiers&quot;\n\
   priority_modifiers = #(#backgroundBegin,#backgroundEnd)\n\
   for p1 in priorities do \n\
   (\n\
   sysinfo.MAXpriority = #normal\n\
   sysinfo.MAXpriority = p1\n\
   format &quot;% : %\\t&quot; p1 sysinfo.MAXpriority\n\
   for p2 in priority_modifiers do \n\
   (\n\
   sysinfo.MAXpriority = p2\n\
   format &quot;\\t%&quot; sysinfo.MAXpriority\n\
   )\n\
   format &quot;\\n&quot;\n\
   )\n\
   sysinfo.MAXpriority = current_priority\n\
   ok\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysinfo.processAffinity </code></pre><p><strong>Gets/sets</strong> the process affinity (the processors the process can use) as a pointer value. Each bit in the pointer value corresponds to a processor. If the bit is set, the process can use that processor.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysinfo.systemAffinity </code></pre><p>A <strong>read-only</strong> property containing the system affinity (the processors present in the system) as a pointer. Each bit in the pointer corresponds to a processor. If the bit is set, the processor exists.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   The following example shows how to get an array of existing processor or a bitarray with a bit set for each existing processor (core). In this example, the system has four cores.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --getting system affinity as a Pointer:\n\
   sysinfo.systemAffinity\n\
   --&gt;15P\n\
\n\
   --getting system affinity as an array:\n\
   (for i = 1 to 32 where bit.get sysinfo.systemAffinity i collect i)\n\
   --&gt;#(1,2,3,4)\n\
\n\
   --getting system affinity as a bitarray:\n\
   (for i = 1 to 32 where bit.get sysinfo.systemAffinity i collect i)as bitarray\n\
   --&gt;#{1..4}\n\
</code></pre></blockquote>\n\
<h2 id=\"system-language-and-locale-\">System Language and Locale:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysinfo.getLanguage [user:&lt;boolean&gt;] </code></pre><p>This method returns the Windows OS Language as an array with three elements:</p>\n\
<p>The first two elements are integer values that correspond to the Primary Language and SubLanguage IDs. See the Windows SDK Help file for documentation of these IDs.</p>\n\
<p>The third element is a description script for the current language. Starting with <strong>3ds Max 2010</strong>, if the language cannot be retrieved, the third element will contain an error string.</p>\n\
<p>If the optional keyword <code>user</code> : is <code>true</code> (the default), the current user&apos;s language is returned. If <code>false</code> , the system&apos;s language is returned.</p>\n\
<p>Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysinfo.getMaxLanguage() </code></pre><p>This method available in <strong>3ds Max 2010 and higher</strong> returns the <strong>3ds Max</strong> Language as an array such as <code>#(9, 1, &quot;ENU&quot;, &quot;English (United States)&quot;, &quot;en-US&quot;)</code>. <strong>Starting in 3ds Max 2013</strong> and higher, this method returns an array with five elements. Previous versions returned a four element array.</p>\n\
<p>The first two elements are integer values that correspond to the Primary Language and SubLanguage IDs. See the Windows SDK Help file for documentation of these IDs.</p>\n\
<p>The third element is the three letter code for the current language, for example &quot;ENU&quot; for US English.</p>\n\
<p>The fourth element is the description string for the current 3ds Max language. If the description string cannot be retrieved, this element contains the value <code>undefined</code>.</p>\n\
<p>The fifth element is the 3ds Max two letter localization code and country name code, in the form <code>&lt;language&gt;-&lt;country&gt;</code>, for example &quot;en-US&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.getDecimalChars()</code></pre><p>Available in <strong>3ds Max 2020.2 Update and higher:</strong> Returns and array containing the user locale decimal separator characters from the following locations:</p>\n\
<ol>\n\
<li>The OS user locale</li>\n\
<li>the C runtime locale</li>\n\
<li>The C++ runtime global locale</li>\n\
<li>The .NET runtime global locale</li>\n\
</ol>\n\
<p>For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">res = sysInfo.getDecimalChars()\n\
--&gt; #(&quot;.&quot;, &quot;.&quot;, &quot;.&quot;, &quot;.&quot;)</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> 3ds Max only reads the once locale on startup. Changing the locale or specifying a custom decimal separator while 3ds Max is running will cause this method to return the new character, but does not change the character 3ds Max uses until it re-starts.</div>\n\
<h2 id=\"memory-usage-and-max-process-info-\">Memory Usage and Max Process Info:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysinfo.getSystemMemoryInfo() </code></pre><p>A method which returns a seven element array containing the system memory status data. The array elements contain the following respectively:</p>\n\
<ul>\n\
<li><p>percent of memory in use</p>\n\
</li>\n\
<li><p>bytes of physical memory</p>\n\
</li>\n\
<li><p>free physical memory bytes</p>\n\
</li>\n\
<li><p>bytes of paging file</p>\n\
</li>\n\
<li><p>free bytes of paging file</p>\n\
</li>\n\
<li><p>user bytes of address space</p>\n\
</li>\n\
<li><p>free user bytes</p>\n\
</li>\n\
</ul>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   r=sysinfo.getSystemMemoryInfo()\n\
   for i=2 to 7 do r[i] /= (1024*1024.)\n\
   format &quot;percent of memory in use:\\t%\\n&quot; r[1]\n\
   format &quot;total physical memory:\\t% MB\\n&quot; r[2]\n\
   format &quot;free physical memory:\\t% MB\\n&quot; r[3]\n\
   format &quot;used physical memory:\\t% MB\\n&quot; (r[2]-r[3])\n\
   format &quot;total paging file size:\\t% MB\\n&quot; r[4]\n\
   format &quot;free paging file size:\\t% MB\\n&quot; r[5]\n\
   format &quot;used paging file size:\\t% MB\\n&quot; (r[4]-r[5])\n\
   format &quot;total virtual memory:\\t% MB\\n&quot; r[6]\n\
   format &quot;free virtual memory:\\t\\t% MB\\n&quot; r[7]\n\
   format &quot;used virtual memory:\\t\\t% MB\\n&quot; (r[6]-r[7])\n\
   ok\n\
   )\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   percent of memory in use: 0\n\
   total physical memory: 255.359 MB\n\
   free physical memory: 16.5156 MB\n\
   used physical memory: 238.844 MB\n\
   total paging file size: 1016.3 MB\n\
   free paging file size: 757.898 MB\n\
   used paging file size: 258.398 MB\n\
   total virtual memory: 2047.88 MB\n\
   free virtual memory:  1846.55 MB\n\
   used virtual memory:  201.328 MB\n\
   OK\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysinfo.getMAXMemoryInfo() </code></pre><p>Returns a nine element array containing the <strong>3ds Max</strong> memory status data. The array elements contain the following respectively:</p>\n\
<ul>\n\
<li><p>Page Fault Count</p>\n\
</li>\n\
<li><p>Peak Working Set Size</p>\n\
</li>\n\
<li><p>Working Set Size</p>\n\
</li>\n\
<li><p>Quota Peak Paged Pool Usage</p>\n\
</li>\n\
<li><p>Quota Paged Pool Usage</p>\n\
</li>\n\
<li><p>Quota Peak NonPaged Pool Usage</p>\n\
</li>\n\
<li><p>Quota NonPaged Pool Usage</p>\n\
</li>\n\
<li><p>Pagefile Usage</p>\n\
</li>\n\
<li><p>Peak Pagefile Usage</p>\n\
</li>\n\
</ul>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   r=sysinfo.getMAXMemoryInfo()\n\
   for i=2 to 9 do r[i] /= (1024*1024.)\n\
   format &quot;Page Fault Count:\\t\\t\\t%\\n&quot; r[1]\n\
   format &quot;Peak Working Set Size:\\t\\t% MB\\n&quot; r[2]\n\
   format &quot;Working Set Size:\\t\\t\\t% MB\\n&quot; r[3]\n\
   format &quot;Quota Peak Paged Pool Usage:\\t% MB\\n&quot; r[4]\n\
   format &quot;Quota Paged Pool Usage:\\t\\t% MB\\n&quot; r[5]\n\
   format &quot;Quota Peak NonPaged Pool Usage:\\t% MB\\n&quot; r[6]\n\
   format &quot;Quota NonPaged Pool Usage:\\t\\t% MB\\n&quot; r[7]\n\
   format &quot;Pagefile Usage:\\t\\t\\t% MB\\n&quot; r[8]\n\
   format &quot;Peak Pagefile Usage:\\t\\t\\t% MB\\n&quot; r[9]\n\
   ok\n\
   )\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Page Fault Count:   32948\n\
   Peak Working Set Size:  70.3594 MB\n\
   Working Set Size:   70.3594 MB\n\
   Quota Peak Paged Pool Usage: 0.166186 MB\n\
   Quota Paged Pool Usage:  0.161236 MB\n\
   Quota Peak NonPaged Pool Usage: 0.0213509 MB\n\
   Quota NonPaged Pool Usage:  0.0213509 MB\n\
   Pagefile Usage:   58.9023 MB\n\
   Peak Pagefile Usage:   58.9219 MB\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int&gt;sysinfo.getMAXHandleCount()\n\
&lt;int&gt;sysinfo.getMAXUserObjectCount()\n\
&lt;int&gt;sysinfo.getMAXGDIObjectCount()</code></pre><p>These functions return the number of handles, user objects, and GDI objects held by the 3ds Max process. Available in <strong>3ds Max 2019.3 Update and higher</strong>. This is the same information displayed in the Windows Task Manager on the Details tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer64&gt;sysInfo.getMAXHeapUsed()</code></pre><p>Returns the 3ds Max heap memory used, as an Integer64 value.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<h2 id=\"3ds-max-command-line-info\">3ds Max Command Line Info</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;sysinfo.getCommandLine()</code></pre><p>Returns the entire command line (including arguments) as a string. Available in <strong>3ds Max 2019.2 Update and higher</strong>.</p>\n\
<p>For example:</p>\n\
<p><code>&quot;&quot;C:\\\\Program Files\\\\Autodesk\\\\3ds Max 2019\\\\3dsmax.exe&quot; -d -dfc -g -q&quot;</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;array&gt;sysinfo.getCommandLineArgs() </code></pre><p>Returns an array of strings where each element is a command line argument. Available in <strong>3ds Max 2019.2 Update and higher</strong>.</p>\n\
<p>For example:</p>\n\
<p><code>#(&quot;-d&quot;, &quot;-dfc&quot;, &quot;-g&quot;, &quot;-q&quot;)</code></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interaction-With-The-Operating.html\">Interaction With The Operating System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interaction-With-The-Operating.html\">Interaction With The Operating System</a></li>\n\
          <li><a class=\"link\" href=\"../How-To-Practical-Examples/How-To-Access-Windows-System.html\">How To ... Access Windows System Data</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";