var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-779FD7AC-953D-4567-B2A8-60B1D8695B95\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>DotNet In MAXScript</h1></div><p>MAXScript provides access to parts of the .NET framework for use in scripts and MAXScript Rollouts. MAXScript provides access to .NET classes via <code>dotNetClass</code>, Objects via <code>dotNetObject</code>, UI controls via <code>dotNetControl</code>, methods via <code>dotNetMethod</code> and conversion between .NET values and native MAXScript values via <code>dotNetMXSValue</code>..</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Since DotNet uses a Just in Time compiler (JIT), the first time you load or execute any managed code, the Common Language Runtime (CLR) will compile the Intermediate code into machine language code, causing a significant performance hit. The second time the code is executed in the same session, the JIT compiler will use cached binaries instead of compiling the code again and the code will execute much faster.</p>\n\
<p>So for instance, the first time the Named Selection Sets tool is opened, it can take several seconds for the dialog to open. The second time it would open instantly.</p>\n\
\n\
</div></div>\n\
\n\
<h3 id=\"dotnet-topics-index-\">DotNet Topics Index:</h3><p><a href=\"DotNet-In-MAXScript/dotnetclass.html\">dotNetClass</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/dotnetobject.html\">dotNetObject</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/dotnetcontrol.html\">dotNetControl</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/dotNetMethod.html\">dotNetMethod</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/dotnetcontrol/dotnetmxsvalue.html\">dotNetMXSValue</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/MAXScript-DotNet-Value.html\">MAXScript / DotNet Value Conversions</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/DotNet-Objects-and-Classes-Life.html\">DotNet Objects and Classes Life Time Control</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/dotNet-Struct-Methods.html\">dotNet Struct Methods</a></p>\n\
<h3 id=\"dotnet-examples-index-\">DotNet Examples Index:</h3><p><a href=\"DotNet-In-MAXScript/DotNet-Examples/Creating-A-Simple-DotNet.html\">Creating A Simple DotNet MonthCalendar And Changing Its Colors</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/DotNet-Examples/Creating-A-Simple-Web-Browser.html\">Creating A Simple Web Browser Using DotNet</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/DotNet-Examples/Using-DotNet-Forms-To-Create.html\">Using DotNet Forms To Create MAXScript User Interfaces</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/DotNet-Examples/Registering-Windows-SystemEvents.html\">Registering Windows SystemEvents Callbacks Using DotNet</a></p>\n\
<h3 id=\"maxcustomcontrols-assembly-\">MaxCustomControls Assembly:</h3><p><a href=\"DotNet-In-MAXScript/MaxCustomControls-Assembly.html\">MaxCustomControls Assembly</a></p>\n\
<h3 id=\"converting-scripts-from-using-activex-controls-to-dotnet-controls-\">Converting Scripts From Using ActiveX Controls to DotNet Controls:</h3><p><a href=\"DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-Scripts-From-Using.html\">Converting Scripts From Using ActiveX Controls to DotNet Controls</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-ListView.html\">Converting ActiveX ListView Control to DotNet ListView Control</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-TreeView.html\">Converting ActiveX TreeView Control to DotNet TreeView Control</a></p>\n\
<h3 id=\"external-files-containing-dotnet-examples-and-related-functionality-\">External Files Containing DotNet Examples and Related Functionality:</h3><p><strong>[3dsMax Path]\\stdplugs\\stdscripts\\NET_ListViewWrapper.ms</strong></p>\n\
<p>This script contains useful functions for creating and managing ListView DotNet controls.</p>\n\
<p><strong>[3dsMax Path]\\stdplugs\\stdscripts\\NET_TreeViewWrapper.ms</strong></p>\n\
<p>This script contains useful functions for creating and managing TreeView DotNet controls.</p>\n\
<p><strong>[3dsMax Path]\\ui\\macroscripts\\Macro_BakeTextures.mcr</strong></p>\n\
<p>The Render To Texture dialog has been updated to use DotNet ListView controls instead of ActiveX controls.</p>\n\
<p><strong>[3dsMax Path]\\ui\\macroscripts\\Macro_NamedSelSets.mcr</strong></p>\n\
<p>The Named Selection Sets editor dialog has been updated to use a DotNet TreeView control instead of an ActiveX control. It is a good example of using <strong>Drag And Drop</strong> in DotNet TreeView controls.</p>\n\
<h3 id=\"external-resources-\">External Resources:</h3><p>Microsoft Developers Network Library - System.Windows.Forms documentation:</p>\n\
<p><a href=\"https://docs.microsoft.com/en-us/dotnet/api/system.windows.forms?view=netframework-4.8\" target=\"_blank\">system.windows.forms</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"DotNet-In-MAXScript/dotnetclass.html\">dotnetclass</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"DotNet-In-MAXScript/dotnetobject.html\">dotnetobject</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"DotNet-In-MAXScript/dotnetcontrol.html\">dotnetcontrol</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"DotNet-In-MAXScript/dotNetMethod.html\">dotNetMethod</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"DotNet-In-MAXScript/dotNet-Generics.html\">dotNet Generics</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"DotNet-In-MAXScript/MAXScript-DotNet-Value.html\">MAXScript / DotNet Value Conversions</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"DotNet-In-MAXScript/DotNet-Objects-and-Classes-Life.html\">DotNet Objects and Classes Life Time Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"DotNet-In-MAXScript/dotNet-Struct-Methods.html\">dotNet Struct Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"DotNet-In-MAXScript/DotNet-Examples.html\">DotNet Examples</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"DotNet-In-MAXScript/Converting-ActiveX-Controls-To.html\">Converting ActiveX Controls To DotNet Controls</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"DotNet-In-MAXScript/Selected-DotNet-Classes-and.html\">Selected DotNet Classes and Objects</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"DotNet-In-MAXScript/MaxCustomControls-Assembly.html\">MaxCustomControls Assembly</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interaction-with-Other.html\">Interaction with Other Programming Languages and Environments</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";