var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-57429360-CC34-49BB-8901-4FCC628E234E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Registering Windows SystemEvents Callbacks Using DotNet</h1></div><p>The following example demonstrates how to register a MAXScript event handler that will react when Windows System settings are being changed.</p>\n\
<blockquote>\n\
<p>   <strong>CODE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --First we need the SystemEvents DotNet Class:\n\
   c = dotNetClass &quot;Microsoft.Win32.SystemEvents&quot;\n\
   --&gt;dotNetClass:Microsoft.Win32.SystemEvents\n\
   --Then we get a list of all available events:\n\
   showevents c\n\
   --&gt;[static] DisplaySettingsChanged &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... )\n\
   --&gt;[static] DisplaySettingsChanging &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... )\n\
   --&gt;[static] EventsThreadShutdown &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... ) \n\
   --&gt;[static] InstalledFontsChanged &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... )\n\
   --&gt;[static] LowMemory &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... )\n\
   --&gt;[static] PaletteChanged &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... )\n\
   --&gt;[static] PowerModeChanged &lt;System.Object&gt;sender &lt;Microsoft.Win32.PowerModeChangedEventArgs&gt;e = ( ... )\n\
   --&gt;[static] SessionEnded &lt;System.Object&gt;sender &lt;Microsoft.Win32.SessionEndedEventArgs&gt;e = ( ... )\n\
   --&gt;[static] SessionEnding &lt;System.Object&gt;sender &lt;Microsoft.Win32.SessionEndingEventArgs&gt;e = ( ... )\n\
   --&gt;[static] SessionSwitch &lt;System.Object&gt;sender &lt;Microsoft.Win32.SessionSwitchEventArgs&gt;e = ( ... )\n\
   --&gt;[static] TimeChanged &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... )\n\
   --&gt;[static] TimerElapsed &lt;System.Object&gt;sender &lt;Microsoft.Win32.TimerElapsedEventArgs&gt;e = ( ... )\n\
   --&gt;[static] UserPreferenceChanged &lt;System.Object&gt;sender &lt;Microsoft.Win32.UserPreferenceChangedEventArgs&gt;e = ( ... )\n\
   --&gt;[static] UserPreferenceChanging &lt;System.Object&gt;sender &lt;Microsoft.Win32.UserPreferenceChangingEventArgs&gt;e = ( ... )\n\
   --&gt;true\n\
   --We define a global function to be called by the event handler:\n\
   fn TimeChanged a1 a2 = format &quot;TimeChanged callback: % : %\\n&quot; a1 a2\n\
   --&gt;TimeChanged()\n\
   --Finally we add the Event Handler for the event &quot;TimeChanged&quot;:\n\
   dotnet.addeventhandler c &quot;TimeChanged&quot; TimeChanged\n\
   --&gt;OK\n\
</code></pre></blockquote>\n\
<p>Now, if you open the Date and Time properties of MS Windows, change the seconds only (to avoid problems with your <strong>3ds Max</strong> license, do not change the date too much) and apply the changes. The MAXScript function we registered will be called and will print in the Listener:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TimeChanged callback: dotNetObject:Microsoft.Win32.SystemEvents : dotNetObject:System.EventArgs\n\
</code></pre><p>As you can see from the events list, you can register event handlers to be notified when display settings are being changed, the palette or fonts are changing, and so on.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../DotNet-Examples.html\">DotNet Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";