var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0D6E57E4-642E-4115-A4E8-9B2E673371AB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>dotNet Generics</h1></div><p>.NET generic classes and methods can be specialized to specific types in MAXScript by using <code>Type.MakeGenericType</code> and <code>MethodInfo.MakeGenericMethod()</code>. These .NET methods create a type-specific version of a type or method. For example, if you run:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">callSiteOps = (dotNetClass &quot;System.Runtime.CompilerServices.CallSiteOps&quot;)\n\
showmethods callSiteOps</code></pre><p>You will get:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.[static]AddRule &lt;CallSite`1&gt;site &lt;T&gt;rule\n\
.[static]&lt;T&gt;Bind &lt;System.Runtime.CompilerServices.CallSiteBinder&gt;binder &lt;CallSite`1&gt;site &lt;System.Object[]&gt;args\n\
.[static]ClearMatch &lt;System.Runtime.CompilerServices.CallSite&gt;site\n\
.[static]&lt;System.Runtime.CompilerServices.CallSite`1[T]&gt;CreateMatchmaker &lt;CallSite`1&gt;site\n\
.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.[static]&lt;T[]&gt;GetCachedRules &lt;RuleCache`1&gt;cache\n\
.[static]&lt;System.Boolean&gt;GetMatch &lt;System.Runtime.CompilerServices.CallSite&gt;site\n\
.[static]&lt;System.Runtime.CompilerServices.RuleCache`1[T]&gt;GetRuleCache &lt;CallSite`1&gt;site\n\
.[static]&lt;T[]&gt;GetRules &lt;CallSite`1&gt;site\n\
.[static]MoveRule &lt;RuleCache`1&gt;cache &lt;T&gt;rule &lt;System.Int32&gt;i\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.[static]&lt;System.Boolean&gt;SetNotMatched &lt;System.Runtime.CompilerServices.CallSite&gt;site\n\
.[static]UpdateRules &lt;CallSite`1&gt;this &lt;System.Int32&gt;matched\n\
true</code></pre><p>As you can see from the output, the line <code>\\[static\\]AddRule &lt;CallSite`1&gt;site &lt;T&gt;rule</code> indicates that the AddRule(<code>&lt;T&gt;</code>) method is a generic method. If you wanted a MAXScript version of this method that works with System.String, you would first get the method as a dotNetObject, and then specialize it so that <code>&lt;T&gt;</code> is System.String:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addRuleGeneric = getproperty callSiteOps &quot;AddRule&quot; asdotnetobject:true\n\
addRuleStringType = addRuleGeneric.MakeGenericMethod #(dotNetClass &quot;System.String&quot;)</code></pre><p>The AddRule() method takes 2 arguments, an instance of a templated class &apos;CallSite&apos; and an instance of the specialized class . Looking at the <a href=\"https://docs.microsoft.com/en-us/dotnet/api/system.runtime.compilerservices.callsiteops?view=netframework-4.8\" target=\"_blank\">CallSite documentation</a>, you will see the method is documented as</p>\n\
<p><code>AddRule&lt;T&gt;(CallSite&lt;T&gt;, T)</code></p>\n\
<p>Adds a rule to the cache maintained on the dynamic call site.</p>\n\
<p>In the MAXScript showmethods output, note the first arg is listed as <code>&lt;CallSite`1&gt;site</code>. This means that the argument is an instance of a generic class that is templated with a single Type (indicated by the `1 in the class name). Therefore in the documentation it is shown as <code>CallSite&lt;T&gt;</code>.</p>\n\
<p>If the generic class was templated with two Types, it would be &apos;2. An example of a class templated with two Types is:</p>\n\
<p><code>System.Collections.Generic.Dictionary&lt;TKey,TValue&gt;</code></p>\n\
<p>Which in MAXScript looks like:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">d = dotnetclass &quot;System.Collections.Generic.Dictionary`2&quot;\n\
dotnet.showConstructors d</code></pre><p>The showConstructors yields:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">System.Collections.Generic.Dictionary`2()\n\
System.Collections.Generic.Dictionary`2 &lt;IDictionary`2&gt;dictionary\n\
System.Collections.Generic.Dictionary`2 &lt;IEqualityComparer`1&gt;comparer\n\
System.Collections.Generic.Dictionary`2 &lt;System.Int32&gt;capacity\n\
System.Collections.Generic.Dictionary`2 &lt;System.Int32&gt;capacity &lt;IEqualityComparer`1&gt;comparer\n\
System.Collections.Generic.Dictionary`2 &lt;IDictionary`2&gt;dictionary &lt;IEqualityComparer`1&gt;comparer</code></pre><p>By using the following code, you create a instance of a dictionary where <code>TKey</code> is System.String and <code>TValue</code> is System.Int32:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">genericType = dotnet.GetType &quot;System.Collections.Generic.Dictionary`2&quot;\n\
innerType1 = dotnet.GetType &quot;System.String&quot;\n\
innerType2 = dotnet.GetType &quot;int&quot;\n\
specificType = genericType.MakeGenericType #(innerType1, innerType2)\n\
theDict = (dotnetclass &quot;System.Activator&quot;).CreateInstance specificType</code></pre><p>This calls constructor:</p>\n\
<p><code>System.Collections.Generic.Dictionary`2()</code></p>\n\
<p>This code:</p>\n\
<p><code>theDict = (dotnetclass &quot;System.Activator&quot;).CreateInstance specificType #(32)</code></p>\n\
<p>Calls the constructor:</p>\n\
<p><code>System.Collections.Generic.Dictionary`2 &lt;System.Int32&gt;capacity</code></p>\n\
<p>If the constructor took more than one argument, the additional arguments would be specified as additional elements in the array.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../DotNet-In-MAXScript.html\">DotNet In MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";