var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-24FFB4C6-B37D-4F37-89FC-54AED58B44C2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>dotnetclass</h1></div><p>In <strong>3ds Max 9</strong> and higher, the <code>dotNetClass</code> wraps a DotNet <code>System::Type</code> and exposes the static properties, methods, and events associated with the class via reflection.</p>\n\
<p>Property access uses MAXScript number data types (widened as necessary), String, Boolean, dotNetControl, dotNetObject, and dotNetClass values. Properties are accessed via the normal property access specification [control.property] and <code>getProperty()</code> / <code>setProperty()</code> methods.</p>\n\
<p>Accessing a class method will create a <a href=\"dotNetMethod.html\">dotNetMethod</a> instance, or optionally a <a href=\"dotnetobject.html\">dotNetObject</a> wrapping the RuntimeMethodInfo instance.</p>\n\
<p>New methods are used to add and manage event handlers. These methods register and unregister callback functions to be called when the event is fired. The arguments passed back to the functions will include the class, the event name, and the arguments passed by the event handler. See <a href=\"dotNet-Struct-Methods.html\">dotNet Struct Methods</a> for details.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>There is a difference between a dotNetClass and a <a href=\"dotnetobject.html\">dotNetObject</a> that wraps the same type.</p>\n\
<p>Accessing the dotNetClass accesses the System::Type while accessing the dotNetObject access the object type described by the System::Type.</p>\n\
<p>So, for example, if you called showProperties() on a dotNetObject you will get the properties of the System::Type the dotNetObject wraps, but on a dotNetClass that wraps the same type you will get the properties of System::Type itself.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNetClass {&lt;dotNetObject&gt; | &lt;dotNetControl&gt; | &lt;class_type_string&gt; | &lt;c_sharp_type_string&gt; }</code></pre><p>Constructs a dotNetClass object. If the argument is a dotNetObject or dotNetControl object, the dotNetClass will wrap the System::Type of that object. If the argument is a string, MXS will attempt to resolve the string as a System::Type name.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theClass = dotNetClass &quot;System.Drawing.Size&quot;\n\
</code></pre></blockquote>\n\
<p><strong>This resolution is done using the following steps:</strong></p>\n\
<p>1. Attempt to resolve as a fully qualified name. A fully qualified name includes both the class name and the assembly name.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   dotNetClass &quot;System.Windows.Forms.MonthCalendar, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089&quot;\n\
</code></pre></blockquote>\n\
<p>2. Attempt to resolve as a class name by looking for the name in each assembly loaded into the current AppDomain.</p>\n\
<p>3. If no match is found, the name is prepended with &quot;System.&quot; and another attempt will be made.</p>\n\
<p>4. If no match is found, the name is prepended with &quot;System.Windows.Forms.&quot; and another attempt will be made.</p>\n\
<p>5. Finally, an attempt is made to match against built-in C# data type names to the matching .NET system type. The mappings are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>C# Built-in Type Name</th>\n\
<th>.NET Framework Type</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>bool</code></td>\n\
<td><code>System.Boolean</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>byte</code></td>\n\
<td><code>System.Byte</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>sbyte</code></td>\n\
<td><code>System.SByte</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>char</code></td>\n\
<td><code>System.Char</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>decimal</code></td>\n\
<td><code>System.Decimal</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>float</code></td>\n\
<td><code>System.Single</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>int</code></td>\n\
<td><code>System.Int32</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>uint</code></td>\n\
<td><code>System.UInt32</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>long</code></td>\n\
<td><code>System.Int64</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>ulong</code></td>\n\
<td><code>System.UInt64</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>object</code></td>\n\
<td><code>System.Object</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>short</code></td>\n\
<td><code>System.Int16</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>ushort</code></td>\n\
<td><code>System.UInt16</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>string</code></td>\n\
<td><code>System.String</code></td>\n\
</tr>\n\
</tbody></table>\n\
<h3 id=\"example\">Example</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">type = dotnetclass &quot;bool[]&quot; --&gt; dotNetClass:System.Boolean[]\n\
v = dotnet.ValueToDotNetObject #(false,true) type --&gt; dotNetObject:System.Boolean[]\n\
v.get 0 --&gt; false\n\
type = dotnetclass &quot;byte[]&quot; --&gt; dotNetClass:System.Byte[]\n\
v = dotnet.ValueToDotNetObject #(1,2) type --&gt; dotNetObject:System.Byte[]\n\
v.get 0 --&gt; 1\n\
type = dotnetclass &quot;char[]&quot; --&gt; dotNetClass:System.Char[]\n\
v = dotnet.ValueToDotNetObject #(&quot;A&quot;,&quot;B&quot;) type --&gt; dotNetObject:System.Char[]\n\
v.get 0 --&gt; &quot;A&quot;</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> C# built-in type string matching was introduced in <strong>3ds Max 2018.2 Update</strong>.</div>\n\
<p>Assemblies can be loaded to the Current AppDomain. See the <code>dotNet.LoadAssembly()</code> method in <a href=\"dotNet-Struct-Methods.html\">dotNet Struct Methods</a></p>\n\
<p>An example of adding an assembly to the current AppDomain via methods exposed by the dotNetClass itself:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   assembly = dotNetClass &quot;System.Reflection.Assembly&quot;\n\
   r = assembly.loadfrom &quot;F:\\\\FlashTrackBar\\\\bin\\\\Debug\\\\FlashTrackBar.dll&quot;\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Assemblies can not be unloaded once loaded.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getProperty &lt;dotNetClass&gt; &lt;prop name&gt; [asDotNetObject:&lt;boolean&gt;]</code></pre><p>Returns the value of the specified property.</p>\n\
<p>If asDotNetObject is false (the default) the value will converted to a native MAXScript value if possible; if true, the value will always be returned as a dotNetControl or dotNetObject value.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> You can use the .NET <code>Type.MakeGenericType()</code> method to access static generic methods on classes. See the <a href=\"dotNet-Generics.html\">dotNet Generics</a> topic for an example of how to do so.</div>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Prior to <strong>3ds Max 2020.3 Update</strong>, this returned a dotNetMethod if the specified property was a method, even if <code>asDotNetObject</code> was true.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   o = dotNetClass &quot;System.String&quot;\n\
   -- o has only one property, .Empty:\n\
   prop = getProperty o &quot;Empty&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setProperty &lt;dotNetClass&gt; &lt;prop name&gt; &lt;value&gt;</code></pre><p>Sets the value of the specified property.</p>\n\
<p>If the value specified is a native MAXScript value, it will be converted to the proper DotNet value if possible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPropNames &lt;dotNetClass&gt; [showStaticOnly:&lt;boolean&gt;] [declaredOnTypeOnly:&lt;boolean&gt;]</code></pre><p>Returns an array of property names exposed by the class.</p>\n\
<p>If <code>showStaticOnly:</code> is true (the default), only static properties are shown; if false both static and instance properties are shown.</p>\n\
<p>If <code>declaredOnTypeOnly:</code> is true, only properties declared on the specified class are shown; if false (the default) properties on the class and the classes it derives from are shown.</p>\n\
<p>The results of this method are sorted by name. The properties returned actually contain two different things in terms of DotNet - properties and fields. The properties are shown first in sorted order, then the fields are shown in sorted order.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showProperties &lt;dotNetClass&gt; [&quot;prop_pat&quot;] [to:&lt;stream&gt;] [showStaticOnly:&lt;boolean&gt;] [showMethods:&lt;boolean&gt;] [showAttributes:&lt;boolean&gt;] [declaredOnTypeOnly:&lt;boolean&gt;]</code></pre><p>Displays the properties exposed by the class whose name matches the property pattern.</p>\n\
<p>If <code>to</code> is not specified, the output goes to Listener, otherwise the output goes to the specified stream.</p>\n\
<p>If <code>showStaticOnly:</code> is true (the default), only static properties are shown; if false both static and instance properties are shown.</p>\n\
<p>If <code>showMethods:</code> is true, the signature of the get and set methods (if any) are shown; defaults to false.</p>\n\
<p>If <code>showAttributes:</code> is true, the attributes associated with the property are shown; defaults to false.</p>\n\
<p>If <code>declaredOnTypeOnly:</code> is true, only properties declared on the specified class are shown; if false (the default) properties on the class and the classes it derives from are shown.</p>\n\
<p>The results of this method are sorted by name. The properties returned actually contain two different things in terms of DotNet - properties and fields. The properties are shown first in sorted order, then the fields are shown in sorted order.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showMethods &lt;dotNetClass&gt; [&quot;prop_pat&quot;] [to:&lt;stream&gt;] [showStaticOnly:&lt;boolean&gt;] [showSpecial:&lt;boolean&gt;] [showAttributes:&lt;boolean&gt;] [declaredOnTypeOnly:&lt;boolean&gt;]</code></pre><p>Displays the methods exposed by the class whose name matches the property pattern.</p>\n\
<p>The <code>prop_pat</code> is a pattern string.  See <a href=\"./../../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\"#pattern-strings\">Pattern Strings</a> for more information about special characters this string can contain.</p>\n\
<p>If <code>to</code> is not specified, the output goes to Listener, otherwise the output goes to the specified stream.</p>\n\
<p>If <code>showStaticOnly:</code> is true (the default), only static properties are shown; if false both static and instance properties are shown.</p>\n\
<p>If <code>showSpecial:</code> is true, methods that are not normally called by the user (such as a method to set a property value or to invoke an event handler) are shown; defaults to false.</p>\n\
<p>If <code>showAttributes:</code> is true, the attributes associated with the property are shown; defaults to false.</p>\n\
<p>If <code>declaredOnTypeOnly:</code> is true, only properties declared on the specified class are shown; if false (the default) properties on the class and the classes it derives from are shown.</p>\n\
<p>The results are sorted by name. Secondary sort is performed based on the number of parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showEvents&lt;dotNetClass&gt; [&quot;prop_pat&quot;] [to:&lt;stream&gt;] [showStaticOnly:&lt;boolean&gt;] [declaredOnTypeOnly:&lt;boolean&gt;]</code></pre><p>Displays the events exposed by the class whose name matches the property pattern.</p>\n\
<p>The <code>prop_pat</code> is a pattern string.  See <a href=\"./../../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\"#pattern-strings\">Pattern Strings</a> for more information about special characters this string can contain.</p>\n\
<p>If <code>to</code> is not specified, the output goes to Listener, otherwise the output goes to the specified stream.</p>\n\
<p>If <code>showStaticOnly:</code> is true (the default), only static properties are shown; if false both static and instance properties are shown.</p>\n\
<p>If <code>declaredOnTypeOnly:</code> is true, only properties declared on the specified class are shown; if false (the default) properties on the class and the classes it derives from are shown.</p>\n\
<p>The results are sorted by name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.showConstructors &lt;dotNetClass&gt; [to:&lt;stream&gt;]</code></pre><p>Displays the constructors exposed by the class.</p>\n\
<p>If <code>to</code> is not specified, the output goes to Listener, otherwise the output goes to the specified stream.</p>\n\
<p>The results are sorted by name. Secondary sort is performed based on the number of parameters.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../DotNet-In-MAXScript.html\">DotNet In MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"dotNet-Struct-Methods.html\">dotNet Struct Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";