var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4C14F474-CD23-4001-93DF-0F0F9A6025C7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Learning MAXScript</h1></div><p>Welcome to the &quot;Learning MAXScript&quot; section.</p>\n\
<p>This introductory reference should help you getting started using MAXScript, the scripting language of <strong>3ds Max</strong>.</p>\n\
<p>&quot;Learning MAXScript&quot; can be used as an introductory reference. However, it is most useful if read straight through as a tutorial. You can follow the examples in this reference by using copy-and-paste to bring the code from this document into the MAXScript Listener. You can also type in your own text and start experimenting with MAXScript as you learn it.</p>\n\
<p>In addition, the <a href=\"How-To-Practical-Examples/How-To-Introduction-to-the.html\">&quot;How To&quot; tutorials chapter</a> will introduce you to some simple real-world examples with detailed comments and links to the definitions of used methods and functions.</p>\n\
<h2 id=\"getting-started\">Getting Started</h2><p><a href=\"Learning-MAXScript/Getting-Started/Accessing-MAXScript-1.html\">Accessing MAXScript</a></p>\n\
<p><a href=\"Learning-MAXScript/Getting-Started/Source-Code-Layout.html\">Source Code Layout</a></p>\n\
<p><a href=\"Learning-MAXScript/Getting-Started/Entering-Information-into.html\">Entering Information into MAXScript</a></p>\n\
<p><a href=\"Learning-MAXScript/Getting-Started/Assigning-Variables.html\">Assigning Variables</a></p>\n\
<p><a href=\"Learning-MAXScript/Getting-Started/Mathematical-Operations-in.html\">Mathematical Operations in MAXScript</a></p>\n\
<h2 id=\"manipulating-the-box-first-steps-in-maxscript\">Manipulating The Box - First Steps in MAXScript</h2><p><a href=\"Learning-MAXScript/Manipulating-The-Box-First-Steps/Drawing-a-Box-with-MAXScript.html\">Drawing a Box with MAXScript</a></p>\n\
<p><a href=\"Learning-MAXScript/Manipulating-The-Box-First-Steps/Modifying-the-Box.html\">Modifying the Box</a></p>\n\
<p><a href=\"Learning-MAXScript/Manipulating-The-Box-First-Steps/Applying-Standard.html\">Applying Standard Transformations</a></p>\n\
<p><a href=\"Learning-MAXScript/Manipulating-The-Box-First-Steps/More-Box-Transformations.html\">More Box Transformations</a></p>\n\
<h2 id=\"creating-your-own-scripts\">Creating Your Own Scripts</h2><p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/The-Script-Editor.html\">The Script Editor</a></p>\n\
<p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/Controlling-Program-Flow-in.html\">Controlling Program Flow in Scripts</a></p>\n\
<p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/Defining-Custom-Functions.html\">Defining Custom Functions</a></p>\n\
<p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/Structure-Definitions.html\">Structure Definitions</a></p>\n\
<p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/MAX-Commands-in-MAXScript.html\">max Commands in MAXScript</a></p>\n\
<p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/Saving-Your-Commands-in-a-Script.html\">Saving your Commands in a Script File</a></p>\n\
<p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/Loading-and-Running-Your-Script.html\">Loading and Running Your Script File</a></p>\n\
<h2 id=\"learning-from-other-scripts\">Learning From Other Scripts</h2><p><a href=\"Learning-MAXScript/Learning-From-Other-Scripts/Loading-Other-Scripts.html\">Loading Other Scripts</a></p>\n\
<p><a href=\"Learning-MAXScript/Learning-From-Other-Scripts/Learning-MAXScript-by-Walking.html\">Learning MAXScript by Walking Through a Script</a></p>\n\
<p><a href=\"Learning-MAXScript/Learning-From-Other-Scripts/Learning-MAXScript-with-the.html\">Learning MAXScript with the Macro Recorder</a></p>\n\
<h2 id=\"maxscript-for-new-and-casual-users\">MAXScript for New and Casual Users</h2><p><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\">MAXScript for New and Casual Users</a></p>\n\
<p><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Utilities-for-New-Users.html\">Scripted Utilities for New Users</a></p>\n\
<p><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/MacroScripts-for-New-Users.html\">MacroScripts for New Users</a></p>\n\
<p><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Plug-ins-for-New-Users.html\">Scripted Plug-ins for New Users</a></p>\n\
<p><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Functions-for-New-Users.html\">Scripted Functions for New Users</a></p>\n\
<p><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-DLX-Extensions-for-New.html\">MAXScript DLX Extensions for New Users</a></p>\n\
<h2 id=\"faq-\">FAQ:</h2><p><a href=\"Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></p>\n\
<h2 id=\"-39-how-to-39-tutorials-\">&#39;How To&#39; Tutorials:</h2><p><a href=\"How-To-Practical-Examples/How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></p>\n\
<h2 id=\"sample-scripts-\">Sample Scripts:</h2><p><a href=\"Script-Examples-In-This-Help.html\">Online Help Script Examples</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Learning-MAXScript/Manipulating-The-Box-First-Steps.html\">Manipulating The Box - First Steps in MAXScript</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts.html\">Creating Your Own Scripts</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Learning-MAXScript/Getting-Started.html\">Getting Started</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Learning-MAXScript/Learning-From-Other-Scripts.html\">Learning From Other Scripts</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Learning-MAXScript/Trigonometric-Functions.html\">Trigonometric Functions</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Learning-MAXScript/Vector-Arithmetic.html\">Vector Arithmetic</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";