var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-81403EB7-94F8-4EAA-8026-1A495343AE06\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The MAXScript Listener Window</h1></div><h2 id=\"the-listener\">The Listener</h2><p>The MAXScript Listener window is an interactive interpreter for the MAXScript language. MAXScript commands entered in this window are executed immediately when you press the ENTER key.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The MAXScript Listener also supports Python commands. You can switch to Python mode by selecting the Python radio button. The Python mode is indicated by a <code>&gt;&gt;&gt;</code> prompt. For more information, see the 3ds Max Python Help.</div>\n\
<p><img src=\"./images/GUID-59938436-AA1F-4C05-85A0-48B700F2B93F-low.gif\" alt></p>\n\
<p>The Listener window is appropriate for performing interactive work and developing small code fragments. Extended blocks of code should be developed in a <a href=\"The-MAXScript-Editor-Windows.html\">Script Editor Window</a>.</p>\n\
<p>Each command you execute in Listener is actually an expression with a result which the Listener prints out after each execution.</p>\n\
<p>All commands in MAXScript are expressions or function calls that can look like commands in other languages. The terms <em>command</em> and <em>expression</em> are synonymous in MAXScript.</p>\n\
<p>You can enter any MAXScript expression or sub-expression in Listener for evaluation, and Listener prints out its result.</p>\n\
<p>You can open only one instance of the MAXScript Listener window at a time.</p>\n\
<p>You can open the MAXScript Listener in one of the following ways:</p>\n\
<ul>\n\
<li><p>Choose the MAXScript utility on the Utilities panel and click Open Listener;</p>\n\
</li>\n\
<li><p>Choose the Scripting menu item in the Main Menu and select &apos;MAXScript Listener...&apos; in the pull-down menu.</p>\n\
</li>\n\
<li><p>Right-click the Mini Listener and select &apos;Open Listener Window&apos; from the context menu.</p>\n\
</li>\n\
<li><p>Press the F11 key.</p>\n\
</li>\n\
</ul>\n\
<p>The Listener window is a resizable, modeless window. You can switch between it and <strong>3ds Max</strong> as you work. The Listener retains any text it contains when it is closed and opened again.</p>\n\
<p>If Auto Open Listener on Output is checked in <strong>Customize &gt; Preferences &gt; MAXScript</strong>, the Listener window opens automatically when a script outputs to it.</p>\n\
<p>The Listener is divided into two panes: the top (pink) pane is the <a href=\"The-Macro-Recorder.html\">Macro Recorder</a> pane, and the bottom (white) pane is the output pane.</p>\n\
<p>When the Macro Recorder is enabled, everything recorded is displayed in the Macro Recorder pane.</p>\n\
<p>The output of results from scripts are displayed in the output pane.</p>\n\
<p>The output of code executed in the Macro Recorder pane is always directed to the output pane so as not to clutter the recordings.</p>\n\
<p>Both panes allow you to cut-and-paste, drag-and-drop, edit, select, and execute code.</p>\n\
<p>You can resize the panes by dragging on the split bar between them.</p>\n\
<p><strong>To install the Listener into a viewport:</strong></p>\n\
<p>1. Click or Right-Click the viewport type label.</p>\n\
<p>2. Choose Extended Viewports.</p>\n\
<p>3. Choose MAXScript Listener.</p>\n\
<p><strong>To remove the Listener from the viewport:</strong></p>\n\
<p>1. Right-click the menu bar on top of the viewport.</p>\n\
<p>2. Choose any Viewport View mode like Front, Top, Perspective etc.</p>\n\
<h3 id=\"listener-color-and-font-customization\">Listener Color And Font Customization</h3><p>The following <a href=\"./../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\">MAXScript System Globals</a> can be used to customize the colors and fonts used by the MAXScript Listener.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editorFont editorFontSize inputTextColor messageTextColor outputTextColor listenerBackgroundColor macroRecorderBackgroundColor macroRecorderTextColor pythonPromptColor </code></pre><p>See the examples in the <a href=\"./../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\">MAXScript System Globals</a> topic.</p>\n\
<h2 id=\"the-mini-listener\">The Mini-Listener</h2><p>A resizable Mini Listener is located on the left side of the <strong>3ds Max</strong> status panel.</p>\n\
<p>If the Mini Listener is not visible, drag on the vertical split bar at the left edge of the status panel to reveal the Mini Listener.</p>\n\
<p>The Mini Listener panes act as single-line sliding windows for the current line in the corresponding Listener panes.</p>\n\
<p>The Mini Listener panes always show what you are typing or where the edit cursor is placed in the Listener panes.</p>\n\
<p>Conversely, anything you type into a Mini Listener pane is entered into the corresponding Listener pane at the current edit cursor position.</p>\n\
<p><img src=\"./images/GUID-2085E253-0B6E-49C6-84F6-B2478802EA18-low.gif\" alt></p>\n\
<p>You can right-click the Mini-Listener window to access a context menu which provides you with the option to open the MAXScript Listener window and the Editor window.</p>\n\
<p>In addition, if there are existing commands already present in the respective pane of the Listener, the menu will also contain a list of these commands. You can select a command from the menu to reevaluate it in the Listener. The command will be evaluated immediately.</p>\n\
<p>The color and font customizations applied to the MAXScript Listener also affect the Mini Listener.</p>\n\
<p>See the topic <a href=\"./../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\">MAXScript System Globals</a> for examples.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">Accessing MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Using-the-MAXScript-Listener.html\">Using the MAXScript Listener</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";