var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-263B5831-EC57-4ED9-B5DB-DD26FC93A384\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Turning On the Listener Log</h1></div><p>While you work in Listener, you can use the Listener logging feature to capture your entered text and all printed output into a text file.</p>\n\
<p>Only text entered in either pane and printed output to the output pane is captured.</p>\n\
<p>Macro Recorder output is <strong>not</strong> captured.</p>\n\
<p>You turn on logging with the <code>openLog()</code> method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">openLog &lt;filename_string&gt; [ mode: &quot;w&quot; | &quot;a&quot; ] [ outputOnly:&lt;boolean&gt; ] [bufferedWrite:&lt;boolean&gt;]</code></pre><p>where <code>&lt;filename_string&gt;</code> is a string literal or an expression that evaluates to a string, and specifies the name of the log file to be created.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/File-Access-Search.html\"\">File Access Function Search Behavior</a> for a list of directories the <code>filename_string</code> is searched for if the full path is not specified.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   openLog &quot;my_log.txt&quot;\n\
</code></pre><p>   or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   logfile=&quot;my_log.txt&quot;\n\
   openLog logfile\n\
</code></pre></blockquote>\n\
<p>The default mode ( <code>mode:&quot;w&quot;</code> ) creates a new file or overwrites an existing file.</p>\n\
<p>To append the log results to an existing file; specify <code>mode:&quot;a&quot;</code> .</p>\n\
<p>If the specified file does not exist, an error message will be generated.</p>\n\
<p>Both input and output are logged by default; specify <code>outputOnly:true</code> to log only MAXScript output.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   openLog &quot;my_log.txt&quot; mode:&quot;a&quot; outputOnly:true\n\
</code></pre></blockquote>\n\
<p>would append only the MAXScript output to file <code>*my_log.txt*</code> .</p>\n\
<p>Available in <strong>3ds Max 2017.1 Update and higher</strong>: By default, the log is written to an intermediate cache. If <strong>bufferedWrite</strong> is false, the log is written directly to disk. This may be useful when a crash is possible, for example when testing a new plug-in.</p>\n\
<p>If a log file is already open, the <code>openlog()</code> method will close that log file.</p>\n\
<p>MAXScript echoes Listener activity as it occurs to the log file until you stop logging.</p>\n\
<p>The log file data is not continuously written to the file, rather the log data is written to a buffer in memory, and when the buffer is full the data in the buffer is written to the file.</p>\n\
<p>You can use the <code>flushLog()</code> method to ensure the log&apos;s buffer is flushed so that all output is written to the file:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flushLog()</code></pre><p>You can stop logging, flush the log&#x2019;s buffer, and close the log file using the <code>closeLog()</code> method:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">closeLog()</code></pre><p>No error message is generated if the <code>flushLog()</code> or <code>closeLog()</code> methods are called and no log file is open.</p>\n\
<p>Use the <code>getLog()</code> function to get the log file name, if it has been created by <code>openLog()</code>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">{&lt;string&gt;|&lt;undefined&gt;} getLog()</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">Accessing MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Using-the-MAXScript-Listener.html\">Using the MAXScript Listener</a></li>\n\
          <li><a class=\"link\" href=\"Controlling-the-Listener.html\">Controlling the Listener Contents and the Insertion Point</a></li>\n\
          <li><a class=\"link\" href=\"Using-the-Symbol.html\">Using the &#x27;?&#x27; Symbol</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";