var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0203C56F-ABE5-4BBA-A5C2-9E7F6755FD0D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Manual Stack Dump using the Stack() Function</h1></div><p><strong>Syntax:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">stack threadID:&lt;int&gt; showLocals:&lt;boolean&gt; firstFrameOnly:&lt;boolean&gt; excludeOwner:&lt;boolean&gt; to:&lt;stream&gt; asString:&lt;boolean&gt;</code></pre><p>This function dumps the call stack showing the nesting of function calls at the current execution point.</p>\n\
<p>If <code>threadID:</code> is not specified, the current thread is dumped. If a thread ID is supplied, the specified thread is dumped. See the <code>threads()</code> method.</p>\n\
<p>If <code>showLocals:</code> is not specified or supplied as true, the local variables in each stack frame are dumped.</p>\n\
<p>If <code>firstFrameOnly:</code> is not specified or supplied as false, all stack frames are displayed. If supplied as true, only the current stack frame is displayed.</p>\n\
<p>If <code>to:</code> is not specified, output is sent to the MAXScript Listener, otherwise to the supplied stream.</p>\n\
<p>Available <strong>in 3ds Max 2017 and higher</strong>: If <code>excludeOwner:</code> is true, the dumping of the owner (if any) is not performed at each stack level. If <code>excludeOwner:</code> if false, a dump of the owner of the frame is included. &quot;Owners&quot; include rollouts, scripted plugins, and structure instances. See the second example below.</p>\n\
<p>If <code>asString:</code> is true, the method does not write to a stream (either the listener or the stream specified by to), rather the stack capture is returned from the function as a string.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn test somevalue = (ss=stringstream&quot;&quot;;stack to:ss;ss)\n\
   fn test2 = (xx = pi; test xx)\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   test()\n\
   test2()\n\
   StringStream:&quot;** thread data: threadID:1184\n\
   ** ------------------------------------------------------\n\
   ** [stack level: 0]\n\
   ** In test(); filename: ; position: 52; line: 1\n\
   --  Parameters:\n\
   --   somevalue: 3.14159\n\
   --  Locals:\n\
   --   somevalue: 3.14159\n\
   --   ss: StringStream:&quot;&quot;\n\
   --  Externals:\n\
   --   owner: undefined\n\
   ** ------------------------------------------------------\n\
   ** [stack level: 1]\n\
   ** called from test2(); filename: ; position: 88; line: 2\n\
   --  Locals:\n\
   --   xx: 3.14159\n\
   --  Externals:\n\
   --   owner: undefined\n\
   --   test: Global:test : test()\n\
   ** ------------------------------------------------------\n\
   ** [stack level: 2]\n\
   ** called from top-level\n\
   &quot;\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXCLUDEOWNER EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;test&quot;\n\
   (\n\
       button b &quot;Press Me&quot;\n\
       on b pressed do\n\
       (\n\
           print &quot;stack with owner&quot;\n\
           stack  excludeOwner:false\n\
           print &quot;\\n\\nstack w/o owner&quot;\n\
           stack excludeOwner:true\n\
       )\n\
   )\n\
   createDialog test\n\
\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &quot;stack with owner&quot;\n\
   **    thread data: threadID:7228\n\
   **    ------------------------------------------------------\n\
   **    [stack level: 0]\n\
   **    In b.pressed(); filename: ; position: 125; line: 7\n\
   **    member of: Rollout:test\n\
   --     Locals:\n\
   --     Externals:\n\
   --         test: Rollout:test\n\
   --         owner: Rollout:test\n\
   --     Owner:\n\
   --         Locals:\n\
   --             b: RolloutControl:b in rollout:test : ButtonControl:b\n\
   --         Externals:\n\
   **    ------------------------------------------------------\n\
   **    [stack level: 1]\n\
   **    called from top-level\n\
   &quot;\n\
\n\
   stack w/o owner&quot;\n\
   **    thread data: threadID:7228\n\
   **    ------------------------------------------------------\n\
   **    [stack level: 0]\n\
   **    In b.pressed(); filename: ; position: 183; line: 9\n\
   **    member of: Rollout:test\n\
   --     Locals:\n\
   --     Externals:\n\
   --         test: Rollout:test\n\
   --         owner: Rollout:test\n\
   **    ------------------------------------------------------\n\
   **    [stack level: 1]\n\
   **    called from top-level\n\
\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../The-MAXScript-Debugger.html\">The MAXScript Debugger</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";