var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C3A090F6-42FB-4DFB-8989-4FEA0F5933B1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Editor - Defining Custom Context Menu Items</h1></div><p>The <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> lets you define your own custom Context (Right-Click) Menu Items in addition to the hard-coded items like Undo, Redo, Copy and Paste.</p>\n\
<p>This is the default context menu which appears when you right-click in the Editor window:</p>\n\
<p><img src=\"./images/GUID-02CFEF47-D27C-45B6-9987-453DE84CEB9A-low.gif\" alt></p>\n\
<h2 id=\"definition-\">Definition:</h2><p>Custom context menu items can be defined in the file <strong>MXS_Editor.properties</strong> which is easily accessible via the <strong>Tools &gt; Open Global Options File</strong> menu item.See <a href=\"MAXScript-Editor-Properties-File.html\">MAXScript Editor - Properties File Settings</a> for all options.</p>\n\
<p><strong>The definition starts with</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">user.context.menu=\\</code></pre><p>and is a &apos;|&apos; delimited list of menu item names and the commands they produce.</p>\n\
<p>To place each command on a new line, add a backslash \\ at the end of each line.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   user.context.menu=\\\n\
   Next File |IDM_PREVFILE|\\\n\
   Prev File|IDM_NEXTFILE|</code></pre></blockquote>\n\
<p>Note that the above definition is available by default in the Global Options file but is remarked and thus disabled by default. You can remove the # remark symbold from all lines to enable it.</p>\n\
<p>The commands are either strings or numeric IDs -see <a href=\"List-of-Editor-Key-Commands.html\">List of Editor Key Commands</a> and <a href=\"List-of-Editor-Menu-Commands.html\">List of Editor Menu Commands</a>.</p>\n\
<ul>\n\
<li>Numeric IDs above 2000 are Scintilla commands and are sent to the focussed pane.</li>\n\
</ul>\n\
<ul>\n\
<li><p>Named IDs and numeric IDs below 2000 are SciTE menu commands.</p>\n\
</li>\n\
<li><p>An Empty entry | | defins a separator.</p>\n\
</li>\n\
</ul>\n\
<p>Other than <a href=\"MAXScript-Editor-Defining-Custom-1.html\">keyboard shortcuts</a>, changes to user-defined context menu definitions become active <strong>immediately</strong> and do <strong>not</strong> require a restart!</p>\n\
<h2 id=\"adding-a-new-user-defined-keyboard-shortcut\">Adding a new user-defined keyboard shortcut</h2><p>Let&#x2019;s assume you want to add a menu item for the editor feature &quot;Copy As RTF&quot;. This feature is already listed in the Edit menu but could be placed closer to the mouse for easier copying of formatted colored text between the Editor and external word processing applications.</p>\n\
<ul>\n\
<li><p>Let&apos;s first add a separator by placing two | delimiters and end the line with \\ at the end of the <strong>user.context.menu</strong> definition in the <strong>MXS_Editor.properties</strong> file.</p>\n\
</li>\n\
<li><p>Then we locate in the <a href=\"List-of-Editor-Menu-Commands.html\">List of Named IDs</a> the ID called &quot;<strong>IDM_COPYASRTF</strong>&quot;.</p>\n\
</li>\n\
<li><p>Let&apos;s add this command with label &quot;Copy As RTF&quot; to the context menu by adding to the user.context.menudefinition in the <strong>MXS_Editor.properties</strong> file. The final definition looks like this:</p>\n\
</li>\n\
</ul>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   user.context.menu=\\\n\
   Next File |IDM_PREVFILE|\\\n\
   Prev File|IDM_NEXTFILE|\\ | |\\ Copy As RTF|IDM_COPYASRTF| </code></pre></blockquote>\n\
<ul>\n\
<li><p>Press <strong>CTRL+S</strong> to save the <strong>MXS_Editor.properties</strong> file.</p>\n\
</li>\n\
<li><p>Open a MAXScript file and select some lines.</p>\n\
</li>\n\
<li><p>Right-click in the Editor- the new separator and new menu item should appear!</p>\n\
</li>\n\
<li><p>Select the item <strong>&quot;Copy As RTF&quot;</strong> to copy the selected text to the clipboard including all formatting.</p>\n\
<p>  <img src=\"./images/GUID-A41BE71A-B09D-4E7B-8A6B-F28C6FCC7CAA-low.gif\" alt></p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li>Now you can switch to an application like MS World and paste the text - it should appear in the same style!</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Configuration.html\">MAXScript Editor Configuration And Customization</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";