var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A5B54C67-BFDD-45C0-9D6B-E6869817282A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Array Values</h1></div><p>An <strong>array</strong> is a variable length <strong>indexable sequence of values</strong>.</p>\n\
<p>The values in an array can be of <strong>any type</strong>.</p>\n\
<p>Array values are <strong>mappable</strong>.</p>\n\
<p><strong>Literals</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#(&lt;value&gt;, &lt;value&gt;, ...)\n\
#() -- an empty array</code></pre><p>See also <a href=\"./../../Names-Literal-Constants-and/Literal-Constants/Array-Literals.html\">Array Literals</a>.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;collection&gt; as array </code></pre><p>Convert collection to an array.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;array&gt;.count : Integer   </code></pre><p>Get/Set the number of elements in the array. In <strong>3ds Max</strong> versions prior release 5, this property was read-only.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;array&gt;[&lt;integer&gt;  ] </code></pre><p>Returns element of array. Indexes start at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;array&gt;[&lt;integer&gt;] = &lt;value&gt; </code></pre><p>Sets element of array to value, growing array as necessary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;array&gt; + &lt;collection&gt;</code></pre><p>Like <code>join</code> except a completely new array is constructed containing all the elements of the first and second operands</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = #(1,2,3,4)\n\
   join a #(5,6,7,8)\n\
   (cameras as array) + lights\n\
   props = getPropNames Node\n\
   join props (getPropNames(classOf Box))\n\
   join props (getPropNames Box #dynamicOnly)\n\
   sort props\n\
</code></pre></blockquote>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">append &lt;array&gt; &lt;value&gt; </code></pre><p>Append value to array, growing it as necessary. Returns the resulting array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendIfUnique &lt;array&gt; &lt;value&gt; </code></pre><p>Appends the value to the array if the value is not already in the array.</p>\n\
<p>Returns true if the value is added, false if not.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the free <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   local h = #(1,2,3,4)\n\
   appendIfUnique h 60 -- should work\n\
   appendIfUnique h 4 -- shouldn&apos;t work\n\
   if ((h.count != 5) or (h[5] != 60)) do\n\
   throw &quot;Entry 5 in the array is incorrect&quot;\n\
   format &quot;%\\n&quot; h\n\
   )\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #(1, 2, 3, 4, 60)\n\
   OK\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">makeUniqueArray &lt;array&gt; </code></pre><p>Returns a new array with only unique members of source array.</p>\n\
<p>Available in <strong>3ds Max 2008and higher</strong>. Previously available in the free <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   makeUniqueArray # (1, 2, 3, 4, 3, 2, 1)\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   # (1, 2, 3, 4)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;array&gt; [#noMap] -- mapped </code></pre><p>Creates a copy of all the elements in the array. Returns a value of <code>OK</code> .</p>\n\
<p>If <code>#noMap</code> is specified, the copy made is what is called a <em>shallow copy</em> - only a copy of the upper-level value itself (that is, the <code>array</code> value) is created. Copies aren&apos;t made of values stored in the array, rather a reference to the same value is stored in both <code>array</code> values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deepCopy &lt;array&gt; </code></pre><p>Creates a copy of all elements in the array, including nested sub-arrays and returns the new array as the result.</p>\n\
<p>The deepCopy() method guarantees that if the copied array contains multiple references to the same value, these will be copied as a single reference rather than multiple unique copies. Available in <strong>3ds Max 2019 and higher</strong>. See the example below.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>COPY AND DEEPCOPY EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --REFERENCING WITHOUT COPYING:\n\
   a = #(10,# (1,2,3),30,&quot;test&quot;) --create an array\n\
   --&gt; # (10, # (1, 2, 3), 30, &quot;test&quot;)\n\
   b = a --array is b is referencing the same array a\n\
   --&gt; # (10, # (1, 2, 3), 30, &quot;test&quot;)\n\
   b[1] = 5 --so if we change an element in b, a will also change!\n\
   --&gt; 5\n\
   a\n\
   --&gt; # (5, # (1, 2, 3), 30, &quot;test&quot;)\n\
   b\n\
   --&gt; # (5, #(1, 2, 3), 30, &quot;test&quot;)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --#NOMAP SHALLOW COPY - TOP-LEVEL VALUE COPIED:\n\
   a = # (10,#(1,2,3),30,&quot;test&quot;) --create an array\n\
   --&gt; #(10, #(1, 2, 3), 30, &quot;test&quot;)\n\
   b = copy a #nomap --create a shallow copy\n\
   --&gt; #(10, #(1, 2, 3), 30, &quot;test&quot;)\n\
   b[1] = 5 --changing a top-level element in b does not change a:\n\
   --&gt; 5\n\
   b\n\
   --&gt; #(5, #(1, 2, 3), 30, &quot;test&quot;)\n\
   a\n\
   --&gt; #(10, #(1, 2, 3), 30, &quot;test&quot;)\n\
\n\
   --But if we change the sub-array in b, a will also change.\n\
   --This is because the sub-arrays are not copied recursively.\n\
   --See deepcopy() below for a solution.\n\
   b[2][2] = 42\n\
   --&gt; 42\n\
   b\n\
   --&gt; #(5, #(1, 42, 3), 30, &quot;test&quot;)\n\
   a\n\
   --&gt; #(10, #(1, 42, 3), 30, &quot;test&quot;)\n\
\n\
   --Same applies to the string which is similar to an array\n\
   b[4][2] = &quot;E&quot; -- changing the second character in b affects a:\n\
   --&gt; &quot;E&quot;\n\
   b\n\
   --&gt; #(5, #(1, 42, 3), 30, &quot;tEst&quot;)\n\
   a\n\
   --&gt; #(10, #(1, 42, 3), 30, &quot;tEst&quot;)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- #DEEPCOPY COPY - ALL LEVELS COPIED:\n\
   a = # (10,# (1,2,3),30,&quot;test&quot;) -- create an array\n\
   --&gt; # (10, # (1, 2, 3), 30, &quot;test&quot;)\n\
   b = deepcopy a -- create a deep copy\n\
   --&gt; # (10, # (1, 2, 3), 30, &quot;test&quot;)\n\
\n\
   b[1] = 5 -- changing a value in array b has no effect on array a\n\
   --&gt; 5\n\
   b\n\
   --&gt; # (5, # (1, 2, 3), 30, &quot;test&quot;)\n\
   a\n\
   --&gt; # (10, # (1, 2, 3), 30, &quot;test&quot;)\n\
\n\
   b[2][2] = 42 -- changing a sub-array value in b has no effect on a\n\
   --&gt; 42\n\
   b\n\
   --&gt; # (5, # (1, 42, 3), 30, &quot;test&quot;)\n\
   a\n\
   --&gt; # (10, # (1, 2, 3), 30, &quot;test&quot;)\n\
\n\
   -- Same applies to the string which is similar to an array\n\
   b[4][2] = &quot;E&quot; -- changing the string in b does NOT affect a:\n\
   --&gt; &quot;E&quot;\n\
   b\n\
   --&gt; # (5, # (1, 42, 3), 30, &quot;tEst&quot;)\n\
   a\n\
   --&gt; # (10, # (1, 2, 3), 30, &quot;test&quot;)\n\
\n\
   -- Objects copied as a reference to a single value\n\
   c = #(a,a)\n\
   --&gt; #(#(10, #(1, 2, 3), 30, &quot;test&quot;), #(10, #(1, 2, 3), 30, &quot;test&quot;))\n\
   d = deepcopy c\n\
   -&gt;&gt; #(#(10, #(1, 2, 3), 30, &quot;test&quot;), #(10, #(1, 2, 3), 30, &quot;test&quot;))\n\
   d[1][1] = 11\n\
   --&gt; 11\n\
   d\n\
   --&gt; #(#(11, #(1, 2, 3), 30, &quot;test&quot;), #(11, #(1, 2, 3), 30, &quot;test&quot;))\n\
\n\
</code></pre></blockquote>\n\
<p>Using an <a href=\"./../../Names-Literal-Constants-and/Simple-Expressions/Comparison-Expressions.html\">equality comparison expression</a> on two arrays, even if the one is a deep copy of the other, will not perform per-element comparison but will check whether the two variables reference the same data in memory. Thus, the result of such a comparison will always be false unless the two variables point at the same memory address:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = # (1,2,3,4,5,10,42) --create an array and store in variable a\n\
   --&gt; # (1, 2, 3, 4, 5, 10, 42)\n\
   b = deepcopy a --deep-copy the array into variable b\n\
   --&gt; # (1, 2, 3, 4, 5, 10, 42)\n\
   a == b --although the two have the same elements, they are not considered equal\n\
   --&gt; false\n\
\n\
   c = a --if variable c is referencing the same array in memory,\n\
   --&gt; # (1, 2, 3, 4, 5, 10, 42)\n\
   c == a --the two are considered equal\n\
   --&gt; true\n\
\n\
   --To compare arrays a and b, we have to compare their elements.\n\
   --If no elements are compound values (like other arrays, matrix3 values etc.),\n\
   --the following expression would work:\n\
   a.count == b.count AND \\\n\
   (for i = 1 to a.count where a[i]!=b[i] collect i).count == 0\n\
   --&gt; true\n\
\n\
   --A simpler alternative is to compare the two arrays by turning them into strings.\n\
   --We have to use the &apos;with PrintAllElements on&apos; context because otherwise\n\
   --longer arrays would be shortened after the 20th element:\n\
\n\
   with PrintAllElements on a as string == b as string\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteItem &lt;array&gt; &lt;number&gt; </code></pre><p>Delete element indexed by number from array, shrinking it in size by 1. Returns the resulting array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">join &lt;array&gt; &lt;collection&gt; </code></pre><p>Appends all the elements of the second argument to the <code>array</code> (first) argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">insertItem &lt;value&gt; &lt;array&gt; &lt;integer&gt; </code></pre><p>Inserts the value at the specified index in the array, growing the array if necessary. Returns OK.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">findItem &lt;array&gt; &lt;value&gt; </code></pre><p>Does a MAXScript <strong>&apos;==&apos;</strong> comparison between elements in the array and the target object and then returns the index of the <strong>first occurrence</strong> of the given value in the array or <strong>0 (zero)</strong> if the value is not in the array.</p>\n\
<p>Values such as Point3s and Strings match if they have the same contents.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sort &lt;array&gt; </code></pre><p>Sorts the elements of the array into ascending order. All the elements must be comparable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">qsort &lt;array&gt; &lt;function&gt; [start:&lt;integer&gt;] [end:&lt;integer&gt;] [user-defined key args passed to function] </code></pre><p>Sorts the array using the specified function for element-by-element comparison.</p>\n\
<p>The comparison function must take 2 values as arguments, and return an integer number &lt; 0 if the first value is less than the second value, 0 if the values are equivalent, and an integer number &gt; 0 if the first value is greater than the second value.</p>\n\
<p>The entire array is sorted unless a start or end value is specified.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   The following script generates 10 random positions, and then sorts the positions based on their distance from [0,0,0]:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   positions =for i = 1 to 10 collect (random [0,0,0] [100,100,0])\n\
\n\
   fn compareFN v1 v2 =\n\
   (\n\
   local d = (length v1)-(length v2)\n\
   case of\n\
   (\n\
   (d &lt; 0.): -1\n\
   (d &gt; 0.): 1\n\
   default: 0\n\
   )\n\
   )\n\
\n\
   qsort positions compareFN\n\
   for p in positions do print p\n\
</code></pre></blockquote>\n\
<p>All key arguments are passed to the comparison function. This allows you to do things like an <strong>indexed sort:</strong></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn compareFN v1 v2 valArray: =\n\
   (\n\
   local v1i = valArray[v1]\n\
   local v2i = valArray[v2]\n\
   local d = (length v1i) - (length v2i)\n\
   case of\n\
   (\n\
   (d &lt; 0.): -1\n\
   (d &gt; 0.): 1\n\
   default: 0\n\
   )\n\
   )\n\
   positions = for i = 1 to 10 collect (random [0,0,0] [100,100,0] )\n\
   indexArray = for i = 1 to positions.count collect i\n\
   qsort indexArray compareFN valArray:positions\n\
\n\
   for i = 1 to positions.count do print positions [indexArray[i] ]\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bsearch &lt;key&gt; &lt;array&gt; &lt;function&gt; [start:&lt;integer&gt;] [end:&lt;integer&gt;] [index:&amp;variable] [user-defined key args passed to function] </code></pre><p>Performs binary search in a sorted list of arrays, returning the found element, or undefined if no match is found. Can be used to efficiently find an item in an array by a search key in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p>The <code>&lt;key&gt;</code> argument defines the search key. It will be passed to the search function as its first argument.</p>\n\
<p>The <code>&lt;array&gt;</code> argument is the array to search for the key in.</p>\n\
<p>The <code>&lt;function&gt;</code> argument is a user-defined search function. By default, it will be passed two arguments - the search key and the current element of the array. The function is similar to the one used by the <strong><code>qsort()</code></strong> method described earlier on this page.</p>\n\
<p>Additional optional keyword arguments can be defined in the function and passed to it by name from the bsearch call.</p>\n\
<p>The <strong><code>start:</code> and <code>end:</code></strong> optional keyword arguments can be used to limit the search in the given range.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Compare function used by bsearch:\n\
   fn LookupTableComparator a b = (\n\
   if a[1] &gt; b[1] then 1\n\
   else if a[1] &lt; b[1] then -1\n\
   else 0\n\
   )\n\
\n\
   searchTable =for i = 1 to 10 collect #( (i as string), &quot;Test&quot;+(i as string), i)\n\
\n\
   bsearch &quot;4&quot; searchTable LookupTableComparator\n\
   -- output: #(&quot;4&quot;, &quot;Test4&quot;, 4)\n\
   bsearch &quot;0&quot; searchTable LookupTableComparator\n\
   -- output: undefined\n\
</code></pre></blockquote>\n\
<p>Since <strong>3ds Max 2015</strong>, if the optional by-reference keyword argument <code>index:</code> is specified, the index of the found item will be written into it.</p>\n\
<p>In version prior to <strong>3ds Max 2015</strong>, there is an indirect way to achieve the same result:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn compareFn val index valArray: =\n\
   (\n\
       arrayVal = valArray[index]\n\
       format &quot;val = %  index = %  arrayVal = %\\n&quot; val index arrayVal\n\
       -- do comparison of val and arrayVal here:\n\
       case of (\n\
           (val &lt; arrayVal): -1\n\
           (val &gt; arrayVal): 1\n\
           default: 0\n\
       )\n\
   )\n\
\n\
   --valArray is the sorted array:\n\
   valArray = #(1, 16, 20, 22, 30, 100, 234)\n\
   indexArray = for i = 1 to valArray.count collect i \n\
   foundIndex = bsearch 20 indexArray compareFn valArray:valArray\n\
   format &quot;Index was %\\n&quot; foundIndex\n\
\n\
   --Since bsearch returns the found element, and we are using the indices as elements,\n\
   --the variable foundIndex will contain the index of the found element instead of the valArray element itself.\n\
\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   compareFn()\n\
   #(1, 16, 20, 22, 30, 100, 234)\n\
   #(1, 2, 3, 4, 5, 6, 7)\n\
   val = 20  index = 4  arrayVal = 22\n\
   val = 20  index = 2  arrayVal = 16\n\
   val = 20  index = 3  arrayVal = 20\n\
   3\n\
   Index was 3\n\
   OK\n\
</code></pre></blockquote>\n\
<p>For additional examples and detailed benchmarks of <strong><code>bsearch()</code></strong> compared to MAXScript-based search functions, see <a href=\"./../../../Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Using-Bsearch-For-Fast-Table.html\">Using Bsearch For Fast Table Lookup</a> in the &quot;How To Make It Faster&quot; chapter of the Frequently Asked Questions section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">amin ( &lt;array&gt; | {value} ) </code></pre><p>Returns minimum value of items in the array or of the argument values. If the array size is zero or no arguments are specified, the value undefined is returned.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   myMin1 = amin #(5,1,4,2,8)\n\
   myMin2 = amin 5 1 4 2 8f\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">amax ( &lt;array&gt; | {value} ) </code></pre><p>Returns maximum value of items in the array or of the argument values. If the array size is zero or no arguments are specified, the value undefined is returned.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> As described in <a href=\"./../../Variables-Assignment-and-Scope/Reference-Assignment.html\">Reference Assignment</a>, the elements in an array are stored by reference rather than by value. When you operate directly on array elements, and the reference to the array is stored in more than one place, unexpected results may occur. An example of this is shown in the following script.</div>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   RandomSets=#() -- create array\n\
   RandomSet=#() -- create array\n\
   for i = 1 to 3 do -- loop i\n\
   (for j=1 to 3 do -- for each i loop j\n\
   RandomSet[j] = random 1 100 -- set array element to random value\n\
   print RandomSet #nomap -- print array of random values\n\
   RandomSets[i] = RandomSet -- store random value array in array\n\
   )\n\
   print RandomSets -- print array of arrays of random values\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #() -- result of line 1\n\
   #() -- result of line 2\n\
   #(33, 47, 31) -- output from line 6, i =1\n\
   #(4, 52, 39) -- output from line 6, i =2\n\
   #(52, 36, 23) -- output from line 6, i =3\n\
   OK -- result of for loop, lines 3 to 8\n\
   #(52, 36, 23) -- 3 lines of output from line 7\n\
   #(52, 36, 23)\n\
   #(52, 36, 23)\n\
   OK -- result of line 9\n\
</code></pre><p>   As can be seen in the output lines 7 to 9, all the elements of array <code>RandomSets</code> contain the same values, which is not the result as expected from the output shown on lines 3 to 5. The reason the same values are stored in each element of <code>RandomSets</code> is only one array value is actually ever created for <code>RandomSet</code> (in line 2), and line 5 of the script is only changing the elements of that array value. Thus each element of <code>RandomSets</code> is actually pointing at the exact same value.</p>\n\
<p>   The easiest fix for the above script is to move line 2 into the <code>for i</code> loop expression, thereby creating a new array value which will then be stored in RandomSets.</p>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
   RandomSets =# ()\n\
   for i = 1 to 3 do\n\
   ( RandomSet =# () --create a new array value for RandomSet\n\
   for j = 1 to 3 do\n\
   RandomSet[j]=random 1 100\n\
   print RandomSet #nomap\n\
   RandomSets[i]=RandomSet\n\
   )\n\
   print RandomSets\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #()\n\
   #(89, 27, 88)\n\
   #(87, 87, 10)\n\
   #(74, 27, 64)\n\
   OK\n\
   #(89, 27, 88)\n\
   #(87, 87, 10)\n\
   #(74, 27, 64)\n\
   OK\n\
</code></pre></blockquote>\n\
<p>You can convert object sets and wild-card pathnames to arrays using the <code>as</code> operator.</p>\n\
<p>This has the effect of taking a &quot;snapshot&quot; into the array of the current objects in the set or those matched by the pathname, so that you can then later work on that collection of objects without worrying if the set or match has changed.</p>\n\
<p>This is similar to named selection sets in the <strong>3ds Max</strong> user interface, and can be used, for example, to keep track of selections as you work interactively with MAXScript.</p>\n\
<p>If the user deletes from the scene any of the objects in the array, you will get an error if you try to map operations over the array.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sel1 = selection as array\n\
   boxes_at_load = $box* as array\n\
   snap_children = $torso...* as array\n\
   original_cameras = cameras as array\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">free &lt;array&gt;</code></pre><p>Frees the memory used by the array value without waiting for garbage collection.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Collection-Types.html\">Collection Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Frequently-Asked-Questions/Practical-Questions/Working-with-MAXScript-Values/How-do-I-create-a-multi.html\">How do I create a multi-dimensional array?</a></li>\n\
          <li><a class=\"link\" href=\"../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-the-differences-between.html\">What is the differences between Arrays and BitArrays?</a></li>\n\
          <li><a class=\"link\" href=\"../../../Frequently-Asked-Questions/Practical-Questions/Working-with-MAXScript-Values/How-do-I-remove-duplicate-arrays.html\">How do I remove duplicate arrays from an array?</a></li>\n\
          <li><a class=\"link\" href=\"BitArray-Values.html\">BitArray Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";