var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-102A446F-9146-4D1B-A44A-818F749E61E8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>EdgeSelection Values</h1></div><p>An <strong>EdgeSelection</strong> represents a set of edges for a scene mesh node as a virtual array.</p>\n\
<p>As such, you can access an edge by index, iterate over the edges, and apply mapped functions to the edges.</p>\n\
<p>See also <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\">Editable Mesh</a>.</p>\n\
<p>The EdgeSelection array is <strong>dynamic</strong> (its contents change as the edges or selected edges of the mesh node change).</p>\n\
<p>EdgeSelection values are <strong>mappable</strong>.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.selectedEdges </code></pre><p>The currently selected edges of the mesh object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.Edges </code></pre><p>All of the edges of the mesh object (read-only).</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;edgeselection&gt;.count : Integer, read-only </code></pre><p>Returns the number of edges in the edge array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;edgeselection&gt;.selSetNames : Array of names, read-only </code></pre><p>Returns an array of names of the current edge-level named selection sets for the object the EdgeSelection is associated with.</p>\n\
<p>The following property is present for singleton selections (of the form $foo.edges[n]):</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;edgeselection&gt;.index : Integer, read-only </code></pre><p>Returns the index of the selected element in the mesh,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.selectedEdges[2].index\n\
   --returns the edge index of the 2nd edge in the current selection.\n\
</code></pre></blockquote>\n\
<p>Iterating over a selection yields singleton selections in the loop body:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   se = for i in $foo.selectedVerts collect i.index\n\
   --se contains selected edges as array\n\
</code></pre></blockquote>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.selectedEdges = (&lt;array&gt; | &lt;bitarray&gt;) </code></pre><p>Selects the specified edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;edgeselection&gt;[&lt;integer&gt;] </code></pre><p>Retrieves the indexed edge as a singleton EdgeSelection. Index starts at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;edgeselection&gt;[(&lt;integer_array&gt; | &lt;bitarray&gt;)] </code></pre><p>Retrieves the indexed edges as an EdgeSelection. Index starts at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;edgeselection&gt;[(&lt;#name&gt; | &lt;string&gt;)] </code></pre><p>Retrieves the edge-level named selection set, where the name of the named selection set can be specified as a name or string value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;edgeselection&gt;[(&lt;#name&gt; | &lt;string&gt;)] = (&lt;faceselection&gt; | &lt;integer_array&gt; | &lt;bitarray&gt;) </code></pre><p>Sets the edge-level named selection set to the specified edges.</p>\n\
<p>The name of the named selection set can be specified as a name or string value, and the edges can be specified as an array, a bitArray, or an EdgeSelection from the same object.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">move &lt;edgeselection&gt; &lt;point3&gt; </code></pre><p>Moves the edges in the EdgeSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">select &lt;edgeselection&gt; </code></pre><p>Selects the edges in the EdgeSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deselect &lt;edgeselection&gt; </code></pre><p>Deselects the edges in the EdgeSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delete &lt;edgeselection&gt; </code></pre><p>Deletes the edges in the EdgeSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">append &lt;edgeselection&gt; (&lt;edgeselection&gt; | &lt;integer&gt;) </code></pre><p>Appends the edge(s) to the EdgeSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">findItem &lt;edgeselection&gt; (&lt;edgeselection[&lt;integer&gt;] | &lt;integer&gt;) </code></pre><p>Returns the selection index of the matching item or 0 if not found. The item is selection index or singleton EdgeSelection.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- move edges in &apos;mouth&apos; named selection set\n\
   move $foo.edges[#mouth] [0,0,10]\n\
   -- select edges in &apos;front edges&apos; set\n\
   select $baz.edges[&quot;front edges&quot;]\n\
   -- set &apos;baz&apos; named selection set to given edges\n\
   $foo.edges[#baz] = #(1,3,4,5,10)\n\
   -- set &apos;cursel&apos; set to current selection\n\
   $baz.edges[#cursel] = $baz.selectedEdges\n\
   -- all the names of the edge-level named selection sets for object $foo\n\
   $foo.edges.selSetNames\n\
   -- print out all edge-level named selection sets\n\
   for n in $.edges.selSetNames do print $.edges[n]\n\
   -- print all selected edges, but gets truncated to the first 20 by default\n\
   print $.selectedEdges\n\
   -- use printAllElements context to view all edges\n\
   with printAllElements on print $.selectedEdges\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Collection-Types.html\">Collection Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Values/PrintAllElements-Variable-and.html\">PrintAllElements Variable and Context</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";