var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-77CB1890-C949-43AC-B1E9-B37F97B6712D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ObjectSet Values</h1></div><p><strong>ObjectSets</strong> represent the main scene object categories in <strong>3ds Max</strong>. The &quot;constructors&quot; below are all reserved system variables. ObjectSet values are mappable.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">objects  --all the objects\n\
geometry  --the standard 3ds Max categories... \n\
lights\n\
cameras\n\
helpers\n\
shapes\n\
systems\n\
spacewarps\n\
selection  --the current selection</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectset&gt;.center : Point3, read-only</code></pre><p>Returns center of bounding box of all objects in set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectset&gt;.max : Point3, read-only</code></pre><p>Returns maximum corner of bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectset&gt;.min : Point3, read-only</code></pre><p>Returns minimum corner of bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectset&gt;.count : Integer, read-only</code></pre><p>Returns number of objects in set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectset&gt;.boundingBox</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong>: Read-only. Returns a Box3 value representing the bounding box of the nodes in the ObjectSet.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectset&gt;[&lt;integer&gt;]</code></pre><p>Accesses member of collection. Indexes start at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectset&gt; as array</code></pre><p>Converts objectset collection to an array.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clearSelection()</code></pre><p>Clears current scene node selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deselect &lt;PathName&gt;</code></pre><p>Deselects given node(s).</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   deselect $box* --deselects all items whose names start with &quot;box&quot;.\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">select &lt;PathName&gt;</code></pre><p>Deselects any current selection first, then selects the specified nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selectMore &lt;PathName&gt;</code></pre><p>Adds the specified node(s) to the current selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCurrentSelection()</code></pre><p>Returns the current selection as an array. This is similar to <strong>selection as array</strong>, however <code>selection as array</code> returns a <em>copy</em> of the selection.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>ObjectSets are actually special types of value that denote their sets, stored in reserved system variables of the same name, so you can assign them to other variables and pass them around as function arguments, etc.</p>\n\
<p>When storing an ObjectSet in a variable, <strong>the ObjectSet value is stored</strong> rather than the objects in the ObjectSet. Thus, if the scene changes and the ObjectSet is affected by this change, the value assigned to the variable will also change dynamically to reflect the scene changes.</p>\n\
<p>To store a snapshot of the objects currently in the ObjectSet to a variable, first convert the ObjectSet to an array using the <code>as</code> operator.</p>\n\
<p>You can use ObjectSets as the <strong>root of a pathname</strong>,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $helpers/d*\n\
</code></pre></blockquote>\n\
<p>which limits the pathname searching to the object set you&apos;ve specified. So, in the above example, it will name only helper objects that start with &apos;d&apos;.</p>\n\
<p>The order of sequencing is consistent in a stable scene but somewhat arbitrary - it depends on how <strong>3ds Max</strong> stores its object hierarchy internally which is effected mostly by order of additions and deletions to and from the scene.</p>\n\
<p>The <code>lights</code> and <code>cameras</code> object sets include the target objects, if any, for the lights and cameras. If you want to change a property value for all the lights or cameras, you will need process each object in the ObjectSet individually, testing to make sure it is a light or camera.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<p>   to increase the <code>multiplier</code> property value for all lights, you would say:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for obj in lights do\n\
   if iskindof obj light do\n\
   obj.multiplier *= 1.3\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s = selection[1]  --grab the first object in the current selection\n\
   move cameras[2] [x, y, z + 10]  --move the second camera\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --select everything within a 100 units of $foo\n\
   select (for o in objects where distance o $foo &lt; 100 collect o)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Collection-Types.html\">Collection Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"PathName-Values.html\">PathName Values</a></li>\n\
          <li><a class=\"link\" href=\"../../Names-Literal-Constants-and/Literal-Constants/Pathname-Literals.html\">Pathname Literals</a></li>\n\
          <li><a class=\"link\" href=\"SelectionSetArray-Values.html\">SelectionSetArray Values</a></li>\n\
          <li><a class=\"link\" href=\"SelectionSet-Values.html\">SelectionSet Values</a></li>\n\
          <li><a class=\"link\" href=\"../Collections-1.html\">Collections</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";