var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-47B0A7AE-5401-4E92-BB47-F12C5B4E93D7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PathName Values</h1></div><blockquote>\n\
<p>   <a href=\"./../../Values/Values-1.html\">Value</a> &gt;<a href=\"./../Collections-1.html\">Collections</a> &gt; <a href=\"Collection-Types-1.html\">Collection Types</a> &gt; PathName Values</p>\n\
</blockquote>\n\
<p><strong>PathNames</strong> provide the mechanism for naming objects in the <strong>3ds Max</strong> scene. See also <a href=\"./../../Names-Literal-Constants-and/Literal-Constants/Pathname-Literals.html\">Pathname Literals</a>. Pathname values are mappable.</p>\n\
<p><strong>Example Literals</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$box01\n\
$torso/left_upper_arm/left_lower_arm\n\
$*box*\n\
$torso/*\n\
$torso...*</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;pathname&gt;.center : Point3, read-only</code></pre><p>Returns the center of the bounding box of all objects in pathname.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;pathname&gt;.max : Point3, read-only</code></pre><p>Returns the maximum corner of the bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;pathname&gt;.min : Point3, read-only</code></pre><p>Returns the minimum corner of the bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;pathname&gt;.count : Integer, read-only</code></pre><p>Returns the number of objects in set. This property is only valid for wild-carded pathnames (a pathname that can contain more than one scene object).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;pathname&gt;.boundingBox</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong>: Read-only.  Returns a Box3 value representing the bounding box of the nodes specified by the pathname.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;pathname&gt;[&lt;integer&gt;]</code></pre><p>Accesses the member of collection. Indexes start at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;pathname&gt; as array</code></pre><p>Converts the pathname collection to an array</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isDeleted &lt;MAXWrapper_object&gt;</code></pre><p>This function yields the result as <code>true</code> if the object has been deleted and <code>false</code> if it still exists in the scene.</p>\n\
<p>Using the function only makes sense in situations where references to <strong>3ds Max</strong> objects are held in variables or arrays, or passed as parameters and you want to determine whether the object has been deleted from the scene.</p>\n\
<p>Otherwise, performing an operation on a deleted <strong>3ds Max</strong> object referenced in a variable or array generates an exception.</p>\n\
<p>Any kind of <strong>3ds Max</strong> object can be tested in this way such as, scene objects, modifiers, controllers, materials, and others.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   myBoxes = $box* as array -- store list of all boxes in array myBoxes\n\
   --...\n\
   -- &lt;one or more objects in the selection are deleted\n\
   -- by the user or other scripts&gt;\n\
   --...\n\
   for obj in myBoxes\n\
   where not isDeleted obj do\n\
   move obj [10,0,0]\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The order of sequencing is consistent in a stable scene, but somewhat arbitrary. It depends on how <strong>3ds Max</strong> stores its object hierarchy internally, which is affected mostly by order of additions and deletions to and from the scene.</div>\n\
<p>MAXScript lets you set up a &apos;working level&apos; in the <strong>3ds Max</strong> scene hierarchy that affects pathnames and coordinate systems, and object creation. You can do this with a <code>&lt;level_expr&gt;</code> , one of the many <strong>context expressions</strong> that are described in <a href=\"./../../Names-Literal-Constants-and/Context-Expressions.html\">Context Expressions</a>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = box name: &quot;foo&quot; isSelected:true\n\
   s = sphere name: &quot;feet&quot;\n\
\n\
   a = $*feet*[1] -- retrieves the first object in the *feet*&apos;s\n\
   -- tell me what things inside dummy have a non-identity scale\n\
   for obj in $dummy...*\n\
   where obj.scale != [1,1,1]\n\
   do format &quot;% has non-identity scale: %\\n&quot; obj.name obj.scale\n\
   -- place $foo&apos;s pivot point at the max corner of the set of &apos;box*&apos; objects.\n\
   b.pivot = $box*.max\n\
   in $dummy\n\
   (\n\
   sphere name:&quot;ear1&quot; pos:[10,10,10] -- create as children of $dummy\n\
   sphere name:&quot;ear2&quot; pos:[-10,10,10]\n\
   scale $foo/* [1,1,2] -- looks for &apos;foo&apos; as a child of $dummy\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Collection-Types.html\">Collection Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Names-Literal-Constants-and/Literal-Constants/Pathname-Literals.html\">Pathname Literals</a></li>\n\
          <li><a class=\"link\" href=\"../Collections-1.html\">Collections</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";