var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2BBC8C79-6E94-4C93-A491-E0DA5A5E5A0C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SelectionSet Values</h1></div><p>A <strong>SelectionSet</strong> represents the named scene node selection sets in the Named Selection Sets drop-down list in the <strong>3ds Max</strong> toolbar.</p>\n\
<p>Also see <a href=\"SelectionSetArray-Values.html\">SelectionSetArray Values</a>.</p>\n\
<p>SelectionSet values are mappable.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selectionSets[&lt;set_name&gt;]</code></pre><p>Set by string or name value</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selectionSets[&lt;index&gt;]</code></pre><p>Set by order in drop-down list</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;selectionset&gt;[&lt;integer&gt;]</code></pre><p>Retrieve the n-th object in set.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;selectionset&gt;.center : Point3, read-only</code></pre><p>Returns center of bounding box of all objects in set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;selectionset&gt;.max : Point3, read-only</code></pre><p>Returns maximum corner of bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;selectionset&gt;.min : Point3, read-only</code></pre><p>Returns minimum corner of bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;selectionset&gt;.count : Integer, read-only</code></pre><p>Returns number of objects in set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;selectionset&gt;.name : String</code></pre><p>Get/Set the name of the selection set. This means that you can now rename an existing named selection set instead of destroying it and creating it again.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isDeleted &lt;selectionset&gt;</code></pre><p>Returns true if the selection set is deleted, false of it exists.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = box()\n\
   --&gt; $Box:Box01 @ [0.000000,0.000000,0.000000]\n\
\n\
   selectionSets[&quot;boxes&quot;] = #(b)\n\
   --&gt; #($Box:Box01 @ [0.000000,0.000000,0.000000])\n\
\n\
   nss = selectionSets[&quot;boxes&quot;] \n\
   --&gt; SelectionSet:boxes\n\
\n\
   nss.name \n\
   --&gt; &quot;boxes&quot;\n\
   isdeleted nss \n\
   --&gt; false\n\
   nss.name = &quot;one box&quot; \n\
   --&gt; &quot;one box&quot;\n\
   nss.name \n\
   --&gt; &quot;one box&quot;\n\
   deleteItem selectionsets nss \n\
   --&gt; OK\n\
   isDeleted nss \n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Unlike ObjectSet, you cannot use SelectionSet as the root of a pathname!</p>\n\
<p>The order of sequencing is consistent in a stable scene but somewhat arbitrary - it depends on how <strong>3ds Max</strong> stores its object hierarchy internally which is effected mostly by order of additions and deletions to and from the scene.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Collection-Types.html\">Collection Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"SelectionSetArray-Values.html\">SelectionSetArray Values</a></li>\n\
          <li><a class=\"link\" href=\"PathName-Values.html\">PathName Values</a></li>\n\
          <li><a class=\"link\" href=\"../../Names-Literal-Constants-and/Literal-Constants/Pathname-Literals.html\">Pathname Literals</a></li>\n\
          <li><a class=\"link\" href=\"../Collections-1.html\">Collections</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";