var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-90C7FC22-30E6-4465-B199-9FF98B275751\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SelectionSetArray Values</h1></div><p>The <strong>SelectionSetArray</strong> class has only one instance, <strong>selectionSets</strong>, which is an array of all the named selection sets in the current scene.</p>\n\
<p>The named selection sets correspond to the selection sets in the <strong>Named Selection Set</strong> drop-down list on the <strong>3ds Max</strong> toolbar.</p>\n\
<p>SelectionSet values are mappable.</p>\n\
<p>Also see <a href=\"SelectionSet-Values.html\">SelectionSet Values</a>.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selectionSets</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;selectionsetarray&gt;.count : Integer, read-only</code></pre><p>Returns the number of named selection sets.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;selectionsetarray&gt;.boundingBox</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong>: Read-only. Returns a Box3 value representing the bounding box of the nodes in the SelectionSetArray.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;selectionsetarray&gt;[&lt;set_name&gt;]</code></pre><p>Accesses the member of collection by named selection set name. <code>set_name</code> can be either a String or Name value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;selectionsetarray&gt;[&lt;set_index_integer&gt;]</code></pre><p>Accesses the member of collection by an index number. Indexes start at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;selectionsetarray&gt;[&lt;set_name&gt;] = &lt;node_array&gt;</code></pre><p>Creates or replaces the named selection set with the name <code>set_name</code> , which can be either a String or Name value. <code>node_array</code> must be an array of nodes.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteItem &lt;selectionsetarray&gt; [&lt;set_name&gt; | &lt;selectionset&gt;]</code></pre><p>Deletes the selection set. The first argument is the selection sets array <code>selectionSets</code> .</p>\n\
<p>The second argument can be the name of the selection set that can be either a String or Name value or the selection set itself (which is a new option in <strong>3ds Max 9</strong>).</p>\n\
<p>The method <code>isDeleted()</code> is valid for named selection sets since <strong>3ds Max 9</strong>. See <a href=\"SelectionSet-Values.html\">SelectionSet Values</a> for details and examples.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNumNamedSelSets()</code></pre><p>Returns the number of named selection sets as an integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNamedSelSetName &lt;set_index&gt;</code></pre><p>Returns the name of the indexed named selection set as a string. <code>&lt;set_index&gt;</code> is 1 based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNamedSelSetItemCount &lt;set_index&gt;</code></pre><p>Returns the number of nodes in the indexed named selection set as an integer. <code>&lt;set_index &gt;</code> is 1 based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNamedSelSetItem &lt;set_index&gt; &lt;node_index&gt;</code></pre><p>Returns the indexed node in the indexed named selection set as a node. <code>&lt;set_index&gt;</code> and <code>&lt;node_index&gt;</code> are 1 based.</p>\n\
<p>You can access an individual selection set by indexing the <code>selectionSets</code> array with its name or index.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   set1 = selectionSets[&quot;my set 1&quot;]\n\
</code></pre></blockquote>\n\
<p>You can then use that set just as you use any other object set in MAXScript such as, selection, objects, lights, and others.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   move set1 [10,0,0]\n\
   --moves all the objects in the set across 10 in x.\n\
</code></pre></blockquote>\n\
<p>You can use strings or MAXScript names (starting with #) interchangeably as indexes for the <code>selectionSets</code> array or you can use an integer as an index if you want to loop over all the sets.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   selectionSets[#set2].wireColor = red\n\
   for i in 1 to selectionSets.count do\n\
   saveNodes selectionSets[i] (&quot;set&quot; + i as string + &quot;.max&quot;)\n\
</code></pre></blockquote>\n\
<p>You can <strong>change</strong>, <strong>add</strong>, and <strong>delete</strong> new Named Selection Sets by using the standard array methods on the <code>selectionSets</code> array:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   selectionSets[&quot;new set&quot;] = selection --snap the current selection\n\
   selectionSets[&quot;old spheres&quot;] = $sphere* --all the current objects named &quot;sphere*&quot;\n\
   selectionSets[#foo] = #(obj1, obj2, obj3)\n\
   deleteItem selectionSets&quot;old set&quot; --delete the set named &quot;old set&quot;\n\
   nss = selectionSets[&quot;another set&quot;] --get the selection set by name\n\
   deleteItem selectionSets nss --possible syntax since 3ds Max 9\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Collection-Types.html\">Collection Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"SelectionSet-Values.html\">SelectionSet Values</a></li>\n\
          <li><a class=\"link\" href=\"PathName-Values.html\">PathName Values</a></li>\n\
          <li><a class=\"link\" href=\"../../Names-Literal-Constants-and/Literal-Constants/Pathname-Literals.html\">Pathname Literals</a></li>\n\
          <li><a class=\"link\" href=\"../Collections-1.html\">Collections</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";