var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-728FCDFB-96ED-42D5-B7CF-ADE4406DB101\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>VertexSelection Values</h1></div><p>A <strong>VertexSelection</strong> represents a set of vertices for a scene mesh node as a virtual array.</p>\n\
<p>As such, you can access a vertex by index, iterate over the vertices, and apply mapped functions to the vertices.</p>\n\
<p>See also <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\">Editable Mesh</a>.</p>\n\
<p>The VertexSelection array is dynamic (its contents will change as the vertices or selected vertices of the mesh node change).</p>\n\
<p>VertexSelection values are mappable.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.selectedVerts </code></pre><p>The currently selected vertices of the mesh object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.verts </code></pre><p>All of the vertices of the mesh object. Read-only.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;vertexselection&gt;.count : Integer, read-only </code></pre><p>Returns the number of vertices in the VertexSelection array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;vertexselection&gt;.selSetNames : Array of names, read-only </code></pre><p>Returns an array of names of the current vertex-level named selection sets for the object the VertexSelection is associated with.</p>\n\
<p>The following properties are present for singleton selections (of the form $foo.verts[n]):</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;vertexselection&gt;.index : Integer, read-only </code></pre><p>Returns the index of the selected element in the mesh,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.selectedVerts[2].index\n\
</code></pre><p>   returns the vertex index of the second vertex in the current selection.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;vertexselection&gt;.pos : Point3 </code></pre><p>Returns or sets the position of the selected element in the mesh,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.verts[i].pos = $baz.verts[j].pos + [10,0,0]\n\
</code></pre></blockquote>\n\
<p>Iterating over a selection yields singleton selections in the loop body:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sv = for i in $foo.selectedVerts collect i.index\n\
   --sv contains selected vertices as array\n\
</code></pre></blockquote>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.selectedVerts = (&lt;array&gt; | &lt;bitarray&gt;) </code></pre><p>Selects the specified vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;vertexselection&gt;[&lt;integer&gt;] </code></pre><p>Retrieves the indexed vertex as a singleton VertexSelection. Index starts at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;vertexselection&gt;[&lt;integer&gt;] = &lt;point3&gt; </code></pre><p>Sets the position of the indexed vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;vertexselection&gt;[(&lt;integer_array&gt; | &lt;bitarray&gt;)] </code></pre><p>Retrieves the indexed vertices as a VertexSelection. Index starts at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;vertexselection&gt;[(&lt;#name&gt; | &lt;string&gt;)] </code></pre><p>Retrieves the vertex-level named selection set, where the name of the named selection set can be specified as a name or string value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;vertexselection&gt;[(&lt;#name&gt; | &lt;string&gt;)] = (&lt;vertexselection&gt; | &lt;integer_array&gt; | &lt;bitarray&gt;) </code></pre><p>Sets the vertex-level named selection set to the specified vertices. The name of the named selection set can be specified as a name or string value and the vertices can be specified as an array, bitArray, or a VertexSelection from the same object.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">move &lt;vertexselection&gt; &lt;point3&gt; </code></pre><p>Moves the vertices in the VertexSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">select &lt;vertexselection&gt; </code></pre><p>Selects the vertices in the VertexSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deselect &lt;vertexselection&gt; </code></pre><p>Deselects the vertices in the VertexSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delete &lt;vertexselection&gt; </code></pre><p>Deletes the vertices in the VertexSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">append &lt;vertexselection&gt; (&lt;vertexselection&gt; | &lt;integer&gt;) </code></pre><p>Appends the vertex or vertices to the VertexSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">findItem &lt;vertexselection&gt; (&lt;vertexselection[&lt;integer&gt;] | &lt;integer&gt;) </code></pre><p>Returns the selection index of the matching item or 0 if not found. The item is selection index or singleton VertexSelection.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- move vertices in &apos;mouth&apos; named selection set\n\
   move $foo.verts[#mouth] [0,0,10]\n\
   -- select vertices in &apos;front verts&apos; set\n\
   select $baz.verts[&quot;front verts&quot;]\n\
   -- set &apos;baz&apos; named selection set to given vertices\n\
   $foo.verts[#baz] = #(1,3,4,5,10)\n\
   -- set &apos;cursel&apos; set to current selection\n\
   $baz.verts[#cursel] = $baz.selectedVerts\n\
   -- all the names of the vertex-level named selection sets for object $foo\n\
   $foo.verts.selSetNames\n\
   -- print out all vertex-level named selection sets\n\
   for n in $.verts.selSetNames do print $.verts[n]\n\
   -- coerce selected verts to a string\n\
   with printAllElements on $foo.selectedVerts as string\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Collection-Types.html\">Collection Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Values/PrintAllElements-Variable-and.html\">PrintAllElements Variable and Context</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";