var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-21F52D81-8D49-4CBC-A8C4-3E906E150439\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Case Expression</h1></div><p>The <code>case</code> expression is used to select an expression to be evaluated from a set of labeled expressions based on a test value compared against the labels.</p>\n\
<p>Only the first expression whose label matches the test expression is evaluated.</p>\n\
<p>All labels must be comparable to the test expression.</p>\n\
<p>Labeled expressions can be block-expressions, so you can use the <code>case</code> expression as a case statement, choosing between blocks of code to execute.</p>\n\
<p>The <strong>syntax</strong> for <code>&lt;case_expr&gt;</code> is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">case [ &lt;expr&gt; ]  of ( &lt;cases&gt; )</code></pre><p>where <code>&lt;expr&gt;</code> is the test expression and <code>&lt;cases&gt;</code> is a sequence of labeled expressions:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;factor&gt;: &lt;expr&gt;\n\
default: &lt;expr&gt;   </code></pre><blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = Box()\n\
   copy_type = 2 --copy\n\
   new_obj = case copy_type of\n\
   (\n\
   2: copy b\n\
   3: instance b\n\
   default: reference b\n\
   )\n\
</code></pre></blockquote>\n\
<p>A special label, <code>default</code> , can be optionally used to tag the expression that will be evaluated if no other labels match the test expression.</p>\n\
<p>If the <code>default</code> label is not used, and no label matches the test expression, the <code>case</code> expression returns a value of <code>undefined</code> .</p>\n\
<p>The labels are <code>&lt;factors&gt;</code> - elements such as, number literals, name literals, string literals, variables, or block-expressions.</p>\n\
<p>When a <code>case</code> expression is evaluated, the test expression is evaluated once, then each label expression is evaluated in order until one is found that compares equally to the test expression value.</p>\n\
<p>The expression it labels is then evaluated and this becomes the result of the <code>case</code> expression.</p>\n\
<p>No further labels are evaluated or tested.</p>\n\
<p>The test expression is optional.</p>\n\
<p>If it is not supplied, the labels are expected to be Boolean values or expressions and the first label evaluated as <code>true</code> determines the chosen case.</p>\n\
<p>In this variant, it is common to use expressions as labels, so be sure to parenthesize them.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a= random 1 20\n\
   b = random 1 20\n\
   c = random 1 20\n\
   d = random 1 20 \n\
   case of\n\
   (\n\
   (a &gt; b): print &quot;a is big&quot;\n\
   (b &lt; c): print &quot;b is little&quot;\n\
   (c &lt;= d*3): print &quot;c is less than 3 times d&quot; \n\
   default: print &quot;none of the above&quot;\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controlling-Program-Flow.html\">Controlling Program Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";