var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A3807B0D-F4E0-49B1-807A-8B582A30DFA4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Loop Exit</h1></div><p>MAXScript provides an <code>exit</code> construct for breaking out of <code>for</code> , <code>do</code> , and <code>while</code> loops prematurely, even though the loop test expression is still <code>true</code> .</p>\n\
<p>This is often useful to simplify the loop test expression, and still use error or other complex termination tests in the body <code>&lt;expr&gt;</code> of the loop.</p>\n\
<p>Its <strong>syntax</strong> is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">exit [ with &lt;expr&gt; ] </code></pre><blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   while x &lt; y do\n\
   (\n\
   local delta = x - y\n\
   if delta &lt;= 0 then exit -- time to bail\n\
   $foo.pos.x = compute_x (foo / delta)\n\
   x += 0.1\n\
   )\n\
</code></pre></blockquote>\n\
<p>The optional <code>with &lt;expr&gt;</code> lets you specify what the overall value of the loop expression should be if the loop exits prematurely.</p>\n\
<p>If you don&apos;t specify an exit value, the loop returns the value <code>undefined</code> upon exit.</p>\n\
<p>Exiting a <code>for ... do</code> loop using a <code>with &lt;expr&gt;</code> returns the expression value as the result of the loop.</p>\n\
<p><strong>Note</strong> that in releases prior <strong>3ds Max 6</strong>, <code>OK</code> was returned.</p>\n\
<p>Exiting a <code>for ... collect</code> loop using a <code>with &lt;expr&gt;</code> results in the array of body values collected up to the point of exit.</p>\n\
<blockquote>\n\
<p>   <strong>PERFORMANCE WARNING!</strong></p>\n\
<p>   Breaking out of a loop using an <code>exit</code> construct is implemented internally using try/catch, which is <strong>extremely slow!</strong></p>\n\
<p>   It is recommended to use the optional <code>while</code> test added to <a href=\"For-Loop.html\">for loops</a> in <strong>3ds Max 6</strong> for performance reasons.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controlling-Program-Flow.html\">Controlling Program Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"For-Loop.html\">For Loop</a></li>\n\
          <li><a class=\"link\" href=\"Skipping-Loop-Iterations.html\">Skipping Loop Iterations</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";