var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-059672B5-A234-438C-8A80-F5CC6C3BE936\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Dereferencing Operator</h1></div><p><a href=\"Visible-Class-For-Reference.html\">Visible Class For &apos;&amp;&apos; Reference Values</a></p>\n\
<p>A Function Published <strong>dereferencing prefix operator</strong>, <strong>*</strong>, is available in MAXScript since <strong>3ds Max 4</strong>.</p>\n\
<p>It can be used in conjunction with the &apos;<strong>&amp;</strong>&apos; reference operator that was added to support pass-by-reference arguments to functions and interface methods.</p>\n\
<p>The &apos;<strong>&amp;</strong>&apos; operator is used to get a &apos;reference&apos; to a variable or property or array element slot in MAXScript. You can pass this reference in to a function that accepts by-reference arguments, allowing its code to directly assign values to the referenced variable or property or array element, thus supporting a kind of multiple-value return.</p>\n\
<p>The &apos;<strong>*</strong>&apos; operator allows you to work with &apos;<strong>&amp;</strong>&apos; reference values anywhere in MAXScript code. Therefore &apos;dereference&apos; the reference and get the value in the slot or variable it is referring to and to assign it to the referenced slot.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   The following puts a value into ref which is a reference to the .pos property in the scene object $foo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ref = &amp;$foo.pos</code></pre><p>   Elsewhere in the code, you could use the * dereferencing operator to say:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $baz.pos = *ref</code></pre><p>   The * above dereferences the reference value in ref, essentially making the expression equivalent to:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $baz.pos = $foo.pos</code></pre><p>   You can also use this construct as a destination for an assignment:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   *ref = [10,0,0]</code></pre><p>   The above first dereferences the reference in ref to $foo.pos and then assigns to that, effectively setting $foo&apos;s position.</p>\n\
</blockquote>\n\
<p>In order to <strong>avoid ambiguity</strong> with the &apos;<strong>*</strong>&apos; multiply operator, the precedence of the &apos;<strong>*</strong>&apos; dereferencing operator is set at just lower than the function call and just higher than the <strong>&apos;as&apos; coercion operator</strong>. This means that if you want to send a dereferenced value into a function as an argument, you must surround the dereferencing with parentheses,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   foo (*ref) x y z</code></pre></blockquote>\n\
<p>Remember that reference values can be generated for variables, properties and array elements,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &amp;foo\n\
   &amp;$box.position.x\n\
   &amp;valArray[23]\n\
</code></pre></blockquote>\n\
<p>The &apos;*&apos; dereferencing operator is a moderately advanced feature in MAXScript that is often used to allow very general purpose code to be written that uses references instead of actual objects so that it can be applied to different kinds of objects and properties at different times.</p>\n\
<p><strong>Nested property access is allowed</strong> in &amp; reference values in MAXScript.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   This allows a construct like</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ref = &amp;$foo.pos\n\
</code></pre><p>   and later in the code</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   *r.controller\n\
</code></pre><p>   to mean the same as</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.pos.controller\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Creating-Functions.html\">Creating Functions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"By-Reference-Parameter-Passing.html\">By Reference Parameter Passing</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";