var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E672728A-EE15-4197-9EDD-487781167B01\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Context Expressions</h1></div><p>Context expressions are parts of the MAXScript syntax that are specifically designed for use with <strong>3ds Max</strong>. Context expressions are mirrors of some of the most important abstractions in the <strong>3ds Max</strong> user interface - the animate button, the time-line slider, the working coordinate system, and so on. Context expressions make it as easy to create animation and perform geometry manipulation in MAXScript as these tools do in the user interface.</p>\n\
<p>The basic idea for this is a prefix that is supplied to set up a context for the evaluation of its expression.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b1 = box()\n\
   b2 = box()\n\
   animate on\n\
   (\n\
     move $box001 [20, 0, 0]\n\
     rotate $box002 45 x_axis\n\
   )\n\
</code></pre></blockquote>\n\
<p>This effectively &quot;turns on&quot; the animate button for the duration of its block-expression. The move and rotate automatically generate keyframes, just as it happens when you turn the animate button on in the <strong>3ds Max</strong> user interface and move objects around.</p>\n\
<p>Another kind of context expression has a prefix for setting the current animation time, as though you had moved the time slider. If we mix the two forms together, you can see how to do keyframe animation in MAXScript.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   animate on\n\
   (\n\
     at time 0 $box001.position = [-100, 0, 0]\n\
     at time 100 $box001.position = [100, 0, 0]\n\
   )\n\
</code></pre></blockquote>\n\
<p>The full syntax for <code>&lt;context_expr&gt;</code> is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;context&gt; { , &lt;context&gt; } &lt;expr&gt;</code></pre><p>where <code>&lt;context&gt;</code> is one of:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ with ] animate &lt;boolean&gt; \n\
at level &lt;node&gt;\n\
in &lt;node&gt;\n\
at time &lt;time&gt;\n\
[ in ] coordsys &lt;coordsys&gt;\n\
about &lt;center_spec&gt;\n\
[ with ] undo &lt;boolean&gt;\n\
[ with ] redraw &lt;boolean&gt;\n\
[ with ] quiet &lt;boolean&gt;\n\
[ with ] redraw &lt;boolean&gt;\n\
[ with ] printAllElements &lt;boolean&gt;\n\
[ with ] defaultAction &lt;action&gt;\n\
[ with ] MXSCallstackCaptureEnabled &lt;boolean&gt;\n\
[ with ] dontRepeatMessages &lt;boolean&gt;\n\
[ with ] macroRecorderEmitterEnabled &lt;boolean&gt;\n\
</code></pre><blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- randomly jiggle each object in the selection around + or - 20 units\n\
   in coordsys local selection.pos = random [-20,20,20] [20,20,20]\n\
   -- rotate all the boxes 30 degrees about the y_axis of $foo\n\
   about $box001 rotate $box002* 30 y_axis\n\
   -- generate a keyframed animation of $foo randomly chasing $baz\n\
   animate on\n\
     for t in 0 to 100 by 5 do\n\
       at time t\n\
         $box001.pos = $box002.pos + random [-10,-10,-10] [10,10,10]\n\
</code></pre></blockquote>\n\
<p>The individual context expressions are described in the following topics:</p>\n\
<p><a href=\"Context-Expressions/animate.html\">animate</a></p>\n\
<p><a href=\"Context-Expressions/at-level-in.html\">at level, in</a></p>\n\
<p><a href=\"Context-Expressions/at-time.html\">at time</a></p>\n\
<p><a href=\"Context-Expressions/coordsys.html\">coordsys</a></p>\n\
<p><a href=\"Context-Expressions/about.html\">about</a></p>\n\
<p><a href=\"Context-Expressions/undo.html\">undo</a></p>\n\
<p><a href=\"Context-Expressions/quiet-Context.html\">quiet</a></p>\n\
<p><a href=\"Context-Expressions/redraw-Context.html\">redraw</a></p>\n\
<p><a href=\"./../Values/PrintAllElements-Variable-and.html\">PrintAllElements</a></p>\n\
<p><a href=\"Context-Expressions/defaultAction-Context.html\">defaultAction</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Macro-Recorder-Emission-From.html\">macroRecorderEmitterEnabled</a></p>\n\
<p><a href=\"Context-Expressions/MXSCallstackCaptureEnabled.html\">MXSCallstackCaptureEnabled</a></p>\n\
<p><a href=\"Context-Expressions/dontRepeatMessages-Context.html\">dontRepeatMessages</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/animate.html\">animate</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/at-level-in.html\">at level; in</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/at-time.html\">at time</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/about.html\">about</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/coordsys.html\">coordsys</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/defaultAction-Context.html\">defaultAction Context</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/MXSCallstackCaptureEnabled.html\">MXSCallstackCaptureEnabled</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/quiet-Context.html\">quiet Context</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/redraw-Context.html\">redraw Context</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/undo.html\">undo</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/dontRepeatMessages-Context.html\">dontRepeatMessages Context</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/Cascading-Contexts.html\">Cascading Contexts</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/Nested-Contexts.html\">Nested Contexts</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Context-Expressions/Sticky-Contexts.html\">Sticky Contexts</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Names-Literal-Constants-and.html\">Names, Literal Constants, and Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Context-Expressions/Cascading-Contexts.html\">Cascading Contexts</a></li>\n\
          <li><a class=\"link\" href=\"Context-Expressions/Nested-Contexts.html\">Nested Contexts</a></li>\n\
          <li><a class=\"link\" href=\"Context-Expressions/Sticky-Contexts.html\">Sticky Contexts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";