var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A2C25DDF-2FC1-456B-90C2-B91D98296C3F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>2D and 3D Point Literals</h1></div><p>Coordinates are used extensively in MAXScript programming. They support a large range of operations as described in <a href=\"./../../Values/Basic-Data-Values/Point2-Values.html\">Point2 Values</a> and <a href=\"./../../Values/Basic-Data-Values/Point3-Values.html\">Point3 Values</a>. You can write point literals using the following forms:</p>\n\
<p><strong>2D</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ &lt;expr&gt;, &lt;expr&gt; ]</code></pre><p><strong>3D</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ &lt;expr&gt;, &lt;expr&gt;, &lt;expr&gt; ]</code></pre><p>where <code>&lt;expr&gt;</code> evaluates to an Integer or Float value.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   [320, 240] -- 2D point\n\
   [10, 20, 30] -- 3D point\n\
</code></pre></blockquote>\n\
<p>Expressions in a literal are evaluated when the literal is built. The following script and results show the value stored in a Point3 when expressions are used in the literal:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a=10\n\
   b=45\n\
   [10, 20, 30]\n\
   [sin a, 2 * b, a^2 + b^2] -- can contain expressions\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   10.0 -- result of line 1\n\
   45 -- result of line 2\n\
   [10,20,30] -- result of line 3\n\
   [0.173648,90,2125] -- result of line 4\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Literal-Constants.html\">Literal Constants</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Values/Basic-Data-Values/Point2-Values.html\">Point2 Values</a></li>\n\
          <li><a class=\"link\" href=\"../../Values/Basic-Data-Values/Point3-Values.html\">Point3 Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";