var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-26009A1A-50AF-4ED7-AECA-8CB60D11A1A5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Function Calls</h1></div><p>A function call expression passes an optional list of arguments to a MAXScript or user-defined function, and the value returned by the function is the function call expression&#x2019;s result. A <code>&lt;function_call&gt;</code> has one of the following forms:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;operand&gt; { &lt;argument&gt; }+ -- one or more arguments</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;operand&gt; () -- no arguments      </code></pre><p>in which, <code>&lt;argument&gt;</code> is one of the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;operand&gt;&lt;name&gt;: &lt;operand&gt; -- keyword argument</code></pre><blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sin a\n\
   tan2 x y\n\
   print (n + 1) to:debug\n\
   fns[i] $box01 -- get function out of array fns\n\
   move object1 [10,20,x * 3]\n\
</code></pre></blockquote>\n\
<p>This syntax is unlike most programming languages that typically use parenthesized lists of comma-separated arguments. This syntax was chosen for MAXScript for the following reasons:</p>\n\
<ul>\n\
<li><p>It is simpler and easier to use, particularly if a function has many optional keyword arguments.</p>\n\
</li>\n\
<li><p>The language is used in a command-line window within <strong>3ds Max</strong>. Therefore, this form is similar to other command or shell languages that users might already know.</p>\n\
</li>\n\
</ul>\n\
<p>All <strong>3ds Max</strong> objects including geometric objects, splines, materials, and so on are created using function calls. The name of the object creation function is the object&#x2019;s class name.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   standard() -- create a standard material\n\
   bend angle:45 -- create a bend modifier\n\
   box height:20 width:40 -- create a box\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Function-Calls/Positional-and-Keyword-Arguments.html\">Positional and Keyword Arguments</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Function-Calls/Function-Precedence.html\">Function Precedence</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Function-Calls/Code-Layout.html\">Code Layout</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Function-Calls/Special-Notes-About-Function.html\">Special Notes About Function Calls</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Simple-Expressions.html\">Simple Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Function-Calls/Positional-and-Keyword-Arguments.html\">Positional and Keyword Arguments</a></li>\n\
          <li><a class=\"link\" href=\"Function-Calls/Function-Precedence.html\">Function Precedence</a></li>\n\
          <li><a class=\"link\" href=\"Function-Calls/Code-Layout.html\">Code Layout</a></li>\n\
          <li><a class=\"link\" href=\"Function-Calls/Special-Notes-About-Function.html\">Special Notes About Function Calls</a></li>\n\
          <li><a class=\"link\" href=\"../../Creating-Functions/Creating-Functions-1.html\">Creating Functions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";