var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-822DE27D-004E-4B19-ADA6-B0E980626462\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Positional and Keyword Arguments</h1></div><p>A function can take two kinds of arguments:</p>\n\
<ul>\n\
<li><p><strong>Positional Arguments</strong>. If you call a function that takes positional arguments, you must specify those arguments first and in the correct order. Positional arguments correspond to the function arguments in most programming languages - they are required and have a fixed number and order.</p>\n\
</li>\n\
<li><p><strong>Keyword Arguments</strong>. You write keyword arguments as a <code>keyword:&lt;value&gt;</code> pair, and they can appear in any order after the positional arguments. Functions can use some or all of their keyword arguments as optional arguments. If you call a function and don&apos;t supply optional keyword arguments, they will have either the default value supplied by the called function, or the special value <code>unsupplied</code> when first referenced in the called function.</p>\n\
</li>\n\
</ul>\n\
<p>Optional keyword arguments are useful in command languages where commands can have many options. They are particularly useful within <strong>3ds Max</strong> where most functions have numerous optional keyword arguments. For example, all scene object creation functions take optional keyword arguments for their creation parameters. As there are sometimes more than 100 arguments to these functions, using positional arguments would simply be unworkable.</p>\n\
<p>As an example of positional arguments, the syntax for the print function is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">print &lt;value&gt; [to:&lt;file&gt;]      </code></pre><p><code>&lt;value&gt;</code> is a positional argument, and is required. <code>to: &lt;file&gt;</code> is an optional keyword argument, where <code>to</code> is the argument keyword and <code>&lt;file&gt;</code> is the argument value. If the <code>to</code> argument value is <code>unsupplied</code>, MAXScript outputs <code>&lt;value&gt;</code> to Listener. Otherwise, MAXScript outputs <code>&lt;value&gt;</code> to the file specified by <code>&lt;file&gt;</code>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   As another example, you can create a sphere object in the <strong>3ds Max</strong> scene with no arguments:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sphere()</code></pre><p>   Or, you could specify just one argument:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sphere radius:23</code></pre><p>   Or, you can specify more optional arguments:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sphere segs:20 smooth:on radius:15 hemisphere:0.5 mapcoords:on</code></pre></blockquote>\n\
<p>For those keyword arguments not specified when creating <strong>3ds Max</strong> objects, default values are used. The default value used for each keyword argument is shown in the descriptions of the object classes.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Function-Calls.html\">Function Calls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";