var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7C65C77D-3C74-482B-ACC2-3D5D879DD99C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Logical Expressions</h1></div><p><strong>Logical expressions</strong> combine the results of Boolean expressions, such as comparisons, to construct complex conditional expressions.</p>\n\
<p>The forms of a <code>&lt;logical_expr&gt;</code> are as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;logical_operand&gt; or &lt;logical_operand&gt; -- true if either operandis true\n\
&lt;logical_operand&gt; and &lt;logical_operand&gt; -- true if both operands are true\n\
[ not ] &lt;logical_operand&gt;-- true if operand is false</code></pre><p>where <code>&lt;logical_operand&gt;</code> is one of the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;operand&gt;\n\
&lt;compare_expr&gt;\n\
&lt;function_call&gt;\n\
&lt;logical_expr&gt;</code></pre><p>Logical operators only operate on Boolean values, so each <code>&lt;logical_operand&gt;</code> must evaluate to <code>true</code> or <code>false</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a &gt; 0 and a &lt; n + 1\n\
   not x and y\n\
   a and b or c and d and not e\n\
</code></pre></blockquote>\n\
<p>As with math expressions, <code>&lt;logical_expr&gt;</code> is a recursive definition, meaning a logical operand can be another logical expression.</p>\n\
<p>You can have arbitrary sequences containing <code>and</code> , <code>or</code> , and <code>not</code> , and the order of evaluation is defined by the following precedence ordering (in decreasing order of precedence):</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   not -- right associative</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   and -- left associative</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   or -- left associative</code></pre></blockquote>\n\
<p>This means that in an unparenthesised logical expression, <code>not</code> is evaluated before <code>and</code> which is evaluated before <code>or</code> .</p>\n\
<p>Logical operators have a lower precedence than comparison operators, math, and function calls. Therefore, these operations are always evaluated before logical operators, which follows convention.</p>\n\
<p>The previous examples would be evaluated in the following order:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (a &gt; 0) and (a &lt; (n + 1))\n\
   (not x) and y\n\
   (a and b) or ((c and d) and (not e))</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Logical-Expressions/Short-Circuiting-Logical.html\">Short-Circuiting Logical Expressions</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Simple-Expressions.html\">Simple Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Logical-Expressions/Short-Circuiting-Logical.html\">Short-Circuiting Logical Expressions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";