var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7861EA5A-81DC-4BFE-9585-1FFC08ACEDB2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Operands</h1></div><p><strong>Operands</strong>, denoted as <code>&lt;operand&gt;</code> in the syntax definitions, are the references to values that surround operators or are passed as parameters to a function. Prime examples are <a href=\"./../Literal-Constants/Literal-Constants-1.html\">Literal Constants</a> and variable names. Operands are divided into two groups, <strong>Factors</strong> and <strong>Accessors</strong>.</p>\n\
<h2 id=\"factors\">Factors</h2><p><strong>Factors</strong>, denoted as <code>&lt;factor&gt;</code> in the syntax definitions, are references to values, where the entire value is acted on. A factor can be a <a href=\"./../Literal-Constants/Literal-Constants-1.html\">Literal Constants</a>, a <a href=\"./../../Reserved-Keywords-Symbols/Reserved-Global-Variables.html\">Reserved Global Variable</a>, a variable name, or an expression.</p>\n\
<p>The unary minus applies the math negate operator to its operand.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-&lt;operand&gt; -- unary minus</code></pre><p>The unary minus is only applicable to factors that evaluate to a number.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -0.75\n\
   sin (-a*pi)</code></pre></blockquote>\n\
<h2 id=\"accessors\">Accessors</h2><p><strong>Accessors</strong> are constructs that let you access the components in compound values, such as arrays and 3D points. There are two kinds of accessors corresponding to the two kinds of compound values in MAXScript:</p>\n\
<ul>\n\
<li><p>The component values are arranged in an indexable sequence, as in arrays or strings.</p>\n\
</li>\n\
<li><p>The compound value contains a fixed set of named components, as with 3D points and time intervals.</p>\n\
</li>\n\
</ul>\n\
<p>All <strong>3ds Max</strong> objects, such as boxes, spheres, bend modifiers, or bitmap textures are treated as compound values in this sense. All of their parameters, such as height and angle, or map file name, are accessed as named components. In MAXScript, these named components are referred to as properties.</p>\n\
<p>Accessors have one of two forms, an <code>&lt;array_index&gt;</code> :</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;operand&gt; [ &lt;expr&gt; ] -- an indexed element</code></pre><p>or a <code>&lt;property&gt;</code>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;operand&gt;.&lt;var_name&gt; -- a named property</code></pre><blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   maps[i]\n\
   selection[n+1]\n\
   position.x\n\
   bend.angle</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Simple-Expressions.html\">Simple Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";