var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-141213A1-B5A8-457B-8838-E602022C8798\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max System Globals</h1></div><p>The <strong>3ds Max</strong> system global variables give you access to state information in the <strong>3ds Max</strong> system.</p>\n\
<p>Except where noted as read-only, you can both access and assign to the global variables.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#a\">A</a></li>\n\
<li><a href=\"#b\">B</a></li>\n\
<li><a href=\"#c\">C</a></li>\n\
<li><a href=\"#d\">D</a></li>\n\
<li><a href=\"#e\">E</a></li>\n\
<li><a href=\"#f\">F</a></li>\n\
<li><a href=\"#g\">G</a></li>\n\
<li><a href=\"#h\">H</a></li>\n\
<li><a href=\"#k\">K</a></li>\n\
<li><a href=\"#l\">L</a></li>\n\
<li><a href=\"#m\">M</a></li>\n\
<li><a href=\"#n\">N</a></li>\n\
<li><a href=\"#p\">P</a></li>\n\
<li><a href=\"#r\">R</a></li>\n\
<li><a href=\"#s\">S</a></li>\n\
<li><a href=\"#t\">T</a></li>\n\
<li><a href=\"#u\">U</a></li>\n\
<li><a href=\"#v\">V</a></li>\n\
<li><a href=\"#scanline-renderer-specific-system-global-variables\">Scanline Renderer Specific System Global Variables</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h2 id=\"a\">A</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">activeGrid </code></pre><p>Contains the currently active grid. If the home grid is active, returns the value <code>undefined</code> .</p>\n\
<p>You can assign a grid node object to this variable to make it the currently active grid.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Grids.html\">Viewport Grids</a>.</p>\n\
<p>You can also return to the home grid by setting <code>activegrid = undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ambientColor </code></pre><p>Lets you get and set a Color value that defines the global rendering environment (Rendering &gt; Environment) ambient lighting color.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ambientColorController </code></pre><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering &gt; Environment) ambient lighting color controller.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animateMode</code></pre><p>Gets or sets the current Auto Key Animation Mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animationRange </code></pre><p>Lets you get and set an Interval value that defines the start and end of the current active animation range.</p>\n\
<p>This variable contains the corresponding values set in the Time Configuration dialog.</p>\n\
<p>See<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">Time Configuration Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animButtonEnabled </code></pre><p>A Boolean value that specifies whether the user can change the state of the Animate button.</p>\n\
<p>If set to <code>false</code> , the user can not change the Animate button state.</p>\n\
<p>If set to <code>true</code> , the user can change the Animate button state.</p>\n\
<p>A script can change the state of the Animate button using animButtonState regardless of the animButtonEnabled value.</p>\n\
<p>See<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\">Time Control</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animButtonState </code></pre><p>Lets you to get and set the state of the Animate button.</p>\n\
<p>A Boolean value - <code>true</code> if Animate is on, <code>false</code> if Animate is off.</p>\n\
<p>See<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\">Time Control</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">autoBackup.enabled </code></pre><p>Get/set whether auto backup is enabled as a <code>&lt;boolean&gt;</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">autoBackup.time </code></pre><p>Get/set the time in minutes between auto backup as a <code>&lt;float&gt;</code>.</p>\n\
<p>If the specified value is &lt; 0.01 (the UI limit), the time is set to 0.01.</p>\n\
<h2 id=\"b\">B</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">backgroundColor </code></pre><p>Lets you get and set a Color value that defines the global rendering environment (Rendering &gt; Environment) background color.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">backgroundColorController </code></pre><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering &gt; Environment) background color controller.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">backgroundImageFileName </code></pre><p>Lets you get and set a String value that defines the viewport background image bitmap file name.</p>\n\
<p>This variable contains the corresponding bitmap file name set in the Viewport Background dialog.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Background-Images.html\">Viewport Background Images</a>.</p>\n\
<h2 id=\"c\">C</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.commandPanelOpen </code></pre><p>Lets you get and set whether the command panel is displayed.</p>\n\
<p>A Boolean value - <code>true</code> if the command panel is displayed, <code>false</code> if not displayed.</p>\n\
<p>See<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Command-Panels-1.html\">Command Panels</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">currentMaterialLibrary </code></pre><p>Contains a virtual array of materials and root level maps corresponding to the currently opened material library.</p>\n\
<p>You can get library materials via array indexing and iterate over them in a <code>for</code> loop.</p>\n\
<p>The array can be indexed by number, or by name or string to select by material name.</p>\n\
<p>This variable is read-only. See <a href=\"./../Collections/Collection-Types/MaterialLibrary-Values.html\">MaterialLibrary Values</a>.</p>\n\
<h2 id=\"d\">D</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">displayGamma </code></pre><p>Lets you view Float values that define the gamma preference settings.</p>\n\
<p>They contain the corresponding values set in the Gamma tab of the Preferences dialog.</p>\n\
<p>You could use this global variable to establish gamma for a MAXScript-created bitmap.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = bitmap 320 240 gamma:displayGamma\n\
   render camera:c to:b\n\
</code></pre><p>   This would cause the rendered bitmap to display using the current displays gamma setting if used as a rollout bitmap or button image.</p>\n\
</blockquote>\n\
<p>See also <strong>fileInGamma</strong>, <strong>fileOutGamma</strong>, and <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IDisplayGamma.html\">Interface: IDisplayGamma</a> for Gamma-related properties and methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">displaySafeFrames </code></pre><p>Lets you get and set whether Show Safe Frames is on for the active viewport.</p>\n\
<p>A Boolean value - <code>true</code> if Show Safe Frames is on, <code>false</code> if off.</p>\n\
<h2 id=\"e\">E</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">environmentMap </code></pre><p>Lets you get and set a TextureMap value that defines the global rendering environment (Rendering &gt; Environment) environment map.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog.html\">Environment And Effects Dialog</a>.</p>\n\
<p>Also see the System Global Variable <a href=\"3ds-Max-System-Globals.html\">useEnvironmentMap</a> for control over the on/off state of the environment map.</p>\n\
<h2 id=\"f\">F</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flyOffTime </code></pre><p>Lets you get and set an Integer value that defines the time in milliseconds the user must hold down on a flyout before the flyout is activated.</p>\n\
<p>This variable contains the corresponding value set in the General tab of the Preferences dialog.</p>\n\
<p>Same as the System Global Variable <a href=\"3ds-Max-System-Globals.html\">preferences.flyOffTime</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> fileInGamma fileOutGamma </code></pre><p>Lets you get and set Float values that define the gamma preference settings.</p>\n\
<p>They contain the corresponding values set in the Gamma tab of the Preferences dialog.</p>\n\
<p>You could use these global variables to establish gamma for a MAXScript-created bitmap.</p>\n\
<p>See also <strong>displayGamma</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">frameRate </code></pre><p>Lets you get and set an Integer value that defines the current scene frame rate in frames-per-second.</p>\n\
<p>This variable contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">Time Configuration Dialog</a>.</p>\n\
<h2 id=\"g\">G</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalTracks </code></pre><p>Contains a MAXTVNode value that defines the top-level Global Tracks node in Track View.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See <a href=\"./../../3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/Track-View-Nodes.html\">Track View Nodes</a>.</p>\n\
<h2 id=\"h\">H</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hardwareLockID </code></pre><p>Contains an Integer value that defines the <strong>3ds Max</strong> hardware lock ID.</p>\n\
<p>This variable is read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hotspotAngleSeparation </code></pre><p>Contains a Float value that defines the Hot Spot/FallOff Angle Separation value.</p>\n\
<p>This variable contains the corresponding value set in the Rendering tab of the Preferences dialog.</p>\n\
<p>This variable is read-only.</p>\n\
<h2 id=\"k\">K</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keyboard.shiftPressed keyboard.controlPressed keyboard.altPressed keyboard.escPressed </code></pre><p>These read-only variables access the current state of the keyboard Shift, Control, Alt and Escape keys.</p>\n\
<p>They return <code>true</code> or <code>false</code> depending on the pressed state of the key at the time the variable is read.</p>\n\
<h2 id=\"l\">L</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lightLevel </code></pre><p>Lets you get and set a Float value that defines the global rendering environment (Rendering &gt; Environment) Global Lighting Tint Level.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lightLevelController </code></pre><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering &gt; Environment) Global Lighting Tint Level controller.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lightTintColor </code></pre><p>Lets you get and set a Color value that defines the global rendering environment (Rendering &gt; Environment) Global Lighting Tint color.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lightTintColorController </code></pre><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering &gt; Environment) Global Lighting Tint color controller.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">listener </code></pre><p>Read only system global - listener edit window <a href=\"./../Values/Stream-Values/WindowStream-Values.html\">WindowStream</a> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">localTime </code></pre><p>Contains a String value that defines the current local date and time.</p>\n\
<p>This variable is read-only.</p>\n\
<p>An example of the value stored in localtime is:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s = localTime\n\
   &quot;4/14/97 10:24:57 AM&quot;\n\
</code></pre></blockquote>\n\
<p>The format of this string is controlled by the date format selected in the main Windows Regional Settings control panel.</p>\n\
<p>See also <a href=\"./../../Interaction-With-The-Operating/Local-and-Universal-Time.html\">Local and Universal Time</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">logsystem.quietmode </code></pre><p>Lets you get and set whether error logging quiet mode is enabled.</p>\n\
<p>A Boolean value set to <code>true</code> when you do not want error messages from the renderer to bring up dialog boxes.</p>\n\
<p>If set to <code>false</code> , error messages from the renderer will bring up dialog boxes.</p>\n\
<p><strong>3ds Max</strong> sets the corresponding internal variable to <code>true</code> during network rendering to suppress error messages such as the &quot;Missing Maps&quot; and &quot;Missing Map Coordinates&quot; dialogs.</p>\n\
<p>If this variable is set to <code>true</code> and the renderer generates an error message, the renderer will exit.</p>\n\
<p>After setting quiet mode, do not forget to clear it when you are done, since the user will not see any error messages from the renderer while quiet mode is enabled.</p>\n\
<p>See also <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/Log-System.html\">logsystem_struct</a> for log system related methods.</p>\n\
<h2 id=\"m\">M</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroRecorder </code></pre><p>Read-only system global - represents the Macro Recorder edit window <a href=\"./../Values/Stream-Values/WindowStream-Values.html\">WindowStream</a> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">manipulateMode </code></pre><p>Get/set the <strong>3ds Max</strong> manipulate mode.</p>\n\
<p>When <code>true</code> , manipulate mode is active.</p>\n\
<p>See also the topic <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Manipulators.html\">Scripted Manipulators</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxFileName </code></pre><p>Contains a String value that defines the file name for the currently open scene.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See <a href=\"./../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/How-do-I-get-the-file-name-of.html\">How do I get the file name of the current scene?</a> FAQ entry as well as <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">3ds Max File Loading and Saving</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxFilePath </code></pre><p>Contains a String value that defines the directory path for the currently open scene.</p>\n\
<p>This variable is read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.productAppID : enum : Read productAppID enums: {#none|#max|#viz|#gmax} </code></pre><p>The enum values returned are as follows:</p>\n\
<p><code>#none</code> -no ID</p>\n\
<p><code>#max</code> -3ds Max</p>\n\
<p><code>#viz</code> - Autodesk VIZ</p>\n\
<p><code>#gmax</code> -gmax</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meditMaterials </code></pre><p>Contains a virtual array of materials and root level maps corresponding to the slots in the material editor.</p>\n\
<p>You can access material editor materials and root level maps via array indexing and iterate over them in a <code>for</code> loop.</p>\n\
<p>The array can be indexed by number to specify slot number or name or string to select by material and root level map name.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b=box()\n\
   b.material = meditMaterials[1]\n\
   meditMaterials[&quot;01 - Default&quot;].diffuse = red\n\
   for m in meditMaterials do print m.diffuseMap\n\
   meditMaterials[1]=standard()\n\
   print meditMaterials.count-- number of slots\n\
</code></pre></blockquote>\n\
<p>This variable is read-only, but the elements (the materials in the slots) are assignable.</p>\n\
<p>See <a href=\"./../Collections/Collection-Types/MaterialLibrary-Values.html\">MaterialLibrary Values</a>.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/Material-Editor-1.html\">Material Editor</a> for methods for assigning materials and maps to the material editor slots.</p>\n\
<h2 id=\"n\">N</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numEffects</code></pre><p>Contains an Integer value that defines the number of current render effects defined in the Rendering &gt; Effects dialog list.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See<a href=\"./../../3ds-Max-Objects-and-Interfaces/RenderEffect-MAXWrapper/RenderEffect-MAXWrapper-1.html\">RenderEffect</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numAtmospherics </code></pre><p>Contains an Integer value that defines the number of atmospheric events, as shown in Rendering &gt; Environment.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numSubObjectLevels </code></pre><p>Lets you get the number of sub-object levels supported by the object or modifier currently selected in the modifier stack.</p>\n\
<p>If the Modify panel is not open or no objects are selected, the global contains the value <code>undefined</code> . See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\">Modify Panel</a>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <code>subObjectLevel</code> and <code>numSubObjectLevels</code> system global variables return values other than &apos;undefined&apos; if you are in the Motion panel.</p>\n\
<p>At the top of the Motion panel there is a Selection Level/Sub-Object drop-down list. This is for Trajectory mode, and switches you in and out of Keys SO mode.</p>\n\
<p>Because of this, the test (subobjectlevel != undefined) is not a valid test of whether you are in the Modify panel.</p>\n\
<p>Instead, use the <code>test (getCommandPanelTaskMode() == #modify)</code> .</p>\n\
<h2 id=\"p\">P</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">playActiveOnly </code></pre><p>Lets you get and set whether to playback the active viewport only.</p>\n\
<p>This variable contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>A Boolean value - <code>true</code> if Active Viewport Only is on, <code>false</code> if off. See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">Time Configuration Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.autoKeyDefaultKeyOn </code></pre><p>This System Global variable controls whether a default key with the current value will be created when a controller with no keys is animated in Auto Key mode at a time different from the value set by <code>preferences.autoKeyDefaultKeyTime</code>. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>Corresponds to the checkbox exposed in the Main Menu &gt; Customize &gt; Preferences &gt; Animation &gt; Auto Key Default Frame group of controls.</p>\n\
<p>Default is True.</p>\n\
<p>When set to False, a new key will be created only at the current time, and the original value of the controller will be lost.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#autokey-default-key\">maxOps</a> interface has an option by the same name that has the same functionality.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.autoKeyDefaultKeyTime </code></pre><p>This System Global variable controls the frame on which a default key with the current value will be created when a controller with no keys is animated in Auto Key mode at a different time. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>Corresponds to the value spinner exposed in the Main Menu &gt; Customize &gt; Preferences &gt; Animation &gt; Auto Key Default Frame group of controls.</p>\n\
<p>Default is 0.</p>\n\
<p>The value can be set to any valid frame number.</p>\n\
<p>Note that in versions prior to 3ds Max 2017, the default key time could only be set to 0 or 1.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxOps</a> interface has an option by the same name that has the same functionality.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.constantReferenceSystem </code></pre><p>Lets you get and set whether to use the same coordinate system for the Move, Rotate, and Scale tools in the <strong>3ds Max</strong> toolbar.</p>\n\
<p>A Boolean value - <code>true</code> if Constant is on, <code>false</code> if off.</p>\n\
<p>This variable matches the Constant check box in the General page of Customize &gt; Preferences.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.dontRepeatRefMsg </code></pre><p>A message notification system optimization related to reference message propagation was introduced in 3ds Max 6 and was enabled by default. The optimization consists of preventing the same reference change message from being sent repeatedly to the same object. This optimization speeds up complex rigs using multiple animation controllers, and other cases where a single change can cause a large number of reference change messages to be sent.</p>\n\
<p>When set to true, the optimization is enabled and no redundant notifications are sent.</p>\n\
<p>When set to false, the system behaves as in 3ds Max 5 and earlier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.EnableOptimizeDependentNotifications </code></pre><p>For internal use only.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;array&gt;GetOptimizeDependentNotificationsStatistics() </code></pre><p>Returns the optimized dependent notification statistics as an array of two Integer64 values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ResetOptimizeDependentNotificationsStatistics()</code></pre><p>Resets the statistics counters to zero.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.flyOffTime </code></pre><p>Lets you get and set an Integer value that defines the time in milliseconds the user must hold down on a flyout before the flyout is activated.</p>\n\
<p>This variable contains the corresponding value set in the General page of Customize &gt; Preferences.</p>\n\
<p>Same as the System Global Variable <a href=\"3ds-Max-System-Globals.html\">flyOffTime</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.InvalidateTMOpt </code></pre><p>An optimization was introduced in <strong>3ds Max 7</strong> that checks to see if a node has already been invalidated before sending out notifications to it&apos;s dependents that it has been changed. It speeds up complex rigs, especially those that involve the new expose transform helper.</p>\n\
<p>When set to true, the optimization is enabled and multiple notifications will not be sent out.</p>\n\
<p>When set to false, the animation system behaves as in <strong>3ds Max 6</strong> and earlier.</p>\n\
<p>It is true by default.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.maximumGBufferLayers </code></pre><p>Lets you get and set an Integer value that specifies the maximum number of g-buffer layers generated during a render.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.playPreviewWhenDone </code></pre><p>Specifies whether to automatically play or display the preview created by <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview()</a> or using the <strong>Make Preview</strong> dialog.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.spinnerWrap </code></pre><p>Lets you get and set a Boolean value that defines whether cursor wrapping is limited to an area close to the spinner when you drag to adjust spinner value.</p>\n\
<p>This variable contains the corresponding value set in the General page of Customize &gt; Preferences.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.spinnerPrecision </code></pre><p>This integer value defines the number of decimal digits displayed by spinners.</p>\n\
<p>Corresponds to the Precision value in the Spinners group in Customize &gt; Preferences &gt; General.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.spinnerSnap </code></pre><p>This float value defines the spinner snap value.</p>\n\
<p>Corresponds to the Snap value in the Spinners group in Customize &gt; Preferences &gt; General.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.useSpinnerSnap </code></pre><p>This Boolean value defines whether to use the spinner snap.</p>\n\
<p>Corresponds to the Use Snap checkbox in the Spinners group in Customize &gt; Preferences &gt; General.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.useLargeVertexDots </code></pre><p>Lets you get and set whether to use small or large dots when representing vertices as dots.</p>\n\
<p>A Boolean value set to <code>true</code> if you when using dots to represent vertices and a large size is desired.</p>\n\
<p>The value of this variable only has effect when <code>UseVertexDots</code> is set to <code>true</code> .</p>\n\
<p>This variable contains the corresponding value set in the Viewports page of Customize &gt; Preferences.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.useTransformGizmos </code></pre><p>Lets you get and set whether to use the Transform Gizmos.</p>\n\
<p>A Boolean value - <code>true</code> if on, <code>false</code> if off.</p>\n\
<p>This variable contains the corresponding value set in the Viewports page of Customize &gt; Preferences.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.useVertexDots </code></pre><p>Lets you get and set whether to represent vertices as dots.</p>\n\
<p>A Boolean value set to <code>true</code> when you want to use dots as the representation of the vertices in a mesh. If set to <code>false</code> , ticks will be used.</p>\n\
<p>This variable contains the corresponding value set in the Viewports page of Customize &gt; Preferences.</p>\n\
<h2 id=\"r\">R</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">realTimePlayback </code></pre><p>Lets you get and set whether to playback in real time mode. This variable contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>A Boolean value - <code>true</code> if Real Time is on, <code>false</code> if off.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">Time Configuration Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderer </code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>In versions prior <strong>3ds Max 6</strong>, this global variable was used to get and set the renderer type (#production or #draft).</p>\n\
<p>The #draft renderer option has been removed from 3ds Max 6, making this variable obsolete.</p>\n\
<p>It only accepts and returns #production now and is kept for backwards compatibility of scripts from earlier versions that might be checking this value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderDisplacements </code></pre><p>Lets you get and set whether to perform displacement mapping during a render.</p>\n\
<p>A Boolean value - <code>true</code> if displacement mapping is to be performed, <code>false</code> if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderEffects </code></pre><p>Lets you get and set whether to perform Render Effects after a scene render.</p>\n\
<p>A Boolean value - <code>true</code> if Render Effects are to be performed, <code>false</code> if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderHeight </code></pre><p>Lets you get and set an Integer value that defines the output size height for the active renderer.</p>\n\
<p>This variable contains the corresponding value set in the Render Scene dialog.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\">Render Scene Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderPixelAspect </code></pre><p>Lets you get and set an Integer value that defines the output pixel aspect for the active renderer.</p>\n\
<p>This variable contains the corresponding value set in the Render Scene dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderWidth </code></pre><p>Lets you get and set an Integer value that defines the output size width for the active renderer.</p>\n\
<p>This variable contains the corresponding value set in the Render Scene dialog.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\">Render Scene Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendOutputFilename </code></pre><p>Lets you get and set a String value that defines the output file name for the active renderer.</p>\n\
<p>This variable contains the corresponding value set in the Render Scene dialog.</p>\n\
<p>If this global variable is set to &quot;&quot; the Save File check box in the Render Scene dialog is unchecked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendSimplifyAreaLights </code></pre><p>When set to <code>*true*</code> , area lights will be examined and converted to point light sources when appropriate.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> There is also an equally named parameter to the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\">render()</a> command to achieve this behavior.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rootNode </code></pre><p>Contains a Node value that defines the root node of the scene.</p>\n\
<p>The root node does not physically exist in the scene, rather it is a special node that is the parent node of all nodes that are not linked to another node.</p>\n\
<p>The scene objects can be enumerated by accessing the <code>children</code> property of the root node.</p>\n\
<p>A run-time error is generated if you try to perform other node operations on the root node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rootScene </code></pre><p>Represents the scene root in scripts and Macro Recorder output.</p>\n\
<p>The subAnims of rootScene include the node hierarchy, the Material Editor, Track View, Scene Material Library etc.</p>\n\
<p>See <a href=\"./../../3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/rootScene-System-Global-Variable.html\">rootScene System Global Variable</a>.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<h2 id=\"s\">S</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sceneMaterials </code></pre><p>Contains a virtual array of materials and root level maps corresponding to the materials and root level maps present in the scene.</p>\n\
<p>You can get scene materials and root level maps via array indexing and iterate over them in a <code>for</code> loop.</p>\n\
<p>The array can be indexed by number, or by name or string to select by material or root level map name.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See <a href=\"./../Collections/Collection-Types/MaterialLibrary-Values.html\">MaterialLibrary Values</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scriptsPath </code></pre><p>Contains a String value that defines the full directory path to the current Scripts directory.</p>\n\
<p>This variable is read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selectionSets </code></pre><p>Contains a virtual array of all the current named node selection sets in the Named Selection Set drop-down list on the <strong>3ds Max</strong> toolbar.</p>\n\
<p>You can get named selection sets via array indexing and iterate over them in a <code>for</code> loop.</p>\n\
<p>The array can be indexed by number, or by name or string to select by named selection sets.</p>\n\
<p>You can change, add and delete Named Selection Sets by using the standard array methods on the <code>selectionSets</code> array.</p>\n\
<p>See<a href=\"./../Collections/Collection-Types/SelectionSetArray-Values.html\">SelectionSetArray Values</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showEndResult </code></pre><p>Lets you get and set the state of the Show End Result Toggle icon in the Modify panel.</p>\n\
<p>A Boolean Value - <code>true</code> if Show End Result is on, <code>false</code> if off. See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\">Modify Panel</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skipRenderedFrames </code></pre><p>Lets you get and set whether to skip rendered frames during a render.</p>\n\
<p>A Boolean Value - <code>true</code> if rendered frames are to be skipped, <code>false</code> if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sliderTime </code></pre><p>Lets you get and set a Time value that defines the time associated with the <strong>3ds Max</strong> time slider.</p>\n\
<p>See<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\">Time Control</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.active </code></pre><p>Lets you get and set a Boolean value defining the Snap toggle state - on ( <code>true</code> ) or off ( <code>false</code> ).</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Status-Bar-Buttons.html\">Status Bar Buttons</a> as well as the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/snapMode-Struct.html\">SnapMode struct</a> topic.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.type </code></pre><p>Lets you get and set a Name value defining whether 2D ( <code>#2D</code> ), 2.5D ( <code>#2_5D</code> ), or 3D ( <code>#3D</code> ) is the current snap type.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Status-Bar-Buttons.html\">Status Bar Buttons</a> as well as the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/snapMode-Struct.html\">SnapMode struct</a> topic.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.snapPreviewRadius </code></pre><p>A System Global variable which lets you get and set the Snap Preview Radius value.</p>\n\
<p>Default value is 30.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<p>Also see the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/snapMode-Struct.html\">SnapMode struct</a> topic.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.snapRadius </code></pre><p>A System Global variable which lets you get and set the Snap Radius value.</p>\n\
<p>Default value is 20.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<p>Also see the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/snapMode-Struct.html\">SnapMode struct</a> topic.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.hilite </code></pre><p>A System Global which lets you get and set the color value of the Snap Marker.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.markSize </code></pre><p>A System Global which lets you get and set the Snap Marker Size.</p>\n\
<p>An integer value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.toFrozen </code></pre><p>A System Global which lets you get and set whether to snap to frozen objects.</p>\n\
<p>A Boolean value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.axisConstraint </code></pre><p>A System Global which lets you get and set whether the snap should use axis constraints as Boolean value.</p>\n\
<p>Corresponds to the checkbox in the &quot;Grid and Snap Settings&quot; dialog, Options tab.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.displayRubberBand </code></pre><p>A System Global which lets you get and set whether to display rubber band as a Boolean value.</p>\n\
<p>Corresponds to the checkbox in the &quot;Grid and Snap Settings&quot; dialog, Options tab.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.useAxisCenterAsStartSnapPoint </code></pre><p>A System Global which lets you get and set the state of the &quot;Use Axis Center As Start Snap Point&quot; option as Boolean value.</p>\n\
<p>Corresponds to the checkbox in the &quot;Grid and Snap Settings&quot; dialog, Options tab.</p>\n\
<p>Available in <strong>3ds Max 7 and higher up to3ds Max 2010</strong>.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> <strong>Deprecated</strong> in <strong>3ds Max 2011</strong>.</p>\n\
<p>Attempting to access this property will result in:</p>\n\
<p>-- Runtime error: Cannot set this snap option. It has been deprecated as of <strong>3ds Max 2011</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.display </code></pre><p>A System Global which lets you get and set whether the Snap Marker is displayed.</p>\n\
<p>A Boolean value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.strength </code></pre><p>A System Global which lets you get and set the Snap Strength as an integer value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.hit </code></pre><p>A System Global which contains true if the Marker is currently snapped to something, false if not snapped.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.node </code></pre><p>A System Global which contains the node currently being snapped to.</p>\n\
<p>Contains undefined if not snapped to a node or if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.flags </code></pre><p>A System Global which contains the Snap System Flags as an integer.</p>\n\
<p>Contains undefined if Snaps not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.hitPoint </code></pre><p>A System Global which contains the last Snap Point as Point3 coordinate in local coordinates of the node snapped to.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in<strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.worldHitpoint </code></pre><p>A System Global which contains the last Snap Point as Point3 world coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.screenHitPoint </code></pre><p>A System Global which contains the last Snap Point as a Point3 screen coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.OKForRelativeSnap </code></pre><p>A System Global which contains true if at least one Snap Point has been recorded.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.refPoint </code></pre><p>A System Global which contains the last Snap Point as point3 world coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.topRefPoint </code></pre><p>A System Global which contains the first snap point as point3 world coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.numOSnaps </code></pre><p>A System Global which contains the number of OSnaps as an integer.</p>\n\
<p>Read only.</p>\n\
<p>Currently there are 6 sets of OSnaps - see below of details.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">subObjectLevel </code></pre><p>Lets you get and set the sub-object level in the Modify panel if it is open. An Integer value of zero or greater up to the number of sub-object levels supported by the currently open modifier, typically in the order shown in the Sub-Object drop-down list.</p>\n\
<p>A <code>subObjectLevel</code> of 0 means sub-object mode is off.</p>\n\
<p>If the Modify panel is not open or sub-object level setting not permitted in the current modifier, the global contains the value <code>undefined</code> .</p>\n\
<p>Use the <code>numSubObjectLevels</code> global variable to access the maximum valid <code>subObjectlevel</code> value.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\">Modify Panel</a>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b=box()-- create a box\n\
   em=edit_mesh()-- create an Edit Mesh modifier\n\
   addModifier b em-- add edit mesh mod\n\
   max modify mode-- open mod panel\n\
   select b-- select object Box001\n\
   print subObjectLevel-- print the current subobject level\n\
   subObjectLevel = 2-- set sub-object level to Edge</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <code>subObjectLevel</code> and <code>numSubObjectLevels</code> system global variables return values other than &apos;undefined&apos; if you are in the Motion panel.</p>\n\
<p>At the top of the Motion panel, there is a Selection Level/Sub-Object drop-down. This is for Trajectory mode, and switches you in and out of Keys SO mode.</p>\n\
<p>Because of this, the test <code>(subobjectlevel != undefined)</code> is not a valid test of whether you are in the Modify panel. Instead, use the test <code>(getCommandPanelTaskMode() == #modify).</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.DesktopSize </code></pre><p>A read only variable to get the desktop size in pixels as a <code>&lt;point2&gt;</code> value.</p>\n\
<p>See also <a href=\"./../../Interaction-With-The-Operating/System-Information.html\">System Information</a> and getMAXWindowSize() under <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">Miscellaneous Functions</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.DesktopBPP </code></pre><p>A read only variable to get the desktop color depth in bits per pixel as an <code>&lt;integer&gt;</code> value.</p>\n\
<p>See also <a href=\"./../../Interaction-With-The-Operating/System-Information.html\">System Information</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sysInfo.MAXPriority </code></pre><p>Get/set the <strong>3ds Max</strong> process priority as a <code>&lt;name&gt;</code> value. Valid priority values are <code>#high</code> , <code>#normal</code> , and <code>#low</code> .</p>\n\
<p>See also <a href=\"./../../Interaction-With-The-Operating/System-Information.html\">System Information</a>.</p>\n\
<h2 id=\"t\">T</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ticksPerFrame </code></pre><p>Lets you get and set an Integer value defining the system time resolution.</p>\n\
<p>There are always 4800 ticks per second, this means that ticksPerFrame is dependent on the frames per second rate (ticksPerFrame * frameRate == 4800)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">timeConfiguration.playActiveOnly </code></pre><p>Lets you get and set whether to playback the active viewport only.</p>\n\
<p>This variable contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>A Boolean value - <code>true</code> if Active Viewport Only is on, <code>false</code> if off.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">Time Configuration Dialog</a>.</p>\n\
<p>Same as <a href=\"3ds-Max-System-Globals.html\">playActiveOnly System Global</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">timeConfiguration.realTimePlayback </code></pre><p>Lets you get and set whether to playback in real time mode.</p>\n\
<p>This variable contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>A Boolean value - <code>true</code> if Real Time is on, <code>false</code> if off.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">Time Configuration Dialog</a>.</p>\n\
<p>Same as <a href=\"3ds-Max-System-Globals.html\">realTimePlayback System Global</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">timeConfiguration.PlaybackSpeed </code></pre><p>Lets you get and set the viewport playback speed mode.</p>\n\
<p>See<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">Time Configuration Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">timeConfiguration.PlaybackLoop </code></pre><p>Get/set whether to loop the viewport playback. Only used when timeConfiguration <code>. realTimePlayback</code> is set to <code>true.</code></p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">Time Configuration Dialog</a>.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">timeConfiguration.useTrackBar </code></pre><p>Lets you get and set the state of the Time Configuration dialog &apos;Key Steps / Use TrackBar&apos; check box.</p>\n\
<p>A Boolean value - <code>true</code> if checked, <code>false</code> if not.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">Time Configuration Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">timeDisplayMode </code></pre><p>Lets you get and set whether to playback the Time Display mode. It contains the corresponding value set in the Time Configuration dialog as a Name value.</p>\n\
<p>Available in 3ds Max 2008 and higher. Previously available in the <a href=\"./../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard DLX Extension</a></p>\n\
<p>Possible values are <code>#frames, #smpte, #frameTicks, #timeTicks.</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolmode.axisConstraints </code></pre><p>Get/set the <strong>3ds Max</strong> axis constraints.</p>\n\
<p>The axis constraints values are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#X #Y #Z #XY #YZ #ZX </code></pre><p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Main-Toolbar/Main-Toolbar-1.html\">Main Toolbar</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolmode.commandmode </code></pre><p>Get/set the <strong>3ds Max</strong> command mode.</p>\n\
<p>The value of the command mode is a <code>&lt;name&gt;</code> value if the command mode is a recognized command mode, otherwise the return value is an integer value.</p>\n\
<p>The recognized command modes are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#SELECT #MOVE #ROTATE #NUSCALE #USCALE #SQUASH #VIEWPORT #HIERARCHY #CREATE #MODIFY #MOTION #ANIMATION #CAMERA #NULL #DISPLAY #SPOTLIGHT #PICK </code></pre><p>When setting the <strong>3ds Max</strong> command mode, only the following command modes are valid:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#SELECT #MOVE #ROTATE #NUSCALE #USCALE #SQUASH </code></pre><p>See <a href=\"3ds-Max-System-Globals.html\">Main Toolbar</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolMode.coordSysNode </code></pre><p>A read/write variable containing a node value or undefined.</p>\n\
<p>This variable reflects which node, if any, is the current reference coordinate system node.</p>\n\
<p>Assignment to this variable must be a node value.</p>\n\
<p>See <a href=\"3ds-Max-System-Globals.html\">Main Toolbar</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolmode.commandmodeID </code></pre><p>Get the <strong>3ds Max</strong> command mode as Integer ID.</p>\n\
<p>Read-only.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Move</p>\n\
<p>2 - Rotate</p>\n\
<p>3 - Non-Uniform Scale</p>\n\
<p>4 - Uniform Scale</p>\n\
<p>5 - Squash Scale</p>\n\
<p>6 - Select</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Main-Toolbar/Main-Toolbar-1.html\">Main Toolbar</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackbar.filter </code></pre><p>Lets you get and set the filter specifying which types of keys to show in the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Trackbar/trackbar.html\">Trackbar</a>.</p>\n\
<p>A Name value - the valid values are: <code>#all</code> , <code>#TMOnly</code> , <code>#currentTM</code> , <code>#object</code> , and <code>#mat</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackbar.visible </code></pre><p>Lets you get and set whether the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Trackbar/trackbar.html\">Trackbar</a> is visible.</p>\n\
<p>A Boolean value - <code>true</code> if the Trackbar is visible, <code>false</code> if invisible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackViewNodes </code></pre><p>Contains a MAXTVNode value that defines top-level World node in Track View.</p>\n\
<p>This variable is read-only. See <a href=\"./../../3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/Track-View-Nodes.html\">Track View Nodes</a>.</p>\n\
<h2 id=\"u\">U</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.DisplayType </code></pre><p>Get/set the current unit display type as a <code>&lt;name&gt;</code>.</p>\n\
<p>Valid unit display types are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Generic #Metric #US #custom </code></pre><p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\">Units Struct - Accessing System and Display Units</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.MetricType </code></pre><p>Get/set the current metric unit display type as a <code>&lt;name&gt;</code>.</p>\n\
<p>Valid metric unit display types are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Millimeters #Centimeters #Meters #Kilometers </code></pre><p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\">Units Struct - Accessing System and Display Units</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.USType </code></pre><p>Get/set the current US standard unit display type as a <code>&lt;name&gt;</code>.</p>\n\
<p>Valid US standard unit display types are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Frac_In #Dec_In #Frac_Ft #Dec_Ft #Ft_Frac_In #Ft_Dec_In </code></pre><p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\">Units Struct - Accessing System and Display Units</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.USFrac </code></pre><p>Get/set the current US fraction display type as a <code>&lt;name&gt;</code>.</p>\n\
<p>Valid US fraction display types are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Frac_1_1 #Frac_1_2 #Frac_1_4 #Frac_1_8 #Frac_1_10 #Frac_1_16 #Frac_1_32 #Frac_1_64 #Frac_1_100 </code></pre><p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\">Units Struct - Accessing System and Display Units</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.CustomName </code></pre><p>Get/set the current custom unit name as a <code>&lt;string&gt;</code></p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\">Units Struct - Accessing System and Display Units</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.CustomValue </code></pre><p>Get/set the current custom unit value as a <code>&lt;float&gt;</code></p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\">Units Struct - Accessing System and Display Units</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.CustomUnit </code></pre><p>Get/set the current custom unit type as a <code>&lt;name&gt;</code>.</p>\n\
<p>Valid custom unit display types are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Inches #Feet #Miles #Millimeters #Centimeters #Meters #Kilometers </code></pre><p><strong>See</strong> <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\">Units Struct - Accessing System and Display Units</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.SystemScale </code></pre><p>Get/set the current system unit scale value as a <code>&lt;float&gt;</code>.</p>\n\
<p>This is the value shown in Customize Units Setup... &gt; System Units Setup &gt; System Units Scale group.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\">Units Struct - Accessing System and Display Units</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.SystemType </code></pre><p>Get/set the current system unit scale type as a <code>&lt;name&gt;</code>. This is the unit shown in Customize &gt; Units Setup... &gt; System Units Setup &gt; System Units Scale group.</p>\n\
<p>Valid system unit scale types are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Inches #Feet #Miles #Millimeters #Centimeters #Meters #Kilometers </code></pre><p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\">Units Struct - Accessing System and Display Units</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">useEnvironmentMap </code></pre><p>Lets you get and set the global rendering environment (Rendering &gt; Environment) Use Map value. A Boolean value - <code>true</code> if Use Map is on, <code>false</code> if off. See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a>.</p>\n\
<h2 id=\"v\">V</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">videoPostTracks </code></pre><p>Contains a MAXTVNode value that defines the top-level Video Post Track View node.</p>\n\
<p>This variable is read-only. See <a href=\"./../../3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/Track-View-Nodes.html\">Track View Nodes</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">viewport.activeViewport </code></pre><p>Lets you get and set the index of the active viewport.</p>\n\
<p>See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Accessing Active Viewport Info, Type, and Transforms</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">viewport.numViews </code></pre><p>Contains the number of viewports in the current viewport layout.</p>\n\
<p>This variable is read-only. See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Accessing Active Viewport Info, Type, and Transforms</a>.</p>\n\
<h2 id=\"scanline-renderer-specific-system-global-variables\">Scanline Renderer Specific System Global Variables</h2><p>The following <strong>3ds Max</strong> system global variables are specific to <strong>3ds Max</strong>&#x2019;s default scanline A-Buffer renderer.</p>\n\
<p>These variables return <code>undefined</code> if the current renderer is not <strong>3ds Max</strong>&#x2019;s default scanline A-Buffer renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.antiAliasFilter </code></pre><p>Lets you get and set the anti-aliasing filter.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   scanlineRender.antiAliasFilter = quadratic()\n\
</code></pre></blockquote>\n\
<p>For a list of all of the anti-aliasing filters you can say:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   showClass &quot;*:filter*&quot;\n\
   --&gt;Area : filter {77912301,0}\n\
   --&gt;Quadratic : filter {77912304,0}\n\
   --&gt;cubic : filter {77912305,0}\n\
   --&gt;Catmull_Rom : filter {77912306,0}\n\
   --&gt;Blackman : filter {77912313,0}\n\
   --&gt;Sharp_Quadratic : filter {77912314,0}\n\
   --&gt;Video : filter {77912319,0}\n\
   --&gt;Plate_Match_MAX_R2 : filter {7791231b,0}\n\
   --&gt;Cook_Variable : filter {77912330,0}\n\
   --&gt;Soften : filter {77912331,0}\n\
   --&gt;Mitchell_Netravali : filter {77912350,0}\n\
   --&gt;Blendfilter : filter {77912352,0}\n\
   --&gt;Filter_kernel_plug_in_not_found : filter {ffffffff,0}\n\
   --&gt;OK\n\
</code></pre></blockquote>\n\
<p>The anti-aliasing filters and their parameters are described in <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/3ds-Max-Scanline-A-Buffer.html\">3ds Max Scanline A-Buffer Renderer Anti-Aliasing Filters</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.antiAliasFilterSize </code></pre><p>Contains a float value that defines the anti-aliasing filtersize.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.enablePixelSampler </code></pre><p>Lets you enables and disables global super sampling.</p>\n\
<p>A Boolean value - <code>true</code> if Disable all Samplers is off , <code>false</code> if on.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Reserved-Keywords-Symbols.html\">Reserved Keywords, Symbols, Punctuation and Variables</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";