var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F4472597-9ECE-4884-A5C0-2161F1E4F60A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Duplicated Members And Functions in Structure Definitions</h1></div><p>In versions prior to <strong>3ds Max 2014</strong>, both duplicated Members and Function definitions were allowed.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE PRIOR TO 3DS MAX 2014:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   struct test \n\
   (\n\
   test = 1,\n\
   test = 2\n\
   )\n\
   a = test()\n\
   a.test</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   2</code></pre></blockquote>\n\
<p>Starting with <strong>3ds Max 2014</strong>, duplicated Member definitions are disallowed and a Compile-time error is generated:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE IN 3DS MAX 2014:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   struct test \n\
   (\n\
   test = 1,\n\
   test = 2\n\
   )\n\
   a = test()\n\
   a.test</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Error occurred in anonymous codeblock; filename: ; position: 32; line: 4\n\
   -- Compile error: Duplicate struct member name:  test\n\
   --  In line: test=\n\
</code></pre></blockquote>\n\
<p>The same applies to duplicated names in Members and Functions.</p>\n\
<p>Prior to <strong>3ds Max 2014</strong>, an error is caused by the member <code>test</code> being <code>undefined</code> and the function call <code>test()</code> attempting to access the member <code>test</code> due to the duplicated name:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE PRIOR TO 3DS MAX 2014:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   struct test \n\
   (\n\
   test,\n\
   fn test2 = test(),\n\
   fn test = print &quot;hello!&quot;\n\
   )\n\
   a = test()\n\
   a.test2()</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #Struct:Test(\n\
     Test:&lt;fn&gt;; Public,\n\
     test2:&lt;fn&gt;; Public)\n\
   (Test)\n\
   -- Error occurred in test2(); filename: C:\\Program Files\\Autodesk\\3ds Max 2013\\scripts\\; position: 40; line: 4\n\
   --  Frame:\n\
   -- Type error: Call needs function or class, got: undefined</code></pre></blockquote>\n\
<p>Starting with <strong>3ds Max 2014</strong>, a Compile-time error is caused by the name duplication of Member <code>test</code> and the Function <code>test</code>:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE IN 3DS MAX 2014:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   struct test \n\
   (\n\
   test,\n\
   fn test2 = test(),\n\
   fn test = print &quot;hello!&quot;\n\
   )\n\
   a = test()\n\
   a.test2()</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Error occurred in anonymous codeblock; filename: ; position: 52; line: 5\n\
   -- Compile error: Duplicate struct member name:  test\n\
   --  In line: fn test =</code></pre></blockquote>\n\
<p>Duplicated Function definitions are allowed both prior and after <strong>3ds Max 2014</strong> - the last defined function will be used.</p>\n\
<p>This provides a way to perform forward declarations of Functions.</p>\n\
<blockquote>\n\
<p>   <strong>TEST WITHOUT FORWARD DECLARATION:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   struct test \n\
   (\n\
   fn test2 = test(),\n\
   fn test = print &quot;hello!&quot;\n\
   )\n\
   a = test()\n\
   a.test2()\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #Struct:test(\n\
     test2:&lt;fn&gt;; Public,\n\
     test:&lt;fn&gt;; Public)\n\
   (test)\n\
   (test)</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>TEST WITH FORWARD DECLARATION:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   struct test \n\
   (\n\
   fn test = (), -- Pre-declare test to allow test2 to &quot;see&quot; it\n\
   fn test2 = test(), -- Point at the pre-declared function\n\
   fn test = print &quot;hello!&quot; -- Replace existing test definition, test2 now sees the new definition\n\
   )\n\
   a = test()\n\
   a.test2()\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #Struct:test(\n\
     test2:&lt;fn&gt;; Public,\n\
     test:&lt;fn&gt;; Public)\n\
   (test)\n\
   &quot;hello!&quot;\n\
   &quot;hello!&quot;</code></pre></blockquote>\n\
<p>In this case, the Function <code>test2</code> first points at the first occurrence of <code>test</code>, then as <code>test</code> is redefined, <code>test2</code> starts pointing at the latest definition of <code>test</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Structure-Definition.html\">Structure Definition</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";