var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-87BB6468-79E2-4FA2-9BAB-42E427219C4F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>EulerAngles Values</h1></div><p>The <strong>EulerAngles</strong> class provides a representation for orientation in 3D space using rotation angles in degrees about each axis.</p>\n\
<p>Angles can be greater than 360 and so specify multiple revolutions.</p>\n\
<p>Rotations follow the right-hand-rule.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">eulerAngles &lt;x_degrees&gt; &lt;y_degrees&gt; &lt;z_degrees&gt;\n\
&lt;quat&gt; as eulerAngles\n\
&lt;angleAxis&gt; as eulerAngles\n\
&lt;matrix3&gt; as eulerAngles</code></pre><p>Extracts the rotation component as eulerAngles.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;eulerAngles&gt; == &lt;eulerAngles&gt;\n\
&lt;eulerAngles&gt; != &lt;eulerAngles&gt;\n\
&lt;eulerAngles&gt; as &lt;class&gt;</code></pre><p>eulerAngles can convert to Matrix3, Quat, angleAxis values.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;eulerAngles&gt;.x: Float\n\
&lt;eulerAngles&gt;.y: Float\n\
&lt;eulerAngles&gt;.z: Float</code></pre><p>Rotation about each primary axis in float degrees.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;eulerAngles&gt;</code></pre><p>Creates a new copy of the eulerAngles value.</p>\n\
<p>The new value contains a copy of the input eulerAngles value and is independent of the input eulerAngles value.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   newEulerAngles = copy oldEulerAngles</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">random &lt;eulerAngles&gt; &lt;eulerAngles&gt;</code></pre><p>Random rotation between the eulerAngles, but uses quat Slerp, so loses multiple revolution angles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">quatToEuler &lt;quat&gt; order:&lt;eulertype_integer&gt;\n\
eulerToQuat &lt;eulerAngle&gt; order:&lt;eulertype_integer&gt;</code></pre><p>Convert between quat and euler angle values. The optional order parameter specifies the order of application of the angles. If not specified, XYZ ordering is used. Its value can be any of the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">1 - XYZ\n\
2 - XZY\n\
3 - YZX\n\
4 - YXZ\n\
5 - ZXY\n\
6 - ZYX\n\
7 - XYX\n\
8 - YZY\n\
9 - ZXZ\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">quatToEuler2 &lt;quat&gt;</code></pre><p>Returns the same Euler value for the given Quaternion as shown in the Transform Type-In dialog.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">quatArrayToEulerArray &lt;quat array&gt;</code></pre><p>Returns an array of smooth Euler values from the Quat array.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p>When converting a series of quat values to eulerAngle values, it is possible for sign flips to occur in the eulerAngle values. This is due to the fact that one single quat value can be expressed through many different eulerAngle values. This flip can be detected based on the eulerAngles/quat ratio. The eulerAngles/quat ratio is the angle difference in eulerAngles space to the angle difference in quat space. If this ratio is bigger than PI the rotation between the two quat to eulerAngles conversions. This method returns the eulerAngles/quat angle ratio between the two quat to eulerAngles conversions as a float value. The actual detection of the flip is dependent on the amount of rotation in between conversions. The smaller the amount of rotation, the more accurate the detection.</p>\n\
<p>Note that the following methods were broken in versions prior to <strong>3ds Max 2012</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetEulerQuatAngleRatio &lt;quat1&gt; &lt;quat2&gt; &lt;array1&gt; &lt;array2&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetEulerQuatAngleRatio &lt;quat1&gt; &lt;quat2&gt; &lt;eulerAngle1&gt; &lt;eulerAngle2&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetEulerQuatAngleRatio &lt;quat1&gt; &lt;quat2&gt; &amp;&lt;var1&gt; &amp;&lt;var2&gt;  </code></pre><p>The function returns the eulerAngles/Quat ratio as a Float.</p>\n\
<p>First two arguments are quats used as inputs. The first quat is the previous rotation, the second quat is the current rotation.</p>\n\
<p>The third and fourth arguments are the previous and current converted rotation angles. They will be used as outputs.</p>\n\
<p>In the first signature, the resulting Euler Angle .x, .y, and .z components are stored in the array elements 1, 2, and 3.</p>\n\
<p>In the second signature, the passed arguments <code>&lt;eulerAngle1&gt;</code> and <code>&lt;eulerAngle2&gt;</code> are modified to the converted values.</p>\n\
<p>In the third signature, the EulerAngles passed as argument 3 and 4 are written back by-reference.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetEulerMatAngleRatio &lt;mat1&gt; &lt;mat2&gt; &lt;array1&gt; &lt;array2&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetEulerMatAngleRatio &lt;mat1&gt; &lt;mat1&gt; &lt;eulerAngle1&gt; &lt;eulerAngle2&gt;  </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetEulerMatAngleRatio &lt;mat1&gt; &lt;mat1&gt; &amp;&lt;var1&gt; &amp;&lt;var2&gt;</code></pre><p>This method parallels the <code>getEulerQuatAngleRatio()</code> method, but uses matrix3 values rather than Quat values as inputs.</p>\n\
<p>The first two arguments are matrix3 inputs describing the previous and current orientations.</p>\n\
<p>The third and fourth arguments are the converted previous and current Euler Angles.</p>\n\
<p>In the first signature, the .x, .y, and .z components are stored in the first, second, and third elements of the arrays.</p>\n\
<p>In the second signature, the output Euler Angles are stored in the passed <code>&lt;eulerAngle1&gt;</code> and <code>&lt;eulerAngle2&gt;</code> by modifying them.</p>\n\
<p>In the third signature, the eulerAngles are written back to the third and fourth by-reference arguments.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   q1 = (quat 0.412759 0.00141638 -0.113167 0.903782)\n\
   q2 = (quat -0.150577 -0.378993 0.176638 0.895818)\n\
   a1 = #(0,0,0)\n\
   a2 = #(0,0,0)\n\
   getEulerQuatAngleRatio q1 q2 a1 a2 \n\
   --&gt;0.583444\n\
   a1;a2\n\
   --&gt;#(-48.5478, 5.21315, 11.922)\n\
   --&gt;#(11.509, 47.0722, -17.2825)\n\
\n\
   a1 = #()\n\
   a2 = #()\n\
   getEulerQuatAngleRatio q1 q2 a1 a2 \n\
   --&gt;0.583444\n\
   a1;a2\n\
   --&gt;#(-48.5478, 5.21315, 11.922)\n\
   --&gt;#(11.509, 47.0722, -17.2825)\n\
\n\
   a1 = eulerAngles 0 0 0 \n\
   a2 = eulerAngles 0 0 0 \n\
   getEulerQuatAngleRatio q1 q2 a1 a2 \n\
   --&gt;0.583444\n\
   a1;a2\n\
   --&gt;(eulerAngles -48.5478 5.21315 11.922)\n\
   --&gt;(eulerAngles 11.509 47.0722 -17.2825)\n\
\n\
   getEulerQuatAngleRatio q1 q2 &amp;r1 &amp;r2 \n\
   --&gt;0.583444\n\
   r1;r2\n\
   --&gt;(eulerAngles -48.5478 5.21315 11.922)\n\
   --&gt;(eulerAngles 11.509 47.0722 -17.2825)\n\
\n\
   m1 = (quat 0.412759 0.00141638 -0.113167 0.903782) as matrix3\n\
   m2 = (quat -0.150577 -0.378993 0.176638 0.895818) as matrix3\n\
   a1 = #(0,0,0)\n\
   a2 = #(0,0,0)\n\
   GetEulerMatAngleRatio m1 m2 a1 a2 \n\
   --&gt;0.583444\n\
   a1;a2\n\
   --&gt;#(-48.5478, 5.21315, 11.922)\n\
   --&gt;#(11.509, 47.0722, -17.2825)\n\
\n\
   a1 = #()\n\
   a2 = #()\n\
   GetEulerMatAngleRatio m1 m2 a1 a2 \n\
   --&gt;0.583444\n\
   a1;a2\n\
   --&gt;#(-48.5478, 5.21315, 11.922)\n\
   --&gt;#(11.509, 47.0722, -17.2825)\n\
\n\
   a1 = eulerAngles 0 0 0 \n\
   a2 = eulerAngles 0 0 0 \n\
   GetEulerMatAngleRatio m1 m2 a1 a2 \n\
   --&gt;0.583444\n\
   a1;a2\n\
   --&gt;(eulerAngles -48.5478 5.21315 11.922)\n\
   --&gt;(eulerAngles 11.509 47.0722 -17.2825)\n\
\n\
   GetEulerMatAngleRatio m1 m2 &amp;r3 &amp;r4\n\
   --&gt;0.583444\n\
   r3;r4\n\
   --&gt;(eulerAngles -48.5478 5.21315 11.922)\n\
   --&gt;(eulerAngles 11.509 47.0722 -17.2825)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"AngleAxis-Values.html\">AngleAxis Values</a></li>\n\
          <li><a class=\"link\" href=\"Quat-Values.html\">Quat Values</a></li>\n\
          <li><a class=\"link\" href=\"Matrix3-Values.html\">Matrix3 Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";