var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D77C780A-4E8A-4528-949F-CC09AAE048DA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Matrix3 Values</h1></div><p>The <strong>Matrix3</strong> class implements a 4x3 3D transformation matrix object.</p>\n\
<p>The transform matrix is a 3D homogeneous matrix typically used to hold object coordinate systems and transformations.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">matrix3 &lt;row1_point3&gt; &lt;row2_point3&gt; &lt;row3_point3&gt; &lt;row4_point3&gt;</code></pre><p>Constructs a matrix from four row vectors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">matrix3 0</code></pre><p>Constructs a zero matrix: <code>(matrix3 \\[0,0,0\\] \\[0,0,0\\] \\[0,0,0\\] \\[0,0,0\\])</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">matrix3 1</code></pre><p>Constructs an identity matrix: <code>(matrix3 \\[1,0,0\\] \\[0,1,0\\] \\[0,0,1\\] \\[0,0,0\\])</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;quat&gt; as matrix3\n\
&lt;angleaxis&gt; as matrix3\n\
&lt;eulerangles&gt; as matrix3 </code></pre><p>Construct and return rotation matrices from arbitrary rotation values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rotateXMatrix &lt;number&gt; -- all angles in degrees rotateYMatrix &lt;number&gt;\n\
rotateZMatrix &lt;number&gt;</code></pre><p>Construct and return rotation matrices relatively to major world axes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">transMatrix &lt;point3&gt;</code></pre><p>Constructs and returns a translation matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scaleMatrix &lt;point3&gt;</code></pre><p>Constructs and returns a scale matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rotateYPRMatrix &lt;yaw_number&gt; &lt;pitch_number&gt; &lt;roll_number&gt;</code></pre><p>Constructs and returns a Matrix3 value for use as a rotation transformation by specifying yaw, pitch and roll angles. All angles are in degrees.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">matrixFromNormal &lt;point3&gt;</code></pre><p>Constructs and returns a Matrix3 value with the normal specified by the given point as the Z axis. The translation portion of the Matrix3 value will be [0,0,0]. The components of the scale portion are the inverse of the values required to normalize the <code>point3</code> value.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MatrixFromNormal [0,0,1]\n\
MatrixFromNormal [0,1,1]\n\
</code></pre><p>will return</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">(matrix3 [1,0,0], [0,1,0], [0,0,1], [0,0,0])\n\
(matrix3 [0,-0.707107,0.707107] [1.41421,0,0] [0,1,1] [0,0,0])\n\
</code></pre><p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt; + &lt;matrix3&gt;\n\
&lt;matrix3&gt; - &lt;matrix3&gt;\n\
&lt;matrix3&gt; * &lt;matrix3&gt;\n\
&lt;matrix3&gt; as &lt;class&gt;</code></pre><p>Matrix3 can convert to Quat, AngleAxis, EulerAngle using the matrix&apos;s rotation component</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;[&lt;integer&gt;]</code></pre><p>Returns a row of the Matrix3 as a Point3. Valid range on this index is 1 to 4.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;[&lt;integer&gt;] = &lt;Point3&gt;</code></pre><p>Sets a row of the Matrix3 to the Point3. Valid range on the index is 1 to 4.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt; == &lt;matrxi3&gt;\n\
&lt;matrix3&gt; != &lt;matrix3&gt;</code></pre><p>Available in <strong>3ds Max 2018 and higher</strong>: Standard comparisons.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;.row1: Point3\n\
&lt;matrix3&gt;.row2: Point3\n\
&lt;matrix3&gt;.row3: Point3\n\
&lt;matrix3&gt;.row4: Point3\n\
&lt;matrix3&gt;.translation: Point3</code></pre><p>read/write access to rows. Row4 is the translation.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>When working with object transformation matrix3 values, the rows and their sub-elements cannot be modified directly. To change a row or an element of the row, assign the matrix3 value to a user variable first, modify the matrix3 rows by assigning to the variable and then assign the variable back to the <code>.transform</code> property of the original object.</p>\n\
<p><strong>DOES NOTHING:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$Teapot01.transform.row4 = [10.0,20.0,30.0]\n\
</code></pre><p><strong>WORKS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">myTransform = $Teapot01.transform\n\
myTransform.row4 = [10.0,20.0,30.0]\n\
$Teapot01.transform = myTransform\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;.rotationpart: Quat, read-only\n\
&lt;matrix3&gt;.translationpart: Point3, read-only\n\
&lt;matrix3&gt;.scalerotationpart: Quat, read-only\n\
&lt;matrix3&gt;.scalepart: Point3, read-only</code></pre><p>Access to various transforms, with the remaining transforms zero-ed out.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;.determinantsign: Integer, read-only</code></pre><p>Returns the sign of the matrix&apos; determinant.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;matrix3&gt;</code></pre><p>Creates a new copy of the matrix3 value.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">newMatrix3 = copy oldMatrix3\n\
</code></pre><p>The new value contains a copy of the input matrix3 value, and is independent of the input matrix3 value.</p>\n\
<p>Using the <a href=\"./../../Names-Literal-Constants-and/Simple-Expressions/Comparison-Expressions.html\">equality comparison expression</a> on the original and the copy values will always return false.</p>\n\
<p>To correctly compare two matrix3 values for equality, their four components have to be compared individually, the two values could be converted to strings and compared as strings instead, or the one matrix3 value could be multiplied by the inverse of the other and tested for identity:</p>\n\
<p><strong>MATRIX COMPARISON EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">a = matrix3 1 --create an identity matrix\n\
(matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
b = copy a --copy the value of a into variable b\n\
(matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
a == b --compare a and b - although their values are equal, result is false\n\
false\n\
\n\
--This is because the equality test of compound values like Matrix3 and Array\n\
--is testing to see whether the two variables point at the same memory address\n\
--and does not perform a per-component equality test.\n\
--Thus:\n\
c = a\n\
(matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
a == c --compare a and c - both point at the same memory and are considered equal:\n\
true\n\
\n\
--To compare a and b, we can either convert both to strings and compare them:\n\
a as string == b as string\n\
true\n\
\n\
--or we can test their components in pairs,\n\
a.row1 == b.row1 AND a.row2 == b.row2 AND a.row3 == b.row3 AND a.row4 == b.row4\n\
true\n\
\n\
--or we can multiply a with the inverse of b and test if the result is the identity matrix:\n\
isIdentity (a * inverse b)\n\
true\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isIdentity &lt;matrix3&gt;</code></pre><p>Returns <code>true</code> if the matrix is equal to the identity matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">inverse &lt;matrix3&gt;</code></pre><p>Returns the inverse of the matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">inverseHighPrecision &lt;matrix3&gt;</code></pre><p>Returns the inverse of the matrix, using doubles for the intermediary results.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xformMat &lt;transform_matrix3&gt; &lt;space_matrix3&gt;</code></pre><p>Returns the transform matrix transformed into a particular space. For example, say you have a rotation you want to apply, but you want to perform the rotation in another coordinate system. To do this, you typically transform into the space of the coordinate system, then apply the transformation, and then transform out of that coordinate system. This method transforms matrix <code>&lt;transform_matrix3&gt;</code> into the space of matrix <code>&lt;space_matrix3&gt;</code>. The resulting matrix3 value is calculated as <code>space_matrix3 * transform_matrix3 * inverse(space_matrix3)</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">identity &lt;matrix3&gt; -- mapped function</code></pre><p>Sets the input matrix or matrices to the identity matrix. If the parameter is a single matrix, this function returns an identity matrix. If the parameter is an array of matrices, this function returns the value <code>OK</code>. In both cases, the input matrix3 values are replaced with the identity matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">zero &lt;matrix3&gt; -- mapped function</code></pre><p>Sets the input matrix or matrices to the zero matrix. If the parameter is a single matrix, this function returns a zero matrix. If the parameter is an array of matrices, this function returns the value <code>OK</code>. In both cases, the input matrix3 values are replaced with the zero matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">orthogonalize &lt;matrix3&gt; -- mapped function</code></pre><p>Sets the input matrix or matrices to the an &quot;unbiased&quot; orthogonalization of the matrix. An orthogonal matrix has an axis system where each axis is 90 degrees from the others (it&apos;s not skewed). If the parameter is a single matrix, this function returns the orthogonalized matrix. If the parameter is an array of matrices, this function returns the value <code>OK</code>. In both cases, the input matrix3 value(s) are replaced with the orthogonalized matrix value(s).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">translate &lt;matrix3&gt; &lt;point3&gt; --mapped function</code></pre><p>Applies an incremental translation transformation to the input matrix or matrices. This is equivalent to multiplying on the RIGHT by the transform. If the matrix3 parameter is a single matrix, this function returns the transformed matrix. If the parameter is an array of matrices, this function returns the value <code>OK</code>. In both cases, the input matrix3 value(s) are replaced with the transformed matrix value(s).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- all angles in degrees\n\
--mapped functions\n\
rotateX &lt;matrix3&gt; &lt;number&gt;  \n\
rotateY &lt;matrix3&gt; &lt;number&gt;\n\
rotateZ &lt;matrix3&gt; &lt;number&gt;\n\
rotate &lt;matrix3&gt; &lt;quat&gt;</code></pre><p>Applies an incremental rotation transformation to the input matrix or matrices. This is equivalent to multiplying on the RIGHT by the transform. If the matrix3 parameter is a single matrix, this function returns the transformed matrix. If the parameter is an array of matrices, this function returns the value <code>OK</code>. In both cases, the input matrix3 value(s) are replaced with the transformed matrix value(s).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scale &lt;matrix3&gt; &lt;point3&gt; [ &lt;boolean&gt; ] -- mapped function</code></pre><p>Applies an incremental scale transformation to the input matrix or matrices. This is equivalent to multiplying on the RIGHT by the transform. If <code>&lt;boolean&gt;</code> is <code>true</code> , the translation component is scaled. If <code>&lt;boolean&gt;</code> is <code>false</code> the translation component is unaffected. When <strong>3ds Max</strong> was originally written there was a bug in the code for this method where the translation portion of the matrix was not being scaled. This meant that when a matrix was scaled the bottom row was not scaled. Thus it would always scale about the local origin of the object, but it would scale the world axes. When this bug was discovered, dependencies existed in the code upon this bug. Thus it could not simply be fixed because it would break the existing code that depended upon it working the incorrect way. To correct this boolean parameter was added. If it is set to <code>true</code> , the translation component will be scaled correctly. If not specified, the boolean defaults to <code>false</code> , and the code behaves the old way. If the matrix3 parameter is a single matrix, this function returns the transformed matrix. If the parameter is an array of matrices, this function returns the value <code>OK</code>. In both cases, the input matrix3 value(s) are replaced with the transformed matrix value(s).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preTranslate &lt;matrix3&gt; &lt;point3&gt; -- mapped function</code></pre><p>Applies an incremental translation transformation to the input matrix or matrices. This is equivalent to multiplying on the LEFT by the transform. If the matrix3 parameter is a single matrix, this function returns the transformed matrix. If the parameter is an array of matrices, this function returns the value <code>OK</code>. In both cases, the input matrix3 value(s) are replaced with the transformed matrix value(s).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- all angles in degrees\n\
-- mapped functions \n\
preRotateX&lt;matrix3&gt; &lt;number&gt;\n\
preRotateY&lt;matrix3&gt; &lt;number&gt;\n\
preRotateZ&lt;matrix3&gt; &lt;number&gt;\n\
preRotate&lt;matrix3&gt; &lt;quat&gt;</code></pre><p>Applies an incremental rotation transformation to the input matrix or matrices. This is equivalent to multiplying on the LEFT by the transform. If the matrix3 parameter is a single matrix, this function returns the transformed matrix. If the parameter is an array of matrices, this function returns the value <code>OK</code>. In both cases, the input matrix3 value(s) are replaced with the transformed matrix value(s).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preScale &lt;matrix3&gt; &lt;point3&gt; -- mapped function</code></pre><p>Applies an incremental scale transformation to the input matrix or matrices. This is equivalent to multiplying on the LEFT by the transform. If the matrix3 parameter is a single matrix, this function returns the transformed matrix. If the parameter is an array of matrices, this function returns the value <code>OK</code>. In both cases, the input matrix3 value(s) are replaced with the transformed matrix value(s).</p>\n\
<p><strong>Related Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetEulerMatAngleRatio &lt;mat1&gt; &lt;mat2&gt; &lt;array1&gt; &lt;array2&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetEulerMatAngleRatio &lt;mat1&gt; &lt;mat1&gt; &lt;eulerAngle1&gt; &lt;eulerAngle2&gt;  </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetEulerMatAngleRatio &lt;mat1&gt; &lt;mat1&gt; &amp;&lt;var1&gt; &amp;&lt;var2&gt;</code></pre><p>See topic <a href=\"EulerAngles-Values.html\"\">EulerAngles Values</a> for details.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"AngleAxis-Values.html\">AngleAxis Values</a></li>\n\
          <li><a class=\"link\" href=\"EulerAngles-Values.html\">EulerAngles Values</a></li>\n\
          <li><a class=\"link\" href=\"Quat-Values.html\">Quat Values</a></li>\n\
          <li><a class=\"link\" href=\"BigMatrix-Values.html\">BigMatrix Values, BigMatrixRowArray Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";