var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B57EA575-DCDE-42F5-9D30-88E3EB41F350\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Number Values</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Integer : Number Float : Number Double : Number Integer64 : Number IntegerPtr : Number</code></pre><p>The last three Number value classes are available in <strong>3ds Max 9</strong> and higher. See <a href=\"64-Bit-Values-Double-Integer64.html\">64 Bit Values - Double, Integer64, IntegerPtr</a> for details.</p>\n\
<p>The <strong>Number</strong> class provides standard arithmetic capabilities to MAXScript. The Number types can be freely intermixed and MAXScript will convert as necessary.</p>\n\
<p>Also see <a href=\"./../../Names-Literal-Constants-and/Literal-Constants/Number-Literals.html\">Number Literals</a>.</p>\n\
<p><strong>Literals</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[-]{&lt;digit&gt;}[(.{&lt;digit&gt;}[(e | E | d | D)[+ | -]{&lt;digit&gt;}+) | L | P]  --decimal number\n\
0x{&lt;hex_digit&gt;}+  --hexadecimal number</code></pre><blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   123\n\
   123.45\n\
   -0.00345\n\
   1.0e-6\n\
   0x0E\n\
   0xFFE0\n\
   .1\n\
</code></pre></blockquote>\n\
<p>The number classes support the following operators and methods.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;number&gt; + &lt;number&gt;\n\
&lt;number&gt; - &lt;number&gt;\n\
&lt;number&gt; * &lt;number&gt;\n\
&lt;number&gt; / &lt;number&gt;</code></pre><p>Standard arithmetic operations. If both numbers are integers, the result is a non-rounded integer. If one or both numbers are floats, both arguments are widened to floats and the result is a float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;number&gt; ^ &lt;number&gt;</code></pre><p>Raise the first number to the power given by the second number. If the first number is an integer, the result is a rounded integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">- &lt;number&gt;</code></pre><p>Unary minus.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;number&gt; == &lt;number&gt;\n\
&lt;number&gt; != &lt;number&gt;\n\
&lt;number&gt; &gt; &lt;number&gt;\n\
&lt;number&gt; &lt; &lt;number&gt;\n\
&lt;number&gt; &gt;= &lt;number&gt;\n\
&lt;number&gt; &lt;= &lt;number&gt;</code></pre><p>Standard number comparison operations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;number&gt; as &lt;class&gt;</code></pre><p>Converts the number to an instance of the given class. Allowed classes are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Float \n\
Integer \n\
String\n\
Time --number taken as frames \n\
Double \n\
Integer64\n\
IntegerPtr</code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;number&gt;</code></pre><p>Creates a new copy of the number value. This method exists primarily to support copying arrays.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">abs &lt;number&gt;</code></pre><p>Returns the absolute value of the number. The result is the same type as the argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mod &lt;number1&gt; &lt;number2&gt;</code></pre><p>Modulo arithmetic (the remainder when <code>number1</code> is divided by <code>number2</code> ). The result is always a float.\n\
Note: Prior to <strong>3ds Max 2021.1 Update</strong>, this method only supported integers of up to 8 digits. It now supports integers of any size.                                                                                                                                      </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ceil &lt;number&gt;</code></pre><p>Returns the nearest whole number greater than or equal to <code>number</code> . The result is always a float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">floor &lt;number&gt;</code></pre><p>Returns the nearest whole number less than or equal to <code>number</code> . The result is always a float.</p>\n\
<h2 id=\"trigonometric-functions\">Trigonometric Functions</h2><p>MAXScript supports the following standard trigonometric functions. Angles are represented in degrees. The result is always a float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">acos &lt;number&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">asin &lt;number&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">atan &lt;number&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">atan2 &lt;number&gt; &lt;number&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cos &lt;number&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cosh &lt;number&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sin &lt;number&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sinh &lt;number&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tan &lt;number&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tanh &lt;number&gt;</code></pre><h2 id=\"transcendental-functions\">Transcendental Functions</h2><p>MAXScript supports the following standard transcendental functions. The result is always a float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">exp &lt;number&gt;</code></pre><p>Exponential function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">log &lt;number&gt;</code></pre><p>Natural logarithm of the argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">log10 &lt;number&gt;</code></pre><p>Logarithm with base 10.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pow &lt;number&gt; &lt;number&gt;</code></pre><p>First argument to the power of the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sqrt &lt;number&gt;</code></pre><p>Square root of the argument.</p>\n\
<h2 id=\"random-value-methods\">Random Value Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">random &lt;number&gt; &lt;number&gt;</code></pre><p>Returns a pseudo random number inclusively between the two arguments. Return value type is the type of the <strong>first</strong> argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">seed &lt;number&gt;</code></pre><p>Reseeds the random number generator using the specified value.</p>\n\
<h2 id=\"angle-conversion-methods\">Angle Conversion Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">degToRad &lt;number&gt;</code></pre><p>Returns the conversion of the number from degrees to radians. The result is always a float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">radToDeg &lt;number&gt;</code></pre><p>Returns the conversion of the number from radians to degrees. The result is always a float.</p>\n\
<h2 id=\"float-close-enough-method\">Float Close Enough Method</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">close_enough &lt;float&gt; &lt;float&gt; &lt;int&gt;</code></pre><p>Returns <code>true</code> if the two <code>&lt;float&gt;</code> values are approximately equal, where increasing values of <code>&lt;int&gt;</code> increase the range defined as approximately equal. Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p>A good value of <code>&lt;int&gt;</code> in most cases is 10.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for d1 in#(1., 10., 100., 1000.) do\n\
   (\n\
     print d1\n\
     for i = 0 to 8 do\n\
     (\n\
      d2 = d1+(d1*10.^(-i))\n\
      format &quot;% : % : % : % : %\\n&quot; i d1 d2 (d1==d2) (close_enough d1 d2 10)\n\
     )\n\
   )\n\
</code></pre><p>   <strong>RESULTS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   1.0\n\
   0 : 1.0 : 2 : false : false\n\
   1 : 1.0 : 1.100000024 : false : false\n\
   2 : 1.0 : 1.00999999 : false : false\n\
   3 : 1.0 : 1.001000047 : false : false\n\
   4 : 1.0 : 1.000100017 : false : false\n\
   5 : 1.0 : 1.000010014 : false : false\n\
   6 : 1.0 : 1.000000954 : false : true\n\
   7 : 1.0 : 1.000000119 : false : true\n\
   8 : 1.0 : 1 : true : true\n\
   10.0\n\
   0 : 10.0 : 20 : false : false\n\
   1 : 10.0 : 11 : false : false\n\
   2 : 10.0 : 10.10000038 : false : false\n\
   3 : 10.0 : 10.01000023 : false : false\n\
   4 : 10.0 : 10.0010004 : false : false\n\
   5 : 10.0 : 10.00010014 : false : false\n\
   6 : 10.0 : 10.00000954 : false : true\n\
   7 : 10.0 : 10.00000095 : false : true\n\
   8 : 10.0 : 10 : true : true\n\
   100.0\n\
   0 : 100.0 : 200 : false : false\n\
   1 : 100.0 : 110 : false : false\n\
   2 : 100.0 : 101 : false : false\n\
   3 : 100.0 : 100.0999985 : false : false\n\
   4 : 100.0 : 100.0100021 : false : false\n\
   5 : 100.0 : 100.0009995 : false : false\n\
   6 : 100.0 : 100.0000992 : false : true\n\
   7 : 100.0 : 100.0000076 : false : true\n\
   8 : 100.0 : 100 : true : true\n\
   1000.0\n\
   0 : 1000.0 : 2000 : false : false\n\
   1 : 1000.0 : 1100 : false : false\n\
   2 : 1000.0 : 1010 : false : false\n\
   3 : 1000.0 : 1001 : false : false\n\
   4 : 1000.0 : 1000.099976 : false : false\n\
   5 : 1000.0 : 1000.01001 : false : false\n\
   6 : 1000.0 : 1000.000977 : false : true\n\
   7 : 1000.0 : 1000.000122 : false : true\n\
   8 : 1000.0 : 1000 : true : true\n\
   OK\n\
</code></pre></blockquote>\n\
<h2 id=\"bit-operation-methods\">Bit Operation Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.and &lt;integer1&gt; &lt;integer2&gt;</code></pre><p>Returns the <code>&lt;integer&gt;</code> result of AND-ing the bits in integer1 and integer2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.or &lt;integer1&gt; &lt;integer2&gt;</code></pre><p>Returns the <code>&lt;integer&gt;</code> result of OR-ing the bits in integer1 and integer2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.xor &lt;integer1&gt; &lt;integer2&gt;</code></pre><p>Returns the <code>&lt;integer&gt;</code> result of XOR-ing the bits in integer1 and integer2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.not &lt;integer1&gt;</code></pre><p>Returns the <code>&lt;integer&gt;</code> result of flipping the bits in integer1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.shift &lt;integer1&gt; &lt;integer2&gt;</code></pre><p>Returns the <code>&lt;integer&gt;</code> result of shifting the bits in integer1 by integer2 places. If integer2 is positive, the bits are shifted to the left. If negative, to the right. The highest order bit is not carried when shifting to the left (unsigned shift operation).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.set &lt;integer1&gt; &lt;integer2&gt; &lt;boolean&gt;</code></pre><p>Returns an <code>&lt;integer&gt;</code> result where bit integer2 of integer1 is set to the specified boolean value. Bit 1 is the lowest order (least significant) bit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.flip &lt;integer1&gt; &lt;integer2&gt;</code></pre><p>Returns an <code>&lt;integer&gt;</code> result where bit integer2 of integer1 is flipped. Bit 1 is the lowest order (least significant) bit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.get &lt;integer1&gt; &lt;integer2&gt;</code></pre><p>Returns the <code>&lt;boolean&gt;</code> state of the integer2 bit of integer1. Bit 1 is the lowest order (least significant) bit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.intAsChar &lt;integer&gt;</code></pre><p>Returns a <code>&lt;string&gt;</code> result of length 1 containing the character corresponding to the integer value.</p>\n\
<p>Only the lowest order 8-bits (16-bits for localized versions of <strong>3ds Max</strong>) of the integer are used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.charAsInt &lt;string&gt;</code></pre><p>Returns the <code>&lt;integer&gt;</code> value corresponding to the first character of the string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.intAsHex &lt;integer&gt;</code></pre><p>Returns a <code>&lt;string&gt;</code> value containing the hex representation of the integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.intAsFloat &lt;integer&gt;</code></pre><p>Returns the integer value cast to a float value. Typically used for converting between integer and float values so that the remaining bit methods can be used on a float.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.floatAsInt &lt;float&gt;</code></pre><p>Returns the float value cast to a integer value. Typically used for converting between integer and float values so that the remaining bit methods can be used on a float.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.swapBytes &lt;integer&gt; &lt;integer byte1&gt; &lt;integer byte2&gt;         </code></pre><p>Returns an integer with byte1 and byte2 of value int swapped. Byte 1 is the lowest order byte.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.isNAN &lt;float&gt;      </code></pre><p>Returns true if the float is the reserved float value NAN (Not A Number). A NAN is generated when the result of a floating-point operation cannot be represented as a floating point number.</p>\n\
<p>An example of NAN is f = (1.0/0.0).</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.isFinite &lt;float&gt;   </code></pre><p>Returns true if the float is any value other than NaN, negative infinity, or positive infinity. In those three cases, it returns false.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"64-bit-operation-methods-in-3ds-max-9-and-higher\">64 Bit Operation Methods in 3ds Max 9 and higher</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.doubleAsInt64 &lt;double&gt; </code></pre><p>Converts a Double value into an Integer64 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bit.int64AsDouble &lt;integer64&gt; </code></pre><p>Converts an Integer64 value into a Double value.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The range of valid <strong>Integers</strong> in MAXScript is -2,147,483,648 to 2,147,483,647. If you perform calculations that result in integers outside of this range, you will get integer overflow errors that <strong>are not</strong> detected by MAXScript. You must take care in designing your code to prevent or detect this overflow yourself. The result of an overflow is typically a large number of the wrong sign. Dividing an integer by 0 will result in a MAXScript system exception.</p>\n\
<p>A <strong>Float</strong> in MAXScript has an absolute value range of 1.18E-38 to 3.40E38 with a precision of one part in 1.0E7. If you perform calculations that result in floats with an absolute value less than this range, the result will be stored as 0.0. If you perform calculations that result in floats with an absolute value larger than this range, the result will be stored as a special value that represents infinity, <code>1.#INF</code> . Adding, subtracting, or multiplying a number by <code>1.#INF</code> results in a value of <code>1.#INF</code> . Dividing a number by <code>1.#INF</code> results in a value of 0.0. Dividing 0.0 by 0.0 or <code>1.#INF</code> by <code>1.#INF</code> , multiplying <code>1.#INF</code> by 0, or <code>1.#INF</code> from <code>1.#INF</code> results in a special value that represents an indeterminate number, - <code>1.#IND</code> . Adding, subtracting, multiplying, or dividing a number by - <code>1.#IND</code> results in a value of - <code>1.#IND</code> .</p>\n\
<p>When you display or print a Float, MAXScript prints the value to the 6th significant digit. The following table shows examples of values stored to a MAXScript variable, the value as stored, and the value as displayed.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Input Value</th>\n\
<th>Stored Value</th>\n\
<th>Displayed Value</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>1.23456789</td>\n\
<td>1.23456788</td>\n\
<td>1.23457</td>\n\
</tr>\n\
<tr>\n\
<td>1.1</td>\n\
<td>1.10000002</td>\n\
<td>1.1</td>\n\
</tr>\n\
<tr>\n\
<td>1.01</td>\n\
<td>1.00999999</td>\n\
<td>1.01</td>\n\
</tr>\n\
<tr>\n\
<td>1.001</td>\n\
<td>1.00100004</td>\n\
<td>1.001</td>\n\
</tr>\n\
<tr>\n\
<td>1.0001</td>\n\
<td>1.00010001</td>\n\
<td>1.0001</td>\n\
</tr>\n\
<tr>\n\
<td>1.00001</td>\n\
<td>1.00001001</td>\n\
<td>1.00001</td>\n\
</tr>\n\
<tr>\n\
<td>1.000001</td>\n\
<td>1.00000095</td>\n\
<td>1.0</td>\n\
</tr>\n\
<tr>\n\
<td>1.0000001</td>\n\
<td>1.00000011</td>\n\
<td>1.0</td>\n\
</tr>\n\
<tr>\n\
<td>1.00000001</td>\n\
<td>1.00000000</td>\n\
<td>1.0</td>\n\
</tr>\n\
<tr>\n\
<td>100017.911</td>\n\
<td>100017.914</td>\n\
<td>100018.0</td>\n\
</tr>\n\
</tbody></table>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<p>   The following script shows the use of various literals, constructors, properties, operators, and methods of the Number class.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- numbers test bed\n\
   i=10-- assign integers to variables\n\
   j=20\n\
   i/j-- integer divide, result is integer\n\
   i=i as float-- convert i to a float\n\
   i/j-- float divide, result is float\n\
   i += 1-- increment i by 1\n\
   if i &lt; j do i=2.^3-- if i is less than j, set i to 2 to the 3rdpower\n\
   mod j i-- return remainder of j divided by i\n\
   cos 30.0-- return cosine of 30 degrees\n\
   sqrt j-- return square root of j\n\
   seed 12345-- seed the random number generator\n\
   for k=1 to 5 do print (random i j)-- print out 3 random numbers\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   10-- result of line 2\n\
   20-- result of line 3\n\
   0-- result of line 4 (10/20)\n\
   10.0-- result of line 5\n\
   0.5-- result of line 6 (10./20)\n\
   11.0-- result of line 7\n\
   8.0-- result of line 8 (2.^3)\n\
   4.0-- result of line 9\n\
   0.866025-- result of line 10\n\
   4.47214-- result of line 11 (sqrt 20)\n\
   OK-- result of line 12\n\
   10.7775-- output from line 13 (random 8. 20)\n\
   15.0183\n\
   17.4467\n\
   16.1027\n\
   10.1344\n\
   OK-- result of line 13\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"64-Bit-Values-Double-Integer64.html\">64 Bit Values - Double, Integer64, IntegerPtr</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";