var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5A117E26-3BA4-4C4C-A0C7-0F4190F9D50D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Ray Values</h1></div><p>The <strong>Ray</strong> class defines the characteristics of a ray in 3D space.</p>\n\
<p>A ray has two Point3 components, one defining a start position and the other a direction vector for the ray.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ray &lt;pos_point3&gt; &lt;dir_point3&gt;</code></pre><p>Returns a new ray with given position and direction vector.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt; as ray</code></pre><p>Takes a scene object that has a target, such as a Tape Helper, a Target Camera or Target Light and returns a ray from the object to the target.</p>\n\
<p>Returns <code>undefined</code> if the object has no target.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ray&gt;.pos: Float\n\
&lt;ray&gt;.position: Float --pos and position are synonyms\n\
&lt;ray&gt;.dir: Point3 --unit normalized direction vector</code></pre><p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ray&gt; == &lt;ray&gt;\n\
&lt;ray&gt; != &lt;ray&gt;</code></pre><p>Available in <strong>3ds Max 2018 and higher</strong>: Standard comparisons.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;ray&gt;</code></pre><p>Creates a new copy of the ray value.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   newRay = copy oldRay\n\
</code></pre></blockquote>\n\
<p>The new value contains a copy of the input ray value, and is independent of the input ray value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Point2-Values.html\">Point2 Values</a></li>\n\
          <li><a class=\"link\" href=\"Point3-Values.html\">Point3 Values</a></li>\n\
          <li><a class=\"link\" href=\"Point4-Values.html\">Point4 Values</a></li>\n\
          <li><a class=\"link\" href=\"Box2-Values.html\">Box2 Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";