var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DB1E088D-DA4E-44BF-AE9A-B207653E96B8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXKey Common Properties, Operators, and Methods</h1></div><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addNewKey &lt;controller&gt; &lt;time&gt; [#select] [#interpolate]</code></pre><p>Adds a new key to the controller track at the time specified. The new key is also selected in the track view if the <code>#select</code> optional argument is specified. The value for the new key is taken from the previous key, unless the <code>#interpolate</code> argument is specified in which case the value is the interpolated controller value at that time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getKey &lt;controller&gt; &lt;index_integer&gt;</code></pre><p>Returns the indexed key as a MAXKey instance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;key_array&gt;[&lt;index_integer&gt;]</code></pre><p>where <code>&lt;key_array&gt;</code> is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;.keys\n\
&lt;node&gt;.&lt;animatable_property&gt;.keys</code></pre><p><strong>Properties</strong></p>\n\
<p>For keys associated with all keyframeable controller types, the following properties are accessible:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;key&gt;.time Time</code></pre><p>time value or number (interpreted as frames)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;key&gt;.selected Boolean</code></pre><p>specifies whether the key is selected. Read/write access.</p>\n\
<p>The <code>.time</code> property is read-only for the keys for some controllers, and read/write for the keys of other controllers. The controller type description specifies whether the <code>.time</code> property is read-only or read/write.</p>\n\
<p>For controllers where the key <code>.time</code> property is read/write, the following properties are also available:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;key&gt;.value varies --class determined by its containing controller\n\
</code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;key&gt;</code></pre><p>Creates a copy of the key value. This copy is not independent of the original key, as a key value always references a key in a controller. This method exists primarily to support copying of arrays.</p>\n\
<p>The keys on B&#xE9;zier, TCB, and Barycentric Morph controllers have additional properties and methods. See <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Bezier-Controllers/Bezier-Controller-Keys.html\">Bezier Controller Keys</a>, <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/TCB-Controllers/TCB-Controller-Keys.html\">TCB Controller Keys</a>, and <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Morph-Controllers/Barycentric_Morph_Controller-1.html\">Barycentric Morph Controller Keys</a> for details.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXKey-Values.html\">MAXKey Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Collections/Collection-Types/MAXKeyArray-Values.html\">MAXKeyArray Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";