var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-92B98D11-60FF-4742-A1BA-692EE135E085\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PrintAllElements Variable and Context</h1></div><p>In versions prior to <strong>3ds Max 7</strong>, printing or coercing <a href=\"./../Collections/Collection-Types/Array-Values.html\">Array</a>, <a href=\"./../Collections/Collection-Types/VertexSelection-Values.html\">VertexSelection</a>, <a href=\"./../Collections/Collection-Types/FaceSelection-Values.html\">FaceSelection</a>, <a href=\"./../Collections/Collection-Types/EdgeSelection-Values.html\">EdgeSelection</a>, <a href=\"Basic-Data-Values/BigMatrix-Values.html\">BigMatrix</a>, and BigMatrixRowArray values to string converts only the first 20 elements.</p>\n\
<p>In <strong>3ds Max 7 and higher</strong>, a MAXScript variable and a new context are available. They control whether the above mentioned value types are fully printed/coerced to string, or just their first 20 elements.</p>\n\
<p>The <strong>variable</strong> is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">options.printAllElements</code></pre><p>When set to true, all elements of Array, MeshSelection, BigMatrix, and BigMatrixRowArray values are printed or coerced to string. If false, only the first 20 elements of these value types are printed.</p>\n\
<p>The <strong>context</strong> is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">with printAllElements &lt;boolean&gt; &lt;expr&gt;</code></pre><p>If <code>&lt;boolean&gt;</code> is true, <code>&lt;expr&gt;</code> is run with printAllElements true. This is exception safe. If an exception occurs in <code>&lt;expr&gt;</code>, printAllElements is returned to its initial value.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = for i = 1 to 30 collect i\n\
   --&gt; #(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, ...)\n\
\n\
   with printAllElements off (print a #nomap;ok)\n\
   --&gt; #(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, ...)\n\
   --&gt; OK\n\
\n\
   with printAllElements on (print a #nomap;ok)\n\
   --&gt; #(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30)\n\
   --&gt; OK\n\
\n\
   with printAllElements off a as string\n\
   --&gt; &quot;#(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, ...)&quot;\n\
\n\
   with printAllElements on a as string\n\
   --&gt; &quot;#(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30)&quot;\n\
\n\
   (\n\
   -- note that the following is not exception safe!\n\
   local oldPrintAllElements = options.printAllElements\n\
   options.PrintAllElements = true\n\
   print a #nomap\n\
   options.printAllElements = oldPrintAllElements\n\
   ok\n\
   )\n\
   --&gt; #(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30)\n\
   --&gt; OK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Values.html\">Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";