var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-560852AE-1A09-4464-9E96-14C643EA5C6C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Value Common Properties, Operators, and Methods</h1></div><p>The <strong>Value</strong> class is the root class for all MAXScript classes. It supplies methods and operators that <strong>any</strong> class can use.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt; == &lt;value&gt;</code></pre><p>compare if equal</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt; != &lt;value&gt;</code></pre><p>compare if not equal</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt; as &lt;class&gt;</code></pre><p>Converts the value to an instance of given class. See the description for each class for valid conversions. All values can be converted to class String, which yields a string with the printed representation of the value.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">print &lt;value&gt; [ to:&lt;stream&gt; ] [#noMap] -- mappable</code></pre><p>where <code>&lt;stream&gt;</code> is</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">( &lt;filestream&gt; | &lt;stringstream&gt; | &lt;windowstream&gt; )</code></pre><p>Prints single value to Listener or optional <a href=\"Stream-Values/FileStream-Values.html\">filestream</a>, <a href=\"Stream-Values/StringStream-Values.html\">stringstream</a>, or <a href=\"Stream-Values/WindowStream-Values.html\">windowstream</a>, followed by a line break. If the argument value is a <a href=\"./../Collections/Collections-1.html\">Collection</a>, and <code>#noMap</code> is not specified, each value in the collection is printed out on a separate line. If <code>#noMap</code> is specified, the collection value is printed out on a single line. The printed form of all basic data value types, except for BigArray, are directly readable by the <code>readValue()</code> and <code>readExpr()</code> functions, making it simpler to read back in values printed to a file by MAXScript. If the pre-<strong>3ds Max</strong> R3 print forms are required for compatibility with existing scripts, you can set the system global variable <code>options.oldPrintStyles</code> to <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">format &lt;format_string&gt; { &lt;value&gt; } [ to:&lt;stream&gt; ]</code></pre><p>Prints one or more values to Listener or optional filestream, stringstream, or windowstream, using the format string as a template. The format string is a string that can contain plain text to print interspersed with the <code>&apos;%&apos;</code> (percent) metacharacter. Each occurrence of a <code>&apos;%&apos;</code> is replaced by the printed representation of the successive argument values following the format string.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   format &quot;name:%, pos:%\\n&quot; obj.name obj.pos\n\
</code></pre><p>   generates something like:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   name: box01, pos: [0, 150.0, 0.5]\n\
</code></pre></blockquote>\n\
<p>format does not automatically append a line break to the output stream, so you can build up a line from several format calls and generally control layout better. An explicit &apos; <code>\\\\n</code> &apos; newline escape character sequence is needed to place a line break in the output stream. Other escape character sequences are documented in <a href=\"./../Names-Literal-Constants-and/Literal-Constants/String-Literals.html\">String Literals</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">classOf &lt;value&gt;</code></pre><p>Returns the value&apos;s class. Each type of value has its own class. If the value is a Node value, <code>classOf()</code> returns the class of the world state object (the state of the node at the top of its stack). See <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-MAXWrapper-1.html\">Node : MAXWrapper</a> for more information.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> To avoid a conflict between a user class value in global variable named &apos;rollout&apos; and MAXScript reserved word &apos;rollout&apos; which always introduces a rollout definition the class variable name for a rollout is <code>RolloutClass</code> . So, for a rollout foo you&apos;d now say &quot;if classOf foo == RolloutClass do ...&quot;</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">superClassOf &lt;value&gt;</code></pre><p>Returns the value&apos;s superclass. A value&apos;s superclass is the class from which the value&apos;s class was derived.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isKindOf &lt;value&gt; &lt;class&gt;</code></pre><p>Returns <code>true</code> if value has given class or inherits from class.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isStructDef &lt;value&gt;</code></pre><p>Returns true if the value is a structure definition</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isStruct &lt;value&gt;</code></pre><p>Returns true if the value is a structure instance</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isController &lt;value&gt;</code></pre><p>Returns true if the value is a controller</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isMSPlugin &lt;value&gt;</code></pre><p>Returns true if the value is a MAXScript scripted plugin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isMSPluginClass &lt;value&gt;</code></pre><p>Returns true if the value is a MAXScript scripted plugin class.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = box() --create a Box primitive\n\
   --&gt;$Box:Box001 @ [0.000000,0.000000,0.000000]\n\
   a = emptymodifier() --create an attribute holder modifier\n\
   --&gt;EmptyModifier:Attribute Holder\n\
   addModifier b a --add the modifier to the box\n\
   --&gt;OK\n\
   isMSPlugin a --see if the modifier is a scripted plugin? Yes!\n\
   --&gt;true\n\
   isMSPlugin b --see if the box is a scripted plugin? No!\n\
   --&gt;false\n\
   isMSPluginClass EmptyModifier --is the modifier class scripted? Yes!\n\
   --&gt;true\n\
   isMSPluginClassBox --is the object class scripted? No!\n\
   --&gt;false\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isMSCustAttrib &lt;value&gt;</code></pre><p>Returns true if the value is a MAXScript Custom Attribute.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Since Custom Attributes are a special case of a scripted plugin, <code>isMSPlugin</code> will also return true.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isMSCustAttribClass &lt;value&gt;</code></pre><p>Returns true if the value is a MAXScript Custom Attribute class.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Since Custom Attributes are a special case of a scripted plugin, <code>isMSPluginClass</code> will also return true.</div>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   weaponDataCA = attributes weaponData\n\
   (\n\
   Parameters main\n\
   (\n\
   )\n\
   )\n\
   b=box()\n\
   custAttributes.add b weaponDataCA\n\
\n\
   c=b.baseobject.custAttributes[1]\n\
   d=classof c\n\
   superclassof c\n\
   isMSPluginClass d\n\
   isMSCustAttribClass d\n\
   isMSPluginClass b\n\
   isMSCustAttribClass b\n\
\n\
</code></pre><p>   <strong>RESULTS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &lt;AttributeDef:weaponData&gt;\n\
   $Box:Box03 @ [0.000000,0.000000,0.000000]\n\
   true\n\
\n\
   weaponDataCustAttrib:weaponData\n\
   &lt;AttributeDef:weaponData&gt;\n\
   CustAttrib\n\
   true\n\
   true\n\
   false\n\
   false\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getHashValue &lt;value&gt; &lt;Integer oldHashValue&gt;</code></pre><p>If the value is one of the supported value types, returns an integer hash value that is a factor of the <code>&lt;value&gt;</code> and <code>&lt;oldHashValue&gt;</code>. If the value type is not supported, returns a value of <code>undefined</code> .</p>\n\
<p>The supported value types are:</p>\n\
<ul>\n\
<li>Float</li>\n\
<li>Integer</li>\n\
<li>String</li>\n\
<li>BitArray</li>\n\
<li>Point3</li>\n\
<li>Ray</li>\n\
<li>Quat</li>\n\
<li>AngAxis</li>\n\
<li>EulerAngles</li>\n\
<li>Matrix3</li>\n\
<li>Point2</li>\n\
<li>Color</li>\n\
<li>Arrays containing any of the above value types</li>\n\
</ul>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Since Custom Attributes are a special case of a scripted plugin, <code>isMSPlugin</code> will also return true.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deepCopy &lt;value&gt;</code></pre><p>Returns a deep copy of the value, which means all nested values are copies rather than references. The default implementation of this method is to call the copy() method. This method is only implemented for these value types:</p>\n\
<ul>\n\
<li>Array</li>\n\
<li>DataPair (in <strong>3ds Max 2019 and higher</strong>)</li>\n\
<li>Dictionary (in <strong>3ds Max 2019 and higher</strong>)</li>\n\
<li>Structure (in <strong>3ds Max 2019 and higher</strong>)</li>\n\
<li>MAXWrapper (in <strong>3ds Max 2019 and higher</strong>) - does not create a copy of the 3ds Max object, rather just returns the original value.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Values.html\">Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Values-1.html\">Values</a></li>\n\
          <li><a class=\"link\" href=\"Working-with-Values.html\">Working with Values</a></li>\n\
          <li><a class=\"link\" href=\"Bitmap-Values/Bitmap-Values-1.html\">Bitmap Values</a></li>\n\
          <li><a class=\"link\" href=\"Stream-Values/Stream-Values-1.html\">Stream Values</a></li>\n\
          <li><a class=\"link\" href=\"MAXKey-Values/MAXKey-Values-1.html\">MAXKey Values</a></li>\n\
          <li><a class=\"link\" href=\"ArrayParameter-Values/ArrayParameter-Values-1.html\">ArrayParameter Values</a></li>\n\
          <li><a class=\"link\" href=\"../Collections/Collection-Types/Collection-Types-1.html\">Collection Types</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";