var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A2F1412A-0EF7-405B-A4A2-6F169A838C4C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Persistents Structure</h1></div><p>The <strong>Persistents struct</strong> provides methods to collect, create, and test persistent global variables.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">persistents.show [ to:&lt;stream&gt; ]</code></pre><p>Displays a list of persistent globals and their value.</p>\n\
<p>The optional <code>&lt;stream&gt;</code> argument can be a <a href=\"./../../Values/Stream-Values/FileStream-Values.html\">filestream</a>, <a href=\"./../../Values/Stream-Values/StringStream-Values.html\">stringstream</a>, or <a href=\"./../../Values/Stream-Values/WindowStream-Values.html\">windowstream</a>, which the method sends its output to. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">persistents.remove &lt;var_name&gt;</code></pre><p>Removes the named persistent global from the persistent global pool. The variable remains as a global variable and retains its value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">persistents.removeAll()</code></pre><p>Removes all persistent globals from the persistent global pool. The variables remain as global variables and retain their value.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a= &quot;Hello world&quot;\n\
   persistent global a\n\
   persistent global b=box()\n\
   persistents.show()\n\
   persistents.remove #a\n\
   persistents.removeall()\n\
   a\n\
   b\n\
</code></pre><p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &quot;Hello world&quot;\n\
   OK\n\
   $Box:Box002 @ [0.000000,0.000000,0.000000]\n\
   a: &quot;Hello world&quot;\n\
   b: $Box:Box002 @ [0.000000,0.000000,0.000000]\n\
   OK\n\
   OK\n\
   OK\n\
   &quot;Hello world&quot;\n\
   $Box:Box002 @ [0.000000,0.000000,0.000000]\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">persistents.gather()      </code></pre><p>This method returns an array of all persistent global variable names as <code>&lt;name&gt;</code> values.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">persistents.make &lt;global var name&gt;   </code></pre><p>This method makes the specified global variable name persistent.</p>\n\
<p>The name specified must be a global variable&apos;s name, otherwise a runtime error is thrown. See <a href=\"globalVars-Structure.html\">globalVars structure</a>.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">persistents.isPersistent &lt;global var name&gt; </code></pre><p>Returns <code>true</code> , if the specified global variable name is persistent, <code>false</code> if it is not persistent.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   global aVar  --define a global variable\n\
   --&gt; OK  --done!\n\
   persistents.isPersistent #aVar --is it persistent?\n\
   --&gt; false  --it is not!\n\
   persistents.make #aVar --make the existing global persistent\n\
   --&gt; OK  --done!\n\
   persistents.isPersistent #aVar --see if it is persistent now\n\
   --&gt; true  --now it is!\n\
   persistent global aNewPV --declare a variable as persistent global\n\
   --&gt; undefined  --done, variable has a value of undefined\n\
   persistents.isPersistent #aNewPV --then see if it is persistent\n\
   --&gt; true  --it is!\n\
   persistents.isPersistent #anUndeclaredVar --check an undeclared var.\n\
   --&gt; false  --it is not persistent\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Global-and-Persistent-Global.html\">Global and Persistent Global Variable Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Persistent-Global-Variables.html\">Persistent Global Variables</a></li>\n\
          <li><a class=\"link\" href=\"globalVars-Structure.html\">globalVars Structure</a></li>\n\
          <li><a class=\"link\" href=\"../Scope-of-Variables.html\">Scope of Variables</a></li>\n\
          <li><a class=\"link\" href=\"../Specifying-Global-Variables-As.html\">Specifying Global Variables As Global Using ::</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";