var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CA7ABB4B-6CB6-47B7-903D-84D2F45D993D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Manual Garbage Collection</h1></div><p>The function <code>gc()</code> invokes the garbage collector.</p>\n\
<p>Normally, the collector runs automatically when available memory runs low, so you don&apos;t normally need to call it explicitly.</p>\n\
<p>However, in some situations, it is useful to be able to force a collect to ensure a pause due to garbage collection will be delayed as long as possible.</p>\n\
<p>You can also invoke the collector to cause any unreferenced open files to be closed.</p>\n\
<p>In some situations, a file can be left open if a runtime error occurs while it is still open.</p>\n\
<p>If the file object was being held in a local variable at this point, it may not be possible to get at it from the Listener to force a close.</p>\n\
<p>Any subsequent attempts to open it may result in an &quot;already open&quot; error from the operating system.</p>\n\
<p>Running the collector will cause the file object to be reclaimed and this forces any open file associated with it to be closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">gc [light:false] [delayed:false]      </code></pre><p>This function returns the number of bytes free in the MAXScript heap after collection.</p>\n\
<p>Note that the collector may take many seconds to run if the heap is full of many small reclaimable objects.</p>\n\
<h2 id=\"garbage-collection-light-option\">Garbage Collection light: option</h2><p>When the optional <code>light:</code> keyword argument is passed as <code>true</code> , the undo buffer will not be flushed.</p>\n\
<p>If you are performing a lot of scene operations then it is recommended to call <code>gc()</code> without any argument or pass <code>light:false</code> , in which case the undo buffer will be flushed prior to the garbage collection.</p>\n\
<p>When <code>light:true</code> is specified, any value that derives from MAXWrapper will not be collected.</p>\n\
<p>This covers all value types that could potentially be in the undo buffer.</p>\n\
<p>The result is that, for this case, less memory is released and <code>gc</code> runs a bit slower, but you can&apos;t corrupt the undo stack.</p>\n\
<p>If <code>light:true</code> is not specified, behavior and speed is same as before.</p>\n\
<p>What does get collected with <code>light:true</code> includes rollouts, floaters, UI items, bitmaps, strings, arrays, and bitArrays.</p>\n\
<p>Those are all items that do not exist in the scene.</p>\n\
<h2 id=\"automatic-garbage-collection-behavior-and-delayed-option\">Automatic Garbage Collection behavior and delayed: option</h2><p>When MAXScript runs out of heap memory, it runs garbage collection to free unused memory.</p>\n\
<p>Since a value collected may be the last reference to a MAX object, we need to flush the undo system since it may contain a pointer to that object or one of its dependents.</p>\n\
<p>In <strong>3ds Max 5</strong>, the &apos;light&apos; keyword argument has been introduced for manual garbage collection where, if true, MAXWrapper-derived values are not garbage collected, thus no MAX objects are deleted, and no flush of the undo system is required.</p>\n\
<p>The change to MAXScript in <strong>3ds Max 6</strong> extended this to <strong>automatic garbage collection</strong>.</p>\n\
<p>When an automatic garbage collection is performed, and the undo system is not empty, an initial garbage collection is performed where MAXWrappers are not garbage collected, and a flag is set so that on the next undo system flush, a full garbage collection is performed.</p>\n\
<p>If this initial garbage collection does not free up sufficient memory to satisfy the memory request, or if the undo system is empty, a full garbage collection is performed where MAXWrappers are deleted and the undo system is flushed.</p>\n\
<p>With the recent improvements in MAXWrapper interning, undo system flushes due to MAXScript garbage collection should be a fairly rare event.</p>\n\
<p>To maintain current behavior, a manual garbage collection using &apos;gc()&apos; still flushes the undo system. <code>gc light:true</code> will still not flush the undo system.</p>\n\
<p>The <code>delayed:&lt;boolean&gt;</code> option will cause a full garbage collection at the next undo system flush.</p>\n\
<p>So you could say the following to match the behavior of an automatic garbage collection:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   gc light:true delayed:true</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Memory-Allocation-and-Garbage.html\">Memory Allocation and Garbage Collection</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Memory-Allocation-and-Garbage.html\">Memory Allocation and Garbage Collection</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";