var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E5BE0058-2216-4E0B-88AF-680CA58AAC73\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Rendering Notifications</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preRender: Array </code></pre><p>Sent before rendering is started. This notification is sent out before the renderer creates the render instance objects, which means that you can create nodes and other objects as a response to this event. When rendering multiple frames, this event is sent only once at the beginning of the rendering phase, and not on a per-frame basis. In the <code>#preRender</code> callback, you can&apos;t change any of the render parameters (height, width, aliasing, etc) and affect the current render sessions. Those parameters have already been set up internally in <strong>3ds Max</strong>, and so changes to them won&apos;t occur until the next render session occurs.</p>\n\
<p>Returns a 28 element array - see the SDK help file, class <code>RendParams</code>, for more information on the parameter definitions.</p>\n\
<p>1 - Name - rpar -&gt; rendType</p>\n\
<p>2 - Boolean - rpar -&gt; isNetRender</p>\n\
<p>3 - Boolean - rpar -&gt; fieldRender</p>\n\
<p>4 - Integer - rpar -&gt; fieldOrder</p>\n\
<p>5 - Time - rpar -&gt; frameDur</p>\n\
<p>6 - Boolean - rpar -&gt; colorCheck</p>\n\
<p>7 - Integer - rpar -&gt; vidCorrectMethod</p>\n\
<p>8 - Integer - rpar -&gt; ntscPAL</p>\n\
<p>9 - Boolean - rpar -&gt; superBlack</p>\n\
<p>10 - Integer - rpar -&gt; sbThresh</p>\n\
<p>11 - Boolean - rpar -&gt; rendHidden</p>\n\
<p>12 - Boolean - rpar -&gt; force2Side</p>\n\
<p>13 - Boolean - rpar -&gt; inMtlEdit</p>\n\
<p>14 - Float - rpar -&gt; mtlEditTile</p>\n\
<p>15 - Boolean - rpar -&gt; mtlEditAA</p>\n\
<p>16 - Boolean - rpar -&gt; multiThread</p>\n\
<p>17 - Boolean - rpar -&gt; useEnvironAlpha</p>\n\
<p>18 - Boolean - rpar -&gt; dontAntialiasBG</p>\n\
<p>19 - Boolean - rpar -&gt; useDisplacement</p>\n\
<p>20 - Boolean - rpar -&gt; useRadiosity</p>\n\
<p>21 - Boolean - rpar -&gt; computeRadiosity</p>\n\
<p>22 - TextureMap - rpar -&gt; envMap</p>\n\
<p>23 - Time - rpar -&gt; firstFrame</p>\n\
<p>24 - Integer - rpar -&gt; scanBandHeight</p>\n\
<p>25 - Integer - rpar -&gt; extraFlags</p>\n\
<p>26 - Point2 - rpar -&gt; width, rpar -&gt; height</p>\n\
<p>27 - Boolean - rpar -&gt; filterBG</p>\n\
<p>28 - Boolean - rpar -&gt; alphaOutOnAdditive</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postRender: undefined </code></pre><p>Sent after rendering has finished. This notification is sent out after the renderer destroys the render instance objects, which means that you can create nodes and other objects as a response to this event. When rendering multiple frames, this event is sent only once at the end of the rendering phase, and not on a per-frame basis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preRenderEval: time </code></pre><p>Sent just before the renderer starts evaluating objects.</p>\n\
<p>Returns the time being rendered</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preRenderFrame: Array </code></pre><p>Sent just before each frame is rendered by the renderer. This notification is sent out after the renderer has taken a snapshot of the scene geometry. At the time of this call the scene cannot be modified. The renderer has already called <code>GetRenderMesh()</code> on all the object instances, and the materials and lights are already updated. If you don&apos;t modify anything that is rendered, then it is okay to use this callback. The current frame being rendered is set into the MAXScript currentTime context and system global, so any references to other scene object properties will automatically be resolved at the currently rendering frame&apos;s time. This notification is not sent out when the renderer is called to update the Material Editor sample spheres, only during output rendering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postRenderFrame: Array </code></pre><p>Sent just after each frame is rendered by the renderer. The current frame being rendered is set into the MAXScript currentTime context and system global, so any references to other scene object properties will automatically be resolved at the currently rendering frame&apos;s time. This notification is not sent out when the renderer is called to update the Material Editor sample spheres, only during output rendering.</p>\n\
<p>Returns a 22 element array - see the SDK help file, class RenderGlobalContext, for more information on the parameter definitions.</p>\n\
<p>1 - Integer - rendParams -&gt; projType</p>\n\
<p>2 - Point2 - rendParams -&gt; devWidth, rendParams -&gt; devHeight</p>\n\
<p>3 - Point2 - rendParams -&gt; xscale, rendParams -&gt; yscale</p>\n\
<p>4 - Point2 - rendParams -&gt; xc, rendParams- &gt; yc</p>\n\
<p>5 - Boolean - rendParams -&gt; antialias</p>\n\
<p>6 - Matrix3 - rendParams -&gt; camToWorld</p>\n\
<p>7 - Matrix3 - rendParams -&gt; worldToCam</p>\n\
<p>8 - Point2 - rendParams -&gt; nearRange, rendParams -&gt; farRange</p>\n\
<p>9 - Float - rendParams -&gt; devAspect</p>\n\
<p>10 - Float - rendParams -&gt; frameDur</p>\n\
<p>11 - TextureMap - rendParams -&gt; envMap</p>\n\
<p>12 - Color - rendParams -&gt; globalLightLevel</p>\n\
<p>13 - Time - rendParams -&gt; time</p>\n\
<p>14 - Boolean - rendParams -&gt; wireMode</p>\n\
<p>15 - Float - rendParams -&gt; wire_thick</p>\n\
<p>16 - Boolean - rendParams -&gt; force2Side</p>\n\
<p>17 - Boolean - rendParams -&gt; inMtlEdit</p>\n\
<p>18 - Boolean - rendParams -&gt; fieldRender</p>\n\
<p>19 - Boolean - rendParams -&gt; first_field</p>\n\
<p>20 - Boolean - rendParams -&gt; field_order</p>\n\
<p>21 - Boolean - rendParams -&gt; objMotBlur</p>\n\
<p>22 - Integer - rendParams -&gt; nBlurFrames</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#beginRenderingReflectRefractMap: undefined </code></pre><p>Sent before preparing Reflect and Refract Maps for rendering</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#beginRenderingActualFrame: undefined </code></pre><p>Sent after render setup and immediately before the actual render begins</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#beginRenderingTonemappingImage: undefined </code></pre><p>Sent before rendering Tonemapping image</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p>   </p>\n\
<p>   You cannot change an object&apos;s mesh in a <code>#preRenderFrame</code> , <code>#postRenderFrame</code> or any of the <code>#beginRendering*</code> callbacks, particularly if the mesh isn&apos;t animated. The renderer has already evaluated the original mesh and holds a pointer to that mesh. Changing the object&apos;s mesh will delete the old mesh, but the renderer doesn&apos;t know this, and when trying to render the now deleted mesh will crash.</p>\n\
\n\
</div></div>\n\
\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   For an example of using the <code>#preRender</code> and <code>#postRender</code> callbacks, see</p>\n\
<p>   <a href=\"./../../../How-To-Practical-Examples/How-To-Change-Objects-At-Render.html\">How To ... Change Objects At Render Time</a></p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";