var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C9E47563-0AD8-40DD-93E1-D79735737241\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>System Notifications</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#appActivated: undefined </code></pre><p>Called when the main application window is activated.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Note this message is called every time the main window is activated. Use with caution. If the intention is to do something on system startup, consider <strong>#postSystemStartup</strong> instead.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#appDeactivated: undefined </code></pre><p>Called when the main application window is deactivated.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Note this message is called every time the main window is activated. Use with caution. If the intention is to do something on system startup, consider <strong>#preSystemShutdown</strong> instead.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postSystemStartup: undefined </code></pre><p>Sent when the software goes live.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#selectionLocked: undefined </code></pre><p>Sent when selection lock is triggered.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#selectionUnlocked: undefined </code></pre><p>Sent when selection unlock is triggered.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#systemPreNew: integer </code></pre><p>Sent just before <strong>3ds Max</strong> is reset.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function will return an integer value corresponding to the option selected in the New Scene dialog:</p>\n\
<p>1 - New All</p>\n\
<p>2 - Keep Objects</p>\n\
<p>3 - Keep Objects and Hierarchy</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#systemPostNew: undefined </code></pre><p>Sent just after <strong>3ds Max</strong> is reset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#systemPreReset: undefined </code></pre><p>Sent before <strong>3ds Max</strong> is reset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#systemPostReset: undefined </code></pre><p>Sent after <strong>3ds Max</strong> is reset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#systemPreDirChange: undefined </code></pre><p>System path has changed - Catalogs dir modified from the Configure Path dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#systemPostDirChange: undefined </code></pre><p>System path has changed - Catalogs dir modified from the Configure Path dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preSystemShutdown: undefined </code></pre><p>Sent just before the software enters the shutdown process.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postSystemShutdown: undefined </code></pre><p>Sent just before the software finishes the shutdown process.</p>\n\
<p>Some operations involving the MAXScript Listener and the 3ds Max UI will not be available when this callback is run because they have been shut down already. Non-UI related operations like writing to a file would be performed correctly though.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#systemShutdownCheck: undefined </code></pre><p>Sent when potentially starting to shut 3ds Max down, before checking for things that can cancel the shutdown, such as scene dirty or ExitMAXCallback callback object returning false. Available in <strong>3ds Max 2020.1 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#systemShutdownCheckFailed: undefined </code></pre><p>Sent if system shutdown was cancelled. Available in <strong>3ds Max 2020.1 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#systemShutdownCheckPassed: undefined </code></pre><p>Sent if system shutdown was not cancelled. and system shutdown is about to start. Available in <strong>3ds Max 2020.1 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#welcomeScreenDone: undefined </code></pre><p>Sent once initial welcome screen is done (either it did not show or it has been closed).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preAppThemeChange: undefined </code></pre><p>Sent before the application theme is changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postAppThemeChange: undefined </code></pre><p>Sent after the application theme is changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postLoadingMenus: undefined </code></pre><p>Called after a menu file has been loaded and the menu bar updated.</p>\n\
<p>Clients registered for this notification could add their own menu or menu item to the currently loaded set of menus.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preLoadingCuiToolbars: string </code></pre><p>Sent before the main application menu bar is saved.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the loading path, or empty if loading the default toolbars.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postLoadingCuiToolbars: string </code></pre><p>Sent after the main application menu bar is saved.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the loading path, or empty if loading the default toolbars.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preSavingCuiToolbars: string </code></pre><p>Sent before a toolbar configuration is saved.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the saving path, or empty if saving the default toolbars.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postSavingCuiToolbars: string </code></pre><p>Sent after a toolbar configuration is saved.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the saving path, or empty if saving the default toolbars.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preSavingMenus: string </code></pre><p>Sent before the main application menu bar is saved.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the saving path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postSavingMenus: string </code></pre><p>Sent after the main application menu bar is saved.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the saving path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postSceneReset: undefined </code></pre><p>Sent just after deleting all refs in existing scene.</p>\n\
<p>This notification is sent after wiping the existing scene. Examples of when this occurs is immediately before loading in the new scene from a file, and when doing a file new</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preSceneStateRestore: string </code></pre><p>Sent before a Scene State is restored.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the Scene State name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postSceneStateRestore: string </code></pre><p>Sent after a Scene State is restored.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the Scene State name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preSceneStateSave: string </code></pre><p>Sent before a scene state is saved.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the Scene State name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postSceneStateSave: string </code></pre><p>Sent after a scene state is saved.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the Scene State name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preWorkspaceChange: undefined </code></pre><p>Sent before a CUI workspace is about to change.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the workspace name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postWorkspaceChange: string </code></pre><p>Sent after a CUI workspace has changed.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns the workspace name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preWorkspaceCollectionChange: undefined </code></pre><p>Sent before the collection of system workspaces is about to change.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postWorkspaceCollectionChange: undefined </code></pre><p>Sent after the collection of system workspaces has changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preStartupScriptLoad: undefined</code></pre><p>Sent immediately before the startup scripts are executed. Available in <strong>3ds Max 2019.2 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preProjectFolderChange: undefined</code></pre><p>Sent at beginning of project folder change, before any folders are changed. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postProjectFolderChange: undefined</code></pre><p>Sent at end of project folder change, after all folders are changed. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";