var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A81EA1A3-BE58-4A69-BB30-474F805D5E81\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Active X Inspector Functions</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The following Inspector Functions can be used to acquire lists of available ActiveX Controls and their methods, events, and properties:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showAllActiveXControls [ to:&lt;stream&gt; ]      </code></pre><p>Prints a list of ActiveX controls with their progID and classID, registered on your system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showMethods&lt;axControl&gt; [ to:&lt;stream&gt; ] [ showHidden:&lt;false&gt;]   </code></pre><p>Prints a list of methods and their arguments that can be invoked on the control</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showEvents &lt;axControl&gt; [ to:&lt;stream&gt; ] </code></pre><p>Prints a list of events and their arguments that are sent by the control</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showProperties &lt;axControl&gt; [ to:&lt;stream&gt; ] [showHidden:&lt;false&gt;] </code></pre><p>Prints a list of the properties and their types, supported by the control. Some properties are marked read-only</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPropNames &lt;axControl&gt; [showHidden:&lt;false&gt;] </code></pre><p>Returns an array of the properties supported by the control</p>\n\
<p>where</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">to:&lt;stream&gt; </code></pre><p>is the output stringstream.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showHidden:&lt;boolean&gt; </code></pre><p>controls whether hidden properties/methods should be included in the enumeration. The default value is false.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;Test&quot;\n\
   (\n\
     activeXControl lv &quot;MSComctlLib.ListViewCtrl&quot;\n\
     on test open do\n\
     (\n\
       format &quot;PROPERTIES:\\n&quot;\n\
       showProperties lv\n\
       format &quot;METHODS:\\n&quot;\n\
       showMethods lv\n\
       format &quot;EVENTS:\\n&quot;\n\
       showEvents lv\n\
     )\n\
   )\n\
   createDialog test\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Rollout:test\n\
   PROPERTIES:\n\
   .Arrange : ListArrangeConstants( #lvwNone | #lvwAutoLeft | #lvwAutoTop )\n\
   .ColumnHeaders : IColumnHeaders\n\
   .DropHighlight : IListItem\n\
   .DropHighlight : undefined, read-only\n\
   .HideColumnHeaders : boolean\n\
   .HideSelection : boolean\n\
   .Icons : IVBDataObject\n\
   .Icons : undefined, read-only\n\
   .ListItems : IListItems\n\
   .LabelEdit : ListLabelEditConstants( #lvwAutomatic | #lvwManual )\n\
   .LabelWrap : boolean\n\
   .MouseIcon : IPictureDisp\n\
   .MousePointer : MousePointerConstants( #ccDefault | #ccArrow | #ccCross | #ccIBeam | #ccIcon | #ccSize | #ccSizeNESW | #ccSizeNS | #ccSizeNWSE | #ccSizeEW | #ccUpArrow | #ccHourglass | #ccNoDrop | #ccArrowHourglass | #ccArrowQuestion | #ccSizeAll | #ccCustom )\n\
   .MultiSelect : boolean\n\
   .SelectedItem : IListItem\n\
   .SelectedItem : undefined, read-only\n\
   .SmallIcons : IVBDataObject\n\
   .SmallIcons : undefined, read-only\n\
   .Sorted : boolean\n\
   .SortKey : integer\n\
   .SortOrder : ListSortOrderConstants( #lvwAscending | #lvwDescending )\n\
   .View : ListViewConstants( #lvwIcon | #lvwSmallIcon | #lvwList | #lvwReport )\n\
   .OLEDragMode : OLEDragConstants( #ccOLEDragManual | #ccOLEDragAutomatic )\n\
   .OLEDropMode : OLEDropConstants( #ccOLEDropNone | #ccOLEDropManual )\n\
   .Appearance : AppearanceConstants( #ccFlat | #cc3D )\n\
   .BackColor : OLE_COLOR\n\
   .BorderStyle : BorderStyleConstants( #ccNone | #ccFixedSingle )\n\
   .Enabled : boolean\n\
   .Font : IFontDisp\n\
   .ForeColor : OLE_COLOR\n\
   .hWnd : OLE_HANDLE\n\
   .AllowColumnReorder : boolean\n\
   .Checkboxes : boolean\n\
   .FlatScrollBar : boolean\n\
   .FullRowSelect : boolean\n\
   .GridLines : boolean\n\
   .HotTracking : boolean\n\
   .HoverSelection : boolean\n\
   .Picture : IPictureDisp\n\
   .PictureAlignment : ListPictureAlignmentConstants( #lvwTopLeft | #lvwTopRight | #lvwBottomLeft | #lvwBottomRight | #lvwCenter | #lvwTile )\n\
   .ColumnHeaderIcons : IVBDataObject\n\
   .ColumnHeaderIcons : undefined, read-only\n\
   .TextBackground : ListTextBackgroundConstants( #lvwTransparent | #lvwOpaque )\n\
   METHODS:\n\
   .FindItem sz:string Where:undefined Index:undefined fPartial:undefined\n\
   .GetFirstVisible()\n\
   .HitTest x:float y:float\n\
   .StartLabelEdit()\n\
   .OLEDrag()\n\
   .Refresh()\n\
   EVENTS:\n\
   on &lt;control_name&gt; BeforeLabelEdit Cancel:integer do ( ... )\n\
   on &lt;control_name&gt; AfterLabelEdit Cancel:integer NewString:string do ( ... )\n\
   on &lt;control_name&gt; ColumnClick ColumnHeader:ColumnHeader do ( ... )\n\
   on &lt;control_name&gt; ItemClick Item:ListItem do ( ... )\n\
   on &lt;control_name&gt; KeyDown KeyCode:integer Shift:integer do ( ... )\n\
   on &lt;control_name&gt; KeyUp KeyCode:integer Shift:integer do ( ... )\n\
   on &lt;control_name&gt; KeyPress KeyAscii:integer do ( ... )\n\
   on &lt;control_name&gt; MouseDown Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... )\n\
   on &lt;control_name&gt; MouseMove Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... )\n\
   on &lt;control_name&gt; MouseUp Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... )\n\
   on &lt;control_name&gt; Click do ( ... )\n\
   on &lt;control_name&gt; DblClick do ( ... )\n\
   on &lt;control_name&gt; OLEStartDrag &amp;Data:DataObject &amp;AllowedEffects:integer do ( ... )\n\
   on &lt;control_name&gt; OLEGiveFeedback &amp;Effect:integer &amp;DefaultCursors:boolean do ( ... )\n\
   on &lt;control_name&gt; OLESetData &amp;Data:DataObject &amp;DataFormat:integer do ( ... )\n\
   on &lt;control_name&gt; OLECompleteDrag &amp;Effect:integer do ( ... )\n\
   on &lt;control_name&gt; OLEDragOver &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float &amp;State:integer do ( ... )\n\
   on &lt;control_name&gt; OLEDragDrop &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float do ( ... )\n\
   on &lt;control_name&gt; ItemCheck Item:ListItem do ( ... )\n\
   true\n\
   OK\n\
</code></pre></blockquote>\n\
<h2 id=\"type-conversion\">Type Conversion</h2><p>All supported COM datatypes are converted to an appropriate MAXScript wrapper when passed to and from a COM object. Here are the supported types and their mapping:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">undefined - VT_EMPTY\n\
boolean - VT_BOOL\n\
integer - VT_UI1\n\
integer - VT_UI2\n\
integer - VT_UI4\n\
integer - VT_UI8\n\
integer - VT_I1\n\
integer - VT_I2\n\
integer - VT_I4\n\
integer - VT_I8\n\
float - VT_R4\n\
float - VT_R8\n\
string - VT_BSTR\n\
float - VT_CY\n\
date - VT_DATE\n\
error - VT_ERROR\n\
color - VT_COLOR\n\
MSDispatch - VT_DISPATCH\n\
font - VT_FONT\n\
undefined - VT_UNKNOWN\n\
ComArray - VT_SAFEARRAY\n\
ComArray - VT_CARRAY\n\
ComArray - VT_ARRAY</code></pre><p>Valid string handling for property sets and method call arguments, you can safely do</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ax.Navigate&quot;http://www.autodesk.com&quot;\n\
</code></pre><p>   where: ax is the Microsoft Web Browser Control</p>\n\
</blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Restricted functions like QueryInterface, AddRef, Release are displayed by <code>showMethods()</code> function.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../ActiveX-Controls-in-MAXScript.html\">ActiveX Controls in MAXScript Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";