var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-37CB6A37-B1D9-41F5-AD94-C196E76A729C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ActiveX Control Properties</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>There are two common properties for ActiveX controls, <code>.pos</code> and <code>.size</code> .</p>\n\
<p>Other ActiveX properties are control specific and vary from one control to another.</p>\n\
<p>For a list of all available properties except the two common properties listed above, you can use the ActiveX Control Inspector Function</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showProperties &lt;axControl&gt;\n\
</code></pre><p>Properties can be set as usual in MAXScript,</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ax.checkboxes= true</code></pre></blockquote>\n\
<p>where <code>ax</code> is the control name and <code>.checkboxes</code> is a boolean property.</p>\n\
<p>Additionally, there is support for color properties. The internal representation of colors for ActiveX controls is COLORREF(unsigned integer) so you will always get integers when reading them, but you can set them as follows:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ax.forecolor =red -- if a .forecolor property exists</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Colors in Microsoft Windows are represented as BGR instead of RGB values. Thus the above example will result in the foreground color to be <strong>BLUE</strong> and not <strong>RED</strong>. To specify the correct color, you can use a MAXScript color value and turn the order of the blue and red channels manually, or define a function to do so automatically,</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn activeXColortheColor = (color theColor.b theColor.g theColor.r)\n\
   ax.forecolor = activeXColor red\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../ActiveX-Controls-in-MAXScript.html\">ActiveX Controls in MAXScript Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Active-X-Inspector-Functions.html\">Active X Inspector Functions</a></li>\n\
          <li><a class=\"link\" href=\"ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";