var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C62167A8-8ED9-422E-BCE1-F01ADDA41D33\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ActiveX by-reference arguments for methods and events</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The following example will not work unless the used ActiveX control is installed on your system.</p>\n\
<p>ActiveX supports by-reference arguments for methods and events since <strong>3ds Max 5.1</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout winsockTester &quot;Winsock Tester&quot; (\n\
   activeXControl axWinsock &quot;{248DD896-BB45-11CF-9ABC-0080C7E7B78D}&quot; align:#left\n\
   edittext txt text:&quot;mail.iwaynet.net&quot; offset:[-12, 0] fieldwidth:90\n\
   edittext txt2 &quot;Port:&quot; text:&quot;110&quot; offset:[8, -2]\n\
   button btn &quot;Connect&quot; width:90 height:16 offset:[0, 2]\n\
   button btn2 &quot;Disconnect&quot; width:90 height:16 offset:[0, -2] enabled:false\n\
   -- some data has arrived..\n\
   on axWinsock DataArrival bytes do\n\
   (\n\
     format &quot;% bytes received.\\n&quot; bytes\n\
     local wsckData = &quot;&quot; -- initialize to a string\n\
     p = axWinsock.getdata &amp;wsckdata -- by-reference argument\n\
     format &quot;Data: %\\n&quot; wsckData\n\
   )\n\
   -- connected to remote host\n\
   on axWinsock Connect do\n\
   (\n\
     format &quot;Connected.\\n&quot;\n\
     btn2.enabled = true\n\
     btn.enabled = false\n\
   )\n\
   -- connect!\n\
   on btn pressed do\n\
   (\n\
     axWinsock.connect txt.text txt2.text\n\
     format &quot;Connecting ...\\n&quot;\n\
   )\n\
   -- disconnect\n\
   on btn2 pressed do\n\
   (\n\
     axWinsock.close()\n\
     format &quot;Connection closed.\\n&quot;\n\
     btn2.enabled = false\n\
     btn.enabled = true\n\
   )\n\
   )\n\
   createdialog winsockTester 100 115\n\
</code></pre></blockquote>\n\
<p>By-reference arguments are preceded with a &apos;&amp;&apos; in showMethods and showEvents.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   showmethods winsockTester.axWinsock\n\
   .Connect RemoteHost:undefined RemotePort:undefined\n\
   .Listen()\n\
   .Accept requestID:integer\n\
   .SendData data:undefined\n\
   .GetData &amp;data:undefined type:undefined maxLen:undefined\n\
   .PeekData &amp;data:undefined type:undefined maxLen:undefined\n\
   .Close()\n\
   .Bind LocalPort:undefined LocalIP:undefined\n\
</code></pre></blockquote>\n\
<p>Since the value type for the &apos;data&apos; argument for GetData and PeekData is &apos;unknown&apos;, we have to pass a value type that the ActiveX control knows how to handle. In this case, the methods want a buffer where they can store data, and they know how to deal with a string value. That is why we initialized variable wsckData to a null string.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../ActiveX-Controls-in-MAXScript.html\">ActiveX Controls in MAXScript Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";