var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B2761D73-7B3D-4A71-99E1-637C34059BBB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ImageList ActiveX Control</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;Microsoft ImageList Control 6.0 (SP4)&quot; \n\
&quot;MSComctlLib.ImageListCtrl.2&quot; \n\
&quot;{2C247F23-8591-11D1-B16A-00C0F0283628}&quot; </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>Description:</strong></p>\n\
<p>The <strong>ImageList ActiveX Control</strong> can be used to create, manage and supply images to other ActiveX Controls like the <a href=\"./../ListView-ActiveX-Control.html\">ListView ActiveX Control</a> and the <a href=\"./../TreeView-ActiveX-Control.html\">TreeView ActiveX Control</a> to be used as icons.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">activeXControl ilctrl &quot;MSComctlLib.ImageListCtrl&quot; </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ImageHeight : integer </code></pre><p>Get/Set the height of the image in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ImageWidth : integer </code></pre><p>Get/Set the width of the image in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MaskColor : OLE_COLOR </code></pre><p>Get/Set the mask color as OLE_COLOR value. The pixels with this color will show the background color when the .UseMaskColor property is set to true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.UseMaskColor : boolean </code></pre><p>When set to true, pixels matching the color specified by the .MaskColor property will not be drawn and will show the background color. When set to false, the .MaskColor will not be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.BackColor : OLE_COLOR </code></pre><p>Defines the background color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Overlay Key1:undefined Key2:undefined </code></pre><p>Defines the overlay keys.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.hImageList : OLE_HANDLE </code></pre><p>Returns the OLE_HANDLE to the Image List for use in the windows.SendMessage method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ListImages : IImages </code></pre><p>Returns the imageList array containing the stored images. It has its own Properties and Methods as described below:</p>\n\
<h2 id=\"listimages-properties-and-methods\">ListImages Properties and Methods</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ListImages.Count : integer </code></pre><p>Returns the number of images stored in the ListImages array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ListImages[Index] : IImage </code></pre><p>Returns the indexed image from the list. The index is 1-based.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Add Index:undefined Key:undefined Picture:undefined </code></pre><p>Adds a new image to the list.Index is the index of the image to be added, key is a user-defined name property to identify the image and picture is an IPictureDisp value returned by the <a href=\"./../../loadpicture.html\">loadPicture method</a></p>\n\
<p>See the tutorial <a href=\"./../../../../../How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-2.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</a> for a practical example.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Clear() </code></pre><p>Removes all images from the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Remove Index:undefined </code></pre><p>Removes the indexed image from the list. Index is 1-based.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-ActiveX-Control-Examples.html\">Other ActiveX Control Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
          <li><a class=\"link\" href=\"../ListView-ActiveX-Control.html\">ListView ActiveX Control</a></li>\n\
          <li><a class=\"link\" href=\"../TreeView-ActiveX-Control.html\">TreeView ActiveX Control</a></li>\n\
          <li><a class=\"link\" href=\"../TabStrip-ActiveX-Control.html\">TabStrip ActiveX Control</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-2.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";