var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-03958ED1-69C2-425D-8DEF-A386DEA6765D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Windows Media Player ActiveX Control Example</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The following example will not work unless the Windows Media Player ActiveX control is registered on your system.</p>\n\
<p>The following example creates a Windows Media Player in a rollout.</p>\n\
<ul>\n\
<li><p>You can load an avi file by clicking the &quot;Pick Avi&quot; button and choosing an Avi file from disk.</p>\n\
</li>\n\
<li><p>When the play button is hit the &quot;on timer...&quot; event is called. This synchronizes the time slider with the active frame in the media player!</p>\n\
</li>\n\
<li><p>Click &quot;Show properties&quot; to get all the properties listed in the listbox.</p>\n\
</li>\n\
<li><p>You can get a property&apos;s value by selecting the property name from the listbox.</p>\n\
</li>\n\
<li><p>You can also set a property by picking a property from the listbox and entering the new value in the text field below.</p>\n\
</li>\n\
</ul>\n\
<blockquote>\n\
<p>   <strong>SAMPLE SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout rActiveX &quot;Windows Media Player in a Rollout&quot;\n\
   (\n\
   local val\n\
   activeXControl ax &quot;{05589FA1-C356-11CE-BF01-00AA0055595A}&quot; height:200 width:300 align:#left\n\
   button btnPick &quot;Pick Avi&quot; pos:[320, 10]\n\
   button btnProps &quot;Show Properties&quot; pos:[320, 50]\n\
   listBox lbProps &quot;Properties:&quot; pos:[420, 10] width:170\n\
   editText etValue &quot;Value:&quot; pos:[385, 170] width:200\n\
   label lblStatus &quot;&quot; pos:[440, 190]\n\
   on btnPick pressed do\n\
   (\n\
   local f = getOpenFileName caption:&quot;Pick Any Avi File&quot; types:&quot;*.avi&quot;\n\
   if f != undefined then ax.FileName = f\n\
   )\n\
   on btnProps pressed do\n\
   (\n\
   showProperties ax\n\
   lbProps.items = getPropNames ax\n\
   )\n\
   on lbProps selected sel do\n\
   (\n\
   if lbProps.items.count &gt; 0 then\n\
   (\n\
   try ( val = getProperty ax lbProps.items[sel] )\n\
   catch ( val == undefined )\n\
   etValue.text = val as string\n\
   )\n\
   )\n\
   on etValue entered text do\n\
   (\n\
   try( setProperty ax lbProps.selected (text as (classof val)) ) catch( etValue.text = &quot;Set Failed&quot;)\n\
   )\n\
   on ax timer do\n\
   (\n\
   sliderTime = animationRange.start + (ax.CurrentPosition * (animationRange.end - animationRange.start))/(ax.selectionEnd - ax.selectionStart)\n\
   )\n\
   on ax PositionChange oldPos newPos do\n\
   (\n\
   format &quot;[%, %]\\n&quot; oldPos newPos\n\
   )\n\
   )\n\
   nf = newRolloutFloater &quot;Test ActiveX&quot; 650 300\n\
   addRollout rActiveX nf\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-FBC56514-C0D8-4DE1-A287-3DDC23D07E5E-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Windows-Media-Player-ActiveX.html\">Windows Media Player ActiveX Control</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Windows-Media-Player-ActiveX.html\">Windows Media Player ActiveX Control</a></li>\n\
          <li><a class=\"link\" href=\"../../ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";