var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5A4580C6-B5CF-4104-898B-9313D1AAECD4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Context Filters</h1></div><p>Filter functions for context-sensitive menus.</p>\n\
<p>Use this for <strong>.IsEnabled</strong> or <strong>.IsVisible</strong> handlers in macroScripts. isEnabled and isChecked handlers have been added to many of the existing macroScripts. All of the modifier, creation, and polygon toolbox macroScripts have these two handlers.</p>\n\
<p>These handlers allow object creation CUI buttons to turn green while creating objects, and modifier buttons are only enabled if they apply to the current selection. Moreover, the polygon toolbox buttons only enable when applicable, and the selection level buttons stay pressed while in the sub-object level.</p>\n\
<p>This structure is defined in .\\stdplugs\\stdscripts\\ <code>FilterFunctions.ms.</code></p>\n\
<p>An example of filter functions is available in the Selection and Display Callbacks Script File, .\\stdplugs\\stdscripts\\ <code>Selection_Display_Filters.ms</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Struct:Filters(         \n\
Is_EditMesh:&lt;fn&gt;,         \n\
Is_NURBS:&lt;fn&gt;,         \n\
Is_EditPoly:&lt;fn&gt;,         \n\
Is_EditPatch:&lt;fn&gt;,         \n\
Is_EditSpline:&lt;fn&gt;,         \n\
Is_MeshSelect:&lt;fn&gt;,         \n\
Is_PolySelect:&lt;fn&gt;,         \n\
Is_SplineSelect:&lt;fn&gt;,         \n\
Is_PatchSelect:&lt;fn&gt;,         \n\
Is_PosXYZ:&lt;fn&gt;,         \n\
Is_RotationXYZ:&lt;fn&gt;,         \n\
Is_ScaleXYZ:&lt;fn&gt;,         \n\
is_Child:&lt;fn&gt;,      </code></pre><p>This is used for the new IK assignments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">is_Parent:&lt;fn&gt;,   </code></pre><p>This is used for the new IK assignments.</p>\n\
<p>CanSwitchTo_XXXX for SubObject levels:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CanSwitchTo_Vertex:&lt;fn&gt;,   \n\
CanSwitchTo_Edge:&lt;fn&gt;,   \n\
CanSwitchTo_Face:&lt;fn&gt;,   \n\
CanSwitchTo_Polygon:&lt;fn&gt;,   \n\
CanSwitchTo_Element:&lt;fn&gt;,   \n\
CanSwitchTo_Border:&lt;fn&gt;,   \n\
CanSwitchTo_Patch:&lt;fn&gt;,   \n\
CanSwitchTo_Segment:&lt;fn&gt;,   \n\
CanSwitchTo_Spline:&lt;fn&gt;, </code></pre><p>These can be used to check if MeshSelect, PatchSelect, SplineSelect, Edit(able) Patch, Edit(able)Mesh, and Edit(able) Spline can go into these subobject levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Are_Modifiers_Applied:&lt;fn&gt;, </code></pre><p>The following requires a node to be passed into the function:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Is_Bone:&lt;fn&gt;, \n\
Is_IKChain:&lt;fn&gt;, \n\
Is_Point:&lt;fn&gt;, \n\
Is_Light:&lt;fn&gt;, \n\
Is_Camera:&lt;fn&gt;, </code></pre><p>These return true if the selected object&#x2019;s function name condition is met.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Is_Target:&lt;fn&gt;, </code></pre><p>Returns true if the node is a target of a LookAt controller, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">HasBaseObjectProperty:&lt;fn&gt;, </code></pre><p>Returns true if the node&apos;s base object has the specified property, or if the base object is a scripted plugin, and the delegate has the specified property. Is either a string or name value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetBaseObjectProperty:&lt;fn&gt;, </code></pre><p>Returns the value for the node&apos;s base object property, or the delegate&apos;s property if the base object is a scripted plugin. If the specified property is not found, a name value of &apos;#error&apos; will be returned. Is either a string or name value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SetBaseObjectProperty:&lt;fn&gt;, </code></pre><p>Sets the value for the node&apos;s base object property, or the delegate&apos;s property if the base object is a scripted plugin. If the specified property is not found, or does not accept the type of value specified, a name value of &apos;#error&apos; will be returned. Is either a string or name value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- returns new value/#errorToggleBaseObjectProperty:&lt;fn&gt;) </code></pre><p>Toggles the value for the node&apos;s base object property, or the delegate&apos;s property if the base object is a scripted plugin. If the specified property is not found, or is not a boolean, a name value of &apos;#error&apos; will be returned. Otherwise the property&apos;s new value will be returned. Is either a string or name value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Defining-Macro-Scripts.html\">Defining Macro Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Interacting-with-the-3ds-Max/Macro-Scripts/Macro-Scripts-1.html\">Macro Scripts</a></li>\n\
          <li><a class=\"link\" href=\"../Defining-Macro-Scripts.html\">Defining Macro Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";