var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E5EE5B39-C8F2-4AB5-A890-C39C5EFB39E5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Creating Icon Bitmap Files</h1></div><p>An icon bitmap file can have any number of individual icons, which are lined up side-by-side in the file.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This topic describes a legacy icon format. See <a href=\"./../Defining-Macro-Scripts.html\">Defining Macro Scripts</a> for a description of the newer method that supports multi-resolution icons.</div>\n\
<p>If you are creating icon bitmap files, these files must meet the following requirements:</p>\n\
<ul>\n\
<li><p>Icon bitmap files must be .bmp files.</p>\n\
</li>\n\
<li><p>The icon bitmap files are actually groups of files. For each icon bitmap file group there needs to be at least two image files: one containing <code>16x15</code> pixel images ending in _16i.bmp, and another containing <code>24x24</code> pixel images ending in _24i.bmp. For example, these files would be <code>myicons_16i.bmp</code> and <code>myicons_24i.bmp</code> .</p>\n\
</li>\n\
</ul>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The 16x15 size requirement is not a typo, the small icons are actually displayed as 15 pixels high. Some shipping icon files have been created with a height of 16 pixels - in such cases, the last pixel row will be clipped. It is suggested that you set the height of your icon files to 15 pixels to make sure the complete image is visible.</p>\n\
<ul>\n\
<li><p>All icon images in an icon bitmap file must be the same size, as defined by the file name suffix.</p>\n\
</li>\n\
<li><p>Each icon bitmap file group must contain similar icon images in the same order. This allows a single index to locate the desired bitmap, independent of which button size option the user has chosen.</p>\n\
</li>\n\
<li><p>If monochrome, Windows-compatible masks are available, they need to be stored in files ending in _16m.bmp and _24m.bmp. For example, these files would be <code>myicons_16m.bmp</code> and <code>myicons_24m.bmp</code> .</p>\n\
</li>\n\
<li><p>If 8-bit alpha channel data is available, it needs to be stored in _XXa.bmp files if the alpha is not premultiplied, and in _XXp.bmp files if the alpha is premultiplied, where XX is either 16 or 24. For example, these files would be <code>myicons_16a.bmp</code> and <code>myicons_24a.bmp</code> .</p>\n\
</li>\n\
<li><p>If the mask channel bitmap files are present, they are used. If the mask channel bitmap files are not present, then the alpha channel bitmap files are used. If neither the mask nor alpha channel data bitmap files are present, then the color of the upper-left pixel is deemed the transparent color, and a mask is generated automatically for the image bitmaps.</p>\n\
</li>\n\
</ul>\n\
<p>If you wish to generate icons via calls to <code>render()</code> in MAXScript, make sure you use the naming conventions previously described and place the .bmp files in the current <strong>3ds Max</strong> user-interface directory. You can get the current user-interface directory path with the function:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local ui_dir = cui.getDir ()</code></pre><p>In <strong>3ds Max 9</strong> and higher, CUI icon files (*_16i.bmp, *_16a.bmp, *_24i.bmp, *_24a.bmp) are loaded first from the user icon directory, then the max system icon directory, and then &lt;3dsmax.exe&gt;\\ui\\icons. If a file set is present in multiple directories, the version in the first directory is used.</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, the icon filename specified as an argument to loadPicture, the filename in images arrays for UI items, and the filename for the bitmap UI item no longer needs to specify a path to the icon folder. The icon filename will be searched for in the following directories (in order):</p>\n\
<p>The directory associated with the current mzp package, if any.</p>\n\
<p>The directory associated with the calling script</p>\n\
<p>The user icon directory</p>\n\
<p>The max system icon directory</p>\n\
<p>&lt; 3dsmax.exe &gt;\\ui\\icons</p>\n\
<p>The user startup scripts directory</p>\n\
<p>The user scripts directory</p>\n\
<p>The max system startup scripts directory</p>\n\
<p>The max system scripts directory</p>\n\
<p>The map path directories</p>\n\
<p>The image directory</p>\n\
<p>The 3DS executable main directory</p>\n\
<p>The Windows NT 32-bit system directory (system32)</p>\n\
<p>The Windows 16-bit system directory (system)</p>\n\
<p>The Windows directory</p>\n\
<p>The directories that are listed in the PATH environment variable</p>\n\
<p>The following methods are useful when working with custom icons files:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorman.reInitIcons()</code></pre><p>Reloads all CUI icons from the icon files. This can be used to refresh the UI after adding new or editing existing icon bitmap files.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;colorman.resolveIconFolder &lt;filename&gt;filename &lt;&amp;string&gt;path\n\
       path is Out parameter</code></pre><p>This method resolves the filename using the user icon path, then the system icon path, and then &lt;3dsmax.exe&gt;\\ui\\icons. If the file is found, fully qualified filename is placed in full filename and the method returns true. If not found, the method returns false.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Defining-Macro-Scripts.html\">Defining Macro Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";