var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-69632609-C1FC-43F3-BA75-17033A41DA9C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Defining Custom Paint Tools Using the Painter Interface</h1></div><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/PainterInterface-ReferenceTarget.html\">PainterInterface</a></p>\n\
<p>The Painter Interface provides all necessary functions for developing custom Paint Tools. The Interface .thePainterInterface drives all its callbacks through user-defined functions. You need to implement the following functions:</p>\n\
<p><strong>StartStroke</strong></p>\n\
<p><strong>PaintStroke</strong></p>\n\
<p><strong>EndStroke</strong></p>\n\
<p><strong>CancelStroke</strong></p>\n\
<p><strong>SystemEnd</strong></p>\n\
<p>These functions are callbacks in response to the paint system. They will be called as the users paints across a mesh.</p>\n\
<p>To initialize these functions, you need to call <code>thePainterInterface.ScriptFunctions</code> method:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn startStroke = print &quot;Handle start stroke here&quot;\n\
   fn paintStroke = print &quot;Handle paint stroke here&quot;\n\
   fn endStroke = print &quot;Handle end stroke here&quot;\n\
   fn cancelStroke = print &quot;Handle cancel stroke here&quot;\n\
   fn systemEnd = print &quot;Handle system end here&quot;\n\
   thePainterInterface.ScriptFunctions startStroke paintStroke endStroke cancelStroke systemEnd\n\
</code></pre></blockquote>\n\
<p>Once you have established the connection the thePainterInterface, you will need to tell it what to paint on. This is done by calling the initializeNodes method.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   nodeList = $\n\
   thePainterInterface.initializeNodes 0 nodeList\n\
</code></pre><p>   Once you have set up the nodes, you need to tell the system when you want to start a paint session:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   thePainterInterface.startPaintSession()\n\
</code></pre><p>   The Painter Interface will call your functions until you end the session. In order to finish painting, you should call</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   thePainterInterface.endPaintSession()\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Paint-Tools.html\">Scripted Paint Tools</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/PainterInterface-ReferenceTarget.html\">PainterInterface : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-9.html\">How To ... Develop a Bitmap Painting Tool - 3D Painting</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";