var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F7FF013A-F607-4E85-B656-4E1479B8CF26\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>RenderEffect Progress Callback Mechanism</h1></div><p>You can control the main Rendering Effect dialog progress bar resp. the Renderer progress bar using an <code>on apply</code> handler with <code>progressCB</code> , the progress callback interface object.</p>\n\
<p>The following syntax lets you do this:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on apply &lt;bitmap&gt; progressCB: do &lt;fn&gt;</code></pre><p>The first argument is the bitmap value to be modified by the effect and <code>progressCB</code> is a progress callback interface object. This interface has several methods you can call during the course of processing the bitmap that control the progress bar and check for user cancellation.</p>\n\
<h3 id=\"methods\">Methods</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">progressCB.setTitle &lt;string&gt;</code></pre><p>Sets the title on the progress bar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">progressCB.progress &lt;done&gt; &lt;total&gt;</code></pre><p>Defines the progress of the rendering. Both arguments are integers; <code>done</code> indicates how much of the rendering has been completed and <code>total</code> indicates the total amount of work to be done. For instance, in a main loop of a render effect going through all lines of a bitmap, <code>done</code> must be set to the current line number being processed and <code>total</code> must be set to the number of lines in the bitmap (its vertical resolution).</p>\n\
<p>When this is called, either the main Rendering Effect progress bar or the Renderer progress bar is updated to reflect this progress depending on whether the effect is being updated by the Rendering Effect dialog or called by the renderer.</p>\n\
<p>This function also returns a boolean, which if <code>true</code> indicates that the user has hit the Escape key to cancel the effect rendering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">progressCB.check()</code></pre><p>Indicates whether the user has hit the escape key to cancel the effect rendering. This function returns a boolean; <code>false</code> if processing must continue and <code>true</code> if the user has cancelled the rendering.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on apply bm progressCB: do\n\
   (\n\
   ...\n\
   progressCB.setTitle &quot;My Effect Pass1&quot;\n\
   ...\n\
   oldEscapeEnable = escapeEnable -- get old state of escape processing\n\
   escapeEnable = false -- turn off MAXScript escape processing\n\
   total = bm.height -- define total as the height of the bitmap\n\
   for i in ...\n\
   (\n\
   &lt;the effect rendering loop&gt;\n\
   ...\n\
   if progressCB.progress i total then exit --i lines done out of total\n\
   )--end i loop\n\
   ...\n\
   escapeEnable = oldEscapeEnable --restore original state\n\
   ...\n\
   )--end on apply\n\
</code></pre><p>   The progress bar update is done inside the main processing loop and the check for user cancel is done on the same call, which causes the loop to exit prematurely in this example.</p>\n\
<p>   For a real-world practical example of the RenderEffect Progress Callback usage, see the <a href=\"./../../../How-To-Practical-Examples/How-To-Create-a-MonoChrome.html\">How To ... Create a MonoChrome RenderEffect</a> tutorial.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/RenderEffect-MAXWrapper/RenderEffect-MAXWrapper-1.html\">RenderEffect : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-RenderEffect-Plug-ins.html\">Scripted RenderEffect Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/RenderEffect-MAXWrapper/Render-Effects-Common-Properties.html\">Render Effects Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";