var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7EAD66B1-29BE-4EC7-AC82-7D2831062856\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Material Plug-ins</h1></div><p>Scripted Material plug-ins can only extend existing Material plug-ins.</p>\n\
<p>A scripted Material plug-in is declared by specifying the <code>&lt;superclass&gt;</code> as <code>material</code> .</p>\n\
<p>A scripted Material plug-in <strong>must have at least one rollout</strong> defined.</p>\n\
<p>In a scripted Material plug-in, Material and Map buttons that are associated with a parameter in a parameter block do not call the button&#x2019;s <code>picked</code> event handler. Instead, you should link the button to a parameter in a parameter block, and use the <code>set</code> handler for the parameter.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- this is a level 3 plug-in, the beginnings of a custom glass material.\n\
   -- It extends Standard material and replaces its UI with a single\n\
   -- rollout with 2 spinners and a color picker\n\
   plugin material myGlass\n\
   name:&quot;Supa Glass&quot;\n\
   classID:#(695425,446581)\n\
   extends:Standard replaceUI:true version:1\n\
   (\n\
     parameters main rollout:params\n\
     (\n\
       trans type:#float default:27 ui:trans\n\
       refrac type:#float default:1.5 ui:refrac\n\
       col type:#color default:blue ui:col\n\
       on trans set val do delegate.opacity = val\n\
       on refrac set val do delegate.ior = val\n\
       on col set val do delegate.diffuse_color = val\n\
     )\n\
     rollout params &quot;Glass Parameters&quot;\n\
     (\n\
       spinner trans &quot;Transparency: &quot; fieldwidth:45 offset:[-90,0]\n\
       spinner refrac &quot;Index of Refraction: &quot; fieldwidth:45 offset:[-90,0]\n\
       colorpicker col &quot;Base color: &quot; align:#center\n\
     )\n\
     on create do\n\
     (\n\
       -- setup initial material\n\
       delegate.opacityFalloff = 75\n\
     )\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Updating-Scripted-Plug-ins.html\">Updating Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Methods.html\">Scripted Plug-in Methods</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Clauses.html\">Scripted Plug-in Clauses</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";