var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E66C9960-E058-4EF8-92EA-EB65365B79CF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Dialogs and Rollout Floaters as Extended Viewports</h1></div><p>The following functions can be used to register and unregister MAXScript dialogs and rollout floaters as extended viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registerViewWindow &lt;MAXScript_dialog | rollout_floater&gt;</code></pre><p>Registers any MAXScript dialog or rollout floater as an extended viewport. The title of the dialog or floater appears in the viewport right-click menu under Views &gt; Extended menu. When picked the dialog or floater will be displayed in that viewport.</p>\n\
<p>If you click anywhere on the outside border, it will pop up the standard views menu. This will let you switch to a different view window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">unRegisterViewWindow &lt;MAXScript_dialog | rollout_floater&gt;</code></pre><p>Unregisters a dialog or floater as an extended view window. It will throw an error if the dialog or floater is currently displayed in a viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rollout_floater&gt;.inViewport</code></pre><p>This property returns <code>true</code> if the rolloutfloater or rollout is installed in a viewport, <code>false</code> otherwise. Read-only.</p>\n\
<p>Here is a sample script that creates two instances of a Cult3D viewer found at <strong><a href=\"http://www.cycore.com\" target=\"_blank\">www.cycore.com</a></strong>, and opens two files from the internet. Install the Cult3d Viewer and execute the script example below. After executing the script right click on any of the viewports and pick &quot;Views &gt; Extended &gt; Cult3D Player&quot; to display the window in the viewport.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout rCult3D &quot;Cult3D Player&quot;\n\
   (\n\
   activeXControl ax1 &quot;{31B7EB4E-8B4B-11D1-A789-00A0CC6651A8}&quot; align:#left setupEvents:false pos:[10,10]\n\
   activeXControl ax2&quot;{31B7EB4E-8B4B-11D1-A789-00A0CC6651A8}&quot;align:#left setupEvents:false pos:[10,220]\n\
   on rCult3D resized size do\n\
   (\n\
   localcsz = (size - [20,30])*[1,.5]\n\
   ax2.pos = [10, csz.y+20]\n\
   ax1.size = ax2.size = csz\n\
   )\n\
   on rCult3D open do\n\
   (\n\
   ax1.size = ax2.size = [300,200]\n\
   ax1.LoadCult3D&quot;http://www.cult3d.com/gallery/ecommerce/olympus_on_the_beach.co&quot;\n\
   ax2.LoadCult3D&quot;http://www.cult3d.com/gallery/museum/madonna.co&quot;\n\
   )\n\
   )\n\
   createDialog rCult3D width:320 height:430\n\
   registerViewWindow rCult3D\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-64B634DF-6404-4502-8A06-A9F6C642EDE9-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../ActiveX-Controls-in-MAXScript/ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";