var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A72112A6-BDFB-47A6-88FB-8D49C4CBD049\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Rollout Floater Windows</h1></div><p>MAXScript lets you create modeless floating dialog windows known as <strong>Rollout Floaters</strong> and populate them with rollouts defined using rollout definitions.</p>\n\
<p>The user can resize a rollout floater window vertically by dragging on the lower window edge.</p>\n\
<h2 id=\"there-are-two-functions-and-a-special-class-in-support-of-this-as-follows-\">There are two functions and a special class in support of this, as follows:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">newRolloutFloater &lt;title_string&gt; &lt;width_integer&gt; &lt;height_integer&gt; [&lt;top_integer&gt; &lt;left_integer&gt;] \\\n\
     [lockHeight:&lt;boolean&gt;] [lockWidth:&lt;boolean&gt;] [autoLayoutOnResize:&lt;boolean&gt;] scrollBar:&lt;on|off|#on|#off|#asNeeded&gt;</code></pre><p>Creates and opens a new rollout floater window with the title and width and height given. If you don&apos;t supply top and left coordinates, the window will open centered in the screen. The width of the <strong>3ds Max</strong> command panel is 218, in case you want to duplicate its width for precisely accommodating Utilities panel rollouts. This method returns a <code>RolloutFloater</code> value to which you add rollouts.</p>\n\
<p>The <code>lockHeight</code> and <code>lockWidth</code> arguments specify whether to lock the height and width of the rollout floater (that is, whether to disable resizing). Available in <strong>3ds Max 2019 and higher</strong>. The defaults are <code>lockHeight:false</code> and <code>lockWidth:true</code>.</p>\n\
<p>The <code>autoLayoutOnResize</code> argument specifies whether to automatically re-layout the contained rollout when the rollout floater is resized. Available in <strong>3ds Max 2019 and higher</strong>. The default is true.</p>\n\
<p>The <code>scrollBar</code> argument specifies whether to add a scrollbar to the floater to scroll the contained rollout. Available in <strong>3ds Max 2019 and higher</strong>. The default is <code>#asNeeded</code>, where a scrollbar will only be displayed when the rollout floater is smaller than the contained rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">closeRolloutFloater &lt;rolloutFloater&gt;</code></pre><p>Closes the rollout floater window. The user can also do this by clicking the close box on the window. Once closed, the window is no longer usable. All the close handlers in the rollout floater window&apos;s rollouts are called and they are released for use in other rollout floater windows or scripted utilities.</p>\n\
<h2 id=\"the-existing-functions-for-adding-and-removing-rollouts-to-the-utilities-panel-are-extended-to-work-with-rollout-floater-windows-\">The existing functions for adding and removing rollouts to the Utilities panel are extended to work with rollout floater windows:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addRollout &lt;rollout&gt; [ &lt;rolloutFloater&gt; ] [rolledUp:&lt;boolean&gt; ] [border:&lt;boolean&gt;]</code></pre><p>If the optional second argument is specified, it must be a RolloutFloater value as returned from the <code>newRolloutFloater()</code> function. The rollout specified by the first argument is appended after any rollouts previously in the window.</p>\n\
<p>If the optional <code>rolledUp:</code> keyword argument is specified, the rollout will be initially rolled up (closed) when the argument is True or rolled down (open) when False.</p>\n\
<p>If the optional <code>border:</code> keyword argument is specified and set to False in <strong>3ds Max 2009 and higher</strong>, the rollout will have no border. If the keyword argument is not supplied or set to True, a border will be drawn around the rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">removeRollout &lt;rollout&gt; [ &lt;rolloutFloater&gt; ]</code></pre><p>Removes the rollout from the given rollout floater window.</p>\n\
<p>In both functions above, if the optional <code>&lt;rolloutFloater&gt;</code> is not supplied the rollout is added to, or removed from, the Utilities panel, as described in <a href=\"Managing-Multiple-Rollouts-in-a.html\">Managing Multiple Rollouts in a Scripted Utility</a>.</p>\n\
<h2 id=\"rollout-floater-properties-\">Rollout floater properties:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rolloutFloater&gt;.title String</code></pre><p>The Title of the floater.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You cannot change the title of a rollout floater registered as a dialog bar</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rolloutFloater&gt;.size Point2</code></pre><p>The current size of the rollout floater window in pixels. The first component of the Point2 is the width, the second the height. This property is read/write.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If a rollout floater is in an extended viewport, the <code>.size</code> and <code>.position</code> properties report the size and position of the viewport. The properties cannot be set for this case.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rolloutFloater&gt;.pos Point2</code></pre><p>The current screen position of the rollout floater window in pixels. This property is read/write.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>If a rollout floater is in an extended viewport, the size and position properties report the size and position of the viewport. The properties cannot be set for this case.</p>\n\
<p>When a rollout floater window is resized, either by the user or by a script changing the <code>size</code> property, a <code>resized</code> event is generated for the first rollout in the rollout floater window. Likewise, when a rollout floater window is moved, either by the user or by a script changing the <code>pos</code> property, a <code>moved</code> event is generated for the first rollout in the rollout floater window. The event handler for the <code>resized</code> and <code>moved</code> events are described in <a href=\"Utility-and-Rollout-Properties.html\">Utility and Rollout properties, Methods, and Event Handlers</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rolloutFloater&gt;.inViewport Boolean, read-only.</code></pre><p>Returns True if the floater is in extended viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rolloutFloater&gt;.open Boolean, read-only.</code></pre><p>Returns True if the floater is open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rolloutFloater&gt;.visible Boolean</code></pre><p>Get/Set the visibility of the Rollout Floater. Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p>When set to True (default), the Rollout Floater will be displayed.</p>\n\
<p>When set to False, the Rollout Floater will not be drawn, but it and its rollouts will still be accessible through MAXScript.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This can be used as an alternative to placing the Rollout Floater off-screen, a hack sometimes used in older versions of <strong>3ds Max</strong>. Since <strong>3ds Max 2014</strong>, any off-screen dialogs will be automatically moved back into view.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rolloutFloater&gt;.dialogBar Boolean, read-only.</code></pre><p>Returns True if the rollout floater is used as a dialog bar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rolloutFloater&gt;.rollouts Array of rollouts in floater, read-only</code></pre><p>Returns an array of all rollouts in the floater.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rolloutFloater&gt;.placementName, enums:{#minimized|#maximized|#normal}</code></pre><p>This property gets/sets whether the dialog is minimized, maximized, or normal. This property will return &apos;undefined&apos; if the rollout is not in a dialog, the dialog is a dialogBar, or is in a viewport.</p>\n\
<p>This property is valid for Rolloutfloaters that are not a dialogBar nor in a viewport.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This property is available in <strong>3ds Max 6 and higher</strong>.</div>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> \n\
A rollout in a subrollout cannot be registered as a dialogbar or a view window. A rollout or rollout floater cannot be registered as both a dialogbar and a view window.</p>\n\
<p>You can implement a form of rollout state save and restore for your scripted rollouts by recording the / <code>open</code> state of all rollouts and the <code>.scrollPos</code> of the entire panel during <code>close</code> handler processing, and then reset the values in the <code>open</code> handler.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rolloutFloater&gt;.lockHeight Boolean</code></pre><p><code>True</code> if floater height cannot be changed by dragging its borders. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rolloutFloater&gt;.lockWidth Boolean</code></pre><p><code>True</code> if floater width cannot be changed by dragging its borders. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rolloutFloater&gt;.autoLayoutOnResize Boolean</code></pre><p><code>True</code> if auto layout on resize is enabled for the floater. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;rolloutFloater&gt;.hwnd IntegerPtr, read-only</code></pre><p>Contains the window pointer for the floater as an integer pointer, if the floater is open, or <code>undefined</code> if the floater is closed.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout grin &quot;Grin Control&quot;\n\
   (\n\
   slider happy &quot;Happy&quot; orient:#vertical across:5\n\
   slider sad &quot;Sad&quot; orient:#vertical\n\
   slider oo &quot;OO&quot; orient:#vertical\n\
   slider ee &quot;EE&quot; orient:#vertical\n\
   slider oh &quot;OH&quot; orient:#vertical\n\
   /*\n\
   on happy changed val do object.xform1.center = ...\n\
   on sad changed val do object.xform2.gizmo.rotation = ...\n\
   ...\n\
   */\n\
   )\n\
   theNewFloater = newRolloutFloater &quot;Grinning&quot; 300 220\n\
   addRollout grin theNewFloater\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";