var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6F37DC25-A3BF-4A3B-965B-7AD55D035BD1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Rollout User-Interface Controls</h1></div><p>There is a multitude of user-interface control types that you can choose from to construct your rollout.</p>\n\
<p>They all share the same overall syntax:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;item_type&gt; &lt;name&gt; [ &lt;label_string&gt; ] [ &lt;parameters&gt; ]</code></pre><p>The item types correspond to the types of user-interface control items you see in typical <strong>3ds Max</strong> rollouts.</p>\n\
<p>The types of user-interface control items are described in <a href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Control Types</a>.</p>\n\
<p>The <code>&lt;name&gt;</code> is used to name an automatically constructed rollout local variable that will hold the value representing the control item, and is used to associate event handler functions with the control item.</p>\n\
<p>The optional <code>&lt;label_string&gt;</code> is used as a caption, item label, or text content depending on the control item type, as described in the topics for each type.</p>\n\
<p>The optional <code>&lt;parameters&gt;</code> is a sequence of keyword arguments used to set options or influence layout for the control item. The exact parameters that each control item type supports is also defined in the topics for each type.</p>\n\
<p>There are <strong>properties</strong> associated with each of the user-interface control item types.</p>\n\
<p>The properties that are common to all user-interface control item types are described in <a href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a>.</p>\n\
<p>Properties that are unique to a user-interface control item type are defined in the topics for each type.</p>\n\
<p>As you define a sequence of control items, MAXScript will by default automatically lay them out in the rollout, one below the other in the order they are defined.</p>\n\
<p>You can override this layout or make adjustments to it using special layout parameters defined in <a href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls/Setting-Focus-on-User-Interface.html\">Setting Focus on User Interface Controls</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls/Image-Buttons.html\">Image Buttons</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";