var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3880D745-8496-4DFB-8B31-4DEAC152DBB3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Rollout User-Interface Controls Common Properties</h1></div><p>All defined user-interface controls have a local variable constructed for them in the rollout and a value representing the control is placed in that variable. These values typically contain state information relevant to the item, such as if a check box is checked, the current spinner value, the items in a list box, and so on. This information is made available to you as various named properties on the item values. You use standard MAXScript property access to read and set these values,</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>FOR EXAMPLE</th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>frab_x.enabled = true</code></td>\n\
<td>enable the <code>frab_x</code> spinner</td>\n\
</tr>\n\
<tr>\n\
<td><code>foo.text = &quot;Don&apos;t do it&quot;</code></td>\n\
<td>set <code>foo</code> button text</td>\n\
</tr>\n\
<tr>\n\
<td><code>first_item = baz.items[1]</code></td>\n\
<td>get item list from listbox <code>baz</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>$bar.pos.x = x_spinner.value</code></td>\n\
<td>get current value from spinner <code>x_spinner</code></td>\n\
</tr>\n\
</tbody></table>\n\
<p>All of the user-interface common properties except for <code>caption</code> (the label string value is used as the caption) can be specified as parameters when the user-interface item is constructed.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   button foo &quot;You Cannot Press Me!&quot; enabled:false\n\
</code></pre></blockquote>\n\
<h2 id=\"the-following-properties-are-common-to-all-user-interface-items-\">The following properties are common to all user-interface items:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ui_item&gt;.caption String</code></pre><p>The meaning of this property varies depending on the specific user-interface item type. If the user-interface item has a caption, this property contains the caption string. For the various types of buttons, it is the text inside the button. The default value of the caption is the label string specified in the item definition.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ui_item&gt;.text String</code></pre><p>For all the user-interface items except <code>edittext</code> and <code>combobox</code> , the <code>.text</code> property is an alias of the <code>.caption</code> property.</p>\n\
<p>For <code>edittext</code> and <code>combobox</code> user-interface items, it is the text in the edit box.</p>\n\
<p>The default <code>text</code> property value for <code>edittext</code> user-interface items is a null string (&quot;&quot;).</p>\n\
<p>The default <code>text</code> property value for <code>combobox</code> user-interface items is the selected item&#x2019;s text.</p>\n\
<p>The <code>.text</code> property in <strong>3ds Max 7 and higher</strong> is <strong>really</strong> equivalent to the <code>.caption</code> property for all rollout controls that do not define <code>.text</code> separately.</p>\n\
<p>Setting a label&apos;s text is the same as setting a label&apos;s caption. In previous releases, setting the text would not update the UI, but would update the internal <code>.caption</code> value</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ui_item&gt;.enabled Boolean default: true</code></pre><p>Sets whether the item is enabled for interaction when the rollout is initially opened. Disabled items appear unavailable in the rollout. All items are enabled by default, so you typically use this parameter to disable those items that should not initially be available to the user. For example, you might have some spinners that change the properties on a scene object that should not be changed until the user has picked the object, typically with a <code>pickbutton</code> in the rollout. You would disable the spinner in its definition, as in the following example, and enable it once the user picked an object.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   spinner frab_x &quot;Frabulate x-axis:&quot; range:[0,100,0] enabled:false\n\
   ...\n\
   frab_x.enabled=true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ui_item&gt;.pos Point2 default: varies</code></pre><p>This forces the user-interface item to a fixed [x,y] pixel position in the rollout, with [0,0] at the top-left corner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ui_item&gt;.visible</code></pre><p>When set to <code>false</code> , the UI Item is hidden and disabled.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;test&quot;\n\
   (\n\
     button b1 &quot;b1&quot;\n\
     on b1 pressed do print &quot;b1&quot;\n\
     button b2 &quot;b2&quot;\n\
     on b2 pressed do b1.visible = not b1.visible\n\
   )\n\
   createdialog test\n\
   --Pressing the &apos;b2&apos; button hides and unhides the b1 button\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ui_item&gt;.hwnd Integer, read-only</code></pre><p>Contains an array of the HWND Window handles of the control&apos;s rollout if the rollout is open, or an empty array if the control&apos;s rollout is closed.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Due to limitations in <strong>3ds Max</strong>, you cannot specify a node using a Pickbutton in the Create panel, for example in a scripted Geometry plugin. The work-around is to only enable the Pickbutton when the object is open in the Modify Panel.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";