var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E03EED5F-E21F-4C2F-AFA9-BA16A6602ACA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Button UI Control</h1></div><p>A <strong>button control</strong> is used to place a press button on the rollout which the user can click, typically to perform some task.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">button &lt;name&gt; [&lt;caption&gt;] [images:&lt;image_spec_array&gt;] [toolTip:&lt;string&gt;] [border:&lt;boolean&gt;] [iconName:&lt;filename&gt; iconSize:&lt;point2&gt;]</code></pre><p>The default alignment of <code>button</code> items is <code>#center</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test_buttons &quot;Testing Buttons&quot;\n\
   (\n\
     button theButton iconName:@&quot;PolyTools\\TransformTools\\PB_CW&quot; iconSize:[20,20]\n\
     button theBorderlessButton &quot;I am a button, too!&quot; border:false\n\
     on theButton pressed do\n\
       messagebox &quot;Remember: Never press unknown buttons!&quot;\n\
   )\n\
   createDialog test_buttons 150 60\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-51B42D58-0934-4E95-8EF2-0403EED0026E-low.png\" alt></p>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">images:   </code></pre><p>An image-specification array for providing bitmap images for the button. If this is specified, the <code>&lt;caption&gt;</code> is ignored and the contents of the button are replaced with the bitmaps.</p>\n\
<p><a href=\"./../Image-Buttons.html\">See Image Buttons for details</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolTip: </code></pre><p>Provides text for a tooltip for the button; there is no tooltip if not supplied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">border: </code></pre><p>When set to true or not specified, the button will be drawn with a border. This was the default behavior prior to <strong>3ds Max 2009</strong>.</p>\n\
<p>When set to false, the button will be drawn without a border, making it one with the UI background. If the button is enabled, the border will appear when the button is pressed, or upon mouseover.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">iconName:</code></pre><p>The filename of an icon to use as an image on the button. If iconName is specified, the caption is ignored. The iconSize specifies the iconName size at 100% DPI scaling. If not specified, the default [24,24] is assumed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">iconSize:</code></pre><p>The size of the icon specified by iconName at 100% DPI scaling.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;button&gt;.images &lt;Array&gt; </code></pre><p>Sets the image-specification array for the button.</p>\n\
<p>This property is <strong>write-only</strong>.</p>\n\
<p>Setting the value to <code>undefined</code> will set the control back to displaying its caption rather than images in .</p>\n\
<p><a href=\"./../Image-Buttons.html\">See Image Buttons for details</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;button&gt;.tooltip &lt;String&gt; </code></pre><p>Gets or sets the tooltip string of the button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;button&gt;.height &lt;Integer&gt; </code></pre><p>Gets or sets the button height, in pixels. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;button&gt;.width &lt;Integer&gt; </code></pre><p>Gets or sets the button width, in pixels. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;Test&quot;\n\
   (\n\
     button btn_test &quot;Test&quot; tooltip:&quot;This is a tooltip&quot;\n\
   )\n\
   createDialog test\n\
   --&gt; Rollout:test\n\
   --&gt; true\n\
   test.btn_test.tooltip -- get the tooltip string\n\
   --&gt; &quot;This is a tooltip&quot;\n\
   test.btn_test.tooltip = &quot;Now you can get and set the tooltip!&quot;\n\
   --&gt; &quot;Now you can get and set the tooltip!&quot;\n\
   test.btn_test.tooltip -- get the new tooltip string\n\
   --&gt; &quot;Now you can get and set the tooltip!&quot;\n\
</code></pre></blockquote>\n\
<p><strong>Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;button&gt; pressed do &lt;expr&gt; </code></pre><p>Called when the user clicks the button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;button&gt; rightclick do &lt;expr&gt; </code></pre><p>Called when the right mouse button is released over the button.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Materialbutton-UI-Control.html\">Materialbutton UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Mapbutton-UI-Control.html\">Mapbutton UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Pickbutton-UI-Control.html\">Pickbutton UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Checkbutton-UI-Control.html\">Checkbutton UI Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";