var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D23A42EA-7B69-4DEF-9D6E-C6C85F884268\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Checkbox UI Control</h1></div><p>A <strong>checkbox control</strong> is used to place a check box on the rollout. The user can click to successively switch between states.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">checkbox &lt;name&gt; [&lt;caption&gt;] [checked:&lt;boolean&gt;] [triState:&lt;integer&gt;][tooltip:&lt;string&gt;] [iconName:&lt;filename&gt; iconSize:&lt;point2&gt;]</code></pre><p>The default alignment of <code>checkbox</code> items is <code>#left</code> .</p>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">checked:   </code></pre><p>Initial state of the check box, defaults to <code>false</code> (unchecked).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">triState: </code></pre><p>An integer value controlling the checked state of the checkbox as follows:</p>\n\
<p><strong>0</strong> - unchecked (checked:false)</p>\n\
<p><strong>1</strong> - checked (checked:true)</p>\n\
<p><strong>2</strong> - indeterminate (checked:true)</p>\n\
<p>When set to 2 (indeterminate), the checkbox will be displayed as greyed out and checked at the same time. Note that <code>triState</code> : has a higher priority than <code>checked</code> : which means that if you set the parameter <code>checked</code> : to <code>false</code> and the parameter <code>triState</code> : to <code>2</code> , the <code>.checked</code> property will return <code>true</code> . The <code>checked</code> : parameter / property remains <code>&lt;boolean&gt;</code> for backwards compatibility.</p>\n\
<p>Clicking an indeterminate checkbox changes its state to unchecked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tooltip: </code></pre><p>A string defining the tooltip to be displayed when the mouse rolls over the checkbox. Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">iconName:</code></pre><p>The filename of an icon to use as an image on the button. If iconName is specified, the caption is ignored. The iconSize specifies the iconName size at 100% DPI scaling. If not specified, the default [24,24] is assumed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">iconSize:</code></pre><p>The size of the icon specified by iconName at 100% DPI scaling.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;checkbox&gt;.checked Boolean </code></pre><p>The state of the check box, on ( <code>true</code> ) or off ( <code>false</code> ).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;checkbox&gt;.state Boolean </code></pre><p>Synonym for <code>.checked</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;checkbox&gt;.triState Integer </code></pre><p>Get/Set the state of the checkbox to checked, unchecked or indeterminate. See the <code>triState:</code> parameter for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;checkbox&gt;.tooltip String </code></pre><p>Get/set the tooltip of the checkbox. Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>A limitation in the MS Windows implementation of the tooltips causes only the first 80 characters of the tooltip string to be returned to MAXScript.</p>\n\
<p>Tooltips of any length can be SET though.</p>\n\
<p><strong>Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;checkbox&gt; changed &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called when the user clicks the check box to check or uncheck it. The <code>&lt;arg&gt;</code> argument contains the new state of the check box, on ( <code>true</code> ) or off ( <code>false</code> ).</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>&lt;arg&gt;</code> is a local variable in the context of the event handler - you can use it inside the handler to act according to the new state of the checkbox.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   utility testCheckBox &quot;Test The CheckBox&quot;\n\
   (\n\
   checkbox myCheckBox &quot;Click Me&quot;\n\
   -- theState is a user variable name that will contain the state\n\
   -- of the checkbox whenever the change handler is executed\n\
   on myCheckBox changed theState do\n\
   messagebox (&quot;Checkbox state is &quot; + theState as string)\n\
   ) -- end utility\n\
</code></pre><p>   The above is <strong>equivalent</strong> to using</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on myCheckBox changed theState do\n\
   messagebox (&quot;Checkbox state is &quot; + myCheckBox as string) \n\
                                               .state</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   or\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on myCheckBox changed theState do\n\
   messagebox (&quot;Checkbox state is &quot; + myCheckBox as string) \n\
                                            .checked</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;checkbox&gt; rightClick do &lt;expr&gt; </code></pre><p>Called when the Checkbox control is right-clicked.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Checkbutton-UI-Control.html\">Checkbutton UI Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";