var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A10F3B7A-B147-48E5-8ADC-CCDC60F5DB1B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Colorpicker UI Control</h1></div><p>A <strong>colorpicker control</strong> is used to place a <strong>3ds Max</strong> color selection swatch on the rollout. The user can click the swatch to display a Color Selector dialog or drag colors to or from it.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorpicker &lt;name&gt; [ &lt;caption&gt; ] [color:&lt;color&gt;] [alpha:&lt;boolean&gt;] [fieldWidth:&lt;number&gt;] [height:&lt;number&gt;] [modal:&lt;boolean&gt;] [title:&lt;string&gt;] [toolTip:&lt;string&gt;]</code></pre><p>The default alignment of <code>colorpicker</code> items is <code>#left</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout change_wirecolor &quot;Object Color Changer&quot;\n\
   (\n\
     colorpicker theColor &quot;Wireframe color:&quot; color:[0,0,255] modal:false\n\
     on theColor changed new_col do selection.wirecolor = new_col\n\
   )\n\
   createDialog change_wirecolor\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-511AC31D-0FC5-45E1-A6CE-796619D3B786-low.gif\" alt></p>\n\
<p>In this example, the color picker is set to non-modal, which means that changing the color value will change the wireframe color of all selected objects instantly and interactively. Setting <code>modal:</code> to <code>true</code> would let the user adjust the color without feedback in the viewports and assign the result using the OK button.</p>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">color:</code></pre><p>Initial color of the swatch. Defaults to blue.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">title:</code></pre><p>The title displayed on the Color Selector dialog. Defaults to &quot;Choose a color&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fieldWidth:</code></pre><p>The width in pixels of the swatch. Defaults to 40.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">height:</code></pre><p>The height in pixels of the swatch. Defaults to 16.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">modal:</code></pre><p>By default, the color picker is declared as modal which prevents key strokes from being passed to <strong>3ds Max</strong>. When the keyword argument <code>modal:</code> is set to <code>false</code> , the color picker will enable the shortcuts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">alpha:</code></pre><p>When set to <code>true</code> , clicking the color swatch brings up the color picker with alpha support. Defaults to <code>false</code> . If the color swatch is tied to an <code>#acolor</code> of <code>#point4</code> parameter, this parameter is automatically set to <code>true</code> . Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolTip:</code></pre><p>Provides text for a tooltip for the colorpicker; no tooltip if unsupplied. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;colorpicker&gt;.color Color</code></pre><p>The current swatch color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;colorpicker&gt;.alpha Boolean</code></pre><p>When set to <code>true</code> , clicking the color swatch brings up the color picker with alpha support.(Previously available in <strong>3ds Max 6</strong> as construction parameter only).</p>\n\
<p><strong>Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;colorpicker&gt; changed &lt;arg&gt; do &lt;expr&gt;</code></pre><p>Called when the user selects a new color in the open Color Selector dialog for this swatch or drops a new color on it. The <code>&lt;arg&gt;</code> argument contains the newcolor.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Spinner-UI-Control.html\">Spinner UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Slider-UI-Control.html\">Slider UI Control</a></li>\n\
          <li><a class=\"link\" href=\"ProgressBar-UI-Control.html\">ProgressBar UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Angle-UI-element.html\">Angle UI element</a></li>\n\
          <li><a class=\"link\" href=\"Curve-Control.html\">Curve Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";