var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CE0FD5F8-61D6-4B61-AB86-D2176CEE990B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Pickbutton UI Control</h1></div><p>A <strong>pickbutton control</strong> is used to place a scene object-picker button on the rollout. It operates like a normal pick button in the <strong>3ds Max</strong> user interface, turning light-green when pressed and causing an object-pick mode to be entered. The user can then choose a scene object by clicking on it. The pick mode exits and the button returns to its unpressed state. The user can right-click to cancel the pick mode.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pickbutton &lt;name&gt; [&lt;caption&gt;] [message:&lt;string&gt;] [filter:&lt;function&gt;] [toolTip:&lt;string&gt;] [autoDisplay:&lt;boolean&gt;]      </code></pre><p>The default alignment of <code>pickbutton</code> items is <code>#center</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout pick_box_test &quot;Pick Box Test&quot;\n\
   (\n\
   --filter all objects of class Box:\n\
   fn box_filt obj = classof obj == Box\n\
   --Pickbutton to select a Box from the scene\n\
   pickbutton chooseit &quot;Select Box&quot; width:140 filter:box_filt\n\
   --If the user picked an object, then\n\
   on chooseit picked obj do\n\
   (\n\
   --see if the user did not cancel the picking...\n\
   if obj != undefined do\n\
   (\n\
   --if he did not, make the box&apos;s wireframe red:\n\
   obj.wirecolor = red\n\
   --and display the name of the object on the button:\n\
   chooseit.text = obj.name\n\
   )\n\
   )--end on\n\
   )--end rollout\n\
   createDialog pick_box_test\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-A7C0D341-8764-4FE9-9224-025634232452-low.gif\" alt> <img src=\"./images/GUID-C98FF22A-EFB5-419C-A1B2-0BDA712E5431-low.gif\" alt></p>\n\
<p>Note that the filter function will not let you select any other objects except Boxes.</p>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">message:   </code></pre><p>The optional text to be displayed in the <strong>3ds Max</strong> status line while in the pick mode. Default is no message.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">filter: </code></pre><p>The optional filter function that will be called to test the eligibility of the scene object under the cursor for picking. It must be a function of one argument, which will be the object under test, and return <code>true</code> if the object is eligible or <code>false</code> if not.</p>\n\
<p>Default is no filtering.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   The following filter function allows only objects whose names begin with &quot;foo&quot; to be pickable:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn foo_filter obj = matchPattern obj.name pattern:&quot;foo*&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolTip: </code></pre><p>Provides text for a tooltip for the button. No tooltip if unsupplied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">autoDisplay: </code></pre><p>When set to <code>true</code> , the name of the picked object will be automatically displayed as the text on the button. If <code>false</code> or not specified, the button caption will not be changed.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;pickbutton&gt;.object Node </code></pre><p>The last object picked using the <code>pickbutton</code> , <code>undefined</code> if no object has been picked. The property can be both get and <strong>set</strong>, accepting a node or undefined.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;pickbutton&gt;.tooltip String </code></pre><p>Get/set the tooltip string of the checkbutton.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --If you pick a scene object, the tooltip of the pickbutton will show\n\
   --the name of the object you picked.\n\
   rollout test &quot;Test&quot;\n\
   (\n\
   pickbutton pck_test &quot;&gt;&gt;Pick An Object&quot; tooltip:&quot;Pick A Scene Object...&quot;\n\
   on pck_test picked obj do\n\
   if isValidNode obj do pck_test.tooltip = &quot;You picked &quot; + obj.name\n\
   )\n\
   createDialog test\n\
</code></pre></blockquote>\n\
<p><strong>Events:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;pickbutton&gt; picked &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called when the user selects an object in the scene while in the <code>pickbutton</code> pick mode. The <code>&lt;arg&gt;</code> argument will contain the selected object. The handler is not called if the user cancels out of the pick mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;pickbutton&gt; rightclick do &lt;expr&gt; </code></pre><p>Called when the right mouse button is released over the button. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Materialbutton-UI-Control.html\">Materialbutton UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Mapbutton-UI-Control.html\">Mapbutton UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Button-UI-Control.html\">Button UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Checkbutton-UI-Control.html\">Checkbutton UI Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";