var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-411DB273-7B74-4FD7-89E9-B74B9CED102B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Spinner UI Control</h1></div><p>A <strong>spinner control</strong> is used to place a <strong>3ds Max</strong> value spinner in a rollout. The user can drag the spinner arrows or type values into the spinner edit field.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spinner &lt;name&gt; [&lt;caption&gt;] [range:[min,max,val]] [type:&lt;name&gt;] [scale:&lt;float&gt;] [fieldWidth:&lt;integer&gt;] [toolTip:&lt;string&gt;] [indeterminate:&lt;boolean&gt;] [controller:(&lt;controller&gt;)] [setKeyBrackets:&lt;boolean&gt;]      </code></pre><p>The default alignment of <code>spinner</code> items is <code>#right</code> .</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spinner frab_amt &quot;Frab %:&quot; range:[0,100,10] type:#integer\n\
spinner ball_radius &quot;Ball radius&quot; controller:($ball.radius.controller)\n\
on frab_amt changed val do frabulate selection val\n\
</code></pre><p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">range:   </code></pre><p>A Point3 value containing the minimum, maximum, and initial values for the spinner in the x, y, and z components, respectively. Defaults to [0,100,0].</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">type: </code></pre><p>The type of the spinner: <code>#float</code> , <code>#integer</code> , or <code>#worldunits</code> . Defaults to <code>#float.</code> If type is <code>#worldunits</code> , the value is displayed in the current <strong>3ds Max</strong> display units, but the value is always in internal system units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scale: </code></pre><p>The scale of the spinner specifies the smallest value increment. Defaults to 0.1 for floats, 1 for integers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fieldwidth: </code></pre><p>The width in pixels of the spinner text-edit field. By default, the spinner is placed so the left edge of the edit field is exactly in the center of the rollout and right edge is placed at the right margin. You can control how wide the field is using this parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tooltip: </code></pre><p>Specifies the tooltip text to be displayed when the mouse hovers over the spinner.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Indeterminate: </code></pre><p>When set to <code>true</code> , the spinner edit field is blank.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">controller: </code></pre><p>Links the spinner to the specified controller. This can be a new controller or &apos;undefined&apos; to disconnect. This lets you establish a direct link between the spinner and the controller. Changes to the spinner will automatically update the controller (and its controlled objects). Changes to the controller automatically update the spinner. For example, say you have a sphere called $ball with a float controller already assigned to its radius, then the following code:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">utility foo &quot;foo&quot;\n\
(\n\
spinner ball_radius &quot;Ball radius&quot; range:[0,1000,1] \\\n\
controller:($ball.radius.controller)\n\
)\n\
</code></pre><p>sets up a spinner that automatically affects and tracks the radius of the scene node $ball. Any changes to the spinner update $ball&apos;s radius. Any other changes to $ball&apos;s radius, say in the Modify panel or because of animation, will update the spinner. Note that this links to controllers, so the specified controller must already exist before creating the spinner user-interface item. You can either specify a controller already assigned to the parameter you want to link to, or you can create the controller in your script and then assign that controller to the parameter of interest.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setKeyBrackets: </code></pre><p>When set to <code>true</code> (on) or <code>false</code> (off), it will turn on and off the red keyframe brackets that signal a keyframe is present for animated parameters. This allows you to simulate keyframe notification in scripted rollouts by setting this spinner property on or off, most likely in a time change callback function.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">utility foo &quot;foo&quot;\n\
(\n\
local myController=bezier_float()\n\
spinner ball_radius &quot;Ball radius&quot; range:[0,1000,1] \\\n\
controller:myController\n\
button apply &quot;Apply Radius Controller&quot;\n\
on apply pressed do\n\
(\n\
animate off at time 0 $ball.radius=myController.value\n\
$ball.radius.controller=myController\n\
)\n\
)\n\
</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;spinner&gt;.range Point3 </code></pre><p>The current range and value for the spinner, as a Point3 like the <code>range:</code> parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;spinner&gt;.value (Float | Integer)</code></pre><p>The current value of the spinner. The type of the value returned depends on the type of the spinner when it was created, either #integer or #float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;spinner&gt;.setKeyBrackets Boolean </code></pre><p>When set to true (on) or false (off), it will turn on and off the red keyframe brackets that signal a keyframe is present for animated parameters. This allows you to simulate keyframe notification in scripted rollouts by setting this spinner property on or off, most likely in a time change callback function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;spinner&gt;.indeterminate Boolean </code></pre><p>When set to <code>true</code> , the spinner edit field is blank. The value of the spinner is unchanged and remains accessible when a spinner is set to indeterminate. Setting the spinner&apos;s value sets <code>indeterminate</code> to <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;spinner&gt;.tooltip String </code></pre><p>Get/set the tooltip text to be displayed when the mouse hovers over the spinner.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;spinner&gt; changed &lt;arg&gt; [&lt;inSpin_arg&gt;] do &lt;expr&gt; </code></pre><p>Called when the user spins the spinner, or when the user enters a value in the spinner field then presses ENTER or presses TAB to move the cursor out of the field. The <code>&lt;arg&gt;</code> argument will contain the new value of the spinner. The type of the value returned depends on the type of the spinner when it was created, either #integer or #float.</p>\n\
<p>The optional &lt; <code>inSpin_arg</code> &gt; argument will contain <code>true</code> if the value was changed by spinning using the mouse and the arrows and <code>false</code> if the value was entered using the keyboard and the value field. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;spinner&gt; entered [&lt;inSpin_arg&gt;] [&lt;inCancel_arg&gt;] do &lt;expr&gt; </code></pre><p>Called when the user types a number into a spinners edit field and then presses ENTER or presses TAB to move the cursor out of the field. Also called when the spinner is released. The <code>on &lt;spinner&gt; changed</code> and <code>&lt;spinner&gt; buttonUp</code> handlers, if supplied, have already been called at this point and the spinner&apos;s value property is up to date.</p>\n\
<p>The optional first &lt; <code>inSpin_arg</code> &gt; argument will contain <code>true</code> if the value was entered by spinning the arrows and releasing the mouse and <code>false</code> if the value was entered using the keyboard and the value field. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The optional second &lt; <code>inCancel_arg</code> &gt; argument will contain <code>true</code> if the value change was canceled with a mouse right-click and <code>false</code> if no cancel was performed. Available in <strong>3ds Max 8 and higher**</strong>.**</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;spinner&gt; buttondown do &lt;expr&gt; </code></pre><p>Called when the user first clicks the spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;spinner&gt; buttonup [&lt;inCancel_arg&gt;] do &lt;expr&gt; </code></pre><p>Called when the user releases the spinner.</p>\n\
<p>The optional &lt; <code>inCancel_arg</code> &gt; argument will contain <code>true</code> if the value change was canceled with a mouse right-click and <code>false</code> if no cancel was performed. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <code>buttonDown</code> and <code>buttonUp</code> events effectively notify you of the start and end of a spinner &quot;twiddle&quot;, allowing you to perform some setup for the adjustment. A typical use for this is to bring scene nodes that are being modified in the <code>on &lt;spinner&gt; changed</code> handler into the foreground plane to speed up screen redraw.</p>\n\
<p>If you are using a spinner to interactive adjust a property of an on-screen object, you can improve the interactive speed by moving the object to the foreground plane. Objects placed in the foreground plane are redrawn individually and so interactive changes to them are <strong>much</strong> faster. An object is moved to the foreground or background plane using the <code>flagForeground()</code> method described below:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flagForeground &lt;node&gt; &lt;boolean&gt; -- mapped </code></pre><p>The boolean argument puts the scene node(s) into the foreground plane if <code>true</code> , or into the background plane if <code>false</code> .</p>\n\
<p>You should be judicious in putting objects in the foreground plane, because putting too many objects in the foreground plane reduces the foreground plane&apos;s effectiveness. Remember to return objects to the background plane when you don&apos;t need to interactively control them any more.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spinner foo &quot;height: &quot;\n\
on foo buttonDown do flagForeground $baz...* true\n\
on foo buttonUp do flagForeground $baz...* false\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Slider-UI-Control.html\">Slider UI Control</a></li>\n\
          <li><a class=\"link\" href=\"ProgressBar-UI-Control.html\">ProgressBar UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Angle-UI-element.html\">Angle UI element</a></li>\n\
          <li><a class=\"link\" href=\"Curve-Control.html\">Curve Control</a></li>\n\
          <li><a class=\"link\" href=\"Colorpicker-UI-Control.html\">Colorpicker UI Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";