var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0A492074-4A5B-4D18-B65A-E859FC8E2454\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>imgTag</h1></div><p>The ImgTag UI Control can be used to place images in MAXScript Rollouts. Other than the <a href=\"Bitmap-UI-Control.html\">Bitmap UI Control</a>, it does not have a sunken edge and can be integrated better in the layout. In addition, it supports transparency effects and various mouse handlers which could be used to design customized controls.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">imgTag &lt;name&gt; [caption] [tooltip:&lt;string&gt;] [style:&lt;key&gt;] [bitmap:&lt;bitmap&gt;] [opacity:&lt;float&gt;] [transparent:&lt;color&gt;] [iconName:&lt;filename&gt;] [iconSize:&lt;point2&gt;]     [ applyUIScaling:&lt;boolean&gt; ]</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ImgTag&gt;.tooltip String default:&quot;&quot;   </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ImgTag&gt;.bitmap Bitmap default:undefined </code></pre><p>Current image being displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ImgTag&gt;.style Key default:#bmp_stretch </code></pre><p>Way the bitmap will be displayed in the control.</p>\n\
<p>Can be one of the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> #bmp_stretch #bmp_tile #bmp_center </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ImgTag&gt;.opacity float default:0.0 </code></pre><p>Overall opacity of the image, can range from 0.0 to 1.0</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ImgTag&gt;.transparent color default:(color 0 0 0) </code></pre><p>The RGB color in the source bitmap to treat as transparent.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Opacity and transparent properties only have an effect in Windows 2000 and higher. These do not have an effect in NT.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ImgTag&gt;.iconName string</code></pre><p>Specifies the path of an icon file to load from the 3ds Max system icons resource. See the Icon Guide in the <em>3ds Max Developer Guide</em> for a list of available system icons and their paths.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ImgTag&gt;.iconSize point2</code></pre><p>Specifies the icon&apos;s size at 100% DPI scaling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ImgTag&gt;.applyUIScaling bool</code></pre><p>Specifies whether to apply scaling on high-DPI displays.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> getIconAsBitmap &lt;iconName&gt; iconSize:&lt;point2&gt; enabled:&lt;boolean&gt; on:&lt;boolean&gt; applyUIScaling:&lt;boolean&gt;\n\
\n\
-- defaults values: [24,24], true, false, true\n\
</code></pre><p>Returns the icon as a bitmap value, if the icon is found in the 3ds Max icon resources. See the Icon Guide in the <em>3ds Max Developer Guide</em> for a list of available system icons and their paths. Returns undefined if it is not found. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = getIconAsBitmap @&quot;PolyTools\\TransformTools\\PB_CW&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getIconSizes &lt;iconName&gt; enabled:&lt;boolean&gt; on:&lt;boolean&gt;\n\
 -- defaults values: true, false</code></pre><p>Returns an array of icon sizes that are defined for the specified icon name in the 3ds Max icon resources. Returns undefined if the icon is not found.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   getIconSizes @&quot;PolyTools\\TransformTools\\PB_CW&quot;\n\
   #([20,20], [25,25], [30,30], [40,40])\n\
</code></pre></blockquote>\n\
<p><strong>Events:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; mousedown do &lt;expr&gt; </code></pre><p>Called when the left mouse button is pressed down.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; mouseup do &lt;expr&gt; </code></pre><p>Called when the left mouse button is released.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; click do &lt;expr&gt; </code></pre><p>Called when the left mouse button is released.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; dblclick do &lt;expr&gt; </code></pre><p>Called when the left mouse button double clicked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; mouseover do &lt;expr&gt; </code></pre><p>Called when the mouse is moved into the image area.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; mouseout do &lt;expr&gt; </code></pre><p>Called when the mouse is moved out of the image area.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; rightclick do &lt;expr&gt; </code></pre><p>Called when the right mouse button is released. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; lbuttondown &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; </code></pre><p>Called when the left mouse button has been pressed. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value which is a combination of the following bits:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Hexadecimal</th>\n\
<th>Decimal</th>\n\
<th>Binary</th>\n\
<th>Key Pressed</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>0x0001</code></td>\n\
<td><code>1</code></td>\n\
<td><code>00000001</code></td>\n\
<td>The left mouse button is down.</td>\n\
</tr>\n\
<tr>\n\
<td><code>0x0002</code></td>\n\
<td><code>2</code></td>\n\
<td><code>00000010</code></td>\n\
<td>The right mouse button is down.</td>\n\
</tr>\n\
<tr>\n\
<td><code>0x0004</code></td>\n\
<td><code>4</code></td>\n\
<td><code>00000100</code></td>\n\
<td>The SHIFT key is down.</td>\n\
</tr>\n\
<tr>\n\
<td><code>0x0008</code></td>\n\
<td><code>8</code></td>\n\
<td><code>00001000</code></td>\n\
<td>The CTRL key is down.</td>\n\
</tr>\n\
<tr>\n\
<td><code>0x0010</code></td>\n\
<td><code>16</code></td>\n\
<td><code>00010000</code></td>\n\
<td>The middle mouse button is down.</td>\n\
</tr>\n\
<tr>\n\
<td><code>0x0020</code></td>\n\
<td><code>32</code></td>\n\
<td><code>00100000</code></td>\n\
<td>The first X button is down (the left side button of the mouse)</td>\n\
</tr>\n\
<tr>\n\
<td><code>0x0040</code></td>\n\
<td><code>64</code></td>\n\
<td><code>01000000</code></td>\n\
<td>The second X button is down (the right side button of the mouse)</td>\n\
</tr>\n\
</tbody></table>\n\
<p>You can use the <a href=\"./../../../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Number-Values.html\">bit.get()</a> method to determine whether a key is pressed or not:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout ui_imgtag &quot;imgtag&quot;\n\
   (\n\
   local bm = bitmap 50 50 color:red\n\
   imgtag img_tag &quot;imgtag&quot; bitmap:bm align:#center\n\
   fn printButtonStates Flags =\n\
   (\n\
   LMB = bit.get Flags 1\n\
   RMB = bit.get Flags 2\n\
   SHIFT = bit.get Flags 3\n\
   CTRL = bit.get Flags 4\n\
   MMB = bit.get Flags 5\n\
   XB1 = bit.get Flags 6\n\
   XB2 = bit.get Flags 7\n\
   format &quot;LMB:% MMB:% RMB:% SHIFT:% CTRL:% XB1:% XB2:%\\n&quot; LMB MMB RMB SHIFT CTRL XB1 XB2\n\
   )\n\
   on img_tag lbuttondown v1 v2 do printButtonStates v2\n\
   on img_tag mbuttondown v1 v2 do printButtonStates v2\n\
   on img_tag rbuttondown v1 v2 do printButtonStates v2\n\
   )\n\
   createdialog ui_imgtag width:100\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; lbuttonup &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; </code></pre><p>Called when the left mouse button has been released. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\"#imgtag\">described above</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; lbuttondblclk &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; </code></pre><p>Called when the left mouse button has been double-clicked. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\"#imgtag\">described above</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; mbuttondown &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; </code></pre><p>Called when the middle mouse button has been pressed. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\"#imgtag\">described above</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; mbuttonup &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; </code></pre><p>Called when the middle mouse button has been released. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\"#imgtag\">described above</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; mbuttondblclk &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; </code></pre><p>Called when the middle mouse button has been double-clicked. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\"#imgtag\">described above</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; rbuttondown &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; </code></pre><p>Called when the middle mouse button has been pressed. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\"#imgtag\">described above</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; rbuttonup &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; </code></pre><p>Called when the middle mouse button has been released. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\"#imgtag\">described above</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;ImgTag&gt; rbuttondblclk &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; </code></pre><p>Called when the middle mouse button has been double-clicked. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\"#imgtag\">described above</a>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rcmenu MyRCmenu\n\
   (\n\
   menuItem mi_cs &quot;First Option&quot; checked:false\n\
   menuItem mi_rs &quot;Second Option&quot; checked:false\n\
   )\n\
   rollout ui_items &quot;ui items&quot;\n\
   (\n\
   button a2 &quot;button&quot;\n\
   on a2 rightClick do print a2\n\
   checkbutton a4 &quot;checkbutton&quot;\n\
   on a4 rightClick do print a4\n\
   local bm = bitmap 50 50 color:red\n\
   imgtag b5 &quot;imgtag&quot; bitmap:bm align:#center\n\
   on b5 mousedown v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #mousedown v1 v2\n\
   on b5 lbuttondown v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #lbuttondown v1 v2\n\
   on b5 mbuttondown v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #mbuttondown v1 v2\n\
   on b5 rightClick v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #rightClick v1 v2\n\
   on b5 rbuttondown v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #rbuttondown v1 v2\n\
   on b5 mouseup v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #mouseup v1 v2\n\
   on b5 click v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #click v1 v2\n\
   on b5 lbuttonup v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #lbuttonup v1 v2\n\
   on b5 mbuttonup v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #mbuttonup v1 v2\n\
   on b5 rbuttonup v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #rbuttonup v1 v2\n\
   on b5 dblclick v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #dblclick v1 v2\n\
   on b5 lbuttondblclk v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #lbuttondblclk v1 v2\n\
   on b5 mbuttondblclk v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #mbuttondblclk v1 v2\n\
   on b5 rbuttondblclk v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #rbuttondblclk v1 v2\n\
   on b5 mouseout v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #mouseout v1 v2\n\
   on b5 mouseover v1 v2 do\n\
   format &quot;% ; % ; % ; %\\n&quot; b5 #mouseover v1 v2\n\
   mapbutton a11 &quot;mapButton&quot;\n\
   on a11 rightClick do print a11\n\
   materialbutton a12 &quot;materialbutton&quot;\n\
   on a12 rightClick do print a12\n\
   pickbutton a13 &quot;pickbutton&quot;\n\
   on a13 rightClick do (print a13; popupmenu MyRCmenu)\n\
   )\n\
   createdialog ui_items width:100\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Bitmap-UI-Control.html\">Bitmap UI Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";