var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DBFFD89F-A6DD-46DC-BE74-5B8CEEA5402C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>multilistbox</h1></div><p>A MultiListBox item is used to place a list box in the rollout. This is a variant of the ListBox in which multiple items in the list can be selected.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MultiListBox &lt;name&gt; [&lt;caption&gt;] [items:&lt;array_of_strings&gt;] \\\n\
[selection:{ &lt;number_array&gt; | &lt;number&gt;}] \\\n\
[height:&lt;number&gt; ] [toolTip:&lt;string&gt;]</code></pre><p>The default alignment of MultiListBox items is <code>#left</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;test&quot;\n\
   (\n\
     multiListBox mlb &quot;MultiListBox&quot; items:#(&quot;A&quot;,&quot;B&quot;,&quot;C&quot;) selection:#(1,3)\n\
     on mlb selected val do format &quot;selected: % - %\\n&quot; val mlb.selection[val]\n\
     on mlb doubleclicked val do format &quot;doubleclicked: % - %\\n&quot; val mlb.selection[val]\n\
     on mlb selectionEnd do format &quot;selectionEnd: %\\n&quot; mlb.selection\n\
   )\n\
   rof=newrolloutfloater &quot;tester&quot; 200 300\n\
   addrollout test rof\n\
   test.mlb.items\n\
   test.mlb.selection=1\n\
   test.mlb.selection=#(1,3)\n\
   test.mlb.selection=#{}\n\
</code></pre></blockquote>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">items:   </code></pre><p>The array of text strings that are the items in the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selection: </code></pre><p>An array of integers signifying the indices of currently selected items in the list. For example, if the first and fifth items are selected, this is <code>#{1,5}</code>. The default (empty) selection value is <code>#{}</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">height: </code></pre><p>The overall height of the MultiListBox in number of item lines. Defaults to 10 lines. To have a MultiListBox display exactly N items, set height to N.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolTip:</code></pre><p>Provides text for a tooltip for the MultiListBox; no tooltip if unsupplied. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;listbox&gt;.items Array of Strings </code></pre><p>The item string array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;listbox&gt;.selection BitArray </code></pre><p>The currently selected items. When setting the selection via a script, the selection can be specified as a BitArray, Array of numbers, or a number. If the items list is an empty array, this value is 0.</p>\n\
<p><strong>Events:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;listbox&gt; selected &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called when the user selects or deselects an item in the list. The <code>&lt;arg&gt;</code> argument contains the index of the item that was selected or deselected. Since multiple items can be selected or deselected at once, this handler is called for each item in the list, starting from the top of the list, whose selection has changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;listbox&gt; selectionEnd do &lt;expr&gt; </code></pre><p>Called when the user selects or deselects an item in the list, but after all the calls to the on selected handler have been made.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>There isn&apos;t a way to deselect all the items in the list by clicking in the list somewhere, although it is possible by holding down Ctrl key and clicking the last selected item.</p>\n\
<p>To clear the list selection you might want to add a &quot;Clear Selection&quot; button that sets selection=#{}.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;listbox&gt; doubleClicked &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called when the user double-clicks on an item in the list. Note that the on selected handler is always called on single clicks and on the first click of a double-click. The <code>&lt;arg&gt;</code> argument contains the number of the item double-clicked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;listbox&gt; rightClick do &lt;expr&gt; </code></pre><p>Called when the user right-clicks in the Multilistbox control.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Listbox-UI-Control.html\">Listbox UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Combobox-UI-Control.html\">Combobox UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Dropdownlist-UI-Control.html\">Dropdownlist UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Radiobuttons-UI-Controls.html\">Radiobuttons UI Controls</a></li>\n\
          <li><a class=\"link\" href=\"popupMenu.html\">popupMenu</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";