var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-608825CD-D025-4054-91E2-2562A6AB31CF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Visibility of Locals, Functions, Structures and User-Interface Items in Rollout Code</h1></div><p>The ordering of user-interface items and functions and sub-rollouts in a utility is important when referencing other items and rollouts in handler or local function code. Specifically, you can only reference a user-interface item or rollout or function in a handler or other function if that item or rollout or function has been defined earlier in the utility.</p>\n\
<p>A recommended ordering can help ensure this:</p>\n\
<ol>\n\
<li>local variables</li>\n\
<li>structs</li>\n\
<li>user-interface items</li>\n\
<li>nested rollouts</li>\n\
<li>functions</li>\n\
<li>event handlers</li>\n\
</ol>\n\
<p>In some situations, cross-referencing means there&apos;s no way to order definitions and still pre-define everything. To remedy this, MAXScript lets you pre-declare local rollouts and functions, so code that comes before the function or rollout definition will see the correct object. You do this by declaring such rollouts and functions as uninitialized locals. In the following example, there are two rollouts, <code>ro1</code> and <code>ro2</code> , that each want to reference items within the other. By pre-declaring them as locals in the main utility, this cross-referencing is possible:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   local ro1, ro2 -- pre-declare local rollouts\n\
   rollout ro1 &quot;Rollout 01&quot;\n\
   (\n\
   checkbox chk_checkbox &quot;Check The Box In Rollout 02&quot; enabled:false\n\
   on chk_checkbox changed state do ro2.chk_checkbox.checked = state\n\
   )\n\
   rollout ro2 &quot;Rollout 02&quot;\n\
   (\n\
   checkbox chk_checkbox &quot;Enable The Checkbox In Rollout 01&quot;\n\
   on chk_checkbox changed state do ro1.chk_checkbox.enabled = state\n\
   )\n\
   theFloater = newRolloutFloater &quot;Test Local Visibility&quot; 250 110\n\
   addRollout ro1 theFloater\n\
   addRollout ro2 theFloater\n\
   ) --end script\n\
</code></pre></blockquote>\n\
<p>As a general rule, it is recommended that all local variable names be explicitly declared as locals at their outermost scope. This will prevent any conflicts from occurring if another script has declared the same variable name as a global variable. While functions, structures definitions, and rollouts will always be local to the utility they are defined in (even if they have the same name as a global variable), declaring these as local will ensure the variables are defined, even if the order in which they are defined is changed. Here&apos;s an example showing these declarations:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   utility foo &quot;Object Frabulator&quot;\n\
   (\n\
   -- local variables\n\
   local target_obj\n\
   -- local functions\n\
   local prop_name\n\
   -- local rollouts\n\
   local setup\n\
   fn prop_name obj name =\n\
   for c in obj.children do c.name = name + &quot;_&quot; + c.name\n\
   checkbutton setup_btn &quot;Setup&quot;\n\
   edittext name_box &quot;New name:&quot;\n\
   -- use a checkbutton to dynamically control presence of panels\n\
   on setup_btn changed state do\n\
   if state then addRollout setup else removeRollout setup\n\
   on foo close do\n\
   removeRollout setup -- always close rollouts\n\
   rollout setup &quot;Setup fraber&quot; -- local panel\n\
   (\n\
   label hello\n\
   pickbutton pick_tgt &quot;Pick object&quot;\n\
   on pick_tgt picked obj do\n\
   (\n\
   target_obj = obj -- access utility local\n\
   name_box.text = obj.name -- access utility item\n\
   prop_name obj obj.name -- call utility local fn\n\
   )\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";