var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C88ECB5F-F74F-4023-A02E-95E7A5485188\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Bitmap Files</h1></div><p>The following method is used to collect a list of the bitmap files used in a scene.</p>\n\
<p>For the properties and methods associated with bitmap values, including reading and writing bitmap files, see <a href=\"./../../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Bitmap Values</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enumerateFiles [ &lt;maxwrapper_obj&gt; ] &lt;function&gt; [ &lt;arg&gt; ] \\\n\
 [#inactive] [#videoPost] [#render] [#missing] \\\n\
 [#localOnly ] [#skipCustAttributes ] [#skipVPRender] [#firstSubOnly] \\\n\
 [#skipSubFiles] [#visitOnce] [#useEnumAccessor]      </code></pre><p>Lets you run through all the bitmap files currently used in the scene or in an individual object. You can filter this so it just gives you those for video post or the renderer or the ones that are inactive or missing.</p>\n\
<p>The enumerator works by calling a function you give it once for each of the file names it finds corresponding to the filters switches and other arguments you set.</p>\n\
<p>The only required argument is the <code>&lt;function&gt;</code> argument.</p>\n\
<p>The details are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxwrapper_obj&gt;</code></pre><p>An optional <strong>3ds Max</strong> object, such as a node or a material. Supplying this argument causes the enumerator to only consider files associated with this object. See the <code>#localOnly</code> switch for more info.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;function&gt; </code></pre><p>The function to be called for each file found. It should be a function of one or two arguments, the first one is the string file name supplied by the enumerator. See example below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;arg&gt; </code></pre><p>If specified is passed to the <code>&lt;function&gt;</code> as its second argument by the enumerator. This is useful if you have a general purpose enumerator function that can be conditioned by the argument you pass in on a particular enumeration, or if you want to pass in an array that the found names should be appended to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#inactive </code></pre><p>Include the inactive files.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#videoPost </code></pre><p>Include the files used in video post.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#render </code></pre><p>Include the files used during rendering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#missing </code></pre><p>Include files that are missing in the file system</p>\n\
<p>If you don&apos;t specify any of the above filter flags, <strong>all</strong> the files are enumerated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#localOnly </code></pre><p>Use in conjunction with the <code>&lt;maxwrapper_obj&gt;</code> argument. If specified, limits the enumeration to those files used directly in the object, if not then any referenced objects are scanned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#skipCustAttributes </code></pre><p>Don&apos;t enumerate into custom attributes</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#skipVPRender </code></pre><p>Don&apos;t include viewport rendering only required files.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#firstSubOnly </code></pre><p>Stop checking after the first missing sub file is found when checking for missing files. This applies to objects that use sub files for their assets, for example the bitmap files specified in an .ifl file, or per-frame cache files used by the point cache modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#skipSubFiles </code></pre><p>Skip asset sub files. This applies to objects that use sub files for their assets, for example the bitmap files specified in an .ifl file, or per-frame cache files used by point cache modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#visitOnce </code></pre><p>Use in conjunction with the <code>&lt;maxwrapper_obj&gt;</code> argument. If specified, any references held by the object are scanned once. In large scenes, using this option can be an expensive operation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#useEnumAccessor </code></pre><p>Use an alternative means of recording of assets that is used by the <strong>Asset Tracking</strong> dialog. This is primarily exposed for testing of the object <code>EnumAuxFiles</code> methods. The handling of sub files is different when using this option. The first sub file is always recorded, and only missing sub files after that first sub file are recorded.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   function get_names name a = append a name\n\
   files = #()\n\
   enumerateFiles get_names files #missing\n\
</code></pre></blockquote>\n\
<p>The following script will print out a sorted list of all the bitmap files used in the current scene file:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   local mapfiles=#()\n\
   fn addmap mapfile =\n\
   (\n\
   local mapfileN=mapfile as name\n\
   local index=finditem mapfiles mapfileN\n\
   if index == 0 do append mapfiles mapfileN\n\
   )\n\
   enumeratefiles addmap --line 9\n\
   sort mapfiles\n\
   for mapfile in mapfiles do print (mapfile as string)\n\
   )\n\
</code></pre><p>   By replacing line 9 with</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   enumeratefiles addmap #missing\n\
</code></pre><p>   only the missing bitmap files will be printed.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds-Max-Scene-Files-Access.html\">3ds Max Scene Files Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../External-Files-Access/External-File-Methods.html\">External File Methods</a></li>\n\
          <li><a class=\"link\" href=\"../External-Files-Access/File-Name-Parsing.html\">File Name Parsing</a></li>\n\
          <li><a class=\"link\" href=\"../External-Files-Access/Standard-Open-and-Save-File.html\">Standard Open and Save File Dialogs</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";