var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-162DC544-DC8D-41E9-8DAD-D0F7266BF173\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SessionPaths Struct</h1></div><p>Session paths are identical to bitmap/photometric paths and xref paths, except they are never saved when <strong>3ds Max</strong> exits.</p>\n\
<p>The list of session paths is always empty when <strong>3ds Max</strong> boots up.</p>\n\
<p>However, if session paths are configured before a file is loaded, then they will be used to search for resources in the file.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The session paths are <strong>NOT</strong> displayed in the Configure Paths dialog!</div>\n\
<p>There are four functions available through the sessionPaths structure. In each function, the keyword <code>#map</code> can be replaced with <code>#xref</code> to specify an xref path.</p>\n\
<p>The two lists of session paths (bitmaps and xrefs) are maintained separately from each other.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;sessionPaths.add (#map |    #xref ) &lt;String path&gt;      </code></pre><p>Adds a new bitmap or xref session path. Returns <code>true</code> on success. Adding the same path more than once will result in a single path stored in the session paths.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;sessionPaths.count ( #map |    #xref )   </code></pre><p>Returns the number of bitmap or xref session paths.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;sessionPaths.get ( #map | #xref ) &lt;Integer index&gt; </code></pre><p>Returns the indexed bitmap or xref session path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;sessionPaths.delete ( #map | #xref ) &lt;Integer index&gt; </code></pre><p>Deletes the indexed bitmap or xref session path. Returns <code>true</code> on success.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sessionPaths.count #map --the number of session bitmap paths\n\
   0 --there are none at this point\n\
   sessionPaths.add #map &quot;d:/maps&quot; --add a bitmap session path\n\
   true --success!\n\
   sessionPaths.count #map --has the number of paths changed?\n\
   1 --of course it did!\n\
   sessionPaths.get #map 1 --get the first bitmap session path\n\
   &quot;d:/maps&quot; --what you put in, comes out...\n\
   sessionPaths.delete #map 1 --delete the first bitmap session path\n\
   true --dead you are!\n\
   sessionPaths.count #map --and the number of session paths is...\n\
   0 --none.\n\
</code></pre></blockquote>\n\
<p>One suggested use for session paths is to create a &quot;project&quot; system of asset management. Each project has certain folders for bitmaps and xrefs. Before a user loads a file, they would first load the project settings, which would set up the appropriate session paths. Any files loaded as part of that project will automatically have access to the correct library of maps and xrefs. If a project is closed, the session paths would be deleted.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds-Max-System-Directories.html\">3ds Max System Directories</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"3ds-Max-System-Directories-1.html\">3ds Max System Directories</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";