var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0EE531B2-6FF8-4D0B-ACA1-5400E0B9D604\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>File Name Parsing</h1></div><p>The following function can be used to parse file name paths and extract different parts like the path, the file name, the type (extension) etc.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> These functions operate from the current working directory, when relative paths are used. The current directory can change depending on the last operation performed by 3ds Max (for example, opening a scene file will set the current directory to the file&apos;s directory). Use <code>sysInfo.currentdir()</code> to get the current working directory.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">filenameFromPath &lt;filename_string&gt;      </code></pre><p>Returns the <strong>file name and extension</strong> of a full file name, useful for labeling file buttons in rollout panels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFilenamePath &lt;filename_string&gt;   </code></pre><p>Returns the directory path part of a full file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFilenameFile &lt;filename_string&gt; </code></pre><p>Returns the file name part of a full file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFilenameType &lt;filename_string&gt; </code></pre><p>Returns the type extension part of a full file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">doesFileExist &lt;filename_string&gt; allowDirectory:&lt;boolean&gt; ignoreCache:&lt;boolean&gt;</code></pre><p>Returns true if the file exists, false otherwise.</p>\n\
<p>When <strong>allowDirectory</strong> is true (the default), the <code>&lt;filename_string&gt;</code> can be a directory name.</p>\n\
<p>if <code>ignoreCache</code> is specified as true, testing does not consider whether the file&apos;s path may be in the File Path Not Present Cache maintained by the MissingPathCache. See <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-missingPathCache.html\">missingPathCache Interface</a> for more information.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">doesDirectoryExist &lt;directoryname_string&gt;</code></pre><p>Returns true if the directory exists, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathIsNetworkPath &lt;file_path&gt; </code></pre><p><strong>[</strong> AVG <strong>]</strong> Returns true if the specified file path has a UNC network path signature (\\\\device0\\) and false if it has a local path signature (D:\\) where D: is a drive letter.</p>\n\
<p>Available since <strong>3ds Max 2008</strong>.</p>\n\
<p>The method does not test for the path&apos;s existence, it only checks the signature of the path to see if it is UNC or local.</p>\n\
<p>See also <code>pathConfig.isUncPath()</code> in the <a href=\"./../3ds-Max-System-Directories/PathConfig-Struct.html\">PathConfig Struct</a> topic.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   file=&quot;g:\\\\subdir1\\\\subdir2\\\\myImage.jpg&quot;\n\
   filenameFromPath file -- returns: &quot;myImage.jpg&quot;\n\
   getFilenamePath file -- returns: &quot;g:\\subdir1\\subdir2\\&quot;\n\
   getFilenameFile file -- returns: &quot;myImage&quot;\n\
   getFilenameType file -- returns: &quot;.jpg&quot;\n\
   pathIsNetworkPath &quot;c:\\\\temp\\\\test.txt&quot; --returns: false\n\
   pathIsNetworkPath &quot;\\\\\\\\someserver\\\\temp\\\\test.txt&quot; --returns: true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../External-Files-Access.html\">External Files Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></li>\n\
          <li><a class=\"link\" href=\"External-File-Methods.html\">External File Methods</a></li>\n\
          <li><a class=\"link\" href=\"Standard-Open-and-Save-File.html\">Standard Open and Save File Dialogs</a></li>\n\
          <li><a class=\"link\" href=\"../3ds-Max-System-Directories/PathConfig-Struct.html\">PathConfig Struct</a></li>\n\
          <li><a class=\"link\" href=\"../3ds-Max-System-Directories/pluginPaths-Struct.html\">pluginPaths Struct</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";