var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D4B43A33-8342-4BC9-80AB-91460861D37C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Standard Open and Save File Dialogs</h1></div><p>The following methods display the standard <strong>3ds Max</strong> file open, file save, or folder selection browser dialog:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getOpenFileName [    caption:&lt;title&gt; ] \\\n\
[    filename:&lt;seed_filename_string&gt; ] \\\n\
[    types:&lt;description1&gt;|&lt;pattern1&gt;|&lt;description2&gt;|&lt;pattern2&gt;|...| ] \\\n\
[    historyCategory:&lt;string&gt; ]      </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSaveFileName [ caption:&lt;title&gt; ] \\\n\
[ filename:&lt;seed_filename_string&gt; ] \\\n\
[ types:&lt;description1&gt;|&lt;pattern1&gt;|&lt;description2&gt;|&lt;pattern2&gt;|...| ] \\\n\
[ historyCategory:&lt;string&gt; ]   </code></pre><p>Both functions return a fully-specified file path name or <code>undefined</code> if the user cancels out.</p>\n\
<p>When the optional keyword <code>filename:</code> is supplied, the string is used to define the path and file name of the file to be loaded or saved. The dialog automatically navigates to the specified path (if available on the disk/network), displays its content in the browsing area and suggests the file name in the &quot;File name&quot; field. If the path does not exist, the current path is used and only the file name is displayed as requested.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   f = getOpenFileName caption:&quot;Open A Test File:&quot; \\\n\
   filename:&quot;c:/test/test.txt&quot;\n\
   --if the path exists, will result in something like:\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-6090691B-E038-4EC5-810A-BEBAB4FF4ABD-low.gif\" alt></p>\n\
<p>The <code>types:</code> parameter lets you specify custom file types and suffixes for the file type drop-down list in the open and save dialogs. You supply a string for this argument that is formatted in a special way, as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;&lt;description1&gt;|&lt;pattern1&gt;|&lt;description2&gt;|&lt;pattern2&gt;|...|&quot;</code></pre><p>In other words, a sequence of file type descriptions and file type patterns each separated by a &apos;|&apos; vertical bar and terminated by a &apos;|&apos; vertical bar.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   f = getOpenFileName \\\n\
   types:&quot;Data(*.dat)|*.dat|Excel(*.csv)|*.csv|All|*.*|&quot;\n\
</code></pre><p>   Specifies three types in the file type drop-down list, the first reading &quot;Data(<em>.dat)&quot; and matching *.dat and the second reading &quot;Excel(</em>.csv)&quot; and matching *.csv and the third reading &quot;All&quot; and matching any file.</p>\n\
</blockquote>\n\
<p>The <code>getSaveFileName()</code> function tests for the pre-existence of the file with the chosen file type suffix added.</p>\n\
<p>The <strong>history dropdown list</strong> in the file load and save dialogs keeps track of previously selected files according to a specified history name. It is available since <strong>3ds Max 2008</strong>.</p>\n\
<p>If <code>historyCategory:</code> is not specified, the caption text is used if specified, and if no caption is specified, the default category &quot;MAXScriptFileOpenSave&quot; is used instead.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   filename = getOpenFileName \\\n\
   caption:&quot;Render To Texture Object Presets Open&quot; \\\n\
   filename:(getDir #renderPresets + @&quot;\\&quot;) \\\n\
   types:&quot;Object Preset(*.rtp)|*.rtp&quot; \\\n\
   historyCategory:&quot;RTTObjectPresets&quot;\n\
</code></pre></blockquote>\n\
<p>By using the same <code>historyCategory:</code> name for a pair of open and save dialogs, users will see a consistent history dropdown in the dialogs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSavePath [ caption:&lt;window_caption_string&gt; ] [ initialDir:&lt;pathname&gt; ] </code></pre><p>This function displays a folder selection browser for the user to select a folder. Returns a string path name for the selected folder or the value <code>undefined</code> if the user presses <strong>Cancel</strong> in the folder browser.</p>\n\
<p>If the <code>initialDir:</code> keyword argument is specified, the Browse For Folder dialog will be opened at the specified directory. Symbolic pathnames are acceptable as the pathname. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   getSavePath caption:&quot;my title&quot; initialDir:&quot;$scripts&quot;\n\
   getSavePath caption:&quot;my title&quot; initialDir:(getDir #maxroot)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../External-Files-Access.html\">External Files Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></li>\n\
          <li><a class=\"link\" href=\"External-File-Methods.html\">External File Methods</a></li>\n\
          <li><a class=\"link\" href=\"File-Name-Parsing.html\">File Name Parsing</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";