var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9588A886-A811-4C05-9A07-B6A68C969050\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Source Filename Access</h1></div><p>These methods allow a script to query the source file it has been run from and the position inside the source file:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;getSourceFileName()      </code></pre><p>Returns the <strong>filename path</strong> of the source file the function has been called from.</p>\n\
<p>Returns undefined if the call does not occur from a valid MAXScript file, for example if executed in the Listener.</p>\n\
<p>Returns empty string or file path without a file name if called from an Untitled (not yet saved) file.</p>\n\
<p>If the method has been called from inside a string evaluated using the <code>execute()</code> method, the result will still be the file the <code>execute()</code> has been called from.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;getThisScriptFilename()   </code></pre><p>Returns the filename associated with the calling script. Same as <code>getSourceFileName()</code> , added mainly for backwards compatibility with pre-Max 9 scripts using the <a href=\"./../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously available in <a href=\"./../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integerPtr&gt;getSourceFileOffSet() </code></pre><p>Returns the <strong>character position</strong> in the source script file, &apos;undefined&apos; if not called from a source script file. The return value is <a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/64-Bit-Values-Double-Integer64.html\">IntegerPtr</a> to ensure that the position would be valid even with files over 4GB.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integerPtr&gt;getSourceFileLine() </code></pre><p>Returns the <strong>code line</strong> in the source script file, &apos;undefined&apos; if not called from a source script file, for example if executed from the Listener.The return value is <a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/64-Bit-Values-Double-Integer64.html\">IntegerPtr</a> to ensure that the line number would be valid even with files over 4GB.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../File-Access.html\">File Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Introduction/The-MAXScript-Debugger.html\">The MAXScript Debugger</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";