var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7184EA04-F106-4BA1-9497-0002D87EB1B8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Encrypted Files</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">encryptFile &lt;in_filename_string&gt; &lt;out_filename_string&gt; &lt;key_integer&gt;      </code></pre><p>Creates an encrypted copy of the file named by <code>&lt;in_filename_string&gt;</code> using the integer supplied as a key, naming the encrypted file <code>&lt;out_filename_string&gt;.</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">openEncryptedFile &lt;filename_string&gt; &lt;key_integer&gt;   </code></pre><p>Opens the encrypted file using the given integer key and returns a FileStream value that you can then do read calls on, exactly as you can on FileStreams returned from the <code>openFile()</code> function.</p>\n\
<p><code>encryptFile()</code> and <code>openEncryptedFile()</code> let you encrypt a text file with your own key and open an encrypted file via a key for reading. Among other things, you can use this to write and read an encrypted file containing a hardware lock ID for doing authorization-based piracy protection.</p>\n\
<p>Here is some code that creates an encrypted lock ID file in some authorization process.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   f = createFile &quot;lock.tmp&quot;\n\
   format &quot;%&quot; hardwareLockID to:f\n\
   close f\n\
   encryptFile &quot;lock.tmp&quot; &quot;lock.dat&quot; 5476557\n\
   deleteFile &quot;lock.tmp&quot;\n\
</code></pre></blockquote>\n\
<p>The following code can be used to read and check the lock ID (obviously, all this is only safe if the creation and checking scripts are themselves encrypted):</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   f = openEncryptedFile &quot;lock.dat&quot; 5476557\n\
   id = readValue f\n\
   close f\n\
   if id != hardwareLockID then\n\
   (\n\
   message &quot;Lock ID&apos;s don&apos;t match&quot;\n\
   return 0\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Text-and-Binary-File-Input-and.html\">Text and Binary File Input and Output</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";