var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A085EFDD-A397-41D6-9391-421344294422\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Zip-file Script Packages</h1></div><p>This Zip- file Script package file can be run like an ordinary <code>.ms</code> file. Any secondary files, needed by the tool, will be either automatically found in the package or they will be automatically extracted to specified locations prior to running the main tool scripts.</p>\n\
<p>The file type for script packages is <code>&apos;.mzp&apos;</code> . These files are recognized as executable script files in the following situations:</p>\n\
<ul>\n\
<li><p><strong>Auto-loading</strong> at MAX startup, in scripts\\startups, stdplugs\\stdscripts, etc. any .mzp file found is run.</p>\n\
</li>\n\
<li><p>Choosing the <strong>Run Script</strong> menu item in the main MAXScript menu, or in the Listener menu, now shows <strong>.mzp</strong> files as one of the default kinds of executable files in the <strong>Open Script</strong> dialog and will run it if selected.</p>\n\
</li>\n\
<li><p>Specifying a fileName: parameter when adding <a href=\"./../../Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">a callBack script</a>.</p>\n\
</li>\n\
<li><p>As <strong>executable files</strong> inside other .mzp archives, you can nest them if want.</p>\n\
</li>\n\
<li><p>When using the <a href=\"./../../../MAXScript-Introduction/Accessing-MAXScript/Running-Scripts.html\">fileIn <em>fileName</em> function</a>, you can specify a .mzp package for <strong>fileIn</strong>.</p>\n\
</li>\n\
</ul>\n\
<h2 id=\"the-mzp-package\">The mzp Package</h2><p>The package startup control file is <strong>&apos;mzp.run&apos;</strong>. When a .mzp package is opened, it is scanned for an <strong>&apos;mzp.run&apos;</strong> file and, if found, the package commands in it are executed in sequence.</p>\n\
<p>If there is no <strong>mzp.run</strong> control file in the package, MAXScript will unzip all the files in it to a unique <strong>temporary</strong> directory in the system temp directory and run all the executable script files it finds, in unspecified order. The kinds of runnable script files in a <strong>.mzp</strong> package are <strong>.ms</strong>, <strong>.mse</strong> and <strong>nested</strong> <strong>.mzp</strong> files.</p>\n\
<p>When the contents of the <strong>.mzp</strong> file is extracted to a destination folder, either the default temp folder or one defined in the <strong>mzp.run</strong> control file, MAXScript will build and replicate any folder structure that is present in the <strong>.mzp</strong> file.</p>\n\
<p>When you cause a script file inside the package to be run, either through <strong>&apos;run&apos;</strong> commands in the <strong>mzp.run</strong> file, or by the default running scheme described in the previous item, the package becomes a search context for files that the script may try to open while it is running such things as image <strong>.bmp</strong> files, <strong>include</strong> files, etc. Only files named by <strong>relative path</strong> names are searched for in the package, fully specified paths (with device names at the front) will be looked for at the specified location.</p>\n\
<p>The names of files and directories in commands that take them now can be supplied <strong>WITHOUT</strong> surrounding double quotes if the name contains only the following kinds of characters:</p>\n\
<p><code>alphanumeric, &apos;_&apos;, &apos;$&apos;, &apos;*&apos;, &apos;.&apos;, &apos;-&apos;, &apos;\\\\&apos;</code></p>\n\
<p>which covers most file names. Any file names with embedded spaces or punctuation not in the above list needs double-quotes.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">name &quot;test package&quot;\n\
version 3\n\
treeCopy flobber to $scripts\n\
copy *.ms to $scripts\\flobber\\dobber\n\
move foo.max $scenes\n\
drop $scenes\\foo.max\n\
</code></pre><p>The zip package is a text file that contains one or more of the following commands. All are optional.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">name &quot;&lt;package_name&gt;&quot;   </code></pre><p>Names the package.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">description &quot;&lt;text&gt;&quot;   </code></pre><p>Describes the package. Normally, a readme file in the package would give extended operating instructions, if they are provided.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">version &lt;number&gt; </code></pre><p>Returns the version number of the package.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">extract to &quot;&lt;directory&gt;&quot; </code></pre><p>Specifies the location in which to extract the contained files. This can be an absolute path name (starting with a drive letter or \\) or a relative name. Relative names are taken as being relative to the default temp directory. The special prefix $max can be used to specify the main MAX executable directory</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">run &quot;&lt;script_file_name&gt;&quot; </code></pre><p>If the package is launched from a MAXScript run menu item or via a <code>fileIn()</code> function, run the named script file. There can be more than one run command and they are run in order. These are ignored if the package is launched via a <code>fileIn()</code> call that is supplied with an explicit script file to run. During the execution of an <code>mzp.run</code> file, any <code>&apos;run&apos;</code> commands are ignored. See <a href=\"Drag-And-Drop-MAX-files-Bitmaps/Drag-and-drop-MAXScript-Zip.html\"#-mzp-drop-protocol\">mzp drop protocol</a> for details.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> If the full path of the script is not specified, the script is searched for in the currently running script location (if applicable), the user scripts directory, and the 3ds Max system scripts directory.  As of <strong>3ds Max 2022.1 Update</strong>, Windows system directories and directories in the PATH are no longer searched. See <a href=\"./../File-Access-Search.html\"\">File Access Function Search Behavior</a> for a list of directories the script is searched for if the full path is not specified.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">drop &quot;&lt;dropScript_file_name&gt;&quot; </code></pre><p>If the package is launched by drag-and-drop into MAX, run the named dropScript file. There can only be one of these per msp.startup file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &quot;&lt;files&gt;&quot; to &quot;&lt;directory&gt;&quot; </code></pre><p>Copies the named file or files (if the <code>&lt;files&gt;</code> string contains wild-cards) to the given directory. The special <code>$max</code> prefix can be used here.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clear temp </code></pre><p>Cause the temporarily-extracted files to be deleted once all the nominated scripts are run or dropped.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clear temp on MAX exit </code></pre><p>Cause the temporarily-extracted files to be deleted when the currently running MAX session exits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clear temp on reset </code></pre><p>Cause the temporarily-extracted files to be deleted when a file open or reset is performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">keep temp </code></pre><p>Prevents any deletion of the extracted files.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">open &lt;max_file_name&gt; </code></pre><p>Opens the named MAX scene file.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the execution of an <code>mzp.run</code> file is triggered during an i-drop event, any <code>&apos;open&apos;</code> commands are ignored. See <a href=\"Drag-And-Drop-MAX-files-Bitmaps/Drag-and-drop-MAXScript-Zip.html\"#-mzp-drop-protocol\">mzp drop protocol</a> for details.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">merge &lt;max_file_name&gt; </code></pre><p>Merges the named MAX scene file.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the execution of an <code>mzp.run</code> file is triggered during an i-drop event, any <code>&apos;merge&apos;</code> commands are ignored. See <a href=\"Drag-And-Drop-MAX-files-Bitmaps/Drag-and-drop-MAXScript-Zip.html\"#-mzp-drop-protocol\">mzp drop protocol</a> for details.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xref &lt;max_file_name&gt; </code></pre><p>Xrefs the named MAX scene file.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the execution of an <code>mzp.run</code> file is triggered during an i-drop event, any <code>&apos;xref&apos;</code> commands are ignored. See <a href=\"Drag-And-Drop-MAX-files-Bitmaps/Drag-and-drop-MAXScript-Zip.html\"#-mzp-drop-protocol\">mzp drop protocol</a> for details.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">import &lt;importable_file_name&gt; </code></pre><p>Imports the named file.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the execution of an <code>mzp.run</code> file is triggered during an i-drop event, any <code>&apos;import&apos;</code> commands are ignored. See <a href=\"Drag-And-Drop-MAX-files-Bitmaps/Drag-and-drop-MAXScript-Zip.html\"#-mzp-drop-protocol\">mzp drop protocol</a> for details.</div>\n\
<p>Only one <code>&apos;open&apos;</code> or <code>&apos;import&apos;</code> command may be used per <code>mzp.run</code> file. Any number of <code>&apos;merge&apos;</code> and <code>&apos;xref&apos;</code> commands can be used.</p>\n\
<p><strong>File Searches:</strong></p>\n\
<p>The following functions will perform searches for files given as relative file names in the current package file:</p>\n\
<p><a href=\"./../../../MAXScript-Introduction/Accessing-MAXScript/Running-Scripts.html\">fileIn <filename></filename></a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/General-MAXScript-Topics/Including-Scripts-Within-Scripts.html\">include <filename></filename></a></p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">openBitmap <filename></filename></a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editScript &lt;filename&gt; </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> Any saves will <strong>not</strong> go back into the package, but into the temp extracted file.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">loadMAXFile &lt;filename&gt; \n\
mergeMAXFile &lt;filename&gt; ... \n\
getMAXFileObjectNames &lt;filename&gt; \n\
importFile &lt;filename&gt; ... \n\
loadMaterialLibrary &lt;filename&gt; </code></pre><p><strong>Bitmap Searches:</strong></p>\n\
<p>The following UI items will search for named bitmap .bmp files in the package:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bitmap &lt;name&gt; fileName:&lt;filename&gt; \n\
button &lt;name&gt; images:&lt;image_spec_array&gt; \n\
checkButton &lt;name&gt; images:&lt;image_spec_array&gt; </code></pre><p>Relative file names can contain path names, so</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileIn &quot;libs/myFns.ms&quot;</code></pre><p>would search in the &quot;libs&quot; sub-folder in the extracted package for &quot;myFns.ms&quot;. You can arrange the contents of the package in any kind of folder nesting desired and file names in running script or in the mzp.run control file are relative to the package directory structure.</p>\n\
<p><strong>Copy and Move:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &quot;&lt;from&gt;&quot; to &quot;&lt;to&gt;&quot; [noReplace] \n\
move &quot;&lt;from&gt;&quot; to &quot;&lt;to&gt;&quot; [noReplace] \n\
treeCopy &quot;&lt;from&gt;&quot; to &quot;&lt;to&gt;&quot; [noReplace] \n\
treeMove &quot;&lt;from&gt;&quot; to &quot;&lt;to&gt;&quot; [noReplace] </code></pre><p>These cause files from within the package to be copied or moved as specified. The treeCopy &amp; treeMove variants move whole nested directories of files. By default, any existing files in the destination location are replaced with the newly extracted ones, add the &apos;noReplace&apos; keyword to prevent this.</p>\n\
<p>The <code>&lt;to&gt;</code> spec must always be a directory. Any treeCopy/Move replicates the source sub-directories into the <code>&lt;to&gt;</code> directory, making new directories as needed. The <code>&lt;from&gt;</code> spec for copy &amp; move may be any relative or fully specified file name or wild-card pattern. Relatively named files are looked for in that relative position in the package. Fully specified names are looked for in the main file-system.</p>\n\
<p>The <code>&lt;from&gt;</code> spec for treeCopy/Move may be just a directory path, in which case the whole directory and its subdirectories are copied/moved, or it can be a wild-card path name in which case just the matching files or directory trees are copied/moved.</p>\n\
<p>The file path names you can specify in the various commands (extract to, run, copy, move, etc.) can have a starting path that is one of several special names beginning with $. These name useful locations in the currently running MAX installation.</p>\n\
<p>For a list of recognized $ names, see <a href=\"./../3ds-Max-System-Directories/Symbolic-Pathnames.html\">Symbolic Pathnames</a>.</p>\n\
<p>These directories reflect any customization the user has set up in the various preference dialogs.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>If you had set up a package with several scenes, plug-ins &amp; map files in several directories in the package, you could install them with some move commands in the mzp.run file, something like this:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">move &quot;plug-ins\\*.*&quot; to &quot;$plugins&quot;\n\
move &quot;*.max&quot; to &quot;$scenes&quot;\n\
move &quot;texmaps\\*.bmp&quot; to &quot;$maps&quot;\n\
</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span></div>\n\
<p>As an added feature, if the scripts run from within a package define any functions, macroScripts, plug-ins, rollouts, or any major MAXScript value or construct that might live longer that the running script, then the package is &apos;associated&apos; with that defined value or construct and will again become the initial search location whenever the functions or handlers in the rollouts/plug-ins/macroScripts/etc. are later run.</p>\n\
<p><strong>Winzip:</strong></p>\n\
<p>You can initially create a .mzp with a zip utility such as WinZip. You can then associate that utility with the .mzp type, so simple double-clicking a .mzp file will open it in that editor. You only need to set up this association once, and you can do this in the Windows Explorer by selecting a .mzp file, shift-right-clicking on the selected file and choosing &quot;Open with...&quot; in the popup menu that appears. Scroll the application list that appears to find you desired zip utility and check the &quot;Always use this program ...&quot; checkbox at the bottom of the dialog.</p>\n\
<p><strong>msZip Interface:</strong></p>\n\
<p>The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-msZip.html\">MAXScript zip package interface</a> has exposed 2 MAXScript-callable functions:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">msZip.fileInPackage &lt;mzpFilename&gt; &amp;&lt;exractDirVar&gt;       </code></pre><p>The &apos;fileInPackage&apos; function is essentially the equivalent of:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileIn &lt;mzpFileName&gt;    </code></pre><p>and will return true if success or false if there is a failure, or a missing or invalid .mzp file, and it will also return the directory that the package file were extracted to in the pass-by-reference <code>&lt;extractDirVar&gt;</code> argument.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local extractDir = &quot;&quot;\n\
if msZip.fileInPackage &quot;foo.mzp&quot; &amp;extractDir then \n\
( \n\
-- extractDir contains the extracted-to directory name ... \n\
) \n\
msZip.unloadPackage &lt;mzpFilename&gt; &amp;&lt;exractDirVar&gt; &amp;&lt;dropFileVar&gt;     </code></pre><p>The &apos;unloadPackage&apos; function performs an extract and executes all the file copying and moving commands in any enclosed mzp.run file, but will not execute any scripts in the package. The extractTo directory and any &apos;drop&apos; command file found will be returned in the pass-by-reference arguments.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local extractDir = &quot;&quot;, dropFile = &quot;&quot;\n\
if msZip.unloadPackage &quot;foo.mzp&quot; &amp;extractDir &amp;dropFile then\n\
(\n\
-- extractDir contains the extracted-to directory name\n\
-- dropFile contains any found drop file name (the path to extracted location )\n\
...\n\
)\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Zip-file-Packaging-and-Drag-And.html\">Zip-file Packaging, and Drag And Drop</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";