var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D8CBACCF-73B3-41DF-9A2D-031CED757371\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Create Panel</h1></div><p>The <code>startObjectCreation()</code> method is used to simulate the user finding a Create Panel button for a given object class and pressing that button, putting <strong>3ds Max</strong> into create mode for that object class.</p>\n\
<p><strong>The form is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">startObjectCreation &lt;maxobjclass&gt; [        returnNewNodes:&lt;flag&gt;] [        newNodeCallback:&lt;fn&gt;]      </code></pre><p>This method simply opens up the Create Panel at the right tab and category and depresses the appropriate object button.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   startObjectCreation box\n\
   startObjectCreation targetSpot\n\
</code></pre></blockquote>\n\
<p>This method is primarily intended for use in macroScripts, but can be used in generalized scripts. Script execution will continue immediately after entering the create mode, and you must ensure that the script does not interfere with the object creation.</p>\n\
<p>The values that can be supplied to the optional <code>returnNewNodes:</code> keyword argument are <code>true</code> , <code>false</code> (the default) or <code>#first</code> . If <code>true</code> is supplied, all of the nodes created, up until the current create mode is exited, will be returned in an array. If <strong>#first</strong> is supplied, only the first node created is returned, immediately after it is created. The function doesn&#x2019;t wait for the create mode to be exited by the user.</p>\n\
<p>The optional <code>newNodeCallback:</code> keyword argument can supply a scripted function of one argument to the create mode that is started, such that the function will be called each time a node is created with the new node as its argument. This is similar to supplying <code>pickObject()</code> filter functions, although the return value of the <code>newNodeCallback:</code> function is ignored.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The callback function is invoked immediately upon new node creation, *before* any base object is installed in it, so <strong>only node-related properties</strong> can be accessed and changed during this callback.</div>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn setColor n = n.wireColor= red\n\
   startObjectCreation box newNodeCallback:setColor\n\
</code></pre><p>   would cause all new boxes created in the started create mode to have red wire color.</p>\n\
</blockquote>\n\
<p>The <code>returnNewNodes:</code> and <code>newNodeCallback:</code> can both be supplied on the same call; the callback will be called on each node, and they will be returned in an array as the result of the <code>startObjectCreation()</code> function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">okToCreate &lt;maxclass&gt; </code></pre><p>Returns <code>true</code> if the specified maxclass can be created in the UI, <code>false</code> otherwise. If the argument is undefined, also returns <code>false</code> .</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   okToCreate terrain\n\
</code></pre><p>   will return <code>false</code> unless at least one shape is selected, or if any non-shape is selected. This corresponds to whether the button for the object is enabled.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isCreatingObject [ &lt;maxclass&gt; ] </code></pre><p>Returns <code>true</code> if the specified maxclass is currently being created in the UI, <code>false</code> otherwise.</p>\n\
<p>If called without an argument returns <code>true</code> if ANY object is being created in the UI, <code>false</code> otherwise.</p>\n\
<p>In <strong>3ds Max 2010 and higher</strong>, also returns <code>false</code> if the argument is undefined for consistency with <code>okToCreate()</code> .</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --go to Create panel, click the Box button and evaluate:\n\
   isCreatingObject Box\n\
   true\n\
   --in the Create panel, click on the Cone button and evaluate:\n\
   isCreatingObject Box\n\
   false\n\
   isCreatingObject Cone\n\
   true\n\
   isCreatingObject()\n\
   true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Command-Panels.html\">Command Panels</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Command-Panels-1.html\">Command Panels</a></li>\n\
          <li><a class=\"link\" href=\"Modify-Panel.html\">Modify Panel</a></li>\n\
          <li><a class=\"link\" href=\"../../Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></li>\n\
          <li><a class=\"link\" href=\"../../Change-Handlers-and-Callbacks.html\">Change Handlers and Callbacks</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";