var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A726F335-2CB0-4B65-B9A3-F546888C0A42\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CUI Struct - UI Customization</h1></div><p>The CUI Struct provides methods and <strong>3ds Max</strong> system globals related to the loading and saving of custom user interface files and the management of custom user interface components and modes.</p>\n\
<p>The following methods provide access to Custom User Interface (CUI) files:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.getDir()      </code></pre><p>Returns the directory of the currently active CUI file as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.getConfigFile()   </code></pre><p>Returns the currently active CUI file name as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.setConfigFile &lt;filename_string&gt; </code></pre><p>Sets the currently active CUI file to the specified file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.saveConfig() </code></pre><p>Saves the current CUI configuration data to the active .cui file</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.saveConfigAs &lt;filename_string&gt; </code></pre><p>Saves current CUI configuration data to the specified file. The specified file is made the current CUI file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.loadConfig &lt;filename_string&gt; </code></pre><p>Loads the CUI configuration data from supplied file. The specified file is made the current CUI file.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Customize/Load Custom UI Scheme menu item is implemented as a macroScript. This macroScript is called <strong>macro_uischeme.mcr</strong> in the <strong>\\ui\\macroscripts</strong> directory, <code>cui.loadConfig</code> is only part of what needs to be done to switch over to a new UI scheme. The aforementioned macroScript will guide you through the other actions that also need to be performed.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.RegisterDialogBar &lt;RolloutFloater_or_Rollout&gt; [minSize:&lt;Point2&gt;] [maxSize:&lt;Point2&gt;] [style:&lt;Array&gt;] </code></pre><p>This method registers a MAXScript window as a dockable CUI window in MAX.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.UnRegisterDialogBar &lt;RolloutFloater_or_Rollout&gt; </code></pre><p>This method un-registers a dockable MAXScript window.</p>\n\
<p>See <a href=\"./../../Creating-MAXScript-Tools/Scripted-Dialogs/cui-RegisterDialogBar-and-cui.html\">cui.RegisterDialogBar and cui.UnRegisterDialogBar</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.DockDialogBar &lt;RolloutFloater_or_Rollout&gt; &lt;dockflag&gt; </code></pre><p>This method docks a registered dialog bar to the specified docking area.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.FloatDialogBar &lt;RolloutFloater_or_Rollout&gt; </code></pre><p>This method will float a registered dialog bar.</p>\n\
<p>See <a href=\"./../../Creating-MAXScript-Tools/Scripted-Dialogs/cui-DockDialogBar-and-cui.html\">cui.DockDialogBar and cui.FloatDialogBar</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.getDockState &lt;RolloutFloater_or_Rollout&gt; </code></pre><p>This method returns the current dock state of the registered dialog bar.</p>\n\
<p>See <a href=\"./../../Creating-MAXScript-Tools/Scripted-Dialogs/cui-getDockState.html\">cui.getDockState</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.commandPanelOpen : Booleans </code></pre><p>This <strong>3ds Max</strong> system global variable lets you get and set whether the command panel is displayed or not.</p>\n\
<p>See <a href=\"./../Command-Panels/Command-Panels-1.html\">Command Panels</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.showToolbar &lt;string&gt;</code></pre><p>Displays the Toolbar specified by name.</p>\n\
<p>Returns True on success, False if the toolbar name does not exist.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   cui.showToolbar &quot;Brush Presets&quot;</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.expertModeOn()</code></pre><p>Turns expert mode on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.expertModeOff() </code></pre><p>Turns expert mode off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.getExpertMode() </code></pre><p>Returns True of expert mode is on, False if it is off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.setAppTitle &lt;string&gt; </code></pre><p>This method sets the title bar of the main <strong>3ds Max</strong> window to the specified string.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The title string will be automatically reset to default on file operations like Reset, New, Open etc.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Custom-User-Interface-Management.html\">Custom User Interface Management</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Menu-Manager/Menu-and-CUI-Loading.html\">Menu and CUI Loading</a></li>\n\
          <li><a class=\"link\" href=\"../../File-Access/3ds-Max-Scene-Files-Access/Custom-User-Interface-Files.html\">Custom User Interface Files</a></li>\n\
          <li><a class=\"link\" href=\"../../Creating-MAXScript-Tools/Scripted-Dialogs/cui-RegisterDialogBar-and-cui.html\">cui.RegisterDialogBar and cui.UnRegisterDialogBar</a></li>\n\
          <li><a class=\"link\" href=\"../../Creating-MAXScript-Tools/Scripted-Dialogs/cui-DockDialogBar-and-cui.html\">cui.DockDialogBar and cui.FloatDialogBar</a></li>\n\
          <li><a class=\"link\" href=\"../../Creating-MAXScript-Tools/Scripted-Dialogs/cui-getDockState.html\">cui.getDockState</a></li>\n\
          <li><a class=\"link\" href=\"../Command-Panels/Command-Panels-1.html\">Command Panels</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";