var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A0CD6389-178C-4417-8D9F-43C4FC6CE8E3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Environment And Effects Dialog</h1></div><p>The following <strong>3ds Max</strong> system global variables and methods give you access to the global rendering environment:</p>\n\
<p><img src=\"./images/GUID-7E74899F-7B97-435C-BF52-955D15D57253-low.gif\" alt></p>\n\
<h3 id=\"background-group-of-controls\">Background Group Of Controls</h3><p><strong>System Global Variables:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">backgroundColor </code></pre><p>Lets you get and set a Color value that defines the global rendering environment (Rendering\\Environment) background color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">backgroundColorController </code></pre><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering\\Environment) background color controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">environmentMap </code></pre><p>Lets you get and set a TextureMap value that defines the global rendering environment (Rendering\\Environment) environment map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">useEnvironmentMap </code></pre><p>Lets you get and set the global rendering environment (Rendering\\Environment) Use Map value. A Boolean value - <code>true</code> if Use Map is on, <code>false</code> if off.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setBackGround [&lt;time&gt;] ( &lt;point3&gt; | &lt;color&gt; ) </code></pre><p>Lets you set a Point3 or Color value that defines the global rendering environment (Rendering &gt; Environment) background color at the specified time. Each component of the Point3 value is in the range of 0 to 255. If the time value is not specified, the current MAXScript time is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getBackGround [&lt;time&gt;] </code></pre><p>Get method that parallels setBackGround method. If the time value is not specified, the current MAXScript time is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setBackGroundController ( &lt;color_controller&gt; | &lt;point3_controller&gt; ) </code></pre><p>Assigns the specified controller as the global rendering environment background color controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getBackGroundController() </code></pre><p>Returns the global rendering environment background color controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getUseEnvironmentMap() </code></pre><p>Lets you get the global rendering environment map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setUseEnvironmentMap &lt;boolean&gt; </code></pre><p>Lets you set the Use global rendering environment map option.</p>\n\
<p>If <code>&lt;boolean&gt;</code> is <code>true</code> the Use Map option will be turned on.</p>\n\
<p>If <code>&lt;boolean&gt;</code> is <code>false</code> the Use Map option will be turned off.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ambientColor = color 10 10 25\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   environmentMap = bitmapTexture filename:&quot;foo.bmp&quot;\n\
</code></pre></blockquote>\n\
<h3 id=\"global-lighting-group-of-controls\">Global Lighting Group Of Controls</h3><p><strong>System Global Variables:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lightTintColor </code></pre><p>Lets you get and set a Color value that defines the global rendering environment (Rendering\\Environment) Global Lighting Tint color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lightTintColorController </code></pre><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering\\Environment) Global Lighting Tint color controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lightLevel </code></pre><p>Lets you get and set a Float value that defines the global rendering environment (Rendering\\Environment) Global Lighting Tint Level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lightLevelController </code></pre><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering\\Environment) Global Lighting Tint Level controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ambientColor </code></pre><p>Lets you get and set a Color value that defines the global rendering environment (Rendering\\Environment) ambient lighting color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ambientColorController </code></pre><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering\\Environment) ambient lighting color controller.</p>\n\
<h3 id=\"atmosphere-rollout\">Atmosphere Rollout</h3><p><strong>System Global Variables:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numAtmospherics </code></pre><p>This 3ds Max System Global Variable contains the number of Atmospheric Effects added to the Effects list in the Environment Dialog. This variable is read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<p>You can use the following functions for maintaining the list of atmospherics in the global rendering environment:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addAtmospheric &lt;atmos&gt; </code></pre><p>Appends the atmospheric to the Atmospheric Effects list</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getAtmospheric &lt;index_integer&gt; </code></pre><p>Retrieves the atmospheric at the indexed position in the Atmospheric Effects list. Index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setAtmospheric &lt;index_integer&gt; &lt;atmos&gt; </code></pre><p>Sets the atmospheric at the indexed position in the Atmospheric Effects list to the specified atmospheric. If the Atmospheric Effects dialog is displayed when this method is called, the displayed Atmospheric Effects list is not updated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteAtmospheric &lt;index_integer&gt; </code></pre><p>Deletes the atmospheric at the indexed position in the Atmospheric Effects list. Index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editAtmosphere &lt;atmos&gt; &lt;node&gt; </code></pre><p>Opens the Environment dialog, and opens the rollout for the specified atmospheric if it has been added to the Atmospheric Effects list. If the specified node is a gizmo for the atmospheric, that gizmo is selected in the atmospheric&#x2019;s gizmo list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editAtmospheric &lt;atmos&gt; [ gizmo: &lt;node&gt; ] </code></pre><p>Opens the Environment dialog, and opens the rollout for the specified atmospheric if it has been added to the Atmospheric Effects list. If the optional <strong>gizmo:</strong> argument is specified, and the specified node is a gizmo for the atmospheric, that gizmo is selected in the atmospheric&#x2019;s gizmo list.</p>\n\
<p>In <strong>3ds Max 6 and higher,</strong> Calling <code>editAtmosphere()</code> or <code>editAtmospheric()</code> without an argument will open the Environment dialog.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Environment-And-Effects-Dialog.html\">Environment And Effects Dialog</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"envEffectsDialog-Open-and-Close.html\">envEffectsDialog - Open and Close the Environment and Effects dialog</a></li>\n\
          <li><a class=\"link\" href=\"../Render-Scene-Dialog/renderscenedialog.html\">renderscenedialog</a></li>\n\
          <li><a class=\"link\" href=\"../Render-Scene-Dialog/Render-Setup-Dialog.html\">Render Setup Dialog</a></li>\n\
          <li><a class=\"link\" href=\"../Tabbed-Dialogs/TabbedDialogs-Controlling-Tabbed.html\">TabbedDialogs - Controlling Tabbed Dialogs</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";