var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-54B1F140-B304-48A2-9829-C68B345E2044\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>FBX Export Dialog Access</h1></div><p>The <strong>FbxExporterSetParam</strong> function provides access to the FBX Exporter dialog options.</p>\n\
<p>For further details on the various options, please see the following topic in the <strong>3ds Max Help:</strong></p>\n\
<p><strong><em>Managing Scenes and Projects &gt; Geometry File Formats &gt; FBX Files: Data Sharing with Maya, MotionBuilder, Revit, Softimage, and Toxik/Composite &gt; Scripting for the 3ds Max FBX plug-in</em></strong></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The FBX Export Plugin must be loaded in memory in order to set its properties. If it is not in memory, it can be loaded using <code>pluginManager.loadClass FbxExporter</code></div>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;OpenFbxSetting()</code></pre><p>Opens the modal &quot;FBX Export&quot; settings dialog. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p>Returns True if the user closed the dialog by pressing the OK button.</p>\n\
<p>Returns False if the user closed the dialog by pressing the Cancel button, or via the window&#x2019;s [X] icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Value&gt;FbxExporterGetParam &lt;String&gt;arg</code></pre><p>This function expects a string as argument, specifying the option to get .</p>\n\
<p>See the left column of the table below for available option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FbxExporterSetParam &lt;String&gt;arg &lt;Value&gt;val</code></pre><p>It expects a string as a first argument specifying the option to affect, with the second argument being the new value as described below:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Arg String</th>\n\
<th>Value</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>&quot;Animation&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ASCII&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;AxisConversionMethod&quot;</td>\n\
<td>&quot;None&quot;, &quot;Animation&quot;, or &quot;Fbx_Root&quot;.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;BakeAnimation&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;BakeFrameStart&quot;</td>\n\
<td>Integer value.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;BakeFrameEnd&quot;</td>\n\
<td>Integer value.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;BakeFrameStep&quot;</td>\n\
<td>Integer value.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;BakeResampleAnimation&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Cameras&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;CAT2HIK&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ColladaTriangulate&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ColladaSingleMatrix&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ColladaFrameRate&quot;</td>\n\
<td>Float (in frames).</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Convert2Tiff&quot;</td>\n\
<td>True or False.This converts non-TIFF-formatted texture images into TIFF format which makes them readable in other applications that do not support other image types.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ConvertUnit&quot;</td>\n\
<td>&quot;mm&quot; or &quot;cm&quot; or &quot;dm&quot; or &quot;m&quot; or &quot;km&quot; or &quot;in&quot; or &quot;ft&quot; or &quot;mi&quot; or &quot;yd&quot;.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;EmbedTextures&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ExportAnimationOnly&quot;</td>\n\
<td>True or False. This parameter is exposed only in MAXScript, it does not appear on the UI.Available in 3ds Max 2019.1 Update and higher.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;FileVersion&quot;</td>\n\
<td>&quot;FBX201300&quot; or &quot;FBX201200&quot; or FBX201100&quot; or &quot;FBX201000&quot; or &quot;FBX200900&quot; or &quot;FBX200611&quot;.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;FilterKeyReducer&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;GeomAsBone&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;GenerateLog&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Lights&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;LoadExportPresetFile&quot;</td>\n\
<td>The file name of the preset file.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;NormalsPerPoly&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;PointCache&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;PopSettings&quot;</td>\n\
<td>This setting preserves the current state of the settings when you perform a One-Click operation.FBXExporterSetParam &quot;PopSettings&quot; loads all I / OSettings.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Preserveinstances&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;PushSettings&quot;</td>\n\
<td>This setting preserves the current state of the settings when you perform a One-Click operation.FBXExporterSetParam &quot;PushSettings&quot; saves all I / OSettings.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Removesinglekeys&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Resampling&quot;</td>\n\
<td>Float.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ResetExport&quot;</td>\n\
<td>Loads the Autodesk Media &amp; Entertainment export preset.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ScaleFactor&quot;</td>\n\
<td>Float.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;SelectionSet&quot;</td>\n\
<td>Name of the selection set to use.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;SelectionSetExport&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Shape&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Skin&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;ShowWarnings&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;SmoothingGroups&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;SmoothMeshExport&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;SplitAnimationIntoTakes&quot;</td>\n\
<td>&quot;takename&quot; which is the name of the take to use, followed by &quot;frameStart&quot;, &quot;frameEnd&quot; to define the interval.Use &quot;-c</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;TangentSpaceExport&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;Triangulate&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;UpAxis&quot;</td>\n\
<td>&quot;Y&quot; or &quot;Z&quot;.</td>\n\
</tr>\n\
<tr>\n\
<td>&quot;UseSceneName&quot;</td>\n\
<td>True or False.</td>\n\
</tr>\n\
</tbody></table>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   testObj = teapot()\n\
   -- fbxexp examples\n\
   select testObj\n\
   -- save in text format:\n\
   FBXExporterSetParam &quot;ASCII&quot; true\n\
   --to prevent the export of the cameras:\n\
   FBXExporterSetParam &quot;Cameras&quot; False\n\
   exportFile @&quot;c:\\test.fbx&quot; #noPrompt selectedOnly:true using:FBXEXP\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../FBX-Import-and-Export-Dialog.html\">FBX Import and Export Dialog</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"FBX-Import-Dialog-Access.html\">FBX Import Dialog Access</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/InventorImport-ImporterPlugin.html\">InventorImport : ImporterPlugin</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";