var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-258F6015-6B45-4A87-A7F5-BB091A2AE065\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Menu Manager</h1></div><p>MAXScript has full access to the menu manager and menu creation system.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Be very careful when using or testing this API. It makes permanent changes to the menu database, and it is very easy to mess things up quite badly. For example, if you &quot;unRegister&quot; the main menu bar, <strong>3ds Max</strong> won&apos;t start.</div>\n\
<p>Anyone using this API should make a copy of the &quot;..\\UI\\MaxStartUI.mnu&quot; file before running any of the scripts. If anything messes up, just copy the backup version back on to MaxMenu.mnu.</p>\n\
<p>There are 4 exposed interfaces to MAXScript: the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\">menu manager</a>, <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\">menu objects</a>, <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\">quad menu objects</a> and <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\">menu items</a>.</p>\n\
<ul>\n\
<li><p>The menu manager is a database of menus and quad menus.</p>\n\
</li>\n\
<li><p>The main menubar and all sub-menus are menu objects.</p>\n\
</li>\n\
<li><p>A quad menu object holds 4 menu objects, one for each quad.</p>\n\
</li>\n\
<li><p>A menu object is a container for menu items.</p>\n\
</li>\n\
<li><p>A menu item can be a separator, an action that invokes a macroScript or a sub-menu that pops up a cascading menu.</p>\n\
</li>\n\
</ul>\n\
<p><strong>Menu Manager</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.loadMenuFile &quot;file.mnu&quot;</code></pre><p>This loads a new menu file with the given name. It looks in the current &quot;UI&quot; directory for the file. It return true if successful, and false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.saveMenuFile &quot;file.mnu&quot;</code></pre><p>This saves a new menu file with the given name. It saves it in the current &quot;UI&quot; directory.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.getMenuFile()</code></pre><p>Returns the full path to the current menu file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.updateMenuBar()</code></pre><p>This updates the main menu bar with any changes that have been made. This MUST be called after changing anything on the main menu bar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.registerMenuContext contextId</code></pre><p>This call is used to register menu extensions. The &quot;contextId&quot; is a random 32-bit integer. It can be generated using the <a href=\"./../../Creating-MAXScript-Tools/Scripted-Plug-ins/The-Super-Class-ID-and-the-Class.html\">&quot;genclassid()&quot;</a>. This function registers an extension with the menu manager that is remembered permanently. It returns true the first time the extension is registered, and false every time thereafter. This is saved in the MaxMenu.mnu file, so it is sticky from session to session. This is used so that scripts can add items and sub-menus MAX&apos;s main menu bar and quad menus. See the sample scripts below for the proper usage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.findMenu &quot;menuName&quot;</code></pre><p>This function returns the menu with the given name. It returns &quot;undefined&quot; if no menu exists in the menu manager with the given name. This requires the full name of the menu, including and &quot;&amp;&quot; characters that might be in the name.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   helpMenu = menuMan.findMenu &quot;&amp;Help&quot; -- Retrieve3ds Max&#x2019;shelp menu.\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.findQuadMenu &quot;quadMenuName&quot;</code></pre><p>This method works like &quot;findMenu&quot; but it gets quad menus instead of menus.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.unRegisterMenumenu</code></pre><p>This method removes a menu from the menu manager.</p>\n\
<blockquote>\n\
<p>   <strong>WARNING! USE EXTREME CAUTION WHEN USING THIS METHOD!</strong></p>\n\
<p>   If you unregister a menu that is used as a sub-menu, or in a quad menu, or the main menu bar, you will corrupt your <strong>3ds Max</strong> installation.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.unRegisterQuadMenuquadMenu</code></pre><p>This method works like &quot;unregisterMenu&quot; but for quad menus.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.createMenu &quot;name&quot;</code></pre><p>This method creates a new, empty menu with the given name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.createQuadMenu &quot;name&quot; &quot;quad1Name&quot; &quot;quad2Name&quot; &quot;quad3Name&quot; &quot;quad4Name&quot;</code></pre><p>This method creates a new, empty quad menu. It contains, 4 empty menus, one for each quad.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.createSubMenuItem &quot;name&quot; subMenu</code></pre><p>This method creates a new sub-menu item that can be added to a menu. It uses the given &quot;name&quot; and it displays the given sub-menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.createSeparatorItem()</code></pre><p>This method creates a new menu separator that can be added to a menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.createActionItem &quot;macroScriptName&quot; &quot;macroScriptCategory&quot;</code></pre><p>This method creates a new menu item that can be added to a menu. The item is an action that executes the macro script with the given name and category. This returns &quot;undefined&quot; if there is no macroScript with the given name and category.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.setViewportRightClickMenu which quadMenu</code></pre><p>This method sets the viewport right click menu to be the given quad menu. The value of &quot;which&quot; can be one of the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nonePressed #shiftPressed #altPressed #controlPressed #shiftAndAltPressed #shiftAndControlPressed #controlAndAltPressed #shiftAndAltAndControlPressed</code></pre><p>The following example sets the default (no keys pressed) quad menu the &quot;Modeling 2&quot;. The menu name must be a quad menu that is listed in the &quot;Quads&quot; customization dialog, and the name must match exactly, including capitalization. <code>menuMan.SetViewportRightClickMenu</code> returns FALSE if you try to set the viewport right-click menu to a menu that is not allowed.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   menuMan.setViewportRightClickMenu #nonePressed &quot;Modeling 2&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.getViewportRightClickMenu which</code></pre><p>Retrieves the quad menu used for right-clicking in the viewport. The &quot;which&quot; parameter can be one of the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> #nonePressed #shiftPressed #altPressed #controlPressed #shiftAndAltPressed #shiftAndControlPressed #controlAndAltPressed #shiftAndAltAndControlPressed menuMan.getMainMenuBar()</code></pre><p>Returns the menu being used as MAX&apos;s main menu bar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.setMainMenuBar menu</code></pre><p>Sets the menu being used as MAX&apos;s main menu bar. You must call &quot;menuMan.updateMenuBar()&quot; in order to see the result.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.getShowAllQuads quadMenu</code></pre><p>Gets the &quot;show all quads&quot; setting for the given quad menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.setShowAllQuads quadMenu value</code></pre><p>This sets the &quot;show all quads&quot; flag for the given quad menu. &quot;value&quot; can be <code>true</code> or <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.getQuadMenuName quadMenu</code></pre><p>This returns the name of the given quad menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.setQuadMenuName quadMenu &quot;name&quot;</code></pre><p>This sets the name of the give quad menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.numMenus()</code></pre><p>Returns the total number of menus in registered with the menu manager.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.getMenu index</code></pre><p>Retrieves the &quot;index&quot;th menu in the menu manager. This is a 1-based index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.numQuadMenus()</code></pre><p>Returns the total number of quad menus registered with the menu manager.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.getQuadMenu index</code></pre><p>Retrieves the &quot;index&quot;th quad menu in the menu manager. This is a 1-based index.</p>\n\
<h3 id=\"quad-menu-objects\">Quad Menu objects</h3><p>Quad menu objects have the following functions available:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">quadMenu.getMenu quadIndex</code></pre><p>Retrieves the menu object associated with the 4 quads of the menu. &quot;quadIndex&quot; can take the value 0, 1, 2, or 3. Quad 0 is the lower-right, and they are numbered counter-clockwise from there.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">quadMenu.trackMenu showAllQuads\n\
</code></pre><p>This displays the quad menu. If &quot;showAllQuads&quot; is true, then all 4 quads are shows at once. It is displayed at the current cursor position.</p>\n\
<h3 id=\"menu-objects\">Menu Objects</h3><p>Menus are containers for menu items, and have the following functions:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menu.setTitle &quot;title&quot;</code></pre><p>Sets the title of the menu to the give string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menu.getTitle()</code></pre><p>Returns the current title of the menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menu.numItems()</code></pre><p>Returns the number of items the menu holds.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menu.getItem index</code></pre><p>Retrieves the menu item at the given index.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The index is 0-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menu.addItem menuItem position</code></pre><p>This inserts an item in the menu at the given position, which is 0-based. If the position is -1, then the item is appended to the end of the menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menu.removeItemByPosition position</code></pre><p>This removes the item at the given position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menu.removeItem menuItem</code></pre><p>This removes the given item from the menu, if it is in the menu.</p>\n\
<h3 id=\"menu-item-objects\">Menu Item objects</h3><p>A menu item can be a separator, a sub-menu or an action that is connected to a macroScript. The following functions are available for menuItems:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuItem.setTitle &quot;title&quot;</code></pre><p>Sets the name associated with the item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuItem.getTitle()</code></pre><p>Returns the name associated with the item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuItem.setUseCustomTitle value</code></pre><p>When value is true, this tells an item that is associated with a macroScript to use the item title when displaying the menu. Otherwise it will use the name of the macro or the &quot;buttontext&quot; of the macroScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuItem.getUseCustomTitle()\n\
</code></pre><p>Returns the current value of the custom title flag.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuItem.setDisplayFlat value</code></pre><p>This is for sub-menu items. When value is true, it tells the menu to display the sub-menu in-line, rather than as a cascading sub-menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuItem.getDisplayFlat()</code></pre><p>Returns the current value for the &quot;display flat&quot; flag.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuItem.getIsSeparator()</code></pre><p>Return true if the item is a separator, and false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuItem.getSubMenu()</code></pre><p>If the item is a sub-menu item, this returns the menu associated with the sub-menu.</p>\n\
<p>Included below is a script that shows how to use the menuMan interface to register menu extensions. This script should go in the &quot;stdplugs\\stdscripts&quot; folder.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Sample menu extension script\n\
   -- If this script is placed in the &quot;stdplugs\\stdscripts&quot;\n\
   -- folder, then this will add the new items to MAX&apos;s menu bar\n\
   -- when MAX starts.\n\
   -- A sample macroScript that we will attach to a menu item\n\
   macroScript MyTest\n\
   category: &quot;Menu Test&quot;\n\
   tooltip: &quot;Test Menu Item&quot;\n\
   (\n\
   on execute do print &quot;Hello World!&quot;\n\
   )\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The macroScript above must be present before running the example below.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- This example adds a new entry to MAX&apos;s main &quot;Help&quot; menu.\n\
   -- Register a menu context. This returns true the first time it\n\
   -- is registered, and we can add things to the menu. If\n\
   -- it returns false, then the context is already registered,\n\
   -- and the items are already in the menu.\n\
   -- The number 0x246c6dbe is random, and can be generated\n\
   -- using the genClassID() function. \n\
   if menuMan.registerMenuContext 0x246c6dbe then\n\
   (\n\
   -- Get the main menu bar\n\
   local mainMenuBar = menuMan.getMainMenuBar()\n\
   -- The help menu is always the last menu.\n\
   local helpMenuIndex = mainMenuBar.numItems()\n\
   -- Get the menu item that holds the help menu\n\
   local helpMenuItem = mainMenuBar.getItem(helpMenuIndex)\n\
   -- Get the menu from the item\n\
   local helpMenu = helpMenuItem.getSubMenu()\n\
   -- create a menu separator item\n\
   local sepItem = menuMan.createSeparatorItem()\n\
   -- create a menu items that calls the sample macroScript\n\
   local testItem = menuMan.createActionItem &quot;MyTest&quot; &quot;Menu Test&quot;\n\
   -- Add the separator to the end of the help menu.\n\
   -- the position of -1 means add it to the end.\n\
   helpMenu.addItem sepItem -1\n\
   -- Add the action item to the end of the help menu.\n\
   helpMenu.addItem testItem -1\n\
   -- redraw the menu bar with the new item\n\
   menuMan.updateMenuBar()\n\
   )\n\
\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- This example adds a new sub-menu to MAX&apos;s main menu bar.\n\
   -- It adds the menu just before the &quot;Help&quot; menu.\n\
   if menuMan.registerMenuContext 0x1ee76d8e then\n\
   (\n\
   -- Get the main menu bar\n\
   local mainMenuBar = menuMan.getMainMenuBar()\n\
   -- Create a new menu\n\
   local subMenu = menuMan.createMenu &quot;Test Menu&quot;\n\
   -- create a menu item that calls the sample macroScript\n\
   local testItem = menuMan.createActionItem &quot;MyTest&quot; &quot;Menu Test&quot;\n\
   -- Add the item to the menu\n\
   subMenu.addItem testItem -1\n\
   -- Create a new menu item with the menu as it&apos;s sub-menu\n\
   local subMenuItem = menuMan.createSubMenuItem &quot;Test Menu&quot; subMenu\n\
   -- compute the index of the next-to-last menu item in the main menu bar\n\
   local subMenuIndex = mainMenuBar.numItems() - 1\n\
   -- Add the sub-menu just at the second to last slot\n\
   mainMenuBar.addItem subMenuItem subMenuIndex\n\
   -- redraw the menu bar with the new item\n\
   menuMan.updateMenuBar()\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- This example adds a new command to MAX&apos;s default right-click quad menu\n\
   if menuMan.registerMenuContext 0x36690115 then\n\
   (\n\
   -- Get the default viewport right-click quad menu\n\
   local quadMenu = menuMan.getViewportRightClickMenu #nonePressed\n\
   -- Get the lower-left menu from the quad\n\
   local menu = quadMenu.getMenu 3\n\
   -- create a menu item that calls the sample macroScript\n\
   local testItem = menuMan.createActionItem &quot;MyTest&quot; &quot;Menu Test&quot;\n\
   -- Add the item to the menu\n\
   menu.addItem testItem -1\n\
   )\n\
</code></pre></blockquote>\n\
<p><strong>Here are two macroScripts that set and reset two of the right-click menus:</strong></p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SetQuads\n\
   category:&quot;Custom UI&quot;\n\
   tooltip:&quot;Set Quad&quot;\n\
   (\n\
   on execute do\n\
   (\n\
   quadmenu = menuMan.findQuadMenu &quot;Modeling 2&quot;\n\
   if quadmenu != undefined do menuMan.setViewportRightClickMenu #nonePressed quadmenu\n\
   quadmenu = menuMan.findQuadMenu &quot;Sample 4x1&quot;\n\
   menuMan.setViewportRightClickMenu #controlPressed quadmenu\n\
   )\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript ResetQuads\n\
   category:&quot;Custom UI&quot;\n\
   tooltip:&quot;Reset Quads&quot;\n\
   (\n\
   on execute do\n\
   (\n\
   quadmenu = menuMan.findQuadMenu &quot;Default Viewport Quad&quot;\n\
   if quadmenu != undefined do menuMan.setViewportRightClickMenu #nonePressed quadmenu\n\
   quadmenu = menuMan.findQuadMenu &quot;Modeling 1 [Cntrl+RMB]&quot;\n\
   if quadmenu != undefined do menuMan.setViewportRightClickMenu #controlPressed quadmenu\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Menu-Manager.html\">Menu Manager</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Quad-Menu/Quad-Menu-1.html\">Quad Menu</a></li>\n\
          <li><a class=\"link\" href=\"Menu-and-CUI-Loading.html\">Menu and CUI Loading</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">Interface: maxOps</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-quadMenuSettings.html\">Interface: quadMenuSettings</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\">Interface: menuMan</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">Interface: maxOps</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";