var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F122718E-CC36-4CAB-8947-527F608FC184\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Menu and CUI Loading</h1></div><p>You can load a menu file in MAXScript as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.loadMenuFile &quot;MaxModelingMenu.mnu&quot;</code></pre><p>The full path should not be specified. It will look in the appropriate directories for menu files. The default is the &quot;ui&quot; directory.</p>\n\
<p>You can set the main menu in max as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.setMainMenuBar &quot;Menu Bar1&quot;</code></pre><p>To restore MAX&apos;s default main menu:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.setMainMenuBar &quot;Main Menu Bar&quot;</code></pre><p>The function returns true of it succeeds and false if it can&apos;t find the named menu.</p>\n\
<p>You can set the quad right-click menu that MAX uses in the viewports using the following MAXScript:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.setViewportRightClickMenu #nonePressed &quot;Modeling 2&quot;</code></pre><p>Sets the default (no keys pressed) quad menu to &quot;Modeling 2&quot;. The menu name must be a quad menu that is listed in the &quot;Quads&quot; customization dialog, and the name must match exactly, including capitalization.</p>\n\
<p>For the first parameter, you can use one of the following 8 values:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nonePressed #shiftPressed #altPressed #controlPressed #shiftAndAltPressed #shiftAndControlPressed #controlAndAltPressed #shiftAndAltAndControlPressed</code></pre><p>Here are two macroScripts that set and reset two of the right-click menus:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SetQuads\n\
   category:&quot;Custom UI&quot;\n\
   tooltip:&quot;Set Quad&quot;\n\
   (\n\
   on execute do\n\
   (\n\
   menuMan.setViewportRightClickMenu #nonePressed &quot;Modeling 2&quot;\n\
   menuMan.setViewportRightClickMenu #controlPressed &quot;Sample 4x1&quot;\n\
   )\n\
   )\n\
   ------------------------------\n\
   macroScript ResetQuads\n\
   category:&quot;Custom UI&quot;\n\
   tooltip:&quot;Reset Quads&quot;\n\
   (\n\
   on execute do\n\
   (\n\
   menuMan.setViewportRightClickMenu #nonePressed &quot;Default Viewport Quad&quot;\n\
   menuMan.setViewportRightClickMenu #controlPressed &quot;Modeling 1 [Cntrl+RMB]&quot;\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<p>You can display a quad menu like this:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuMan.trackQuadMenu &quot;Default Viewport Quad&quot;</code></pre><p>The menu name must be a quad menu that is listed in the &quot;Quads&quot; customization dialog, and the name must match exactly, including capitalization.</p>\n\
<p>You can load a CUI file from MAXScript as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxOps.loadCUIFile &quot;ModelingCUI.cui&quot;</code></pre><p>It will search the appropriate UI directory for the .cui file.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Menu-Manager.html\">Menu Manager</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">Interface: maxOps</a></li>\n\
          <li><a class=\"link\" href=\"Menu-Manager-1.html\">Menu Manager</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\">Interface: menuMan</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds Max System Globals</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";