var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9D407E2A-3691-426F-9B06-4A744C3DEE58\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Picking Scene Nodes by Name</h1></div><p>You can use the <code>selectByName()</code> function to open the standard <strong>3ds Max</strong> Select By Name dialog allowing users to pick objects which are then returned as an array of MAXScript node values.</p>\n\
<p><strong>The form is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selectByName [        title:&lt;string&gt;] [        buttonText:&lt;string&gt;] [         filter:&lt;fn&gt;] [        showHidden:&lt;boolean&gt;][        single:&lt;boolean&gt;]      </code></pre><p>The optional keyword arguments are interpreted as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">title:&quot;string     &quot; </code></pre><p>Specifies the dialog window title.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">buttonText:&quot;string  &quot; </code></pre><p>Lets you specify the label text in the &apos;accept&apos; button in the dialog. The default value is &quot;Select&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showHidden:&lt;boolean&gt; </code></pre><p>Controls whether hidden and frozen objects are eligible for display. The default value is <code>false</code> . This option was broken in versions prior to <strong>3ds Max 8</strong>. Now it works as expected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">single:&lt;boolean&gt; </code></pre><p>Controls whether single or multiple objects may be selected in the selector. The default is <code>false</code> , meaning multiple objects may be selected, and they are returned in an array. If <code>single:true</code> is specified, a single object may be selected and is returned directly, not in an array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">filter:&lt;fn&gt; </code></pre><p>Lets you specify a filter function that determines which objects should be displayed in the list. This is similar to the filter functions elsewhere in MAXScript. The function you supply should take one argument, which the current object being tested for inclusion and the function should return <code>true</code> for include, <code>false</code> for exclude. If you don&apos;t specify a filter, all objects are displayed.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<p>   the following function limits the choices to shape objects:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn shape_filt obj = isKindOf obj Shape\n\
</code></pre><p>   Then you can call the Select By Name function to select multiple shapes including hidden ones:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theShapes =selectByName title:&quot;Select Shapes&quot; buttonText:&quot;GET &apos;EM!&quot; filter:shape_filt showHidden:true single:false\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<p>   <img src=\"./images/GUID-51EA45D0-8330-419B-9E06-336D4253A7A2-low.gif\" alt></p>\n\
</blockquote>\n\
<p>If the user cancels out of the dialog, the function returns the value <code>undefined</code> .</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Picking-Scene-Nodes.html\">Picking Scene Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Picking-Scene-Nodes-By-Hit.html\">Picking Scene Nodes By Hit</a></li>\n\
          <li><a class=\"link\" href=\"Picking-Scene-Nodes-By-Region.html\">Picking Scene Nodes By Region</a></li>\n\
          <li><a class=\"link\" href=\"../Viewports/Picking-Points-in-the-Viewports.html\">Picking Points in the Viewports</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";