var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9175301C-13E6-488B-ABA6-D27CD804B205\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Controlling the Renderer</h1></div><p>The <code>render()</code> method invokes the current <strong>3ds Max</strong> renderer.</p>\n\
<p>Other than calling the <code>max quick render</code> <a href=\"./../3ds-MAX-Commands.html\">command</a> which is equivalent to clicking the Render icon in the Main Toolbar, the <code>render()</code> method can take many optional parameters to control the rendering independently from the current <a href=\"Render-Setup-Dialog.html\">Render Scene Dialog</a> settings.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> As mentioned above, the <code>render()</code> method does NOT use the current render settings found in the Render Scene Dialog. Thus, calling <code>render()</code> will NOT save to the output file name specified in the Render Scene Dialog or via the <code>rendOutputFilename</code> global, but will use the output specified via the <code>outputfile:</code> optional parameter and/or simply return a <a href=\"./../../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">bitmap value</a>.</div>\n\
<p>Below is the list of optional parameters that can be used to control the rendering using the <code>render()</code> method.</p>\n\
<p><strong>Optional Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">render [camera: &lt;camera_node&gt; ]</code></pre><p>Specifies the camera to render. If not specified, defaults to the active viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ frame: &lt;number&gt; | #current]\n\
</code></pre><p>Specifies the frame to render. If not specified or set to <code>#current</code> , defaults to rendering the current frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ framerange: &lt;interval&gt; | #active]\n\
[ fromframe: &lt;time&gt; ]\n\
[ toframe: &lt;time&gt; ]\n\
[ nthframe: &lt;time&gt; ]</code></pre><p>Specifies the frame range to render. If specified, one render() call will generate multiple frames. If not supplied, only one frame will be rendered.</p>\n\
<p>Defaults to <code>unsupplied</code> , in which case the <code>frame:</code> value described above controls which frame to render.</p>\n\
<p><strong>For Example:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">render framerange:(interval 0 30)</code></pre><p>Starting with <strong>3ds Max 5</strong>, the parameters <code>frame:</code> , <code>fromframe:</code> and <code>toframe:</code> accept time values instead of numbers. Setting them to float values allows for <strong>sub-frame rendering</strong>!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ outputwidth: &lt;number&gt; ]</code></pre><p>Sets the width of the output image.</p>\n\
<p>Defaults to the current render width specified in the <a href=\"Render-Setup-Dialog.html\">Render Scene Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ outputheight: &lt;number&gt; ]</code></pre><p>Sets the height of the output image.</p>\n\
<p>Defaults to current render height specified in the <a href=\"Render-Setup-Dialog.html\">Render Scene Dialog</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ outputSize: &lt;point2&gt; ]</code></pre><p>An alternative way to specify the output size of the rendered image.</p>\n\
<p>The point2 value is in the form: [width,height]</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ pixelaspect: &lt;number&gt; ]</code></pre><p>Specifies the pixel aspect ratio.</p>\n\
<p>If not supplied, defaults to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ renderhiddenobjects: &lt;boolean&gt; ]</code></pre><p>When supplied as true, hidden objects will be rendered.</p>\n\
<p>When supplied as false, hidden objects will not be rendered.</p>\n\
<p>If not supplied, defaults to the current renderer&apos;s <a href=\"Render-Setup-Dialog.html\">Render Hidden Objects</a> state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ rendSimplifyAreaLights: &lt;boolean&gt; ]</code></pre><p>When supplied as true, lets the renderer simplify area lights by rendering them as point lights when appropriate.</p>\n\
<p>When supplied as false, the renderer will process area lights completely.</p>\n\
<p>When not supplied, the state of the &quot;Area Lights/Shadows as Points&quot; checkbox in the <a href=\"Render-Setup-Dialog.html\">Render Scene Dialog</a> controlled by the global variable <a href=\"Controlling-the-Renderer.html\">rendSimplifyAreaLights</a> will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ superblack: &lt;boolean&gt; ]</code></pre><p>Defaults to current renderer&apos;s &quot;Superblack&quot; checkbox state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ force2sided: &lt;boolean&gt; ]</code></pre><p>Defaults to current renderer Force 2 Sided state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ renderatmosphericeffects: &lt;boolean&gt; ]</code></pre><p>Defaults to current renderer Render Atmospheric Effects state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ renderfields: &lt;boolean&gt; ]</code></pre><p>Defaults to current renderer Render Fields state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ fieldorder: #odd | #even]</code></pre><p>Defaults to current renderer preferences Field Order state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ outputfile: &lt;string&gt; ]</code></pre><p>The frame number is appended to the filename if the file image type is a single image type (.bmp, .jpg, .tga, etc.), and a frame range is being rendered. Defaults to rendering to just the virtual frame buffer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ vfb: &lt;boolean&gt; ]</code></pre><p>When set to true, opens a Rendered Frame Window to display the rendered image. When set to false, the rendered image will not be displayed.</p>\n\
<p>Defaults to current renderer Rendered Frame Window state.</p>\n\
<blockquote>\n\
<p>   *<em>HISTORY Note: *</em></p>\n\
<p>   In versions prior <strong>3ds Max 6</strong>, the &quot;Rendered Frame Window&quot; was known as the &quot;Virtual Frame Buffer&quot; (thus abbreviated as VFB and not RFW).</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ pos: #vfb_upper_left | #vfb_lower_left | #vfb_upper_right | #vfb_lower_right | #vfb_center | #vfb_renderer_position | #vfb_vprimary_position | #vfb_vsecondary_position]</code></pre><p>Lets you specify the screen position the Rendered Frame Window (a.k.a. Virtual Frame Buffer - see note above) will open at when the <code>vfb:</code> option is supplied as <code>true</code> .</p>\n\
<p>Default is <code>#vfb_renderer_position</code> , which is the last position the user left the window after a render.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ outputHDRbitmap:&lt;boolean&gt; ]</code></pre><p>When set to true, the new 32 bit floating-point frame buffer will be used. When set to false or not supplied, the standard frame buffer will be used. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ netrender: &lt;boolean&gt; ]</code></pre><p>Submits the render to Backburner for network rendering.</p>\n\
<p>Defaults to current renderer Net Render state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ renderType: #normal | #region | #regionCrop | #blowup | #selection | #regionselected | #cropselected | #bakeSelected]\n\
[ region: #(left,top,right,bottom) ]</code></pre><p>Provides control over the type of rendering, corresponding to the <strong>Render Type menu</strong> in the <strong>3ds Max</strong> toolbar.</p>\n\
<p>If <code>#region</code> , <code>#regionCrop</code> or <code>#blowUp</code> is selected, the <code>region:</code> parameter may be used to override the currently set regions for the active viewport, specified as pixel coordinates relative to the top-left corner in the bitmap (VFB). The region argument is ignored for all other render types. The region argument can be a Box2 value.</p>\n\
<p>If the rendertype is <code>#blowup</code> , and a region is specified, the region rectangle must have the same aspect as the render output size aspect. The top, bottom, and left component values are taken from the region argument, but the width is re-calculated to force the proper aspect.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <code>#region`, `#regionCrop</code> and <code>#blowUp</code> can only be selected for an active viewport rendering. An error will be reported if they are specified for a camera rendering. Defaults to <code>#normal</code> .</div>\n\
<p>Here is a full list of the supported types, their aliases and the UI types they correspond to:</p>\n\
<p><code>#view, #normal</code> - correspond to View</p>\n\
<p><code>#selection, #selected</code> - correspond to Selected</p>\n\
<p><code>#region</code> - corresponds to Region</p>\n\
<p><code>#regionCrop, #crop</code> - correspond to Crop</p>\n\
<p><code>#blowUp</code> - corresponds to Blowup</p>\n\
<p><code>#regionselected</code> - corresponds to Region Selected</p>\n\
<p><code>#cropselected</code> - corresponds to Crop Selected</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Render type <code>#boxselected</code> , which corresponds to Box Selected, is currently not supported.</div>\n\
<p>The <code>#bakeSelected</code> rendertype is used by the Render To Texture toolset to invoke the renderer after defining one or more BakeElements and preparing objects for baking. Please see the source code of the Render To Texture script for an example of its usage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ to: &lt;bitmap&gt; ]</code></pre><p>Specifies an existing bitmap to render into. The <code>render()</code> function takes image size and other parameter settings from the existing bitmap. If not supplied, a new bitmap is created and returned by the <code>render()</code> function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ channels: &lt;array_of_channel_names&gt; ]</code></pre><p>Specifies which g-buffer channels should be created during the rendering.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bm = render camera:$cam2 channels:#(#zDepth, #coverage, #objectID)\n\
</code></pre><p>   causes $cam2 to be rendered into a new bitmap that will contain z-depth, pixel coverage and object g-buffer ID channels</p>\n\
</blockquote>\n\
<p>The <code>channels:</code> argument must always be an array of channels identifiers, chosen from the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#zDepth\n\
#matID\n\
#objectID\n\
#UVCoords\n\
#normal\n\
#unClamped\n\
#coverage\n\
#node\n\
#mask\n\
#shaderColor\n\
#shaderTransparency\n\
#velocity\n\
#weight</code></pre><p>Defaults to no g-buffer channels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ aperture: &lt;float&gt; ]</code></pre><p>Defaults to current renderer Aperture Width value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ ditherTrueColor: &lt;boolean&gt; ]</code></pre><p>Defaults to current rendering preferences Dither True Color state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ ditherPaletted: &lt;boolean&gt; ]</code></pre><p>Defaults to current rendering preferences Dither Paletted state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ videocolorcheck: &lt;boolean&gt; ]</code></pre><p>Defaults to current renderer Video Color Check state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ renderPAL: &lt;boolean&gt; ]</code></pre><p>Defaults to current rendering preferences Video Color Check NTSC/PAL state. If <code>true</code> , and video color checking is enabled, PAL video color checking is performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ superBlackThreshold: &lt;integer&gt; ]</code></pre><p>Defaults to current rendering preferences Super Black Threshold value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ maxPixelSize: &lt;float&gt; ]</code></pre><p>This property is available in the Render Scene dialog and is also accessible through the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RadiosityPreferences.html\">RadiosityPreferences interface.</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ useRadiosity: &lt;boolean&gt; ]</code></pre><p>This property is available in the Render Scene dialog and is also accessible through the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RadiosityPreferences.html\">RadiosityPreferences interface.</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ ComputeRadiosity: &lt;boolean&gt; ]</code></pre><p>This propertyisavailable in the Render Scene dialog and is also accessible through the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RadiosityPreferences.html\">RadiosityPreferences interface.</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ cancelled: &lt;&amp;var&gt; ]</code></pre><p>If the render is cancelled, the variable var will contain true, otherwise it will contain false.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bm = render cancelled:&amp;wasCancelled\n\
   if (not wasCancelled) do....\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ progressbar: &lt;boolean&gt; ]</code></pre><p>If true, the entire viewport display is disabled and a progress bar and Cancel button are displayed in the status panel. If false or not present, the viewport display is not disabled. In both cases, Esc will cancel the render.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ renderMultiPassEffects:&lt;boolean&gt; ]</code></pre><p>If true or not specified, if the view being rendered is a camera view, and a multipass effect is enabled for that camera, the rendering will be performed using that multipass effect. If explicitly supplied as false, no multipass effect will be rendered. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ renderElements:&lt;boolean&gt; ]</code></pre><p>If true or not specified, if render elements are present in the scene, those render elements will be rendered. If the <code>outputfile:</code> argument is specified, the render element output will be written to disk in the same manner as if rendered from the Render Scene dialog with the Render Output filename specified. If false, render elements will not be rendered. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ renderElementBitmaps:&lt;&amp;var&gt; ]</code></pre><p>If render elements are rendered, the render element output bitmaps are placed in an array (one array element per rendered render element), and this array is returned through the specified variable by-reference. If multiple frames are rendered, the final frame&apos;s output is used. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   render renderMultiPassEffects:true renderElements:true renderElementBitmaps:&amp;reb\n\
   if reb != undefined do for b in reb do display b\n\
</code></pre></blockquote>\n\
<h2 id=\"the-following-properties-are-available-if-the-standard-scanline-renderer-is-being-used-\">The following properties are available if the standard scanline renderer is being used:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ antiAliasing: &lt;boolean&gt; ]</code></pre><p>Defaults to current renderer Anti-Aliasing state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ antiAliasFilterSize: &lt;float&gt; ]</code></pre><p>Defaults to current renderer Anti-Aliasing Filter Size value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ antiAliasFilter: &lt;filter&gt; ]</code></pre><p>Defaults to current renderer Anti-Aliasing filter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ enablePixelSampler: &lt;boolean&gt; ]</code></pre><p>Defaults to the current renderer Global SuperSampling state. This state is <code>true</code> if Disable all Samplers is checked, otherwise <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ mapping: &lt;boolean&gt; ]</code></pre><p>Defaults to current renderer Mapping state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ shadows: &lt;boolean&gt; ]</code></pre><p>Defaults to current renderer Shadows state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ autoReflect: &lt;boolean&gt; ]</code></pre><p>Defaults to current renderer Auto-Reflect/Refract and Mirrors state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ forceWireframe: &lt;boolean&gt; ]</code></pre><p>Defaults to current renderer Force Wireframe state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ wireThickness: &lt;float&gt; ]</code></pre><p>Defaults to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ filterMaps: &lt;boolean&gt; ]</code></pre><p>Defaults to current renderer Anti-Aliasing Filter Maps state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ objectMotionBlur: &lt;boolean&gt; ]</code></pre><p>Defaults to current renderer Object Motion Blur Apply state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ objectBlurDuration: &lt;float&gt; ]</code></pre><p>Defaults to 0.5.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ objectBlurSamples: &lt;integer&gt; ]</code></pre><p>Defaults to 10.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ objectBlurSubdivisions: &lt;integer&gt; ]</code></pre><p>Defaults to 10.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ imageMotionBlur: &lt;boolean&gt; ]</code></pre><p>Defaults to current renderer Image Motion Blur Apply state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ imageBlurDuration: &lt;float&gt; ]</code></pre><p>Defaults to 0.5.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ autoReflectLevels: &lt;integer&gt; ]</code></pre><p>Defaults to 1.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Since <strong>3ds Max 5</strong>, the <code>render()</code> method passes any keyword arguments on to the renderer class instance, so any renderer parameter block or FPS interface property can be set via the keyword argument. This behavior replaces the hardcoded keyword arguments documented in the above topic. The default scanline renderer FPS interface properties were named to maintain consistency with existing scripts.</div>\n\
<h2 id=\"quiet-mode-options-\">Quiet Mode Options:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ quiet: &lt;boolean&gt; ]</code></pre><p>If <code>true</code> , suppress participating dialogs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ missingExtFilesAction: &lt;actions&gt; ]</code></pre><p>Actions to take on Missing External Files, where <code>&lt;actions&gt;</code> is: <code>#logmsg</code> , <code>#logToFile</code> , <code>#abort</code> and/or an integer, or an array of one or more of those items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ missingExtFilesList: &amp;variable ]</code></pre><p>If <code>#logmsg</code> is specified as action, the by-reference variable will be filled in with array of the missing external file names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ missingUVWAction: &lt;actions&gt; ]</code></pre><p>Actions to take on Missing UVWs, where <code>&lt;actions&gt;</code> is: <code>#logmsg</code> , <code>#logToFile</code> , <code>#abort</code> and/or an integer, or an array of one or more of those items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ missingUVWList: &amp;variable ]</code></pre><p>If <code>#logmsg</code> is specified as action, the by-reference variable will be filled in with array of strings containing the missing map channel and node name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ unsupportedRenderEffectAction: &lt;actions&gt; ]</code></pre><p>Actions to take on Unsupported Render Effects, where <code>&lt;actions&gt;</code> is: <code>#logmsg</code>, <code>#logToFile</code>, <code>#abort</code>, <code>#default</code> and/or an integer, or an array of one or more of those items. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[ unsupportedRenderEffectList: &amp;variable ]</code></pre><p>If <code>#logmsg</code> is specified as action, the by-reference variable will be filled in with array of the unsupported render effect names. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>See <a href=\"./../Network-Render-Interface/Quiet-Mode.html\">Quiet Mode</a> for details.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>render()</code> function is interruptible mid-frame using the Esc key.</div>\n\
<h2 id=\"renderer-output\">Renderer Output</h2><p>You can invoke the renderer and have it do one or more of four things with the rendered output:</p>\n\
<ul>\n\
<li><p>Display it in a virtual frame buffer (the default), controlled with the <code>vfb:</code> parameter.</p>\n\
</li>\n\
<li><p>Store the rendering in an image file by supplying an <code>outputfile:</code> parameter. The type of image file to be created is determined from the file suffix you specify.</p>\n\
</li>\n\
<li><p>Return the result as a MAXScript Bitmap value that you can perform Bitmap operations on (see the <a href=\"./../../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Bitmap Values</a> topic).</p>\n\
</li>\n\
<li><p>Store the rendering in an existing MAXScript Bitmap value by supplying the <code>to:</code> parameter. Supplying this parameter causes settings such as height, width, aspect, gamma, file name, etc. to be taken from the supplied bitmap.</p>\n\
</li>\n\
</ul>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   render camera:$cam01 outputwidth:320 outputheight:240\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for c in cameras do\n\
   render c outputFile:(c.name + &quot;.bmp&quot;) vfb:off\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout1.image.bitmap = render camera:$cam01\n\
</code></pre></blockquote>\n\
<h2 id=\"memory-management-considerations\">Memory Management Considerations</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> When calling <code>render()</code> inside a loop without assigning the output to an explicit MAXScript Bitmap Value, each call will create a bitmap value which will be kept around until a Garbage Collection is triggered either automatically or manually. Since the MAXScript Heap will store very little data (the pointer to the C++ bitmap data), chances are the automatic garbage collection won&apos;t be triggered before the end of the loop.</p>\n\
<p>To avoid memory problems in this case, the resulting bitmap can be assigned to an explicit MAXScript variable, allowing the manual release of the memory using the <code>close()</code> method.</p>\n\
<p>Alternatively, an empty MAXScript Bitmap Value can be initialized before the loop starts, and the <code>to:</code> keyword can be used to output the render() result to it. The same bitmap value will be reused in each loop iteration.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Scene-Dialog.html\">Render Scene Dialog</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";