var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6171A574-2BEE-4259-8D34-2B31E324020B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Rendered Frame Window and MAXScript</h1></div><p>The <strong>Rendered Frame Window</strong> (a.k.a. Virtual Frame Buffer or VFB) provides <strong>Iterative</strong> and <strong>Production</strong> rendering workflows in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p>The renderer-specific extensions have been implemented using MAXScript.This means that the controls exposed to the top and bottom panel of the Rendered Frame Window can be enhanced or replaced by technical artists and technical directors to facilitate various workflows and 3 rd party renderers using only MAXScript.</p>\n\
<p>The following MAXScript additions provide ways to access the Rendered Frame Window and its properties and register new rollouts in its panels:</p>\n\
<p>Image Viewer DisplayNotifications</p>\n\
<p>Two new notifications have been added to the General Event Callbacks mechanism: <code>#preImageViewerDisplay</code> and <code>#postImageViewerDisplay</code></p>\n\
<p>They are broadcast before and after the Rendered Frame Windows has been opened.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-IVFB.html\">Interface:IVFB</a></p>\n\
<p>The <code>callbacks.notificationParam()</code> method, if executed within the callback script, will return an <strong>IVFB Interface</strong> which provides the properties and methods exposed by the Rendered Frame Window.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   The following example REMOVES the original callbacks defined in the file ..*<em>StdPlugs\\StdScripts\\VFB_Methods.ms*</em> and defines new rollouts for the rollout panels.</p>\n\
<p>   In order to restore the original functionality, evaluate the</p>\n\
<p>   <code>callbacks.removeScripts #preImageViewerDisplay</code></p>\n\
<p>   then run the above-mentioned script to register the original callbacks.</p>\n\
<p>   Alternatively, simply restart <strong>3ds Max</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   global MyFirstVFBLayout --the function needs to be global\n\
   fn MyFirstVFBLayout VFB_Interface = ( --will be called by the callback\n\
   --if the window is a Rendered Frame Window,\n\
   if VFB_Interface.IsFramebuffer do (\n\
   --set all borders to 0 to save screen estate\n\
   VFB_Interface.SetMetric #horzMarginLeft 0\n\
   VFB_Interface.SetMetric #horzMarginCenter 0\n\
   VFB_Interface.SetMetric #horzMarginRight 0\n\
   VFB_Interface.SetMetric #vertMarginTop 0\n\
   VFB_Interface.SetMetric #vertMarginCenter 0\n\
   VFB_Interface.SetMetric #vertMarginBottom 0\n\
   VFB_Interface.SetMetric #minClientWidth 320\n\
   VFB_Interface.SetMetric #minClientHeight 240\n\
   --Definesome stand-in rollouts to display in the three panels:\n\
   rollout theTopLeftRollout &quot;Top Left Rollout&quot; width:200 height:45 (\n\
   dropdownlist ddl_topLeft items:#(&quot;View&quot;,&quot;Region&quot;,&quot;Crop&quot;) width:160\n\
   button btn_topLeft &quot;Top Left Button&quot; width:160 )\n\
   rollout theTopRightRollout &quot;Top Right Rollout&quot; width:200 height:50(\n\
   button btn_topLeft&quot;Top Right Button...&quot;)\n\
   rollout theBottomRollout &quot;Bottom Rollout&quot; width:200 height:22(\n\
   button btn_bottomButton &quot;Bottom Button (Try to say 3 times fast!)&quot;\n\
   )\n\
   --Initialize the top left panel to a size and\n\
   --get its RolloutFloater value back:\n\
   theTopLeftFloater = VFB_Interface.InitRolloutWindow #TopLeft 200 60\n\
   --Add the rollout to the RolloutFloater without borders and tile bar:\n\
   addRollout theTopLeftRollout theTopLeftFloater border:false\n\
   --and enable the visibility of the top left panel:\n\
   VFB_Interface.SetRolloutWindowVisible #TopLeft true\n\
   --Initialize the top right panel to a size and\n\
   --get its RolloutFloater value back:\n\
   theTopRightFloater = VFB_Interface.InitRolloutWindow #TopRight 200 60\n\
   --add the rollout to the RolloutFloater WITH borders and tile bar:\n\
   addRollout theTopRightRollout theTopRightFloater border:true\n\
   --and enable the visibility of the top left panel:\n\
   VFB_Interface.SetRolloutWindowVisible #TopRight true\n\
   --Initialize the bottom panel to a size and\n\
   --get its RolloutFloater value back:\n\
   theBottomFloater = VFB_Interface.InitRolloutWindow #Bottom 400 35\n\
   --add the rollout to the RolloutFloater without borders and tile bar:\n\
   addRollout theBottomRollout theBottomFloater border:false\n\
   --and enable the visibility of the top left panel:\n\
   VFB_Interface.SetRolloutWindowVisible #Bottom true\n\
   VFB_Interface.InitLayout() --finally, initialize the new layout\n\
   )--end if\n\
   )--end fn\n\
   --unregister any related callbacks:\n\
   callbacks.removeScripts #preImageViewerDisplay\n\
   --register a pre-image viewer display callback\n\
   callbacks.addScript #preImageViewerDisplay &quot;MyFirstVFBLayout (callbacks.notificationParam())&quot; id:#ResizeVFBPanels\n\
   )--end script\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-FEDD3A65-6C6F-4096-9351-9ABC8F03D2F2-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Scene-Dialog.html\">Render Scene Dialog</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";