var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-61344DFE-8DA6-4E19-A184-BFD9ED093EFF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Render To Texture Using MAXScript</h1></div><p><strong>Render To Texture</strong> (also known as <strong>Texture Baking</strong>) is a procedure for capturing various aspects of <strong>3ds Max</strong> geometry scene objects&apos; surfaces to bitmaps using the production renderer. The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/RendererClass/Default_Scanline_Renderer.html\">Default Scanline renderer</a> supports this functionality.</p>\n\
<p>The actual <strong>3ds Max Render To Texture tool</strong> available through the <strong>Main Menu&gt;Rendering&gt;Render To Texture</strong> menu item is implemented as a scripted tool. Its source code can be found in the following subfolder of the <strong>3ds Max</strong> installation:</p>\n\
<p><strong>..\\ui\\macroscripts\\Macro_BakeTextures.mcr</strong></p>\n\
<p>In addition, some Render To Texture methods used by the network version of the tool can be found in the file</p>\n\
<p><strong>..\\stdplugs\\stdscripts\\RTT_methods.ms</strong></p>\n\
<h2 id=\"render-to-texture-components\">Render To Texture Components</h2><p>Here is a short overview of the MAXScript classes, interfaces, properties and methods used in the process and how to use them to create your own texture baking tools:</p>\n\
<h3 id=\"bake-elements\">Bake Elements</h3><p>The main object class involved in the texture baking process is the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/BakeElement/Bake-Elements.html\">Bake Element</a>.</p>\n\
<p>It implements an object capable of capturing a specific channel out of the production renderer, for example Diffuse, Lighting, Ambient Occlusion, Normals, Shadows and so on.</p>\n\
<h3 id=\"inodebakeproperties-interface\">INodeBakeProperties Interface</h3><p>The geometry objects whose surfaces will be baked have to be set up for the process using the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">INodeBakeProperties Interface</a> exposed by all scene nodes.</p>\n\
<p>This interface is used to add one or more Bake Elements to specific nodes, enable the baking and control some other related parameters.</p>\n\
<h3 id=\"production-renderer\">Production Renderer</h3><p>The <a href=\"./../Render-Scene-Dialog/Controlling-the-Renderer.html\">production renderer</a>, including the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/RendererClass/Default_Scanline_Renderer.html\">Default Scanline renderer</a>, has to be called via MAXScript in a special mode invoked via</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">render rendertype:#bakeSelected</code></pre><h3 id=\"unwrap-uvw\">Unwrap UVW</h3><p>For the baked texture to be usable, the object being rendered has to provide good texture coordinates without any overlapping.</p>\n\
<p>The Render To Texture script shipping with <strong>3ds Max</strong> provides controls over the automatic application and setup of <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW Modifiers</a> to ensure the texture coordinates are usable for baking. You might have to ensure the same in your own script, unless your object has good UV coordinates to work with.</p>\n\
<h3 id=\"projection-mapping\">Projection Mapping</h3><p>In some cases, especially when generating Normal Maps, the surface being rendered is a high-resolution version of an object, while the target object being mapped is a lower-resolution version. In this case, the texture coordinates of the low-resolution object have to be generated by projecting from the high-resolution one.</p>\n\
<p>The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-15.html\">Interface: INodeBakeProjProperties</a>, the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Projection-Mapping-Modifiers/Projection-Modifier.html\">Projection Modifier</a> and the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Projection-Mapping-Modifiers/Project_Mapping-ReferenceTarget.html\">Project_Mapping ReferenceTarget</a> are the main elements of the Projection Mapping system of <strong>3ds Max</strong>.</p>\n\
<h3 id=\"shell-material\">Shell Material</h3><p>The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/Shell_Material-Material.html\">Shell Material</a> has been specifically designed to be used together with the Render To Texture tools. It can hold two different materials, typically the original material and the baked material. Either one can be used in the Viewport or in the Renderer.</p>\n\
<h2 id=\"developing-a-simple-render-to-texture-script\">Developing a Simple Render To Texture Script</h2><p>The following example shows the basic steps to create a custom Render To Texture script.</p>\n\
<p>The script creates a simple scene containing a textured sphere on a textured plane lit by a shadow-casting omni light.</p>\n\
<p>Then it bakes the Diffuse and Lighting Elements of both objects to TGA files on disk and creates a Shell Material containing the old material in the one slot and the baked material in the other.</p>\n\
<p>The Baked material uses a Composite map to combine the diffuse and the lighting information into a single diffuse map.</p>\n\
<p>In this simple case, the texture coordinates of both objects are procedurally generated by the geometry primitives and are usable for baking. Also, no projection mapping is required in this simple case.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn BakeDiffuseAndLighting obj size =\n\
   (\n\
   --Clear all render elements \n\
   obj.iNodeBakeProperties.removeAllBakeElements() \n\
   --Preparing the Bake Elements:\n\
   be1 = diffusemap() --instance of the bake element class\n\
   be1.outputSzX = be1.outputSzY = size --set the size of the baked map\n\
   --specifythe full file path, name and type:\n\
   be1.fileType = (getDir #image+&quot;\\\\&quot;+obj.name+&quot;_diffuse.tga&quot;)\n\
   be1.fileName = filenameFromPath be1.fileType\n\
   be1.filterOn = true --enable filtering\n\
   be1.shadowsOn = false --disable shadows\n\
   be1.lightingOn = false --disable lighting\n\
   be1.enabled = true --enable baking\n\
   be2 = LightingMap() -- instance of the bake element class\n\
   be2.outputSzX =be2.outputSzY = size --set the size of the baked map\n\
   --specifythe full file path, name and type:\n\
   be2.fileType = (getDir #image+&quot;\\\\&quot;+obj.name+&quot;_lighting.tga&quot;)\n\
   be2.fileName = filenameFromPath be2.fileType\n\
   be2.filterOn = true --enable filtering\n\
   be2.shadowsOn =true --enable shadows\n\
   be2.enabled = true --enable baking\n\
   --Preparing theobjectfor baking:\n\
   obj.INodeBakeProperties.addBakeElement be1 --add first element\n\
   obj.INodeBakeProperties.addBakeElement be2 --add second element\n\
   obj.INodeBakeProperties.bakeEnabled = true --enabling baking\n\
   obj.INodeBakeProperties.bakeChannel = 1 --channel to bake\n\
   obj.INodeBakeProperties.nDilations = 1 --expand the texturea bit\n\
   select obj --we are baking the selection, so we select the object\n\
   --Call the renderer to bake both elements:\n\
   render rendertype:#bakeSelected vfb:off progressBar:true outputSize:[size,size]\n\
   theComp = CompositeTextureMap() --create a composite map\n\
   theComp.add() --add a second layer\n\
   theComp.blendMode = #(0,5) --set second layer to Multiply \n\
   --Create two maps, one with the diffuse, one with the lighting map\n\
   theMap1 =bitmaptexture filename:be1.fileType\n\
   theMap2=bitmaptexture filename:be2.fileType\n\
   theComp.mapList = #(theMap1,theMap2) --composite the two maps\n\
   theComp.opacity = #(100,70) --set the lighting map to 70% opacity\n\
   --Create a standard self-illum material using the Composite map\n\
   bakedMat = standard diffusemap:theComp selfIllumAmount:100\n\
   --Assign a Shell Material to the object,\n\
   --keep the old material as original material,\n\
   --set the new bakedMat as the baked material:\n\
   obj.material = Shell_Material originalMaterial:obj.material\\\n\
   bakedMaterial:bakedMat viewportMtlIndex:1 renderMtlIndex:1\n\
   --Show the textures of the baked material in the viewport\n\
   showTextureMap obj.material obj.material.bakedMaterial true\n\
   )--end fn\n\
   resetMaxFile #noprompt--reset the scene to start from scratch\n\
   --Create a shadow casting white Omni light\n\
   theLight = omniLight pos:[0,-60,100] rgb:white\n\
   theLight.baseobject.castshadows = true\n\
   --Create a mapped sphere object above the ground plane\n\
   theObject = Sphere segs:32 mapcoords:true pos:[0,0,25]\n\
   --Create a Cellular map and assign via Standard material to object\n\
   theMap = cellular cellColor:blue divColor1:red divColor2:yellow size:15\n\
   theObject.material = standard diffusemap:theMap\n\
   --Call the Bake function with the object and the desired size\n\
   BakeDiffuseAndLighting theObject 256\n\
   --Create a mappedplaneobjecton theground plane\n\
   theObject = Plane width:200 length:200 mapcoords:true\n\
   --Create a checker map and set the tiling to 4x4, then assign to object\n\
   theMap = checker Color1:green Color2:orange\n\
   theMap.coordinates.uTiling = theMap.coordinates.vTiling = 4\n\
   theObject.material = standard diffusemap:theMap\n\
   --Call the Bake function with the object and the desired size\n\
   BakeDiffuseAndLighting theObject 256\n\
   --Delete the light from the scene and deselect everything\n\
   delete theLight\n\
   max select none\n\
</code></pre><p>   <strong>RESULTS</strong></p>\n\
<p>   After running the script, the following four baked textures will be written to the Images folder and will appear on the scene objects in the viewports:</p>\n\
<p>   <img src=\"./images/GUID-FF0F53D5-EE97-47A9-AF27-694AC2FF4560-low.gif\" alt> <img src=\"./images/GUID-45F90F71-AE5C-45FC-832A-E2580C954135-low.gif\" alt></p>\n\
<p>   <img src=\"./images/GUID-9E043D54-9F4C-467C-8FE5-B1957AC096D9-low.gif\" alt> <img src=\"./images/GUID-95AFC7E6-E364-46E0-9FD1-C2FEF4922189-low.gif\" alt></p>\n\
<p>   <img src=\"./images/GUID-22F2E537-1BD7-40A2-B9C6-8DF33DA01B87-low.gif\" alt></p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-To-Texture.html\">Render To Texture</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/BakeElement/Bake-Elements.html\">Bake Elements</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">Interface : INode</a></li>\n\
          <li><a class=\"link\" href=\"../Network-Render-Interface/RTT_Methods-Render-To-Texture.html\">RTT_Methods : Render To Texture Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";