var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A2F530D0-628D-48DA-A126-6752A525E1FF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>State Sets MAXScript Access</h1></div><p>The State Sets render pass management system was first introduced in the <strong>Subscription Advantage Pack</strong> extension to <strong>3ds Max 2012</strong> and is now integral part of <strong>3ds Max 2013 and higher</strong>. In <strong>3ds Max 2018 and higher</strong>, the compositing editor is a node-based system.</p>\n\
<p>This feature is exposed to MAXScript via a DotNet object and its properties and methods.</p>\n\
<p>The following example shows the basic steps involved in accessing and manipulating State Sets.</p>\n\
<blockquote>\n\
<p>   <strong>Getting Access To State Sets</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   stateSetsDotNetObject = dotNetObject &quot;Autodesk.Max.StateSets.Plugin&quot; --Get StateSets dotNet object. \n\
   stateSets = stateSetsDotNetObject.Instance --Get the state sets instance from the dotNet object. \n\
</code></pre><p>   <strong>Opening and closing State Sets window</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   stateSets.ShowMainFrame() --Open the State Sets window. \n\
   stateSets.HideMainFrame() --Close the State Sets window. \n\
</code></pre><p>   <strong>Getting access to the Master state</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   masterState = stateSets.EntityManager.RootEntity.MasterStateSet</code></pre><p>   <strong>Adding and renaming a new state set</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   stateSet = masterState.AddState()\n\
   stateSet.Name = &quot;MyStateSet&quot;\n\
   masterState.AssignUniqueName stateSet &quot;MyMasterStateset&quot; --Assigns a unique name to the state set \n\
</code></pre><p>   <strong>Changing current state set, starting, and ending recording</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   previousCurrentStateSet = masterState.CurrentState.Items[0] --Record current state set.\n\
   masterState.CurrentState = #(stateSet) --Assign current state set. \n\
   stateSet.BeginRecording() --Begin recording state set.  \n\
   stateSet.EndRecording() --End recording state set. \n\
   masterState.CurrentState = #(previousCurrentStateSet) --Assign previous state set. \n\
</code></pre><p>   <strong>Adding and rendering a child sub-state set, and doing other operations</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   subStateSet = stateSet.AddState()\n\
   subStateSet = stateSet.Render #(stateSet) --Render state set, note that we specify a path because this state set could be located under multiple parents.\n\
\n\
   scriptedState = stateSet.AddScriptedState(false) --Add a scripted state. \n\
   scriptedState.ApplyScript = &quot;-- MaxScript executed when applying state set&quot; --Assign the apply script.\n\
   scriptedState.RevertScript = &quot;-- MaxScript executed when reverting state set&quot; --Assign the revert script. \n\
   stateSet.CreateTemplate() --Create a template for this state set  \n\
</code></pre><p>   <strong>Deleting state set and first child</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   masterState.RemoveChild stateSet --Removes the state set \n\
   masterState.RemoveChild masterState.Children.Item[0] --Removes the first child\n\
</code></pre><p>   <strong>Adding a compositor view</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   masterState.CreateCompositingView true --Add compositor view with render elements\n\
   masterState.CreateCompositingView false --Add compositor view without render elements\n\
</code></pre><p>   <strong>Getting the nodes in the active compositor view</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   cViewNodes = stateSets.CompositingViewNodes\n\
\n\
   for i in 0 to (cViewNodes.Count - 1 ) do (\n\
       node = cViewNodes.Item(i)\n\
       node.Collapsed = true\n\
       print node.Tag.Name    \n\
   )\n\
</code></pre><p>   <strong>Rendering all state sets in the scene</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   masterState.RenderAllStates()</code></pre><p>   <strong>Getting access to objects state set</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   objectStateSet = masterState.ObjectStateSet</code></pre></blockquote>\n\
<p>All properties and methods of all DotNet objects and classes implemented by the State Sets system are accessible to MAXScript using the DotNet inspector functions.</p>\n\
<blockquote>\n\
<p>   <strong>Exploring State Set Plugin Instance</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   stateSetsDotNetObject = dotNetObject &quot;Autodesk.Max.StateSets.Plugin&quot;\n\
   dotNetObject:Autodesk.Max.StateSets.Plugin\n\
\n\
   stateSets = stateSetsDotNetObject.Instance\n\
   dotNetObject:Autodesk.Max.StateSets.Plugin\n\
\n\
   showProperties stateSets\n\
     .AbsentLayerStatesWereRemovedOnLoad : &lt;System.Boolean&gt;\n\
     .ActiveViewId : &lt;System.UInt16&gt;\n\
     .BitmapInfos : &lt;System.Collections.Generic.Dictionary`2[System.Int32,Autodesk.Max.IBitmapInfo]&gt;, read-only\n\
     .ClassDescManager : &lt;Autodesk.Max.StateSets.ClassDescManager&gt;, read-only\n\
     .CompositingView : &lt;Ephere.Gui.NodeViews.NodeView&gt;, read-only\n\
     .CompositingViewNodes : &lt;System.Collections.Generic.IList`1[Ephere.Gui.NodeViews.NodeView+Node]&gt;, read-only\n\
     .CompositorLink : &lt;Autodesk.Max.StateSets.CompositorLink.CompositorLinkSettingsController&gt;, read-only\n\
     .CompositorLinkTargetViewId : &lt;System.UInt16&gt;\n\
     .Configuration : &lt;Autodesk.Max.StateSets.Configuration&gt;\n\
     .EntityManager : &lt;Autodesk.Max.StateSets.Entities.EntityManager&gt;, read-only\n\
     .Global : &lt;Autodesk.Max.IGlobal&gt;\n\
     .GlobalStringFormat : &lt;System.Drawing.StringFormat&gt;, read-only\n\
     .HasRenderPreviewNode : &lt;System.Boolean&gt;, read-only\n\
     .Instance : &lt;Autodesk.Max.StateSets.Plugin&gt;, static\n\
     .InvokeRequired : &lt;System.Boolean&gt;, read-only\n\
     .IsInSequencerMode : &lt;System.Boolean&gt;\n\
     .IsMainFrameInitialized : &lt;System.Boolean&gt;, read-only\n\
     .IsMainFrameVisible : &lt;System.Boolean&gt;\n\
     .LoadedVersion : &lt;System.Version&gt;\n\
     .MainFrameBounds : &lt;System.Drawing.Rectangle&gt;\n\
     .NodeEvents : &lt;Autodesk.Max.StateSets.Plugin+NodeEventCallback&gt;, read-only\n\
     .OpenViewCount : &lt;System.Int32&gt;, read-only\n\
     .PluginWasRegistered : &lt;System.Boolean&gt;\n\
     .PreviewRenderNode : &lt;Autodesk.Max.IINode&gt;, read-only\n\
     .SequencerTreeView : &lt;Ephere.Gui.NodeViews.NodeView&gt;, read-only\n\
     .Skin : &lt;Ephere.Gui.NodeViews.Skin&gt;, read-only\n\
     .Sync : &lt;System.ComponentModel.ISynchronizeInvoke&gt;\n\
     .ToolbarTreeView : &lt;Ephere.Gui.NodeViews.NodeView&gt;, read-only\n\
     .TreeView : &lt;Ephere.Gui.NodeViews.NodeView&gt;, read-only\n\
     .TreeViews : &lt;Ephere.Gui.NodeViews.NodeView[]&gt;, read-only\n\
     .accumCallbacks : &lt;System.Int32[]&gt;\n\
   true\n\
\n\
   showMethods stateSets\n\
     .&lt;System.Int32&gt;AccumCallbackCount &lt;Autodesk.Max.StateSets.Plugin+AccumCallbackType&gt;type\n\
     .AccumCallbackIncrement &lt;Autodesk.Max.StateSets.Plugin+AccumCallbackType&gt;type\n\
     .AccumCallbackIncrement &lt;Autodesk.Max.StateSets.Plugin+AccumCallbackType&gt;type &lt;System.Int32&gt;n\n\
     .AccumCallbackReset &lt;Autodesk.Max.StateSets.Plugin+AccumCallbackType&gt;type\n\
   -- Added in 3ds Max 2018:\n\
     .&lt;Ephere.Gui.NodeViews.NodeView&gt;AddTreeView()\n\
     .&lt;System.IAsyncResult&gt;BeginInvoke &lt;System.Delegate&gt;method &lt;System.Object[]&gt;args\n\
     .Cleanup()\n\
     .&lt;T&gt;CreateInstance()\n\
     .&lt;System.Runtime.Remoting.ObjRef&gt;CreateObjRef &lt;System.Type&gt;requestedType\n\
     .&lt;System.Object&gt;EndInvoke &lt;System.IAsyncResult&gt;result\n\
     .&lt;System.Boolean&gt;Equals &lt;System.Object&gt;obj\n\
     .[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
     .&lt;System.Int32&gt;GetHashCode()\n\
     .&lt;System.Object&gt;GetLifetimeService()\n\
     .&lt;System.Type&gt;GetType()\n\
     .&lt;System.Int32&gt;GetUniqueBitmapInfoId()\n\
     .HideMainFrame()\n\
     .Initialize &lt;Autodesk.Max.IGlobal&gt;global &lt;System.ComponentModel.ISynchronizeInvoke&gt;sync\n\
     .&lt;System.Object&gt;InitializeLifetimeService()\n\
     .&lt;System.Object&gt;Invoke &lt;System.Delegate&gt;method &lt;System.Object[]&gt;args\n\
     .&lt;Autodesk.Max.IValue&gt;LaunchBlank &lt;Autodesk.Max.IValue[]&gt;args\n\
     .[static]Log &lt;Autodesk.Max.StateSets.Plugin+LogType&gt;logType &lt;System.String&gt;message\n\
     .[static]Log &lt;System.String&gt;message &lt;System.Boolean&gt;newLine\n\
     .LogLocal &lt;Autodesk.Max.StateSets.Plugin+LogType&gt;logType &lt;System.String&gt;message\n\
     .PreviewRenderNodeReset()\n\
     .[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
     .RegisterAnchorCallbacks()\n\
     .ReloadConfiguration()\n\
     .ResetAndDelete()\n\
     .ResetConfiguration()\n\
     .ResetNodeEventCallbackMessages()\n\
     .ShowMainFrame()\n\
     .&lt;Autodesk.Max.StateSets.Entities.StateSets.SetupRenderOutputs&gt;ShowSetupRenderOutputsPanel()\n\
     .ToggleMainFrame()\n\
     .&lt;System.String&gt;ToString()\n\
     .TriggerNodeEventCallbackMessages()\n\
     .UnRegisterAnchorCallbacks()true\n\
   true\n\
\n\
   showEvents stateSets\n\
      CameraSequencerModeChanged &lt;System.Boolean&gt;obj = ( ... )\n\
      CurrentLayerChanged &lt;Autodesk.Max.IILayer&gt;obj = ( ... )\n\
      CurrentStateSetChanged &lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet&gt;obj = ( ... )\n\
      ScenePostSave = ( ... )\n\
      StateApplied &lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet&gt;arg1 &lt;System.Boolean&gt;arg2 = ( ... )\n\
      StateRecording &lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet&gt;arg1 &lt;System.Boolean&gt;arg2 = ( ... )\n\
      StateSetAdded &lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet&gt;obj = ( ... )\n\
      StateSetChanged &lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet&gt;obj = ( ... )\n\
      StateSetRemoved &lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet&gt;obj = ( ... )\n\
      StateSetRenamed &lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet&gt;obj = ( ... )\n\
      TimeChange &lt;System.Int32&gt;obj = ( ... )\n\
      TimeRangeChanged = ( ... )\n\
   true\n\
</code></pre><p>   <strong>Exploring MasterStateSet</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    showProperties stateSets.EntityManager .RootEntity : &lt;Autodesk.Max.StateSets.Entities.Root&gt;\n\
   true\n\
\n\
   showProperties stateSets.EntityManager.RootEntity\n\
     .AutomaticName : &lt;System.String&gt;\n\
     .AutomaticTypeName : &lt;System.String&gt;\n\
     .Children : &lt;System.Collections.Generic.List`1[Autodesk.Max.StateSets.Entities.Entity]&gt;\n\
     .CustomAttributes : &lt;System.Collections.Hashtable&gt;, read-only\n\
     .CustomChildren : &lt;System.Collections.Generic.List`1[Autodesk.Max.StateSets.Entities.Entity]&gt;\n\
     .Description : &lt;System.String&gt;\n\
     .DynamicInsertTarget : &lt;System.Boolean&gt;\n\
     .HierarchyIndex : &lt;System.Int32&gt;, read-only\n\
     .InternalName : &lt;System.String&gt;, read-only\n\
     .MasterStateSet : &lt;Autodesk.Max.StateSets.Entities.StateSets.Master&gt;, read-only\n\
     .Name : &lt;System.String&gt;\n\
     .Parents : &lt;Autodesk.Max.StateSets.Entities.Entity[]&gt;, read-only\n\
     .TypeName : &lt;System.String&gt;\n\
     .UseNameForTypeName : &lt;System.Boolean&gt;, read-only\n\
     .CustomChildrenToken : &lt;System.String&gt;, read-only, static \n\
   true\n\
\n\
   showProperties stateSets.EntityManager.RootEntity.MasterStateSet\n\
     .AutomaticName : &lt;System.String&gt;, read-only\n\
     .AutomaticTypeName : &lt;System.String&gt;\n\
     .Children : &lt;System.Collections.Generic.List`1[Autodesk.Max.StateSets.Entities.Entity]&gt;\n\
     .CompositorLinkFilePath : &lt;System.String&gt;\n\
     .CurrentState : &lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet[]&gt;\n\
     .CustomAttributes : &lt;System.Collections.Hashtable&gt;, read-only\n\
     .CustomChildren : &lt;System.Collections.Generic.List`1[Autodesk.Max.StateSets.Entities.Entity]&gt;\n\
     .DefaultRenderOutputFilePattern : &lt;System.String&gt;, read-only, static\n\
     .DescendantStateCount : &lt;System.Int32&gt;, read-only\n\
     .Description : &lt;System.String&gt;, read-only\n\
     .DynamicInsertTarget : &lt;System.Boolean&gt;\n\
     .HierarchyIndex : &lt;System.Int32&gt;, read-only\n\
     .InternalName : &lt;System.String&gt;, read-only\n\
     .Name : &lt;System.String&gt;\n\
     .ObjectStateSet : &lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet&gt;, read-only\n\
     .Parents : &lt;Autodesk.Max.StateSets.Entities.Entity[]&gt;, read-only\n\
     .RenderOutputFilePattern : &lt;System.String&gt;\n\
     .StatesWithErrors : &lt;System.Collections.Generic.ICollection`1[Autodesk.Max.StateSets.Entities.StateSets.IState]&gt;, read-only\n\
     .TypeName : &lt;System.String&gt;\n\
     .UseNameForTypeName : &lt;System.Boolean&gt;, read-only\n\
     .CustomChildrenToken : &lt;System.String&gt;, read-only, static\n\
     .StateNameToken : &lt;System.String&gt;, read-only, static\n\
   true\n\
\n\
   showMethods stateSets.EntityManager.RootEntity.MasterStateSet\n\
     .&lt;Autodesk.Max.StateSets.Entities.Entity&gt;AddChild &lt;Autodesk.Max.StateSets.Entities.Entity&gt;entity &lt;System.Boolean&gt;wasAutoGenerated\n\
     .&lt;Autodesk.Max.StateSets.Entities.Entity&gt;AddChild &lt;Autodesk.Max.StateSets.Entities.Entity&gt;entity &lt;System.Boolean&gt;wasAutoGenerated &lt;System.Boolean&gt;broadcastEvent\n\
     .AddObjectState()\n\
     .AddObjectState &lt;System.Nullable`1[[System.UInt16, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089]]&gt;targetViewId\n\
     .&lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet&gt;AddState()\n\
     .&lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet&gt;AddState &lt;System.Nullable`1[[System.UInt16, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089]]&gt;targetViewId &lt;System.Boolean&gt;addToCompositorView\n\
     .AssignUniqueName &lt;Autodesk.Max.StateSets.Entities.Entity&gt;state &lt;System.String&gt;baseName\n\
     .BeginRecordingStateSet &lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet&gt;stateSet &lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet[]&gt;path\n\
     .CheckForStateErrors()\n\
     .CollectDescendantStateSets &lt;System.Collections.Generic.List`1[[Autodesk.Max.StateSets.Entities.StateSets.StateSet, Autodesk.Max.StateSets, Version=20.0.966.0, Culture=neutral, PublicKeyToken=null]]&gt;destination\n\
     .CollectDescendantsWithCustomAttribute &lt;System.Object&gt;customAttribute &lt;System.Collections.Generic.List`1[[Autodesk.Max.StateSets.Entities.Entity, Autodesk.Max.StateSets, Version=20.0.966.0, Culture=neutral, PublicKeyToken=null]]&gt;destination\n\
     .CreateCompositingView &lt;System.Boolean&gt;includeRenderElements\n\
     .&lt;System.Runtime.Remoting.ObjRef&gt;CreateObjRef &lt;System.Type&gt;requestedType\n\
     .&lt;Autodesk.Max.StateSets.Entities.StateSets.IParameter&gt;CreateUserCreatableParameter &lt;System.String&gt;name\n\
     .DefaultSetup()\n\
     .Dispose()\n\
     .&lt;System.Boolean&gt;Equals &lt;System.Object&gt;obj\n\
     .[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
     .GenerateChildrenForTarget &lt;Autodesk.Max.StateSets.Entities.Entity&gt;target\n\
     .&lt;Autodesk.Max.StateSets.Entities.Entity&gt;GetChild &lt;System.String&gt;name\n\
     .&lt;T&gt;GetCustomAttribute &lt;System.Object&gt;key &lt;T&gt;defaultValue\n\
     .&lt;System.Boolean&gt;GetCustomAttributeBoolean &lt;System.Object&gt;key\n\
     .&lt;Autodesk.Max.StateSets.Entities.Entity&gt;GetDescendant &lt;System.String&gt;name\n\
     .&lt;Autodesk.Max.StateSets.Entities.Entity&gt;GetDescendant &lt;System.Collections.Generic.List`1[[System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089]]&gt;hierarchyIndex\n\
     .&lt;System.Collections.Generic.IEnumerable`1[Autodesk.Max.StateSets.Entities.Entity]&gt;GetDescendants()\n\
     .&lt;System.Int32&gt;GetDescendantStateSetIndex &lt;System.Collections.Generic.IEnumerable`1[[Autodesk.Max.StateSets.Entities.StateSets.StateSet, Autodesk.Max.StateSets, Version=20.0.966.0, Culture=neutral, PublicKeyToken=null]]&gt;stateSetPath\n\
     .&lt;System.Collections.Generic.List`1[Autodesk.Max.StateSets.Entities.StateSets.StateSet[]]&gt;GetDescendantStateSetPaths &lt;System.Boolean&gt;includeObjectStateSet\n\
     .&lt;System.Int32&gt;GetHashCode()\n\
     .&lt;System.Collections.Generic.List`1[System.String]&gt;GetHierarchyIndex &lt;Autodesk.Max.StateSets.Entities.Entity&gt;descendant\n\
     .&lt;System.Object&gt;GetLifetimeService()\n\
     .GetObjectData &lt;System.Runtime.Serialization.SerializationInfo&gt;info &lt;System.Runtime.Serialization.StreamingContext&gt;context\n\
     .&lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet&gt;GetStateById &lt;System.Int32&gt;id\n\
     .&lt;System.Type&gt;GetType()\n\
     .&lt;System.String[]&gt;GetUserCreatableParameterNames()\n\
     .&lt;System.Boolean&gt;HasCustomAttribute &lt;System.Object&gt;key\n\
     .&lt;System.Boolean&gt;HasDescendant &lt;Autodesk.Max.StateSets.Entities.Entity&gt;descendant &lt;System.Collections.Generic.HashSet`1[[Autodesk.Max.StateSets.Entities.Entity, Autodesk.Max.StateSets, Version=20.0.966.0, Culture=neutral, PublicKeyToken=null]]&gt;ignoreParents\n\
     .&lt;System.Boolean&gt;HasDescendant &lt;Autodesk.Max.StateSets.Entities.Entity&gt;descendant &lt;Autodesk.Max.StateSets.Entities.Entity[]&gt;ignoreParents\n\
     .&lt;System.Object&gt;InitializeLifetimeService()\n\
     .&lt;Autodesk.Max.StateSets.Entities.Entity&gt;InsertChild &lt;System.Int32&gt;index &lt;Autodesk.Max.StateSets.Entities.Entity&gt;entity\n\
     .&lt;Autodesk.Max.StateSets.Entities.Entity&gt;InsertChild &lt;System.Int32&gt;index &lt;Autodesk.Max.StateSets.Entities.Entity&gt;entity &lt;System.Boolean&gt;wasAutoGenerated &lt;System.Boolean&gt;broadcastEvent\n\
     .InvalidateChildren()\n\
     .&lt;System.Boolean&gt;IsDescendantOf &lt;Autodesk.Max.StateSets.Entities.Entity&gt;ancestor\n\
     .[static]maxnrAssignStateSetJob &lt;System.Int32[]&gt;stateSetsHandles &lt;System.Int32&gt;numHandles\n\
     .&lt;System.Boolean&gt;OnCreateChildForIndex &lt;System.String&gt;index &lt;Autodesk.Max.IRepresentation&gt;target\n\
     .[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
     .Refresh()\n\
     .RemoveChild &lt;Autodesk.Max.StateSets.Entities.Entity&gt;entity\n\
     .RemoveChild &lt;Autodesk.Max.StateSets.Entities.Entity&gt;entity &lt;System.Boolean&gt;entityChange\n\
     .RemoveChild &lt;Autodesk.Max.StateSets.Entities.Entity&gt;entity &lt;System.Boolean&gt;entityChange &lt;System.Boolean&gt;broadcastEvent\n\
     .RemoveCustomAttribute &lt;System.Object&gt;key\n\
     .&lt;System.Boolean&gt;Rename &lt;System.String&gt;newName\n\
     .RenderAllStates &lt;System.Boolean&gt;forceNetworkRender\n\
     .RenderStates &lt;System.Collections.Generic.IEnumerable`1[[System.Collections.Generic.IEnumerable`1[[Autodesk.Max.StateSets.Entities.StateSets.StateSet, Autodesk.Max.StateSets, Version=20.0.966.0, Culture=neutral, PublicKeyToken=null]], mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089]]&gt;stateSetPaths &lt;System.Boolean&gt;useNetworkRender\n\
     .Reset()\n\
     .ResetCompositingView &lt;System.Boolean&gt;includeRenderElements\n\
     .SetCurrentStateSet &lt;Autodesk.Max.StateSets.Entities.StateSets.StateSet[]&gt;path\n\
     .SetCustomAttribute &lt;System.Object&gt;key &lt;T&gt;value\n\
     .SetCustomAttributeBoolean &lt;System.Object&gt;key &lt;System.Boolean&gt;value\n\
     .SetupRenderOutputsPath &lt;System.String&gt;value\n\
     .&lt;System.String&gt;ToString()\n\
     .UpdateHierarchyParents()\n\
   true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../State-Sets.html\">State Sets</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";