var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-49AC1816-93C7-452E-BD30-62066AB038B7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Time Control</h1></div><p>The following methods and <strong>3ds Max</strong> system global variables are associated with the <strong>3ds Max</strong> Time Controls:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animButtonEnabled</code></pre><p>A Boolean value that specifies whether the user can change the state of the Auto Key button.</p>\n\
<p>If set to True, the user can change the Auto Key button state.</p>\n\
<p>If set to False, the user cannot change the Auto Key button state.</p>\n\
<p>A script can change the state of the Auto Key button using animButtonState regardless of the animButtonEnabled value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animButtonState</code></pre><p>Lets you to get and set the state of the Auto Key button as a Boolean value.</p>\n\
<p>When set to True, the Auto Key button is on and changing scene objects will create animation keys.</p>\n\
<p>When set to False, the Auto Key button is off.</p>\n\
<p><strong>HISTORY:</strong> In the early 3ds Max versions, there was no Set Key mode and the Auto Key button was called the Animate button.The name is still used for compatibility reasons.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animateMode</code></pre><p>Lets you to get and set the animate mode without affecting the Auto Key button state. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>When set to True, changing object properties will set animation keys, but the Auto Key button will not be checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sliderTime</code></pre><p>Lets you get and set a Time value that defines the time associated with the <strong>3ds Max</strong> time slider.</p>\n\
<p>Two functions are provided for starting and stopping the <strong>3ds Max</strong> animation playback, which are essentially equivalent to pressing the Play button in the <strong>3ds Max</strong> user interface.</p>\n\
<p>The functions are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">playAnimation [ #selOnly ] immediateReturn:&lt;boolean&gt;\n\
\n\
stopAnimation()</code></pre><p>If you specify the optional argument, <code>#selOnly</code> , to <code>playAnimation()</code> only the currently selected objects are animated.</p>\n\
<p>If <code>immediateReturn</code> is set to False or not specified, and Real Time Playback is on ( <code>realTimePlayback = true</code> ), the method does not return until animation playback is stopped.</p>\n\
<p>If <code>immediateReturn</code> is set to True, or Real Time Playback is off ( <code>realTimePlayback = false</code> ), the method returns immediately.</p>\n\
<p>There is an important restriction to understand when using these functions:</p>\n\
<p>Calling <code>playAnimation()</code> is a thread-blocking call internally in <strong>3ds Max</strong> and does not return until the playback is stopped by the user clicking the Stop Play button or another thread executing a <code>stopAnimation()</code> .</p>\n\
<p>The only way to achieve the latter in MAXScript currently is to call <code>stopAnimation()</code> from a scripted rollout panel handler such as a button press handler or from a scripted controller script.</p>\n\
<p>If you invoke <code>playAnimation()</code> in code run from the Listener, you will not be able to invoke <code>stopAnimation()</code> from the Listener because the Listener is blocked inside the <code>playAnimation()</code> call.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isAnimPlaying()</code></pre><p>Returns True if the animation is currently playing, False otherwise.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p>Also see <a href=\"Time-Configuration-Dialog.html\">Time Configuration Dialog</a> for methods for setting options in the Time Configuration dialog.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Time-Control.html\">Time Control</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";