var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DB50F450-C3D1-47A5-98A2-A34601710034\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Units Struct - Accessing System and Display Units</h1></div><p>The Units struct provides access to system global variables and some methods to get and set the System Units scale, type, and Display Units.</p>\n\
<p><strong>System Globals:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.DisplayType</code></pre><p>Gets/sets the current unit display type as a <code>&lt;name&gt;</code>.</p>\n\
<p>Valid unit display types are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Generic #Metric #US #custom</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.MetricType</code></pre><p>Gets/sets the current metric unit display type as a <code>&lt;name&gt;</code>.</p>\n\
<p>Valid metric unit display types are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Millimeters #Centimeters #Meters #Kilometers</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.USType</code></pre><p>Gets/sets the current US standard unit display type as a <code>&lt;name&gt;</code>.</p>\n\
<p>Valid US standard unit display types are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Frac_In #Dec_In #Frac_Ft #Dec_Ft #Ft_Frac_In #Ft_Dec_In</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.USFrac</code></pre><p>Gets/sets the current US fraction display type as a <code>&lt;name&gt;</code>.</p>\n\
<p>Valid US fraction display types are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Frac_1_1 #Frac_1_2 #Frac_1_4 #Frac_1_8 #Frac_1_10 #Frac_1_16 #Frac_1_32 #Frac_1_64 #Frac_1_100 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.CustomName </code></pre><p>Gets/sets the current custom unit name as a <code>&lt;string&gt;</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.CustomValue </code></pre><p>Gets/sets the current custom unit value as a <code>&lt;float&gt;</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.CustomUnit </code></pre><p>Gets/sets the current custom unit type as a <code>&lt;name&gt;</code>.</p>\n\
<p>Valid custom unit display types are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Inches #Feet #Miles #Millimeters #Centimeters #Meters #Kilometers </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.SystemScale </code></pre><p>Gets/sets the current system unit scale value as a <code>&lt;float&gt;</code>.</p>\n\
<p>This is the value shown in Customize Units Setup &gt; System Units Setup &gt; System Units Scale group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.SystemType</code></pre><p>Gets/sets the current system unit scale type as a <code>&lt;name&gt;</code>.</p>\n\
<p>This is the unit shown in Customize &gt; Units Setup &gt; System Units Setup &gt; System Units Scale group.</p>\n\
<p>Valid system unit scale types are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Inches #Feet #Miles #Millimeters #Centimeters #Meters #Kilometers </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.formatValue &lt;float&gt; </code></pre><p>Returns a <code>&lt;string&gt;</code> value representing the <code>&lt;float&gt;</code> in the current unit scale.</p>\n\
<p>This method can cause a string overflow, especially when the units are set to miles or kilometers.</p>\n\
<p>If an overflow occurs a run-time error is thrown.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   units.DisplayType = #Generic\n\
   --&gt;#Generic\n\
   units.SystemType = #inches\n\
   --&gt;#inches\n\
   units.formatValue 123.45\n\
   --&gt;&quot;123.45&quot;\n\
   units.DisplayType = #Metric\n\
   --&gt;#metric\n\
   units.MetricType = #meters\n\
   --&gt;#meters\n\
   units.formatValue 123.45\n\
   --&gt;&quot;3.136m&quot;\n\
   units.MetricType = #centimeters\n\
   --&gt;#centimeters\n\
   units.formatValue 123.45\n\
   --&gt;&quot;313.563cm&quot;\n\
   units.DisplayType = #US\n\
   --&gt;#us\n\
   units.USType = #ft_Frac_In\n\
   --&gt;#ft_Frac_In\n\
   units.formatValue 123.45\n\
   --&gt;&quot;10&apos;3 14/32&quot;&quot;\n\
   units.USType = #Dec_Ft\n\
   --&gt;#dec_Ft\n\
   units.formatValue 123.45\n\
   --&gt;&quot;10.287&apos;&quot;\n\
   units.DisplayType = #Custom\n\
   --#custom\n\
   units.formatValue 123.45\n\
   --&gt;&quot;0.016FL&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">units.decodeValue &lt;string&gt; </code></pre><p>Parses <code>&lt;string&gt;</code> using the current unit settings and returns a <code>&lt;float&gt;</code>.</p>\n\
<p>A run-time error is thrown if an error occurs in the parsing of the string.</p>\n\
<p>This is the inverse function of <code>units.formatValue()</code> described above.</p>\n\
<p>The back and forth conversion of values can lead to precision loss due to rounding errors.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   units.DisplayType = #Generic\n\
   --&gt;#Generic\n\
   units.decodeValue &quot;3.136m&quot;\n\
   --&gt;123.465\n\
   units.decodeValue &quot;313.563cm&quot;\n\
   --&gt;123.45\n\
   units.decodeValue &quot;10&apos;3 14/32\\&quot;&quot;\n\
   --&gt;123.438\n\
   units.decodeValue &quot;10.287&apos;&quot;\n\
   --&gt;123.444\n\
   units.decodeValue &quot;0.016FL&quot;\n\
   --&gt;126.72\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Units.html\">Units</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";