var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-44127242-347C-4940-A351-7595510127F2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Miscellaneous Viewport Methods and System Globals</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">createPreview()      </code></pre><p>Creates a viewport preview using the current values in the Make Preview dialog.</p>\n\
<p>A number of <a href=\"createPreview-Method.html\">optional keyword arguments</a> have been added to control the createPreview settings indendently from the Make Preview dialog settings. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getVPortBGColor()      \n\
setVPortBGColor()   </code></pre><p>Get and set the viewport background color as a Color value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isCPEdgeOnInView() </code></pre><p>This method returns <code>true</code> if the construction plane is &apos;head on&apos; in the current viewport. For example if the construction plane was XY and you were looking from the Front view, this method would return <code>true</code> . This is used for example during object creation because this process doesn&apos;t work very well when the view is &apos;head on&apos;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">axisTripodLocked() </code></pre><p>This method returns <code>true</code> if the axis tripods are locked, that is, they won&#x2019;t move when you move an object or sub-object, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lockAxisTripods &lt;boolean&gt; </code></pre><p>If <code>&lt;boolean&gt;</code> is <code>true</code> , this method locks the axis tripods so that they will not be updated. If <code>false</code> , the axis tripods will be updated.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> In certain cases, the <code>lockAxisTripods()</code> method can cause multiple Assertion Failures. This occurs when one or more objects are selected, <code>lockAxisTripods true</code> is executed, and then the objects are deselected.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flashNodes &lt;node_array&gt; </code></pre><p>This method is used to &apos;flash&apos; a group of nodes. This is usually used as a confirmation of some operation (for example as an indication of the completion of a pick node operation.) The nodes are briefly erased and then redrawn in the viewport to flash them.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>flashNodes()</code> method does not redraw the viewports after displaying the specified nodes as white wireframes. To properly redraw the viewports, call the <code>forceCompleteredraw()</code> method immediately after calling <code>flashNodes()</code> .</div>\n\
<p><strong>The following 3ds Max system global variables are applicable to the viewports:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">displaySafeFrames </code></pre><p>Lets you get and set whether Show Safe Frames is on for the active viewport. A Boolean value - <code>true</code> if Show Safe Frames is on, <code>false</code> if off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.useLargeVertexDots </code></pre><p>Lets you get and set whether to use small or large dots when representing vertices as dots. A Boolean value set to <code>true</code> if you when using dots to represent vertices and a large size is desired. The value of this variable only has effect when <code>UseVertexDots</code> is set to <code>true</code> .This variable contains the corresponding value set in the Viewports page of Customize &gt; Preferences.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.useTransformGizmos </code></pre><p>Lets you get and set whether to use the Transform Gizmos. A Boolean value - <code>true</code> if on, <code>false</code> if off. This variable contains the corresponding value set in the Viewports page of Customize &gt; Preferences.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.useVertexDots </code></pre><p>Lets you get and set whether to represent vertices as dots. A Boolean value set to <code>true</code> when you want to use dots as the representation of the vertices in a mesh. If set to <code>false</code> , ticks will be used.This variable contains the corresponding value set in the Viewports page of Customize &gt; Preferences.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Viewports.html\">Viewports</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";