var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A93B5D5C-3212-41F7-BA66-DB132172B48D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Viewport Background Images</h1></div><p>The following methods provide access to the values in the Viewport Background dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getBkgFrameNum &lt;time&gt;      </code></pre><p>Returns the viewport background image frame displayed at the specified time. Returns a value of -1 if no frame is to be used for specified time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getBkgImageAnimate()      \n\
setBkgImageAnimate &lt;boolean&gt;   </code></pre><p>Get and set whether Animate Background is on ( <code>true</code> ), or off ( <code>false)</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getBkgImageAspect()   \n\
setBkgImageAspect &lt;name&gt; </code></pre><p>Get and set the background image Aspect Ratio option. Valid <code>&lt;name&gt;</code> values are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#view -- Match Viewport \n\
#bitmap -- Match Bitmap \n\
#output -- Match Rendering Output </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getBkgORType &lt;start_end_integer&gt; \n\
setBkgORType &lt;start_end_integer&gt; &lt;name&gt; </code></pre><p>Get and set the background image Start Processing and End Procession options.</p>\n\
<p><code>&lt;start_end_integer&gt;</code> = 0 - Start Processing; 1 - End Processing</p>\n\
<p>Valid <code>&lt;name&gt;</code> values are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#blank -- Blank Before Start/After End \n\
#hold -- Hold Before Start/After End #loop -- Loop After End </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getBkgRangeVal() </code></pre><p>Get the background image Use Frame range as a Point2 value. The first component of the Point2 value is the Start Frame, the second component is the End Frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setBkgFrameRange &lt;point3&gt; </code></pre><p>Set the background image Use Frame range and step value. First component of <code>&lt;point3&gt;</code> is Start Frame, second component is End Frame, and third component is Step Frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getBkgStartTime() \n\
setBkgStartTime &lt;time&gt; </code></pre><p>Get and set the background image Start At frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getBkgSyncFrame() \n\
setBkgSyncFrame &lt;integer&gt; </code></pre><p>Get and set the background image Synch Start To Frame frame.</p>\n\
<h3 id=\"the-following-3ds-max-system-global-variable-is-associated-with-the-viewport-background-dialog-\">The following 3ds Max system global variable is associated with the Viewport Background dialog:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">backgroundImageFileName </code></pre><p>Lets you get and set a String value that defines the viewport background image bitmap file name. It contains the corresponding bitmap file name set in the Viewport Background dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setAsBackground &lt;bitmap&gt; </code></pre><p>Sets the specified bitmap as the viewport background image. The <code>&lt;bitmap&gt;</code> must be associated with a bitmap file, which is true if:</p>\n\
<p>1 - the bitmap is read from a file via <code>openBitmap()</code> or <code>selectBitMap()</code>;</p>\n\
<p>2 - the bitmap was saved via save <code>&lt;bitmap&gt;</code>;</p>\n\
<p>3 - the MAXBitMap constructor is passed a BitmapInfo whose Name length isn&apos;t 0 (for example if you retrieve a bitmap from a BitmapTexture); or</p>\n\
<p>4 - the bitmap is saved in the <code>render()</code> command.</p>\n\
<h3 id=\"the-following-method-affects-viewport-background-redraws-\">The following method affects Viewport Background redraws:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InvalidateAllBackgrounds() </code></pre><p>Invalidates the viewport background image for all viewports, causing then to be redrawn</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Viewports.html\">Viewports</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";