var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9D393805-DF20-4EB3-934D-731A707DE81A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>snapMode Struct</h1></div><p>The <strong>snapMode struct</strong> provides <a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"\">system globals</a> and functions to access and control the snapping options through MAXScript.</p>\n\
<p><strong>System Globals:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.active </code></pre><p>A 3ds Max System Global that lets you get and set whether Snap is active.</p>\n\
<p>A Boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.type </code></pre><p>Get/Set the current snap type as a name. Possible names are <code>#2D</code> , <code>#2_5D</code> , and <code>#3D</code> .</p>\n\
<p>The snapMode structure has been extended in <strong>3ds Max 7</strong> to provide access to all Snap settings and Snap results. Prior to <strong>3ds Max 7</strong>, these properties were available in the third-party <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.snapPreviewRadius </code></pre><p>A System Global that lets you get and set the Snap Preview Radius value.</p>\n\
<p>Default value is 30.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.snapRadius </code></pre><p>A System Global that lets you get and set the Snap Radius value.</p>\n\
<p>Default value is 20.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.hilite </code></pre><p>A System Global that lets you get and set the color value of the Snap Marker.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.markSize </code></pre><p>A System Global that lets you get and set the Snap Marker Size.</p>\n\
<p>An integer value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.toFrozen </code></pre><p>A System Global that lets you get and set whether to snap to frozen objects.</p>\n\
<p>A Boolean value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.axisConstraint </code></pre><p>A System Global that lets you get and set whether the snap must use axis constraints as Boolean value.</p>\n\
<p>Corresponds to the checkbox in the &quot;Grid and Snap Settings&quot; dialog, Options tab.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.displayRubberBand </code></pre><p>A System Global that lets you get and set whether to display rubber band as a Boolean value.</p>\n\
<p>Corresponds to the checkbox in the &quot;Grid and Snap Settings&quot; dialog, Options tab.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.useAxisCenterAsStartSnapPoint </code></pre><p>A System Global that lets you get and set the state of the &quot;Use Axis Center As Start Snap Point&quot; option as Boolean value.</p>\n\
<p>Corresponds to the checkbox in the &quot;Grid and Snap Settings&quot; dialog, Options tab.</p>\n\
<p>Available in <strong>3ds Max 7 and higher up to 3ds Max 2010</strong>.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>Deprecated in 3ds Max 2011.</p>\n\
<p>Attempting to access this property will result in:</p>\n\
<p>-- Runtime error: Cannot set this snap option. It has been deprecated as of 3ds Max 2011.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.display </code></pre><p>A System Global that lets you get and set whether the Snap Marker is displayed.</p>\n\
<p>A Boolean value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.strength </code></pre><p>A System Global that lets you get and set the Snap Strength as an integer value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.hit </code></pre><p>A System Global that contains true if the Marker is currently snapped to something, false if not snapped.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.node </code></pre><p>A System Global that contains the node currently being snapped to.</p>\n\
<p>Contains undefined if not snapped to a node or if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.flags </code></pre><p>A System Global that contains the Snap System Flags as an integer.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.hitPoint </code></pre><p>A System Global that contains the last Snap Point as Point3 coordinate in local coordinates of the node snapped to.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.worldHitpoint </code></pre><p>A System Global that contains the last Snap Point as Point3 world coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.screenHitPoint </code></pre><p>A System Global that contains the last Snap Point as a Point3 screen coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.screenHitPointUnscaled </code></pre><p>Available <strong>in 3ds Max 2017 and higher</strong>: A System Global that contains the last Snap Point as an unscaled Point3 screen coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.OKForRelativeSnap </code></pre><p>A System Global that contains true if at least one Snap Point has been recorded.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.refPoint </code></pre><p>A System Global that contains the last Snap Point as point3 world coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.topRefPoint </code></pre><p>A System Global that contains the first snap point as point3 world coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.numOSnaps </code></pre><p>A System Global that contains the number of OSnaps as an integer.</p>\n\
<p>Read only.</p>\n\
<p>Currently there are 6 sets of OSnaps - see below of details.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.getOSnapName &lt;int osnap_index&gt; </code></pre><p>Returns the name of the indexed OSnap as string.</p>\n\
<p>Currently, the results are:</p>\n\
<p>1 - &quot;Body&quot; - Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>2 - &quot;NURBS&quot;</p>\n\
<p>3 - &quot;Point Cloud Objects&quot; - Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p>4 - &quot;Standard&quot;</p>\n\
<p>5 - &quot;Standard&quot;</p>\n\
<p>6 - &quot;Standard&quot;</p>\n\
<p>7 - &quot;Standard&quot;</p>\n\
<p>All others available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The Standard Snaps are exposed in four groups with indices 4 to 7.</p>\n\
<p>See the table below to know which snap items are in which groups.</p>\n\
<p>Also, see the example output further on this page.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.getOSnapNumItems &lt;int osnap_index&gt; </code></pre><p>Returns the number of OSnap items in the indexed OSnap as <integer>.</integer></p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<p>Possible <code>osnap_index</code> values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Index</th>\n\
<th>Type</th>\n\
<th>Count</th>\n\
<th>Snap Names</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>1</code></td>\n\
<td><code>Body</code></td>\n\
<td><code>5</code></td>\n\
<td>Vertex, End Edge, Edge, Edge Midpoint, Face</td>\n\
</tr>\n\
<tr>\n\
<td><code>2</code></td>\n\
<td><code>NURBS</code></td>\n\
<td><code>10</code></td>\n\
<td>CV, Point, Curve Center, Curve Normal, Curve Tangent, Curve Edge, Curve End, Surf Center, Surf Normal, Surf Edge</td>\n\
</tr>\n\
<tr>\n\
<td><code>3</code></td>\n\
<td><code>Point Cloud</code></td>\n\
<td><code>1</code></td>\n\
<td>Point Cloud Vertex</td>\n\
</tr>\n\
<tr>\n\
<td><code>4</code></td>\n\
<td><code>Standard</code></td>\n\
<td><code>2</code></td>\n\
<td>Grid Points, Grid Lines</td>\n\
</tr>\n\
<tr>\n\
<td><code>5</code></td>\n\
<td><code>Standard</code></td>\n\
<td><code>2</code></td>\n\
<td>Pivot, Bounding Box</td>\n\
</tr>\n\
<tr>\n\
<td><code>6</code></td>\n\
<td><code>Standard</code></td>\n\
<td><code>2</code></td>\n\
<td>Perpendicular, Tangent</td>\n\
</tr>\n\
<tr>\n\
<td><code>7</code></td>\n\
<td><code>Standard</code></td>\n\
<td><code>6</code></td>\n\
<td>Vertex, Endpoint, Edge/Segment, Midpoint, Face, Center Face</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.getOSnapItemName &lt;int osnap_index&gt; &lt;int osnap_item_index&gt; </code></pre><p>Returns the name of the indexed OSnap item in the indexed OSnap as string.</p>\n\
<p>See table above for currently implemented names.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.getOSnapItemToolTip &lt;int osnap_index&gt; &lt;int osnap_item_index&gt; </code></pre><p>Returns the tooltip of the indexed OSnap item in the indexed OSnap as string.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.getOSnapItemActive &lt;int osnap_index&gt; &lt;int osnap_item_index&gt; </code></pre><p>Returns true if the indexed OSnap item in the indexed OSnap is active, false otherwise.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snapMode.setOSnapItemActive &lt;int osnap_index&gt; &lt;int osnap_item_index&gt; &lt;boolean&gt; </code></pre><p>Sets whether the indexed OSnap item in the indexed OSnap is active.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<h2 id=\"exploring-the-snap-options\">Exploring the Snap Options</h2><blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The following example prints information about the state of\n\
   --all Snap options to the Listener:\n\
   for i = 1 to snapmode.numOSnaps do\n\
   (\n\
   format &quot;%: name: \\&quot;%\\&quot;\\n&quot; i (snapmode.getOSnapName i)\n\
   for j = 1 to (snapmode.getOSnapNumItems i) do\n\
   format &quot; %: name: \\&quot;%\\&quot;; tooltip: \\&quot;%\\&quot;; state: %\\n&quot; j \\\n\
   (snapmode.getOSnapItemName i j) \\\n\
   (snapmode.getOSnapItemToolTip i j) \\\n\
   (snapmode.getOSnapItemActive i j)\n\
   )\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   1: name: &quot;Body Snaps&quot;\n\
    1: name: &quot;Vertex&quot;; tooltip: &quot;&quot;; state: false\n\
    2: name: &quot;End Edge&quot;; tooltip: &quot;&quot;; state: false\n\
    3: name: &quot;Edge&quot;; tooltip: &quot;&quot;; state: false\n\
    4: name: &quot;Edge Midpoint&quot;; tooltip: &quot;&quot;; state: false\n\
    5: name: &quot;Face&quot;; tooltip: &quot;&quot;; state: false\n\
   2: name: &quot;NURBS&quot;\n\
    1: name: &quot;CV&quot;; tooltip: &quot;&quot;; state: false\n\
    2: name: &quot;Point&quot;; tooltip: &quot;&quot;; state: false\n\
    3: name: &quot;Curve Center&quot;; tooltip: &quot;&quot;; state: false\n\
    4: name: &quot;Curve Normal&quot;; tooltip: &quot;&quot;; state: false\n\
    5: name: &quot;Curve Tangent&quot;; tooltip: &quot;&quot;; state: false\n\
    6: name: &quot;Curve Edge&quot;; tooltip: &quot;&quot;; state: false\n\
    7: name: &quot;Curve End&quot;; tooltip: &quot;&quot;; state: false\n\
    8: name: &quot;Surf Center&quot;; tooltip: &quot;&quot;; state: false\n\
    9: name: &quot;Surf Normal&quot;; tooltip: &quot;&quot;; state: false\n\
    10: name: &quot;Surf Edge&quot;; tooltip: &quot;&quot;; state: false\n\
   3: name: &quot;Point Cloud Objects&quot;\n\
    1: name: &quot;Point Cloud Vertex&quot;; tooltip: &quot;&quot;; state: false\n\
   4: name: &quot;Standard&quot;\n\
    1: name: &quot;Grid Points&quot;; tooltip: &quot;&quot;; state: true\n\
    2: name: &quot;Grid Lines&quot;; tooltip: &quot;&quot;; state: false\n\
   5: name: &quot;Standard&quot;\n\
    1: name: &quot;Pivot&quot;; tooltip: &quot;&quot;; state: true\n\
    2: name: &quot;Bounding Box&quot;; tooltip: &quot;&quot;; state: false\n\
   6: name: &quot;Standard&quot;\n\
    1: name: &quot;Perpendicular&quot;; tooltip: &quot;&quot;; state: false\n\
    2: name: &quot;Tangent&quot;; tooltip: &quot;&quot;; state: false\n\
   7: name: &quot;Standard&quot;\n\
    1: name: &quot;Vertex&quot;; tooltip: &quot;&quot;; state: false\n\
    2: name: &quot;Endpoint&quot;; tooltip: &quot;&quot;; state: false\n\
    3: name: &quot;Edge/Segment&quot;; tooltip: &quot;&quot;; state: false\n\
    4: name: &quot;Midpoint&quot;; tooltip: &quot;&quot;; state: false\n\
    5: name: &quot;Face&quot;; tooltip: &quot;&quot;; state: false\n\
    6: name: &quot;Center Face&quot;; tooltip: &quot;&quot;; state: false\n\
   OK\n\
</code></pre></blockquote>\n\
<h2 id=\"changing-the-snap-options\">Changing the Snap Options</h2><p>The following example shows how to access and change the snap options:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The Snaps dialog must not necessarily be open,\n\
   --but in this example we will toggle it on to be able to see\n\
   --what is happening to the checkboxes:\n\
   max drawingaids --toggle on the Snaps dialog\n\
   --&gt;OK --if it was closed, it should be open now\n\
   snapmode.getOSnapItemActive 7 1 --print the state of the Object&gt;Vertex snap\n\
   --&gt;false --it is off\n\
   --now toggle the vertex snap:\n\
   snapmode.setOSnapItemActive 7 1 (not(snapmode.getOSnapItemActive 5 1))\n\
   --&gt;OK\n\
   max drawingaids; max drawingaids --toggle the Snaps dialog twice to refresh\n\
   --&gt;OK\n\
   --&gt;OK --the Vertex checkbox should be checked now\n\
   snapmode.getOSnapItemActive 7 1 --get the current Vertex snap state\n\
   --&gt;true --it is now on\n\
</code></pre></blockquote>\n\
<h2 id=\"exploring-the-snap-marker-settings\">Exploring the Snap Marker Settings</h2><p>The following example prints information about the snap marker&apos;s settings:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   format &quot;type: %; hilite: %; marksize: %; toFrozen: %\\n&quot; snapmode.type snapmode.hilite \\\n\
   snapmode.markSize snapmode.toFrozen\n\
   format &quot;axisConstraint: %; active: %; strength: %\\n&quot; snapmode.axisConstraint snapmode.active \\\n\
   snapmode.strength\n\
</code></pre></blockquote>\n\
<h2 id=\"exploring-the-snap-results\">Exploring the Snap Results</h2><p>The following example shows how to access and print dynamically the results of the snap operations in the viewports:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --This function can be registered as a RedrawViews Callback\n\
   --It will print information about the current snap state to the Listener\n\
   fn snapinfo =\n\
   (\n\
   local snapinfo\n\
   if snapmode.active do\n\
   (\n\
   struct snapinfo (hit, flags, hitpoint, worldhitpoint, screenHitPoint, OKForRelativeSnap, topRefPoint, refPoint, node)\n\
   local out = snapinfo snapmode.hit (bit.intAsHex snapmode.flags) snapmode.hitPoint \\\n\
   snapmode.worldHitpoint snapmode.screenHitPoint snapmode.OKForRelativeSnap \\\n\
   snapmode.refPoint snapmode.topRefPoint snapmode.node\n\
   print out\n\
   )\n\
   ok\n\
   )\n\
   unregisterRedrawViewsCallback snapinfo\n\
   registerRedrawViewsCallback snapinfo\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Viewports.html\">Viewports</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds Max System Globals</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";