var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-17BFEAAF-3395-4FFB-9F98-54767481AB08\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>thehold</h1></div><p>This structure exposes all but 3 of the <strong>theHold</strong> public SDK methods. (The 3 methods missing are not useful in the MXS scripting context.)</p>\n\
<p>The undo / redo system of <strong>3ds Max</strong> uses a global instance of the Hold class called theHold. Developers call methods of theHold object to participate in the undo / redo system.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> These <strong>are straight SDK method exposures</strong> with <strong>no additional protection</strong> built in!\n\
You better know what you are doing! You should run your code within try/catch blocks to keep the hold system in a consistent state.</p>\n\
\n\
</div></div>\n\
\n\
<p>For methods that take arguments, the arguments are checked before use, but they won&apos;t throw an error if argument is incorrect. Instead, a default string of &quot;&quot; will be used for Accept and SuperAccept, and &amp;unsupplied for Restoring.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.Accept &lt;string&gt;      </code></pre><p>Leaves the database in its modified state and registers an undo object with the undo system. This will allow the user to undo the operation. The parameter is the string to appear in the Edit menu next to Undo or Redo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.Begin()   </code></pre><p>When a developer is about to modify the database he should check to see if <code>theHold</code> is &apos;holding&apos;. This indicates that the <code>Begin()</code> method has been called. This signifies the beginning of a potential undo/redo operation. If the Hold is not holding, they should call <code>Begin()</code>. After <code>Begin()</code> has been called the system is ready to accept restore objects.</p>\n\
<p>In certain cases the system may already be &apos;holding&apos; when the plug-in is about to begin its modification to the database. For example controllers would normally not call <code>Begin()</code> because it usually has been called already. A procedural object will normally call <code>Begin()</code> because there is no other part of the system that may alter a procedural object so <code>Begin()</code> would not have been called.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.Cancel() </code></pre><p>Restores the database to its previous state and throws out the restore object. This cancels the operation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.DisableUndo() </code></pre><p>This is used internally. Plug-In developers should not call this method. Prevents Undo when Accept() is called.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.EnableUndo() </code></pre><p>This is used internally. Plug-In developers should not call this method. Allows Undo when Accept() is called.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.End() </code></pre><p>This method is used internally to 3ds Max and should not be called by a plug-in developer. It leaves the database in its modified state but throws out the restore object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;theHold.GetGlobalPutCount() </code></pre><p>Returns the number of times Put() has been called in the current session of3ds Max.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;theHold.Holding() </code></pre><p>This indicates if theHold.Begin() has been called. Any operation that modifies the database checks to see if theHold is currently in a holding state. If the undo system is &apos;holding&apos; it is ready to accept restore objects.</p>\n\
<p>Return Value: true if theHold is holding; otherwise false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;theHold.Redoing() </code></pre><p>Returns nonzero if the system is redoing and zero if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.Release() </code></pre><p>This tosses out the restore objects since the last Begin() but still continues holding. Group several Begin-End lists into a single Super-group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.Restore() </code></pre><p>This method will call Restore() on all the restore objects registered since the last Begin(). This restores the database to the state it was in when Begin() was called. The restore objects are NOT deleted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;theHold.RestoreOrRedoing() </code></pre><p>Returns nonzero if the system is restoring or redoing and zero if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;theHold.Restoring isUndo:&lt;&amp;integer&gt; -- pass by reference </code></pre><p>Returns nonzero if the system is restoring and zero if not. The isUndo parameter is updated to indicate if the restore is coming from an undo. It&apos;s assigned nonzero if it is; zero if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.Resume() </code></pre><p>This is used internally. It resumes holding if it was suspended.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.SuperAccept &lt;string&gt; </code></pre><p>When a developer has used SuperBegin(), this method is used to Accept. This leaves the database in its modified state and registers the restore object with the undo system. This will allow the user to undo the operation. The string parameter is the text to appear in the Edit menu next to Undo or Redo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.SuperBegin() </code></pre><p>Normally this is NOT needed but in special cases this can be useful. This allows a developer to group a set of Begin()/Accept() sequences to be undone in one operation.</p>\n\
<p>Consider the case of the user using the Shift-Move command to create a new node in the scene. There are two parts to this process. First the node must be cloned and second the position must be tracked as the user moves the mouse to place the new node in the scene. Naturally if the user wanted to Undo this operation, they would expect a single selection of the Undo command would accomplish it. However the process was not a single operation. There was the initial cloning of the node, and then the iterative process of moving the node in the scene, restoring its position, moving it again, restoring it again, etc. Cases like this are handled using methods of theHold named SuperBegin(), SuperAccept() and SuperCancel(). These allow the developer to group several restore objects together so that they may be undone via a single selection of Undo. Note that in this example it is only necessary to use SuperBegin() and SuperAccept() because the move was restoring interactively. Normally a developer does NOT need to use these methods even if they have several operations that modify the database. The undo system will automatically register all the restore objects needed as part of the undo object when theHold.Accept() is called and these may be undone using a single UNDO command.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.SuperCancel() </code></pre><p>When a developer has used SuperBegin(), this method is used to Cancel. This restores the database to its previous state and throws out the restore object. This cancels the operation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.Suspend() </code></pre><p>Suspends the holding.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;theHold.IsSuspended() </code></pre><p>Returns true if suspended, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.SuperLevel() </code></pre><p>Returns the superlevel depth. Normally 0, incremented for each call to SuperBegin, decremented for each call to SuperAccept or SuperCancel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.getCurrentUndoLevels() </code></pre><p>Returns the current number of undo/redo entries. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.getMaxUndoLevels() </code></pre><p>Returns the maximum number of undo/redo entries - same as &apos;Scene Undo Levels&apos; setting in Preference Settings dialog. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHold.setMaxUndoLevels &lt;int&gt; </code></pre><p>Sets the maximum number of undo/redo entries. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>See also the SDK documentation on theHold methods.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Miscellaneous-Functions.html\">Miscellaneous Functions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";